Silk Test Workbench 18.5 へようこそ

Silk Test Workbench 18.5 へようこそ

  • はじめに
  • ドキュメント
  • 製品スイート

新機能

  • Silk Test Workbench 18.5 の新機能
  • リリース ノート

主なセクション

  • テストの作成
  • テストの再生と結果の分析
  • テストのデバッグ

チュートリアルとデモンストレーション

  • ビジュアル テスト チュートリアル
  • スクリプト チュートリアル
  • Training Store の無料の Web ベース トレーニング

コード サンプル

  • 言語リファレンス

オンライン リソース

  • Micro Focus Learning Center
  • Micro Focus のホーム ページ
  • YouTube の Micro Focus チャンネル
  • SupportLine の Silk Test のドキュメント
  • オンライン ドキュメント
  • Micro Focus SupportLine
  • Micro Focus Product Updates
  • Silk Test Knowledge Base
  • Silk Test Forum
  • Web ベースのトレーニング

フィードバックをお寄せください

  • Micro Focus へのお問い合わせ
  • このヘルプに関するフィードバックを電子メールでお送りください
  • 機能を提案する


ライセンス情報

評価版を使用しているのでない限り、Silk Test はライセンスを必要とします。

注: Silk Test ライセンスは、Silk Test の特定のバージョンに固定されています。たとえば、Silk Test 18.5 には Silk Test 18.5 のライセンスが必要です。
ライセンス モデルは、使用しているクライアントとテストすることができるアプリケーションに基づきます。利用可能なライセンス モードに応じて、次のアプリケーションの種類がサポートされます。
ライセンス モード | アプリケーションの種類
モバイル ネイティブ
  • モバイル Web アプリケーション
    • Android
    • iOS
  • ネイティブ モバイル アプリケーション
    • Android
    • iOS
フル
  • Web アプリケーション (以下を含む)
    • Apache Flex
    • Java アプレット
  • モバイル Web アプリケーション
    • Android
    • iOS
  • Apache Flex
  • Java AWT/Swing (Oracle Forms を含む)
  • Java SWT と Eclipse RCP
  • .NET (Windows Forms および Windows Presentation Foundation (WPF) を含む)
  • Rumba
  • Windows API ベース
注: ライセンスをフル ライセンスにアップグレードする場合は、http://www.microfocus.co.jp に移動します。
プレミアム

フル ライセンスでサポートされるすべてのアプリケーションの種類 + SAP アプリケーション

注: ライセンスをプレミアム ライセンスにアップグレードする場合は、http://www.microfocus.co.jp に移動します。
モバイル ネイティブ アドオン | フル ライセンスとプレミアム ライセンスでサポートされるテクノロジに加えて、モバイル ネイティブ アドオン ライセンスによって、Android と iOS 上でのネイティブ モバイル アプリケーション テストのサポートを提供します。


はじめに

Silk Test Workbench は、自分たちのテストでの使いやすさを重視するビジネス アナリスト、ドメイン エキスパート、オートメーション エキスパートにとって理想的な Silk Test クライアントです。 Silk Test Workbench にはビジュアル テスト オプションがあり、コードを作成せずにテストを視覚的に作成できる、直感的にわかりやすい強力な方法を提供します。 スクリプト作成オプションでは、さらに強力で柔軟性の高いテストを実行でき、ビジュアル テストと組み合わせて VB.NET スクリプトを拡張できます。 Silk Test Workbench を使用すると、アプリケーションとのユーザー セッションを記録してテストを作成し、検証やテスト ロジックを追加してテストを拡張し、テストを再生してアプリケーションが期待どおりに動作することを確認することができます。

このセクションでは、Silk Test Workbench の概要と Silk Test Workbench インターフェイスの概要について説明します。

  • ログオン
    ログオンしてテストを記録および再生します。
  • Silk Test Workbench の概要
    Silk Test Workbench の概要について説明します。
  • Silk Test Workbench の新機能
    このリリースに含まれている新しい機能を説明します。
  • プロジェクトの管理
    プロジェクトの概要について説明します。
  • ショートカット キー
    ショートカット キーを示します。
  • チュートリアル
    ビジュアル テストおよびスクリプトのチュートリアルについて説明します。
  • ヘルプについてのヘルプ
    ヘルプ内のトピックのタイプとそれらのトピックでの表記規則について説明します。
  • 使用状況データの収集の有効化/無効化
    使用状況データを Micro Focus に提供し、Silk Test のユーザビリティの改善に役立てます。
  • Micro Focus へのお問い合わせ
    サポートが必要な際に Micro Focus SupportLine にアクセスする方法について説明します。
関連概念
Silk Test Workbench の新機能


ログオン

  1. (Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > クライアント > Silk Test Workbench、または (Microsoft Windows 10) スタート > Silk > Silk Test Workbench をクリックします。 Silk Test Workbench が起動され、SilkTest Workbench にログイン ダイアログ ボックスが表示されます。
  2. 認証 リスト ボックスから、Silk Test Workbench 認証、または Windows 認証のいずれか使用する方を選択します。
    注: Windows 認証を使用できるユーザーは、ツール > 管理 を使用して Silk Test Workbench ユーザーに追加されたユーザーだけです。
  3. Silk Test Workbench 認証を使用している場合、ユーザー名 フィールドにユーザー名を入力し、パスワード フィールドにパスワードを入力します。Windows 認証を使用している場合は、ユーザー名とパスワードを入力する必要はありません。
    注: Silk Test Workbench をはじめて使用する場合は、管理者権限を持つユーザー名とパスワードが必要になる場合があります。デフォルトのユーザー名は Admin で、デフォルトのパスワードは admin です。不正アクセスを防ぐため、このパスワードはログオンのあとで変更してください。ログオン パスワードはいつでも変更できます。
  4. データベース リストから、使用するデータベースを選択します。 データベースが データベース リストに表示されるようにするには、まずデータベース接続を使用できるように構成する必要があります。データベース接続を構成するには、ログオン ダイアログ ボックスで 構成 ボタンをクリックします。
  5. OK をクリックします。 開始画面 が開きます。
  • ログオン パスワードの変更
    セキュリティを確保するために定期的にパスワードを変更します。
親トピック: はじめに
親トピック: データベースへ接続する


ログオン パスワードの変更

ログオン パスワードを変更するには、以下の手順に従います。

  1. ツール > パスワードの変更 をクリックします。 パスワードの変更 ダイアログ ボックスが開きます。現在のユーザーのログオン名が、ダイアログ ボックスのタイトル バーに表示されます。
  2. パスワードを変更し、OK をクリックします。 このユーザー ID を使って次回ログオンしたとき、変更が有効になります。
親トピック: ログオン
親トピック: データベースへ接続する


Silk Test Workbench の概要

Silk Test Workbench は、Microsoft、Java、Web、その他多くの分散テクノロジで開発された複雑なアプリケーションの機能テストを高速化する自動テスト ツールです。 Silk Test Workbench を使用すると、アプリケーションとのユーザー セッションを記録してテストを作成し、検証やテスト ロジックを追加してテストを拡張し、テストを再生してアプリケーションが期待どおりに動作することを確認することができます。

Silk Test Workbench には、テストの自動化を開発するための 2 つのオプションがあります。 以下を使用できます。
  • ビジュアル テスト
  • VB ベースの .NET スクリプト

Silk Test Workbench によりユーザー操作を確実に記録し、強力なビジュアル テストをすばやく作成できます。 記録したビジュアル テストはそれぞれ、わかりやすい簡潔なステップの一連の操作として表示されます。これは初心者からエキスパートまであらゆるテスト担当者が容易に理解できるものです。 テスト担当者は、注文の処理や顧客情報の入力など、すべてのユーザー操作について Silk Test Workbench の記録方法を広範に制御できます。 テスト担当者は、記録中または記録終了後いつでもテストを編集して、テスト プロジェクトの最も困難な要求にも合わせることができます。

Silk Test Workbench は、さまざまな開発ツールで開発されたアプリケーションのテストをサポートします。 テスト ロジック、実際のデータ、検証、およびエラー処理をテストに追加して、さらに柔軟性と信頼性を上げることが可能です。

Silk Test Workbench は、テスト、開発、品質保証、その他のプロジェクト関係者間でのテスト ステータスの効率的な伝達をサポートするプロジェクト協業機能により、チームの生産性を向上させます。 アドホック クエリと詳細なレポーティングは、チームがテストの実行結果を解釈して、情報に基づきテスト プロジェクトに関する意思決定を行うことを可能にします。

  • Silk Test Workbench を使用する利点
    Silk Test Workbench を使用する利点を示します。
  • 特殊な状況下での自動化 (周辺機器が無い)
    リモート マシンへのアクセスを含む複雑なテスト環境における Silk Test Workbench の使用方法について説明します。
  • Silk Test 製品スイート
    Silk Test で利用できるコンポーネントについて説明します。
  • Silk Test Workbench の機能
    Silk Test Workbench の機能の概要について説明します。
  • Silk Test Workbench の UI
    Silk Test Workbench のユーザー インターフェイスの主要な機能について説明します。
  • Silk Test Workbench ソフトウェア コンポーネント
    Silk Test Workbench が使用する個別のソフトウェア コンポーネントの概要を説明します。
  • 自動テストについて
    自動テストの機能と利点の概要について説明します。
  • テスト戦略
    モジュール テストのシナリオとフローの概要について説明します。
  • 別の場所にあるデータベースの利用について
    Silk Test Workbench クライアントとは別の場所にある Silk Test Workbench データベースの利用について説明します。
  • Silk Test Workbench ドキュメント
    Silk Test Workbench ドキュメント セットの具体的な配布物を示します。
親トピック: はじめに


Silk Test Workbench を使用する利点

Silk Test Workbench は、アプリケーション ソフトウェア、Web アプリケーション、およびモバイル アプリケーションのテスト手順の計画、開発、実行とバグの検出を支援します。Silk Test Workbench では、アプリケーションのセッションを記録し、実際の結果が予想した結果と一致するかどうかを調べる検証機能を追加したうえで、いつでもセッションを再生してアプリケーションが期待どおりに機能するかを確認できます。

Silk Test Workbench は、開発チームに以下のような利点を提供します。

開発／テスト サイクルの短縮

Silk Test Workbench では、マシンの使用時間をスケジュールしやすい夜間や週末に無人でテストを再生できるため、開発とテストのスケジュールを早めてアプリケーションをより早く市場に出すことができます。

一貫性

Silk Test の自動テストは毎回同じように実行されるため、再現可能な一貫した結果が生成されます。

生産性の向上

Silk Test Workbench は手動操作なしでテストを再生できるため、プログラマやテスト担当者は他の作業に時間を使うことができます。

迅速なテスト開発

アプリケーションをナビゲートしてテストしながらユーザーの操作を記録することにより、有用なテストをすばやく簡単に作成できます。テンプレートを設定して、テストの標準フレームワークを作成することもできます。自動テストは、手動によるテストの数分の 1 の時間で実行できます。

テスト結果の確認

テスト スクリプトとビジュアル テスト再生の詳細は結果に記録され、いつでも確認できます。

親トピック: Silk Test Workbench の概要


特殊な状況下での自動化 (周辺機器が無い)

製品の基本的な位置付け

Silk Test Workbench は GUI テスト製品で、自動化された状況下での有意なテスト結果を得るために、人間のように振舞います。Silk Test Workbench が実行したテストは、人間が実行するよりもすばやく実行しますが、同等の価値のあるものです。このことは、人間が同じテストを実行するために必要なテスト環境とできる限り同等なテスト環境を Silk Test Workbench が必要とすることを意味します。

物理的な周辺機器

実際のアプリケーション UI の手動テストでは、キーボード、マウス、ディスプレイなどの入出力デバイスが必要です。Silk Test Workbench では、テストの再生時に物理的な入力デバイスを必要としません。Silk Test Workbench に必要なものは、キーストロークやマウス クリックを実行するオペレーティング システムの機能です。大抵の場合、入力デバイスが接続されていなくても、Silk Test Workbench の再生は期待通り動作します。ただし、デバイス ドライバによっては、物理的な入力デバイスが利用可能でないと、Silk Test Workbench の再生機構をブロックする場合があります。

同じことが物理的な出力デバイスについても言えます。物理的なディスプレイが接続されている必要はありませんが、機能するビデオ デバイス ドライバがインストールされ、オペレーティング システムが画面にレンダリングできる状態になければなりません。たとえば、スクリーン セーバー モードやセッションがロックされている状況では、レンダリングできません。レンダリングできない場合、低レベルの再生は機能せず、高レベルの再生もテスト対象アプリケーション (AUT) で使用するテクノロジに依存しますが、期待通り機能しない可能性があります。

仮想マシン

Silk Test Workbench は仮想化ベンダーを直接サポートしませんが、仮想ゲスト マシンが物理マシンと同等に動作する限り、任意の仮想化手法のもとで動作可能です。標準的な周辺機器は、通常は仮想デバイスとして提供されており、仮想マシンを実行するマシンで使用されている物理デバイスとは無関係です。

クラウド インスタンス

自動化の観点からは、クラウド インスタンスは仮想マシンと変わりありません。ただし、クラウド インスタンスでは、ビデオ レンダリングに特殊な最適化が行われている場合があり、ハードウェア リソースの消費を抑えるために、画面のレンダリングが一時的にオフになる状況があります。これは、ディスプレイを表示しているアクティブなクライアントが無いと、クラウド インスタンスが検知した場合に発生する場合があります。このような場合、回避策として VNC ウィンドウを開くことができます。

特殊な状況

ウィンドウが無く起動されるアプリケーション (ヘッドレス)
このようなアプリケーションは、Silk Test Workbench を使ってテストできません。Silk Test Workbench は、対象のアプリケーション プロセスにフックして、対話操作する必要があります。ウィンドウが表示されないプロセスをフックすることはできません。このような場合は、システム コマンドの実行のみ可能です。
リモート デスクトップ、ターミナル サービス、リモート アプリケーション (すべてのベンダー)
Silk Test Workbench がリモート デスクトップ セッション側に存在し、操作する場合、完全に期待通りの操作が行われます。
注: フル ユーザー セッションが必要で、リモート表示ウィンドウは最大化されている必要があります。リモート表示ウィンドウが何らかの理由で表示されていない場合 (ネットワーク上の問題など)、Silk Test Workbench は再生を続けますが、使用されているリモート表示技術によっては予期しない結果を生じる可能性があります。たとえば、リモート デスクトップ セッションが失われると、ビデオ レンダリングに悪影響を与えますが、他のリモート表示手法では、一度表示されたウィンドウが失われても、問題なく表示されるものもあります。

Silk Test Workbench がリモート デスクトップ、リモート ビュー、リモート アプリ ウィンドウなどとの対話操作に使用される場合は、Silk Test Workbench が見ることができるのはリモート マシンのスクリーンショットだけであるため、低レベルな技術だけが使用できます。リモート表示技術によっては、セキュリティ上の制約により、低レベル操作でさえできないものもあります。たとえば、リモート アプリケーション ウィンドウにキーストロークを送信できない場合があります。

既知の自動化の障壁

Silk Test Workbench では、ログオンした対話的なフル ユーザー セッションが必要です。スクリーン セーバー、休止状態、スリープ モードなどのセッションをロックするものは無効化してください。組織の方針などで、これができない場合は、キープ アライブ 操作 (定期的にあるいは各テスト ケースの終わりにマウスを動かすなど) を追加することによって、このような問題を回避できます。

注: 実際のテスト環境の構成や AUT、仮想化、ターミナル サービスで使用される技術によっては、テストの自動化プロセスにおいて、さらなる問題や制約に直面する可能性があります。
親トピック: Silk Test Workbench の概要


Silk Test 製品スイート

Silk Test は、高速で信頼性の高い機能テストと回帰テストを行うための自動テスト ツールです。Silk Test は、高品質のソフトウェアをすばやくリリースするために、開発チーム、品質管理チーム、ビジネス アナリストを支援します。Silk Test を使用すると、アプリケーションが意図したとおりに動作することを確実にするために、複数のプラットフォームとデバイス上でテストを記録/再生することができます。

Silk Test 製品スイートには、以下のコンポーネントが含まれています。
  • Silk Test Workbench： Silk Test Workbench は、品質テスト環境です。上級者用の .NET スクリプトと、より幅広い利用者がテストを行えるようにする使いやすいビジュアル テストが提供されます。
  • Silk4NET： Silk4NET Visual Studio プラグインを使用すると、Visual Studio で直接 VB.NET または C# のテスト スクリプトを作成できます。
  • Silk4J： Silk4J Eclipse プラグインを使用すると、Eclipse 環境で直接 Java ベースのテスト スクリプトを作成できます。
  • Silk Test Classic： Silk Test Classic は、4Test を使用したスクリプトを作成できる Silk Test クライアントです。
  • Silk Test Agent： Silk Test Agent は、テストのコマンドを GUI 固有のコマンドに変換するソフトウェア プロセスです。つまり、テストするアプリケーションをエージェントが動かし、監視しています。ホストマシン上で 1 つのエージェントをローカルに実行できます。ネットワーク環境では、任意の数のエージェントをリモート マシン上で実行できます。

上の画像の個々のボックスのサイズは、記述上の理由で異なっているだけで、含まれる機能を反映しているわけではありません。

インストールする製品スイートによって、使用できるコンポーネントが決まります。すべてのコンポーネントをインストールするには、完全インストール オプションを選択します。Silk Test Classic を除くすべてのコンポーネントをインストールするには、標準インストール オプションを選択します。

親トピック: Silk Test Workbench の概要


Silk Test Workbench の機能

Silk Test Workbench はテスト担当者の動作を模倣します。キー入力やマウス操作、メニューやリストからの項目の選択など、テスト担当者と同じようにアプリケーションを操作します。ただし、キー入力やマウス操作は、ハードウェアではなくソフトウェアによって自動的に生成されます。Silk Test Workbench は、アプリケーションが入力に対してどのように反応するか、画面を監視することによって、テスト操作を決定します。

予想結果と実際の結果が一致しないテスト条件にフラグを付けることができます。Silk Test Workbench のテストは柔軟です。スクリプトは、前の操作の結果に基づいて、実行すべき操作を決定できます。Silk Test Workbench は、システム クロックやハード ディスクなど、PC の内部リソースにもアクセスできるため、時間を考慮したり、ファイルの読み書きを行ったりもできます。

開始画面 と ビジュアル ナビゲータ は、テスト ソリューションを迅速に提供できるように設計されています。開始画面 でテスト プロジェクトを管理し、ビジュアル ナビゲータ を使用して個々のテスト ステップを制御できます。

一元的マルチユーザー資産データベースは、テスト プロセスを管理するうえで効果的です。テスト実行に対するレポート作成機能も提供されます。

Silk Test Workbench は、動的オブジェクト解決を使用してテスト アプリケーションと対話します。動的オブジェクト解決により、オブジェクトを検索し識別する Silk Test Workbench クエリを使用した、テストの作成が可能になります。Silk Test Workbench は、ダイアログ ボックスやコントロールそれぞれに、固有に識別するためのロケーター名を割り当てます。Silk Test Workbench は、ロケーター名を使用してアプリケーション内のウィンドウ、ダイアログ ボックス、およびコントロールを検索します。同様に、Web ページにボタンなど多数のコントロールが含まれる場合があり、Silk Test Workbench はそれらにも固有のロケーター名を割り当てます。

Silk Test Workbench では、以下をテストできます。
  • Silk Test とは異なるマシンで実行されるアプリケーション
  • 2 台以上のマシンで同時に実行されるアプリケーション
  • 複数の異なるアプリケーション（同時に）
  • テスト アプリケーションのデータベース処理
  • モバイル アプリケーション
親トピック: Silk Test Workbench の概要
関連概念
開始画面
ビジュアル ナビゲータ


Silk Test Workbench の UI

Silk Test Workbench のデスクトップは、テストにかかわるすべての操作の開始点になります。メニューバーを除き、デスクトップに表示されるウィンドウやペインをはじめとする各種機能の表示と外観を制御することができます。

Silk Test Workbench UI の主要な構成要素を以下に示します。
メニュー バー
Silk Test Workbench で利用できるすべてのメニューを含みます。利用可能なメニューとメニュー コマンドついての詳細は、「メニュー」を参照してください。
ツール バー
ツール バーから、よく使用する操作にワンクリックでアクセスすることができます。ツール バーで利用可能なアクションついての詳細は、「ツール バー」を参照してください。
開始画面
開始画面 は、Silk Test Workbench の機能を使い始める拠点であり、アプリケーションのテスト ソリューションをすばやく作成し始めることができます。 詳細については、「開始画面」を参照してください。
アセット ブラウザ
アセット ブラウザ を使用してテスト資産を管理します。アセット ブラウザ では、データベース内の各種類の資産を一元的に作成、管理、表示できます。 詳細については、「アセット ブラウザ」を参照してください。
ビジュアル ナビゲータ
ビジュアル ナビゲータ は、ビジュアル テストの要素をグラフィカルに表すものであり、ポイント アンド クリック インターフェイスを通して各要素を操作できます。 ビジュアル ナビゲータ は、ビジュアル テストを作成、または開いたときに表示されます。詳細については、「ビジュアル ナビゲータ」を参照してください。
コード ウィンドウ
コード ウィンドウでは、スクリプトの記録、設計、および変更を行います。 コード ウィンドウ は、VB .NET スクリプトを作成、または開いたときに表示されます。詳細については、「コード ウィンドウ」を参照してください。
親トピック: Silk Test Workbench の概要


Silk Test Workbench ソフトウェア コンポーネント

Silk Test Workbench は、別々のプロセスとして実行される 2 種類のソフトウェア コンポーネントから構成されます。

  • Silk Test Workbench ホスト ソフトウェア は、スクリプトとビジュアル テストの開発、編集、コンパイル、実行、およびデバッグに使用するコンポーネントです。このプログラムを実行するマシンは、ホスト マシンと呼ばれます。

  • Silk Test Agent は Silk Test Workbench のコンポーネントで、アプリケーションの GUI と対話します。Agent はテスト内のコマンドを GUI 固有のコマンドに翻訳し、テストしているアプリケーションを実行、監視します。Agent は、ホストが実行されているのと同じマシン上でローカルに実行できます。また、ネットワーク環境で任意の数のエージェントをリモート マシン上で実行することもできます。Agent を実行するマシンは、リモート マシンと呼ばれます。

親トピック: Silk Test Workbench の概要
関連概念
Silk Test Open Agent


自動テストについて

ソフトウェアのテストは、ソフトウェア開発プロセスに欠かせない要素です。ソフトウェアをリリースするには、その前に、ソフトウェアが期待どおりに動作することを、さまざまな種類のコンピュータやオペレーティング システムで確認する必要があります。その結果、ソフトウェアのテストはますます複雑化し、その機能をさまざまなコンピュータで繰り返しテストすることが必要になっています。しかし、ソフトウェアのテストが複雑になる一方で、テストに割り当てられる時間は、リリース スケジュールを守れるように短縮されているのが実態です。テストを自動化すると、ソフトウェアにバグやパフォーマンス上の問題がないかどうかを効果的かつ効率的に調べることができます。そのため、自動テスト ツールは、高品質ソフトウェアを開発するうえで欠かせないツールとなっています。

アプリケーションを手動でテストするには、一連のテスト ケースを作成して、特定の操作（一連のキーを押す、メニュー オプションを選択する、マウスを使用するなど）を実行したときのテスト アプリケーションの必要な反応を指定します。手動によるテスト サイクルは、通常、以下のようなパターンに従います。

  • テスト アプリケーションをテスト開始点まで実行する
  • テスト アプリケーションに入力を提供する一連の操作を実行する
  • アプリケーションと対話しながら結果を監視する
  • 対話の結果と予想を比較する
  • 予想と結果の違いを記録する
  • 必要に応じてアプリケーションを修正する
  • アプリケーションを再テストするか、次のテストに進む

Silk Test Workbench では、このテスト パターンの各ステップを模倣できます。つまり、キーボード入力を行い、マウスの移動やマウス ボタンのクリックを行い、コンピュータに表示される内容を予想と比較し、テストの結果を分析できるようファイルに保存することができます。テストをリンクしておくと、1つのテストが正しく終了したときに次のテストが開始されます。操作と検証が含まれるため、自動テストは手動によるテストより高速で、信頼性も高いものになります。

親トピック: Silk Test Workbench の概要


テスト戦略

ビジュアル テストやスクリプトなどの Silk Test Workbench 資産を作成してアプリケーションのテスト ソリューションを構築する前に、テスト戦略を立てることをお勧めします。

1 つのビジュアル テストまたはスクリプトに特定のテスト ソリューションのすべての部分を含める必要はありません。また、通常、そうすることは有益ではありません。

通常、最も効率のよいテスト方法は、モジュール式アプローチを採用したものです。 アプリケーション テストを一連のトランザクション単位として考えます。

たとえば、オンライン発注システムのテストには、以下のようなトランザクション単位が含まれるかもしれません。

  • オンライン システムへのログオン

  • 顧客プロファイルの作成

  • 注文の発注

  • オンライン システムのログオフ

1つのテストでこれらの単位をすべて処理し、このテストを使用するシナリオが10通りある場合、それらのシナリオを処理するために10個の別々のテストを記録する必要があります。 アプリケーションに何らかの変更があった場合、たとえば、ログオン ウィンドウにフィールドが1つ追加された場合、新しいフィールドへのデータ入力を処理するために10個の別々のテストに変更が必要になります。

これらのトランザクション単位をすべてテストするビジュアル テストまたはスクリプトを 1 つ作成して、それをシナリオごとに 10 個作成するよりも、これらのトランザクション単位を 1 つずつ処理する別個のテストをテスト「モジュール」として作成する方が有益です。 トランザクション単位ごとに別々のテストを作成し、それをテスト シナリオごとに再利用すれば、ログオン トランザクション単位を処理するテストだけを変更すればよいことになります。

ドライバ スクリプトを実行すると、各テストが連続して呼び出されて実行されます。

モジュール式アプローチでは、在庫確認のテストを行う追加のテストを 1 つ作成し、それが適切な順序で呼び出されるようにドライバ スクリプトを更新できます。 以下の例は、別々のスクリプトを呼び出してオンライン発注システムをテストするドライバ スクリプトを示しています。

Workbench.RunScript ("OnlineLogOn_Script")
Workbench.RunScript ("CreateProfile_Script")
Workbench.RunScript ("ValidateStock_Script")
Workbench.RunScript ("PlaceOrders_Script")
Workbench.RunScript ("OnlineLogOff_Script")

このようなモジュール式のテスト戦略を実施すると、テスト フローの変更も容易です。

たとえば、注文発注前の在庫確認など、オンライン発注システムのテストに追加のトランザクション単位が必要になった場合、10個の異なるテスト シナリオがあれば、在庫確認を処理する10個のスクリプトを変更しなければなりません。

このようなモジュール式アプローチは、再利用性は向上しますが、毎回異なるデータを使用して一連のトランザクション単位を複数回繰り返すようなテスト戦略を要する、異なるテスト「シナリオ」に対応するには十分とは言えません。 アクティブ データを使用すると、外部データ ソースを使用して、アプリケーション テストでのモジュール式テスト スクリプトの再利用を促進できます。

また、ソリューションをテストするためにドライバ スクリプトから関数を呼び出すこともできます。関数は、他のアプリケーション テストで再利用することができます。

親トピック: Silk Test Workbench の概要


別の場所にあるデータベースの利用について

分散環境で Silk Test Workbench を使用する場合、つまり、広域ネットワーク上で Silk Test Workbench クライアントから Silk Test Workbench の中央データベースにアクセスする場合、次の問題が発生する可能性があります。
  • Silk Test Workbench クライアントとデータベース サーバー間での高レイテンシ。
  • データベースへの多くのリクエストによるネットワーク トラフィックの増大。

このような分散環境では、Micro Focus では次のようなベスト プラクティスの適用をお勧めします。

  • プロジェクト サイズを小さく保つ。これにより、アセット ブラウザ の使用時などに、Silk Test Workbench クライアントとデータベース サーバー間でデータ転送量が増大するのを防ぎます。
  • リモートでのテスト結果の表示を避ける。
  • 可能な限り、中央データベースからプロジェクトをエクスポートしてオフラインで作業する。これを行うには、Silk Test Workbench ユーザーは、どの資産を読み取り専用として扱うか、どの資産を誰が更新するか、など調整する必要があります。さらに、中央データベースの資産をリモートのクライアントにインポートする必要があります。
  • 仮想マシンやリモート デスクトップ接続を使用して、中央データベースにアクセスする。
親トピック: Silk Test Workbench の概要


Silk Test Workbench ドキュメント

Silk Test Workbench をマシンにインストールすると、(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > ドキュメント、または (Microsoft Windows 10) スタート > Silk をクリックしてドキュメントにアクセスできるようになります。

Silk Test Workbench ドキュメント セットには、以下のものが含まれています。

Silk Test インストール ガイド

Silk Test Workbench のシステム要件とインストール手順について説明しています。さらに、基本的なセットアップと Silk Test Workbench データベースの作成、構成、および接続方法についても詳しく説明しています。Silk Test インストール ガイド には、SupportLine の Silk Test のドキュメント からオンラインでアクセスすることもできます。

Silk Test リリース ノート

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

Silk Test Workbench ヘルプ

Silk Test Workbench 製品の使用方法に関する情報と Silk Test Workbench の言語リファレンスを提供します。

Silk Test チュートリアル

これらのチュートリアルには、特定のアプリケーション タイプを Silk Test でテストする方法や、Silk Test の特定の機能を使用する方法が記載されています。ローカルのインストール フォルダにあるチュートリアルのほかに、最新のチュートリアルを SupportLine の Silk Test のドキュメント からダウンロードすることもできます。

親トピック: Silk Test Workbench の概要


Silk Test Workbench の新機能

Silk Test Workbench では、以下の新しい機能がサポートされています。

  • 仮想テスト環境のサポート
    Silk Central を介して、クラウド ベースのデバイスやブラウザーを自動テストに使用できるようになりました。
  • Microsoft Edge の記録方法の改善
    Microsoft Edge 上での操作の記録における機能が追加されました。
  • ユーザビリティーの改善
    Silk Test18.5 に導入されたユーザビリティーの改善点を示します。
  • API の改善
    Silk Test 18.5 に導入された API の改善点を示します。
  • 使用技術の更新
    Silk Test 18.5 に対して行われた重要な使用技術の更新をリストします。
親トピック: はじめに
関連概念
はじめに


仮想テスト環境のサポート

Mobile Center や Sauce Labs で管理しているモバイル デバイスやブラウザー上で、モバイル テストや Web テストを実行できるようになりました。Mobile Center や Sauce Labs との統合を Silk Central で設定すれば、リモート デバイスやブラウザー上でテストを開始できます。

親トピック: Silk Test Workbench の新機能
関連タスク
Mobile Center デバイスの使用
Sauce Labs デバイスの使用


Microsoft Edge の記録方法の改善

Google Chrome や Mozilla Firefox 上での操作の記録時に利用できるすべての機能を、Microsoft Edge 上での操作の記録時に利用できるようになりました。

親トピック: Silk Test Workbench の新機能


ユーザビリティーの改善

このセクションでは、Silk Test18.5 に対して行われたユーザビリティーの改善点の一覧を提供します。

複雑な埋め込み Chrome アプリケーションのテスト

UI に単一のブラウザー ウィンドウ以外のコントロールを持つ埋め込み Chrome アプリケーションをテストできるようになりました。たとえば、複数のブラウザー ウィンドウを持つアプリケーションや、Win32 ベースの UI コントロールを含んだアプリケーションをテストできます。また、WeChat アプリのテストも Silk Test Workbench でできるようになりました。

アクティブ データ資産の行数と列数の取得

Silk Test Workbench のビジュアル テストに、アクティブ データ資産の行数や列数を取得する新しい 2 つのテスト ステップが追加されました。たとえば、アクティブ データ資産の行全体を繰り返しループして実行するときに、この新しい機能を使うと、ループで繰り返した行数と資産の実際の行数を比較し、テスト結果に結果コメントとしてこの情報を追加することができます。

大規模資産のエクスポートとインポート

作業中のマシンの CPU やメモリ サイズに依存せずに、Silk Test Workbench 上で大規模な資産のインポート/エクスポートを実行できるようになりました。

AUT コマンド ライン引数の指定

Silk Test Workbench の STW.EXE コマンド ラインを使用してテストを実行するとき、commandlineargs パラメーターを使用して、テスト対象アプリケーション（AUT）のコマンド ライン引数をテストに渡すことができるようになりました。

プロパティの値を使用した待機

Silk Test Workbench のビジュアル テストの再生とテスト対象アプリケーション（AUT）間の同期を取るために、AUT のコントロールのプロパティが特定の値になるまで待機するテスト ステップを、ビジュアル テストに追加できるようになりました。

検証するコントロールのロケーターの手動入力

Silk Test Workbench の テスト ロジック デザイナー でコントロールのプロパティの検証時に、手動でロケーターを入力できるようになりました。コントロール名 フィールドにコントロールの完全 XPath ロケーターを入力すると、Silk Test Workbench はテスト対象アプリケーションから指定したコントロールを検索し、その結果で プロパティの選択 リストを更新します。ユーザーは、検証するコントロールのプロパティをリストから選択できます。

個々の資産のパージ

Silk Test Workbench の 資産のバージョンをパージ ウィザードが新しくなり、個々の資産をパージすることができるようになりました。これにより、本当に削除したい資産とバージョンだけを削除できるようになりました。たとえば、特定のビジュアル テストが毎日結果を生成しているような場合は、そのテストの結果資産の古いバージョンだけを指定してパージすることができます。

親トピック: Silk Test Workbench の新機能


API の改善

このセクションでは、Silk Test 18.5 に対して行われた API の改善点の一覧を提供します。

Web アプリケーションのページ ソースの取得

GetPageSource メソッドを使用して、Web アプリケーションのページ ソースを取得できるようになりました。

システム関数（SystemFunctions）

Open Agent をホストする OS をテスト スクリプトが操作するため、OS のシステム関数の呼び出しが Silk Test クライアントに追加されました。この呼び出しは、SystemFunctions クラスから利用できます。

モバイル オブジェクトのダブルクリック

DoubleClick メソッドを使用して、モバイル オブジェクトをダブルクリックできるようになりました。

親トピック: Silk Test Workbench の新機能


使用技術の更新

このセクションでは、Silk Test 18.5 に対して行われた重要な使用技術の更新をリストします。

  • macOS の新しいバージョン
    Silk Test は、macOS High Sierra (10.13) をサポートするようになりました。
  • iOS の新しいバージョン
    Silk Test に iOS の最新のバージョンのサポートが追加されました。
  • Android の新しいバージョン
    Silk Test に Android の最新のバージョンのサポートが追加されました。
  • Mozilla Firefox の新しいバージョン
    Silk Test は、Mozilla Firefox の新しいバージョンで、記録と再生がテストされました。
  • Google Chrome の新しいバージョン
    Silk Test は、Google Chrome の次のバージョンでテストされました。
  • Apple Safari の新しいバージョン
    Silk Test は、Apple Safari の新しいバージョンでテストされました。
  • Microsoft Edge の新しいバージョン
    Silk Test は、Microsoft Edge の新しいバージョンで、記録と再生がテストされました。
  • SAPGUI クライアントの新しいバージョン
    Silk Test は、SAPGUI クライアント 7.50 をサポートするようになりました。
  • Java SWT の新しいバージョン
    Silk Test は、Java SWT 4.7 をサポートするようになりました。
  • Microsoft SQL Server の新しいバージョン
    Silk Test Workbench は、Microsoft SQL Server 2017 をサポートするようになりました。
親トピック: Silk Test Workbench の新機能


macOS の新しいバージョン

macOS High Sierra (10.13) 上で、Apple Safari または iOS のすべての既存の機能テスト、回帰テスト、ローカライズ テストをそのまま活用できます。

親トピック: 使用技術の更新


iOS の新しいバージョン

Silk Test の前のバージョンでテストされた iOS のバージョンに加えて、Silk Test は iOS 11 でもテストされました。

親トピック: 使用技術の更新


Android の新しいバージョン

Silk Test の前のバージョンでテストされた Android のバージョンに加えて、Silk Test は Android 8 でもテストされました。

親トピック: 使用技術の更新


Mozilla Firefox の新しいバージョン

Silk Test の前のバージョンでテストされた Mozilla Firefox のバージョンに加えて、Silk Test は Mozilla Firefox の次の新しいバージョンでテストされました。
  • Mozilla Firefox 55
  • Mozilla Firefox 56
注: このリストには、Silk Test 18.5 のリリースまでに Silk Test 18.5 でテストされた Mozilla Firefox の新しいバージョンが含まれます。Mozilla Firefox の新しいバージョンが、Silk Test 18.5 のリリースより後にリリースされた場合でも、ブラウザー側で互換性が保たれていれば、Silk Test 18.5 は新しいバージョンを使用してテストできます。
親トピック: 使用技術の更新


Google Chrome の新しいバージョン

Silk Test の前のバージョンでテストされた Google Chrome のバージョンに加えて、Silk Test は Google Chrome の次のバージョンでテストされました。
  • Google Chrome 60
  • Google Chrome 61
  • Google Chrome 62
注: このリストには、Silk Test 18.5 のリリースまでに Silk Test 18.5 でテストされた Google Chrome のバージョンが含まれます。Google Chrome の新しいバージョンが Silk Test 18.5 のリリースより後にリリースされた場合でも、ブラウザー側で互換性が保たれていれば、Silk Test 18.5 は新しいバージョンを使用してテストできます。
親トピック: 使用技術の更新


Apple Safari の新しいバージョン

Silk Test の前のバージョンでテストされた Apple Safari のバージョンに加えて、Silk Test は Apple Safari 11 でもテストされました。

親トピック: 使用技術の更新


Microsoft Edge の新しいバージョン

Silk Test の前のバージョンでテストされた Microsoft Edge のバージョンに加えて、Silk Test は、ビルド 10.0.16299.19（Windows 10 Fall Creators Update の Microsoft Edge バージョン）を使用して、記録と再生がテストされました。

親トピック: 使用技術の更新


SAPGUI クライアントの新しいバージョン

Silk Test は、SAPGUI クライアント 7.50 をサポートするようになりました。

親トピック: 使用技術の更新


Java SWT の新しいバージョン

Silk Test は、Java SWT 4.7 スタンドアロンおよび Rich Client Platform (RCP) アプリケーションをサポートするようになりました。

親トピック: 使用技術の更新


Microsoft SQL Server の新しいバージョン

Silk Test Workbench は、Microsoft SQL Server 2017 をサポートするようになりました。

親トピック: 使用技術の更新


プロジェクトの管理

プロジェクトは資産のコレクションであり、各プロジェクトではアクセス権限を各ユーザーに割り当てます。Silk Test Workbench 環境の管理者が行うタスクの 1 つに、プロジェクト リストの管理があります。資産を論理的に関連付けたプロジェクトとしてまとめて保管します。たとえば、特定のアプリケーションまたはビルドに関連付けられた資産をすべて一緒に、1 つのプロジェクトに保管できます。

管理者は、プロジェクトを作成して、Silk Test Workbench データベースに追加できます。作成した新しいプロジェクトのアクセス権は、各ユーザーに設定された [デフォルトの権限] が割り当てられます。資産を別々のプロジェクトに保管すると、セキュリティのレベルを変えることができます。たとえば、プロジェクト 1 はフル アクセス権、プロジェクト 2 は読み取り専用、プロジェクト 3 はアクセス不可、のように設定できます。

現在のユーザーには、アクセス権を割り当てられているプロジェクトの資産だけが表示されます。資産は、アセット ブラウザ を使用して表示および管理します。

注: Silk Test Workbench が提供する機能を最適に使用するには、同じテストで複数のアプリケーションをテストする場合を除き、テストするアプリケーションごとに個別のプロジェクトを作成します。

Common プロジェクト

デフォルトのプロジェクトは Common プロジェクトです。これは、複数のプロジェクトで使用される資産の中央リポジトリとして機能します。Common プロジェクトの資産は、他のすべてのプロジェクトで使用できます。Common プロジェクトはデフォルトでアクティブ プロジェクトになっています。

アクティブ プロジェクト

新しく作成される資産は、アクティブ プロジェクトとして設定されているプロジェクトに追加されます。アクティブ プロジェクトが Common プロジェクトでないかぎり、アクティブ プロジェクトに追加された資産はそのプロジェクトでしか使用できません。アクティブ プロジェクトが Common プロジェクトである場合、その資産は、その他のすべてのプロジェクトで使用できます。

注: プロジェクト内の資産は、別のプロジェクト内の資産にはアクセスできません。ただし、Common プロジェクトは唯一の例外です。すべてのプロジェクトの資産は Common プロジェクト内の資産にアクセスできます。ただし、その逆はできません。
  • プロジェクトの表示
    表示しているプロジェクトを変更し、他のプロジェクトに含まれているテスト資産を参照します。
  • プロジェクトの追加
    プロジェクトを使用すると、テスト ケースを論理的なグループに整理できます。
  • プロジェクト名の変更
    Silk Test Workbench プロジェクト名は編集可能です。
  • プロジェクトの複製
    プロジェクトのベースラインを作成する場合など、プロジェクトを複製して、プロジェクトの完全なコピーを作成することができます。
  • プロジェクトの削除
    Silk Test Workbench データベースのサイズを抑制するために、不要なプロジェクトを削除できます。
親トピック: はじめに
親トピック: Silk Test Workbench の管理
関連タスク
プロジェクトの追加


プロジェクトの表示

アセット ブラウザ では、表示 ダイアログ ボックスで選択したプロジェクトとアクティブ プロジェクトに属するテスト資産がすべて表示されます。アクセスできるプロジェクトのテスト資産のみを表示できます。

デフォルトでは、新しい資産は常にアクティブ プロジェクトに追加され、そのプロジェクトでだけ使用できます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > タスク に移動して、アセット ブラウザ をクリックします。 アセット ブラウザ が開きます。
  2. アクティブ プロジェクトを変更するには、アセット ブラウザ ツールバーの 表示 をクリックします。 プロジェクトの資産の表示 ダイアログ ボックスが開き、現在のユーザーがアクセスできるプロジェクトのリストが表示されます。
  3. 表示する資産を持つプロジェクトのチェック ボックスをオンにし、OK をクリックします。 アセット ブラウザ には、選択したすべてのプロジェクトに含まれているテスト資産が表示されます。アクティブ プロジェクトの資産は常に表示されます。
親トピック: プロジェクトの管理


ショートカット キー

標準の Windows メニュー コマンド以外に、多くのコマンドにキーの組み合わせが関連付けられており、キー入力によってコマンドを実行できます。通常、Ctrl または Alt キーを押しながら、該当するコマンド メニューの下線付きの文字を押します。

コマンドのメニュー ショートカット キー

ショートカット キー | 実行される操作
Alt+F9 | 選択したオブジェクトを使用して、記録中にビジュアル テストまたはスクリプトに検証を挿入します。
Alt+F10 | 記録を開始または停止します。
Alt+Enter | ビジュアル テストまたはスクリプトから 要約情報 ダイアログ ボックスを表示します。
Ctrl+Alt | ビジュアル テスト (記録または再生中) またはスクリプト (記録中) に検証を挿入します。
Ctrl+F8 | 現在選択されているテスト ステップまでビジュアル テストを再生するか、または現在選択されているステートメントまでスクリプトを再生します。
Ctrl+F9 | 次のステートメントまたはポインタまで再生を実行します。デバッグ モードの場合に有効になります。
Ctrl+K | スクリプトで現在選択されている行 (複数) をコメント アウトして無効化します。コード ブロック全体をコメント アウトするために、このショートカットを使用できます。また、Ctrl+F11 を使用することもできます。
Ctrl+N | 新規作成 ウィンドウを表示し、任意の種類の資産を作成することができます。
Ctrl+O | アセット ブラウザ を開き、資産を開くことができます。前回作業した資産の種類が強調表示されます。
Ctrl+P | [印刷] ダイアログ ボックスを表示して、選択した資産を印刷できます。
Ctrl+S
  • 資産の現在の状態を資産の新しいバージョンとして保存し、増分の数値識別子をそのバージョンに割り当てます。ショートカット キーの組み合わせは、デフォルトの保存動作が 新しいバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。
  • 資産の現在の状態を資産の現在のバージョンとして保存します。ショートカット キーの組み合わせは、デフォルトの保存動作が 現在のバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。このコマンドは、資産を最初に保存するときは無効です。
Ctrl+Y | テスト スクリプトの直前の 元に戻す 操作を無効にします。ビジュアル テストでは利用できません。
Ctrl+Z | テスト スクリプトで直前に加えた編集内容を元に戻します。ビジュアル テストでは利用できません。
Ctrl+Alt+A | アセット ブラウザ を開きます。
Ctrl+Alt+I | 選択したオブジェクトのロケーターを記録できる オブジェクトの識別 ダイアログ ボックスを開きます。
Ctrl+Alt+S | 開始画面 を表示します。
Ctrl+Shift+F2 | 前回の位置を表示します。
Ctrl+Shift+F8 | 別のビジュアル テストから再生しているビジュアル テスト内の残りのステップをすべて実行したあと、元のビジュアル テスト内の次のステップで再生が一時停止します。スクリプトの場合は、プロシージャ内の残りすべてのコードを 1 つのステートメントのように実行し、そのプロシージャを最初に呼び出したプロシージャ内の次のステートメントに移ります。
Ctrl+Shift+F9 | すべての開いているビジュアル テストと VB .NET スクリプトのすべてのブレークポイントをクリアします。
Ctrl+Shift+K | スクリプトで現在選択されている行 (複数) のコメントを解除して有効化します。
Ctrl+Shift+L
  • 開いているすべての資産の現在の状態を資産の新しいバージョンとして保存し、各資産のバージョン識別子をインクリメントします。ショートカット キーの組み合わせは、デフォルトの保存動作が 新しいバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。
  • 開いているすべての資産の現在の状態を資産の現在のバージョンとして保存します。ショートカット キーの組み合わせは、デフォルトの保存動作が 現在のバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。このコマンドは、資産を最初に保存するときは無効です。
Ctrl+Tab | ユーザー インターフェイスで開いているウィンドウを切り替えます。
Ctrl+Space | 単語を補完します。
Del | 選択した資産を削除します。
F1 | 特定の項目のヘルプを表示します。
F2 | プロパティ ペインで選択したパラメータの種類に応じて、スクリプト入力パラメータの編集 または スクリプト出力パラメータの編集 ダイアログ ボックスを表示します。
F4 | プロパティを表示します。
F5 | アクティブなビジュアル テストまたはスクリプトを再生します。
F7 | スクリプトの構文がコンパイルのすべての条件を満たしているかをチェックし、コードをコンパイルし、エラーが発生した場合は表示します。
F8 | ビジュアル ステップの場合、テスト ステップを一度に 1 つずつ再生します。スクリプトの場合、ステートメントを一度に 1 つずつ再生します。
F9 | 選択したステップまたはコード行にブレークポイントを設定するか、または選択したステップまたはコード行に設定されているブレークポイントをクリアします。
Shift+F2 | 定義を表示します。
Shift+F8 | 埋め込まれているビジュアル テストまたはスクリプト全体を再生し、元のビジュアル テストまたはスクリプト内の次のステップで停止してデバッグ モードになります。VB .NET スクリプトで押下された場合は、関数呼び出しのステップ オーバーも行います。
親トピック: はじめに


チュートリアル

Silk Test Workbench チュートリアルでは、Silk Test Workbench を使用してアプリケーションをテストする基本的な方法を、ご自身のペースで学習することができます。 また、チュートリアルでは、テスト アプリケーションのさまざまな条件を処理するパワフルで柔軟なテストを作成したり、再生中に発生した詳細を正確にレポートしたりするための高度な機能もいくつか紹介しています。

チュートリアルではハンズオン デモが提供されており、Silk Test Workbench と直接対話しながら現実の世界のシナリオを使ってサンプル アプリケーションをテストします。

注: Silk Test Workbench チュートリアルで使用されているサンプル アプリケーションは、Internet Explorer に合わせて設計され、最適化されています。 チュートリアルのレッスンと同じユーザー体験を得るには、Internet Explorer 以外のサポート対象ブラウザでチュートリアル サンプル アプリケーションを実行しないでください。
  • Silk Test Workbench ビジュアル テスト チュートリアル
    ビジュアル テスト チュートリアルについて説明します。
  • Silk Test Workbench スクリプト チュートリアル
    スクリプト チュートリアルについて説明します。
親トピック: はじめに


Silk Test Workbench ビジュアル テスト チュートリアル

Silk Test Workbench ビジュアル テスト チュートリアルにようこそ。ご自身のペースで学習できるこのチュートリアルでは、Silk Test Workbench のビジュアルでストーリーボードベースのインターフェイスを使用して、パワフルで柔軟性の高い機能テストを作成する方法について説明します。 このチュートリアルでは、ビジュアル テストの作成、ビジュアル テストの再生、および再生結果の分析に必要な基本ステップについて学習します。 また、多数の機能を使用して、記録したビジュアル テストをすばやく更新および拡張する方法についても学習します。

このチュートリアルでは、Silk Test Workbench を使用して繰り返し可能なテストを作成する練習をするための Silk Test サンプル Web アプリケーション http://demo.borland.com/InsuranceWebExtJS/ を使用します。

各レッスンは前のレッスンの出力に基づいて進められるため、チュートリアルのレッスンは順番に完了してください。

  • GUI の概要
    メイン画面、開始画面、およびビジュアル ナビゲータについて説明します。
  • ビジュアル テストの記録開始画面
    テストを記録する方法、記録したビジュアル テストをビジュアル ナビゲータで表示する方法、およびテストを再生する方法を示します。
  • 結果の分析：概要
    結果の確認方法について説明します。
  • ビジュアル テストの拡張：概要
    既存のビジュアル テストを拡張し、よりパワフルで堅牢かつ柔軟なビジュアル テストを作成するために Silk Test Workbench で使用できる例を示します。
  • ビジュアル テスト内でのビジュアル テストの実行:概要
    共通する操作のセットをまとめる処理の概要について説明します。
  • 再生エラーへの対応：概要
    デバッグ機能を使用してエラーを診断し、修正する方法について説明します。
  • アクティブ データの使用
    アクティブ データ資産を作成する方法、および外部データ ソースのデータを使用してアプリケーションのテストを拡張する方法を示します。
  • ビジュアル テストからのスクリプトの再生
    モジュール式テストを作成してビジュアル テストの機能を拡張する方法を紹介します。乱数を生成し、その乱数をビジュアル テストに戻すスクリプトをビジュアル テストで再生します。
親トピック: チュートリアル


GUI の概要

このセクションでは、メイン画面、開始画面、およびビジュアル ナビゲータを含めた GUI について説明します。 このセクションはオプションです。 すでに開発環境の基本要素をご存知の場合は、次のレッスンに進んでください。

  • Silk Test Workbench のメイン画面
    メイン画面で使用できる UI 要素について説明します。
  • 開始画面
    開始画面 の内容を定義します。
  • ビジュアル ナビゲータ
    ビジュアル ナビゲータ の概要について説明します。
親トピック: Silk Test Workbench ビジュアル テスト チュートリアル


Silk Test Workbench のメイン画面

Silk Test Workbench のメイン画面は、テストにかかわるすべての操作の開始点になります。 メニューバーを除き、デスクトップに表示される項目はすべてユーザーが制御できます。

開始画面、ビジュアル ナビゲータ、アセット ブラウザなど、Silk Test Workbench のその他すべてのウィンドウは、Silk Test Workbench のメイン画面の子ウィンドウとして表示されます。

Silk Test Workbench のメイン画面には以下の要素が含まれます。

  • メニューバー
  • ツールバー
  • メインのテスト資産表示領域
  • ステータスバー

以下の図は、Silk Test Workbench のメイン画面のこれらの要素を示しています。 メインのテスト資産表示領域では、ビジュアル ナビゲータにビジュアル テストが表示され、背景にアセット ブラウザが表示され、開始画面が最小化されて表示されています。

親トピック: GUI の概要


開始画面

開始画面 は、Silk Test Workbench の機能を使い始める拠点であり、アプリケーションのテスト ソリューションをすばやく作成し始めることができます。

アプリケーションのテストをすばやく、最低限の手順で開始できるようにするため、開始画面 には次の領域が含まれています。

領域
説明
開始
ビジュアル テスト、.NET スクリプト、キーワード駆動テストをワンクリックで記録したり、開いたりできます。
資産
最近使ったビジュアル テスト、.NET スクリプト、キーワード駆動テストをワンクリックで開くことができます。最近使った資産のリストは、リアル タイムで更新されるので、変更や更新により、現在の資産がリストの先頭に移動します。資産の右側にあるアイコンをクリックすることによって、資産を再生したり、資産の最後の実行結果を表示したりすることができます。
注: 開始画面 設定 (ツール > オプション > 開始画面) では、最近使った資産のリストに表示する項目の数を制御できます。
新機能

Silk Test Workbench の現在のバージョンに含まれている新しい機能や機能強化を一覧します。Silk Test Workbench の更新が利用可能な場合も、ここに表示されます。

注: Silk Test Workbench の起動時に開始画面を表示しないように選択している場合、ヘルプ > 製品更新の確認 をクリックして利用可能な更新を確認できます。
入門ガイド
生産性向上のため、広く使われるタスクや有用なヘルプ トピックへの直接リンクを提供します。
リソース
サポート技術情報や Silk Test コミュニティなどの Silk Test Workbench に関連した情報へのリンクを提供します。
お知らせとコミュニティ
Silk Test コミュニティの最新のフォーラム記事とブログ投稿へのリンクを提供します。
フラグ
ビジュアル テストのテスト ステップ、およびフラグが付けられてフォローアップ対象として割り当てられた結果が表示されます。フラグ ペインを使用すると、テスト スイートやテスト プロジェクトについての情報を交換でき、データベースのテスト プロジェクトのほかのテスト担当者やユーザーと共同作業が行えます。

デフォルトでは、フラグは作成日および表示される資産で分類されます。フラグの情報をすばやく表示するには、マウスのポインタをフラグの上に移動します。フラグの説明、更新データ、プロジェクト、フラグが割り当てられているユーザーのIDを示すツール ヒントが表示されます。開始画面のフラグ オプション (ツール > オプション > 開始画面 > フラグ) を変更して、フラグの表示方法を変更できます。

フラグに関連付けられているビジュアル テストまたは結果を開くには、フラグ ペインでフラグをダブルクリックします。

注: フラグ ペインは、少なくとも 1 つのフラグがログインしているユーザーに割り当てられているか、少なくとも 1 つのフラグがフィルタで表示されるように設定されている場合にのみ、開始画面 に表示されます。

開始画面 の 右上隅にあるウィンドウの 閉じる をクリックすると、開始画面 を閉じることができます。

ヒント: ツール バーの 開始画面 をクリックすることで、メイン画面から 開始画面 にいつでもアクセスできます。また、いつでも Ctrl+Alt+S を押すか、または 表示 > 開始画面 を選択して、開始画面を表示できます。
注: ユーザー インターフェイスは、Windows 標準の大きいフォントや小さいフォントを使用します。カスタムのフォント サイズを使用すると、ユーザー インターフェイスのテキスト表示が不正確になる可能性があります。
親トピック: GUI の概要
親トピック: UI トピック
関連概念
アセット ブラウザ
[オブジェクトの識別] ダイアログ ボックス
関連タスク
開始画面からのビジュアル テストの記録
既存のビジュアル テストを開く
ログオン
開始画面オプションの変更


ビジュアル ナビゲータ

ビジュアル ナビゲータ は、ビジュアル テストの要素をグラフィカルに表すものであり、ポイント アンド クリック インターフェイスを通して各要素を操作できます。ビジュアル ナビゲータ では、ビジュアル テストに関する情報が 4 つのペインに表示されます。4 つのペイン全体でビジュアル テストの各ステップを総合的に把握できます。

4 つのペインは以下のとおりです。

テスト ステップ

ビジュアル テストの各ステップが技術的ではない明確な言語で示されます。

画面プレビュー

ビジュアル テストの再生中に実行されるステップに応じてテスト対象アプリケーションのスナップショットが表示されます。

プロパティ

ビジュアル テストのステップのプロパティが表示されます。

ストーリーボード

サムネイル イメージを使用してビジュアル テストのフローが表示されます。サムネイルは、ビジュアル テストのステップの論理グループを表します。

注:
Silk Test Workbench では、スナップショットは以下のような状況のときに取得されます。
  • 記録中のすべての自動テスト ステップの前。
    注: SAP アプリケーションの場合、スナップショットはすべての自動テスト ステップの前ではなく、画面が変わったときに発生します。
  • ビジュアル テストで Using ステップを実行した結果のスナップショット。
  • 再生エラーが発生した場合。

画面プレビュー、ストーリーボード、および プロパティ ペインは テスト ステップ ペインと同期され、テスト ステップ ペインで選択したステップに関する情報が表示されます。このように、テスト ステップ ペインでステップを選択し、他のペインでそのステップに関する情報を確認することで、ステップのすべての側面を簡単に把握できます。

ビジュアル ナビゲータ では、ビジュアル テストを表示するだけでなく、画面プレビュー ペインと プロパティ ペインを使用して既存のビジュアル テストを拡張または更新することもできます。たとえば、ビジュアル テストを記録したあと、プロパティ ペインで、記録したプロパティのリテラル値を変数に置き換えることができます。また、テスト対象アプリケーションに変更が発生したときにビジュアル テストをすばやく更新する場合は、画面プレビュー の 画面の更新 機能を使用して、以前にキャプチャした画面を更新できます。

ビジュアル ナビゲータ では、ビジュアル テストに使用するのと同じペインを使用して、ビジュアル テストの再生結果も表示します。結果の場合、これらのペインには機能が付加され、結果 ウィンドウ内に表示されます。ウィンドウにはツールバー オプションと複数のタブが表示されます。各タブには結果のさまざまな内容が表示されます。結果に固有の追加機能として、たとえば、テスト ステップ ペインに各ステップのステータス（合格または失敗）を表示する機能があります。さらに、画面プレビュー では、記録中にキャプチャされた画面と再生中にキャプチャされた画面の違いを比較し、テスト アプリケーションにアクセスすることなく、既存のビジュアル テストを更新できます。

  • [ビジュアル ナビゲータ]：[テスト ステップ] ペイン
    ビジュアル ナビゲータ の テスト ステップ ペインの内容について説明します。
  • [ビジュアル ナビゲータ]：[画面プレビュー]
    ビジュアル ナビゲータ の 画面プレビュー ペインの内容について説明します。
  • [ビジュアル ナビゲータ]：[プロパティ]
    ビジュアル ナビゲータ の プロパティ ペインの内容について説明します。
  • [ビジュアル ナビゲータ]：[ストーリーボード]
    ビジュアル ナビゲータ の ストーリーボード ペインの内容について説明します。
  • ビジュアル ナビゲータのレイアウトのカスタマイズ
    ビジュアル ナビゲータ の 画面プレビュー ペイン、プロパティ ペイン、および ストーリーボード ペインは、ドッキングしたり、非表示にしたり、サイズを変更したりできます。
親トピック: GUI の概要
親トピック: UI トピック


ビジュアル テストの記録開始画面

サンプル Web アプリケーションで保険の見積もりを作成するための操作を行うと、Silk Test Workbench はそれらの操作をステップとして記録します。ステップはビジュアル テストの基礎となります。テストに必要な操作の記録を完了すると、ビジュアル ナビゲータに記録されたテストが表示されます。ステップは、ビジュアル ナビゲータの [テスト ステップ] ペインに表示されます。

注: このチュートリアルで使用されているサンプル アプリケーションは、Internet Explorer に合わせて設計され、最適化されています。チュートリアルのレッスンと同じユーザー体験を得るには、Micro Focus は Internet Explorer 以外のサポート対象ブラウザでチュートリアル サンプル アプリケーションを実行することをお勧めしません。
注: Web アプリケーションを記録または再生する前に、システムにインストールされているすべてのブラウザ アドオンを無効にします。Internet Explorer でアドオンを無効にするには、ツール > インターネット オプション をクリックし、プログラム タブをクリックし、アドオンの管理 をクリックし、アドオンを選択してから 無効にする をクリックします。
  • サンプル Web アプリケーションの起動
    このチュートリアルでは、Internet Explorer で Silk Test サンプル Web アプリケーションを使用します。
  • サンプル Web アプリケーションに対するビジュアル テストの記録
    サンプル Web アプリケーションでテストする操作を記録します。
  • ビジュアル テストの保存と名前の指定
    ビジュアル テストを保存します。
  • 記録されたテスト ステップの確認
    ビジュアル ナビゲータでビジュアル テストを確認します。
  • 記録されたビジュアル テストの再生
    ビジュアル テストを記録し、保存したら、再生して、ビジュアル テストが適切に動作することを確認できます。
親トピック: Silk Test Workbench ビジュアル テスト チュートリアル


サンプル Web アプリケーションの起動

このチュートリアルでは、Silk Test サンプル Web アプリケーションを使用します。この Web アプリケーションは、デモ用に提供されています。

Internet Explorer で、Silk Test サンプル Web アプリケーションを使用します。チュートリアルのレッスンと同じユーザー体験を得るには、Internet Explorer 以外のサポート対象ブラウザでサンプル Web アプリケーションを実行しないでください。

  1. テストの速度と信頼性を高めるために DOM 関数を記録するには、以下のステップを実行します。
    1. ツール > オプション をクリックします。
    2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
      記録 オプションが右側のパネルに表示されます。
    3. xBrowser をクリックします。
    4. ネイティブなユーザー入力を記録する リスト ボックスから、いいえ を選択します。
    5. OK をクリックします。
    注: 通常、Web アプリケーションをテストする場合、DOM 関数ではなく、ユーザーの入力そのものを使用します。Flash および Java アプレットなどのプラグインや、AJAX を使用するアプリケーションは、ネイティブなユーザー入力ではサポートされますが、高レベルの API 記録ではサポートされません。
  2. Web アプリケーションの記録または再生を行う前に、ブラウザのアドオンをすべて無効にする必要があります。ブラウザのすべてのアドオンを確実に無効にするには、以下のステップを実行します。
    1. Internet Explorer でツール > インターネット オプション を選択します。 インターネット オプション ダイアログ ボックスが開きます。
    2. プログラム タブをクリックし、アドオンの管理 をクリックします。 アドオンの管理 ダイアログ ボックスが開きます。
    3. アドオンのリストの 状態 列で、各アドオンの状態が 無効 になっていることを確認します。 状態 列に 有効 と表示されている場合は、アドオンを選択してから 無効にする をクリックします。
    4. 閉じる をクリックし、OK をクリックします。
  3. サンプル アプリケーションにリモートでアクセスするには、http://demo.borland.com/InsuranceWebExtJS をクリックします。 サンプル アプリケーションの Web ページが開きます。
親トピック: ビジュアル テストの記録開始画面
親トピック: スクリプトの記録：概要


サンプル Web アプリケーションに対するビジュアル テストの記録

記録中は、記録を停止するまで、テスト アプリケーションでのすべての操作（SilkTest Workbench の操作は除く）が Silk Test Workbench によって記録されます。記録が完了したら、生成したビジュアル テストを変更して、ステップを追加したり、不要なステップを削除したりできます。

  1. このチュートリアルの後半で記録したコントロールを編集できるようにするために、ビジュアル テストを記録する前にブラウザ コントロールのキャプチャを有効化します。
    1. Silk Test Workbench メニューで、ツール > オプション を選択します。 オプション ダイアログ ボックスが開きます。
    2. ツリーから 記録 > 出力 > ビジュアル テスト を選択します。
    3. ブラウザ コントロールのキャプチャ の値を はい に設定します。
    注: Web アプリケーションの記録中にコントロールのキャプチャを有効化すると、ビジュアル テストのパフォーマンスが低下する恐れがあります。 Micro Focus では、このチュートリアルで述べるタスクを完了したら、コントロールのキャプチャを無効化することをお勧めします。
  2. ファイル > 新規作成 を選択します。
    資産の新規作成 ダイアログ ボックスが開きます。
  3. 資産の種類のリストから ビジュアル テスト を選択します。
  4. 記録をすぐに開始するために、記録の開始 チェック ボックスをオンにします。
  5. OK をクリックして、ビジュアル テストを資産として保存し、記録を開始します。
    アプリケーションの選択 ダイアログ ボックスが開きます。
  6. Web タブを選択します。
  7. リストから Internet Explorer を選択します。
  8. 移動する URL の入力 テキスト ボックスに、demo.borland.com/InsuranceWebExtJS/ を入力します。
  9. OK をクリックします。
    Silk Test Workbench が最小化され、記録中 ダイアログ ボックスが開きます。
  10. Insurance Company Web サイトでは、次のステップのいずれかを行います：
    1. Select a Service or login リスト ボックスから Auto Quote を選択します。
      Automobile Instant Quote ページが開きます。
    2. 郵便番号と電子メール アドレスを適切なテキスト ボックスに入力し、自動車タイプをクリックして、Next をクリックします。 たとえば、郵便番号に 92121、電子メール アドレスに jsmith@gmail.com をそれぞれ入力し、自動車タイプとして Car を指定します。
    3. 年齢を指定し、性別と運転履歴タイプをクリックして、Next をクリックします。 たとえば、年齢に 42 を入力し、性別と運転履歴タイプに Male および Good をそれぞれ指定します。
    4. 製造年、車種、モデルを指定し、財務情報タイプをクリックして、Next をクリックします。 たとえば、製造年に 2010 と入力し、車種とモデルに Lexus および RX400 をそれぞれ指定し、財務情報タイプとして Lease を指定します。 指定した情報の概要が現れます。
    5. Purchase をクリックします。 Purchase A Quote ページが開きます。
    6. ページ上部にある Home をクリックして、記録を開始したホーム ページに戻ります。
  11. Alt+F10 を押すか、記録中 ウィンドウで 停止 をクリックするか、Silk Test Workbench のタスクバー アイコンをクリックして、記録を停止します。
    記録完了 ダイアログ ボックスが開きます。記録完了 ダイアログ ボックスで 次回からこのメッセージを表示しない チェック ボックスがオンになっている場合、記録が停止したあとにこのダイアログ ボックスは表示されません。この場合、ビジュアル テストは テスト ステップ ペインに表示されます。
親トピック: ビジュアル テストの記録開始画面


ビジュアル テストの保存と名前の指定

テストを記録すると、記録完了 ダイアログ ボックスが開き、以下の操作を実行できます。
  • 記録したビジュアル テストを再生する
  • 記録した操作をビジュアル ナビゲータで確認する
  • ビジュアル テストを保存し、記録したテストをビジュアル ナビゲータで確認する

ビジュアル テストをはじめて記録したばかりなので、テストを再生したり、記録した操作を確認したりする前にテストを保存し、名前を付けます。

  1. 記録完了 ダイアログ ボックスで、保存 をクリックします。
    ヒント: 名前を指定せずに資産を作成すると、Silk Test Workbench により「無題_」に連番の付いた一時的な名前が割り当てられます。
    テストにまだ名前を付けていないため、名前を付けて保存 ダイアログ ボックスが開きます。
  2. 名前 テキスト ボックスで、名前を AutoQuote に変更します。
  3. 説明 テキスト ボックスに Visual test tutorial と入力します。
  4. OK をクリックします。 ビジュアル ナビゲータにビジュアル テストが表示されます。
親トピック: ビジュアル テストの記録開始画面


記録されたテスト ステップの確認

ビジュアル テストを記録し、保存すると、ビジュアル テストがビジュアル ナビゲータに表示されます。 ビジュアル ナビゲータには4つのペインがあり、ビジュアル テストの包括的なビューが提供されます。

[テスト ステップ] ペインのステップは、Web アプリケーションで見積もりを完了するときにアクセスした画面と実行した操作を表します。

記録されたステップは、以下の図に示すステップと同じようになるはずです。

[テスト ステップ] ペインには以下の列が表示されます。
列 | 説明
番号アイコン （番号）*

ステップが記録され、再生される順番を表します。 デフォルトでは、ステップはこの順番で表示されます。

ステップにデバッグのためのブレークポイントが追加されている場合は、この列の隣の列にブレークポイントが表示されます。

デフォルトのビュー（ステップと画面）から画面のみのビューまたはステップのみのビューにビューを変更した場合、番号付けの方法では、記録の順序で間隔が示されるようにステップまたは画面は順番にスキップされます。

ロジック アイコン （ロジック）* | ステップにロジックが含まれている場合、ステップのロジックのタイプを表すアイコンを表示します。
ステップ アイコン （ステップ タイプ）* | ステップで実行される操作のタイプを表すアイコンを表示します。
ステップ | ステップで実行される操作について説明します。
フラグ アイコン （フラグ）*

割り当てられたフラグ のアイコンを表示します。

割り当てられたフラグ のアイコンは、関連付けられたステップが割り当て先のユーザーの テスト ステップ ペインおよびオプションで 開始画面 ペインに表示されるように、フラグが付けられていることを示します。 さらに、ポインタをアイコンの上に移動すると、フラグの説明、更新日、および割り当て日を示すツール ヒントを表示できます。

ステップの説明アイコン （ステップの説明）*

ユーザー定義のステップの説明を表示します。 この列はデフォルトのビューには表示されません。テスト ステップ ペインのタイトル バーから 操作 をクリックし、次に 表示 > ステップの説明 をクリックすると表示できます。

ステップの説明を作成するには、ステップを選択します。 プロパティ ペインで、ステップの説明 プロパティを更新します。 ステップの説明 アイコンがこの列に表示され、ステップに説明があることが示されます。 ポインタをアイコンの上に移動して説明を含むツール ヒントを表示するか、ステップを選択して プロパティ ペインの説明を読みます。

ヒント: ビジュアル ナビゲータの他のペインは、テスト ステップ ペインと同期しています。 上の図では、記録したステップのうち、リスト ボックスから Auto Quote を選択するステップが テスト ステップ ペインで選択されています。 結果は以下のようになります。

  • 画面プレビュー には、Auto Quote を選択する前のアプリケーションの状態が示されます。

  • プロパティ ペインには、選択されたステップのプロパティが示されます。

  • ストーリーボードでは、Auto Quote リスト項目の選択に関連するステップのグループを表すサムネイルが強調表示されます。

ビジュアル テストのステップをスクロールし、さまざまなステップを選択すると、他のペインに更新した情報が表示されます。

親トピック: ビジュアル テストの記録開始画面


記録されたビジュアル テストの再生

ビジュアル テストを記録し、保存したら、再生して、ビジュアル テストが適切に動作することを確認できます。

  1. 次のいずれか 1 つのステップを行います：
    • 操作 > 再生 を選択します。
    • ツール バーで 再生 をクリックします。
    再生 ダイアログ ボックスが開きます。このダイアログ ボックスで、結果をどのように保存するかを指定できます。
  2. 結果の説明 テキスト ボックスに Initial test results for the recorded test と入力します。
  3. OK をクリックします。
  4. 再生をサポートしている複数のブラウザーがマシンにインストールされている場合、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。

各結果は、一意のテスト実行番号によって識別されます。

Silk Test Workbench が最小化され、ビジュアル テストが再生されます。再生中、サンプル アプリケーションアプリケーションに対して、ビジュアル テストの記録中に行った操作が画面上で再生されます。再生が正常に完了すると、再生完了 ダイアログ ボックスが開きます。

親トピック: ビジュアル テストの記録開始画面


結果の分析：概要

テストを再生すると、Silk Test Workbench によってテスト結果が生成されます。 テスト結果にはビジュアル テストの再生に関する情報が含まれています。 ビジュアル テストの名前、実行番号、各ステップが実行された日付と時刻、各ステップの合格／失敗のステータスなどの重要な情報が含まれます。

  • [結果] ウィンドウのタブの使用
    [結果] ウィンドウのタブを使用して、テスト結果情報をすばやく表示します。
  • [結果] ウィンドウのツールバーの使用
    [結果] ウィンドウのツールバーを使用して、表示される内容の表示と種類をカスタマイズします。
  • [プロパティ] ペインの使用
    プロパティ ペインを使用して、ステップの基本特性を示すプロパティを表示します。
  • 画面プレビューの使用
    画面プレビュー には、テスト ステップ ペインに表示された、コントロールと対話する各ステップについてキャプチャされたテスト アプリケーションのイメージが表示されます。
親トピック: Silk Test Workbench ビジュアル テスト チュートリアル
関連概念
結果の分析


[結果] ウィンドウのタブの使用

テスト結果情報をすばやく参照するために、結果 ウィンドウには、結果情報を種類別に分けて表示するフィルタの役目を果たす 5 つのタブがあります。

  1. 再生完了 ダイアログ ボックスで 結果へ移動 をクリックします。
    結果 ウィンドウが開き、デフォルトで 要約 タブが表示されます。 要約 タブには、再生が成功したかどうか、最新の実行番号、合格または失敗となったチェックまたは検証の数、テストの開始時刻と終了時刻、テストの実行結果に関するその他の基本情報などを含むテスト実行の概要が示されます。
  2. 詳細 タブをクリックします。 詳細 タブでは、ビジュアル ナビゲータの以下の 4 つのペインを使用して各ステップの結果が示されます。
    テスト ステップ

    ビジュアル テストの各ステップの再生結果に関する情報がリストされます。

    画面プレビュー

    再生中にキャプチャされた Web アプリケーションの画面が表示されます。

    プロパティ

    ステップのプロパティが表示されます。

    ストーリーボード

    結果のアウトラインと概要がグラフィカルに示されます。

    注: 合格、失敗、フラグ タブでもビジュアル ナビゲータを使用して結果情報が示されます。 違いは、詳細 タブではすべてのステップが示されるのに対し、これらのタブでは特定の種類のステップが示されるという点だけです。
  3. 任意のステップを選択します。 ステップを選択すると、Silk Test Workbench により他のペインの情報がそのステップの情報に更新されます。 画面プレビュー では、再生中にキャプチャされた画面が、ビジュアル テストを最初に記録したときにキャプチャされた画面と比較されます。 プロパティ ペインには、選択したステップのプロパティが示されます。 ストーリーボード では、ステップが属すグループが強調表示されます。
    ヒント: ステップの名前全体を表示するには、ステップ 列を広げるか、ステップの上にマウス ポインタを置いて、名前全体を示すツール ヒントを表示する必要がある場合があります。
親トピック: 結果の分析：概要


[結果] ウィンドウのツールバーの使用

結果 ウィンドウのツールバーには、結果の内容の表示と種類をカスタマイズするためのいくつかのオプションがあります。

  1. 結果のツールバーの 詳細表示 をクリックします。 Silk Test Workbench により、テスト ステップ ペインに追加の列が表示され、プロパティ ペインに追加のプロパティが表示されます。
  2. テスト ステップ ペインで、右にスクロールして追加の列を表示します。 これらの列には、ステップの実行に要したミリ秒単位の時間、テストを実行した人のユーザー名など、各ステップに関する特定の情報が示されます。
  3. プロパティ ペインの [結果] プロパティ カテゴリには、テスト ステップ ペインの各列に対応するプロパティが示されます。 下にスクロールして、リスト全体を表示します。
  4. 表示 ドロップダウン矢印をクリックし、ステップのみ を選択します。 Silk Test Workbench によりすべての画面が除外されるので、ステップだけをすばやく参照できます。
  5. 表示 ドロップダウン矢印をクリックし、ステップと画面 を選択します。 Silk Test Workbench により結果の画面とステップがすべて表示されます。

    結果 ウィンドウのツールバーには、この他にも結果の内容の表示と種類をカスタマイズするためのオプションがあります。

親トピック: 結果の分析：概要


[プロパティ] ペインの使用

プロパティ ペインには、ステップの基本特性を示すプロパティが表示されます。ステップの名前、実行ステータス、再生の詳細などの情報が示されます。

  1. ステップ「'42' を入力します」をクリックします。 このステップは、Age テキスト ボックスに値「42」を入力する操作を実行します。 プロパティ ペインが更新され、選択したステップのプロパティが表示されます。
  2. カテゴリ アイコンまだ選択されていない場合は、これをクリックします。 プロパティが以下のメイン カテゴリにグループ分けされます。
    結果

    テスト ステップ ペインの列に対応するプロパティが含まれます。 ステップの名前、ステップ実行の日付と時刻、ステップ実行に要した時間などのプロパティです。

    拡張プロパティ

    Silk Test Workbench が、入力 操作ステップによって入力されたテキストのコントロールまたは値を識別するために使用するロケーター名など、追加の再生の詳細が含まれます。 拡張プロパティは、操作ステップで変数や式が使用されたときにその内容を表示するのに便利です。 たとえば、入力 ステップで変数 textVar が値として使用された場合、[拡張プロパティ] カテゴリに textVar の内容が表示されます。

  3. 拡張プロパティ ノードを展開します。 Text プロパティおよびロケーター プロパティがその値と共に示されます。 Text プロパティの値は '42' です。これは、このステップで Age テキスト ボックスに入力された値です。
  4. 再生前のビジュアル テストのステップ プロパティを表示/非表示 アイコンをクリックします。 [ビジュアル テストの詳細]ノードが表示され、ビジュアル テストに存在するステップの元のプロパティがすべて表示されます。
親トピック: 結果の分析：概要


画面プレビューの使用

画面プレビュー には、テスト ステップ ペインに表示された、コントロールと対話する各ステップについてキャプチャされたテスト アプリケーションのイメージが表示されます。 キャプチャされたイメージとして、デスクトップ全体、アプリケーション ウィンドウ、またはアクティブなウィンドウのみを示すことができます。 キャプチャされたイメージは、関連するステップが実行される前のアプリケーションの状態を示します。

  1. テスト ステップ ペインで、車の製造年を含むステップを選択します。 「2010」と入力します。 画面プレビュー に、再生中にキャプチャされた画面とビジュアル テストの記録中にキャプチャされた画面が並んで表示されます。 このステップのコントロールであるブラウザ ウィンドウが黒のボックスで強調表示されます。

  2. 画面プレビュー で、操作 > 相違点の表示 > オフ をクリックします。 ビジュアル テストの画面が消え、再生の画面が開きます。
  3. 操作 > ズーム > 75% をクリックしたあと、スクロールバーを使用して製造年がはっきりと表示されるところまで移動します。
  4. ビジュアル テストに切り替えます。 テスト ステップ ペインで、操作 > ビジュアル テストのウィンドウ をクリックします。
親トピック: 結果の分析：概要


ビジュアル テストの拡張：概要

ビジュアル テストの拡張には、既存のビジュアル テストが新しいバージョンのテスト アプリケーションで使用できるようにテストを更新することなどが含まれます。たとえば、テスト アプリケーションのさまざまな状態を処理し、検証するために、テスト ロジックを挿入することができます。さらに、ビジュアル テストの内容をわかりやすくしたり、重要な点について自分自身や他のユーザーに注意を促すために、フラグ、メッセージ ボックス、またはステップの説明を挿入することができます。

これらは、Silk Test Workbench で既存のビジュアル テストを拡張し、よりパワフルで堅牢かつ柔軟なテストを作成する、ほんの数例です。

  • 画面プレビューからの更新
    画面プレビュー で、キャプチャされた画面の別のコントロールを識別することにより、テスト アプリケーションにアクセスすることなくステップを更新できます。
  • 検証の挿入
    検証を挿入して、見積もりで正しい車両モデルが使用されていることを確認します。
  • アプリケーション データを保存するローカル変数の作成
    チュートリアルのあとのレッスンで使用できるように、電子メール アドレスを表示するコントロールのテキストを保存します。
  • ローカル変数へのアプリケーション データの格納
    前のレッスンで作成したローカル変数 strEmailAddress にテキストを保存します。
  • 拡張したビジュアル テストの再生と分析
    ビジュアル テストを再生して、結果を分析します。
親トピック: Silk Test Workbench ビジュアル テスト チュートリアル


画面プレビューからの更新

Silk Test Workbench はビジュアル テストを記録するとき、テスト アプリケーションの各画面の関連するコントロールだけでなく、画面もキャプチャします。Silk Test Workbench により、画面プレビュー にはキャプチャされた各画面が表示され、ビジュアル テストのステップによって識別されるコントロールが強調表示されます。画面プレビュー で、キャプチャされた画面の別のコントロールを識別することにより、テスト アプリケーションにアクセスすることなくステップを更新できます。

このレッスンでは、Silk Test Workbench の 画面プレビューからのコントロールの挿入 機能を使用して、画面プレビュー のキャプチャされた画面から別のボタンを選択します。

  1. AutoQuote ビジュアル テストの テスト ステップ ペインで、<<終了>> ステップの前にあるステップを選択します。 ステップ テキストは、次のようになります：(40, 5) の場所で 'Home' をクリックします

    画面プレビュー に Purchase A Quote ページが表示され、Home ボタンが強調表示されます。

  2. 画面プレビュー で 操作 > ズーム > 75% をクリックし、スクロールバーを使用して Contact Us ボタンがはっきり表示されるところまで移動します。
  3. プロパティ ペインで、ロケーター テキスト ボックスをクリックします。 ロケーターの値領域に、ロケーター選択ボタンが表示されます。
  4. プロパティ ペインで、画面プレビューから識別 をクリックします。
    注: ボタンが無効の場合、ビジュアル テストの記録を行う前にブラウザ コントロールのキャプチャを有効にしていなかったことが原因です。
    ポインタが 画面プレビュー に移動します。
  5. ポインタを Contact Us ボタンの上に移動し、Contact Us ボタンをクリックします。

    ボタンをクリックすると、ボタンの新しいロケーター名を表示するように プロパティ ペインの ロケーター プロパティが変わり、テスト ステップ ペインのステップ テキストが以下のように変わります。(40, 5) の場所で 'Contact Us' をクリックします

  6. 保存 をクリックします。

次にこのビジュアル テストを再生すると、Silk Test Workbench により Home ボタンではなく Contact Us ボタンがクリックされます。

親トピック: ビジュアル テストの拡張：概要


検証の挿入

検証とは、ユーザー定義の条件を評価し、合格／失敗のメッセージや、オプションとしてフラグをビジュアル テストの再生結果に送信するテスト ロジックです。

このレッスンでは、検証を挿入して、見積もりで正しい車両モデルが使用されていることを確認します。

  1. 表示 > テスト ステップ > ステップと画面 をクリックして、ステップと画面の両方が表示されていることを確認します。
  2. 次のステップを選択します：「(91,11) の場所で 'rx400' をクリックします」
  3. 画面プレビュー で操作 > ズーム > 75% をクリックし、スクロールバーを使用して Model がはっきり表示されるところまで移動します。
  4. 以下のいずれかのステップを実行します。
    • ツールバーの 検証タイプのロジックの作成 をクリックします。
    • 挿入 > テスト ロジック > 検証 を選択します。
    テスト ロジック デザイナ ウィザードの ようこそ ページが開きます。
  5. 次へ をクリックします。 ロジックの種類の選択 ページが開きます。
  6. コントロールのプロパティ をクリックし、次へ をクリックします。 プロパティに基づく条件の定義 ページが開きます。
  7. 画面プレビューから識別 をクリックします。 ポインタが 画面プレビュー に移動します。
  8. Model コンボ ボックスを選択します。 プロパティに基づく条件の定義 ページに、選択したコントロールの名前が、コントロールのプロパティと共に表示されます。コントロール名は、以下のように表示されます。
    webBrowser.browserWindow.modelCombo
  9. プロパティの選択 グリッドで、テキスト にスクロールして選択します。
  10. 条件の選択 が 等しい に設定されていることを確認します。
  11. プロパティの選択 から Text プロパティを選択して、期待値 テキスト ボックスに RX400 が入力されていることを確認します。
  12. 次へ をクリックします。 検証の構築 ページが開きます。このページから、再生結果に送信する合格／失敗メッセージを定義できます。ページの上部に Silk Test Workbench が検証する条件が以下のように表示されます。
    If "webBrowser.browserWindow.modelCombo"."Text" 等しい "RX400"

    この条件は検証のロジックを定義しています。条件では、モデル タイプと選択されたタイプが比較されます。

  13. デフォルトの合格の説明を The model type is correct に置き換え、デフォルトの失敗の説明を The model type is NOT correct に置き換えます。
  14. 次へ をクリックします。 要約 ページが開きます。
    検証ステップは選択したステップのあとに挿入されます。検証ステップのテキストは以下のようになります。
    「If "webBrowser.browserWindow.modelCombo"."Text" 等しい "RX400"」を検証します
  15. 検証の内容を確認したら、完了 をクリックします。

サンプル アプリケーションのプロパティの値を検証するテスト ロジックを挿入することで、記録したビジュアル テストを拡張できました。

親トピック: ビジュアル テストの拡張：概要


アプリケーション データを保存するローカル変数の作成

変数を使用すると、テストの別の場所や別のビジュアル テストまたはスクリプトで使用するデータ値を保存できるため、ビジュアル テストを拡張できます。データは他の種類のファイルに出力することもできます。

このレッスンでは、チュートリアルのあとのレッスンで使用できるように、電子メール アドレスを表示するコントロールのテキストを保存します。このためには、まずテキストを保存するローカル変数を作成する必要があります。

  1. テスト ステップ ペインで、操作 > 挿入 > 変数 > ローカルの追加 をクリックします。 ローカル変数の追加 ダイアログ ボックスが開きます。
  2. 変数名 テキスト ボックスに strEmailAddress と入力します。
  3. 型 リストから テキスト を選択します。 このレッスンでは、初期値 テキスト ボックスを空のままにします。これは、後続のレッスンで変数に値を保存するためです。 テキスト 型では、変数値がテキスト、つまり文字列データ型として保存されます。
  4. OK をクリックします。 ビジュアル テストに対して新しい変数が保存されます。変数を作成したあとは、<<開始>> ステップからそれを参照し、定義を編集することができます。
  5. strEmailAddress 変数を表示するには、テスト ステップ ペインで <<開始>> ステップを選択します。
    ヒント: <<開始>> ステップは、すべてのビジュアル テストで常に最初のステップになります。

    ステップのプロパティが プロパティ ペインに表示されます。<<開始>> ステップを選択している場合、変数 カテゴリに strEmailAddress が テキスト 変数として表示されます。

各変数型の値領域は、現在定義されている各変数型の数を示します。このレッスンではテキスト変数を1つ作成したので、その種類の値領域には1項目がこのテストに関連付けられていることが示されています。

見積もりの電子メール アドレスを保存するローカル変数を作成したので、アプリケーションの電子メール アドレスを変数に保存します。

親トピック: ビジュアル テストの拡張：概要
関連タスク
ビジュアル テストへのローカル変数の追加


ローカル変数へのアプリケーション データの格納

サンプル アプリケーションの Get Instant Auto Quote page ページには、一意の電子メール アドレスが表示されます。このページの電子メール アドレスを含むテキストは、このページのコントロールのプロパティ値です。

このレッスンでは、前のレッスンで作成したローカル変数 strEmailAddress にこのテキストを保存します。

  1. テスト ステップ ペインで、電子メール アドレスの値を表示するステップを選択します。 ステップ テキストは次のようになります：「'jsmith@gmail.com' を入力します」

    ステップを選択すると、Get Instant Auto Quote page ページのキャプチャされた画面が 画面プレビュー に表示されます。

  2. テスト ステップ ペインで、操作 > 挿入 > コントロールのプロパティ をクリックします。 これにより、ビジュアル テストの選択したステップの直後にステップが挿入されます。ステップ テキストは次のようになります：「コントロールの "" プロパティを取得します」

    このステップのプロパティを編集して、Get Instant Auto Quote ページの電子メール アドレスのテキストをローカル変数に保存します。使用するコントロール、そのコントロールのプロパティ、およびプロパティの値を保存する変数を指定するように、このステップのプロパティを編集します。変数は、前のレッスンで作成した strEmailAddress です。

  3. 画面プレビュー で 操作 > ズーム > 50% をクリックし、スクロールバーを使用して電子メール アドレスのテキストがはっきり表示されるところまで移動します。
  4. プロパティ ペインで、ロケーター テキスト ボックスをクリックします。 ロケーターの値領域に、ロケーター選択ボタンが表示されます。
  5. 画面プレビューから識別 をクリックします。 ポインタが 画面プレビュー に移動します。
  6. ポインタをページの E-Mail テキストの上に移動します。 強調表示のボックスがページのテキストを囲んでいることを確認し、強調表示された領域をクリックしてコントロールを識別します。

    Silk Test Workbench により、プロパティ ペインの ロケーター 情報が次の値に更新されます：webBrowser.browserWindow.autoquoteEMail

  7. プロパティ ペインで プロパティ テキスト ボックスをクリックし、その値リストから Text を選択します。
  8. (ローカル変数の選択...) をクリックし、リストから strEmailAddress を選択します。

    これで、コントロール、必要な値を含むコントロールのプロパティ、およびプロパティの値を保存する変数の指定が終了したので、ステップのテキストは次のようになるはずです：「コントロールの 'Text' プロパティを変数 'strEmailAddress' に格納します」

    プロパティ ペインとステップ テキストの両方の ローカル変数名 の値が strEmailAddress に変わります。

テストでプロパティ値が正しくキャプチャされ、保存されることを確認するために、テストを再生して結果を確認します。

親トピック: ビジュアル テストの拡張：概要


拡張したビジュアル テストの再生と分析

記録したテストにいくつかの拡張を行ったので、ビジュアル テストを再生し、結果を分析してみます。

  1. 次のいずれか 1 つのステップを行います：
    • 操作 > 再生 を選択します。
    • ツール バーで 再生 をクリックします。
    再生 ダイアログ ボックスが開きます。
  2. 結果の説明 テキスト ボックスに、Enhanced test results for the recorded visual test と入力します。
  3. OK をクリックします。
  4. 再生をサポートしている複数のブラウザーがマシンにインストールされている場合、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。
    Silk Test Workbench によって、拡張したテストが再生されます。
  5. 再生完了 ダイアログ ボックスで 結果へ移動 をクリックします。

    結果 ウィンドウが開き、デフォルトで 要約 タブが表示されます。

    要約 タブに、ビジュアル テストに合格した（エラーなしで正常に再生されたことを意味します）、または失敗した検証が示されます。

  6. 合格（1） タブをクリックします。 かっこ内の数は、合格した検証の合計数を示します。テスト ステップ ペインには検証ステップが表示され、結果の詳細 列には検証の合格の説明が表示されます。
  7. 詳細 タブをクリックして、各ステップの結果を表示します。
  8. 結果 ウィンドウの テスト ステップ ペインで、変数に電子メール アドレスを保存した結果を示すステップまでスクロールします。ステップ テキストは、次のようになります：「コントロールの 'Text' プロパティを変数 'strEmailAddress' に格納します」
  9. strEmailAddress 変数の内容が 結果の詳細 列に表示されます。Text プロパティの値全体を表示するには、カーソルをそのステップの 結果の詳細 列の上に置きます。ツールヒントにプロパティの内容全体が表示されます。

お疲れ様でした。これで、サンプル アプリケーションを確実にテストするビジュアル テストを作成できました。次のレッスンでは、ビジュアル テストを他のビジュアル テストですばやく簡単に実行する方法など、より高度なテストの概念と機能について学習します。

親トピック: ビジュアル テストの拡張：概要


ビジュアル テスト内でのビジュアル テストの実行:概要

このチュートリアルでは、Web アプリケーションから自動車保険の見積もりを取得するために必要な各操作を実行する単一のビジュアル テストを作成しました。単一のビジュアル テストは、単純なアプリケーションに対して基本的なテスト ケースを実行する場合に便利です。ただし、ほとんどのソフトウェア テストでは、アプリケーションのすべての側面をテストするなど、より厳格なアプローチが必要となります。さらに、テスト アプリケーションが変化したときに既存のビジュアル テストをすばやく更新できることが必要です。

これらのテストの課題を解決する効率的な手段を提供するために、Silk Test Workbench はモジュール式テストをサポートしており、特定のテスト ソリューションの共通の操作を単一のテストにまとめ、同じ操作セットを必要とする他のビジュアル テストでビジュアル テストを再利用できるようにしています。

  • モジュール式テスト
    モジュール テストのシナリオとフローの概要について説明します。
  • 2 つめのビジュアル テストの記録
    2 つめのビジュアル テストを記録し、ビジュアル テスト資産の別の作成方法を学習します。
  • 別のビジュアル テストへのビジュアル テストの挿入
    ビジュアル テスト内でビジュアル テストを実行すると、複数のビジュアル テストで効率的に同じ基本ステップをテストできます。
親トピック: Silk Test Workbench ビジュアル テスト チュートリアル


モジュール式テスト

ビジュアル テストやスクリプトなどの Silk Test Workbench 資産を作成してアプリケーションのテスト ソリューションを構築する前に、テスト戦略を立てることをお勧めします。

1 つのビジュアル テストまたはスクリプトに特定のテスト ソリューションのすべての部分を含める必要はありません。また、通常、そうすることは有益ではありません。

通常、最も効率のよいテスト方法は、モジュール式アプローチを採用したものです。 アプリケーション テストを一連のトランザクション単位として考えます。

たとえば、オンライン発注システムのテストには、以下のようなトランザクション単位が含まれるかもしれません。

  • オンライン システムへのログオン

  • 顧客プロファイルの作成

  • 注文の発注

  • オンライン システムのログオフ

1つのテストでこれらの単位をすべて処理し、このテストを使用するシナリオが10通りある場合、それらのシナリオを処理するために10個の別々のテストを記録する必要があります。 アプリケーションに何らかの変更があった場合、たとえば、ログオン ウィンドウにフィールドが1つ追加された場合、新しいフィールドへのデータ入力を処理するために10個の別々のテストに変更が必要になります。

これらのトランザクション単位をすべてテストするビジュアル テストまたはスクリプトを 1 つ作成して、それをシナリオごとに 10 個作成するよりも、これらのトランザクション単位を 1 つずつ処理する別個のテストをテスト「モジュール」として作成する方が有益です。 トランザクション単位ごとに別々のテストを作成し、それをテスト シナリオごとに再利用すれば、ログオン トランザクション単位を処理するテストだけを変更すればよいことになります。

モジュール式テストの基本が理解できたので、2つめのテストを作成し、前のレッスンで作成したテストに追加してみます。

親トピック: ビジュアル テスト内でのビジュアル テストの実行:概要
親トピック: スクリプト内でのスクリプトの実行：概要


2 つめのビジュアル テストの記録

このセクションでは、2 つめのビジュアル テストを記録し、ビジュアル テスト資産の別の作成方法を学習します。

  1. ファイル > 新規作成 を選択します。
    資産の新規作成 ダイアログ ボックスが開きます。
  2. [資産の種類] リストから ビジュアル テスト を選択し、資産名 テキスト ボックスにビジュアル テストの名前を入力します。
    このチュートリアルでは、名前として AddAccount と入力します。
  3. 記録をすぐに開始するために、記録の開始 チェック ボックスをオンにします。
  4. OK をクリックして、ビジュアル テストを資産として保存し、記録を開始します。
    テストの構成 ダイアログ ボックスが開きます。
  5. Web タブを選択します。
  6. リストから Internet Explorer を選択します。
  7. サンプル アプリケーションの Home ページで、Login セクションの Sign Up をクリックします。 Create A New Account ページが開きます。
  8. 適切なフィールドに、以下の情報を入力します。 次のフィールドに移動するには Tab キーを押します。
    フィールド名 | 値
    名 (First Name) | Pat
    姓 (Last Name) | Smith
    生年月日 (Birthday) 12/02/1990
    注: カレンダー コントロールの月と年の隣にある下矢印をクリックして月と年を変更し、カレンダーで 12 を選択します。
    電子メール アドレス (E-mail Address) | smith@test.com
    住所 (Mailing Address) | 1212 Test Way
    市 (City) | San Diego
    州 (State) | CA
    郵便番号 (Postal Code) | 92121
    パスワード (Password) | test
  9. Sign Up をクリックします。
  10. Continue をクリックします。 連絡先情報が表示されます。
  11. ページ上部にある Home をクリックして、記録を開始したホーム ページに戻ります。
  12. Log Out をクリックします。
  13. Alt+F10 を押して記録を完了します。 記録完了 ダイアログ ボックスが開きます。
  14. 保存 をクリックします。 ビジュアル ナビゲータにビジュアル テストが表示されます。
親トピック: ビジュアル テスト内でのビジュアル テストの実行:概要


別のビジュアル テストへのビジュアル テストの挿入

このセクションでは、ユーザー アカウントを追加する 2 つめのビジュアル テストを、元のビジュアル テストの自動見積もりの要求を行うステップの前に挿入します。

ビジュアル テスト内でビジュアル テストを実行すると、複数のビジュアル テストで効率的に同じ基本ステップをテストできます。

ヒント: ビジュアル テストを別のビジュアル テストに挿入する際、テスト アプリケーションが正しい初期再生状態になっていることを確認することが重要です。
  1. 開始画面 の 最新 リストで、AutoQuote をクリックして開きます。 AutoQuote はこのチュートリアルで最初に作成したビジュアル テストです。
  2. テスト ステップ ペインで <<開始>> ステップを選択します。
  3. 操作 > 挿入 > ビジュアル テスト をクリックします。 ビジュアル テストの参照 ダイアログ ボックスが開きます。
  4. 資産の選択 リストから AddAccount という名前のビジュアル テストを選択し、OK をクリックします。
    ヒント: 資産の選択 リストに多くのビジュアル テストが表示されている場合、名前フィルタ テキスト フィールドに AddAccount を入力してから、ビジュアル テストをクリックすると簡単です。

    Silk Test Workbench によって、選択したステップの前にステップが挿入されます。挿入されたステップによって、選択したビジュアル テストが呼び出されます。ステップ テキストは、次のようになります：

    ビジュアル テスト 'AddAccount' の再生
    ヒント: 再生中に上記のステップが実行されると、挿入されたビジュアル テストが再生される前に、元のビジュアル テストが最後まで再生されます。

次のレッスンでは、このモジュール式ビジュアル テストを再生し、再生エラーに対処する方法を学習します。

親トピック: ビジュアル テスト内でのビジュアル テストの実行:概要


再生エラーへの対応：概要

再生中のエラーは、テスト アプリケーションの変更、ビジュアル テストの不適切なステップ フローなど、さまざまな要因により発生します。 このようなエラーをデバッグ機能を使用してすばやく診断し、修正することにより、テストの保守を最小限にし、チームによるテスト作業の効率を上げることができます。

まず、前のレッスンで作成したモジュール式テストを再生します。

  • モジュール式テストの再生
    モジュール式テストを再生し、再生中のエラーを確認します。
  • エラーのデバッグ
    前のセクションでモジュール式テストを再生しているときに発生したエラーをデバッグしてみます。
  • 再生中の変数の追跡
    ローカル変数 ウィンドウを使用して、ローカル変数と予約変数の両方の再生値を追跡します。
  • 結果の確認
    テストのデバッグが終了したら、ビジュアル テストの結果を確認します。
親トピック: Silk Test Workbench ビジュアル テスト チュートリアル


モジュール式テストの再生

前のレッスンでは、ビジュアル テスト AddAccount を別のビジュアル テスト AutoQuote に挿入することにより、モジュール式テストを作成しました。

このセクションでは、このモジュール式テストを再生し、再生中のエラーを確認します。

  1. AutoQuote ビジュアル テストが開いている状態で、ツールバーの 再生 をクリックします。 再生 ダイアログ ボックスが開きます。
  2. 結果の説明 テキスト ボックスに Responding to errors in a modular test と入力します。
  3. OK をクリックします。
  4. 再生をサポートしている複数のブラウザーがマシンにインストールされている場合、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。 再生中に、Create A New Account ページでテストが停止し、エラー メッセージが表示されます。 データベースでは、各顧客レコードに対して一意の電子メール アドレスが必要なため、このエラーが発生します。AddAccount ビジュアル テストの記録中にすでに電子メール アドレスを入力しているため、この電子メール アドレスはデータベースにすでに存在しており、テストが失敗します。

再生エラーを確認したので、テストのデバッグを開始します。

親トピック: 再生エラーへの対応：概要


エラーのデバッグ

Silk Test Workbench で再生エラーが発生すると、Silk Test Workbench の 再生エラー ダイアログ ボックスが表示され、デバッグ モードを開始するオプションが提供されます。 デバッグ モードでは再生が一時停止され、Silk Test Workbench のデバッグ機能を使用して再生エラーを診断し、修正することができます。

このセクションでは、前のセクションでモジュール式テストを再生しているときに発生したエラーをデバッグしてみます。

  1. 再生エラー ダイアログ ボックスで、デバッグ をクリックします。

    デバッグ モードでは再生が一時停止されます。 そのため、エラーを発生させたステップのプロパティを編集したり、ステップを削除または無効にしたり、他のビジュアル テストからステップをコピー アンド ペーストしたりしてエラーを修正してから、再生を再開できます。

    Silk Test Workbench はデバッグ モードに入り、AddAccount ビジュアル テストを表示します。エラーを発生させたステップが黄色で強調表示されます。
  2. 編集 > 有効化/無効化 を選択してステップ「'signup continue' をクリックします」を無効化します。 このステップを無効にすると、次回テストを再生するときにエラーを回避できます。 ステップのテキストがグレーの斜体になります。これはステップが無効にされたことを示します。
  3. ツール バーで 再生 をクリックします。 再生エラー ダイアログ ボックスが表示されます。
  4. デバッグ をクリックします。
  5. 編集 > 有効化/無効化 を選択してステップ「'logout-form logout' をクリックします」を無効化します。 テストでは Home ページで Log Out ボタンを探しますが、Sign Up Continue ステップが無効になっておりボタンがページに表示されないために、このエラーが発生します。 このエラーは、チュートリアルのあとの方で修正します。
  6. メニューから デバッグ を選択します。 メニューの上部に表示される以下のステップ コマンドを使って、ステップ実行を制御できます。
    ステップ イン (F8)
    1つずつステップを再生します。ステップ イン は各ステップのトレースに有効であり、また再生しているビジュアル テストに挿入された別のビジュアル テストやスクリプトにもステップ インします。挿入された各ビジュアル テストやスクリプトについても、一度に 1 ステップまたは 1 行ずつ実行されます。

    ステップ イン はテストの詳細分析に有効であり、変数の使用やターゲット アプリケーションとの対話に対する各ステップの影響を確認することができます。

    ステップ オーバー (Shift+F8)
    別のビジュアル テストに挿入されたビジュアル テスト全体またはスクリプト全体を、1 つのステップとして実行します。ステップ オーバー は、デバッグ モードの再生中に、ビジュアル テストまたはスクリプトを 1 ステップとして再生する場合に使用します。これにより、挿入されたビジュアル テスト全体またはスクリプト全体が再生されます。挿入されたビジュアル テスト全体またはスクリプト全体が再生されると、元のビジュアル テスト内の次のステップで再生が停止し、デバッグ モードになります。

    別のビジュアル テストまたはスクリプトを再生するステップ以外のステップで ステップ オーバー を使用すると、ステップ イン を使用した場合と同じになります。次のステップのみが実行されたあと、再生は停止し、再びデバッグ モードになります。

    ステップ アウト (Ctrl + Shift + F8)
    別のビジュアル テストから再生しているビジュアル テストまたはスクリプト内の残りのステップをすべて実行したあと、元のビジュアル テスト内の次のステップで再生が一時停止します。

    ステップ アウト は、別のビジュアル テストに挿入されたビジュアル テスト内のステップまたはコード行で再生が停止されているときに、残りのビジュアル テストを再生して元のビジュアル テストに戻る場合に使用します。挿入されたビジュアル テストまたはスクリプトの残りの部分の再生が実行されたら、元のビジュアル テスト内の次の行で再生が停止し、再びデバッグ モードになります。

    カーソルまで実行 (Ctrl + F8)
    再生を一時停止するステップを選択できます。これにより、ビジュアル テストまたはスクリプト内の選択したセクションを「ステップ オーバー」することができます。

    カーソルまで実行 は、ビジュアル テストまたはスクリプトを再生して、実行時エラーが発生したポイントの直前で停止する場合に使用します。これにより、ブレークポイントを挿入することなく特定の行またはステートメントで再生を停止できます。再生が停止したら、別のデバッグ オプションのいずれかを使用して再生を継続できます。

    カーソルから実行
    現在選択されているテスト ステップからビジュアル テストを再生します。
  7. ステップ アウト を選択します。 このコマンドにより、AddAccount ビジュアル テストの残りのステップが実行され、その後、AutoQuote ビジュアル テストの次のステップで再生が一時停止されます。 ステップ アウト を選択すると、Silk Test Workbench により AddAccount の最後のステップとしてホーム ページが表示され、再生が一時停止します。そして、 Silk Test Workbench により AutoQuote がデバッグ モードで開かれ、次のステップが強調表示されます。

次に、ビジュアル テストで使用されている変数の値を監視する方法について学習します。

親トピック: 再生エラーへの対応：概要


再生中の変数の追跡

デバッグ モードでは、ローカル変数 ウィンドウを使用して、ローカル変数と予約変数の両方の再生値を追跡できます。

このセクションでは、ローカル変数 ウィンドウを使用して、前のレッスンで作成したローカル変数の値を参照します。

  1. デバッグ > ローカル変数 を選択します。 ローカル変数 ウィンドウが開きます。
  2. ローカルおよびビジュアル テスト変数 ノードを展開します。 前のレッスンで作成したローカル変数 strEmailAddress が表示されます。 再生中、この変数を使用するステップが実行されると、変数の値が 値 列に表示されます。 結果は、以下の図のようになります。

    注: 変数の結果を ローカル変数 ウィンドウで確認する場合にテストでエラーがない場合は、ブレークポイントをビジュアル テストに挿入します。 ブレークポイントを挿入するには、variable ステップのあとにあるステップを選択し、デバッグ > ブレークポイントの設定／クリア を選択してからテストを再生します。
  3. カーソルまで実行 デバッグの動作を確認するには、「(24, 9) の場所で 'Lexus' をクリックします」ステップを選択し、デバッグ > カーソルまで実行 を選択します。 Silk Test Workbench は、残りのステップを「(24, 9) の場所で 'Lexus' をクリックします」ステップまで再生したあと、AutoQuote ビジュアル テストを表示します。

次に、モジュール式テストの再生を完了し、テスト結果を確認します。

親トピック: 再生エラーへの対応：概要


結果の確認

ビジュアル テストのデバッグが終了したら、ビジュアル テストの結果を確認します。

  1. ツールバーの 再生 をクリックして、AutoQuote ビジュアル テストの再生を完了します。 再生完了 ダイアログ ボックスが開きます。
  2. 結果へ移動 をクリックします。 AutoQuote の結果が表示され、デフォルトで 要約 タブが表示されます。

    要約 タブにはテスト実行の全体的な詳細が表示されます。ビジュアル テストまたは .NET スクリプト (実行回数) フィールドには、「AutoQuote(1)」と挿入されたビジュアル テスト「AddAccount(1)」がリストされます。

  3. 詳細 タブをクリックします。
  4. テスト ステップ ペインで、青色のテキストのステップまでスクロールします。

    結果 列と 結果の詳細 列を確認すると、再生中に発生したエラーに関する情報をすばやく参照できます。

    注: テスト ステップ ペインにすべてのステップを表示するには、[ステップと画面] が選択されていることを確認します。操作 > 表示 > ステップと画面 をクリックします。失敗 タブには、再生エラーを含むステップは表示されません。失敗した検証のみが表示されます。

再生エラーを診断し、デバッグする方法を学びました。

親トピック: 再生エラーへの対応：概要


アクティブ データの使用

アプリケーションの使用を効率よく模倣するために、アプリケーション テストでは異なるデータ セットを使用して同じ操作を繰り返すことがよく行われます。 たとえば、前のレッスンでは顧客レコードを作成するテストを記録しました。 10 件の顧客レコードを作成するには、テストごとに顧客データ セットを用意し、10 個の異なるテストを記録できます。 ただし、Silk Test Workbench では元のテストを拡張し、実行ごとに異なるデータ セットを使用してテストを 10 回繰り返すことができます。

アクティブ データ テストでは、外部ファイルのデータをテスト アプリケーションへの入力として使用し、実行ごとに異なるデータを使用して、指定したステップを繰り返し実行することができます。

このレッスンでは、以下の操作方法を学びます。

  • アクティブ データ テスト資産を作成し、ビジュアル テストに関連付ける
  • 実行ごとに異なるデータを使用し、指定したステップを特定の回数実行する繰り返しロジックを作成する
  • ビジュアル テストでアクティブ データ ファイルを使用する方法を定義する
  • 繰り返し実行するステップを定義する
  • データ ファイルのアクティブ データをビジュアル テストのリテラル データにマップする

前のレッスンでは、Pat Smith の顧客情報を顧客データベースに入力するビジュアル テストを記録しました。 このビジュアル テストを再生するたびに、最初の記録中にキャプチャしたリテラル データ値が Silk Test Workbench で使用されます。

このレッスンでは、Pat Smith の顧客情報を入力するために使用されるリテラル データ値をアクティブ データに置き換え、Silk Test Workbench がビジュアル テストを再生するときに外部ファイルに含まれる別の顧客情報が使用されるようにします。

ビジュアル テスト用のアクティブ データを作成する前に、アクティブ データ ファイルについて確認します。

  • アクティブ データ ファイルの確認
    customers.csv という名前の、顧客情報を含むカンマ区切りの既存のファイルを確認します。
  • アクティブ データ テスト資産の作成
    アクティブ データ テストでデータ ファイルを使用するには、そのファイルを使用するアクティブ データ資産を作成し、そのアクティブ データ資産をビジュアル テストに関連付ける必要があります。
  • アクティブ データ ファイルの繰り返しロジックの作成
    データベースに顧客を追加するリテラル データを、10 件の顧客レコードを含むアクティブ データ ファイル customers.csv 内のデータに置き換えます。
  • 繰り返しステップの定義
    アクティブ データ ファイル内の各顧客を入力するには、InsuranceCo Web サイトの Create a New Account ページにアクセスするプロセス全体を繰り返す必要があります。
  • アクティブ データのリテラル データへのマッピング
    ビジュアル テストでアクティブ データ ファイル内のデータを使用するには、該当するテスト ステップのデータをアクティブ データ ファイル内のデータ列にマップする必要があります。
  • アクティブ データのビジュアル テストの再生と分析
    ビジュアル テストを再生して、結果を分析します。
親トピック: Silk Test Workbench ビジュアル テスト チュートリアル


アクティブ データ ファイルの確認

アクティブ データ資産を作成する際、使用するデータが含まれる既存のデータ ファイルを選択するか、資産によって使用されるデータを入れる新しいファイルを作成することができます。このチュートリアルでは、customers.csv という名前の、顧客情報を含むカンマ区切りの既存のファイルを使用します。このファイルは、Silk Test Workbench のインストール ディレクトリの Examples フォルダにあります。

customers.csv ファイル内の各列は、Age 列を除き、データベースに顧客情報を入力するために使用されるフィールドに対応しています。Age 列は、このチュートリアルのあとのレッスンで使用します。

このテストにアクティブ データを使用すると、Silk Test Workbench はテストを再生し、ファイル内の各顧客がデータベースに入力されるまで、毎回別の顧客のデータを使って顧客情報を入力するステップを繰り返します。

ヒント: アクティブ データ ファイルでは、パスワード値はコード化されたテキストになっています。

アクティブ データ ファイルには以下の列が含まれます。

  • 名（First Name）
  • 姓（Last Name）
  • 生年月日（Birthday）
  • 電子メール アドレス（Email Address）
  • 住所（Mailing Address）
  • 市（City）
  • 州（State）
  • 郵便番号（Postal Code）
  • パスワード（Password）
  • 年齢（Age）（後続のレッスンで使用）

次に、アクティブ データ テスト資産を作成し、ビジュアル テストに関連付けます。

親トピック: アクティブ データの使用


アクティブ データ テスト資産の作成

アクティブ データ テストでデータ ファイルを使用するには、そのファイルを使用するアクティブ データ資産を作成し、そのアクティブ データ資産をビジュアル テストに関連付ける必要があります。

  1. 開始画面の 最新 リストで、AddAccount というビジュアル テストをダブルクリックして開きます。 ビジュアル ナビゲータに AddAccount ビジュアル テストが表示されます。
  2. テスト ステップ ペインで、操作 > 挿入 > アクティブ データ > 新規作成 をクリックします。 アクティブ データ資産の設定 ウィンドウが表示されます。
  3. 名前 テキスト ボックスにアクティブ データ資産の名前を customers と入力します。
  4. 参照 をクリックして、アクティブ データ資産と関連付ける customers.csv ファイルを探します。 アクティブ データ資産の選択 ダイアログ ボックスが表示されます。
  5. サンプル ファイルの場所に移動し、アクティブ データのサンプル ファイル customers.csv を選択します。 デフォルトの場所は、次のようになります：C:\Program Files\Silk\Silk Test\examples\customers.csv
  6. 開く をクリックします。 全般 タブの ファイル テキスト ボックスにパスとファイル名が表示されます。
  7. アクティブ データ資産の設定 ウィンドウで、オプション タブをクリックします。
  8. 最初の行を見出しとして使用 チェック ボックスをオンにします。
    ヒント: 詳細 タブをクリックすると、アクティブ データ ファイルの内容を確認することができます。
    この設定により、アクティブ データ ファイルのデータの最初の行が、データではなく見出し行として扱われます。
  9. 保存して閉じる をクリックしてアクティブ データ資産を作成し、AddAccount ビジュアル テストに関連付けます。

ビジュアル テストでは、関連付けられているアクティブ データ資産の情報はすべて、<<開始>> ステップの プロパティ ペインに格納されます。ビジュアル テストに関連付けられている各アクティブ データ資産を確認するには、<<開始>> ステップを選択し、プロパティ ペインの アクティブ データ プロパティを確認します。

これで、アクティブ データ資産が作成され、ビジュアル テストと関連付けられました。次に、テストでアクティブ データを使用する繰り返しロジックを作成します。

親トピック: アクティブ データの使用


アクティブ データ ファイルの繰り返しロジックの作成

ビジュアル テストでアクティブ データを使用する場合、通常は一連のステップを繰り返し、その際毎回リテラル データをアクティブ データに置き換えます。

このレッスンでは、データベースに顧客を追加するリテラル データを、10 件の顧客レコードを含むアクティブ データ ファイル customers.csv 内のデータに置き換えます。繰り返しごとに、アクティブ データ ファイルの顧客レコードのデータが使用されて、InsuranceCo Web サイトの Create a New Account ページの各フィールドにデータが入力されます。

  1. ビジュアル ナビゲータに AddAccount ビジュアル テストが表示されていることを確認します。
  2. Silk Test Workbench のツールバーの 繰り返しタイプのロジックの作成 をクリックします。 ようこそ ページが表示された テスト ロジック デザイナ ウィザードが表示されます。
  3. 次へ をクリックします。 ロジックの種類の選択 ページが開きます。
  4. アクティブ データ ファイルを使用してステップ シーケンスを繰り返す をクリックし、次へ をクリックします。 使用するアクティブ データ資産の定義 ページが表示されます。
  5. このビジュアル テストに関連付けられているアクティブ データ資産は1つだけ（customers）なので、アクティブ データの資産 リストにこの資産が表示されます。そうでない場合は、リストからこの資産を選択します。
  6. 省略可能： シート名 リストからデータ ファイル中の使用するシートを選択します。
    デフォルトでは、アクティブ データ資産で指定されているシートが使用されます。
  7. 開始行 テキスト ボックスで、デフォルト値の 1 をそのままにします。
  8. データを含む最後の行で終了 チェック ボックスをオンにします。
  9. 順序通りにすべての行を取得 をクリックします。

    これで、繰り返しロジックでデータ ファイルを使用する方法、および繰り返し回数が定義できました。

    • 繰り返しロジックの実行時、アクティブ データファイルの最初の行が最初に使用されます。
    • 各行を使って、最後の行まで繰り返されます。
    • 繰り返しロジックではすべてのデータ行が順番に使用され、アクティブ データ ファイルにはデータ行が 10 行あるため、データベースに顧客を追加するステップは 10 回繰り返されます。毎回、アクティブ データ ファイルの異なる顧客データ行が入力として使用されます。
  10. 次へ をクリックします。 繰り返しの構築 ページが開きます。

アクティブ データの使用方法が定義できたので、次にビジュアル テスト内の繰り返すステップを指定します。

親トピック: アクティブ データの使用


繰り返しステップの定義

繰り返しロジックで繰り返すステップを決定するときは、リテラル データを置き換えるステップだけでなく、繰り返しが必要なすべての操作を考慮します。

このレッスンでは、リテラル データを置き換えるステップがいくつかありますが、アクティブ データ ファイル内の各顧客を入力するには、InsuranceCo Web サイトの Create a New Account ページにアクセスするプロセス全体を繰り返す必要があります。そのため、ページにアクセスし Home ページにテストを戻すステップも含め、実際のテスト プロセスのすべてのステップを繰り返す必要があります。

  1. 繰り返しの構築 ページで ステップの開始 リンクをクリックします。 ステップの選択 ダイアログ ボックスが開きます。
  2. InsuranceCo Web サイトとの対話を開始するステップを選択します。これは <<開始>> ステップのすぐあとのステップです。 ビジュアル テストには顧客を追加するプロセスで必要なステップがすべて含まれるため、すべてのステップを繰り返す必要があります。
  3. OK をクリックします。 ステップの選択 ダイアログ ボックスが閉じられ、選択したステップのテキストが ステップの開始 リンクに表示されます。
  4. 繰り返しの構築 ページで ステップの終了 リンクをクリックします。 ステップの選択 ダイアログ ボックスが開きます。
  5. InsuranceCo Web サイトとの対話を終了するステップを選択します。これは <<終了>> ステップのすぐ前のステップです。
  6. OK をクリックします。
    ステップの選択 ダイアログ ボックスが閉じられ、選択したステップのテキストが ステップの終了 リンクに表示されます。
  7. 次へ をクリックします。 テスト ロジック デザイナ の 要約 ページが表示されます。このページには、ビジュアル テストに定義されたテスト ロジックが表示されます。
  8. 終了 をクリックして、ビジュアル テストのテスト ステップにテスト ロジックを挿入します。 Silk Test Workbench により、ビジュアル テストの <<開始>> ステップのあとに、繰り返しロジックを開始するステップが挿入されます。ステップのテキストは次のようになります：「アクティブ データ 'customers' を使用して繰り返します」

    また、Silk Test Workbench により、<<終了>> ステップのあとに、繰り返しロジックを終了するステップも挿入されます。ステップのテキストは次のようになります：

    繰り返しの終了

    新しく挿入された繰り返しロジック ステップの間のすべてのステップがインデントされ、繰り返しロジック ステップの間にネストされて表示されます。ビジュアル テストでアクティブ データを使用するための最後の作業は、アクティブ データ ファイル内のデータをビジュアル テストのリテラル データにマップすることです。

親トピック: アクティブ データの使用


アクティブ データのリテラル データへのマッピング

ビジュアル テストでアクティブ データ ファイル内のデータを使用するには、該当するテスト ステップのデータをアクティブ データ ファイル内のデータ列にマップする必要があります。

  1. ビジュアル テストで、フィールドにデータを入力する最初のステップを選択します。 これは、ビジュアル テストで最初に記録された、InsuranceCo Web サイトの Create a New Account ページの First Name テキスト ボックスに「Pat」と入力するステップとなります。 ステップのプロパティが プロパティ ペインに表示されます。
  2. プロパティ ペインの パラメーター カテゴリーで、text パラメーターを選択します。これは、Pat に設定されたテキストを示します。
  3. 値領域の 選択 をクリックし、アクティブ データ をクリックします。
    ヒント: customers が アクティブ データの資産 リストにない場合、この資産はこのビジュアル テストに関連付けられていません。
    アクティブ データ列の選択 ダイアログ ボックスが開きます。このダイアログ ボックスで、テスト ステップの選択したプロパティのデータをアクティブ データ ファイル内の列のデータにマップします。

    アクティブ データの資産 テキスト ボックスには、ビジュアル テストに関連付けられたアクティブ データ資産 customers が表示されます。列 リストには、customers アクティブ データ ファイルの列名が表示されます。

  4. 列 リストで、First Name 列を選択します。 これが名前を含んだファイル内の列であるため、この列をマップして、リテラル データ「Pat」を置き換えます。
  5. OK をクリックしてダイアログ ボックスを閉じ、データをマップします。 Silk Test Workbench によって、テスト ステップの実際のデータが、アクティブ データ ファイル内の選択したデータへのマップ式に置き換えられます。つまり、既存のステップ テキスト Enter 'Pat' は、アクティブ データ資産名、置換するデータ型、および列名を表示するようになります。
    Enter '[[customers].Text("First Name")]'
  6. ビジュアル テストに関連付けたアクティブ データ ファイル内のデータに置換するデータを含む残りのテスト ステップすべてについて、ステップ1から5を繰り返します。次のステップは、「'Smith' を入力します」というステップ テキストが含まれるステップです。

    下の表は以下の内容を示します。

    • このビジュアル テスト内の、アクティブ データ ファイルのデータで置き換えるリテラル データを含む各ステップのテキスト
    • 置き換えるデータを含むステップのプロパティの名前
    • リテラル データの代わりに使用するデータを含むアクティブ データの列
    注: アクティブ データを使用して更新された、パスワード保護テキスト ボックスにテキストを入力するステップについては、ステップのテキストにアクティブ データ情報が示されません。
    ステップ テキスト | プロパティ | アクティブ データ列
    'Smith' を入力します | テキスト | Last Name
    'smith@test.com' を入力します | テキスト | Email Address
    '1212 Test Way' を入力します | テキスト | Mailing Address
    'San Diego' を入力します | テキスト | City
    リスト ボックス項目 'California' を選択します | リスト ボックス項目 | State
    '92121' を入力します | テキスト | Postal Code
    'test' を入力します | テキスト | Password

アクティブ データ ファイルのデータを使用するようにビジュアル テストを設定できたので、これを再生し、結果を確認します。

親トピック: アクティブ データの使用


アクティブ データのビジュアル テストの再生と分析

顧客を追加するビジュアル テストを、アクティブ データ ファイルの顧客レコードを使用するように拡張できたので、再生してみます。このビジュアル テストを再生すると、アクティブ データ ファイルの顧客レコードが実際に顧客データベースに入力されます。

  1. 次のいずれか 1 つのステップを行います：
    • 操作 > 再生 を選択します。
    • ツール バーで 再生 をクリックします。
    再生 ダイアログ ボックスが開きます。
  2. 結果の説明 テキスト ボックスに AddCustomers using ActiveData と入力します。
  3. OK をクリックします。
  4. 再生をサポートしている複数のブラウザーがマシンにインストールされている場合、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。
    Silk Test Workbench によって、拡張したテストが再生されます。
  5. 再生完了 ダイアログ ボックスで 結果へ移動 をクリックします。

    結果 ウィンドウが開き、デフォルトで 要約 タブが表示されます。

  6. 詳細 タブをクリックして、各ステップの結果を表示します。 詳細 タブには、再生中に実行された各ステップの結果が表示されます。スクロールバーを使用して、実行されたステップをスクロールします。 結果 ウィンドウの テスト ステップ ペインには、ビジュアル テストの実際のステップよりもかなり多くのステップがあります。これは、繰り返しごとに、それぞれ実行ステップのセットがあるためです。
注: また、式を使用して、ビジュアル テストでアクティブ データを更新することもできます。式デザイナ を使用すると、アクティブ データ ファイルの列のデータを入力として使用でき、データの値を変更する式を作成できます。更新されたデータは、同じアクティブ データ ファイルの同じ列に保存できます。詳細については、オンライン ヘルプの「ビジュアル テストでの式を使用したアクティブ データの更新」を参照してください。
親トピック: アクティブ データの使用


ビジュアル テストからのスクリプトの再生

スクリプトとビジュアル テストは、資産を使用してテスト アプリケーションでのメニュー項目の選択やデータの入力などの手動のユーザー操作を自動化するという点で同じです。 違いは、ユーザーの操作がどのように表現されるかです。 スクリプトでは、Microsoft .NET Framework で稼動するスクリプト記述言語である Microsoft の Visual Basic が使用されますが、ビジュアル テストでは、ビジュアル ナビゲータのポイントアンドクリック インターフェイスによって生成されるステップが使用されます。

いずれの場合も、互いに独立して実行できるパワフルで柔軟性の高い自動テストを作成できます。 どちらを選ぶかは、ユーザーのニーズと好みによります。 また、両方を組み合わせて使用することもできます。 たとえば、特殊なタスクを実行するスクリプトを作成し、ビジュアル テストにそのスクリプトを再生するステップを挿入することができます。 このようにして、スクリプトで使用されるスクリプト記述言語の力を利用してビジュアル テストを補強することができます。

ビジュアル テストからスクリプトを再生すると、スクリプトは、繰り返しテスト タスクまたは特殊なテスト タスクを実行するために必要に応じて呼び出せる関数と同様に機能します。 このアプローチはチームによるテスト環境で役立ちます。たとえば、経験の豊富なテスト担当者が共通するテスト機能を実行するスクリプトのライブラリを作成し、経験の浅い開発者がそこからスクリプトを選択して、ビジュアル テストを作成することができます。

  • 乱数を生成するスクリプトの作成
    ユーザーの年齢に使用できる乱数を生成するスクリプトを作成します。
  • スクリプトの入力パラメータの定義
    function_randomAge スクリプトで作成された乱数の範囲を設定する 2 つの入力パラメータを定義します。
  • スクリプトの出力パラメータの定義
    function_randomAge スクリプトで作成された乱数をビジュアル テストに渡す出力パラメータを定義します。
  • スクリプトのデータを使用するビジュアル テストの設定
    スクリプトのデータを使用するようにビジュアル テストを設定するには、スクリプトを再生し、スクリプトのデータを格納するローカル変数を作成し、このローカル変数をスクリプトの出力変数と関連付けるステップを挿入する必要があります。
  • ビジュアル テストでのスクリプト データの使用
    function_randomAge スクリプトで生成された乱数を含むビジュアル テストのローカル パラメータを使用するように、年齢情報を入力するステップを変更します。
  • テスト結果の再生と確認
    ビジュアル テストを再生して、結果を分析します。
親トピック: Silk Test Workbench ビジュアル テスト チュートリアル


乱数を生成するスクリプトの作成

まず最初に、ユーザーの年齢に使用できる乱数を生成するスクリプトを作成します。

  1. ファイル > 新規作成 を選択します。
    資産の新規作成 ダイアログ ボックスが開きます。
  2. [資産の種類] リストから .NET スクリプト を選択し、資産名 テキスト ボックスに function_randomAge と入力して OK をクリックします。
    ヒント: スクリプトに「function」と名前を付けることにより、共通して使用されるテスト タスクのライブラリを整理でき、ここからすばやくタスクを選択して、ビジュアル テストに挿入することができます。
    スクリプトが コード ウィンドウに表示されます。
  3. Sub Main() の下の行にカーソルを置き、以下のように入力します。
    Dim rand As New Random()
Dim TSrandomAge As Integer = rand.Next(10000, 99999)
MsgBox(TSrandomAge)
  4. ツール バーで 再生 をクリックします。 再生 ダイアログ ボックスが開きます。
  5. OK をクリックします。 メッセージ ボックスが表示され、10,000 から 99,999 の生成された乱数が表示されます。
  6. OK をクリックします。 再生完了 ダイアログ ボックスが開きます。
  7. .NET スクリプトへ移動 をクリックします。
  8. 数値範囲パラメータの (10000, 99999) をパラメータ MinVal と MaxVal に置き換えます。 これら 2 つのパラメータを使用することにより、スクリプトを開いて値を変更するのではなく、このスクリプトを再生するビジュアル テストから乱数の範囲を設定することができます。 以下のように入力します。
    Dim TSrandomAge As Integer = rand.Next(MinVal, MaxVal)
  9. スクリプトが適切に動作することを確認するために、Sub Main() の直後で、以下の値をパラメータに割り当てます。
    Dim MinVal=16
Dim MaxVal=105
    スクリプトは以下のコードのようになっているはずです。
    Public Sub Main()
  Dim rand As New Random()
  Dim MinVal=16
  Dim MaxVal=105
  Dim TSrandomAge As Integer = rand.Next(MinVal, MaxVal)

  MsgBox(TSrandomAge)
End Sub
  10. ツール バーで 再生 をクリックします。 再生 ダイアログ ボックスが開きます。
  11. OK をクリックします。 メッセージ ボックスが表示され、16 から 105 の生成された乱数が表示されます。
  12. OK をクリックします。 再生完了 ダイアログ ボックスが開きます。
  13. .NET スクリプトへ移動 をクリックします。
  14. 入力パラメータを使用して MinVal および MaxVal パラメータを設定するには、以下のステップを実行します。
    1. 作成する入力パラメータが含まれるように Main() sub を変更します。
      Public Sub Main(args As IDictionary(Of String, Object))
  Dim MinVal=args ("MinVal")
  Dim MaxVal=args ("MaxVal")
      "MinVal"と "MaxVal" は、次の手順で作成する入力パラメーターの名前です。
    2. 作成する出力パラメータが含まれるように Main() sub を変更します。
      Public Sub Main(args As IDictionary(Of String, Object))

  args ("TSrandomAge")=TSrandomAge
      "TSrandomAge" は、次の手順で作成する出力パラメーターの名前です。
    3. 年齢はスクリプトからビジュアル テストに渡されるため、ステートメントの先頭にアポストロフィを入力してメッセージ ボックスのコードをコメントにします。
      'MsgBox(TSrandomAge)
    スクリプト全体は以下のようになっているはずです。
    Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main(args As IDictionary(Of String, Object))

        Dim rand As New Random()

        Dim MinVal= args("MinVal")
        Dim MaxVal= args("MaxVal")

        Dim TSrandomAge As Integer = rand.Next(MinVal, MaxVal)
        args ("TSrandomAge")=TSrandomAge
        'MsgBox(TSrandomAge)

    End Sub
End Module

次に、ランダム年齢をビジュアル テストに渡すために使用するスクリプトの入力パラメータと出力パラメータを定義します。

親トピック: ビジュアル テストからのスクリプトの再生


スクリプトの入力パラメータの定義

スクリプトは、入力パラメータを使用してビジュアル テストからデータを受け取ったり、逆に出力パラメータを使用してビジュアル テストにデータを渡したりできます。 このタスクでは、function_randomAge スクリプトで作成された乱数の範囲を設定する 2 つの入力パラメータを定義します。

  1. プロパティ ペインで、入力パラメータの追加 を右クリックして選択します。
    スクリプト入力パラメータの追加 ダイアログ ボックスが開きます。
  2. 名前 テキスト ボックスに MinVal と入力します。
  3. 型 リストで、数値 (Double) を選択します。
  4. デフォルト値 テキスト ボックスに 16 と入力します。 必要に応じて、ビジュアル テストにデフォルト値を設定することもできます。
  5. OK をクリックします。
    プロパティ ペインの入力パラメータのリストに、入力パラメータが表示されます。
  6. プロパティ ペインで、入力パラメータの追加 を右クリックして選択します。
    スクリプト入力パラメータの追加 ダイアログ ボックスが開きます。
  7. 名前 テキスト ボックスに MaxVal と入力します。
  8. 型 リストで、数値 (Double) を選択します。
  9. デフォルト値 テキスト ボックスに 105 と入力します。 必要に応じて、ビジュアル テストにデフォルト値を設定することもできます。
  10. OK をクリックします。
    プロパティ ペインの入力パラメータのリストに、入力パラメータが表示されます。
親トピック: ビジュアル テストからのスクリプトの再生
関連タスク
スクリプトの入力パラメータの追加


スクリプトの出力パラメータの定義

スクリプトは、入力パラメータを使用してビジュアル テストからデータを受け取ったり、逆に出力パラメータを使用してビジュアル テストにデータを渡したりできます。 このタスクでは、function_randomAge スクリプトで作成された乱数をビジュアル テストに渡すパラメータを定義します。

  1. プロパティ ペインで、出力パラメータの追加 を右クリックして選択します。
    スクリプト出力パラメータの追加 ダイアログ ボックスが開きます。
  2. 名前 テキスト ボックスに TSrandomAge と入力します。
  3. 型 リストで、数値 (Double) を選択します。
  4. デフォルト値 テキスト ボックスは空のままにします。
  5. OK をクリックします。
    プロパティ ペインの出力パラメータのリストに、出力パラメータが表示されます。

ビジュアル テストで出力パラメータを受け取るローカル変数を定義します。

親トピック: ビジュアル テストからのスクリプトの再生


スクリプトのデータを使用するビジュアル テストの設定

スクリプトのデータを使用するようにビジュアル テストを設定するには、スクリプトを再生し、スクリプトのデータを格納するローカル変数を作成し、このローカル変数をスクリプトの出力変数と関連付けるステップを挿入する必要があります。 さらに、ビジュアル テストからスクリプトにデータを渡すために、スクリプトの入力変数の値を設定する必要があります。

  1. AutoQuote ビジュアル テストを開きます。
  2. ファイル > 名前を付けて保存 を選択します。 名前を付けて保存 ダイアログ ボックスが開きます。
  3. AutoQuote ビジュアル テストを変更するため、元のテストと区別できるよう AutoQuote_Modified と名前を変更し、OK をクリックします。
  4. 以下のステップ テキストのあとにあるステップを選択します。 ビジュアル テスト 'AddAccount' の再生
  5. テスト ステップ ペインで、操作 > 挿入 > .NET スクリプト を選択します。 .NET スクリプトの参照 ダイアログ ボックスが開きます。
  6. function_randomAge を選択し、OK をクリックします。 Silk Test Workbench により、スクリプトを再生するステップが挿入されます。
  7. スクリプトのデータを格納するローカル変数を追加するには、以下のステップを実行します。
    1. テスト ステップ ペインで、操作 > 挿入 > 変数 > ローカルの追加 をクリックします。 ローカル変数の追加 ダイアログ ボックスが開きます。
    2. 変数名 テキスト ボックスに VTrandomAge と入力します。
    3. 型 リストから 数値（Double） を選択し、初期値 を 0 に設定します。
    4. OK をクリックします。 <<開始>> ステップから変数を参照し、定義を編集することができます。
  8. スクリプトのステップを選択します。 ステップは次のようになります：「.NET スクリプト 'function_randomAge' の再生」
  9. 挿入されたスクリプト ステップの プロパティ ペインで、'TSrandomAge' の内容の引き渡し先 プロパティの値領域をクリックし、ローカル変数 VTrandomAge を選択します。 入力パラメータをスクリプトで追加したため、その値が プロパティ ペインに表示されます。 ただし、値を編集することで、ビジュアル テストで使用される入力パラメータを変更できます。 これらの値は、スクリプトでは変更されません。

これで、スクリプトのデータを使用するようにビジュアル テストが設定されました。 AutoQuote_Modified ビジュアル テストが再生されるたびに、function_randomAge スクリプトが再生され、ビジュアル テストのローカル変数 VTrandomAge に固有の乱数が渡されます。

次に、function_randomAge スクリプトで生成された乱数を含むビジュアル テストのローカル パラメータを使用するように、年齢情報を入力するステップを変更します。

親トピック: ビジュアル テストからのスクリプトの再生


ビジュアル テストでのスクリプト データの使用

このセクションでは、function_randomAge スクリプトで生成された乱数を含むビジュアル テストのローカル パラメータを使用するように、年齢情報を入力するステップを変更します。

  1. Age テキスト ボックスで、データを入力するステップを選択します。ステップ テキストは、次のようになります： '42' を入力します
  2. プロパティ ペインで、テキスト プロパティを選択します。
  3. 選択 ボタンをクリックして、変数 を選択します。 変数の選択 ダイアログ ボックスが開きます。
  4. VTrandomAge を選択し、OK をクリックします。 ステップ テキストは、次のようになります：「'[VTrandomAge]' を入力します」

このステップで、VTrandomAge ローカル変数の値が Age テキスト ボックスに入力されるようになりました。

親トピック: ビジュアル テストからのスクリプトの再生


テスト結果の再生と確認

  1. 次のいずれか 1 つのステップを行います：
    • 操作 > 再生 を選択します。
    • ツール バーで 再生 をクリックします。
    再生 ダイアログ ボックスが開きます。
  2. 結果の説明 テキスト ボックスに Adding Customers using data passed from a script と入力します。
  3. OK をクリックします。
  4. 再生をサポートしている複数のブラウザーがマシンにインストールされている場合、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。 Silk Test Workbench によって、拡張されたテストが再生され、スクリプトから渡された乱数とビジュアル テストで定義した追加の顧客情報を使用して 10 人の新規顧客が作成されます。
  5. 再生完了 ダイアログ ボックスで 結果へ移動 をクリックします。

    結果 ウィンドウが開き、デフォルトで 要約 タブが表示されます。

  6. 詳細 タブをクリックして、各ステップの結果を表示します。
親トピック: ビジュアル テストからのスクリプトの再生


Silk Test Workbench スクリプト チュートリアル

Silk Test Workbench スクリプト チュートリアルにようこそ。このチュートリアルでは、スクリプトの作成、スクリプトの再生、および再生結果の分析に必要な基本ステップについて学習します。また、多数の機能を使用して、記録したスクリプトをすばやく更新および拡張する方法についても学習します。

このチュートリアルでは、Microsoft Visual Basic および Microsoft .NET Framework の基本的な知識があることが前提になっています。.NET Framework についての知識をお持ちでない場合は、Microsoft の Web サイトを参照してください。

このチュートリアルでは、Silk Test Workbench を使用して繰り返し可能なテストを作成する練習をするための Silk Test サンプル Web アプリケーション（http://demo.borland.com/InsuranceWebExtJS/）を使用します。
注: このチュートリアルで使用されているサンプル アプリケーションは、Internet Explorer に合わせて設計され、最適化されています。チュートリアルのレッスンと同じユーザー体験を得るには、Micro Focus は Internet Explorer 以外のサポート対象ブラウザでチュートリアル サンプル アプリケーションを実行することをお勧めしません。
注: Web アプリケーションを記録または再生する前に、システムにインストールされているすべてのブラウザ アドオンを無効にします。Internet Explorer でアドオンを無効にするには、ツール > インターネット オプション をクリックし、プログラム タブをクリックし、アドオンの管理 をクリックし、アドオンを選択してから 無効にする をクリックします。

各レッスンは前のレッスンの出力に基づいて進められるため、チュートリアルのレッスンは順番に完了してください。

  • スクリプトの記録：概要
    スクリプトを記録する方法、記録したスクリプトを コード ウィンドウで表示する方法、およびスクリプトを再生する方法を示します。
  • 結果の分析：概要
    結果の確認方法について説明します。
  • スクリプトの拡張：概要
    既存のテストを拡張し、よりパワフルで堅牢かつ柔軟なテストを作成するために Silk Test Workbench で使用できる例を示します。
  • スクリプト内でのスクリプトの実行：概要
    共通する操作のセットをまとめる処理の概要について説明します。
  • 再生エラーへの対応：概要
    エラーを診断し、修正する方法について説明します。
親トピック: チュートリアル


スクリプトの記録：概要

サンプル Web アプリケーションで保険の見積もり要求を作成するための操作を行うと、Silk Test Workbench はその操作を記録します。スクリプトに必要な操作の記録を完了すると、記録されたスクリプトが コード ウィンドウに表示されます。

  • サンプル Web アプリケーションの起動
    このチュートリアルでは、Internet Explorer で Silk Test サンプル Web アプリケーションを使用します。
  • サンプル Web アプリケーションに対するスクリプトの記録
    サンプル Web アプリケーションでテストする操作を記録します。
  • 記録されたスクリプトの確認
    結果 ウィンドウでスクリプトを確認します。
  • 記録されたテストの再生
    スクリプトを記録し、保存したら、再生して、スクリプトが適切に動作することを確認できます。
親トピック: Silk Test Workbench スクリプト チュートリアル


サンプル Web アプリケーションに対するスクリプトの記録

記録中は、記録を停止するまでテスト アプリケーションでのすべての操作 (Silk Test Workbench の操作は除く) が Silk Test Workbench によって記録されます。記録が完了したら、生成したスクリプトを変更して、ステップを追加したり、不要なステップを削除したりできます。

  1. ファイル > 新規作成 を選択します。
    資産の新規作成 ダイアログ ボックスが開きます。
  2. [資産の種類] リストから .NET スクリプト を選択し、資産名 テキスト ボックスにスクリプトの名前を入力します。
    たとえば、タイトルに AutoQuote と入力します。
  3. 記録をすぐに開始するために、記録の開始 チェック ボックスをオンにします。
  4. OK をクリックして、スクリプトを資産として保存し、記録を開始します。
    アプリケーションの選択 ダイアログ ボックスが開きます。
  5. Web タブを選択します。
  6. リストから Internet Explorer を選択します。
  7. 移動する URL の入力 テキスト ボックスに、demo.borland.com/InsuranceWebExtJS/ を入力します。
  8. OK をクリックします。
    Silk Test Workbench が最小化され、記録中 ダイアログ ボックスが開きます。
  9. Insurance Company Web サイトでは、次のステップのいずれかを行います：
    1. Select a Service or login リスト ボックスから Auto Quote を選択します。
      Automobile Instant Quote ページが開きます。
    2. 郵便番号と電子メール アドレスを適切なテキスト ボックスに入力し、自動車タイプをクリックして、Next をクリックします。 たとえば、郵便番号に 92121、電子メール アドレスに jsmith@gmail.com をそれぞれ入力し、自動車タイプとして Car を指定します。
    3. 年齢を指定し、性別と運転履歴タイプをクリックして、Next をクリックします。 たとえば、年齢に 42 を入力し、性別と運転履歴タイプに Male および Good をそれぞれ指定します。
    4. 製造年、車種、モデルを指定し、財務情報タイプをクリックして、Next をクリックします。 たとえば、製造年に 2010 と入力し、車種とモデルに Lexus および RX400 をそれぞれ指定し、財務情報タイプとして Lease を指定します。 指定した情報の概要が現れます。
    5. Purchase をクリックします。 Purchase A Quote ページが開きます。
    6. ページ上部にある Home をクリックして、記録を開始したホーム ページに戻ります。
  10. Alt+F10 を押すか、記録中 ウィンドウで 停止 をクリックするか、Silk Test Workbench のタスクバー アイコンをクリックして、記録を停止します。
    記録完了 ダイアログ ボックスが開きます。記録完了 ダイアログ ボックスで 次回からこのメッセージを表示しない チェック ボックスがオンになっている場合、記録が停止したあとにこのダイアログ ボックスは表示されません。この場合、スクリプトが表示されます。
  11. .NET スクリプトへ移動 をクリックします。 スクリプトが コード ウィンドウに表示されます。
  12. 保存 をクリックします。
親トピック: スクリプトの記録：概要


記録されたスクリプトの確認

Silk Test Workbench では、それ以外のすべてのアプリケーション内の操作がすべて記録されます。 指示に忠実に従っていれば、サンプル アプリケーションの Web サイトで実行した操作だけが Silk Test Workbench によってキャプチャされます。 Silk Test Workbench は再生中にこれらの操作を繰り返します。

スクリプトは、以下のサンプルのようになります。
Imports SilkTest.Ntf.XBrowser
Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main()
        _desktop.Control("control1").TypeKeys("9")
        With _desktop.BrowserApplication("webBrowser")
            With .BrowserWindow("browserWindow")
                .DomTextField("autoquoteZipcode").SetText("92121")
                .DomTextField("autoquoteEMail").SetText("jsmith@gmail.com")
                .DomRadioButton("autoquoteVehicle0").Select()
                .DomButton("autoquoteNext").Select()
                .DomTextField("autoquoteAge").SetText("42")
                .DomRadioButton("autoquoteGender0").Select()
                .DomRadioButton("autoquoteType1").Select()
                .DomButton("autoquoteNext").Select()
                .DomTextField("autoquoteYear").SetText("2010")
                .DomElement("img").DomClick(MouseButton.Left, New Point(8, 9))
                .DomElement("lexus").DomClick(MouseButton.Left, New Point(87, 7))
                .DomElement("img3").DomClick(MouseButton.Left, New Point(11, 10))
                .DomElement("rX400").DomClick(MouseButton.Left, New Point(96, 11))
                .DomRadioButton("autoquoteFinInfo2").Select()
                .DomButton("autoquoteNext").Select()
                .DomLink("home").Select()
            End With
        End With

    End Sub
End Module

スクリプトが前述の例と完全に一致しないことがあります。 各ユーザーは、それぞれ異なる方法でアプリケーションと対話するためです。 たとえば、フォームに情報を入力するとき、各フィールドをクリックしていくユーザーもいれば、Tab キーを使用して移動していくユーザーもいます。結果は同じですが、これらの操作の Silk Test Workbench による記録内容は異なります。 このような違いはありますが、スクリプトは正しく再生されるはずです。

親トピック: スクリプトの記録：概要


記録されたテストの再生

スクリプトを記録し、保存したら、再生して、スクリプトが適切に動作することを確認できます。

  1. 次のいずれか 1 つのステップを行います：
    • 操作 > 再生 を選択します。
    • ツール バーで 再生 をクリックします。
    再生 ダイアログ ボックスが開きます。このダイアログ ボックスで、結果をどのように保存するかを指定できます。
  2. 結果の説明 テキスト ボックスに Initial test results for the recorded test と入力します。
  3. OK をクリックします。
  4. 再生をサポートしている複数のブラウザーがマシンにインストールされている場合、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。 各結果は、一意のテスト実行番号によって識別されます。 Silk Test Workbench が最小化され、スクリプトが再生されます。再生中、サンプル アプリケーションに対して、スクリプトの記録中に行った操作が画面上で再生されます。再生が正常に完了すると、再生完了 ダイアログ ボックスが開きます。
  5. 結果へ移動 をクリックします。 結果 ウィンドウが表示されます。
親トピック: スクリプトの記録：概要


結果の分析：概要

テストを再生すると、Silk Test Workbench によってテスト結果が生成されます。 テスト結果にはスクリプトの再生に関する情報が含まれています。 スクリプトの名前、実行番号、各ステップが実行された日付と時刻、各ステップの合格／失敗のステータスなどの重要な情報が含まれます。

親トピック: Silk Test Workbench スクリプト チュートリアル


スクリプトの拡張：概要

テストの拡張には、既存のテストが新しいバージョンのテスト アプリケーションで使用できるようにテストを更新することなどが含まれます。たとえば、テスト アプリケーションのさまざまな状態を処理し、検証するために、テスト ロジックを挿入することができます。さらに、テストの内容をわかりやすくしたり、重要な点について自分自身や他のユーザーに注意を促すために、メッセージ ボックスを挿入することができます。

これらは、Silk Test Workbench で既存のテストを拡張し、よりパワフルで堅牢かつ柔軟なテストを作成する、ほんの数例です。

  • 検証の挿入
    検証を挿入して、見積もりで正しい車両モデルが使用されていることを確認します。
  • アプリケーション データの作成とローカル変数への保存
    電子メール アドレスを表示するコントロール内の変数テキストを保存します。
  • 拡張したスクリプトの再生と分析
    テストを再生して、結果を分析します。
親トピック: Silk Test Workbench スクリプト チュートリアル


検証の挿入

検証とは、ユーザー定義の条件を評価し、合格／失敗のメッセージを再生結果に送信するテスト ロジックです。

このレッスンでは、検証を挿入して、見積もりで正しい車両モデルが使用されていることを確認します。

  1. 自動見積もりのモデル タイプを定義する、以下のテキストを選択します。
    .DomElement("RX400").DomClick(MouseButton.Left, New Point(96, 11))
  2. モデル (Model) タイプを指定する Instant Quote ウィザードのページに移動し、異なるモデル タイプに注目します。 たとえば、GS430 は車種 Lexus のモデル タイプです。
  3. Silk Test Workbench でモデル タイプを変更します。 textContents コードを
    .DomElement("RX400").DomClick(MouseButton.Left, New Point(96, 11))
    から次のように変更します：
    .DomElement("GS430").DomClick(MouseButton.Left, New Point(96, 11))
  4. 期待値と実際の値を比較して、コメントを追加するには、以下のように入力します。
    Workbench.Verify ("GS430", .DomTextField("modelCombo").Text, "The model type is correct")

サンプル アプリケーションのプロパティの値を検証するテスト ロジックを挿入することで、記録したスクリプトを拡張できました。

親トピック: スクリプトの拡張：概要


アプリケーション データの作成とローカル変数への保存

変数を使用すると、スクリプトの別の場所で使用するデータ値を保存できるため、テストを拡張できます。 データは他の種類のファイルに出力することもできます。

サンプル アプリケーションの Get Instant Auto Quote ページには、一意の電子メール アドレスが表示されます。 このページの電子メール アドレスを含むテキストは、このページのコントロールのプロパティ値です。

このレッスンでは、ローカル変数 stremailAddr に、このテキストを保存します。

  1. スクリプトで、電子メールの値に移動します。 コードは以下のようになります。
    .DomTextField("autoquoteEMail").SetText("jsmith@gmail.com")
  2. 電子メールの値のあとに、以下のコードを挿入します。
    Dim StremailAddr As String
    StremailAddr = .DomTextField("autoquoteEMail").Text

    このステップによって、新しいローカル変数 StremailAddr が作成されます。このローカル変数に、Get Instant Auto Quote page ページの電子メール アドレスのテキストを保存します。

  3. 再生中に変数テキストを表示する出力を含めるには、スクリプトに Console.Write コマンドを含めます。 以下に例を示します。
    Console.Write (StremailAddr)
  4. コンソール出力を表示するには、表示 > 出力 を選択します。 出力 ウィンドウが開きます。 スクリプトを再生すると、出力 ウィンドウが入力されます。

テストでプロパティ値が正しくキャプチャされ、保存されることを確認するために、テストを再生して結果を確認します。

親トピック: スクリプトの拡張：概要


拡張したスクリプトの再生と分析

記録したスクリプトにいくつかの拡張を行ったので、スクリプトを再生し、結果を分析してみます。

  1. 次のいずれか 1 つのステップを行います：
    • 操作 > 再生 を選択します。
    • ツール バーで 再生 をクリックします。
    再生 ダイアログ ボックスが開きます。
  2. 結果の説明 テキスト ボックスに、Enhanced test results for the script と入力します。
  3. OK をクリックします。
  4. 再生をサポートしている複数のブラウザーがマシンにインストールされている場合、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。 Silk Test Workbench により、拡張されたテストが再生されます。
  5. 再生完了 ダイアログ ボックスで 結果へ移動 をクリックします。

    結果 ウィンドウが開き、デフォルトで 要約 タブが表示されます。

    要約 タブに、スクリプトが合格した（エラーなしで正常に再生されたことを意味します）、または失敗した検証が示されます。

  6. 合格（1） タブをクリックします。 かっこ内の数は、合格した検証の合計数を示します。テスト ステップ ペインには検証ステップが表示され、結果の詳細 列には検証の合格の説明が表示されます。
  7. 詳細 タブをクリックすると、各操作の結果を表示されます。
  8. 出力 ウィンドウで、変数に電子メール アドレスを保存した結果を示すステップまでスクロールします。 テキストは以下のようなものです。
    jsmith@gmail.com
  9. 合格 タブをクリックすると、モデル タイプの検証結果が表示されます。 テキストは以下のようなものです。
    Main:Verify 合格:The model type is correct
    検証結果は、結果 列および 結果の詳細 列にも表示されます。

お疲れ様でした。これで、サンプル アプリケーションを確実にテストするスクリプトを作成できました。次のレッスンでは、スクリプトを他のスクリプトですばやく簡単に実行する方法など、より高度なテストの概念と機能について学習します。

親トピック: スクリプトの拡張：概要


スクリプト内でのスクリプトの実行：概要

このチュートリアルでは、Web アプリケーションから自動車保険の見積もりを取得するために必要な各操作を実行する単一のスクリプトを作成しました。 単一のスクリプトは、単純なアプリケーションに対して基本的なテスト ケースを実行する場合に便利です。 ただし、ほとんどのソフトウェア テストでは、アプリケーションのすべての側面をテストするなど、より厳格なアプローチが必要となります。 さらに、テスト アプリケーションが変化したときに既存のスクリプトをすばやく更新できることが必要です。

これらのテストの課題を解決する効率的な手段を提供するために、Silk Test Workbench はモジュール式テストをサポートしており、特定のテスト ソリューションの共通の操作を単一のテストにまとめ、同じ操作セットを必要とする他のスクリプトでスクリプトを再利用できるようにしています。

  • モジュール式テスト
    モジュール テストのシナリオとフローの概要について説明します。
  • 2 つめのスクリプトの記録
    チュートリアルの 2 つめのスクリプトを記録し、スクリプトの別の作成方法を学習します。
  • 別のスクリプトへのスクリプトの挿入
    スクリプト内でスクリプトを実行すると、複数のスクリプトで同じ基本ステップを効率的にテストできます。
親トピック: Silk Test Workbench スクリプト チュートリアル


2 つめのスクリプトの記録

このセクションでは、チュートリアルの 2 つめのスクリプトを記録し、スクリプトの別の作成方法を学習します。

  1. ファイル > 新規作成 を選択します。
    資産の新規作成 ダイアログ ボックスが開きます。
  2. [資産の種類] リストから .NET スクリプト を選択し、資産名 テキスト ボックスにスクリプトの名前を入力します。
    このチュートリアルでは、名前として AddAccount と入力します。
  3. 記録をすぐに開始するために、記録の開始 チェック ボックスをオンにします。
  4. OK をクリックして、スクリプトを資産として保存し、記録を開始します。
    アプリケーションの選択 ダイアログ ボックスが開きます。
  5. Web タブを選択します。
  6. リストから Internet Explorer を選択します。
  7. サンプル アプリケーションの Home ページで、Login セクションの Sign Up をクリックします。 Create A New Account ページが開きます。
  8. 適切なフィールドに、以下の情報を入力します。 次のフィールドに移動するには Tab キーを押します。
    フィールド名 | 値
    名 (First Name) | Pat
    姓 (Last Name) | Smith
    生年月日 (Birthday) 12/02/1990
    注: カレンダー コントロールの月と年の隣にある下矢印をクリックして月と年を変更し、カレンダーで 12 を選択します。
    電子メール アドレス (E-mail Address) | smith@test.com
    住所 (Mailing Address) | 1212 Test Way
    市 (City) | San Diego
    州 (State) | CA
    郵便番号 (Postal Code) | 92121
    パスワード (Password) | test
  9. Sign Up をクリックします。
  10. Continue をクリックします。 連絡先情報が表示されます。
  11. ページ上部にある Home をクリックして、記録を開始したホーム ページに戻ります。
  12. Log Out をクリックします。
  13. Alt+F10 を押して記録を完了します。 記録完了 ダイアログ ボックスが開きます。
  14. 保存 をクリックします。 スクリプトが コード ウィンドウに表示されます。
親トピック: スクリプト内でのスクリプトの実行：概要


別のスクリプトへのスクリプトの挿入

このセクションでは、ユーザー アカウントを追加する 2 つめのスクリプトを、元のスクリプトの自動見積もりの要求を行うコードの前に挿入します。

スクリプト内でスクリプトを実行すると、スクリプトで同じ基本操作を効率的にテストできます。

ヒント: スクリプトを別のスクリプトに挿入する際、テスト アプリケーションが正しい初期再生状態になっていることを確認することが重要です。
  1. ファイル > 開く を選択します。 アセット ブラウザ が開きます。
  2. 左側のペインで .NET スクリプト を選択し、スクリプトのリストを表示します。
  3. リストから AutoQuote をダブルクリックして開きます。 AutoQuote はこのチュートリアルで最初に作成したテストです。
  4. コード ウィンドウの Public Sub Main() コードの後ろにカーソルを置き、Enter を押して、新規行を追加し、以下のように入力します。
    Workbench.RunScript ("AddAccount")

    ここで、AddAccount は、作成した 2 つめのスクリプトの名前です。

    見積もりステップを実行する前にアカウント情報を追加するため、With ステートメントの前に Workbench.RunScript コマンドが追加してあります。 見積もりステップのあとで AddAccount スクリプトを実行するには、Workbench.RunScript コマンドを End With ステートメントのあとに追加します。
親トピック: スクリプト内でのスクリプトの実行：概要


再生エラーへの対応：概要

再生中のエラーは、テスト アプリケーションの変更、不適切なワークフローなど、さまざまな要因により発生します。 このようなエラーをすばやく診断し、修正することにより、テストの保守を最小限にし、チームによるテスト作業の効率を上げることができます。

まず、前のレッスンで作成したモジュール式スクリプトを再生します。

  • モジュール式スクリプトの再生
    モジュール式スクリプトを再生し、再生中のエラーを確認します。
  • 結果の確認
    スクリプトのデバッグが終了したら、スクリプトの結果を確認します。
親トピック: Silk Test Workbench スクリプト チュートリアル


モジュール式スクリプトの再生

前のレッスンでは、AddAccount を AutoQuote スクリプト挿入することにより、モジュール式スクリプトを作成しました。

このセクションでは、このモジュール式スクリプトを再生し、再生中のエラーを確認します。

  1. AutoQuote スクリプトが開いている状態で、ツールバーの 再生 をクリックします。 再生 ダイアログ ボックスが開きます。
  2. 結果の説明 テキスト ボックスに Responding to errors in a modular test と入力します。
  3. OK をクリックします。
  4. 再生をサポートしている複数のブラウザーがマシンにインストールされている場合、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。
    再生中に、Create A New Account ページでテストが停止し、エラー メッセージが表示されます。 データベースでは、各顧客レコードに対して一意の電子メール アドレスが必要なため、このエラーが発生します。AddAccount スクリプトの記録中にすでに電子メール アドレスを入力しているため、この電子メール アドレスはデータベースにすでに存在しており、テストが失敗します。
親トピック: 再生エラーへの対応：概要


結果の確認

スクリプトの結果を確認します。

  1. 終了 をクリックして、再生を停止します。 再生完了 ダイアログ ボックスが開きます。
  2. 結果へ移動 をクリックします。 AutoQuote の結果が表示され、デフォルトで 要約 タブが表示されます。

    要約 タブにはテスト実行の全体的な詳細が表示されます。ビジュアル テストまたは .NET スクリプト (実行回数) フィールドには、「AutoQuote(1)」と挿入されたスクリプト「AddAccount(1)」がリストされます。

  3. 詳細 タブをクリックします。
  4. 青色のテキストのステップまでスクロールします。

    結果 列と 結果の詳細 列を確認すると、再生中に発生したエラーに関する情報をすばやく参照できます。

    注: 失敗 タブには、再生エラーを含むステップは表示されません。失敗した検証のみが表示されます。
再生エラーを診断する方法を学びました。このチュートリアルの目的のため、一旦スクリプトの再生を成功するためにスクリプトの電子メールを手動で変更してエラーを回避することができます。つまり、AddAccount スクリプトの
smith@test.com
を次のように変更します：
psmith@test.com
親トピック: 再生エラーへの対応：概要


ヘルプについてのヘルプ

このセクションには、以下の情報があります。

  • Silk Test Workbench ヘルプ
  • ヘルプで使用されている表記規則

Silk Test Workbench ヘルプ

Silk Test Workbench のヘルプには、概念的な概要と手順を説明するトピックがあります。 これらのトピックのタイプでは、必要に応じて、全般的な情報から特定の情報に移動できます。

概念的な概要
概念的な概要では、Silk Test で作業するために必要な製品のアーキテクチャ、コンポーネント、およびその他の情報を提供します。 ほとんどの概要の最後には、関連するより詳細な情報へのリンクがあります。
手順の説明
手順の説明では、ステップごとに説明を提供します。 ほとんどの手順の最後には、関連する手順へのリンクがあります。 また、ほとんどの概念的な概要には、関連する手順へのリンクがあります。

ヘルプで使用されている表記規則

Silk Test Workbench のヘルプでは、以下の表記規則が使用されます。

規則 | 表す内容
等幅フォント | 入力する必要があるソース コードおよびテキスト。
ボールド体 | ダイアログ ボックスおよびその他のユーザー インターフェイス要素への参照。
イタリック体 | 変数などの識別子。 イタリック体のテキストは新しい用語を強調するためにも使用されます。
  • ヘルプを表示する方法
    オンライン ヘルプにアクセスして、必要なトピックを見つける方法について説明します。
  • ヘルプ トピックの印刷
    ヘルプ トピックを印刷する方法について説明します。
親トピック: はじめに


ヘルプを表示する方法

Silk Test Workbench ヘルプ メニューには以下のコマンドがあります。

  • 目次 をクリックすると、Silk Test Workbench ヘルプの目次が表示されます。
  • 検索 をクリックすると、フルテキスト検索を使用してトピックを検索できます。
  • 索引 をクリックすると、キーワードの索引を使用してトピックを検索できます。
  • チュートリアル をクリックすると、Silk Test Workbench のチュートリアルを実行できます。このチュートリアルでは、サンプル アプリケーションでビジュアル テストを実際に作成、実行しながら、Silk Test Workbench の機能を学べます。
  • Silk Test Workbench のバージョン情報 をクリックすると、現在インストールされているバージョン、著作権情報、およびシステム情報が表示されます。

選択したダイアログ ボックスにある ヘルプ ボタンをクリックすることによっても、Silk Test Workbench ヘルプにアクセスできます。

親トピック: ヘルプについてのヘルプ


ヘルプ トピックの印刷

  1. 目次 タブをクリックします。 目次 タブが表示されていない場合は、表示 をクリックして、ナビゲーション ペインを表示します。
  2. 印刷するトピックを選択します。
  3. 印刷 をクリックします。
  4. 複数のトピックを印刷するには、ブックを選択し、印刷 をクリックして、選択された見出しおよびすべてのサブトピックを印刷 オプション ボタンをクリックします。 トピックは見出しごとに別のページに印刷されるのではなく、連続して印刷されます。
親トピック: ヘルプについてのヘルプ


使用状況データの収集の有効化/無効化

Micro Focus では、テスト全体にわたるユーザー エクスペリエンスの向上を図るため、Micro Focus ソフトウェアとサービスの使用方法に関する情報を収集し、Micro Focus に提供していただくことを望んでいます。Silk Test Workbench のインストール時に使用許諾契約の条項に同意することにより、Silk Test Workbench の使用方法に関する情報と、Silk Test Workbench をインストールしたコンピューターに関する情報の収集を Micro Focus に許可したことになります。Micro Focus は、名前や住所などの個人の特定を可能にする情報の収集や、スクリプトやパスワードなどのデータ ファイルの収集は行いません。この情報の収集を Micro Focus に許可することにより、Micro Focus では、その傾向と使用方法のパターンの識別に役立てることができます。

Micro Focus による使用状況データの収集を有効化または無効化するには：

  1. メニューから へるぷ > Silk Test Workbench のバージョン情報 をクリックします。
  2. バージョン情報ダイアログ ボックスで、カスタマ フィードバック オプション をクリックします。
  3. 以下のオプションのいずれかを選択します。
    • 使用状況データの収集を有効化するには、はい、参加します をクリックします。
    • 使用状況データの収集を無効化するには、いいえ、参加しません をクリックします。
  4. OK をクリックします。
親トピック: はじめに


Micro Focus へのお問い合わせ

Micro Focus は、世界的規模のテクニカル サポートおよびコンサルティング サービスを提供します。すべての顧客のビジネスを成功に導くために、信頼できるサービスをタイムリーに提供するように、Micro Focus はワールドワイドのサポート体制を整えています。

保守およびサポート契約を結んだすべてのお客様、および製品を評価中のお客様は、カスタマー サポートを受けることができます。高度なトレーニングを積んだスタッフが、お客様の質問にできる限り迅速かつ専門的にお答えします。

http://supportline.microfocus.com/assistedservices.asp にアクセスするか、またはメールを supportline@microfocus.com に送信して、Micro Focus SupportLine と直接連絡できます。

また、http://supportline.microfocus.com の Micro Focus SupportLine では、 最新のサポートに関するニュースや、さまざまなサポート情報を得ることができます。 このサイトに初めてアクセスした場合は、ユーザー登録が必要な場合があります。

  • Micro Focus SupportLine が必要とする情報
    お客様の問題を解決するために役立つ Micro Focus SupportLine が必要とする情報について説明します。
親トピック: はじめに


Micro Focus SupportLine が必要とする情報

Micro Focus SupportLine をご利用の場合は、可能な限り次の情報を提供ください。情報が多ければ多いほど、Micro Focus SupportLine はお客様に適切なサービスを提供できます。

  • 問題の原因と思われるすべての製品の名前およびバージョン番号
  • 使用しているコンピュータの製造元およびモデル
  • システム情報 (オペレーティング システムの名前やバージョン、プロセッサやメモリの詳細など)
  • 問題の詳細な説明 (問題の再現手順など)
  • 発生したエラー メッセージ
  • お客様のシリアル番号

これらの番号は、Micro Focus から受け取った Electronic Product Delivery Notice 電子メールの件名および本文に記述されています。

親トピック: Micro Focus へのお問い合わせ


テストの作成

ビジュアル テストとスクリプトを作成する場合のプロセスおよび考慮事項について説明します。

  • ビジュアル テストの作成
    ビジュアル テストの作成の概要について説明します。
  • スクリプトの作成
    スクリプトの作成の概要について説明します。
  • アプリケーション構成
    アプリケーション構成のコンポーネントを定義します。
  • 基本状態
    基本状態の役割りと重要性について説明します。
  • 記録の概要
    記録オプションの概要について説明します。


ビジュアル テストの作成

ビジュアル テストは、一連の単純な操作が記録されたものである場合もあれば、関数呼び出しやアクティブ データが含まれる複雑なものである場合もあります。

ビジュアル テストをすばやく作成するには、記録機能を使用するのが最適の方法です。記録機能により、Silk Test Workbench が生成するビジュアル テストのテスト ステップを学習することができます。これにより、ビジュアル テスト作成の基本を理解し、効率的なテスト ソリューションの作成についての理解を深めることができます。

記録中、Silk Test Workbench との対話を除くすべての操作が記録されます。ただし、記録を中断して、検証を挿入することもできます。最初の記録が終了したら、ビジュアル テストを変更できます。

  • ビジュアル テストの記録
    テストする操作を記録します。
  • 開始画面からのビジュアル テストの記録
    開始画面 からビジュアル テストを記録します。
  • 複数のテスト アプリケーションをテストするビジュアル テストの記録
    複数のテスト アプリケーションを使用するビジュアル テストに対してテストする操作を記録します。
  • ビジュアル テストでのロケーターからオブジェクト マップ エントリへの移動
    ビジュアル テストでロケーターからオブジェクト マップ エントリへ移動する方法について説明します。
  • Java Network Launching Protocol (JNLP) を使用するアプリケーションを起動するビジュアル テストの構成
    Java Network Launching Protocol (JNLP) を使用して起動するアプリケーションでは、Silk Test Workbench に追加の構成が必要です。
  • 新しいブラウザ ウィンドウで開くビジュアル テストの構成
    Silk Central から実行するテスト用に別のブラウザ ウィンドウを開くテストを構成します。
  • ビジュアル テスト内での特定のステップの表示
    ビジュアル テストで表示するテスト ステップをカスタマイズして、特定のステップだけを表示します。
  • テスト アプリケーションでのビジュアル テスト用コントロールの識別
    テスト対象アプリケーションでコントロールを識別することで、ビジュアル テストで使用する可視のコントロールを変更したり、可視のコントロールに対する操作を実行するテスト ステップをビジュアル テストに手動で挿入できます。
  • 画面プレビューでのビジュアル テスト用コントロールの識別
    画面プレビュー でコントロールを識別することで、テスト対象アプリケーションが利用できない場合でも、ビジュアル テストで使用するコントロールを変更したり、コントロールに対する操作を実行するテスト ステップをビジュアル テストに手動で挿入できます。
  • オブジェクトの識別ダイアログを使用したビジュアル テスト用コントロールの識別
    オブジェクトの識別 ダイアログを使用して、コンテナのようなテスト対象アプリケーションの非表示コントロールを識別できます。
  • 特定のテスト ステップでの追加操作の記録
    必要に応じて、既存のテストを追加操作で更新します。
  • テスト アプリケーションからビジュアル テストへの画面の挿入
    画面キャプチャを挿入すると、テスト アプリケーションの更新された画面を含むビジュアル テストを手動で構築できます。この方法を使用すると、新しい画面を記録するよりも効率が上がる場合があります。
  • ビジュアル テストのオブジェクト マップ項目またはロケーターの手動による記録
    オブジェクトの識別 ダイアログ ボックスを使用して、オブジェクト マップ項目またはロケーターを手動でキャプチャし、ビジュアル テストに対応するテスト ステップを作成します。
  • 既存のビジュアル テストを開く
    既存のビジュアル テストは、開始画面 または アセット ブラウザ から開くことができます。
  • ビジュアル テストの保存
    新しいビジュアル テストまたは変更したビジュアル テストを明示的に保存します。
  • ビジュアル テストの概要
    ビジュアル テストの概要について説明します。
  • プロパティ
    ビジュアル テストのプロパティを示します。
親トピック: テストの作成


ビジュアル テストの記録

記録中は、記録を停止するまで、テスト アプリケーションでのすべての操作（SilkTest Workbench の操作は除く）が Silk Test Workbench によって記録されます。記録が完了したら、生成したビジュアル テストを変更して、ステップを追加したり、不要なステップを削除したりできます。

  1. 省略可能：Web アプリケーションに対してテストをする際に、画面プレビューから記録したコントロールを更新できるようにするには、ビジュアル テストを記録する前にブラウザ コントロールのキャプチャを有効化してください。 詳細については、「記録の出力オプションの設定」を参照してください。
    注: Web アプリケーションの記録中にコントロールのキャプチャを有効化すると、ビジュアル テストのパフォーマンスが低下する恐れがあります。 Micro Focus では、コントロールのキャプチャを無効化することをお勧めします。
  2. ファイル > 新規作成 を選択します。
    資産の新規作成 ダイアログ ボックスが開きます。
  3. [資産の種類] リストから ビジュアル テスト を選択し、資産名 テキスト ボックスにビジュアル テストの名前を入力します。
    注: デフォルトでは、アクティブになっているプロジェクトにビジュアル テスト資産が作成されます。別のプロジェクトにビジュアル テスト資産を作成するには、プロジェクト リストで該当するプロジェクトを選択します。
  4. 省略可能：Silk Test Workbench の記録オプションを変更する場合は、オプション をクリックします。
  5. 記録をすぐに開始するために、記録の開始 チェック ボックスをオンにします。
  6. OK をクリックして、ビジュアル テストを資産として保存し、記録を開始します。
    記録の開始 チェック ボックスをオンにせずに OK をクリックすると、Silk Test Workbench によりビジュアル テストが資産として保存され、ビジュアル ナビゲータ が表示されます。 アプリケーションの選択 ダイアログ ボックスが開きます。
    注: テストするアプリケーションがリストに表示されない場合は、キャプションを持たないプロセスを表示しない チェック ボックスをオフにします。このオプションはデフォルトでオンになっており、キャプションが付いているアプリケーションのみをフィルタ処理するために使用します。
  7. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合、テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  8. 標準アプリケーションをテストするには、リストからアプリケーションを選択します。
  9. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  10. ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk Test Workbench は HTTP および UNC 形式をサポートします。 Silk Test Workbench は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  11. OK をクリックします。
    Silk Test Workbench が最小化され、アプリケーションと 記録中 ウィンドウが開きます。
  12. テストする操作を記録します。 記録中は、タスクバーの Silk Test Workbench アイコンが点滅します。記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  13. サポートするブラウザー上で Web アプリケーションを記録している場合で、かつ UI で直接アクセスできないコントロールを扱いたい場合 (たとえば、コントロールが他のコントロールで隠されている場合)、 記録中 ウィンドウの 階層ビューの切り替え をクリックして、コントロール階層ツリーからコントロールを選択します。 この機能は、次のブラウザーに対するテストで利用できます。
    • Microsoft Edge
    • Apple Safari
    • Mozilla Firefox 41 以降
    • Google Chrome 50 以降
    • モバイル ブラウザー
  14. 省略可能：検証ロジックをテストに追加します。
    • 標準アプリケーションまたは Web アプリケーションをテストしている場合、テストに検証ロジックを追加するには、Ctrl+Alt をクリックします。Silk Test Workbench により記録が一時的に停止し、テスト ロジック デザイナ ウィザードが表示されます。

      ウィザードの指示に従って処理を行い、完了 をクリックしてウィザードを閉じ、記録を続行します。

    • Microsoft Edge 上の Web アプリケーション、またはモバイル アプリケーションをテストしている場合、検証したいオブジェクトをクリックし、操作の選択 ダイアログ ボックスで 検証の追加 をクリックします。
    検証の追加に関する詳細については、「記録中のスクリプトへの検証の追加」 を参照してください。
  15. Alt+F10 を押すか、記録中 ウィンドウで 停止 をクリックするか、Silk Test Workbench のタスクバー アイコンをクリックして、記録を停止します。
    記録完了 ダイアログ ボックスが開きます。記録完了 ダイアログ ボックスで 次回からこのメッセージを表示しない チェック ボックスがオンになっている場合、記録が停止したあとにこのダイアログ ボックスは表示されません。この場合、ビジュアル テストは テスト ステップ ペインに表示されます。
  16. 次のいずれか 1 つのステップを行います：
    • 記録完了 ダイアログ ボックスを閉じて、テスト スクリプトを保存するには、再生 をクリックします。

      再生 ダイアログ ボックスが表示され、結果情報を指定してテストを再生できます。

    • ビジュアル ナビゲータ の テスト ステップ ペインでビジュアル テストを開くには、ビジュアル テストへ移動 をクリックします。
    • ビジュアル テストを保存して、記録完了 ダイアログ ボックスを終了するには、保存 をクリックします。

      ビジュアル テストが ビジュアル ナビゲータ の テスト ステップ ペインに表示されます。

    記録されたテストが ビジュアル ナビゲータ に表示されているときには、いつでもそのテストを再生できます。
親トピック: ビジュアル テストの作成
関連概念
モバイル アプリケーションの記録
レスポンシブ Web デザインのテスト
関連タスク
モバイル デバイスの操作
関連資料
記録中に利用可能なアクション
記録の出力オプションの設定
Microsoft Edge を使用したテストの制限事項


開始画面からのビジュアル テストの記録

記録中、セッションを停止するまで、Silk Test Workbench との対話を除くすべての操作が記録されます。記録が完了したら、ビジュアル テストを変更して、ステップを追加したり、不要なステップを削除したりできます。

  1. 省略可能：Web アプリケーションに対してテストをする際に、画面プレビューから記録したコントロールを更新できるようにするには、ビジュアル テストを記録する前にブラウザ コントロールのキャプチャを有効化してください。 詳細については、「記録の出力オプションの設定」を参照してください。
    注: Web アプリケーションの記録中にコントロールのキャプチャを有効化すると、ビジュアル テストのパフォーマンスが低下する恐れがあります。 Micro Focus では、コントロールのキャプチャを無効化することをお勧めします。
  2. 開始画面 で、新しいビジュアル テストの記録 をクリックします。 アプリケーションの選択 ダイアログ ボックスが開きます。
  3. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合、テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  4. 標準アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからアプリケーションを選択します。
  5. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  6. ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk Test Workbench は HTTP および UNC 形式をサポートします。 Silk Test Workbench は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  7. OK をクリックします。
    Silk Test Workbench が最小化され、アプリケーションと 記録中 ウィンドウが開きます。
  8. テストする操作を記録します。 記録中は、タスクバーの Silk Test Workbench アイコンが点滅します。記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  9. サポートするブラウザー上で Web アプリケーションを記録している場合で、かつ UI で直接アクセスできないコントロールを扱いたい場合 (たとえば、コントロールが他のコントロールで隠されている場合)、 記録中 ウィンドウの 階層ビューの切り替え をクリックして、コントロール階層ツリーからコントロールを選択します。 この機能は、次のブラウザーに対するテストで利用できます。
    • Microsoft Edge
    • Apple Safari
    • Mozilla Firefox 41 以降
    • Google Chrome 50 以降
    • モバイル ブラウザー
  10. Alt+F10 を押すか、記録中 ウィンドウで 停止 をクリックするか、Silk Test Workbench のタスクバー アイコンをクリックして、記録を停止します。
    記録完了 ダイアログ ボックスが開きます。記録完了 ダイアログ ボックスで 次回からこのメッセージを表示しない チェック ボックスがオンになっている場合、記録が停止したあとにこのダイアログ ボックスは表示されません。この場合、ビジュアル テストは テスト ステップ ペインに表示されます。
  11. 次のいずれか 1 つのステップを行います：
    • 記録完了 ダイアログ ボックスを閉じて、テスト スクリプトを保存するには、再生 をクリックします。

      再生 ダイアログ ボックスが表示され、結果情報を指定してテストを再生できます。

    • ビジュアル ナビゲータ の テスト ステップ ペインでビジュアル テストを開くには、ビジュアル テストへ移動 をクリックします。
    • ビジュアル テストを保存して、記録完了 ダイアログ ボックスを終了するには、保存 をクリックします。

      ビジュアル テストが ビジュアル ナビゲータ の テスト ステップ ペインに表示されます。

    記録されたテストが ビジュアル ナビゲータ に表示されているときには、いつでもそのテストを再生できます。
親トピック: ビジュアル テストの作成
関連概念
開始画面
モバイル アプリケーションの記録
レスポンシブ Web デザインのテスト
関連資料
記録中に利用可能なアクション
記録の出力オプションの設定


複数のテスト アプリケーションをテストするビジュアル テストの記録

複数のテスト アプリケーションをテストするビジュアル テストを記録できます。たとえば、データベースを変更するアプリケーションをテストしているときに、データベースの内容を確認するためにデータベースのビューアー ツールを使用する場合には、そのデータベースのビューアー ツール用のアプリケーション構成を追加する必要があります。

  1. テストする主要なアプリケーション用に、ビジュアル テストを記録するか手動で作成します。
  2. ビジュアル テストを開きます。
  3. タスク ペインで <<開始>> ステップをクリックします。
  4. プロパティ ペインで、アプリケーション構成 カテゴリに移動します。
  5. アプリケーション構成 テキスト ボックスをクリックします。
  6. アプリケーション構成の追加 をクリックします。 アプリケーションの選択 ダイアログ ボックスが表示されます。
  7. 追加でテストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  8. 標準アプリケーションをテストするには、リストからアプリケーションを選択します。
  9. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  10. ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk Test Workbench は HTTP および UNC 形式をサポートします。 Silk Test Workbench は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  11. OK をクリックします。 Silk Test Workbench により、新しいアプリケーション構成が プロパティ ペインに追加されます。
  12. 新しいアプリケーション構成を使用して、ビジュアル テストの追加ステップを記録します。
親トピック: ビジュアル テストの作成
関連タスク
アプリケーション構成の変更
アプリケーション構成の削除
関連資料
記録中に利用可能なアクション


ビジュアル テストでのロケーターからオブジェクト マップ エントリへの移動

オブジェクト マップ エントリの ID 以外の情報、つまりコマンドが実行されたときに Open Agent が使用する生のロケーターを参照したい場合は、以下の手順に従います。
  1. ビジュアル テストを開きます。
  2. テスト ステップ ペインでステップを選択します。 プロパティ ペインで、ロケーター フィールドにロケータ テキストが表示されます。
  3. カーソルを ロケーター フィールドのテキストに置いてください。 オブジェクト マップを開く ボタンが右側に表示されます。
  4. オブジェクト マップを開く ボタンをクリックします。 選択された適切な項目が表示された状態で、 オブジェクト マップ ウィンドウが、ツリー ビューに表示されます。
親トピック: ビジュアル テストの作成


Java Network Launching Protocol (JNLP) を使用するアプリケーションを起動するビジュアル テストの構成

Java Network Launching Protocol (JNLP) を使用して起動するアプリケーションでは、Silk Test Workbench に追加の構成が必要です。これらのアプリケーションは Web から起動されるため、実際のアプリケーションと、「Web Start」を起動するアプリケーションを起動するように、アプリケーション構成を手動で構成する必要があります。このようにしない場合、アプリケーションがすでに実行されていないかぎり、ビジュアル テストを再生すると、失敗します。

  1. テストするアプリケーションのビジュアル テストを記録します。
  2. タスク ペインで <<開始>> ステップをクリックします。
  3. プロパティ ペインで、アプリケーション構成 カテゴリに移動します。
  4. アプリケーション構成 フィールドをクリックし、アプリケーション構成の追加 をクリックします。 アプリケーションの選択 ダイアログ ボックスが表示されます。
  5. Windows タブを選択します。
  6. テストする Java アプリケーションを選択します。
  7. OK をクリックします。 Silk Test Workbench は新しいアプリケーション構成を追加します。
  8. javaws.exe を使用して Web Start をダウンロードし、起動するように、最初のアプリケーション構成 (構成 1) を変更します。
    1. 構成 1 フィールドをクリックし、アプリケーション構成の編集 をクリックします。
    2. 実行可能ファイル フィールドに、Web Start の実行可能ファイルの名前とファイルへのパスを入力します。
      たとえば、以下のように入力します。%ProgramFiles%\Java\jre6\bin\javaws.exe
    3. 作業ディレクトリ フィールドに、ダウンロードするファイルの一時ディレクトリの場所を入力します。 たとえば、C:\temp と入力します。temp は、ローカル C ドライブのディレクトリです。
    4. ロケーター フィールドには、テストするアプリケーションのメイン ウィンドウを識別するためのロケーターを指定します。
      ビジュアル テストを記録したときに正しいロケーターが記録されているため、ほとんどの場合、これを変更する必要はありません。 たとえば、SwingSet3 JNLP アプリケーションをテストする場合、ロケーターは SwingSet3 です。
    5. コマンド ライン引数 フィールドに、テスト アプリケーションを起動する JNLP の URL を入力します。 たとえば、SwingSet3 JNLP アプリケーションを使用するには、http://download.java.net/javadesktop/swingset3/SwingSet3.jnlp と入力します。
    6. コマンド ライン パターン フィールドのすべての値を削除します。
    7. 基本状態に指定されたロケーターの Silk Test Workbench による検索が何ミリ秒経過後にタイムアウトするかを示す値を変更するには、タイムアウト フィールドに値を入力します。
      デフォルトで、タイムアウト (ミリ秒) は 30000 に設定されています。ほとんどのアプリケーションでは、この値で十分です。
    8. 基本状態の実行 テキスト ボックスは True に設定されたままにします。
  9. テストする Java アプリケーションを使用するように、新しいアプリケーション構成を変更します。
    1. 実行可能ファイル フィールドに、テストするアプリケーションの実行可能ファイルの名前とファイルへのパスを入力します。
      たとえば、SwingSet3 JNLP アプリケーションを使用するには、 *\javaw.exe と入力します。
    2. 作業ディレクトリ フィールドは空のままにします。
    3. ロケーター フィールドには、テストするアプリケーションのメイン ウィンドウを識別するためのロケーターを指定します。 これは、ほとんどの場合、構成 1 で指定したロケーター名と一致します。 たとえば、SwingSet3 JNLP アプリケーションをテストする場合、ロケーターは SwingSet3 です。
    4. コマンド ライン引数 フィールドのすべての値を削除します。
    5. コマンド ライン パターン フィールドに、テスト アプリケーションのコマンド ライン引数のパターンを入力します。
      コマンド ライン引数のパターンを含むアプリケーション構成では、プロセス名とコマンド ライン引数のパターンの両方が一致するプロセスのみが、テストに対して有効化されます。コマンド ライン引数のパターンが定義されていない場合、指定されたプロセス名の実行可能パターンを持つプロセスがすべて有効化されます。 たとえば、SwingSet3 JNLP アプリケーションを使用するには、*SwingSet* と入力します。この引数により、SwingSet3 Java アプリケーションのみが確実に起動されます。
    6. 基本状態に指定されたロケーターの Silk Test Workbench による検索が何ミリ秒経過後にタイムアウトするかを示す値を変更するには、タイムアウト テキスト ボックスに値を入力します。 デフォルトで、タイムアウト (ミリ秒) は 30000 に設定されています。ほとんどのアプリケーションでは、この値で十分です。
    7. 基本状態の実行 チェック ボックスをオンにします。
ビジュアル テストを再生すると、JNLP アプリケーションが予期したとおりに起動します。
親トピック: ビジュアル テストの作成


新しいブラウザ ウィンドウで開くビジュアル テストの構成

ビジュアル テスト用に既存のブラウザ ウィンドウを使用するのではなく、別のブラウザ ウィンドウを開く場合があります。たとえば、Silk Central Test Manager から Silk Test Workbench ビジュアル テストを実行すると、テストは既存の Silk Central ウィンドウを使用します。Silk Central に戻るには、ユーザーはブラウザ ウィンドウで 戻る をクリックする必要があります。Silk Central から実行するテスト用に別のブラウザ ウィンドウを開くテストを構成すると、この動作を回避できます。

  1. テストするアプリケーションのビジュアル テストを記録します。
  2. テスト ステップ ペインで、<<開始>> ステップをクリックします。
  3. プロパティ ペインで、アプリケーション構成 カテゴリに移動します。
  4. アプリケーション構成 フィールドをクリックし、アプリケーション構成の追加 をクリックします。 アプリケーションの選択 ダイアログ ボックスが表示されます。
  5. アプリケーション構成をクリックし、アプリケーション構成の編集 をクリックします。 アプリケーション構成の編集 ダイアログ ボックスが表示されます。
  6. ブラウザーの種類 リストで、使用するブラウザーを選択します。
  7. 基本状態の実行 チェック ボックスをオフにします。
  8. テスト ステップ ペインで、挿入 > 外部プログラム を選択します。 Silk Test Workbench によって、「プログラム " の実行 (通常表示) 」 が テスト ステップ ペインに追加されます。
  9. プロパティ ペインで、コマンド カテゴリに移動します。
  10. パス名 フィールドをクリックし、ファイルの選択 をクリックします。 ファイルの選択 ダイアログ ボックスが表示されます。
  11. ブラウザーの実行可能ファイルへ移動し、開く をクリックします。 たとえば、Internet Explorer を使用するには、C:\Program Files\Internet Explorer\iexplore.exe を指定します。
  12. 操作 リスト ボックスで 開く が指定されていることを確認します。
  13. テストする Web アプリケーションの URL を、パラメータ フィールドに入力します。 たとえば、サンプル Web アプリケーションをテストするには、http://demo.borland.com/InsuranceWebExtJS/index.jsf を入力します。
親トピック: ビジュアル テストの作成
関連概念
ビジュアル テストの拡張


ビジュアル テスト内での特定のステップの表示

ビジュアル テストで表示するテスト ステップをカスタマイズして、特定のステップだけを表示することができます。 ビジュアル テストに表示されるステップをフィルタ処理すると、テストの性質をわかりやすくしたり、レビューが必要なステップのみにフォーカスしたりできます。 特定のタイプのステップのみが表示されているビジュアル テストで追加の操作を記録すると、記録後は表示条件を満たす記録済み操作のみが表示されます。 表示オプションを ステップと画面 に変更すると、新しく記録した他のステップが表示されます。

  1. ビジュアル テストで テスト ステップ ペインを開き、操作 > 表示 を選択します。
  2. ビジュアル テストで以下のステップ表示オプションを選択します。
  3. 画面のみを操作するビジュアル テストのステップをすべて非表示にする場合は、ステップのみ をクリックします。
  4. テスト操作を実行するステップをすべて非表示にする場合は、画面のみ をクリックします。
  5. ビジュアル テストのテスト ステップをすべて表示する場合は、ステップと画面 をクリックします。 これはデフォルトの表示設定です。
  6. テスト ステップ ペインに 説明 列を表示するには、ステップの説明 をクリックします。 この列は、デフォルトでは表示されません。 説明が記述されたステップには、説明 列に テスト ステップの説明 のアイコンが表示されます。 プロパティ ペインでステップの 説明 の値を更新すると、テスト ステップに説明を入力できます。
親トピック: ビジュアル テストの作成


テスト アプリケーションでのビジュアル テスト用コントロールの識別

テストを記録する場合、Silk Test Workbench によって自動的にコントロールが識別されます。ビジュアル テストを記録した後で、テスト対象アプリケーションで可視のコントロールを識別して、ビジュアル テストで使用するコントロールを変更したり、ビジュアル テストに手動でテスト ステップを挿入することができます。
  1. テスト ステップ ペインで、コントロールを変更するステップを選択します。
  2. プロパティ ペインで、ロケーター テキスト ボックスの コントロールの識別 メニューを展開します。
  3. テスト対象アプリケーション を選択します。
  4. テストしているアプリケーションにカーソルを移動します。 カーソルをアプリケーション内の各コントロール上に動かすたびにコントロールが濃い枠で強調表示されます。
    ヒント: Esc を押すと、識別モードが終了し、ビジュアル テストに戻ります。
  5. 使用するコントロールが強調表示されているときに、コントロールをクリックします。
    注: 別のクラスにアクセスしている自動ステップを編集した場合、ステップによってアクセスされているクラスが変更されたこと、またその変更を適用するかどうかを確認するメッセージが Silk Test Workbench から表示されます。はい をクリックして新しいクラスとコントロール情報で ロケーター を更新するか、いいえ をクリックしてコントロールを識別せずに ビジュアル ナビゲータ に戻ります。
    ロケーター テキスト ボックスが新たに選択されたコントロール情報に更新され、このコントロールが再生時に使用されます。
親トピック: ビジュアル テストの作成
関連タスク
画面プレビューでのビジュアル テスト用コントロールの識別
オブジェクトの識別ダイアログを使用したビジュアル テスト用コントロールの識別


画面プレビューでのビジュアル テスト用コントロールの識別

テストを記録する場合、Silk Test Workbench によって自動的にコントロールが識別されます。ビジュアル テストを記録し、テスト対象アプリケーションが利用できない場合、画面プレビュー を使用してビジュアル テストで使用するコントロールを変更したり、ビジュアル テストに手動でテスト ステップを挿入することができます。

注: Web アプリケーションに対して、ビジュアル テストの画面プレビュー でコントロール名を識別するには、ビジュアル テストの記録時にブラウザー コントロールのキャプチャが有効化されている必要があります。詳細については、「記録の出力オプションの設定」を参照してください。
  1. テスト ステップ ペインで、コントロールを変更するステップを選択します。
  2. プロパティ ペインで、ロケーター テキスト ボックスの コントロールの識別 メニューを展開します。
  3. 画面プレビュー を選択します。
  4. 画面プレビュー でキャプチャされた画面にカーソルを移動します。
    ヒント: 画面プレビュー で Esc を押すと、識別モードが終了し、ビジュアル テストに戻ります。
    カーソルを 画面プレビュー 内の各コントロールに動かすたびにコントロールが濃い枠で強調表示されます。
  5. 使用するコントロールが強調表示されているときに、コントロールをクリックします。
    注: 別のクラスにアクセスしている自動ステップを編集した場合、ステップによってアクセスされているクラスが変更されたこと、またその変更を適用するかどうかを確認するメッセージが Silk Test Workbench から表示されます。はい をクリックして新しいクラスとコントロール情報で ロケーター を更新するか、いいえ をクリックしてコントロールを識別せずに ビジュアル ナビゲータ に戻ります。
    ロケーター テキスト ボックスが新たに選択されたコントロール情報に更新され、このコントロールが再生時に使用されます。
親トピック: ビジュアル テストの作成
関連タスク
テスト アプリケーションでのビジュアル テスト用コントロールの識別
オブジェクトの識別ダイアログを使用したビジュアル テスト用コントロールの識別
関連資料
記録の出力オプションの設定


オブジェクトの識別ダイアログを使用したビジュアル テスト用コントロールの識別

ビジュアル テストを記録する場合、Silk Test Workbench によって自動的にコントロールが識別されます。ビジュアル テストを記録した後で、ビジュアル テストで使用するコントロールを変更したり、ビジュアル テストに手動で追加のテスト ステップを挿入することができます。オブジェクトの識別 ダイアログを使用して、コンテナのようなテスト対象アプリケーションの非表示コントロールを識別できます。
  1. テスト ステップ ペインで、コントロールを変更するステップを選択します。
  2. プロパティ ペインで、ロケーター テキスト ボックスの コントロールの識別 メニューを展開します。
  3. オブジェクトの識別ダイアログ を選択します。
  4. Web アプリケーションをテストする場合は、ブラウザーの選択 ダイアログ ボックスが開きます。コントロールを識別するブラウザーを選択し、識別の開始 をクリックします。 オブジェクトの識別 ダイアログ ボックスが開きます。
  5. 識別の開始 をクリックします。
  6. テストしているアプリケーションにカーソルを移動します。 カーソルをアプリケーション内の各コントロール上に動かすたびにコントロールが強調表示されます。関連するロケーター文字列またはオブジェクト マップ項目は、選択済みロケーター テキスト ボックスに表示されます。
  7. 使用するコントロールが強調表示されているときに、コントロールをクリックします。
  8. 省略可能： ロケーターの詳細の表示 をクリックすると、ロケーター ツリーや関係する属性のすべてが ロケーター属性 テーブルに表示されます。
  9. 省略可能：記録したロケーター属性は、ロケーター属性 テーブルの別のロケーター属性で置き換えることができます。 たとえば、記録したロケーターは以下のように表示されます。
    /BrowserApplication//BrowserWindow//input[@id='loginButton']
    ロケーター属性 テーブルに textContents Login がリストされている場合、以下のようにしてロケーターを手動で変更できます。
    /BrowserApplication//BrowserWindow//input[@textContents='Login']
    新しいロケーターは、選択済みロケーター テキスト ボックスに表示されます。
  10. テスト をクリックして、ロケーターがコントロールを正しく認識することを確認します。
  11. ロケーターを使用する新しいステップをビジュアル テストに追加するには、貼り付け をクリックします。 操作の選択 ダイアログ ボックスが開きます。コントロールに対して実行する操作を選択し、OK をクリックします。
親トピック: ビジュアル テストの作成
関連タスク
画面プレビューでのビジュアル テスト用コントロールの識別
テスト アプリケーションでのビジュアル テスト用コントロールの識別


特定のテスト ステップでの追加操作の記録

ビジュアル テスト ステップを作成したあと、テストを開き、テストの任意の場所から追加操作を記録できます。これにより、いつでも既存のテストを追加操作で更新できます。

  1. 既存のビジュアル テストを開きます。
  2. 追加操作を記録する場所の直後のテスト ステップを選択します。
    注: 記録した操作は、選択した場所の後に挿入されます。テスト対象アプリケーション (AUT) は基本状態に戻りません。代わりに、テスト スクリプトの直前の操作が記録された範囲で AUT を開いておきます。
  3. 操作 > 記録 をクリックします。 Silk Test Workbench が最小化され、記録中 ダイアログ ボックスが開きます。
  4. AUT に対して実行したい追加操作を記録します。 記録中は、タスクバーの Silk Test Workbench アイコンが点滅します。記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  5. 記録を停止するには、記録中 ウィンドウの 停止 をクリックします。 記録を停止するキーの組み合わせ（デフォルトでは Alt+F10）を押すか、タスクバーの Silk Test Workbench アイコンをクリックして、記録を停止しすることもできます。
親トピック: ビジュアル テストの作成


テスト アプリケーションからビジュアル テストへの画面の挿入

ビジュアル テスト ステップを作成したあと、追加の画面と操作を記録するのではなく、テストを開き、画面キャプチャを挿入して、関連するテスト ステップを手動で追加することができます。 画面キャプチャを挿入すると、テスト アプリケーションの更新された画面を含むビジュアル テストを手動で構築できます。この方法を使用すると、新しい画面を記録するよりも効率が上がる場合があります。

  1. テストするアプリケーションを開き、キャプチャするページまたはダイアログに移動します。
  2. 既存のビジュアル テストを開きます。
  3. 新しい画面の挿入箇所の直後にあるテスト ステップを選択します。
    注: テスト ステップと画面を テスト ステップ ペインに表示するには、操作 > 表示 > ステップと画面 をクリックします。
  4. 挿入 > Using を選択します。 Silk Test Workbench が最小化され、記録中 ダイアログ ボックスが開きます。
  5. キャプチャする画面をクリックするか、またはホット キーのキー入力の組み合わせを押して、画面をキャプチャします。 クリックまたはホット キーのキー入力の組み合わせによって画面がキャプチャされるかどうかは、ロケーターの記録設定オプションによって決まります。 この設定を変更するには、ツール > オプション を選択し、オプション メニュー ツリーの 記録 を展開して、ロケーター をクリックします。 新しい Using ステップが、テスト ステップ ペインで、選択したテスト ステップのあとに表示されます。

必要に応じて、関連付けられている自動テスト ステップを追加します。

親トピック: ビジュアル テストの作成
関連タスク
画面プレビューでのビジュアル テスト用コントロールの識別
画面プレビューを使用したコントロールの自動ステップの作成


ビジュアル テストのオブジェクト マップ項目またはロケーターの手動による記録

開始する前に、テストするアプリケーションが実行中であることを確認します。

オブジェクトの識別 ダイアログ ボックスを使用して、オブジェクト マップ項目またはロケーターを手動でキャプチャし、ビジュアル テストに対応するテスト ステップを作成します。

  1. 変更するビジュアル テストを開きます。 記録された各操作に対応するステップは、テスト ステップ ペインに表示されます。
  2. オブジェクトと操作を挿入するテスト ステップをクリックします。 新しいオブジェクトと挿入は、選択したテスト ステップの下に挿入されます。
  3. ツール > オブジェクトの識別 を選択します。
    オブジェクトの識別 ダイアログ ボックスが開きます。
  4. 選択モード を指定します。
    • クリック：オブジェクトをクリックして、ロケーターを識別します。
    • ホット キー：キー入力 リスト ボックスで指定されたキー入力の組み合わせを使用してオブジェクトをキャプチャするには、このモードを指定します。通常、このモードは、ユーザーがクリックしたときにだけ表示されるメニューやコンボ ボックスなどのオブジェクトをキャプチャする場合に選択します。このモードでは、オブジェクトを選択し、ホット キー入力の組み合わせを押すことによって、オブジェクトを閉じることなくロケーターをキャプチャします。
  5. 識別の開始 をクリックします。
    Google Chrome でオブジェクト マップ項目またはロケーターをキャプチャする場合は、Google Chrome の選択されたインスタンスが適切なオートメーション パラメータを使用して起動されているかどうかを Silk Test Workbench が検出します。適切なパラメータを使用して起動されていない場合は、Silk Test Workbench が Google Chrome を終了し、オートメーション パラメータ セットを使用して再起動します。
  6. 省略可能：ロケーターを記録する前に、テスト対象アプリケーションを特定の状態にするには、識別の停止 をクリックします。 これ以降、テスト対象アプリケーションで実行する操作は、記録されなくなります。ロケーターの記録を再開する場合は、識別の開始 をクリックします。
  7. 記録したいオブジェクト上にマウスを移動して、次のステップのいずれかを行います：
    • クリック モードを使用する場合は、識別するオブジェクトをクリックします。
    • キー入力の組み合わせを押して、ホット キー モードでオブジェクトをキャプチャします。

      デフォルトでは、キー入力の組み合わせは Ctrl+Shift です。

    Silk Test Workbench によって、関連するロケーター文字列が 選択済みロケーター テキスト ボックスに表示されます。
  8. ロケーターの詳細 テーブルでのロケーターの表示方法を絞り込むには、以下のいずれかの操作を実行します。
    • ロケーターの詳細の非表示：ロケーターの詳細 テーブルを非表示にするには、このリンクをクリックします。
    • オブジェクト マップの表示：オブジェクト マップ項目名を ロケーター 列に表示するには、このチェック ボックスをオンにします。オブジェクト マップ項目名は、コントロールまたはウィンドウに対して、コントロールやウィンドウのロケーターではなく論理名 (エイリアス) を関連付けます。デフォルトでは、オブジェクト マップ項目名が表示されます。ロケーターを使用するには、このチェック ボックスをオフにします。
    • 完全ロケーターの表示：完全ロケーター名を表示するには、このチェック ボックスをオンにします。オブジェクトに関連付けられた属性のみを表示するには、このチェック ボックスをオフにします。
    • プロパティの表示：ロケーターの詳細 テーブルで選択したオブジェクトの属性および属性値を表示するには、このチェック ボックスをオンにします。このテーブルの属性を選択して、ロケーターの識別に使用できます。[プロパティ] サブツリーを非表示にし、ロケーターの詳細のみを表示するには、このチェック ボックスをオフにします。
  9. 選択済みロケーター テキスト ボックスに表示されるオブジェクトが使用するオブジェクトであることをテストするには、テスト をクリックします。 Silk Test Workbench により、ロケーターに対応するオブジェクトが、テストするアプリケーションで強調表示されます。
  10. 記録したロケーターを置換するには、ロケーターの詳細 テーブルで、使用するロケーターを選択します。 新しいロケーターは、選択済みロケーター テキスト ボックスに表示されます。
  11. オブジェクトをコピーし、ビジュアル ステップでテスト ステップを作成するには、貼り付け をクリックします。 操作の選択 ダイアログ ボックスが開きます。
  12. オブジェクトで実行する操作を選択し、OK をクリックします。 Silk Test Workbench により、新しいテスト ステップのオブジェクトと操作が、ビジュアル テストに追加されます。
親トピック: ビジュアル テストの作成


既存のビジュアル テストを開く

既存のビジュアル テストは、開始画面 または アセット ブラウザ から開くことができます。

  1. 開始画面 からビジュアル テストを開くには、開始画面 の スクリプト ペインで以下のステップのいずれかを実行します。
    • 最新 リストで、適切なビジュアル テストの ビジュアル テスト 'プロジェクト名 - テスト名' を開く をクリックします。
    • 開く をクリックして アセット ブラウザ を開き、適切なビジュアル テストを右クリックして 開く を選択します。
  2. アセット ブラウザ からビジュアル テストを開くには、以下のステップを実行します。
    1. 表示 > アセット ブラウザ を選択します。
    2. 資産の種類 ペインで ビジュアル テスト を選択し、適切なビジュアル テストを右クリックして 開く を選択します。
    ビジュアル ナビゲータ の テスト ステップ ペインで、ビジュアル テストが開きます。
親トピック: ビジュアル テストの作成
関連概念
開始画面


ビジュアル テストの保存

新しいビジュアル テストまたは変更したビジュアル テストは明示的に保存することができます。 更新したビジュアル テストを終了するときに、変更を保存するかどうかを確認するメッセージが表示されます。

ヒント: 保存した変更を取り消すことはできません。
  1. ファイル > 名前を付けて保存 を選択します。 名前を付けて保存 ダイアログ ボックスが開きます。
  2. 省略可能：ビジュアル テスト名を変更し、説明を入力します。
  3. OK をクリックします。
親トピック: ビジュアル テストの作成


ビジュアル テストの概要

ビジュアル テストは、自動テスト ソリューションの基本要素です。Silk Test Workbench では、アプリケーションのテスト中に実行する操作をビジュアル テストを使用して模倣します。ユーザーがキー入力やマウス操作でメニュー、リスト項目、ボタンなどを選択するのと同じように、アプリケーションや Web ページを制御します。ビジュアル テストを記録すると、Silk Test Workbench によりキー入力とマウス クリックがすべて生成されます。

メニューの選択、データの入力、データ処理の確認など、アプリケーションのテストに使用する操作は、ビジュアル テストの個々のステップで表されます。各ステップがビジュアル テスト内の1行になります。記録したステップは、変更したり、再生したりできます。

Silk Test Workbench では、ビジュアル テストをすばやく記録して再生することができます。ビジュアル テストを変更して、記録できないステートメントを追加したり、テスト アプリケーションの変更を反映した修正を加えたりできます。また、既存のビジュアル テストからステップをカット アンド ペーストして新しいビジュアル テストを作成することもできます。

ビジュアル テストを自動的に記録したり、手動で編集したり、または、自動と手動のテストを組み合わせて使用したりできます。

Silk Test Workbench VB .NET スクリプトには、一連のコード行が含まれ、ビジュアル テストには一連のテスト ステップが含まれます。コードの各行または各テスト ステップは、テスト アプリケーションに対する個々の操作を実行します。

  • ビジュアル テストの利点
    ビジュアル テストの利点を示します。
  • スクリプトと比較したビジュアル テストの利点
    スクリプトの代わりにビジュアル テストを使用する利点を示します。
  • サンプル ビジュアル テスト
    サンプル ビジュアル テストの例を示します。
親トピック: ビジュアル テストの作成


ビジュアル テストの利点

ビジュアル テストには以下のような利点があります。
  • プログラミング言語に基づくスクリプトを生成せずに、テスト アプリケーションに対してテストを記録し、編集できる。
  • テスト ステップ レベルで、視覚的にテスト アプリケーションのコントロールに対して操作と値を設定できる。
  • ビジュアル テストのテキスト ベースの操作ステップとその操作のオブジェクトの間の関係を参照できる。
  • 自動処理されるビジネス プロセスに精通しているユーザーにとって、テスト プロセスでのオーナーシップが大きくなる。
  • 既存のスクリプトや他のすべての既存のテスト資産をビジュアル テストで使用することにより、有効活用できる。
  • テスト対象のアプリケーションにアクセスしなくても、テスト アプリケーションとコントロールを再キャプチャできる。
  • テストを作成し直さなくても、テスト アプリケーションの更新に従って画面キャプチャを自動的に更新できる。
  • フラグを使用して、テスト プロジェクトの問題、割り当て、その他のテスト チーム情報に関して、協業／共有できる。
  • ビジュアル テストを再生することでアプリケーションをテストできる。 ビジュアル テストは、アプリケーション テストのためにいつでも再生できる。 ビジュアル テストでは、以下のことが可能。
    • 指定した時刻に自動的に実行する。
    • 完全に無人で実行する。
    • ユーザーとの対話を行って、ID やパスワードなどの認証情報を受け取ることができる。
親トピック: ビジュアル テストの概要


スクリプトと比較したビジュアル テストの利点

スクリプトと同様に、ビジュアル テストはアプリケーションのテストに使用する操作を記録します。 これらの操作には、メニューの選択、データの入力、アイコンのクリック、結果の確認などが含まれます。 ビジュアル テストは Silk Test Workbench の主要なテスト単位です。テスト ソリューションにスクリプトだけを使用する場合と比較して、以下のような利点があります。

  • ビジュアル テストでは、一連のステップが技術的ではない明確な言語で表示されるため、テスト担当者が容易に理解できます。
  • ビジュアル テストはスクリプト言語に縛られないため、プログラミング言語の知識がないテスト担当者でも、詳細で強力なテスト ソリューションを作成できます。
  • ビジュアル テストはストーリーボードにサムネイル イメージでグラフィカルに表示されるため、ビジュアル テストの全体のフローをすぐに確認できます。
  • ビジュアル テストを記録したあとは、画面プレビュー を使用して、テスト アプリケーションにアクセスしなくても、そのビジュアル テストを更新できます。
  • ビジュアル テストはテスト ソリューションのビルド プロセスを円滑にします。たとえば、1人のテスト担当者がテストを記録してそれを別のテスト担当者に渡します。そのテスト担当者はロジック、検証、ループの他、予期しない状況に特定の方法で対処する機能を加えて、ビジュアル テストに情報を追加します。
  • ビジュアル テストは、テスト アプリケーションが変わった場合に、作成し直す必要がありません。 テスト ステップをすぐに更新できます。
  • 既存のビジュアル テストをコピーして変更することにより、新しい手順を簡単に作成できます。
  • テストへのモジュール式アプローチが推進され、再利用率を高めることができます。 他のビジュアル テストを呼び出せます。
  • Silk Test Workbench では、他のテスト担当者とのテスト プロジェクト情報のやり取りや協業ができます。
親トピック: ビジュアル テストの概要


サンプル ビジュアル テスト

以下のサンプル ビジュアル テストでは、ビジュアル テストの一般的な機能を使用する方法を示しています。

  • サンプル ビジュアル テスト：アクティブ データの使用
    アクティブ データの使用を示すサンプル ビジュアル テストについて説明します。
  • サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用
    判断ロジックの使用を示すサンプル ビジュアル テストについて説明します。
親トピック: ビジュアル テストの概要


サンプル ビジュアル テスト：アクティブ データの使用

このサンプル ビジュアル テストでは、ビジュアル テストにおけるアクティブ データの使用を示します。このビジュアル テストでは、既存のアクティブ データを使用し、ListView コントロールに複数の名前（姓と名）を入力することによって Windows テスト アプリケーションをテストします。ファイル内の各レコードには、姓と名が含まれています。サンプル ビジュアル テストはファイル内のデータを循環し、アプリケーションの ListView コントロールにデータを入力することによって Windows アプリケーションをテストします。

  1. サンプル ビジュアル テスト：アクティブ データの使用：パート 1 シナリオ
    ビジュアル テストにおけるアクティブ データの使用を示すシナリオについて説明します。
  2. サンプル ビジュアル テスト：アクティブ データの使用：パート 2 詳細
    サンプル ビジュアル テストを表示し、アクティブ データを使用するビジュアル テストのステップの詳細について説明します。
親トピック: サンプル ビジュアル テスト
関連概念
アクティブ データ
ビジュアル テストでのアクティブ データの使用
関連タスク
アクティブ データ ファイルのデータのビジュアル テスト データへのマップ


サンプル ビジュアル テスト：アクティブ データの使用：パート 1 シナリオ

テスト シナリオ

テスト担当者は、スプレッドシートに保存された顧客の姓と名のデータを使用して、Windows テスト アプリケーションに複数の名前レコードを入力します。テスト時に、データは Names1.xls という名前のスプレッドシートにあります。

これを行うには、以下を実行します。

  • Windows テスト アプリケーションの ListView コントロールへのアクセスを記録し、コントロールで [First Name] および [Last Name] 列を作成してから、最初の姓と名のペアを入力します。

  • ビジュアル テストに関連付けるアクティブ データ資産を作成します。アクティブ データ資産の作成時に、使用するデータが含まれる Names1.xls データ ファイルを選択します。

  • そのアクティブ データ ファイルをビジュアル テストに関連付けます。

  • 繰り返しロジックを作成して、テスト アプリケーションの ListView コントロールに姓と名を入力する記録済みステップを繰り返します。

  • 姓と名を入力するステップのプロパティを変更して、アクティブ データ ファイルのデータが使用されるようにします。

親トピック: サンプル ビジュアル テスト：アクティブ データの使用
次のトピック: サンプル ビジュアル テスト：アクティブ データの使用：パート 2 詳細


サンプル ビジュアル テスト：アクティブ データの使用：パート 2 詳細

サンプル ビジュアル テスト

以下の図に、このテスト シナリオに基づいた テスト ステップ ペインのサンプル ビジュアル テスト ステップを示します。テスト内のステップの進行を強調表示しています。

サンプル ビジュアル テストの図

ステップの詳細

ビジュアルテストの各ステップの詳細は、以下のとおりです。

ステップ 1： <<開始>> ステップ。このステップのプロパティには、ビジュアル テストで使用されるアクティブ データ資産の名前が表示されます。

このテスト シナリオでは、アクティブ データ カテゴリの ステップ 1 項目 1 プロパティにアクティブ データ資産の関連付けが表示されます。このアクティブ データ資産には、ファイル Names1.xls が含まれています。ビジュアル テストでは、このファイルのデータが使用されます。

以下の図に、このビジュアル テストの <<開始>> ステップの 項目 1 プロパティを示します。

項目 1 プロパティの図

ステップ2から3： テスト アプリケーションで List view メニュー項目を選択して ListView にアクセスする、記録されたステップ。このステップのあと、繰り返しステップが開始されます。

ステップ4から13： ListView で First Name と Last Name の各列を作成する、記録されたステップ。これらの列は、アクティブ データ ファイルから適切な列に姓と名を入力するためのテストを設定します。

  • 説明が「Using Dialog」で始まるステップでは、データを入力するためのウィンドウおよびコントロールにテストが関連付けられます。
  • このシーケンスの他のステップは、列に名前を付け、それを List view に追加します。

ステップ 14： 「アクティブ データを使用して繰り返します」ステップでは、繰り返しロジックが開始します。テスト担当者は、テストを記録したあとで、このステップを作成します。このステップと 繰り返しの終了 ステップ（ステップ 23）の間にあるすべてのステップは、アクティブ データ ファイルの名前レコードごとに繰り返されます。使用する繰り返しロジックの種類は、アクティブ データ ファイルを使用してステップ シーケンスを繰り返す です。

繰り返し回数は、繰り返しロジックを作成したときに入力した 開始行、終了行、および ランダム数 の値によって決まります。また、この設定によって、アクティブ データ テストに使用するアクティブ データ ファイルのレコードも決まります。

このテスト シナリオでは、データ ファイル内のすべての行を順番に使用して、アクティブ データ テストを行います。データ ファイルに10行のデータが含まれており、すべてが使用される場合、繰り返しロジック ステップの繰り返し回数は10回になります。

以下の図に、このビジュアル テストの繰り返しロジックを作成したときの テスト ロジック デザイナ の 使用するアクティブ データ資産の定義 ページを示します。

[使用するアクティブ データ資産の定義] ページ

ステップ15から22： アクティブ データ ファイルのデータを使用するように記録後に変更されたステップ。テスト アプリケーションの ListView コントロールで、[First Name] と [Last Name] の列にデータを入力します。

アクティブ データ ファイルのデータを使用するようにこれらのステップを変更すると、リテラル値ではなくアクティブ データ値が使用されるように入力値が更新されます。これを行うには、以下の図に示すように、ステップの Text プロパティの値領域をクリックして、メニューから アクティブ データ を選択します。

ダイアログ ボックスが表示され、データ ファイルを含むアクティブ データ資産を選択します。また、Text プロパティの入力値にマップする値を含むデータ ファイル内の列を選択します。このシナリオのステップ 16 では、Windows テスト アプリケーションの [First Name] のリテラル テキストが、アクティブ データ ファイルの 名（First Name） 列のデータで置き換えられます。以下の図に、このダイアログ ボックスにおける設定を示します。

この変更により、ステップ テキストには以下が表示されるようになります。

  • テストで使用されるアクティブ データ資産の名前

  • 使用されるデータ型（テキスト）

  • ステップで使用されるデータが含まれる列の名前

アクティブ データ ファイルのデータを使用した自動テスト ステップの変更の詳細については、「アクティブ データ ファイルのデータのビジュアル テスト データへのマッピング」を参照してください。

ステップ 23： ビジュアル テストの繰り返しロジックの一部として作成された 繰り返しの終了 ステップ。このステップで、繰り返しロジックのループが閉じます。

ステップ 24： <<終了>> ステップ。ビジュアル テストの再生を完了します。

親トピック: サンプル ビジュアル テスト：アクティブ データの使用
前のトピック: サンプル ビジュアル テスト：アクティブ データの使用：パート 1 シナリオ
関連タスク
アクティブ データ ファイルのデータのビジュアル テスト データへのマップ


サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用

このサンプル ビジュアル テストでは、Windows サンプル アプリケーションで ComboBox コントロールが選択されていることを確認します。テスト対象の ComboBox がレンダリングされたあとに選択が行われていない場合、ComboBox にはテキストが表示されません。テスト担当者は、判断ロジックを使用して、ComboBox のテキストが null であるかどうかを判断し、その結果に応じて異なる操作を実行します。

  1. サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用：パート 1 シナリオ
    ビジュアル テストにおける判断ロジックの使用を示すシナリオについて説明します。
  2. サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用： パート 2 詳細
    サンプル ビジュアル テストを表示し、判断ロジックを使用するビジュアル テストのステップの詳細について説明します。
親トピック: サンプル ビジュアル テスト


サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用：パート 1 シナリオ

テスト シナリオ

テスト担当者は、コントロールの値が以前に選択されているかどうかに基づいて、ComboBox に対して異なる選択を行います。ComboBox の既存のテキストが空（選択されていないことを示す）の場合は ComboBox に対する一連の操作をテストし、そうでない場合は別の操作をテストします。

これを行うには、テスト担当者は、操作を実行する前にコントロールの Text プロパティにテキストが含まれているかどうかを評価するようにビジュアル テストを設定します。判断ロジックでは、コントロールの Text プロパティのテキストの有無に基づいて、後続の操作が決まります。判断ロジックの If/Else 構文には、判断条件に基づく異なる操作を含めます。また、テスト担当者は、判断ロジックの結果と実行された操作をテスト結果にレポートする必要があります。

親トピック: サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用
次のトピック: サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用： パート 2 詳細


サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用： パート 2 詳細

サンプル ビジュアル テスト

以下の図に、このテスト シナリオに基づいた テスト ステップ ペインのサンプル ビジュアル テスト ステップを示します。テスト内のステップの進行を強調表示しています。

ステップの詳細

ビジュアルテストの各ステップの詳細は、以下のとおりです。

ステップ 1： <<開始>> ステップ。

ステップ 2： 記録された指定の画面を使用して後続の自動ステップが再生されることを示す画面ステップ。このステップが テスト ステップ ペインで強調表示されると、関連する画面が 画面プレビュー に表示されます。

ステップ 3： テスト アプリケーション内の Button コントロールをクリックする、記録されたステップ。ボタンをクリックすると、一連のコントロールがさまざまなタブに表示されます。Toolstrip タブには、テスト対象のコントロールが含まれています。

ステップ 4 から 5： 記録されたステップは、テスト対象の ComboBox コントロールを含む Toolstrip タブにアクセスして選択します。

ステップ 6： 判断ロジックを開始する If ステップ。判断ロジックの一部は、テストを記録したあとで、テスト担当者が作成します。ロジック アイコンは、このステップが判断ロジック ステップであることを示します。

判断ロジックによって、ComboBox コントロールの Text プロパティの内容が評価されます。コントロールに値が設定されていない場合、Text プロパティは Nothing または空白です。値が Nothing または空白の場合は、ビジュアル テストはある一連のステップを実行し、値が Nothing または空白以外の場合は、異なる一連のステップを実行します。

テスト ロジック デザイナ を使用して判断ロジックを設定するには、以下の操作を実行します。
  • コントロールのプロパティに基づく ロジックの種類を選択します。
  • 以下の操作を行うため、テスト ロジック デザイナ の [プロパティに基づく条件の定義] ページを使用します。
    • テスト対象アプリケーションを使用して、コントロールの名前を識別します。
    • テスト ロジック デザイナ の プロパティの選択 リストで テキスト を選択します。
    • 以下の図に示すように、条件が 等しい であり、期待値 フィールドが空白であることを確認します。
  • テスト ロジック デザイナ の 判断の構築 ページを使用して、条件ロジックの結果に応じて実行する一連のステップを指定します。このシナリオでは、結果が true の場合にステップ 6 から 10 を実行します。次に、Else の追加 をクリックして If ステップを判断ロジックに追加し、以下の図に示すように、結果が false の場合にステップ 11 から 15 を実行します。
注: これらのステップがビジュアル テストに挿入されると、If および Else ステップ以降のステップ番号が変わります。このシナリオでは、以下のステップ番号は、前に図に表示されている番号ではなく、判断ロジックがテストに追加されたあとの番号に基づいています。

ステップ 7： テスト担当者によって作成された 結果コメント ステップ。このステップは、判断ロジックが true と評価される場合に実行されます。ステップが実行されると、テスト結果にメッセージが送信されます。このメッセージは、ComboBox にテキストがないため、以前に選択されていないことを示します。また、コントロールに使用できる値が後続のステップで選択されることも示します。

ステップ 8 から 11： 判断ロジックが true と評価される場合、これらのステップは、使用可能な異なる ComboBox 項目にアクセスして選択します。まず、ComboBox の red が選択され、次に、green が選択されます。

ステップ 12： 判断ロジックの Else ステップ。判断ロジックでは、Else の追加 がロジックに組み込まれている場合に、このステップが作成されます。Else ステップは、判断ロジック内の If ステップの条件に一致しない場合に、判断ロジックの Else ステップと End If ステップの間にあるステップが再生されることを示します。

ステップ 13： テスト担当者によって作成された別の 結果コメント ステップ。このステップでは、テスト結果にメッセージが送信されます。このメッセージは、ComboBox テキストが Nothing ではなく、使用可能な項目が選択されることを示します。

ステップ 14 から 17： 判断ロジックが false と評価される場合、これらのステップは、使用可能な異なる ComboBox 項目にアクセスして選択します。まず、ComboBox の blue が選択され、次に、black が選択されます。

ステップ 18： ビジュアル テストの判断ロジックの一部として作成された End If ステップ。このステップで、If...Else ロジックが閉じます。

ステップ 19： <<終了>> ステップ。ビジュアル テストの再生を完了します。

親トピック: サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用
前のトピック: サンプル ビジュアル テスト：コントロールの選択を確認するための判断ロジックの使用：パート 1 シナリオ


プロパティ

このトピックでは、ビジュアル テストのプロパティを示します。

  • アクティブ データ プロパティ
    アクティブ データ ファイルのデータ操作の制御情報を示します。
  • 詳細設定プロパティ
    メッセージ ボックスでの対話を制御するプロパティを示します。
  • 割り当てプロパティ
    コントロールでの変数の使用を制御するプロパティを示します。
  • コマンド プロパティ
    ビジュアル テストの再生時に外部アプリケーションを起動する方法を指定するプロパティを示します。
  • 遅延プロパティ
    ステップの実行を遅延するプロパティを示します。
  • フラグの設定プロパティ
    フラグが作成されるかどうかを決定するプロパティを示します。
  • 全般プロパティ
    メッセージ ボックス、メッセージ テキスト、およびアクティブ データ資産の名前と数のプロパティを示します。
  • 再生設定の取得プロパティ
    再生設定の取得プロパティを示します。
  • その他のプロパティ
    説明および最終更新日のプロパティを示します。
  • オブジェクト プロパティ
    オブジェクトの識別に関する情報を示します。
  • エラー時の移動先プロパティ
    エラーが発生した場合に実行する操作を決定するプロパティを示します。
  • ビジュアル テストの再生設定
    ビジュアル テストの再生動作を構成する再生設定を示します。
  • 挿入されたスクリプトまたはビジュアル テストの再生設定
    ビジュアル テスト内で実行されているビジュアル テストまたはスクリプトで使用される再生設定を示します。
  • 結果プロパティ
    選択したテスト ステップの結果プロパティを示します。
  • 再生設定の設定プロパティ
    再生設定の設定プロパティを示します。
  • タイマー プロパティ
    タイマーの動作およびタイマー番号のプロパティを示します。
  • 検証結果の説明プロパティ
    検証の '合格テキスト' および '失敗テキスト' のプロパティを示します。
  • 待機プロパティ
    オブジェクトが存在、または消滅するまで、待機するために使用するプロパティを示します。
親トピック: ビジュアル テストの作成


アクティブ データ プロパティ

アクティブ データ プロパティ カテゴリには以下のプロパティが含まれます。

保存オプション
更新されたアクティブ データを指定したアクティブ データ ファイルにすぐに保存するか、または再生中にはまったく保存を行わないかを指定します。

リストから以下のいずれかの値を選択します。

  • アクティブ データ ファイルにデータを直ちに保存する：ビジュアル テストに関連付けられた指定のアクティブ データ資産で更新されたデータを、ステップ実行時にそれぞれのアクティブ データ ファイルに保存します。 ビジュアル テストで使用されるアクティブ データは、通常、式によって更新されます。 データを保存するアクティブ データ ファイルを含む資産は、保存するアクティブ データ プロパティで指定します。
    注: ビジュアル テストに保存操作を取り消すステップが含まれていないかぎり、ビジュアル テストの再生完了時には、ビジュアル テストの再生中に更新されたアクティブ データがそれぞれのアクティブ データ ファイルに保存されます。
  • アクティブ データ ファイルにデータを保存しない：更新されたアクティブ データは 保存するアクティブ データ プロパティで指定したアクティブ データ資産のアクティブ データ ファイルに保存されません。
名前
保存オプション プロパティで選択した値に応じて、再生中に更新データがまったく保存されないファイルか、またはこのステップの実行時に更新データが保存されたファイルを含むアクティブ データ資産を指定します。 詳細については、「アクティブ データ資産のビジュアル テストへの関連付け」を参照してください。
リストから適切なアクティブ データ資産を選択します。 リストにはビジュアル テストに関連付けられたアクティブ データ資産が表示されます。
親トピック: プロパティ
関連タスク
ビジュアル テスト内で更新されたアクティブ データの即時保存
ビジュアル テスト内で更新されたアクティブ データの自動保存の回避
アクティブ データ資産のビジュアル テストへの関連付け


詳細設定プロパティ

詳細設定 プロパティ カテゴリには以下のプロパティが含まれます。

表示するボタン
メッセージ ボックスに表示する 1 つまたは複数のボタンを決定します。
リストから表示するボタンを選択します。リストには以下が含まれています。
  • OK：メッセージ ボックスに OK ボタンを表示します。
  • OK、キャンセル：メッセージ ボックスに OK ボタンと キャンセル ボタンを表示します。
  • 中止、再試行、無視：メッセージ ボックスに 中止、再試行、および 無視 ボタンを表示します。
  • はい、いいえ、キャンセル：メッセージ ボックスに はい、いいえ、および キャンセル ボタンを表示します。
  • はい、いいえ：メッセージ ボックスに はい と いいえ ボタンを表示します。
  • 再試行、キャンセル：メッセージ ボックスに 再試行 ボタンと キャンセル ボタンを表示します。
デフォルト ボタン
メッセージ ボックスを表示するときに自動的に選択するボタンを指定します。
リストから デフォルト ボタンを選択します。リストの内容は、表示するボタン プロパティで選択した値に基づきます。
表示するアイコン
メッセージ ボックスに選択したアイコンを表示します。メッセージの内容を示す適切なアイコンを表示できます。有効な値は以下のとおりです。
  • （なし）：メッセージ ボックスにアイコンを表示しません。これはデフォルト値です。
  • 重要：メッセージ ボックスに 重要 アイコンを表示します。このアイコンを使用して、注意が必要な重大なエラーまたは状態をテスト担当者に警告します。
  • 警告の照会：メッセージ ボックスに 警告の照会 アイコンを表示します。このアイコンを使用して、応答が必要な状態をテスト担当者に警告します。
  • 警告メッセージ：メッセージ ボックスに 警告メッセージ アイコンを表示します。このアイコンを使用して、応答が不要なエラーまたは状態をテスト担当者に警告します。
  • 通知メッセージ：メッセージ ボックスに 通知メッセージ アイコンを表示します。メッセージ ボックスに情報を表示するときにこのアイコンを使用します。
親トピック: プロパティ


割り当てプロパティ

割り当て プロパティを使用して以下の設定を行います。

  • 指定したコントロールの有効なプロパティを変数に割り当てます。これにより、ビジュアル テストでプロパティ値をより効率的に使用できます。 これらのプロパティは「コントロールの '' プロパティを変数 '' に格納します」ステップで表示されます。
  • グローバルの取得ステップでグローバル変数の値を格納するローカル変数を指定します。
  • グローバルの設定ステップでグローバル パラメータを定義します。
  • eCATT スクリプトからインポートするか、または eCATT スクリプトにエクスポートする eCATT スクリプト引数を指定します。
注: このカテゴリに表示されるプロパティはテスト ステップのタイプに基づきます。 このプロパティ カテゴリを含むすべてのステップ タイプで、すべてのプロパティが使用されるわけではありません。

このカテゴリには以下のプロパティが含まれます。

グローバル変数名
（グローバルの設定ステップで）作成または（グローバルの取得ステップで）取得されるグローバル変数の名前を指定します。
目的のグローバル変数名を入力します。 グローバル変数名に有効な文字は、大文字と小文字の英数字とアンダースコアです（「ABC」、「abc」、「_」）。 グローバル変数名は一意である必要があります。
ヒント: <<開始>> ステップで作成したグローバル変数を取得する場合は、あらかじめその名前を確認しておく必要があります。 グローバル変数を設定するビジュアル テストを開いて、適切なグローバルの設定ステップのグローバル変数名プロパティから名前を取得できます。
eCATT 引数名：
eCATT スクリプトからインポートするか、または eCATT スクリプトにエクスポートする eCATT スクリプト引数の名前を指定します。

値をインポートまたはエクスポートする eCATT スクリプト引数の名前を入力します。 引数名は、eCATT 引数コンテナ ダイアログ ボックスを使用してビジュアル テストの引数コンテナに定義する必要があります。 入力した名前が引数コンテナで定義された名前と一致していない場合、再生エラーが発生します。

プロパティ名
ステップで識別されるコントロールで使用可能なプロパティの名前を指定します。
ステップで識別されるコントロールが、プロパティ ウィンドウの オブジェクトの種類 プロパティに表示されます。 リストから使用可能なプロパティを選択して、関連する値を変数に設定します。
ローカル変数名
指定した値が格納されるローカル変数の名前を指定します。
リストからローカル変数を選択します。 ローカル変数をリストに表示するには、事前にローカル変数をビジュアル テストで作成しておく必要があります。
コントロールのプロパティをローカル変数に設定するステップの場合、選択したプロパティの値が指定したローカル変数に格納されます。
eCATT スクリプト引数をインポートするステップの場合、スクリプト引数の値が指定したローカル変数に格納されます。
値
開始時にグローバル変数に指定される値。 値を入力するか、または、値エリア内を右クリックして、値を割り当てます。
親トピック: プロパティ
関連タスク
ビジュアル テスト用グローバル変数の作成
ビジュアル テストへのローカル変数の追加


コマンド プロパティ

このカテゴリには以下のプロパティが含まれます。

パス名
起動するアプリケーションまたはプログラムのパス名とファイル名を指定します。
ファイルの選択 をクリックし、ファイルの選択 ダイアログ ボックスを使用して目的のプログラムまたはアプリケーションを起動するファイルに移動し、このファイルを選択します。
実行する操作が 検索 または 探索 の場合、このプロパティではパス名のみが必要です。
操作
アプリケーションまたはプログラムが起動したときに実行する操作を指定します。
実行する操作をリストから選択します。 リストには以下が含まれています。
  • 開く（デフォルト）：指定したパラメータを使用して、指定ファイルを開きます。 ファイルには、アプリケーション、ドキュメント ファイル、またはフォルダを指定できます。
  • 編集：エディタを起動して、編集するファイルを開きます。 パス名 プロパティで指定されたファイルが、ドキュメント エディタで開くことのできるドキュメント ファイルではない場合、この操作は実行されません。
  • 探索：Windows エクスプローラを使用して、パス名 プロパティで指定されたフォルダを開きます。
  • 検索：指定されたディレクトリを起点として、Windows エクスプローラを検索モードで起動します。 ディレクトリは、パス名 プロパティまたは ディレクトリ プロパティを使用して指定できます。 パス名 プロパティが使用され、かつ、ファイル名が含まれている場合は、テストを再生しても、このステップは実行されません。
  • 印刷：パス名 プロパティで指定されたドキュメント ファイルを印刷します。 パス名 プロパティで指定されたファイルがドキュメント ファイルではない場合、テストを再生してもこのステップは実行されません。
パラメータ
アプリケーションを起動するために渡すパラメータを指定します。
パス名 プロパティで指定されたファイルがアプリケーション ファイルの場合は、このプロパティを使用して、アプリケーションに渡して起動時に使用するパラメータを含む NULL 終端文字列を指定します。 パス名 プロパティで指定されたファイルがドキュメント ファイルまたはその他のタイプのファイルの場合は、値を空白のままにします。
ディレクトリ
操作 プロパティで指定された操作に使用できるデフォルト ディレクトリを指定します。
ウィンドウ スタイル
アプリケーションまたはプログラムが起動したときの表示方法を指定します。
この値は、選択したウィンドウ スタイルを表す整数としてテスト ステップに表示されます。 値はリストから選択します。 選択できる値は、以下のとおりです。
  • 非表示：プログラムまたはアプリケーションが起動したとき、ウィンドウは非表示です。フォーカスは、他のウィンドウに渡されます。
  • 最大化：アプリケーション ウィンドウを最大化します。
  • 最小化：起動時にアプリケーション ウィンドウを最小化し、Z オーダーで次に最上位にくるウィンドウをアクティブにします。
  • 復元：アプリケーション ウィンドウを起動して表示します。 ウィンドウが最小化または最大化されていた場合は、そのウィンドウの元のサイズと位置に復元されます。 この値は、最小化されたウィンドウを復元するときに使用します。
  • 表示：アプリケーション ウィンドウを起動し、現在のサイズと位置に表示します。
  • デフォルトの表示：アプリケーションを起動したプログラムからの情報に基づいて、ウィンドウの表示状態を設定します。
  • 表示の最大化：アプリケーションを起動し、ウィンドウを最大化して表示します。
  • 表示の最小化：アプリケーションを起動し、ウィンドウを最小化して表示します。
  • 表示を最小化し、アクティブ化しない：最小化されたウィンドウでアプリケーションを表示します。 現在のアクティブ ウィンドウは、アクティブなままです。
  • 現在の状態で表示し、アクティブ化しない：現在のウィンドウ状態でアプリケーションを表示します。 アクティブ ウィンドウは、アクティブなままです。
  • 最新の位置に表示し、アクティブ化しない：最後に使用したときのウィンドウ サイズと位置でアプリケーションを表示します。 アクティブ ウィンドウは、アクティブなままです。
  • 通常表示：アプリケーションを起動して、ウィンドウを表示します。 最後に使用したウィンドウの位置と最小化または最大化の状態が復元されます。 この値は、はじめてウィンドウを表示するときに使用します。
親トピック: プロパティ
関連タスク
ビジュアル テスト内での外部アプリケーションの起動


遅延プロパティ

このカテゴリには以下のプロパティが含まれます。

遅延タイプ
ステップの遅延間隔を設定します。
リストから 秒 または ミリ秒 を選択します。
遅延時間
遅延タイプに基づいて遅延時間を指定します。
リテラル値を入力するか、あるいは 選択 をクリックして変数、式の結果、またはアクティブ データ値を割り当てます。
親トピック: プロパティ


フラグの設定プロパティ

フラグの設定 プロパティ カテゴリには以下のプロパティが含まれます。
エラー時のフラグの作成
エラー発生時にフラグを作成するかどうかを指定します。 このプロパティを編集するには、値を True または False に設定します。 True に設定した場合、フラグが作成されます。 False に設定した場合、フラグは作成されません。
フラグの説明
エラー時に作成されるフラグの説明を含めます。 説明は、ビジュアル テストの結果と 開始画面 に表示されます。 このプロパティを編集するには、フラグの説明を入力します。
親トピック: プロパティ


全般プロパティ

全般 プロパティ カテゴリには以下のプロパティが含まれます。

メッセージ ボックスのタイトル
メッセージ ボックスのタイトル バーに表示するテキストを決定します。デフォルト値は、Silk Test です。

デフォルトを変更するには、値を入力するか、選択 をクリックして、メッセージ ボックスのタイトルとして値を割り当てます。

メッセージ テキスト
メッセージ ボックスに表示されるテキストの内容を指定します。事実上、ビジュアル テストで使用可能などの情報でもメッセージの内容に使用できます。

メッセージの内容を直接入力するか、選択 をクリックし、メッセージ テキストとして値を割り当てます。

リテラル テキストと変数に返されたデータなどの情報を組み合わせるには、選択 をクリックしてメニューから 式 を選択します。式デザイナ を使用して、文字列の組み合わせを作成します。

たとえば、説明テキストと ComboBox の項目数を表示する場合、以下のような式になります。

"Message box text is: " + ToString (intCount)

ここで、各値の内容は以下のようになります。

"Message box text is: " は説明テキストの文字列です。

+ は文字列の組み合わせに使用する演算子です。

ToString (intCount) は ToString () 変換関数を使用して文字列に変換される、コントロール intCount 内の項目数を保持する変数です。

アクティブ データ
データ ファイルがビジュアル テストに関連付けられているアクティブ データ資産の数を表示します。

値エリアで アクティブデータの参照 をクリックし、アクティブデータの参照 ダイアログ ボックスを使用して資産を選択することによって、アクティブ データ資産をビジュアル テストに関連付けることができます。

項目 n
ビジュアル テストに関連付けられているアクティブ データ資産の名前を表示します。
親トピック: プロパティ


再生設定の取得プロパティ

再生設定の取得 プロパティ カテゴリには以下のプロパティが含まれます。
再生設定
個々の再生情報を制御します。
「再生設定 '' を取得して、ローカル変数 '' に格納します」ステップでは、値は再生設定で、この再生設定の現在の設定値がローカル変数に格納されます。 値は以下のいずれかから取得されます。

  • 再生オプションに設定されている再生設定の現在値。

  • 定義済みの実行環境（ビジュアル テストで RunEnvironment 再生設定が設定されている場合）。

  • ビジュアル テストの 再生設定の設定 ステップ。

    リストから 再生設定 を選択します。

ローカル変数名
値が格納されるローカル変数の名前を指定します。

「再生設定 '' を取得して、ローカル変数 '' に格納します」ステップでは、選択した再生設定の値が指定したローカル変数に格納されます。 リストからローカル変数を選択します。 ローカル変数をリストに表示するには、事前にローカル変数をビジュアル テストで作成しておく必要があります。

親トピック: プロパティ
関連タスク
ビジュアル テスト内での再生設定値の取得
関連資料
ビジュアル テストの再生設定


その他のプロパティ

その他 プロパティ カテゴリには以下のプロパティが含まれます。
説明
選択したテスト ステップの説明を表示します。 このプロパティを編集するには、プロパティ値テキスト ボックスに選択したテスト ステップの説明を入力します。
最新の変更
テスト ステップが最後に変更された日付と時刻を表示します。 このプロパティは読み取り専用です。
親トピック: プロパティ


オブジェクト プロパティ

オブジェクト プロパティ カテゴリには以下のプロパティが含まれます。
クラス名
選択されたオブジェクトのクラス名を識別します。
ロケーター
テストするオブジェクトを識別します。 画面プレビュー ペインまたは実際のアプリケーションを使用すると、テストするオブジェクトを識別できます。 あるいは、リテラル値、式、アクティブ データ、または変数を選択し、ロケーターとして使用できます。
プロパティ
指定したオブジェクトから取得できるプロパティ、および変数への割り当てが可能なプロパティのリストを返します。 リストからプロパティを選択します。 あるいは、リテラル値、式、アクティブ データ、または変数を選択し、プロパティとして使用できます。
ローカル変数名
指定した値が格納されるローカル変数の名前を指定します。
親トピック: プロパティ


エラー時の移動先プロパティ

エラー時の移動先 プロパティ カテゴリには以下のプロパティが含まれます。
実行する操作
ビジュアル テストの再生中にエラーが発生した場合に、実行する操作を設定します。リストから以下のいずれかのオプションを選択します。

  • デフォルトの再生エラー ダイアログを表示します：再生エラー ダイアログ ボックスを表示し、そこでそのエラーに対して実行する操作を決定します。再生エラー ダイアログ ボックスを使用してデバッグ モードに入り、ビジュアル テストでエラーを診断します。

    再生エラー ダイアログ ボックスの表示は、再生でエラーが発生した場合のデフォルトの動作です。

  • 再生の終了：エラーが発生したときに、ビジュアル テストの再生を終了します。ビジュアル テストのその他のステップは再生されません。再生が終了すると、再生完了 ダイアログ ボックスが表示され、そこで再生の完了時に実行する操作を決定します。

  • テストの終了：資産 プロパティに指定されているビジュアル テストを再生してから、エラーが発生したステップで終了します。再生が終了すると、再生完了 ダイアログ ボックスが表示され、そこで再生の完了時に実行する操作を決定します。

  • ステップの再試行：資産 プロパティに指定されているビジュアル テストを再生してから、エラーが発生したステップの実行を試行します。資産 プロパティにビジュアル テストが指定されていない場合、単にエラーが発生したステップの再実行を試行します。再試行の回数 プロパティには、再生を試行する回数を指定できます。デフォルト値は、5 です。指定した再試行の回数に到達した時点でステップ実行に失敗すると、再生エラーが生成されます。
    注: 再生エラーは、ステップを再実行している間は Silk Test Workbench は生成しません。再試行の回数 プロパティに 0 を設定すると、ステップは永久に再試行されます。これにより、再生時に失敗したステップが継続して再試行されている間、Silk Test Workbench が応答しなくなったように見える場合があります。

    この ステップの再試行 操作は、ビジュアル テストで、エラーを確実に処理したり、テストで問題が予想される潜在的なエラーを修正したりするために役立ちます。たとえば、ビジュアル テストでアクセスするブラウザ アプリケーションのページが、確実に読み込まれていない可能性がある場合、「アタッチの失敗」エラーが発生することがあります。ステップの再試行 操作では、ビジュアル テストを、ページを確実に読み込んでからそのページとの対話を試行する別のビジュアル テストに移行させることによって、再生エラーを解決できます。

  • 再開して次に進む：資産 プロパティに指定されているビジュアル テストを再生してから、エラーが発生したステップの直後のステップの実行を試みます。エラーの原因となったステップは、再実行されません。

  • 移動：資産 プロパティに指定されているビジュアル テストを再生し、ラベル プロパティに指定されている事前定義のラベル ステップに移動して、再生を続行します。移動 を使用すると、ビジュアル テストで、再生中に発生したエラーと同様のエラーが発生する可能性のあるステップをスキップして、テストの別のセクションに移動できます。

    注: エラー処理に使用された特定のラベル ステップが、エラーが発生するステップの前にある場合、関係するステップがループして繰り返し再生されるため、そのエラーは繰り返し発生します。
資産
ビジュアル テストの再生中にエラーが発生した場合に実行するビジュアル テストを指定します。別のビジュアル テストを選択するには、ビジュアル テストの参照 をクリックしてから、ビジュアル テストを選択します。
ヒント: 資産を指定してステップを作成したあとに 実行する操作 プロパティで別の操作を選択すると、ステップの動作を変更できます。たとえば、実行する操作 プロパティを テストの終了 に設定し、資産 プロパティで資産を選択した場合、ステップ テキストは次のようになります：
エラー時にビジュアル テスト '[ビジュアル テスト]' を再生して 'テストの終了'

ここで 実行する操作 プロパティの値を変更すると、ステップの動作を変更できます。値を ステップの再試行 に変更すると、ステップは次のようになります：

エラー時にビジュアル テスト '[ビジュアル テスト]' を再生して 'ステップの再試行'
ラベル
エラーが発生した場合にビジュアル テストが移動できる使用可能なラベル ステップのリストが含まれます。リストからラベル ステップの名前を選択します。

このプロパティは、実行する操作 プロパティが 移動 に設定されている場合にのみ、表示されます。

親トピック: プロパティ
関連タスク
[プロパティ] ペインを使用して、エラーに自動的に対処するようにビジュアル テストを設定
エラー処理ロジック テスト ステップの編集


ビジュアル テストの再生設定

ビジュアル テストの再生動作の構成には、以下の再生設定を使用できます。

アプリケーション準備完了タイムアウト

新しく起動したアプリケーションが準備完了状態になるまで待機する時間をミリ秒で指定します。 指定したタイムアウト時間内にアプリケーションの準備が整わない場合は、Silk Test Workbench で例外が発生します。

ウィンドウを閉じるためのボタン

CloseSynchron メソッドでウィンドウを閉じるために使用するボタンを指定します。

確認ダイアログに対するボタン

CloseSynchron メソッドでウィンドウを閉じる際に表示された確認ダイアログ ボックスを閉じるために使用するボタンを指定します。

無応答のアプリケーションを閉じる

無応答のアプリケーションを閉じるかどうかを指定します。 タイムアウトなどの理由で、エージェントとアプリケーション間の通信に失敗した場合に、アプリケーションが無応答になります。

ウィンドウを閉じるためのタイムアウト

ウィンドウ閉じるための次の方式を試行する前に待機する時間をミリ秒で指定します。 最終的に失敗と判断する前に、4 種類の方式が Agent によって実行されます。つまり、閉じるのに失敗するまでにかかる合計時間は、指定した値の 4 倍の時間になります。

コントロールのキャプチャ
再生時に Silk Test Workbench がコントロールとそのプロパティをキャプチャできるようにします。 記録オプションでコントロールのキャプチャ設定をいいえに設定した場合は、このオプションが上書きされ、再生時にコントロールがキャプチャされます。
注: 記録の 画面キャプチャ 設定を なし に設定した場合は、コントロールのキャプチャ を はい、再生の 画面キャプチャ 設定を なし 以外の値に設定して、再生時にコントロールをキャプチャする必要があります。
オブジェクトがアクティブであることを保証する

ターゲット オブジェクトがアクティブであることを保証します。

再生中にオブジェクトをハイライトする

現在のオブジェクトが再生中にハイライトされるかどうかを指定します。

キーボード イベント遅延

再生時のキー入力間の遅延をミリ秒で指定します。

テストするアプリケーションに応じて、選択する最適な値が異なることに注意してください。 たとえば、Web アプリケーションをテストする場合、1 ミリ秒に設定すると、ブラウザが極端に遅くなります。 ただし、この値を 0 (ゼロ) に設定すると、基本的なアプリケーション テストに失敗する可能性があります。

ダイアログを閉じるためのキー

CloseSynchron メソッドでウィンドウを閉じる際に表示されたダイアログ ボックスを閉じるキー シーケンスを指定します。 例：<ESC>、<Alt+F4>。

ウィンドウを閉じるためのメニュー項目

CloseSynchron メソッドでウィンドウを閉じるために使用するメニュー項目を指定します。 例：「ファイル/*終了」、「ファイル/*中止」。

マウス イベント遅延

各マウス イベントの前に使用される遅延をミリ秒で指定します。

オブジェクト有効化タイムアウト
再生中にオブジェクトが有効になるまで待機する時間をミリ秒で指定します。 オブジェクトが有効になるとすぐに、Silk Test Workbench はこのオブジェクトと対話することができます。 たとえば、オブジェクトがボタンの場合、このボタンが有効になると、Silk Test Workbench でボタンをクリックできるようになります。
オブジェクト解決タイムアウト

再生中にオブジェクトの解決を待機する時間をミリ秒で指定します。 オブジェクトが解決されるとすぐに、Silk Test Workbench はこのオブジェクトを認識することができます。

再生モード

コントロールの再生方法を定義します。 「低レベル」を使用すると、マウスとキーボードを使用して各コントロールが再生されます。 「高レベル」を使用すると、API を使用して各コントロールが再生されます。 コントロールごとにデフォルトの再生モードが割り当てられています。 デフォルトの再生モードが選択されると、各コントロールごとのデフォルトの再生モードが使用されます。 デフォルト モードを使用すると、最も信頼できる結果が得られます。 「低レベル」または「高レベル」の再生を選択すると、すべてのコントロールの再生モードが選択した再生モードで上書きされます。

結果合格条件 (パーセンテージ)

今後の実行の成功を定義する全般条件を設定します。 たとえば、結果の合格条件を 90% に設定した場合、10 件の検証のうち 9 件に合格しないと、再生の結果が合格になりません。

すべての情報を保存

再生が完了したあとに、ビジュアル テストのすべての情報を保存するかどうかを指定します。

画面キャプチャ

Silk Test Workbench で再生中にテスト アプリケーションの画面をキャプチャする方法を指定します。

以下のオプションがあります。
  • 記録と同じ：ビジュアル テストが記録されたときに 記録 オプションに存在した 画面キャプチャ 設定と同じ設定を使用します。
  • アクティブ ウィンドウ：記録中にテスト アプリケーションのアクティブなウィンドウのみをキャプチャします。
  • アプリケーション：テスト アプリケーションとテスト アプリケーション内のすべてのウィンドウをキャプチャします。
  • デスクトップ：テスト アプリケーションを含む、記録中にデスクトップに表示されているすべてのアプリケーションの画面をキャプチャします。
  • なし：記録中に画面をキャプチャしません。
    注: この設定を なし に設定すると、コントロールのキャプチャ および 画面キャプチャ (テスト ステップ) 設定に指定した値に関係なく、コントロールまたは画面は 結果 ウィンドウにキャプチャされません。
画面キャプチャ (テスト ステップ)

Silk Test Workbench が記録中にテスト アプリケーションの個別の画面をキャプチャするかどうかを決定します。 これによって、テスト ステップ ペインの個々のテスト ステップと連動して、画面プレビュー の個々の画面で発生する操作を表示できるようになります。 また、再生時に記録される画面を、ビジュアル テストを最初に記録したときにキャプチャされた画面と比較できます (記録時にもテスト ステップの画面がキャプチャされた場合)。

以下のオプションがあります。
  • 記録と同じ：ビジュアル テストが記録されたときに 記録 オプションに存在した 画面キャプチャ (テスト ステップ) 設定と同じ設定を使用します。
  • はい：記録中に画面をキャプチャします。 画面キャプチャ 設定を使用して、画面をキャプチャする方法を決定します。
  • いいえ：再生中に個別のテスト ステップをキャプチャしません。 画面キャプチャ 設定が なし 以外に設定された場合、個別のテスト ステップに関連付けられたグループ画面が 画面プレビュー に表示されます。
スクリーン ショット遅延

新しいウィンドウにフォーカスを設定してから、ウィンドウのスクリーン ショットを取得するまで待機する時間をミリ秒で入力します。

同期除外リスト

ページ同期中に除外するサービスまたは Web ページの URL を指定します。 AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

複数の URL をカンマで区切って指定できます。 http://test.com/timeService のように URL 全体を入力したり、timeService のように URL の一部を入力します。

同期モード

サポートする同期モード (HTML または AJAX) を設定します。 HTML モードを使用すると、すべての HTML ドキュメントが対話的な状態になることが保証されます。 このモードでは、単純な Web ページをテストすることができます。 Java Script が含まれるより複雑なシナリオが使用される場合は、WaitForObject、WaitForProperty、WaitForDisappearance、または WaitForChildDisappearance などの同期関数を使用して手動でスクリプトを記述することが必要になる可能性があります。 AJAX モードを使用すると、同期関数を手動で記述する必要はなくなります。

同期タイムアウト

オブジェクトが準備完了状態になる最大時間をミリ秒で指定します。

無応答のアプリケーションのタイムアウト

応答のない再生操作をキャンセルするまでのタイムアウト値をミリ秒で指定します。

親トピック: プロパティ
関連概念
Silk Test Workbench のオプション
関連タスク
ビジュアル テスト内での再生設定値の取得
ビジュアル テスト内での再生設定値の設定
関連資料
再生設定の取得プロパティ
再生設定の設定プロパティ
エージェント オプション


挿入されたスクリプトまたはビジュアル テストの再生設定

再生設定 は、ビジュアル テスト内で実行されているビジュアル テストまたはスクリプトで使用される再生設定を指定します。 リストから以下のいずれかの値を選択します。

システムのデフォルトを使用

各再生オプションについて、オプション ダイアログ ボックスに表示されているデフォルトを使用します。

親の設定を継承する

現在の再生の実行に、親ビジュアル テストの再生設定を使用します。

親から設定をコピー

現在の再生の実行および今後すべての再生の実行に、親ビジュアル テストの再生設定を使用します。

親トピック: プロパティ
関連タスク
[プロパティ] ペインを使用して、エラーに自動的に対処するようにビジュアル テストを設定


結果プロパティ

結果 プロパティ カテゴリには以下のプロパティが含まれます。
ステップ
テスト ステップ ペインで選択したテスト ステップの名前を表示します。
結果
テスト ステップ ペインで選択したステップの結果を表示します。
結果の詳細
テスト ステップ ペインで選択したステップの結果の詳細を表示します。
行番号
テスト ステップ ペインで選択したステップの行番号を表示します。
コマンドの詳細
テスト ステップ ペインで選択したステップのログの詳細を表示します。
日付／時刻
テスト ステップ ペインで選択したステップの日付と時刻を表示します。
ミリ秒
テスト ステップ ペインで選択したステップのミリ秒数を表示します。
名前
テスト ステップ ペインで選択したステップの資産名を表示します。
ユーザー名
ビジュアル テストを再生したユーザーの名前を表示します。
マシン名
ビジュアル テストが再生されたコンピュータの名前を表示します。
親トピック: プロパティ


再生設定の設定プロパティ

再生設定の設定 プロパティ カテゴリには以下のプロパティが含まれます。
再生設定
リストから 再生設定 を選択します。
値
選択した再生設定に値を割り当てます。

割り当てられた値は、再生設定の設定 ステップを含むビジュアル テストでのみ使用されます。

選択した再生設定に従って、リストから値を選択するか、選択 をクリックし、再生設定値として値を割り当てます。

親トピック: プロパティ
関連タスク
ビジュアル テスト内での再生設定値の設定
関連資料
ビジュアル テストの再生設定


タイマー プロパティ

タイマー プロパティ カテゴリには以下のプロパティが含まれます。
タイマーの動作
タイマー テスト ステップの操作を設定します。
  • 開始：タイマーを開始します。 タイマーが停止すると、タイマーは 0 にリセットされます。 すでに実行されているタイマーを開始しようとすると、エラーが発生します。
  • 停止：タイマーを停止します。 タイマーには時間が保持され、必要な場合は 再開 操作を使用してタイマーを再開できます。
  • 再開：停止 操作を使用して停止されたタイマーを再開します。 タイマーは以前に記録された時間からカウントを再開します。
  • リセット：時間を 0 にリセットします。
タイマー番号
タイマーの番号を設定します。 複数の条件の時間を計るときに、各タイマーに一意の番号を割り当ててタイマーを区別できます。 リストからタイマーの番号を選択します。 ビジュアル テストには、最大で 10 個のタイマーを組み込むことができます。 このプロパティは、一連のステップの実行にかかる時間を検証する場合のみ有効です。
親トピック: プロパティ
関連タスク
ビジュアル テストへのタイマーの挿入


検証結果の説明プロパティ

検証結果の説明プロパティ カテゴリには以下のプロパティが含まれます。
検証の '合格テキスト'
指定した検証ロジックの条件に適合した場合にビジュアル テストの結果説明に表示するメッセージが含まれます。 このプロパティを編集するには、プロパティを選択して、必要な説明を入力します。
検証の '失敗テキスト'
指定した検証ロジックの条件に適合しなかった場合にビジュアル テストの結果説明に表示するメッセージを作成します。 このプロパティを編集するには、プロパティを選択して、必要な説明を入力します。
親トピック: プロパティ


待機プロパティ

待機プロパティ カテゴリには以下のプロパティが含まれます。
ロケーター
ステップが、どのオブジェクトが存在または消滅するまで待機するかを指定します。以下のいずれかの方法を使用して、コントロールを識別します。
  • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
  • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
  • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
  • 選択： このボタンをクリックして、リテラル、変数、式の結果、またはアクティブ データ値を割り当てます。
待機の種類
オブジェクトが存在、または消滅するまで待機する時間を指定します。
タイムアウト
オブジェクトが存在、または消滅するまで待機する最大時間をミリ秒で指定します。このプロパティを編集するには、プロパティを選択して数値を入力します。デフォルト値は、デフォルトの待機タイムアウト (ミリ秒) オプション値に設定されています。タイムアウト期間内に一致するオブジェクトがない場合は、再生エラーが発生します。
親トピック: プロパティ
関連タスク
再生のタイミング オプションの設定


スクリプトの作成

Silk Test Workbench は、ビジュアル テストと同じようにスクリプトを使用して、アプリケーションのテスト中に実行する操作を模倣します。 ユーザーがキー入力やマウス操作でメニュー、リスト項目、ボタンなどを選択するのと同じように、アプリケーションや Web ページを制御します。 記録中、Silk Test Workbench によりアプリケーションをテストするキー入力やマウス クリックがすべて生成されます。

Silk Test Workbench のスクリプト言語は、Microsoft .NET Framework 環境で実行されるすべてのアプリケーションを完全に制御できる堅牢なプログラミング言語である、Microsoft の Visual Basic です。 .NET スクリプトは、高水準プログラミング言語が持つ諸機能の他、ソフトウェアの制御とテスト専用に設計された機能も備えています。 この言語を使用すると、以下のようなスクリプトを作成できます。
  • 指定した時刻に自動的に実行する。
  • 完全に無人で実行する。
  • ユーザーとの対話を行って、ID やパスワードなどの認証情報を受け取ることができる。

メニューの選択、データの入力、処理の確認など、アプリケーションのテストに使用する操作は、スクリプトで VB.NET コマンドとして表されます。 これらのコマンドはスクリプトに挿入され、変更や再生が可能です。

Silk Test Workbench により、スクリプトをすばやく記録し実行することができます。 スクリプトには、記録できない「ハンドコーディング」のステートメントを追加したり、テスト アプリケーションの変更を反映した修正を加えたりできます。また、既存のスクリプトからコードをカット アンド ペーストして新しいスクリプトを作成することもできます。 また、オブジェクトの識別 ダイアログ ボックスを使用してロケーターまたは個々のオブジェクトのオブジェクト マップ項目を記録し、それをスクリプトで使用することもできます。

スクリプトをすばやく作成するには、記録機能を使用するのが最適の方法です。 記録機能により、Silk Test Workbench が生成するスクリプトのコーディング方法を学習することができます。 これによりスクリプトの作成の基本を理解し、さらに効率的なテスト ソリューションの作成、スクリプトのモジュール化、独立したコード モジュールの作成についての理解を深めることができます。

  • スクリプトを使用する利点
    ビジュアル テストの代わりにスクリプトを使用する利点を示します。
  • テスト スクリプト作成のベスト プラクティス
    Silk Test Workbench を使用して安定したテスト スクリプトを作成する方法を説明します。
  • スクリプトの構文
    スクリプトの構文について説明します。
  • ドライバ スクリプト
    ドライバ スクリプトの概念について説明します。
  • 手動によるスクリプト作成
    スクリプトを拡張するために Silk Test Workbench で使用できる機能について説明します。
  • スクリプトの記録
    スクリプトに含める操作を記録します。
  • 複数のテスト アプリケーションをテストするスクリプトの記録
    複数のテスト アプリケーションを使用するスクリプトに対してテストする操作を記録します。
  • Java Network Launching Protocol (JNLP) を使用するアプリケーションを起動するスクリプトの構成
    Java Network Launching Protocol (JNLP) を使用して起動するアプリケーションでは、Silk Test Workbench に追加の構成が必要です。
  • 新しいブラウザ ウィンドウで開くスクリプトの構成
    Silk Central から実行するテスト用に別のブラウザ ウィンドウを開くスクリプトを構成します。
  • テスト アプリケーションでのコントロールの識別 (.NET スクリプト)
    .NET スクリプトを記録する場合、Silk Test Workbench によって自動的にコントロールが識別されます。既存のコントロールを変更したり、手動で操作を挿入したりするには、テストするアプリケーションでコントロール名を識別します。
  • スクリプト内からのアプリケーションの起動
    スクリプトで複数のアプリケーションをテストするか、何らかの理由で 基本状態の実行 機能をオフにする場合は、スクリプト内からテスト アプリケーションを起動する必要があります。
  • スクリプトのオブジェクト マップ項目またはロケーターの手動による記録
    オブジェクトの識別 ダイアログ ボックスを使用して、オブジェクト マップ項目またはロケーターを手動でキャプチャします。オブジェクトの識別 ダイアログ ボックスを使用すると、テストするオブジェクトを簡単かつ確実に識別することができます。
  • 既存のテストへの追加操作の記録
    追加操作を記録して、既存のテストを更新します。
  • 既存のスクリプトを開く
    既存のスクリプトを開いて、再生、確認、または変更を行います。
  • スクリプトの編集
    スクリプトを作成して保存したあとは、いつでもそれを編集できます。
  • スクリプトの保存
    新規スクリプトまたは変更したスクリプトを保存できます。 更新したスクリプトを閉じると、変更内容を保存するかどうかを確認するプロンプトが表示されます。
親トピック: テストの作成
関連概念
オブジェクト マップ
[オブジェクトの識別] ダイアログ ボックス


スクリプトを使用する利点

スクリプトでは、アプリケーションをテストするために、操作がオブジェクト レベルで記録されます。 これらの操作には、メニューの選択、データの入力、アイコンのクリック、結果の確認などが含まれます。 テスト手順をスクリプトで管理すると、以下の利点があります。

  • スクリプトは高度に拡張可能であるため、機能と柔軟性を強化できます。 .NET スクリプトの機能を使用して、複雑なテスト ケースに対する複雑なソリューションを開発できます。
  • スクリプトでは、外部アセンブリで提供される機能を活用して、スクリプト内で使用できる機能を拡張できます。
  • 開発者とテスト担当者が、共通スクリプト言語 VB.NET を共有できます。
  • テスト アプリケーションが変更された場合に、スクリプトを最初から作成し直す必要がありません。
  • 既存のスクリプトをコピーして変更することにより、新しいテスト手順を簡単に作成できます。
  • テストへのモジュール式アプローチが推進され、再利用率を高めることができます。 他のスクリプトまたは機能を呼び出すことができます。
  • スクリプトをループさせて、プロセスを繰り返しテストできます。
  • 予想結果を検証し、予期しない状況が発生した場合にそれに対処する、インテリジェントなテストを迅速に作成できます。
  • テスト プロセスを文書化できます。
  • テスト アプリケーションが完了する前に、スクリプトを作成できます。
親トピック: スクリプトの作成


テスト スクリプト作成のベスト プラクティス

テスト ケースの書き方によっては、テスト セットのパフォーマンスと安定性に非常に大きな影響を与える場合があります。記録時に、可能な限り速く安定したスクリプトを Silk Test Workbench は作成します。しかし、テスト スクリプトを手動で作成したり編集する必要が生じる場合もあります。このトピックでは、いくつかの一般的なガイドラインを提示します。このガイドラインに従うことによって、保守性、再利用性の高いテスト スクリプトの作成、およびテストの安定性が高まるでしょう。

  • テストの名前の一貫性を保ち、内容のわかりやすい名前をつけてください。テスト対象アプリケーションとテストの機能を表す名前にすると良いでしょう。たとえば、テストの名前を MyApp_SuccessfulLogin や MyApp_FailingLogin とすると、Untitled_42 や Untitled_43 とするよりも、他のユーザーにとって非常にわかりやすいものになります。
  • できるだけ細かくテスト ケースの説明をコメントに記述してください。テスト ケースについての説明が普通の言葉で記述されていないと、実装されたコードを変更する必要がある人が、そのテストが正確に何を行っているのかを理解することが困難になります。
  • テスト ケースを開始する時に、テスト対象アプリケーションが確実に適切な状態になるようにしてください。テスト ケースの操作を実行する前に、テスト対象アプリケーションを正しい状態に戻します。
  • テスト ケースを完了する時に、テスト対象アプリケーションが確実に適切な状態になるようにしてください。追加のテストがそのテストの結果に依存する場合は、それらが開始できる状態にします。テスト ケースの操作が実行される時に、テスト対象アプリケーションを正しい状態に戻します。
  • 可能な限り、テスト ケースは他のテスト ケースの結果に依存しないようにしてください。これが不可能な場合、テスト ケースが正しい順番で実行されるようにしてください。
  • 機能的な流れだけでなく、テスト対象アプリケーションの正確さをテストするために、テストに検証を追加してください。
  • キーワード駆動テストを使用して、操作セットの再利用性を高めてください。共通に使用する操作をキーワードにまとめ、頻繁に同じ順番で実行されるキーワードをキーワード シーケンスに結合し、キーワードやキーワード シーケンスの組み合わせをキーワード駆動テストとして実行します。
  • テストの保守性と再利用性を保つためには、複雑なテスト ケースを記述するよりも、複数の単純なテスト ケースを記述して組み合わせる方が好まれます。
  • テスト セットの冗長性を避けるためには、新しいテスト ケースを追加するよりも、既存のテスト ケースを更新することが好まれます。
親トピック: スクリプトの作成
関連概念
Silk Test Workbench の機能
自動テストについて
テスト戦略
資産の管理
スクリプトでのテスト データの再利用
スクリプトの管理


スクリプトの構文

記録されたスクリプトの行の構文を理解すると、スクリプトが読みやすくなります。 オブジェクトをテストするコマンドは、同一の構文要素で構成されています。 構文要素には、アプリケーション ウィンドウ (アプリケーションのメイン ウィンドウやダイアログ ボックスなど) のための With ステートメントに続き、クラス、属性、操作を識別するロケーターまたはオブジェクト マップ項目が含まれます。

オブジェクト マップの使用

オブジェクト マップはテスト資産の一種であり、コントロールまたはウィンドウのロケーターではなく、コントロールまたはウィンドウに論理名 (エイリアス) を関連付ける項目が含まれています。

Silk Test Workbench では、スクリプトを記録すると、デフォルトで、スクリプト コンテキストにオブジェクト マップ項目が組み込まれます。

以下の例は、Web アプリケーションをテストするスクリプトで記録される一般的な操作を示しています。
With _desktop.BrowserApplication("webBrowser")
  With .BrowserWindow("browserWindow")
    .DomListBox("quickLinkJumpMenu").Select("Auto Quote")
  End With
End With

With_ desktop.<application> の部分は、メイン アプリケーション ウィンドウを示しています。

上記の例の DomListBox の部分は、使用するクラスを示しています。

("quickLinkJumpMenu") の部分は、オブジェクトの属性を示しています。 この場合、属性はリスト ボックスのリンク メニューを示しています。 一方、Select() の部分は、オブジェクトに対して実行する操作またはコマンドを示しています。

最初の With コマンドが定義されたら、そのウィンドウに対する追加の呼び出しでコマンドを繰り返す必要はありません。 テストする追加の各ウィンドウに対して、With ステートメントを指定する必要があります。 たとえば、以下のコードは、同じスクリプト内から複数のウィンドウを呼び出す方法を示しています。
With _desktop.Window("untitledNotepad")
  .MenuItem("aboutNotepad").Select()
    With .Dialog("aboutNotepadDialog")
      .PushButton("ok").Select()
    End With
End With

オブジェクト マップ項目はかっこと引用符 ("") で囲まれ、ロケーターのキャプションを使用する必要がなくなります。

ロケーターの使用

Silk Test Workbench では、識別されたオブジェクトのリテラル参照はロケーターと呼ばれます。 Silk Test Workbench では、スクリプトを記録すると、デフォルトで、スクリプト コンテキストにオブジェクト マップ項目が組み込まれます。 オブジェクト マップをオフにすると、スクリプトの記録時に、オブジェクト マップ項目ではなくスクリプト コンテキストにロケーターが含まれます。

以下の例は、Web アプリケーションをテストするスクリプトで記録される一般的な操作を示しています。
With _desktop.BrowserWindow("/BrowserApplication[1]//BrowserWindow")
  .DomLink("@textContents='Court: Gender pay lawsuit can go to trial'").Select()
End With

With_ desktop.<application> の部分は、メイン アプリケーション ウィンドウを示しています。

最初の例の DomLink の部分と 2 番めの例の MenuItem の部分は、使用するクラスを示しています。

("@textContents='Court: Gender pay lawsuit can go to trial'") の部分は、オブジェクトの属性を示しています。 この場合、属性はテキスト コンテンツを示しています。 一方、Select() の部分は、オブジェクトに対して実行する操作またはコマンドを示しています。

最初の With コマンドが定義されたら、そのウィンドウに対する追加のロケーター文字列でコマンドを繰り返す必要はありません。 テストする追加の各ウィンドウに対して、With ステートメントを指定する必要があります。 たとえば、以下のコードは、同じスクリプト内から複数のウィンドウを呼び出す方法を示しています。
With _desktop.Window("@caption='Untitled - Notepad'")
  .MenuItem("@caption='About Notepad'").Select()
    With .Dialog("@caption='About Notepad'")
      .PushButton("@caption='OK'").Select()
    End With
End With

caption 属性は、テストするオブジェクトを示しています。 caption は、アプリケーションのメイン ウィンドウ ("@caption='Untitled - Notepad'") に続き、メニュー項目 ("@caption='About Notepad'")、後続のダイアログ ボックス ("@caption='About Notepad'")、クリックするボタン ("@caption='OK'") を示しています。

親トピック: スクリプトの作成
関連概念
オブジェクト マップ
オブジェクト解決


ドライバ スクリプト

ドライバ スクリプトは、テスト アプリケーションをテストするための別のスクリプトをトリガし、それを監視します。 ドライバ スクリプトでは、条件ロジックまたは他の制御ロジックを使用してドライバ内の他のテストのオプションの実行を管理することはありますが、通常、ドライバ スクリプト自体はテストを実行しません。

1 つのテスト スイートには、テスト アプリケーション内の異なる時点で実行される、多数のテストが含まれています。 テスト スイートにある各スクリプトは、ドライバ スクリプトによって呼び出すことができます。 ドライバ スクリプトは、スクリプトと同様に作成しますが、テスト アプリケーションの実際のテストは行いません。 テスト アプリケーションをテスト開始の正しいポイントまで「ドライブ」（駆動）し、1 つまたは複数のスクリプトを呼び出してそのテスト サイトでテストを開始するだけです。 テストが終了すると、ドライバ スクリプトに制御が戻され、次のテスト サイトに進みます。 ドライバ スクリプトの作成は、個々のスクリプトを手動で記録する場合と同様に行うことができます。

ドライバ スクリプトは、アプリケーションのテストに対するモジュール式アプローチを推進するものです。 完全なテストを実行する 1 つのスクリプトを作成する代わりに、テスト フロー全体のうちの個々の部分をテストする再利用可能なスクリプトを複数作成して、ドライバ スクリプトで各部分を呼び出すようにすることができます。 テスト全体のうちの一部を変更する場合は、変更が必要なスクリプトだけを更新します。 ドライバ スクリプトを変更する必要はありません。

適切に設計されたスクリプトは、完了前にテスト アプリケーションを元のテスト サイトに戻します。 これには以下のような目的があります。

  • ドライバ スクリプトが常に停止した箇所から再開できるようにする。

  • ドライバのパスを変更せずに、テスト サイトでテストを追加したり削除したりできるようにする。

  • ドライバ スクリプトの作成
    スクリプト内の異なる時点で個別のテストを実行するドライバ テストを記録します。
親トピック: スクリプトの作成


ドライバ スクリプトの作成

ドライバ スクリプトは、アプリケーションのテストに対するモジュール式アプローチを推進するものです。 完全なテストを実行する 1 つのスクリプトを作成する代わりに、テスト フロー全体のうちの個々の部分をテストする再利用可能なスクリプトを複数作成して、ドライバ スクリプトで各部分を呼び出すようにすることができます。

  1. 新しいスクリプトを記録します。 たとえば、このスクリプトは、テスト アプリケーションを起動したり、ダイアログ ボックスまたはウィンドウを表示したりします。 Web アプリケーションをテストしている場合は、ドライバ スクリプトはブラウザを起動したり、特定の Web ページを表示したりします。
  2. 別のスクリプトを再生する箇所まで到達したら、スクリプトの記録を停止します。
  3. コード ウィンドウで、カーソルを新しい行に移動し、以下のように入力します。
    Workbench.RunScript ("script")

    script はスクリプト名です。

    適切に設計されたスクリプトは、完了前にテスト アプリケーションを元のテスト サイトに戻します。これは、ドライバ スクリプトが常に停止した箇所から再開できるようにするためです。

    Oracle データベースに格納されるスクリプト名では、大文字と小文字が区別されます。 Oracle データベースから挿入するスクリプトの名前は、データベースでの名前と正確に一致する必要があります。一致していないと、Silk Test Workbench でスクリプトの読み込みに失敗します。
  4. テスト アプリケーション内の別のテスト サイトでスクリプトを再生する場合は、引き続き、テスト アプリケーションを適切な状態にするステップを記録します。 記録を停止し、別の RunScript コマンドを挿入します。
  5. 目的のテストをすべて挿入したら、テスト アプリケーションを閉じるためのステップを記録します。他のテストまたはテスト スイートを実行する場合は、それに適した状態までテスト アプリケーションを戻すためのステップを記録します。
親トピック: ドライバ スクリプト


手動によるスクリプト作成

記録機能を使用するとスクリプトをすばやく効率的に作成できますが、多くの場合、そのスクリプトを再利用可能にしたり、信頼性や効果を高めたりするには、微調整や拡張が必要です。 このことを行うために、任意のスクリプトにコードを手動で追加することができます。 Silk Test Workbench はスクリプト言語として VB.NET を使用しているため、VB.NET に関する多少の知識が必要です。 Silk Test Workbench は VB.NET スクリプト言語を拡張し、堅牢で強力なスクリプト作成機能を提供します。 クラス、メソッド、およびプロパティの詳細と、それぞれのテスト スクリプトでの使用方法については、『Silk Test Workbench 言語リファレンス』を参照してください。

また、Silk Test Workbench にはその他の機能もあり、VB.NET のスクリプト機能を利用して手動によるスクリプト作成をより容易にしています。 これらの機能には以下のものがあります。

  • オブジェクトの識別 ダイアログ ボックス：オブジェクトの識別 ダイアログ ボックスでは、ロケーターの記録方法や、オブジェクトに使用できるプロパティを表示できます。

  • オートコンプリートおよび構文に関するヒント：手動によるコーディングを容易にします。 オートコンプリートおよび構文に関するヒントを使用すると、VB.NET 言語要素に自動的にアクセスし、表示して、自動的に入力することができます。これには、すべてのオブジェクトのキーワード、列挙、ブール値、コード構文、使用可能なメソッド、および使用可能な VB.NET プロパティが含まれます。

注: 新しいテスト スクリプトを手動で作成する場合、使用するクラスの拡張をインポートするステートメントをスクリプトに追加する必要があります。 たとえば、Win32 メソッドの場合、次の行をスクリプトの開始部分に挿入する必要があります：
Imports SilkTest.Ntf.Win32
アクセス可能なコントロールでのクリックを記録すると、インポート ステートメントがスクリプトに自動的に挿入されます。 共通 Silk Test クラス (BaseGuiTestObject など) は常に使用できるため、インポートする必要はありません。
親トピック: スクリプトの作成
関連概念
[オブジェクトの識別] ダイアログ ボックス


スクリプトの記録

Silk Test Workbench を使用して、アプリケーションをテストするときに実行する操作を記録します。ある操作を実行すると、その操作とそれに対するアプリケーションの応答がコマンドとしてスクリプトに記録されます。

記録中は、記録を停止するまでテスト アプリケーションでのすべての操作 (Silk Test Workbench の操作は除く) が Silk Test Workbench によって記録されます。記録が完了したら、生成したスクリプトを変更して、ステップを追加したり、不要なステップを削除したりできます。

  1. ファイル > 新規作成 を選択します。
    資産の新規作成 ダイアログ ボックスが開きます。
  2. [資産の種類] リストから .NET スクリプト を選択し、資産名 テキスト ボックスにスクリプトの名前を入力します。
    注: デフォルトでは、Common プロジェクトにスクリプトが作成されます。別のプロジェクトにスクリプトを作成するには、プロジェクト リストで該当するプロジェクトを選択します。
    Silk Test Workbench を Oracle データベースで使用する場合は、保存されたすべてのスクリプト名の大文字と小文字が区別されます。つまり、SCRIPT1 という名前のスクリプトと Script1 という名前のスクリプトは同じ Oracle データベースに共存でき、重複とはみなされません。ただし、Silk Test Workbench を SQL Server または Access で使用する場合は、保存されたスクリプトの大文字と小文字は区別されません。
  3. 省略可能：Silk Test Workbench の記録オプションを変更する場合は、オプション をクリックします。
  4. 記録をすぐに開始するために、記録の開始 チェック ボックスをオンにします。
  5. OK をクリックして、スクリプトを資産として保存し、記録を開始します。
    記録の開始 チェック ボックスをオンにせずに OK をクリックすると、Silk Test Workbench によりスクリプトが資産として保存され、スクリプト テンプレートが表示されます。 アプリケーションの選択 ダイアログ ボックスが開きます。
  6. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合、テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  7. 標準アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからアプリケーションを選択します。
  8. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  9. ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk Test Workbench は HTTP および UNC 形式をサポートします。 Silk Test Workbench は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  10. OK をクリックします。
    Silk Test Workbench が最小化され、アプリケーションと 記録中 ウィンドウが開きます。
  11. テストする操作を記録します。 記録中は、タスクバーの Silk Test Workbench アイコンが点滅します。記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  12. サポートするブラウザー上で Web アプリケーションを記録している場合で、かつ UI で直接アクセスできないコントロールを扱いたい場合 (たとえば、コントロールが他のコントロールで隠されている場合)、 記録中 ウィンドウの 階層ビューの切り替え をクリックして、コントロール階層ツリーからコントロールを選択します。 この機能は、次のブラウザーに対するテストで利用できます。
    • Microsoft Edge
    • Apple Safari
    • Mozilla Firefox 41 以降
    • Google Chrome 50 以降
    • モバイル ブラウザー
  13. 省略可能：検証ロジックをテストに追加します。
    • 標準アプリケーションまたは Web アプリケーションをテストしている場合、テストに検証ロジックを追加するには、Ctrl+Alt をクリックします。Silk Test Workbench により記録が一時的に停止し、テスト ロジック デザイナ ウィザードが表示されます。

      ウィザードの指示に従って処理を行い、完了 をクリックしてウィザードを閉じ、記録を続行します。

    • Microsoft Edge 上の Web アプリケーション、またはモバイル アプリケーションをテストしている場合、検証したいオブジェクトをクリックし、操作の選択 ダイアログ ボックスで 検証の追加 をクリックします。
    検証の追加に関する詳細については、「記録中のスクリプトへの検証の追加」 を参照してください。
  14. Alt+F10 を押すか、記録中 ウィンドウで 停止 をクリックするか、Silk Test Workbench のタスクバー アイコンをクリックして、記録を停止します。
    記録完了 ダイアログ ボックスが開きます。記録完了 ダイアログ ボックスで 次回からこのメッセージを表示しない チェック ボックスがオンになっている場合、記録が停止したあとにこのダイアログ ボックスは表示されません。この場合、スクリプトが表示されます。
  15. 次のいずれか 1 つのステップを行います：
    • 記録完了 ダイアログ ボックスを閉じて、スクリプトを保存するには、再生 をクリックします。

      再生 ダイアログ ボックスが開き、結果情報を指定してスクリプトを再生できます。

    • コード ウィンドウでスクリプトを開くには、.NET スクリプトへ移動 をクリックします。
    • スクリプトを保存して、記録完了 ダイアログ ボックスを終了するには、保存 をクリックします。

      スクリプトが コード ウィンドウに表示されます。

    記録されたテストが コード ウィンドウに表示されているときには、いつでもそのテストを再生できます。
親トピック: スクリプトの作成
関連概念
モバイル アプリケーションの記録
レスポンシブ Web デザインのテスト
関連タスク
既存のテストへの追加操作の記録
記録中のスクリプトへの検証の追加
モバイル デバイスの操作
関連資料
記録中に利用可能なアクション
Microsoft Edge を使用したテストの制限事項


複数のテスト アプリケーションをテストするスクリプトの記録

複数のテスト アプリケーションをテストするスクリプトを記録できます。たとえば、データベースを変更するアプリケーションをテストしているときに、データベースの内容を確認するためにデータベースのビューアー ツールを使用する場合には、そのデータベースのビューアー ツール用のアプリケーション構成を追加する必要があります。

  1. テストする主要なアプリケーション用に、スクリプトを記録するか手動で作成します。
  2. プロパティ ペインで、アプリケーション構成の追加 を右クリックして選択します。 アプリケーションの選択 ダイアログ ボックスが開きます。
  3. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合、テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  4. 標準アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからアプリケーションを選択します。
  5. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  6. ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk Test Workbench は HTTP および UNC 形式をサポートします。 Silk Test Workbench は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  7. OK をクリックします。
  8. 新しいアプリケーション構成を使用して、スクリプトの追加ステップを記録します。
親トピック: スクリプトの作成
関連概念
レスポンシブ Web デザインのテスト
アプリケーション構成
関連資料
[アプリケーションの選択] ダイアログ ボックス


Java Network Launching Protocol (JNLP) を使用するアプリケーションを起動するスクリプトの構成

Java Network Launching Protocol (JNLP) を使用して起動するアプリケーションでは、Silk Test Workbench に追加の構成が必要です。これらのアプリケーションは Web から起動されるため、実際のアプリケーションと、「Web Start」を起動するアプリケーションを起動するように、アプリケーション構成を手動で構成する必要があります。このようにしない場合、アプリケーションがすでに実行されていないかぎり、ビジュアル テストを再生すると、失敗します。

  1. Silk Test Workbench がアプリケーションを起動できずにテストが失敗する場合は、アプリケーション構成を編集します。
  2. アプリケーションを起動するコードを含めるスクリプトを開きます。
  3. プロパティ ペインで、アプリケーション構成 カテゴリに移動します。
  4. 変更するアプリケーション構成をダブルクリックします。 アプリケーション構成の編集 ダイアログ ボックスが表示されます。
  5. 基本状態を編集して、再生中に Web Start が起動されるようにします。
    1. 編集 をクリックします。
    2. 実行可能ファイル パターン テキスト ボックスに、javaws.exe への絶対パスを入力します。 たとえば、以下のように入力します。
      %ProgramFiles%\Java\jre6\bin\javaws.exe
    3. コマンド ライン パターン テキスト ボックスに、Web Start への URL を含むコマンド ライン パターンを入力します。
      "<url-to-jnlp-file>"
      たとえば、SwingSet3 アプリケーションの場合、以下のように入力します。
      "http://download.java.net/javadesktop/swingset3/SwingSet3.jnlp"
    4. OK をクリックします。
  6. OK をクリックします。 テストは、基本状態を使用し、Web 起動アプリケーションとアプリケーション構成の実行可能パターンを開始して javaw.exe に接続し、テストを実行します。
テストを実行すると、アプリケーション構成の EXE ファイルが基本状態の EXE ファイルと一致しないという警告が表示されます。テストは予想したとおりに実行されているため、このメッセージは無視できます。
親トピック: スクリプトの作成


新しいブラウザ ウィンドウで開くスクリプトの構成

スクリプト用に既存のブラウザ ウィンドウを使用するのではなく、別のブラウザ ウィンドウを開く場合があります。たとえば、Silk Central Test Manager から Silk Test Workbench スクリプトを実行する場合には、スクリプトは既存の Silk Central ウィンドウを使用します。Silk Central に戻るには、ユーザーはブラウザ ウィンドウで 戻る をクリックする必要があります。Silk Central から実行するテスト用に別のブラウザ ウィンドウを開くスクリプトを構成すると、この動作を回避できます。

  1. アプリケーションを起動するコードを含めるスクリプトを開きます。
  2. スクリプトで基本状態を使用する場合は、以下のステップを実行します。
    1. プロパティ ペインで、アプリケーション構成 カテゴリに移動します。
    2. 変更するアプリケーション構成をダブルクリックします。 アプリケーション構成の編集 ダイアログ ボックスが開きます。
    3. 基本状態の実行 チェック ボックスをオフにします。
  3. スクリプトの先頭に Imports System.Diagnostics と入力します。
  4. アプリケーションを新しいプロセスとして定義するには、以下のように入力します。
     Dim applicationProcess As New Process()
    applicationProcess は、起動するアプリケーションの名前です。 たとえば、Internet Explorer を起動するには、以下のように入力します。
    Dim ieProcess As New Process()
  5. 以下のコードを入力して、アプリケーションのフル パスを定義します。
    Dim psi As New ProcessStartInfo()
psi.FileName = "applicationexecutable.exe"
    applicationexecutable.exe は、テスト アプリケーションを起動する実行可能ファイルの名前です。 たとえば、Internet Explorer を起動するには、以下のように入力します。
    Dim psi As New ProcessStartInfo()
psi.FileName = "C:\Program Files\Internet Explorer\iexplore.exe"
    注: テストするアプリケーションの実行可能ファイルが Silk Test Workbench と同じディレクトリにある場合は、フル パスを指定する必要はありません。
  6. テストする Web アプリケーションを開くには、ProcessStartInfo.Arguments プロパティを URL に設定します。 たとえば、Internet Explorer を起動してサンプル Web アプリケーションをテストするには、以下の行を Filename 行のあとに追加します。
    psi.Arguments = "http://demo.borland.com/InsuranceWebExtJS/index.jsf"
  7. プロセスを起動するコードを指定します。 たとえば、ieProcess を起動するには、以下のように入力します。
    ieProcess.StartInfo = psi
ieProcess.Start()
  8. スクリプトを保存します。
親トピック: スクリプトの作成


テスト アプリケーションでのコントロールの識別 (.NET スクリプト)

.NET スクリプトを記録する場合、Silk Test Workbench によって自動的にコントロールが識別されます。既存のコントロールを変更したり、手動で操作を挿入したりするには、テストするアプリケーションでコントロール名を識別します。
  1. ツールバーの オブジェクトの識別 をクリックします。 オブジェクトの識別 ダイアログ ボックスが開きます。
  2. 識別の開始 をクリックします。
  3. テストしているアプリケーションにカーソルを移動します。 カーソルをアプリケーション内の各コントロール上に動かすたびにコントロールが強調表示されます。関連するロケーター文字列またはオブジェクト マップ項目は、選択済みロケーター テキスト ボックスに表示されます。
  4. 使用するコントロールが強調表示されているときに、コントロールをクリックします。
  5. 省略可能：ロケーターの詳細の表示 をクリックすると、ロケーター ツリーや関係する属性のすべてが ロケーター属性 テーブルに表示されます。
  6. 省略可能：記録したロケーター属性は、ロケーター属性 テーブルの別のロケーター属性で置き換えることができます。 たとえば、記録したロケーターは以下のように表示されます。
    /BrowserApplication//BrowserWindow//input[@id='loginButton']
    ロケーター属性 テーブルに textContents Login がリストされている場合、以下のようにしてロケーターを手動で変更できます。
    /BrowserApplication//BrowserWindow//input[@textContents='Login']
    新しいロケーターは、選択済みロケーター テキスト ボックスに表示されます。
  7. テスト をクリックして、ロケーターがコントロールを正しく認識することを確認します。
  8. ロケーターをスクリプトにコピーするには、貼り付け をクリックします。
  9. 閉じる をクリックします。
親トピック: スクリプトの作成


スクリプト内からのアプリケーションの起動

通常、スクリプトを記録すると、テストするアプリケーションを起動する基本状態が自動的に記録されます。 ただし、スクリプトで複数のアプリケーションをテストするか、何らかの理由で 基本状態の実行 機能をオフにする場合は、スクリプト内からテスト アプリケーションを起動する必要があります。

  1. アプリケーションを起動するコードを含めるスクリプトを開きます。
  2. スクリプトの先頭に Imports System.Diagnostics と入力します。
  3. アプリケーションを新しいプロセスとして定義するには、以下のように入力します。
     Dim applicationProcess As New Process()
    applicationProcess は、起動するアプリケーションの名前です。 たとえば、Internet Explorer を起動するには、以下のように入力します。
    Dim ieProcess As New Process()
  4. 以下のコードを入力して、アプリケーションのフル パスを定義します。
    Dim psi As New ProcessStartInfo()
psi.FileName = "applicationexecutable.exe"
    applicationexecutable.exe は、テスト アプリケーションを起動する実行可能ファイルの名前です。 たとえば、Internet Explorer を起動するには、以下のように入力します。
    Dim psi As New ProcessStartInfo()
psi.FileName = "C:\Program Files\Internet Explorer\iexplore.exe"
    注: テストするアプリケーションの実行可能ファイルが Silk Test Workbench と同じディレクトリにある場合は、フル パスを指定する必要はありません。
  5. 初期化時に特定の Web ページに移動するには、URL に ProcessStartInfo.Arguments プロパティを設定します。 たとえば、Internet Explorer を起動して Google.com に移動するには、Filename 行のあとに以下の行を追加します。
    psi.Arguments = "http://www.google.com"
  6. プロセスを起動するコードを指定します。 たとえば、ステップ 1 で定義した ieProcess を起動するには、以下のように入力します。
    ieProcess.StartInfo = psi
ieProcess.Start()
  7. スクリプトを保存します。
Internet Explorer を起動して Google.com に移動するスクリプト全体は、以下のようになります。
Imports System
Imports System.Diagnostics

Public Module Main

  Public Sub Main()
    Dim _desktop As Desktop = Agent.Desktop
    Dim ieProcess As New Process()
    Dim psi As New ProcessStartInfo()
    psi.FileName = "C:\Program Files\Internet Explorer\iexplore.exe"
    psi.Arguments = "http://www.google.com"
    ieProcess.StartInfo = psi
    ieProcess.Start()

  End Sub
End Module
親トピック: スクリプトの作成
関連タスク
アプリケーション構成の変更


スクリプトのオブジェクト マップ項目またはロケーターの手動による記録

開始する前に、テストするアプリケーションが実行中であることを確認します。

オブジェクトの識別 ダイアログ ボックスを使用して、オブジェクト マップ項目またはロケーターを手動でキャプチャします。オブジェクトの識別 ダイアログ ボックスを使用すると、テストするオブジェクトを簡単かつ確実に識別することができます。

  1. オブジェクトを含めるスクリプトを開き、オブジェクトの挿入先となるスクリプト内の場所をクリックします。
  2. ツール > オブジェクトの識別 を選択します。
    オブジェクトの識別 ダイアログ ボックスが開きます。
  3. 選択モード を指定します。
    • クリック：オブジェクトをクリックして、ロケーターを識別します。
    • ホット キー：キー入力 リスト ボックスで指定されたキー入力の組み合わせを使用してオブジェクトをキャプチャするには、このモードを指定します。通常、このモードは、ユーザーがクリックしたときにだけ表示されるメニューやコンボ ボックスなどのオブジェクトをキャプチャする場合に選択します。このモードでは、オブジェクトを選択し、ホット キー入力の組み合わせを押すことによって、オブジェクトを閉じることなくロケーターをキャプチャします。
  4. 識別の開始 をクリックします。
    Google Chrome でオブジェクト マップ項目またはロケーターをキャプチャする場合は、Google Chrome の選択されたインスタンスが適切なオートメーション パラメータを使用して起動されているかどうかを Silk Test Workbench が検出します。適切なパラメータを使用して起動されていない場合は、Silk Test Workbench が Google Chrome を終了し、オートメーション パラメータ セットを使用して再起動します。
  5. 省略可能：ロケーターを記録する前に、テスト対象アプリケーションを特定の状態にするには、識別の停止 をクリックします。 これ以降、テスト対象アプリケーションで実行する操作は、記録されなくなります。ロケーターの記録を再開する場合は、識別の開始 をクリックします。
  6. 記録したいオブジェクト上にマウスを移動して、次のステップのいずれかを行います：
    • クリック モードを使用する場合は、識別するオブジェクトをクリックします。
    • キー入力の組み合わせを押して、ホット キー モードでオブジェクトをキャプチャします。

      デフォルトでは、キー入力の組み合わせは Ctrl+Shift です。

    Silk Test Workbench によって、関連するロケーター文字列が 選択済みロケーター テキスト ボックスに表示されます。
  7. ロケーターの詳細 テーブルでのロケーターの表示方法を絞り込むには、以下のいずれかの操作を実行します。
    • ロケーターの詳細の非表示：ロケーターの詳細 テーブルを非表示にするには、このリンクをクリックします。
    • オブジェクト マップの表示：オブジェクト マップ項目名を ロケーター 列に表示するには、このチェック ボックスをオンにします。オブジェクト マップ項目名は、コントロールまたはウィンドウに対して、コントロールやウィンドウのロケーターではなく論理名 (エイリアス) を関連付けます。デフォルトでは、オブジェクト マップ項目名が表示されます。ロケーターを使用するには、このチェック ボックスをオフにします。
    • 完全ロケーターの表示：完全ロケーター名を表示するには、このチェック ボックスをオンにします。オブジェクトに関連付けられた属性のみを表示するには、このチェック ボックスをオフにします。
    • プロパティの表示：ロケーターの詳細 テーブルで選択したオブジェクトの属性および属性値を表示するには、このチェック ボックスをオンにします。このテーブルの属性を選択して、ロケーターの識別に使用できます。[プロパティ] サブツリーを非表示にし、ロケーターの詳細のみを表示するには、このチェック ボックスをオフにします。
  8. 選択済みロケーター テキスト ボックスに表示されるオブジェクトが使用するオブジェクトであることをテストするには、テスト をクリックします。 Silk Test Workbench により、ロケーターに対応するオブジェクトが、テストするアプリケーションで強調表示されます。
  9. 記録したロケーターを置換するには、ロケーターの詳細 テーブルで、使用するロケーターを選択します。 新しいロケーターは、選択済みロケーター テキスト ボックスに表示されます。
  10. ロケーターをスクリプトにコピーするには、貼り付け をクリックします。 Silk Test Workbench によって、ロケーターがスクリプトに追加されます。
  11. スクリプトで正しくコンパイルされ、実行する操作が含まれるように、ロケーターを変更します。 たとえば、以下の完全ロケーターをスクリプトに貼り付けます。
    /WPFWindow[@caption='Basic Controls'][1]//WPFRichTextBox[@automationId='editableTextBox']
    With ステートメントに /WPFWindow 宣言がすでに含まれている場合は、以下のロケーターを使用し、そのあとにメソッドが続くようにスクリプトを変更します。
    .WPFRichTextBox("@automationId='editableTextBox'").Select(1,10)
親トピック: スクリプトの作成
関連タスク
既存のテストへの追加操作の記録


既存のテストへの追加操作の記録

テストを作成したあと、テストを開き、テストの任意の場所から追加操作を記録できます。これにより、既存のテストを追加操作で更新できます。

  1. 既存のテスト スクリプトを開きます。
  2. 追加操作を記録するテスト スクリプトの場所を選択します。
    注: 記録した操作は、選択した場所の後に挿入されます。テスト対象アプリケーション (AUT) は基本状態に戻りません。代わりに、テスト スクリプトの直前の操作が記録された範囲で AUT を開いておきます。
  3. 操作 > 記録 をクリックします。 Silk Test Workbench が最小化され、記録中 ダイアログ ボックスが開きます。
  4. AUT に対して実行したい追加操作を記録します。 記録中は、タスクバーの Silk Test Workbench アイコンが点滅します。記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  5. 記録を停止するには、記録中 ウィンドウの 停止 をクリックします。 記録を停止するキーの組み合わせ（デフォルトでは Alt+F10）を押すか、タスクバーの Silk Test Workbench アイコンをクリックして、記録を停止しすることもできます。
親トピック: スクリプトの作成
関連資料
記録中に利用可能なアクション


既存のスクリプトを開く

既存のスクリプトを開いて、再生、確認、または変更を行います。

  1. ファイル > 開く を選択します。 アセット ブラウザ が開きます。
  2. 左側のペインで .NET スクリプト を選択し、スクリプトのリストを表示します。
  3. 右側のペインで、開く資産をダブルクリックします。
親トピック: スクリプトの作成


スクリプトの編集

スクリプトを作成して保存したあとは、いつでもそれを編集できます。

  1. スクリプトを開きます。
  2. テキスト エディタの場合と同様にスクリプトを編集します。 テキストの選択、削除、切り取り、コピー、貼り付けなどが可能です。 スクリプト ウィンドウには、オートコンプリートと構文の関連付けテクノロジも備えられており、少ないエラーでコードを完成するのに役立ちます。 たとえば、Window のあとにピリオドを入力すると、Window オブジェクトに有効なメソッドとプロパティのリストがすべて表示されます。

    同様に、有効な関数のあとにスペース、カンマ、または左かっこを入力すると、構文に関するヒントが表示されます。

  3. ツールバーの 保存 をクリックするか、または ファイル > 保存 を選択して、説明を入力し、スクリプトを保存します。
親トピック: スクリプトの作成


スクリプトの保存

新規スクリプトまたは変更したスクリプトを保存できます。 更新したスクリプトを閉じると、変更内容を保存するかどうかを確認するプロンプトが表示されます。

  1. ファイル > 名前を付けて保存 を選択します。 名前を付けて保存 ダイアログ ボックスが開きます。
  2. 省略可能：スクリプト名を変更し、説明を入力します。
  3. OK をクリックします。
親トピック: スクリプトの作成


アプリケーション構成

アプリケーション構成は、テストするアプリケーションに Silk Test Workbench が接続する方法を定義します。Silk Test Workbench は、基本状態を作成するときに、アプリケーション構成を自動的に作成します。しかし、アプリケーション構成を追加したり、変更や削除をすることが必要になる場合があります。たとえば、データベースを変更するアプリケーションをテストしているときに、データベースの内容を確認するためにデータベースのビューアー ツールを使用する場合には、そのデータベースのビューアー ツール用のアプリケーション構成を追加する必要があります。

  • Windows アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • 実行可能ファイル パターン

      このパターンに一致するすべてのプロセスは、テストに対して有効化されます。たとえば、Internet Explorer の実行可能パターンは *\IEXPLORE.EXE です。実行可能ファイルの名前が IEXPLORE.EXE で、任意のディレクトリに置かれているプロセスはすべて有効化されます。

    • コマンド ライン パターン

      コマンドライン パターンは、テストを行うために有効化されるプロセスの制約に使用される補足パターンで、コマンドライン引数の一部 (実行可能ファイル名の後ろ部分) をマッピングすることにより行います。コマンド ライン パターンを含むアプリケーション構成では、実行可能パターンとコマンド ライン パターンの両方に一致するプロセスのみが、テストに対して有効化されます。コマンド ライン パターンが定義されていない場合は、指定された実行可能ファイル パターンを持つすべてのプロセスが有効化されます。コマンド ラインの使用は、Java アプリケーションに対して特に有益です。これは、ほとんどの Java プログラムが javaw.exe を使用して実行されるためです。つまり、典型的な Java アプリケーションに対してアプリケーション構成を作成する場合、実行可能パターンには *\javaw.exe が使用され、このパターンはすべての Java プロセスに一致します。このような場合、コマンド ライン パターンを使用して、該当するアプリケーションのみがテストに対して有効化されるようにします。たとえば、アプリケーションのコマンド ラインが com.example.MyMainClass で終わる場合には、コマンド ライン パターンに *com.example.MyMainClass を使用します。

  • ローカル マシン上のデスクトップ ブラウザの Web アプリケーションの場合、アプリケーション構成にはブラウザの種類だけが含まれます。
    注: コマンド ライン引数を指定してブラウザを開始したり、ブラウザの作業ディレクトリや実行可能ファイルを指定するには、ブラウザの種類でカスタムを選択します。詳細については、「基本状態の変更」を参照してください。
  • リモート マシン上の Apple Safari や Microsoft Edge の Web アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • ブラウザの種類
    • 接続文字列
  • モバイル ブラウザの Web アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • ブラウザの種類
    • 接続文字列
  • ネイティブ モバイル アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • 接続文字列
    • シンプルなアプリケーション名。モバイル デバイス上で複数のアプリケーションが同じ名前を持つ場合は、アプリケーションの完全修飾名が使用されます。
注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。

  • アプリケーション構成の編集
    プロジェクトのアプリケーション構成を編集して、テストするアプリケーションに Silk Test Workbench が接続する方法を設定します。
  • アプリケーション構成の変更
    テストするプリケーションを指定し、設定するために、アプリケーション構成を変更します。
  • アプリケーション構成の削除
    ビジュアル テストまたは VB .NET スクリプトでテストしなくなったアプリケーションに対応するアプリケーション構成をビジュアル テストまたは VB .NET スクリプトから削除します。
  • [アプリケーションの選択] ダイアログ ボックス
    アプリケーションの選択 ダイアログ ボックスについて説明します。
  • リモート ロケーションの編集
    リモート ロケーションを指定することで、これらのロケーション上で利用可能なブラウザやモバイル デバイスを、テストするアプリケーションのセットに追加できます。
  • ユーザー アカウント制御
    ユーザー アカウント制御を設定して Silk Test Workbench を使用する方法について説明します。
  • 特定のテクノロジ ドメインの無効化
    特定のテストにおいて、特定のテクノロジ ドメインが不要で、問題を起こすことがわかっている場合、そのテクノロジ ドメインをロードしないように無効化できます。
  • アプリケーション構成エラー
    アプリケーションへのアタッチに失敗する原因として考えられる問題とその推奨解決策を示します。
  • アプリケーション構成のトラブルシューティング
    テストするアプリケーションを構成する際に直面する可能性のある問題に対処するのに有用な情報を提供します。
  • アプリケーション構成での環境変数
    アプリケーション構成で使用できる環境変数を示します。
親トピック: テストの作成
関連概念
モバイル デバイスの接続文字列
リモート デスクトップ ブラウザーの接続文字列
関連タスク
ユーザー インターフェイスからの基本状態の変更
複数のテスト アプリケーションをテストするスクリプトの記録


アプリケーション構成の編集

アプリケーション構成は、テストするアプリケーションに Silk Test Workbench が接続する方法を定義します。Silk Test Workbench は、基本状態を作成するときに、アプリケーション構成を自動的に作成します。しかし、アプリケーション構成を追加したり、変更や削除をすることが必要になる場合があります。たとえば、データベースを変更するアプリケーションをテストしているときに、データベースの内容を確認するためにデータベースのビューアー ツールを使用する場合には、そのデータベースのビューアー ツール用のアプリケーション構成を追加する必要があります。
  1. Silk Test Workbench メニューで、ツール > アプリケーション構成の編集 をクリックします。 プロジェクトが選択されていない場合、プロジェクトの選択 ダイアログ ボックスが表示されます。
  2. リストからプロジェクトを選択して、編集 をクリックします。 アプリケーション構成の編集 ダイアログ ボックスが開き、既存のアプリケーション構成が一覧表示されます。
  3. アプリケーション構成をさらに追加するには、アプリケーション構成の追加 をクリックします。
    1. アプリケーションの選択 ダイアログ ボックスで、テストするアプリケーションの種類に対応するタブを選択します。
    2. テストするアプリケーションを選択します。
    3. OK をクリックします。
    注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
  4. アプリケーション構成を削除するには、削除 をクリックします。
  5. アプリケーション構成を編集するには、編集 をクリックします。
  6. OK をクリックします。
親トピック: アプリケーション構成
関連タスク
ユーザー インターフェイスからの基本状態の変更
アプリケーション構成の変更
関連資料
[アプリケーションの選択] ダイアログ ボックス


アプリケーション構成の変更

アプリケーション構成は、テストするアプリケーションに Silk Test Workbench が接続し、構成する方法を定義します。
  1. ビジュアル テストまたは VB .NET スクリプトを開きます。
  2. ビジュアル テストの場合は、タスク ペインで <<開始>> ステップをクリックします。
  3. プロパティ ペインで、アプリケーション構成 カテゴリに移動します。
  4. 変更するアプリケーション構成を選択します。
    • ビジュアル テストの場合は、変更するアプリケーション構成をクリックし、アプリケーション構成の編集 をクリックします。
    • VB .NET スクリプトの場合は、変更するアプリケーション構成をダブルクリックします。
    アプリケーション構成の編集 ダイアログ ボックスが開きます。
  5. 実行可能ファイルを指定するには、実行可能ファイル フィールドに実行可能ファイルへの完全パスを入力します。
    注: Web アプリケーションをテストする場合に、ブラウザーの実行可能ファイルを指定する場合は、ブラウザーの種類からカスタムを選択します。
    たとえば、Mozilla Firefox を起動するには、「C:\Program Files (x86)\Mozilla Firefox\firefox.exe」を入力します。
  6. デスクトップ アプリケーションをテストし、実行可能ファイルと一緒にコマンド ライン パターンを使用したい場合には、コマンド ライン パターンを コマンド ライン パターン テキスト ボックスに入力します。
  7. Web アプリケーションをテストする場合は、移動する URL テキスト ボックスに、Web アプリケーションのアドレスを入力します。
  8. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
    たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
  9. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  10. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  11. モバイル ネイティブ アプリケーションのテストを行う場合は、モバイル アプリ テキスト ボックスに、テストするモバイル アプリケーションの名前を入力します。
  12. OK をクリックします。
注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
親トピック: アプリケーション構成
関連概念
モバイル デバイスの接続文字列
レスポンシブ Web デザインのテスト
関連タスク
ユーザー インターフェイスからの基本状態の変更
アプリケーション構成の編集
ビジュアル ブレークポイントの検出
複数のテスト アプリケーションをテストするビジュアル テストの記録
スクリプト内からのアプリケーションの起動
関連資料
[アプリケーションの選択] ダイアログ ボックス


アプリケーション構成の削除

ビジュアル テストまたは VB .NET スクリプトでテストしなくなったアプリケーションに対応するアプリケーション構成をビジュアル テストまたは VB .NET スクリプトから削除します。

  1. ビジュアル テストまたは VB .NET スクリプトを開きます。
  2. ビジュアル テストの場合は、タスク ペインで <<開始>> ステップをクリックします。
  3. プロパティ ペインで、アプリケーション構成 カテゴリに移動します。
  4. 削除するアプリケーション構成を選択します。
    • ビジュアル テストの場合、アプリケーション構成をクリックします。
    • VB .NET スクリプトの場合、アプリケーション構成を右クリックします。
  5. アプリケーション構成の削除 をクリックします。
  6. はい をクリックして、アプリケーション構成を削除することを確認します。
親トピック: アプリケーション構成
関連タスク
複数のテスト アプリケーションをテストするビジュアル テストの記録


[アプリケーションの選択] ダイアログ ボックス

アプリケーションの選択 ダイアログ ボックスを使用して、テストしたアプリケーションを選択し、アプリケーションとオブジェクト マップを関連付けたり、アプリケーション構成をテストに追加したりします。アプリケーションの種類は、ダイアログ ボックスのタブとしてリストされます。使用したいアプリケーションの種類に対応したタブを選択します。

Windows
システムで実行中のすべての Microsoft Windows アプリケーションの一覧が表示されます。リストから項目を選択して、OK をクリックします。

キャプションを持たないプロセスを表示しない チェック ボックスを使用して、キャプションを持たないアプリケーションを一覧から除去します。

Web

利用可能なすべてのブラウザーの一覧が表示されます (任意の接続済みモバイル デバイス上のモバイル ブラウザーや Mac 上の Apple Safari を含む)。移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。ブラウザー サイズを選択する場合は、選択したブラウザーの 向き も選択できます。

注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
モバイル
利用可能なすべてのモバイル デバイスとすべての実行中の Android エミュレーターの一覧が表示されます (リモート ロケーションに接続されたデバイスを含む)。モバイル ネイティブ アプリケーションをテストする場合は、このタブを選択します。選択したモバイル デバイス上で現在実行中のモバイル アプリケーション (アプリ) をテストするために選択したり、テストするアプリの名前やファイルを手動で参照したり指定することができます。
親トピック: アプリケーション構成
関連概念
モバイル デバイスの接続文字列
リモート デスクトップ ブラウザーの接続文字列
関連タスク
複数のテスト アプリケーションをテストするスクリプトの記録
アプリケーション構成の編集
リモート ロケーションの編集
アプリケーション構成の変更


リモート ロケーションの編集

リモート ロケーション ダイアログ ボックスを使用すると、リモート ロケーション上のブラウザやモバイル デバイスを、テストするアプリケーションのセットに追加できます。
  1. ツール > リモート ロケーションの編集 をクリックします。 リモート ロケーション ダイアログ ボックスが表示されます。
  2. リモート ロケーションを追加するには、次の操作を実行します。
    1. ロケーションの追加 の右側にある矢印をクリックして、Silk Test Information Service を使用してリモート ロケーションを追加するのか、Silk Central を追加するのかを指定します。
      注: Silk Central は 1 つだけリモート ロケーションとして設定できます。Silk Central との統合が既に設定されている場合は、リモート ロケーション リストに Silk Central が表示されます。
    2. ロケーションの追加 をクリックします。ロケーションの追加 ダイアログ ボックスが表示されます。
    3. Silk Test Workbench がリモート マシン上の Information Service に接続するためのリモート ロケーションの URL とポートを、ホスト フィールドに入力します。 デフォルトのポートは 22901 です。
    4. 省略可能：名前 フィールドにリモート ロケーションの名前を入力します。
  3. 既存のリモート ロケーションを編集するには、編集 をクリックします。
  4. リモート ロケーションを削除するには、削除 をクリックします。
  5. 省略可能：アプリケーションの選択 ダイアログに表示されるブラウザーやデバイスの数を減らすには、このロケーション上のデバイスとブラウザーを非表示 をクリックします。 そのリモート ロケーションにインストールされたブラウザーや接続されたデバイスが、アプリケーションの選択 ダイアログに表示されなくなります。デフォルトでは、すべてのリモート ロケーションにインストールされたブラウザーや接続されたデバイスのすべてが、アプリケーションの選択 ダイアログに表示されます。
  6. OK をクリックします。
リモート ロケーションを追加すると、リモート ロケーション上にインストールされているブラウザ (Mac 上の Apple Safari など) が、アプリケーションの選択 ダイアログ ボックスの Web タブで利用可能になり、リモート ロケーションに接続されているモバイル デバイスが、アプリケーションの選択 ダイアログ ボックスの モバイル タブで利用可能になります。
親トピック: アプリケーション構成
関連タスク
Silk Test Information Service を Mac にインストールする
関連資料
[アプリケーションの選択] ダイアログ ボックス
Mac 上の Apple Safari を使用したテストにおける前提条件


ユーザー アカウント制御

ユーザー アカウント制御 (UAC) を設定して Silk Test Workbench を使用できます。 アプリケーションのセキュリティレベルが Silk Test Workbench と同じである場合、UAC が有効な状態でアプリケーションをテストできます。

システムに Silk Test Workbench をインストールするには管理者権限が必要です。 Silk Test Workbench がインストールされている場合は、Silk Test Workbench を使用するための管理者権限は必要ありません。

注: UAC が有効な状態で、Silk Test Workbench を使用する場合は、Silk Test Workbench にインストール ディレクトリへの書き込み権限が必要となるため、Silk Test Workbench の Program Files ディレクトリへのインストールは推奨しません。 Silk Test Workbench を Program Files ディレクトリへインストールした場合は、Silk Test Workbench のデータベースを構成するために管理者権限が必要です。
親トピック: アプリケーション構成


特定のテクノロジ ドメインの無効化

あるテストにおいて、特定のテクノロジ ドメインが不要で、問題を起こすことがわかっている場合 (テストのパフォーマンスを低下させる場合など)、そのテクノロジ ドメインをロードしないように無効化できます。

注: そのテクノロジ ドメインがテストに必要ないことが確実な場合にのみ、テクノロジ ドメインを無効化してください。
  1. ビジュアル テストの テクノロジ ドメイン ダイアログ ボックスを開くには：
    1. ビジュアル テストの <<開始>> ステップを選択します。
    2. プロパティ タブを開きます。
    3. テクノロジ ドメイン フィールドをクリックします。
    4. 開く をクリックします。
  2. VB .NET スクリプトの テクノロジ ドメイン ダイアログ ボックスを開くには：
    1. プロパティ タブを開きます。
    2. プロパティ ツリーで、テクノロジ ドメインを無効化するアプリケーション構成を右クリックします。
    3. テクノロジ ドメインの選択 をクリックします。
  3. テクノロジ ドメイン ダイアログ ボックスで、テクノロジ ドメインを自動的にロードする チェック ボックスをオフにします。
  4. テクノロジ ドメイン リストから、そのテストでロードする必要の無いテクノロジ ドメインをオフにします。
  5. OK をクリックします。
テストの以降の実行では、有効なテクノロジ ドメインだけがロードされます。
親トピック: アプリケーション構成


アプリケーション構成エラー

アプリケーションにアタッチできない場合、以下のエラー メッセージが表示されます。
アプリケーション <アプリケーション名> にアタッチするのに失敗しました。詳細については、ヘルプを参照してください。

この場合、以下の表に示されている 1 つ以上の問題が原因である可能性があります。

問題 | 原因 | 解決策
タイムアウト
  • システムが遅すぎます。
  • システムのメモリ サイズが小さすぎます。
 速いシステムを使用するか、現在使用しているシステムのメモリ使用量を減らします。
ユーザー アカウント制御 (UAC) の失敗 | システムの管理者権限がありません。 | 管理者権限を持つユーザー アカウントでログインします。
コマンド ライン パターン | コマンド ライン パターンが固有すぎます。この問題は特に Java の場合に発生します。再生が意図したとおりに機能しないことがあります。 | パターンから不明瞭なコマンドを削除します。
  • ブラウザーの選択 ダイアログ ボックスが、Web アプリケーションに対してテストを実行しているときに表示されない
  • Web アプリケーションに対してテストを実行しているときに、複数のブラウザー インスタンスが開始される
  • 開いているブラウザー インスタンスを使用して Web アプリケーションに対してテストを実行しているときに、Silk Test Workbench が動作を停止することがある
 基本状態と複数のブラウザー アプリケーション構成がテスト ケースに対して定義されています。 1 つを除くすべてのブラウザー アプリケーション構成をテスト ケースから削除します。
テスト実行時の再生エラー

テストに対してアプリケーション構成が定義されていません。

次の例外が表示される可能性があります：

アプリケーション構成が存在しません。
  • キーワード駆動テストを実行するときに、基本状態を実行するキーワードがテストに含まれていることを確認します。
  • アプリケーション構成が現在のプロジェクトに対して設定されていることを確認します。
親トピック: アプリケーション構成
関連資料
アプリケーション構成のトラブルシューティング


アプリケーション構成のトラブルシューティング

アプリケーションの選択 ダイアログ ボックスにアプリケーションが表示されない理由

  • キャプションを持たないプロセスを表示しない チェック ボックスをオフにします。このチェック ボックスは、デフォルトではオンになっており、キャプションを持たないアプリケーションはダイアログ ボックスに表示されません。
  • Silk Test Workbench をシステム特権で実行します。
    1. Silk Test Workbench を閉じます。
    2. Open Agent を停止します。
    3. Silk Test Workbench を管理者として実行します。
  • タスク マネージャー を使用して、アプリケーションが他のユーザー アカウントで実行されていないか確認します。
  • アプリケーションが runas コマンド、または同等のコマンドで起動されていないか確認します。
親トピック: アプリケーション構成
関連資料
アプリケーション構成エラー


アプリケーション構成での環境変数

以下の環境変数は、アプリケーション構成で使用できます。
環境変数 | 説明
TMP または TEMP | Windows 一時ディレクトリ。
USERPROFILE | ユーザー プロファイル ディレクトリ（C:\Documents and Settings\myUserName）。
APPDATA | アプリケーション データ ディレクトリ。
ProgramFiles | Program Files ディレクトリ。
ProgramFiles(x86) | 32 ビット アプリケーションの Program Files ディレクトリ (64 ビット環境でのみ使用可能)。
親トピック: アプリケーション構成


基本状態

アプリケーションの基本状態とは、各テストの実行開始前にアプリケーションに想定される既知の安定した状態です。 大抵の場合この状態は、アプリケーションを最初に起動したときの状態になります。 基本状態は、記録するアプリケーションを選択すると自動的に生成されます。

ビジュアル テストまたはスクリプトを記録すると、Silk Test Workbench により基本状態が自動的に作成されます。 テストの必要性に応じて基本状態を有効にしたり無効にしたりすることができます。 たとえば、アプリケーション ウィンドウを手動で開く場合があります。 このような場合には、基本状態を無効にします。 基本状態の情報は、アプリケーション構成の一部です。

基本状態はテストの整合性を保障するための重要な一因です。 各テストが安定した基本状態から開始できることを保障することによって、あるテストのエラーによって、後続のテストが失敗しないことを保障することができます。

Silk Test Workbench は、ビジュアル テストまたはスクリプトを実行する前に、アプリケーションがその基本状態にあることを保障します。

エラーが発生すると、Silk Test Workbench はテストの実行を停止します。

  • 基本状態のオン／オフの切り替え
    ビジュアル テストまたはスクリプトを記録すると、Silk Test Workbench により基本状態が自動的に作成されます。 テストの必要性に応じて基本状態を有効にしたり無効にしたりすることができます。
  • 基本状態の実行
    アプリケーションに対してテストの記録を開始する前に基本状態を実行することで、記録するすべてのアプリケーションを起動して、記録に適した状態にすることができます。
  • ユーザー インターフェイスからの基本状態の変更
    記録する前やテスト ケースの実行を開始する前のテスト対象アプリケーションに期待する状態を設定するために基本状態を変更します。
  • スクリプトでの基本状態の変更
    Silk Test Workbench が再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、スクリプト、またはビジュアル テストで編集する方法について説明します。
親トピック: テストの作成
関連概念
Silk Test Workbench でのキーワード駆動テストの基本状態の設定


基本状態のオン／オフの切り替え

ビジュアル テストまたはスクリプトを記録すると、Silk Test Workbench により基本状態が自動的に作成されます。 テストの必要性に応じて基本状態を有効にしたり無効にしたりすることができます。 たとえば、アプリケーション ウィンドウを手動で開く場合があります。 このような場合には、基本状態を無効にします。

  1. ビジュアル テストで、以下のステップを実行します。
    1. テスト ステップ ペインで、<<開始>> ステップをクリックします。
    2. プロパティ ペインで、アプリケーション構成 カテゴリに移動します。
    3. アプリケーション構成フィールドをクリックし、アプリケーション構成の編集 をクリックします。 アプリケーション構成の編集 ダイアログ ボックスが表示されます。
    4. 次のいずれか 1 つのステップを行います：
      • 基本状態を使用するには、基本状態の実行 チェック ボックスをオンにします。
      • 基本状態をオフにするには、基本状態の実行 チェック ボックスをオフにします。
    5. OK をクリックします。
  2. スクリプトで、以下のステップを実行します。
    1. プロパティ ペインで、変更するアプリケーション構成を右クリックし、アプリケーションの実行可能ファイル名の編集 を選択します。 たとえば、Internet Explorer で Web アプリケーションをテストする場合は、メニューから iexplore.exe の編集 を選択します。 アプリケーション構成の編集 ダイアログ ボックスが表示されます。
    2. 次のいずれか 1 つのステップを行います：
      • 基本状態を使用するには、基本状態の実行 チェック ボックスをオンにします。
      • 基本状態をオフにするには、基本状態の実行 チェック ボックスをオフにします。
    3. OK をクリックします。
親トピック: 基本状態


基本状態の実行

アプリケーションに対してテストの記録を開始する前に基本状態を実行することで、記録するすべてのアプリケーションを起動して、記録に適した状態にすることができます。

基本状態を実行すると、アクティブなビジュアル テストまたは .NET スクリプトのすべてのアプリケーション構成のうち、基本状態の実行 が設定されているものが実行されます。

基本状態を実行するには：

操作 > 基本状態の実行 をクリックします。
アプリケーションの種類に応じて、Silk Test Workbench は次のアクションを実行します。
  • 現在のプロジェクトで定義されているアプリケーション構成に対応するすべてのアプリケーションのアプリケーション構成を実行します。
  • Web アプリケーションの場合、Silk Test Workbench は指定したブラウザで指定した URL の Web アプリケーションを開きます。
  • モバイル Web アプリケーションの場合、Silk Test Workbench は指定したモバイル デバイスまたはエミュレータ上の指定したブラウザで指定した URL を開きます。
  • モバイル ネイティブ アプリケーションの場合、Silk Test Workbench は指定したモバイル デバイスまたはエミュレータ上で指定したアプリを開きます。指定したアプリが指定したモバイル デバイスまたはエミュレータ上にインストールされていない場合、Silk Test Workbench はアプリをインストールしてから開きます。
親トピック: 基本状態


ユーザー インターフェイスからの基本状態の変更

Silk Test Workbench が記録や再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、ユーザー インターフェイスから編集できます。基本状態では、AUT の実行可能ファイルの場所、作業ディレクトリや、Web アプリケーションの URL や接続文字列などを指定できます。たとえば、ステージング Web サイトで既に実行したテストを、プロダクション Web サイトで実行する場合には、基本状態の URL を変更すれば、新しい Web サイトに対してテストを実行することができます。

注: 再生時に特定のテストに対してのみ Silk Test Workbench がテスト対象アプリケーション (AUT) を開始するように指定する場合は、テストを含むスクリプトで基本状態を編集します。詳細については、「スクリプトでの基本状態の変更」を参照してください。

ユーザー インターフェイスから基本状態を編集するには：

  1. ビジュアル テストまたは VB .NET スクリプトを開きます。
  2. ビジュアル テストの場合は、タスク ペインで <<開始>> ステップをクリックします。
  3. プロパティ ペインで、アプリケーション構成 カテゴリに移動します。
  4. 変更するアプリケーション構成を選択します。
    • ビジュアル テストの場合は、変更するアプリケーション構成をクリックし、アプリケーション構成の編集 をクリックします。
    • VB .NET スクリプトの場合は、変更するアプリケーション構成をダブルクリックします。
    アプリケーション構成の編集 ダイアログ ボックスが開きます。
  5. 基本状態の実行 チェック ボックスをオンにし、アプリケーション構成で基本状態を使用します。
  6. 実行可能ファイルを指定するには、実行可能ファイル フィールドに実行可能ファイルへの完全パスを入力します。
    注: Web アプリケーションをテストする場合に、ブラウザーの実行可能ファイルを指定する場合は、ブラウザーの種類からカスタムを選択します。
    たとえば、Mozilla Firefox を起動するには、「C:\Program Files (x86)\Mozilla Firefox\firefox.exe」を入力します。
  7. コマンド ライン引数を指定するには、コマンド ライン引数 フィールドに引数を入力します。
    注: Web アプリケーションをテストする場合に、コマンド ライン引数を指定してブラウザーを開始する場合は、ブラウザーの種類からカスタムを選択します。
    たとえば、Mozilla Firefox を myProfile プロファイルを指定して起動するには、「-p myProfile」を入力します。
  8. テストするアプリケーションがディレクトリに依存する場合は、作業ディレクトリ フィールドにディレクトリへのパスを指定します。
    たとえば、Java アプリケーションを起動するバッチ ファイルを使用する場合には、バッチ ファイルは JAR ファイルを相対パスで参照することができます。この場合、正しく相対パスが処理されるように作業ディレクトリを指定します。
  9. デスクトップ アプリケーションをテストする場合は、ロケーター フィールドにアプリケーションのメイン ウィンドウを指定します。 たとえば、ロケーターは、/Shell[@caption='Swt Test Application'] のようになります。
  10. 実行可能ファイル パターンを指定して、デスクトップ アプリケーションをテストする場合は、実行可能ファイル パターン テキスト ボックスに、テストするデスクトップ アプリケーションの実行可能ファイルの名前とファイルへのパスを入力します。 たとえば、電卓を指定する場合には、*\calc.exe と入力します。
  11. デスクトップ アプリケーションをテストし、実行可能ファイルと一緒にコマンド ライン パターンを使用したい場合には、コマンド ライン パターンを コマンド ライン パターン テキスト ボックスに入力します。
  12. Web アプリケーションをテストする場合は、移動する URL テキスト ボックスに、Web アプリケーションのアドレスを入力します。
  13. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
    たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
  14. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  15. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  16. リモート ロケーション上の Web アプリケーションまたはモバイル ネイティブ アプリケーション（Mac に接続されているモバイル デバイスなど）をテストする場合に、リモート ロケーションを変更する場合は、変更 をクリックして アプリケーションの選択 ダイアログ ボックスを開き、リモート ロケーションの編集 をクリックします。
  17. モバイル アプリケーションや Apple Safari 上の Web アプリケーションをテストする場合は、接続文字列 テキスト ボックスに接続文字列を入力します。 詳細については、「接続文字列」を参照してください。
  18. WebDriver ベースのブラウザーのケイパビリティを編集する場合は、接続文字列 テキスト ボックスを使用できます。 たとえば、Google Chrome のブラウザー ウィンドウを最大化して開始する場合には、接続文字列 テキスト ボックスに次のように入力します。
    "chromeOptions="
+ "{"
+ " \"args\":[ \"--start-maximized\"]"
+ "};"
    詳細については、「WebDriver ベースのブラウザーのケイパビリティの設定」を参照してください。
  19. モバイル ネイティブ アプリケーションのテストを行う場合は、モバイル アプリ テキスト ボックスに、テストするモバイル アプリケーションの名前を入力します。
  20. タイムアウト を変更すると、基本状態が実行されたときにアプリケーションの準備ができ実行されるまで Silk Test Workbench が待機する時間（ミリ秒）を指定できます。 アプリケーションの準備が整っておらず、実行中でない場合に、タイムアウト時間が経過すると、プロセスはタイムアウトします。
  21. OK をクリックします。
  22. テスト対象アプリケーションの起動に時間がかかる場合は、再生オプションのアプリケーション準備完了タイムアウトの値を増やしてください。

アプリケーションが実行していない場合は、基本状態を実行することで開始されます。アプリケーションがすでに実行中の場合には、Silk Test Workbench によってアプリケーションの別のインスタンスは開始されません。

複数のアプリケーション構成がテストに含まれており、基本状態に関連付けられているオブジェクト以外のアプリケーションまたは Web ページを変更する場合は、基本状態をオフにすることができます。このことは、変更を記録したり再生したりするときに基本状態が使用されないこと意味します。このため、アプリケーションまたは Web ページを起動するステップをテスト内に記録する必要があります。たとえば、Web ページをテストする場合は、テスト内で Internet Explorer を起動します。

注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
親トピック: 基本状態
関連概念
レスポンシブ Web デザインのテスト
関連タスク
アプリケーション構成の変更
アプリケーション構成の編集
スクリプトでの基本状態の変更


スクリプトでの基本状態の変更

Silk Test Workbench が再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、スクリプトで編集できます。基本状態では、AUT の実行可能ファイルの場所、作業ディレクトリや、Web アプリケーションの URL や接続文字列などを指定できます。たとえば、ステージング Web サイトで既に実行したテストを、プロダクション Web サイトで実行する場合には、基本状態の URL を変更すれば、新しい Web サイトに対してテストを実行することができます。

注: Silk Test Workbench が記録や再生時にテスト対象アプリケーション (AUT) を開始する方法を指定するには、ユーザー インターフェイスから基本状態を編集します。詳細については、「基本状態の変更」を参照してください。

スクリプトで基本状態を編集するには：

  1. スクリプトを開きます。
  2. baseState メソッドを変更します。
    基本状態の作成と実行との間にコードを追加できます。
    ' VB code
' Go to web page 'demo.borland.com/InsuranceWebExtJS'
BrowserBaseState baseState = new BrowserBaseState()
' <-- Insert your changes here!
baseState.Execute()
  3. テストするアプリケーションの実行可能ファイルの名前とファイルへのパスを指定する場合は、次のコードを使用します。
    ' VB code
baseState.Executable=executable
    たとえば、電卓を指定する場合は、次のように入力します。
    ' VB code
baseState.Executable = "C:\\Windows\\SysWOW64\\calc.exe"
    Mozilla Firefox を指定する場合は、次のように入力します。
    ' VB code
baseState.Executable = "C:\\Program Files (x86)\\Mozilla Firefox\\firefox.exe"
  4. コマンド ライン引数を指定する場合は、次のコードを使用します。
    ' VB code
baseState.CommandLineArguments = commandLineArguments
    たとえば、Mozilla Firefox を myProfile プロファイルを指定して起動する場合は、次のように入力します。
    ' VB code
baseState.CommandLineArguments = "-p myProfile"
  5. 他の作業ディレクトリを指定する場合は、次のコードを使用します。
    ' VB code
baseState.WorkingDirectory = workingDirectory
  6. 実行可能ファイル パターンを使用する場合には、次のコードを使用します。
    ' VB code
baseState.ExecutablePattern = executablePattern
    たとえば、電卓に対して実行可能ファイル パターンを指定する場合は、次のように入力します。
    ' VB code
baseState.ExecutablePattern = "*\\calc.exe"
  7. 実行可能ファイルと一緒にコマンド ライン パターンを使用する場合は、次のコードを使用します。
    ' VB code
baseState.CommandLinePattern = commandLinePattern
    たとえば、アプリケーションのコマンド ラインが com.example.MyMainClass で終わる場合には、コマンド ライン パターンに *com.example.MyMainClass を使用します。
    ' VB code
baseState.CommandLinePattern = "*com.example.MyMainClass"
  8. Web アプリケーションまたはモバイル Web アプリケーションをテストする場合、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、インストール済みのブラウザまたはモバイル ブラウザから 1 つを指定します。 たとえば、Google Chrome を指定する場合は、次のように入力します。
    ' VB code
baseState.BrowserType = BrowserType.GoogleChrome
  9. Web アプリケーションまたはモバイル Web アプリケーションをテストする場合、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、テストする Web アプリケーションのアドレスを指定します。
    ' VB code
baseState.Url = url
    たとえば、次のように入力します。
    ' VB code
baseState.Url = "demo.borland.com/InsuranceWebExtJS/"
  10. デスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー ウィンドウの幅と高さを指定できます。
    ' VB code
baseState.ViewportHeight = viewportHeight
baseState.ViewportWidth = viewportWidth
  11. リモート ロケーション上の Web アプリケーション、またはモバイル ネイティブ アプリケーションをテストする場合は、接続文字列を指定します。
    ' VB code
baseState.ConnectionString = connectionString
    接続文字列についての詳細は、「リモート デスクトップ ブラウザーの接続文字列」または「モバイル デバイスの接続文字列」を参照してください。
  12. Mozilla Firefox または Google Chrome のケイパビリティを編集する場合にも、接続文字列を使用できます。 たとえば、Mozilla Firefox のダウンロード フォルダーを設定する場合は、次のように入力します。
    ' VB code
baseState.ConnectionString = "moz:firefoxOptions= {\"prefs\": { \"browser.download.dir\":\"C:/Download/\"}};"
    詳細については、「WebDriver ベースのブラウザーのケイパビリティの設定」を参照してください。
親トピック: 基本状態
関連タスク
ユーザー インターフェイスからの基本状態の変更


記録の概要

新しいビジュアル テストまたはスクリプトを記録すると、アプリケーションの選択 ダイアログ ボックスが開きます。 テストするアプリケーションをダブルクリックします。 Silk Test Workbench により、テスト アプリケーションを識別するアプリケーション構成と基本状態が自動的に作成されます。 アプリケーション構成は、テストするアプリケーションに Silk Test Workbench が接続し、構成する方法を定義します。 アプリケーションの基本状態とは、各テストの実行開始前にアプリケーションに想定される既知の安定した状態です。

ビジュアル テストまたはスクリプトを記録する前に オブジェクトの識別 ダイアログ ボックスを開いた場合にも、アプリケーションの選択 ダイアログ ボックスが開きます。

テストするアプリケーションを選択したら、以下のステップのいずれかを実行します。
  • ビジュアル テストを記録する。
  • スクリプトを記録する。
  • 識別するオブジェクトを選択する。

必要に応じて、アプリケーション構成を変更し、基本状態をオフにすることができます。

  • 記録中のオブジェクトのハイライト
    記録中にアクティブなオブジェクトがハイライトされるる方法について説明します。
  • 記録中および再生中に除外される文字
    記録中に除外され、再生中に Silk Test によって認識されない文字を示します。
  • 記録中に利用可能なアクション
    記録中に実行できるアクションを示します。
親トピック: テストの作成
関連概念
[アプリケーションの選択] ダイアログ ボックス
関連タスク
スクリプトの記録
ビジュアル テストの記録


記録中のオブジェクトのハイライト

記録中に AUT のアクティブ オブジェクトは緑色の矩形でハイライトされます。 新しいオブジェクトがアクティブになるとすぐに、この新しいオブジェクトがハイライトされます。 同じオブジェクトがアクティブなまま 0.5 秒が経過すると、ツールチップが表示されます。ツールチップには、アクティブ オブジェクトのクラス名とアクティブ オブジェクトに相対的なマウスの現在位置が表示されます。 このツールチップは、新しいオブジェクトがアクティブになったり、ユーザーがマウスを押したり、表示されてから 2 秒が経過すると、表示されなくなります。

親トピック: 記録の概要


記録中および再生中に除外される文字

記録および再生中に Silk Test が無視する文字を以下に示します。
文字 | コントロール
... | MenuItem
タブ | MenuItem
& | すべてのコントロール。 アンパサンド (&) はアクセラレータとして使用されるため、記録されません。
親トピック: 記録の概要
関連概念
テストの再生と結果の分析


記録中に利用可能なアクション

記録中に次のアクションを 記録中 ウィンドウで実行できます。

アクション | ステップ
記録の一時停止 | 一時停止 をクリックして、操作を記録せずに AUT を特定の状態にしてから、記録 をクリックして記録を再開できます。
記録した操作の順番の変更 | 記録中 ウィンドウで記録した操作の順番を変更するには、移動したい操作を選択して新しい場所にそれらをドラッグします。
複数の操作の選択 | 複数の操作を選択するには、Ctrl を押しながら操作をクリックするか、もしくは選択する最初の操作をクリックしてから、Shift を押しながら最後のアクションをクリックします。
記録した操作の再生 | 記録中 ウィンドウから記録した操作を再生するには、操作を選択してから 再生 をクリックします。すべての記録した操作を再生するには、記録した操作 をクリックしてから 再生 をクリックします。
記録した操作の削除 | 誤って記録した操作を 記録中 ウィンドウから削除するには、マウス カーソルをその操作上にポイントすると表示される 削除 をクリックします。
イメージまたはコントロールのプロパティの検証 | 検証するオブジェクトの上にマウス カーソルを移動して、Ctrl+Alt を押します。詳細については、「記録中のスクリプトへの検証の追加」を参照してください。
親トピック: 記録の概要
関連タスク
スクリプトの記録
既存のテストへの追加操作の記録
複数のテスト アプリケーションをテストするビジュアル テストの記録
ビジュアル テストの記録
開始画面からのビジュアル テストの記録
記録中にイメージ検証を追加する


テストの拡張

ビジュアル テストまたはスクリプトを拡張するさまざまな方法について説明します。

  • アクティブ データ
    強力で包括的なアプリケーション テスト ソリューションの入力として外部ファイルの既存のデータを利用する方法について説明します。
  • ビジュアル テストの拡張
    ビジュアル テストを変更して、より高度な機能を実行する方法を示します。
  • スクリプトの拡張
    VB .NET スクリプトを変更して、より高度な機能を実行する方法について説明します。
  • Windows DLL の呼び出し
    Visual Basic から DLL を呼び出す方法について説明します。
  • Microsoft ユーザー補助を使用したオブジェクト解決の向上
    Microsoft ユーザー補助を使用して、クラス レベルでオブジェクトを簡単に認識する方法について説明します。
  • Silk Test Workbench での Unicode コンテンツのサポートの概要
    Silk Test Workbench での Unicode コンテンツのサポートについて説明します。
  • テキスト解決のサポート
    テキスト解決を使用して、高度にカスタマイズされたコントロールを含むテスト アプリケーションを便利に操作できるようにする方法について説明します。
  • カスタム コントロール
    Silk Test Workbench がカスタム コントロールをサポートする方法を説明します。
  • 実行時間の計測
    テストの実行にかかる時間を計測する方法について説明します。
  • テスト実行の遅延
    AUT の UI が読み込みを終えて有効になるまでテストを遅延させる方法を示します。


アクティブ データ

ビジュアル テストとスクリプトには、通常、定数またはリテラル データの値が含まれていて、アプリケーションのオープン フィールドや複数選択のコントロールに自動的にデータが入力されます。このようなアプリケーションをテストする場合、ビジュアル テストまたはスクリプトでは、各トランザクションに対し同じデータ フィールド名およびデータ値が使用されます。

リテラル データ以外のデータを使用してビジュアル テストやスクリプトを繰り返し再生するには、別のデータ値が使用されるようにビジュアル テストやスクリプトを変更する必要があります。

アクティブ データ テストでは、強力で包括的なアプリケーション テスト ソリューションの入力として外部ファイルの既存のデータを利用できます。アクティブ データを使用して、トランザクションごとに異なるデータ セットを使用することにより、複雑なコードを記述したり、既存のデータを損なうことなく、テスト アプリケーションで複数のトランザクションを実行できます。

既存のデータ ファイルを手動で編集することなく、既存のデータ ファイルに新しいデータを書き込むこともできます。

アクティブ データを使用すると、テスト担当者は、有効なデータや無効なデータをテスト アプリケーションに入力して、その結果を検証できます。つまり、一連のテスト条件を実行するためのビジュアル テストやスクリプトの数が少なくて済み、メンテナンスのためのオーバーヘッドが減ります。

注: アクティブ データ ファイルを開くときにエラーが発生した場合は、エラー処理を使用してテスト実行を続行できます。

ビジュアル テスト

ビジュアル テストでは、ローカル変数を使用する場所にアクティブ データを使用できます。入力をアクティブ データ ファイルのデータに置き換えたり、一連の入力ステップを繰り返す繰り返しロジックを作成し、記録されたデータをアクティブ データ ファイルのデータに置き換えたりできます。式の内容など、ビジュアル テストで作成されたデータはすべて、アクティブ データ ファイルに書き込んでテストに利用することもできます。

ビジュアル テストで使用するアクティブ データ ファイルを選択するには、ビジュアル テストの <<開始>> ステップのアクティブ データ プロパティで設定するか、または任意のステップを選択して 挿入 > アクティブ データ を選択します。

スクリプト

スクリプトでは、ローカル変数を使用する場所にアクティブ データを挿入できます。ただし、ビジュアル テストとは異なり、ウィザードは使用できません。手動でデータを挿入する必要があります。

キーワード駆動テスト

キーワード駆動テストでは、テスト全体に対してアクティブ データを簡単に使用することはできません。しかし、個々のキーワードを実装しているビジュアル テストや .NET スクリプト内では、アクティブ データを使用することができます。このようにキーワード内でアクティブ データを使用するには、アクティブ データを使用したキーワードの種類の実装について説明するトピックを参照してください。

  • アクティブ データ テストの利点
    テストでアクティブ データを使用することの利点について説明します。
  • アクティブ データ資産
    アクティブ データ資産の使用方法の概要について説明します。
  • アクティブ データ テスト資産の作成
    アセット ブラウザ を使用して、新しいアクティブ データ資産を作成します。
  • アクティブ データ テストのためのテスト ファイルの準備
    アクティブ データ テストのためのテスト ファイルの準備の概要およびヒントについて説明します。
  • アクティブ データ テスト用の新しいデータ ファイルの作成
    アクティブ データ資産の作成時に、Silk Test Workbench で、資産に関連付けるアクティブ データを含む新しいアクティブ データ ファイルを作成することもできます。アクティブ データ資産には、一緒に使用するデータ ファイルを関連付ける必要があります。
  • アクティブ データ テスト ファイルに対する読み取りオプションの設定
    アクティブ データ ファイルに対して読み取り／書き込みオプションを設定します。
  • アクティブ データ テストのためのアクティブ データ ファイルの編集
    テストのニーズに合うように、アクティブ データ ファイルを変更します。
  • アクティブ データに使用するデータの指定
    アクティブ データ テストにアクティブ データ ファイルのデータを使用する場合、使用するファイル内のデータ行および使用順序を指定することができます。
  • ビジュアル テストでのアクティブ データの使用
    ビジュアル テストでアクティブ データを使用するために実行するタスクを示します。
  • スクリプトでのアクティブ データの使用
    スクリプトでアクティブ データを使用するために実行するタスクを示します。
親トピック: テストの拡張
関連概念
サンプル ビジュアル テスト：アクティブ データの使用
関連タスク
SQL Server データベース用のデータ ソース名の作成
Access データベース用のデータ ソース名の作成
Oracle データベース用のデータ ソース名の作成


アクティブ データ テストの利点

アプリケーション テストの大部分は、アプリケーションのフォームの同じようなコントロールにデータを入力したあと、そのデータを処理して結果をレポートし、アプリケーションが期待どおりに機能することを確認することにあります。 Silk Test Workbench を使用してテストを自動化する場合、テスト担当者は、多くの場合、記録時に入力されたデータ セットのみを使用してアプリケーションの信頼性を検証できます。

アクティブ データ テスト機能を使用すると、入力データとしてカスタマ レコードなどの独自のデータ バンクの既存のデータおよび新規のデータを利用して、強力で自動化されたアプリケーション テスト ソリューションを作成できます。 アクティブ データを使用した自動テストでは、アプリケーションに複数のトランザクションを実行できるうえ、各トランザクションには既存の異なるデータ セットを使用できます。

入力として使用されるデータは、別に管理することも Silk Test Workbench 内で管理することもできます。 再生実行の合間にデータに変更を行えるため、より効率的で柔軟性のあるテストを行うことができます。

親トピック: アクティブ データ


アクティブ データ資産

アクティブ データ資産を作成する場合、資産で使用する外部ファイルを選択します。また、外部ファイル（「アクティブ データ ファイル」と呼ばれる）内のどのデータを使用するか、アクティブ データ ファイルに列見出しが含まれるかどうか、およびアクティブ データ資産に関連付けられたファイルの読み取り／書き込み権限を指定します。作成したアクティブ データ資産は、任意のビジュアル テストまたはスクリプトで使用することができ、いつでも変更できます。

注: Silk Test Workbench が開いているアクティブ データ ファイルにアクセスしようとすると、実行時エラーが発生します。このような場合にテスト実行を続行するには、エラー処理を使用します。

データ ファイルは事前に作成しておくことも、Silk Test Workbench 内で作成して編集することも可能です。アクティブ データ資産は、アセット ブラウザ を使用して作成、変更、および管理します。

親トピック: アクティブ データ
関連概念
アセット ブラウザ


アクティブ データ テスト資産の作成

アクティブ データ資産を作成する場合、その資産によって使用されるデータを含む新しいファイルを作成するか、または使用されるデータを含む既存のファイルを選択します。既存のファイルを使用する場合、資産を作成する前に、そのファイルが存在し、使用可能であることを確認してください。

  1. 表示 > アセット ブラウザ を選択します。
  2. 資産の種類 で、アクティブ データ を右クリックして、アクティブ データの新規作成 を選択します。 アクティブ データ ウィンドウが開きます。
  3. 名前 テキスト ボックスに、資産のわかりやすい名前を入力します。
    アクティブ データ資産名は、Silk Test Workbench 資産の命名規則に従う必要があります。
    ヒント: アクティブ データ資産に、その資産に使用されるアクティブ データ ファイルと同じ名前を付けると、テストで使用する資産を特定しやすくなります。
  4. 参照 をクリックしてアクティブ データ ファイルとして使用する既存のファイルを選択するか、または 新規作成 をクリックしてアクティブ データ ファイルとして使用する新しいファイルを作成します。 ファイル テキスト ボックスに、アクティブ データ ファイルのパスとファイル名が表示されます。
  5. 省略可能：説明 テキスト ボックスに、資産の説明を入力します。 説明を使用して、データ ファイルとして使用されるファイルの種類、資産を作成するアクティブ データ テストによって実行されるテストの種類、またはアクティブ データ テストでテストされるアプリケーションを示すことができます。アセット ブラウザ では、説明が入力されているすべてのアクティブ データ資産に説明が表示されます。
    注: 空のデータ ファイルが必要な場合は、保存 および 閉じる をクリックしてすべての変更内容を保存し、アクティブ データ 設定ウィンドウを閉じます。
  6. アクティブ データ資産によって使用されるデータ ファイルの読み取りオプションを設定して、アクティブ データ資産の作成を続行します。
  7. アクティブ データ ファイル内のデータを編集して、アクティブ データ資産の作成を続行します。
  8. 保存 をクリックしてすべての変更内容を保存するか、または 保存して閉じる をクリックしてすべての変更内容を保存し、アクティブ データ ウィンドウを閉じます。

新しい資産が アセット ブラウザ のアクティブ データ資産リストに表示されます。これで、新しい資産をアクティブ データ テストで使用できます。

親トピック: アクティブ データ
親トピック: スクリプトでのアクティブ データの使用
次のトピック: スクリプトへのアクティブ データの組み込み
関連概念
資産の命名規則
関連タスク
アクティブ データ テスト ファイルに対する読み取りオプションの設定
アクティブ データ テストのためのアクティブ データ ファイルの編集


アクティブ データ テストのためのテスト ファイルの準備

Silk Test Workbench では、アクティブ データ テストで以下の種類のファイルを使用できます。

  • Microsoft Excel® スプレッドシート（.xls）ファイル

    注: Microsoft Excel® がインストールされていない場合、読み取り専用モードで .xls ファイルを使用できます。

  • Microsoft Excel® スプレッドシート（.xlsx）ファイル

    注: Silk Test Workbench で .xlsx ファイルを使用するには、Microsoft Excel® 2007 以降をインストールしてください。Microsoft Excel® 2007 以降がインストールされていない場合、2007 Office System ドライバ： データ接続コンポーネント をインストールして、読み取り専用モードで .xlsx ファイルを使用できます。

  • プレーン テキスト ファイル（.txt）

  • カンマ区切り値ファイル（.csv）

カンマ区切り値ファイルおよびプレーン テキスト ファイルには、1 セットのデータしか含めることができませんが、Excel スプレッドシート ファイルには複数のシートを含めることができます。各シートには値の独自の表が含まれ、アクティブ データ テストでは別のエンティティとして扱われます。

カンマ区切り値ファイルまたはプレーン テキスト ファイルを使用して新しいテスト データ資産を作成する場合は、ファイルだけを選択すれば済みます。Excel スプレッドシート ファイルを使用して新しいテスト データ資産を作成する場合は、使用するシートも選択する必要があります。

アクティブ データ テストのためのファイル準備のヒント

  • 可能な場合、データ ファイルのデータは、アプリケーション内と同じデータ カテゴリにグループ化する必要があります。たとえば、データ ファイルにアクティブ データとして使用される姓と名が含まれている場合、テスト対象アプリケーションには姓と名の別個のフィールドがなければなりません。アプリケーションで姓と名に別のフィールドが使用され、データ ファイルでは姓と名を組み合わせて 1 つのデータ フィールドになっている場合、テスト データと、アプリケーションのテストに必要なデータが 1 対 1 の関係になりません。アクティブ データ ファイル内の結合されたデータをテスト アプリケーションの姓フィールドまたは名フィールドのテストに使用した場合は、期待した結果が得られない場合があります。

  • アクティブ データ テストに使用するファイルは、ビジュアル テストまたはスクリプトで使用する前に作成しておく必要があります。

  • オブジェクト名テスト データの場合、データ ファイル内の名前エントリにはかっこや引用符を含めないでください。
    たとえば、あるフォーム上の複数のエディット ボックスで同じテストを実行し、それらの各エディット ボックスは Index プロパティのみを使用して一意に識別される場合、各エディット ボックスの名前は以下のように表されます。
    TextField("[1]")
TextField("[2]")
TextField("[3]")
TextField("[4]")

    アクティブ データ ファイル内のオブジェクト名のテスト データの各行には、フォーム上のエディット ボックスを表すそれぞれのインデックスを含めることができます。ただし、アクティブ データ ファイルの各行のデータでは、以下のようにかっこまたは引用符を除いてください。

    Index=1
Index=2
Index=3
Index=4

  • アクティブ データ ファイルの最初の行は、データの最初の行にすることも列見出しにすることもできます。アクティブ データ テストを設定するとき、アクティブ データ資産では、アクティブ データ ファイルの最初の行のタイプを適切に設定する必要があります。

  • ユーザーがアクティブ データ資産を読み取り専用として開くと、読み取り権限だけが付与されます。アクティブ データ資産が読み書き可能モードで開かれると、資産に一度も書き込みが行われなくても、読み取りと書き込みの権限が付与されます。これは、テストがあとでアクティブ データ ファイルに書き込みをするように変更された場合でも、正しく再生されるようにするためです。読み取りおよび書き込み権限で開かれたアクティブ データ資産は、排他的ファイル ロック機能を持ち、資産と関連付けられたアクティブ データ ファイルが他のプログラムから開かれないようにすることができます。

親トピック: アクティブ データ


アクティブ データ テスト用の新しいデータ ファイルの作成

アクティブ データ資産には、一緒に使用するデータ ファイルを関連付ける必要があります。Silk Test Workbench を使用してファイルを作成するか、またはテキスト エディタや Microsoft Excel® などのツールを使用してファイルを作成します。

アクティブ データ資産の作成時に、Silk Test Workbench で、資産に関連付けるアクティブ データを含む新しいアクティブ データ ファイルを作成することもできます。

  1. 表示 > アセット ブラウザ を選択します。
  2. 資産の種類 で、アクティブ データ を右クリックして、アクティブ データの新規作成 を選択します。 アクティブ データ ウィンドウが開きます。
  3. 名前 テキスト ボックスに、資産のわかりやすい名前を入力します。
    アクティブ データ資産名は、Silk Test Workbench 資産の命名規則に従う必要があります。
    ヒント: アクティブ データ資産に、その資産に使用されるアクティブ データ ファイルと同じ名前を付けると、テストで使用する資産を特定しやすくなります。
  4. 新規作成 をクリックして、アクティブ データ ファイルとして使用する新しいファイルを作成します。 アクティブ データの新規作成 ダイアログ ボックスが開きます。
  5. 名前 テキスト ボックスに、新しいファイルのわかりやすい名前を入力します。 このファイルに含まれるデータを示す名前か、このファイルを使用するテストの対象アプリケーションの種類を示す名前を付けることをお勧めします。
  6. 新しいアクティブ データ ファイルの種類を選択します。 ファイルの種類の詳細については、「アクティブ データ テスト資産の作成」を参照してください。
  7. 参照 をクリックし、フォルダの参照 ダイアログ ボックスを使用して、新しいアクティブ データ ファイルを保存する場所を選択します。OK をクリックして、アクティブ データの新規作成 ダイアログ ボックスに戻ります。 新しいアクティブ データ ファイルの場所が、場所 テキスト ボックスに表示されます。
  8. OK をクリックして、新しいアクティブ データ ファイルを作成します。
  9. アクティブ データ資産の作成を続行します。
親トピック: アクティブ データ
関連タスク
アクティブ データ テスト資産の作成
条件の値の設定


アクティブ データ テスト ファイルに対する読み取りオプションの設定

アクティブ データ 設定ウィンドウの オプション タブを使用して、アクティブ データ ファイルに対する読み取り／書き込みオプションを設定します。また、このタブでは、アクティブ データ ファイルの最初の行を列見出しとして扱うかどうかを設定したり、アクティブ データ テストに使用するスプレッドシート データ ファイル中のシートを設定したりもします。これらのオプションの設定手順は、スプレッドシート データ ファイルに対するものとテキスト（.txt）またはカンマ区切り（.csv）データ ファイルに対するものとで多少異なります。

  1. Silk Test Workbench によってファイルの最初のデータ行が列見出しとして扱われるようにするには、アクティブ データ ウィンドウの オプション タブで 最初の行を見出しとして使用 チェック ボックスをオンにします。
    このチェック ボックスをオンにすると、アクティブ データ テストの作成時に、データ ファイル内の各列の行に含まれるレコードに対してデータをマップできます。最初の行を見出しとして使用 チェック ボックスがオフの場合、ファイルの最初の行のデータは実際のアクティブ データ項目として解釈されます。
  2. ファイルが実際に読み取り専用に設定されているかどうかにかかわらず、Silk Test Workbench がアクティブ データ ファイルを読み取り専用ファイルとして扱うよう強制するには、読み取り専用を適用 チェック ボックスをオンにします。 このオプションを選択しても、アクティブ データ ファイルの読み取り／書き込み設定は変更されません。 読み取り専用を適用 チェック ボックスをオンにすると、アクティブ データ ウィンドウの 詳細 タブの行と列の 挿入 および 削除 ボタンも無効になります。そのため、Silk Test Workbench 内からアクティブ データ ファイルを変更できなくなります。
  3. スプレッドシートでは、シート リストで、アクティブ データ資産で使用するデータを含む Excel スプレッドシート内のシートを選択します。
  4. カンマ区切り値ファイルおよびテキスト ファイルでは、アクティブ データ ファイル内でデータ項目を区切るために使用される文字を指定するオプションを選択します。 カスタム文字を使用する場合は、その他 オプションを選択して、その他 テキスト ボックスにカスタム文字を入力します。
  5. アクティブ データ資産の作成を続行します。
親トピック: アクティブ データ


アクティブ データ テストのためのアクティブ データ ファイルの編集

アクティブ データ ウィンドウの 詳細 タブを使用して、アクティブ データ資産で使用されるアクティブ データ ファイル内のデータを編集します。 全般 タブでアクティブ データ ファイルの名前が指定されるまでは、詳細 タブの機能は無効になっています。 読み取り専用を適用 チェック ボックスがオフの場合は、列と行をデータ ファイルに追加したり、データ ファイルから削除したりできます。また、データをリストからコピーしたり、リストに貼り付けたりすることもできます。

ヒント: ファイルの元のアプリケーションでアクティブ データ ファイルを編集することもできます。 元のアプリケーションを使用してアクティブ データ ファイルを変更した場合、その変更内容は Silk Test Workbench で次回そのファイルを開いたときに表示されます。
  1. アクティブ データ ファイルの内容を必要に応じて更新します。
    1. 該当するボタンをクリックして行または列を挿入します。 行と列は、最後にある行または列のあとに自動的に挿入されます。
    2. 行または列内のセルを 1 つ選択し、該当する 削除 ボタンをクリックして行または列を削除します。次に、メッセージ ボックスで はい をクリックして削除を確認します。 その行または列内のすべてのセルの、すべてのデータも削除されます。
    3. データを入力または編集するセル内をダブルクリックします。 データは入力することも、外部ソースからコピーしてセルへ貼り付けることもできます。
    4. 列のセルを選択し、名前の変更 をクリックして、その列の見出しの名前を変更します。
    5. 任意の時点で データの保存 をクリックして、すべての更新内容を保存します。 データの保存 をクリックすると、変更内容が元のアクティブ データ ファイルに保存されます。 特定のテスト実行に対してのみデータを変更する場合は、最初に元のアクティブ データ ファイルのコピーを作成します。
  2. アクティブ データ資産の作成を続行します。 再生中に、アクティブ データ テストに使用されるアクティブ データ ファイルのデータを更新することができます。 ビジュアル テストの場合は、更新内容が元のアクティブ データ ファイルに自動的に保存されますが、データの更新を元のアクティブ データ ファイルに保存する方法を制御するステップを作成することもできます。 詳細については、「詳細設定オプションの変更」を参照してください。 スクリプトの場合は、再生中に .NET コマンドを使用してアクティブ データ ファイルを編集することができます。
    ヒント: 詳細 タブを使用してアクティブ データ ファイルのデータを更新して保存すると、Silk Test Workbench によって対応するアクティブ データ資産のバージョン番号が更新されます。 ただし、アクティブ データ ファイル内のデータをMicrosoft Excelなどの外部ツールを使用して更新すると、資産のバージョン番号は更新されません。
    ヒント: データは、アクティブ データ テストに必要とされる引用符または後続スペースを含めて追加する必要があります。
親トピック: アクティブ データ
関連タスク
詳細オプションの設定


アクティブ データに使用するデータの指定

アクティブ データ テストにアクティブ データ ファイルのデータを使用する場合、使用するファイル内のデータ行および使用順序を指定することができます。開始行、終了行 および ランダム数 の値によって、使用される行および行の使用順序が決定されます。

ランダム数 に指定する値により、資産に関連付けられているアクティブ データ ファイルのレコードをアクティブ データ テストで使用するかどうか、またどのように使用するかが決まります。

ビジュアル テストでは、開始行、終了行、および ランダム数 の値は、テスト ロジック（繰り返し）デザイナ の 使用するアクティブ データ資産の定義 ページで設定します。これらの値は、設定後、「アクティブ データを使用して繰り返します」ステップの 開始行、終了行、および ランダム数 プロパティで更新できます。VB .NET テスト スクリプトの場合、開始行、終了行、および ランダム数 の値をLoadActiveData メソッドの StartRow、EndRow、および RandomCount パラメータを使って設定および更新します。

以下の表は、さまざまな 開始行 と 終了行 の値を許容される ランダム数 の値と共に使用した結果を示しています。

[開始行] の値 | [終了行] の値 | [ランダム数] の値 (ビジュアル テスト) | [ランダム数] の値 (VB .NET スクリプト) | 結果
1 | -1 b | 順序通りにすべての行を取得 | 0 または False (順序通りにすべての行を取得) | すべての行を、インデックスの順序で読み込みます。
1 | 5 | 順序通りにすべての行を取得 | 0 または False (順序通りにすべての行を取得) | 行を 1、2、3、4、5 の順で読み込みます。
5 | -1 b | 順序通りにすべての行を取得 | 0 または False (順序通りにすべての行を取得) | アクティブ データ ファイルの行 5 から最後の行までを順番に読み込みます。
5 | 1 | 順序通りにすべての行を取得 | 0 または False (順序通りにすべての行を取得) | 行を 5、4、3、2、1 の順で読み込みます。
-1 a | 1 | 順序通りにすべての行を取得 | 0 または False (順序通りにすべての行を取得) | すべての行を、逆の順序で読み込みます。
-1 a | 5 | 順序通りにすべての行を取得 | 0 または False (順序通りにすべての行を取得) | アクティブ データ ファイルの最後の行から行 5 までを逆の順番で読み込みます。
-1 a | -1 b | 順序通りにすべての行を取得 | 0 または False (順序通りにすべての行を取得) | アクティブ データ ファイルの最後の行を読み込みます。
1 | 1 | 順序通りにすべての行を取得 | 0 または False (順序通りにすべての行を取得) | 行 1 を読み込みます。
1 | -1 b | ランダムな順序ですべての行を取得 | -1 または True (ランダムな順序ですべての行を取得) | すべての行をランダムな順序で読み込みます。
1 | 5 | ランダムな順序ですべての行を取得 | -1 または True (ランダムな順序ですべての行を取得) | 行 1 から 5 をランダムな順序で読み込みます。
5 | -1 b | ランダムな順序ですべての行を取得 | -1 または True (ランダムな順序ですべての行を取得) | アクティブ データ ファイルの行5から最後の行までをランダムな順序で読み込みます。
5 | 1 | ランダムな順序ですべての行を取得 | -1 または True (ランダムな順序ですべての行を取得) | 行 5 から 1 をランダムな順序で読み込みます。
-1 a | 1 | ランダムな順序ですべての行を取得 | -1 または True (ランダムな順序ですべての行を取得) | すべての行をランダムな順序で読み込みます。
-1 a | 5 | ランダムな順序ですべての行を取得 | -1 または True (ランダムな順序ですべての行を取得) | アクティブ データ ファイルの行 5 から最後の行までをランダムな順番で読み込みます。
1 | -1 b | 5 | 5 | アクティブ データ ファイルから 5 行をランダムに読み込みます。
1 | 10 | 5 | 5 | アクティブ データ ファイルの 1 番めの行から 10 番めの行までのうち、5 行をランダムに読み込みます。
10 | -1 b | 5 | 5 | アクティブ データ ファイルの 10 番めの行から最後の行までのうち、5 行をランダムに読み込みます。
1 | 5 | 10 | 10 | 範囲外実行時エラーが発生します。

a ビジュアル テストでは、開始行 の値に対して データを含む最後の行から開始 チェック ボックスをオンにすることに相当します。

b ビジュアル テストでは、終了行 の値に対して データを含む最後の行で終了 チェック ボックスをオンにすることに相当します。

アクティブ データ ファイルの行数を超える値を StartRow、EndRow、または RandomCount パラメータに指定すると、範囲外実行時エラーが生成されます。

LoadActiveData() が、別のアプリケーションで開かれているアクティブ データ ファイルを読み込もうとすると、実行時エラーが発生します。

親トピック: アクティブ データ
関連資料
LoadActiveData メソッド


ビジュアル テストでのアクティブ データの使用

ビジュアル テストでアクティブ データを使用するには、使用するすべてのデータ ファイルを作成する必要があります。また、使用する各データ ファイルをアクティブ データ資産に関連付ける必要があります。

Silk Test Workbench データベースの外部からのテスト データの格納と取得は、外部ファイルを使用して行われます。テスト データは、Excel スプレッドシート ファイル（.xls、.xlsx）、テキスト ファイル（.txt）、またはカンマ区切り値ファイル（.csv）に格納できます。テスト データを外部ファイルに格納すると、複数のアクティブ データ資産、および任意のビジュアル テストまたはスクリプトで、テスト データを再利用できるようになります。
注: Microsoft Excel® がインストールされていない場合、すべての .xls ファイルは読み取り専用モードになります。Silk Test Workbench で .xlsx ファイルを使用するには、Microsoft Excel® 2007 以降をインストールしてください。Microsoft Excel® 2007 以降がインストールされていない場合、2007 Office System ドライバ： データ接続コンポーネント をインストールして、読み取り専用モードで .xlsx ファイルを使用できます。
注: アクティブ データ ファイルを開くときにエラーが発生した場合は、エラー処理を使用してテスト実行を続行できます。

ビジュアル テストでは、どのアクティブ データ資産がビジュアル テストに使用できるかを指定する必要があります。アクティブ データを使用するビジュアル テストの各ステップのプロパティは、正しいデータを指すように変更する必要があります。これはマッピングと呼ばれます。

  • アクティブ データ資産のビジュアル テストへの関連付け
    アクティブ データ資産をビジュアル テストに関連付けて、ビジュアル テストで資産を使用できるようにします。
  • ビジュアル テストでのアクティブ データに対する繰り返しロジックの作成
    アクティブ データに対して繰り返しロジックを作成すると、ビジュアル テストでアクティブ データ ファイルのデータを検索し、ステップ内のリテラル データをアクティブ データ ファイルのデータと置き換えることができます。
  • アクティブ データ ファイルのデータのビジュアル テスト データへのマップ
    ビジュアル テストのテスト ステップで、アクティブ データ ファイルのデータを使用するには、適用可能なテスト ステップをアクティブ データ ファイルの列にマップします。
  • アクティブ データによるビジュアル テストのステップ テキストの更新
    Silk Test Workbench において、ステップ テキストのリテラル データをアクティブ データ ファイル内のマップされたデータと置き換える方法の例について説明します。
  • ビジュアル テストでのアクティブ データ ファイルのデータの更新
    ビジュアル テストからアクティブ データ ファイルを更新する方法の概要について説明します。
  • ビジュアル テストでアクティブ データに使用するシートを指定する
    ビジュアル テストを実行する際に、シートを指定してアクティブ データ資産のソースを変更できます。
  • アクティブ データ資産の行数と列数の取得
    アクティブ データ資産の行数や列数を取得するには、資産に関連付けられたビジュアル テストに新しいステップを追加します。
親トピック: アクティブ データ
関連概念
サンプル ビジュアル テスト：アクティブ データの使用


アクティブ データ資産のビジュアル テストへの関連付け

アクティブ データ資産をビジュアル テストで使用するには、アクティブ データ資産をビジュアル テストに関連付ける必要があります。1 つのビジュアル テストにアクティブ データ資産をいくつでも関連付けることができます。

注: アクティブ データ資産は、ビジュアル テストの任意のテスト ステップが選択されているときに挿入／作成できます。ただし、プロパティは、<<開始>> ステップの アクティブ データ プロパティに表示されます。
  1. アクティブ データを使用するビジュアル テストを開きます。
  2. 新しいアクティブ データ資産を作成するには、挿入 > アクティブ データ > 新規作成 を選択します。
  3. アクティブ データ資産を参照するには、挿入 > アクティブ データ > 既存の関連付け を選択します。 アクティブ データの参照 ダイアログ ボックスが開きます。
    1. 資産リストにすべての資産を表示するか、自分で作成したものだけを表示するかを選択します。
    2. リストから資産を選択します。
      注: 列見出し（名前、プロジェクト、説明、更新日）をクリックして、その内容を基準にアクティブ データ資産のリストをアルファベット順に並べ替えることができます。
    3. OK をクリックします。
      ヒント: 関連付けられたアクティブ データ ファイルにデータ行またはデータ列が含まれていない場合、Silk Test Workbench によりメッセージが表示されます。アクティブ データ資産をビジュアル テストに関連付けるには はい をクリックし、取り消すには いいえ をクリックします。
  4. 以上のステップを繰り返して、他のアクティブ データ資産のアクティブ データ ファイルを関連付けます。 アクティブ データ資産がビジュアル テストに関連付けられるたびに、項目 [n] という名前の追加プロパティが アクティブ データ プロパティに表示されます。ここで、[n] はビジュアル テストに関連付けられたアクティブ データ資産の合計数のうちの連続番号を示します。選択したアクティブ データ資産の名前は、このプロパティの値として表示されます。アクティブ データ プロパティは、全般 プロパティ カテゴリ内にあります。
  5. <<開始>> ステップをクリックして、ビジュアル テストにおけるアクティブ データの関連付けを編集します。 ステップのプロパティが プロパティ ペインに表示されます。カテゴリ別またはアルファベット順にプロパティを並び替えます。関連付けを編集するには、プロパティ ペインの適切な 項目 プロパティをクリックします。

    • アクティブ データの参照 ダイアログ ボックスを使用して、関連付けられているアクティブ データ資産を置き換えるには、値領域の アクティブ データの参照 ツール バー ボタンをクリックします。

    • ビジュアル テストへのアクティブ データ資産の関連付けを削除するには、削除 ツール バー ボタンをクリックします。

親トピック: ビジュアル テストでのアクティブ データの使用


ビジュアル テストでのアクティブ データに対する繰り返しロジックの作成

アクティブ データに対して繰り返しロジックを作成すると、ビジュアル テストでアクティブ データ ファイルのデータを検索し、ステップ内のリテラル データをアクティブ データ ファイルのデータと置き換えることができます。

ビジュアル テストでアクティブ データの繰り返しロジックを作成する場合、基本的にはアクティブ データ テストに使用されるテスト ステップの連続ブロックを定義します。リテラル データをアクティブ データ ファイルのデータと置き換えるよう定義されたブロックのステップは、再生時に繰り返されます。ステップを繰り返す回数は繰り返しロジックで定義され、アクティブ データ ファイルのすべての行または一部の行を対象にすることができます。

ビジュアル テストでアクティブ データの繰り返しロジックを作成しても、ビジュアル テストでアクティブ データが使用されるとは限りません。この処理部分によってテストにステップが設定されますが、ステップ内のデータそのものは、アクティブ データ ファイルのデータにマップする必要があります。

  1. ビジュアル テストで、置き換えるデータを含む最初のステップの前にあるステップを選択します。
  2. 挿入 > テスト ロジック > 繰り返し をクリックします。 テスト ロジック デザイナ ウィザードが開きます。
  3. ウィザードの [ようこそ] 画面を表示する 全般 オプションが はい に設定されている場合は、ようこそ ページが開きます。次へ をクリックして、ロジックの種類の選択（繰り返し） ページを表示します。
    ヒント: ウィザードの [ようこそ] 画面を表示する 全般 オプションが いいえ に設定されている場合は、テスト ロジック デザイナ ウィザードの最初のページとして ロジックの種類の選択（繰り返し） ページが表示されます。
  4. ロジックの種類の選択（繰り返し） ページで、アクティブ データ ファイルを使用してステップ シーケンスを繰り返す オプションを選択して、次へ をクリックします。 使用するアクティブ データ資産の定義 ページが表示されます。
  5. 使用するデータ ファイルを含むアクティブ データ資産を選択します。
  6. 省略可能： シート名 リストからデータ ファイル中の使用するシートを選択します。
    デフォルトでは、アクティブ データ資産で指定されているシートが使用されます。
  7. 開始行 と 終了行 を選択して、定義したシートのどの行が繰り返し中に使用されるかを定義します。 詳細については、「アクティブ データに使用するデータの指定」を参照してください。
  8. すべての指定したデータ行を順番に繰り返すか、ランダムな順序で繰り返すか、あるいは指定した数だけランダムにデータ行を繰り返すかを定義するには、ランダム数 から対応するオプションを選択します。 詳細については、「アクティブ データに使用するデータの指定」を参照してください。
  9. 次へ をクリックします。
    ヒント: 繰り返しの構築 ページを使用して、ビジュアル テストで繰り返すステップのブロックを定義します。繰り返しの構築 ページを使用してビジュアル テストで繰り返すステップのブロックを定義することは、アクティブ データ領域の定義 ウィザード ページを使用してテスト スクリプトで繰り返すコードのブロックを定義することと似ています。
    繰り返しの構築 ページが開きます。
  10. アクティブ データ繰り返しロジックに対して繰り返すステップを定義したら、次へ をクリックします。 要約 ページが開きます。
  11. 完了 をクリックします。 Silk Test Workbench によって、テスト ロジック デザイナ ウィザードの 繰り返しの構築 ページで選択された最初のステップの前、および最後のステップの後ろに、繰り返しロジック ステップが挿入されます。繰り返しロジックを開始する、挿入されたステップのステップ テキストは次のようになります：アクティブ データ '[資産名]' を使用して繰り返します

    繰り返しロジックを終了する、挿入されたステップのステップ テキストは次のようになります：繰り返しの終了

親トピック: ビジュアル テストでのアクティブ データの使用
関連概念
ビジュアル テストでのアクティブ データ ファイルのデータの更新
アクティブ データに使用するデータの指定


アクティブ データ ファイルのデータのビジュアル テスト データへのマップ

ビジュアル テストでアクティブ データ ファイル内のデータを使用するには、該当するテスト ステップのデータをアクティブ データ ファイル内のデータ列にマップする必要があります。これには、まず目的のアクティブ データ ファイルを含むアクティブ データ資産をビジュアル テストに関連付けます。次に、アクティブ データ ファイルのデータを使用する各ステップを、該当するデータを含むアクティブ データ ファイルの列にマップする必要があります。この手順を使用して、テスト ステップ内のデータをアクティブ データ ファイルのデータにマップします。

注: マップされたデータに対してアクティブ データ ファイルのデータを使用した繰り返しロジックが作成されていない場合は、データをアクティブ データ ファイルのデータ列にマップしても、再生中に列の最初のレコードしか使用されません。
  1. ビジュアル テストで、ビジュアル テストに関連付けられたアクティブ データ ファイルのデータと置き換えるデータを含む最初のステップを選択します。 ステップのプロパティが プロパティ ペインに表示されます。プロパティは、カテゴリ別またはアルファベット順に並び替えることができます。アクティブ データ ファイルのデータを使用した繰り返しロジックがビジュアル テストにすでに作成されている場合は、マップされるデータを含むステップが「アクティブ データを使用して繰り返します」ステップと「繰り返しの終了」ステップの間にネストされている必要があります。
  2. ステップの プロパティ ペインで、置き換えるデータを含むプロパティの値領域をクリックします。
  3. 値領域の 選択 ボタンをクリックして、アクティブ データ をクリックします。 アクティブ データ列の選択 ダイアログ ボックスが開きます。アクティブ データ資産 テキスト ボックスに、ビジュアル テストと関連付けられたアクティブ データ資産が表示されます。アルファベット順の最初の資産の名前がボックスに表示されます。
  4. アクティブ データ資産 テキスト ボックスで、マップするデータを含むアクティブ データ資産の名前を選択します。 選択したアクティブ データ資産のアクティブ データ ファイルの列名が、列 リストに表示されます。

    • 選択したアクティブ データ資産のアクティブ データ ファイルが現在元のアプリケーション（テキスト エディタまたは Microsoft Excel）で開かれていると、列名が 列 リストに表示されません。この場合は、元のアプリケーションを閉じ、マップするデータを含むアクティブ データ資産を再度選択します。

    • アクティブ データ資産に対して 最初の行を見出しとして使用 チェック ボックスがオンになっている場合は、データ ファイルの最初の行のデータが列見出しとみなされます。各列の最初の行のデータが、列 リストに表示される列名となります。

    • アクティブ データ資産に対して 最初の行を見出しとして使用 チェック ボックスがオフになっている場合は、データ ファイルの最初の行のデータがデータとみなされます。この場合、Silk Test Workbench は 列 リスト内の名前に対して英字を順番に使用します（「A」、「B」、「C」）。

    ヒント: アクティブ データ ファイルを作成する場合は、可能なかぎり、名前付きの見出しを使用します。アクティブ データ列の選択 ダイアログ ボックスの 列 リストにわかりやすい列名が表示されると、アクティブ データ ファイルの正しい列にデータをマップしやすくなります。
  5. 列 リストで、選択したプロパティで使用される実際のデータと置き換えるデータを含む列名を選択します。
  6. OK をクリックして アクティブ データ列の選択 ダイアログ ボックスを閉じ、データをマップします。 Silk Test Workbench は、アクティブ データ ファイルの選択されたデータにマップする式を使用して実際のデータを置き換えます。式の構文は以下のとおりです：[[アクティブ データ資産名.データ型]("列名")] 。 ここで、[アクティブ データ資産名.データ型] は、選択されたアクティブ データ資産の名前および選択された列内のデータのデータ型です。ビジュアル テストの場合、アクティブ データ ファイルで使用されるデータは Silk Test Workbench により自動的に解釈されます。データに数字のみが含まれる場合、データ型は Long になります。データに 1 文字以上の英字が含まれる場合、データ型はテキストになります。

    ("列名") は、プロパティのデータがマップされる列の名前です。

    ヒント: リテラル、変数、式、またはアクティブ データを選択して設定した値は、元の値が存在するときにビジュアル テストを保存していた場合にはリセットすることができます。プロパティの値をリセットするには、値領域で 選択 ボタンをクリックして、元のリテラル、変数、式の結果、またはアクティブ データのいずれかのタイプを割り当てます。データ型の元の値がプロパティ値として表示されます。
  7. ビジュアル テストに関連付けられたアクティブ データ ファイルのデータと置き換えるデータを含む他のすべてのテスト ステップについて、以上のステップを繰り返します。 マップされたデータに対してアクティブ データ ファイルのデータを使用した繰り返しロジックが作成されていない場合は、データをアクティブ データ ファイルのデータ列にマップしても、再生中に列の最初のレコードしか使用されません。
    注: 同じビジュアル テストで複数のアクティブ データ資産を使用することができますが、 1 つの繰り返し文内で使用できるアクティブ データ資産は 1 つだけです。
親トピック: ビジュアル テストでのアクティブ データの使用
関連概念
アクティブ データによるビジュアル テストのステップ テキストの更新
関連タスク
ビジュアル テストでアクティブ データに使用するシートを指定する
条件の値の設定


アクティブ データによるビジュアル テストのステップ テキストの更新

ステップ内のデータをアクティブ データ ファイルのデータにマップすると、Silk Test Workbench によってステップ テキストが更新されます。ステップでは、テスト ステップ ペインの ステップ 列のリテラル データが、アクティブ データ資産、置き換えられるデータ型、および置き換えられるデータを含むアクティブ データ ファイルの列を示すテキストと置き換えられます。

以下の例に、Silk Test でステップ テキストのリテラル データがアクティブ データ ファイル内のマップされたデータとどのように置き換えられるかを示します。

例 1：テキスト入力

以下の例は、テスト アプリケーションの TextField コントロールにリテラル値 Smith を入力する自動ステップを示しています。リテラル値は、ステップの テキスト プロパティに設定されています。

'Smith' を入力します

リテラル データが contacts という名前のアクティブ データ資産にある Last Name という名前の列のデータで置き換えられると、ステップ テキストは以下のように変わります。

'[[contacts].Text("Last Name")]' を入力します

この場合、置き換えられたデータには英字が含まれるため、Silk Test Workbench は置き換えられた値をテキストとして解釈し、ステップで指定されるデータ型がText になります。

例 2：数値入力

以下の例は、ステップの Left および Top プロパティの座標値に基づいて画面上の特定の位置にウィンドウを移動するステップを示しています。

(235, 427) に移動します

Left および Top プロパティの値が coordinates という名前のアクティブ データ資産に関連付けられたファイル内の Left Coordinate および Top Coordinate という名前の列のデータに置き換えられると、ステップ テキストは以下のように変わります。

([[>coordinates].Long("Left Coordinate")], [[coordinates].Long("Top Coordinate")]) に移動します

この場合、置き換えられたデータには数値のみが含まれるため、Silk Test Workbench はアクティブ データ ファイルの値を数値として解釈し、ステップで指定されるデータ型が Long になります。

親トピック: ビジュアル テストでのアクティブ データの使用


ビジュアル テストでのアクティブ データ ファイルのデータの更新

ビジュアル テストに関連付けられているアクティブ データ ファイルのデータは、ビジュアル テスト内で更新することができます。ビジュアル テストでアクティブ データを更新するには、式を使用します。式デザイナ を使用すると、アクティブ データ ファイルの列のデータを入力として使用でき、データの値を変更する式を作成できます。更新されたデータは、同じアクティブ データ ファイルの同じ列に保存できます。

アクティブ データ テストの繰り返しロジック内で使用すると、アクティブ データ ファイルの列にある各行のデータを式を介して更新し、列内の元の行に格納することができます。これには、式内で列を使用し、式でデータを更新（列内の各行のデータを更新）してから、式の内容をアクティブ データ ファイルの同じ列に戻します。また、関連付けられている他のビジュアル テストの別の列に式の内容を格納したり、更新されたデータをローカル変数に格納したりすることもできます。ローカル変数は、テスト ロジックや結果コメントに使用でき、グローバル変数または他のビジュアル テストやスクリプトに渡すことができます。

式を使用してビジュアル テストで更新されたアクティブ データは、ビジュアル テストの再生が正常に完了した時点で自動保存されます。ただし、ビジュアル テストを変更して、更新されたデータの即時保存、再生中の任意の時点での保存、自動保存の回避を行うこともできます。

  • ビジュアル テストでの式を使用したアクティブ データの更新
    式デザイナ を使用して、ビジュアル テストに関連付けられているアクティブ データ ファイルのデータを更新することができます。
  • ビジュアル テスト内で更新されたアクティブ データの即時保存
    再生が正常に完了するまでデータが元のアクティブ データ ファイルに自動保存されるのを待つ代わりに、更新された特定のデータを直ちに保存するステップを作成することができます。
  • ビジュアル テスト内で更新されたアクティブ データの自動保存の回避
    ビジュアル テストの再生中に式内で更新されるアクティブ データは、再生が正常に完了した時点で元のアクティブ データ ファイルに自動保存されます。ただし、更新されたアクティブ データの自動保存を取り消すステップを作成することができます。
親トピック: ビジュアル テストでのアクティブ データの使用
関連概念
式デザイナ


ビジュアル テストでの式を使用したアクティブ データの更新

ビジュアル テストに関連付けられているアクティブ データ ファイルのデータは、ビジュアル テスト内で更新することができます。これを行うには、式デザイナ を使用して、データの指定、更新を行います。更新されたデータを変数に保存してその変数をビジュアル テストで使用したり、元のアクティブ データ ファイルに保存したりできます。

  1. ビジュアル テストで、作成する式で使用する任意のローカル変数を作成します。
  2. ビジュアル テストで、作成する式で使用するデータ列を含むアクティブ データ資産を関連付けます。
  3. 式ステップを作成する場所の直前のステップを選択します。
    ヒント: アクティブ データ ファイルのデータを使用する式は、アクティブ データを使用する繰り返しロジックの外側を含め、ビジュアル テスト内の任意の場所に配置できます。ただし、式で更新されたデータをアクティブ データ列の元の行にそれぞれ保存する場合は、繰り返しロジック内でデータを更新するステップの直後に配置する必要があります。Expression ステップを繰り返しロジックのあとに配置すると、アクティブ データ ファイルで最後にアクセスされた行のデータのみが更新されます。
  4. 挿入 > 式 を選択します。 式デザイナ ダイアログ ボックスが開きます。
  5. 式デザイナ ダイアログ ボックスを使用して、アクティブ データ ファイルの列のデータを更新する式を作成します。 列内のアクティブ データを更新し、内容を同じ列に戻すには、式デザイナ ダイアログ ボックスの 式エディタ を使用して値を更新してから、式の内容を同じ列に戻します。 たとえば、式エディタ でデータ ファイルの「Gender」という列（列は string データ型で、値は「M」または「Fem」）を入力として使用する場合、式エディタ で、データに「ale」を追加して「Male」または「Female」にします。その後、データはダイアログ ボックスの 出力 セクションに示された同じ列に戻されます。
  6. 式を作成してテストしたあと、式デザイナ ダイアログ ボックスで OK をクリックします。 Silk Test Workbench によって、選択したステップのあとに 式： ステップが挿入されます。
    ヒント: 作成したあとで式を編集するには、式： ステップを選択し、ステップの 式 プロパティを選択して、式デザイナ をクリックし、式デザイナ ダイアログ ボックスを使用して式を編集します。
式で更新されたアクティブ データは、再生が正常に完了した時点で元のアクティブ データ ファイルに自動保存されます。ただし、元のアクティブ データ ファイルに更新内容を即時保存するステップを作成したり、保存を取り消して更新されたデータの保存を回避するステップを作成したりすることもできます。
親トピック: ビジュアル テストでのアクティブ データ ファイルのデータの更新
関連概念
式デザイナ


ビジュアル テスト内で更新されたアクティブ データの即時保存

ビジュアル テストの再生中に式内で更新されるアクティブ データは、再生が正常に完了した時点で元のアクティブ データ ファイルに自動保存されます。アクティブ データ ファイルのさまざまなセルのデータが変更されている場合、他のセルが指定されていないかぎり、Silk Test Workbench は更新されたデータを同じセルに保存します。

再生が正常に完了するまでデータが元のアクティブ データ ファイルに自動保存されるのを待つ代わりに、更新された特定のデータを直ちに保存するステップを作成することができます。このステップでは、ビジュアル テストでこのステップを実行するまでに更新された選択済みのアクティブ データのみが保存されます。ステップの実行後に更新されたアクティブ データに関しては、自動保存を取り消さないかぎり、再生が正常に完了した時点で保存されます。

  1. ビジュアル テストで、作成する式で使用する任意のローカル変数を作成します。
  2. ビジュアル テストで、作成する式で使用するデータ列を含むアクティブ データ資産を関連付けます。
  3. アクティブ データ ファイルのデータを更新し、元のセルに更新内容を格納する式を作成します。
  4. ビジュアル テスト内で、データを更新するステップのうち、直ちに保存を行う最後の 式:ステップを選択します。
  5. 挿入 > アクティブ データ > 直ちに保存 を選択します。 Silk Test Workbench によって、選択したステップの下に「アクティブ データ ファイル " に値を直ちに保存します」ステップが挿入されます。
  6. 作成した「アクティブ データ ファイル " に値を直ちに保存します」ステップを選択します。 ステップのプロパティが プロパティ ペインに表示されます。
  7. アクティブ データ カテゴリ プロパティを設定して、更新された値を直ちに保存するデータ ファイルを含むアクティブ データ資産を指定します。
ヒント: 必要に応じて、「アクティブ データ ファイル " に値を直ちに保存します」ステップの アクティブ データ プロパティを使用して、保存オプションや保存するアクティブ データを変更します。
親トピック: ビジュアル テストでのアクティブ データ ファイルのデータの更新
関連資料
アクティブ データ プロパティ


ビジュアル テスト内で更新されたアクティブ データの自動保存の回避

ビジュアル テストの再生中に式内で更新されるアクティブ データは、再生が正常に完了した時点で元のアクティブ データ ファイルに自動保存されます。ただし、更新されたアクティブ データの自動保存を取り消すステップを作成することができます。

注: このステップでは、このステップを実行するまでに更新されたアクティブ データの保存のみが回避されます。このステップの実行後に更新されたアクティブ データに関しては、更新後に自動保存を取り消さないかぎり元のアクティブ データ ファイルに保存されます。
  1. ビジュアル テストで、アクティブ データ ファイルのデータを更新し、元のセルに更新内容を格納する式を作成します。
  2. ビジュアル テスト内で、データを更新するステップのうち、自動的に保存を行わない最後の 式: ステップを選択します。
  3. 挿入 > アクティブ データ > 保存のキャンセル を選択します。 Silk Test Workbench によって、選択したステップの下に「アクティブ データ ファイル '' に値を保存しません」ステップが挿入されます。
  4. 作成した「アクティブ データ ファイル '' に値を保存しません」ステップを選択します。 ステップのプロパティが プロパティ ペインに表示されます。
  5. ステップの アクティブ データ カテゴリ プロパティを設定して、更新された値を直ちに保存しないデータ ファイルを含むアクティブ データ資産を指定します。
親トピック: ビジュアル テストでのアクティブ データ ファイルのデータの更新
関連資料
アクティブ データ プロパティ


ビジュアル テストでアクティブ データに使用するシートを指定する

アクティブ データ資産のソースとして Excel スプレッドシートを定義し、このアクティブ データ資産をビジュアル テストでのアクティブ データ資産テストに使用した場合、ビジュアル テストで実行中に使用するシートを直接指定できます。
  1. ビジュアル テストを開きます。
  2. アクティブ データ ‘<資産名>’ を使用して繰り返します ステップを選択します。
  3. ステップの プロパティ ペインを開きます。
  4. 条件 領域の シート名 フィールドにシートの名前を入力します。 ビジュアル テストの実行時に、ここで指定したシートで、アクティブ データ資産で指定したシートが上書きされます。このフィールドを空のままにすると、資産で指定したシートが使用されます。
  5. ビジュアル テストを保存します。

指定したシートが Excel スプレッドシート内に存在しない場合、ビジュアル テストの実行時に Silk Test Workbench はエラーをスローします。この場合、Excel スプレッドシートを確認して存在するシートを指定してください。

親トピック: ビジュアル テストでのアクティブ データの使用
関連タスク
アクティブ データ ファイルのデータのビジュアル テスト データへのマップ
VB .NET スクリプトでアクティブ データに使用するシートを指定する


アクティブ データ資産の行数と列数の取得

アクティブ データ資産の行数や列数を取得するには、資産に関連付けられたビジュアル テストに 行数の取得 または 列数の取得 ステップをそれぞれ追加します。

  1. これらのステップは、次にようにしてビジュアル テストに追加できます。
    • Silk Test Workbench メニューから、挿入 > アクティブ データ > 行数の取得 または 挿入 > アクティブ データ > 列数の取得 を選択します。
    • ビジュアル テストの テスト ステップ ペインで、操作 > 挿入 > アクティブ データ > 行数の取得 または 操作 > 挿入 > アクティブ データ > 列数の取得 を選択します。
    • ビジュアル テストの テスト ステップ ペインで右クリックして、挿入 > アクティブ データ > 行数の取得 または 挿入 > アクティブ データ > 列数の取得 を選択します。
  2. これらのステップの プロパティ ウィンドウで、次の操作を実行します。
    1. 使用する関連付けられたアクティブ データ資産を選択します。
    2. 行数と列数のどちらを取得するかを選択します。
    3. 結果を保存する変数を選択します。 結果は常に st_LastReturnValue 予約変数に保存されます。このため、ローカル変数の選択は必須ではありません。また、テスト結果の 詳細 ペインでは、テスト ステップの 結果の詳細 列にも結果が保存されます。

行数の取得 または 列数の取得 ステップが アクティブ データを使用して繰り返します ループ内で使用される場合、行数は アクティブ データを使用して繰り返します ステップで設定された開始行と終了行に基づきます。たとえば、アクティブ データ ファイルに 10 行保存されている場合に、アクティブ データを使用して繰り返します ループで 2 行目から 6 行目だけを使用するように設定していると、行数の取得 ステップは 5 を返します。

ステップを アクティブ データを使用して繰り返します ループの外で使用した場合は、アクティブ データ ファイルの実際の行数と列数が返されます。

親トピック: ビジュアル テストでのアクティブ データの使用


スクリプトでのアクティブ データの使用

アクティブ データを使用するスクリプトの作成処理は、記録機能から独立しています。Silk Test Workbench データベースの外部からのテスト データの格納と取得は、外部ファイルを使用して行われます。テスト データは、Excel スプレッドシート ファイル（.xls、.xlsx）、テキスト ファイル（.txt）、またはカンマ区切り値ファイル（.csv）に格納できます。テスト データを外部ファイルに格納すると、複数のアクティブ データ資産、および任意のビジュアル テストまたはスクリプトで、テスト データを再利用できるようになります。
注: Microsoft Excel® がインストールされていない場合、すべての .xls ファイルは読み取り専用モードになります。Silk Test Workbench で .xlsx ファイルを使用するには、Microsoft Excel® 2007 以降をインストールしてください。Microsoft Excel® 2007 以降がインストールされていない場合、2007 Office System ドライバ： データ接続コンポーネント をインストールして、読み取り専用モードで .xlsx ファイルを使用できます。
注: アクティブ データ ファイルを開くときにエラーが発生した場合は、エラー処理を使用してテスト実行を続行できます。
  1. アクティブ データ テスト資産の作成
    アセット ブラウザ を使用して、新しいアクティブ データ資産を作成します。
  2. スクリプトへのアクティブ データの組み込み
    アクティブ データ資産から使用するスクリプトにデータをマップします。 さらに、アクティブ データ資産に行または列を追加して、スクリプトからアクティブ データ資産にデータを追加できます。
  3. VB .NET スクリプトでアクティブ データに使用するシートを指定する
    VB .NET スクリプトを実行する際に、シートを指定してアクティブ データ資産のソースを変更できます。
親トピック: アクティブ データ


スクリプトへのアクティブ データの組み込み

開始する前に、使用するデータを含むアクティブ データ資産、またはデータを書き込むアクティブ データ資産を作成します。

アクティブ データ資産から使用するスクリプトにデータをマップします。 さらに、アクティブ データ資産に行または列を追加して、スクリプトからアクティブ データ資産にデータを追加できます。

  1. テストする操作を記録するか、またはテストする操作についてのスクリプトを手動で作成します。 詳細については、「スクリプトの記録」を参照してください。 たとえば、Web アプリケーションで姓、名、および電話番号を記録するスクリプトは以下のようになります。
    Public Sub Main()
  With _desktop.BrowserWindow("/BrowserApplication//BrowserWindow")
    .DomTextField("@id='txtFirstName'").SetText("Pat")
    .DomTextField("@id='txtLastName'").SetText("Smith")
    .DomTextField("@id='txtPhoneNumber'").SetText("555-121-3434")
    .DomButton("@id='btnAdd'").Select()
  End With
  2. LoadActiveData コマンドを使用して、アクティブ データ資産名を指定します。 必要に応じて、アクティブ データ ファイル内の開始行と終了行、使用するランダム行数、およびデータが読み取り専用であるかどうかを指定できます。
    Workbench.LoadActiveData("activeDataName", [start row,
   end row, randomcount, readonly])
  3. 記録したテキストをアクティブ データ資産のテキストで置き換えるには、アクティブ データ ファイル内の対応する各行名に対して宣言を作成し、宣言をスクリプト内の適切なコードにマップします。 たとえば、PhoneBookData アクティブ データ資産で利用可能なすべてのデータを使用するようにステップ 1 のスクリプトを変更するには、スクリプトを以下のように変更します。
    Public Sub Main()
  AddAllToPhoneBook()			'Reads all records in order
End Sub

Public Sub AddAllToPhoneBook()
  Dim data As ActiveData = Workbench.LoadActiveData( "PhoneBookData" )
  Dim row As ActiveDataRow

  With _desktop.BrowserWindow("/BrowserApplication//BrowserWindow")

    For Each row In data

    Dim FirstName As String = row.GetString("fname")
    Dim LastName As String = row.GetString("lname")
    Dim PhoneNumber As String = row.GetString("phonenumber")

    .DomTextField("@id='txtFirstName'").SetText(FirstName)
    .DomTextField("@id='txtLastName'").SetText(LastName)
    .DomTextField("@id='txtPhoneNumber'").SetText(PhoneNumber)

    .DomButton("@id='btnAdd'").Select()
    Next
  End With
End Sub
    スクリプトを再生すると、アクティブ データ資産のすべての宣言されているデータがスクリプトに組み込まれます。
  4. 既存のアクティブ データ資産に列を追加するには、アクティブ データ資産を宣言して、アクティブ データ資産名と列名を指定します。 たとえば、PhoneBookData 資産に「Occupation」という新しい列を追加するには、以下のように入力します。
    Public Sub Main()

  AddColumnToDataFile( "occupation" )
End Sub

Public Sub AddColumnToDataFile( name As String )
  Dim data As ActiveData = Workbench.LoadActiveData( "PhoneBookData" )
  data.AddColumn( "Occupation", name )
  data.Save()
End Sub
End Module
    スクリプトを再生すると、アクティブ データ資産によって指定されたファイルに新しい列が追加されます。
  5. 既存のアクティブ データ資産に行を追加するには、アクティブ データ資産を宣言して、アクティブ データ資産名と行名を指定します。 たとえば、特定の ID 番号の新しいデータ行を追加するには、以下のように入力します。
    Public Sub Main()

  InsertNewNumberToDataFileWithOccupation( 108, "Jay", "Jones", "5551219", _
    "QA Analyst" )

End Sub

Public Sub InsertNewNumberToDataFileWithOccupation( id As Integer, _
    firstName As String, lastName As String, phoneNumber As String, _
    occupation As String )
  Dim data As ActiveData = Workbench.LoadActiveData( "PhoneBookData" )
  Dim row As ActiveDataRow = data.AddRow()

  row.SetLong( "id", id )
  row.SetString( "fname", firstName )
  row.SetString( "lname", lastName )
  row.SetString( "number", phoneNumber )
  row.SetString( "occupation", occupation )

  data.Save()

End Sub
End Module
    スクリプトを再生すると、アクティブ データ資産によって指定されたファイルに新しい行が追加されます。
  6. 特定のセルに変数の値を追加するには、スクリプトに次のコード サンプルを追加します。
    Dim row As ActiveDataRow = data.Item(1)
row.SetString("Columnname" , Variable)
親トピック: スクリプトでのアクティブ データの使用
前のトピック: アクティブ データ テスト資産の作成
次のトピック: VB .NET スクリプトでアクティブ データに使用するシートを指定する
関連タスク
スクリプトの記録
関連資料
LoadActiveData メソッド
AddColumn メソッド (ActiveData)
AddRow メソッド (ActiveData)


VB .NET スクリプトでアクティブ データに使用するシートを指定する

アクティブ データ資産のソースとして Excel スプレッドシートを定義し、このアクティブ データ資産を VB .NET スクリプトでのアクティブ データ資産テストに使用した場合、LoadActiveData メソッドの sheetName パラメータを使用して、実行中に使用するシートを指定できます。詳細については、「LoadActiveData メソッド」を参照してください。

指定したシートが Excel スプレッドシート内に存在しない場合、VB .NET スクリプトの実行時に Silk Test Workbench はエラーをスローします。この場合、Excel スプレッドシートを確認して存在するシートを指定してください。

親トピック: スクリプトでのアクティブ データの使用
前のトピック: スクリプトへのアクティブ データの組み込み
関連タスク
ビジュアル テストでアクティブ データに使用するシートを指定する
関連資料
LoadActiveData メソッド


ビジュアル テストの拡張

このセクションでは、ビジュアル テストを変更して、より高度な機能を実行する方法を示します。

  • ビジュアル テスト ステップで実行される操作の変更
    操作の選択 ダイアログ ボックスを使用して、ビジュアル テストのステップのコントロールで実行される操作を変更できます。
  • ビジュアル テストへのコメントの挿入
    コメントによって、ビジュアル テストにステップについての補足情報を定義できます。
  • フラグ
    フラグの概要について説明します。
  • テスト ロジックの追加
    ビジュアル テストにテスト ロジックを追加する方法について説明します。
  • 自動ステップの操作
    ビジュアル テストで自動ステップを使用する方法を説明するトピックを示します。
  • ビジュアル テストでの項目識別子の使用
    ビジュアル テストで項目識別子を使用して、項目を指定する方法について説明します。
  • ビジュアル テストでのテスト データの再利用
    ビジュアル テストで使用できる再利用の種類を示します。
  • テスト フローの管理
    連続したテスト フローおよび連続していないテスト フローを管理する方法について説明します。
親トピック: テストの拡張


ビジュアル テスト ステップで実行される操作の変更

操作の選択 ダイアログ ボックスを使用して、ビジュアル テストのステップのコントロールで実行される操作を変更できます。

リストには以下の列が含まれています。

操作をクリックして選択し、OK をクリックすると、テスト ステップでコントロールに対してその操作が実行されるようになります。

注: コントロールに対して、選択された操作を特定の方法で実行するために、ほとんどの操作で追加パラメータが使用されます。操作のパラメータは、パラメータ カテゴリにプロパティとして表示され、プロパティ ウィンドウで設定できます。
  1. 変更する操作が含まれているビジュアル テストを開きます。
  2. テスト ステップ ペインで、変更する操作を含むステップを選択します。
  3. プロパティ ペインを開きます。
  4. ペインの 操作 列で、メソッド をクリックします。
  5. 操作の選択 をクリックします。 操作の選択 ダイアログ ボックスが開き、現在のテスト ステップがやり取りする UI コントロールで利用可能なすべての操作が一覧表示されます。リストの各列のテキストを確認できるようダイアログ ボックスのサイズを変更できます。
  6. UI コントロールで実行したい操作を選択します。
  7. OK をクリックします。
親トピック: ビジュアル テストの拡張


ビジュアル テストへのコメントの挿入

コメントによって、ビジュアル テストにステップについての補足情報を定義できます。既存のビジュアル テストにステップとしてコメントを挿入できます。

  1. ビジュアル　テストの テスト ステップ ペインで、コメントを後ろに挿入するステップを選択します。
  2. 挿入 > コメント を選択します。 テスト ステップ ペインに コメント ステップが追加され、このステップのプロパティが プロパティ ペインに表示されます。
  3. プロパティ ペインで、コメント フィールドにコメントのテキストを入力します。
親トピック: ビジュアル テストの拡張


フラグ

フラグを使用して、ビジュアル テスト内または結果内の問題について自分自身や別のチーム メンバに注意を促すことができます。問題にフラグを付けると、挿入したフラグの種類に応じて、フラグ のアイコンまたは 割り当てられたフラグ のアイコンが追加されます。

フラグには以下の情報が含まれます。

  • フラグを作成または更新したユーザーの名前

  • フラグの作成日または更新日

  • フラグの説明（オプション）

  • フラグが割り当てられたユーザーの名前（オプション）

  • ビジュアル テストまたは結果が保存されているプロジェクト（オプション）

フラグ のアイコンは、テスト ステップ ペインの フラグ 列に表示されます。フラグにポインタを合わせると、ツール ヒントとしてフラグの内容が表示されます。

以下のいずれかの方法を使用して、フラグを挿入します。

  • ビジュアル テストまたは結果の テスト ステップ ペインでステップを選択し、フラグを挿入します。

    必要に応じて、フラグに説明を付けたり、別のユーザーにフラグを割り当てたりできます。割り当てられたフラグは、ビジュアル テストまたは結果の選択したステップ、およびフラグを割り当てたユーザーの 開始画面 の フラグ ペインに表示されます。開始画面 では、自身に割り当てられているすべてのフラグをすばやく参照したり、フラグをダブルクリックして対象のビジュアル テストまたは結果を開いたりできます。

  • 再生時に失敗した時にビジュアル テストの結果にフラグを送信する検証ロジックをビジュアル テストに作成します。

    結果では、検証ロジックを含むステップにフラグが挿入されます。このステップは、結果の 失敗 タブ、フラグ タブ、および 詳細 タブの テスト ステップ ペインに表示されます。必要に応じて、ウィザードでフラグの説明を作成できます。デフォルトでは、このフラグは自動的に現在のユーザーに割り当てられます。フラグを別のユーザーに割り当てる場合は、再生後に結果から再割り当てする必要があります。

注: フラグはビジュアル テストでのみサポートされており、Visual Basic .NET スクリプトではサポートされていません。
  • [テスト ステップ] ペインへのフラグの挿入
    ビジュアル テストまたは結果での問題を忘れないように、フラグを挿入できます。
  • 結果へのフラグの挿入
    再生時に検証ロジックに失敗すると、Silk Test Workbench によって、ビジュアル テストの結果にフラグが送信されます。
  • フラグの表示
    フラグの内容を表示します。
  • 開始画面からのフラグの表示
    開始画面 からフラグの内容を表示します。
  • フラグの編集
    必要に応じて、フラグの内容を変更します。
  • フラグの削除
    フラグが不要になったら、削除します。
親トピック: ビジュアル テストの拡張


[テスト ステップ] ペインへのフラグの挿入

ビジュアル テストまたは結果での問題を忘れないように、フラグを挿入できます。

  1. フラグを挿入するビジュアル テストまたは結果を開きます。
  2. ビジュアル テストまたは結果の 合格 タブ、失敗 タブ、フラグ タブ、または 詳細 タブの テスト ステップ ペインで、フラグを挿入するステップを選択します。
  3. 操作 > フラグ > 挿入 をクリックします。 また、フラグを挿入するステップの フラグ 列のセルをダブルクリックして、フラグ ダイアログ ボックスにアクセスすることもできます。 フラグ ダイアログ ボックスが開きます。
  4. 省略可能：説明 テキスト ボックスにフラグの説明を入力します。 この説明は、ポインタを フラグ アイコンまたは 割り当てられたフラグ アイコンに合わせると、ツール ヒントとして表示されます。
  5. 省略可能：開始画面に表示してユーザーに割り当てる チェック ボックスをオンにし、ユーザーを選択して、別のユーザーにフラグを割り当てます。 フラグは、割り当て先のユーザーの 開始画面 に表示されます。
  6. OK をクリックします。 フラグ ダイアログ ボックスで選択したオプションに応じて、フラグ のアイコンまたは 割り当てられたフラグ のアイコンが、選択したステップの フラグ 列に表示されます。結果のフラグの場合、OK をクリックするとすぐにフラグが保存されます。ビジュアル テストのフラグの場合、フラグを保存するにはビジュアル テストを保存する必要があります。
親トピック: フラグ
関連タスク
結果へのフラグの挿入
フラグの編集


結果へのフラグの挿入

再生時に検証ロジックに失敗すると、Silk Test Workbench によって、ビジュアル テストの結果にフラグが送信されます。

  1. ビジュアル テストを作成または記録します。
  2. テスト ロジック デザイナ ウィザードを使用して、検証ロジックを挿入します。
  3. 検証に失敗した場合に、結果に 'フラグ' を作成する チェック ボックスをオンにし、フラグの説明を指定します。
  4. ビジュアル テストを再生します。 再生時に検証ロジックに失敗すると、Silk Test Workbench によって、ビジュアル テストの結果にフラグが送信されます。 結果では、検証ロジックを含むステップにフラグが挿入されます。このステップは、結果 ウィンドウの 失敗 タブ、フラグ タブ、および 詳細 タブに表示されます。
親トピック: フラグ
関連概念
テスト ロジック デザイナ
関連タスク
[テスト ステップ] ペインへのフラグの挿入
フラグの編集
ビジュアル テストへの結果コメントの挿入


フラグの表示

フラグの内容を表示します。

  1. フラグを表示するビジュアル テストまたは結果を開きます。 ビジュアル テストまたは結果の 合格 タブ、失敗 タブ、フラグ タブ、または 詳細 タブの テスト ステップ ペインで、フラグが付けられたステップには フラグ 列に フラグ のアイコンまたは 割り当てられたフラグ のアイコンが示されます。
  2. フラグ のアイコンまたは 割り当てられたフラグ のアイコンにポインタを合わせます。
    ツール ヒントにフラグの内容が表示されます。
親トピック: フラグ


開始画面からのフラグの表示

開始画面 からフラグの内容を表示します。

  1. 開始画面 を開きます。 デフォルトでは、フラグは作成された日付と表示される資産でグループ化され、フラグ ペインに表示されます。
    注: フラグ ペインの表示を変更するには、開始画面のフラグ オプションを変更します。このオプションは、開始画面 の ヘルプ ペインの下にある カスタマイズ ボタンをクリックして、開始画面 からアクセスできます。
  2. 表示するフラグに移動して、割り当てられたフラグ のアイコンにポインタを合わせます。 ツール ヒントにフラグの内容が表示されます。
  3. フラグが挿入されているビジュアル テストまたは結果を開くには、割り当てられたフラグ のアイコンをダブルクリックします。
親トピック: フラグ


フラグの編集

必要に応じて、フラグの内容を変更します。

  1. 編集するフラグを含むビジュアル テストまたは結果を開きます。
  2. ビジュアル テストまたは結果の 合格 タブ、失敗 タブ、フラグ タブ、または 詳細 タブの テスト ステップ ペインで、編集するフラグを含むステップを選択します。
  3. 操作 > フラグ > 編集 をクリックします。 フラグ ペインが開きます。また、フラグ のアイコンまたは 割り当てられたフラグ のアイコンをダブルクリックして フラグ ダイアログ ボックスを開くこともできます。
  4. 省略可能：説明 テキスト ボックスにフラグの説明を入力します。 この説明は、ポインタを フラグ アイコンまたは 割り当てられたフラグ アイコンに合わせると、ツール ヒントとして表示されます。
  5. 省略可能：開始画面に表示してユーザーに割り当てる チェック ボックスをオンにし、ユーザーを選択して、別のユーザーにフラグを割り当てます。 フラグは、割り当て先のユーザーの 開始画面 に表示されます。
  6. OK をクリックします。
    結果のフラグの場合、OK をクリックするとすぐにフラグが保存されます。ビジュアル テストのフラグの場合、フラグを保存するにはビジュアル テストを保存する必要があります。
親トピック: フラグ
関連タスク
[テスト ステップ] ペインへのフラグの挿入
結果へのフラグの挿入


フラグの削除

フラグが不要になったら、削除します。

  1. 削除するフラグを含むビジュアル テストまたは結果を開きます。
  2. ビジュアル テストまたは結果の 合格 タブ、失敗 タブ、フラグ タブ、または 詳細 タブの テスト ステップ ペインで、削除するフラグを含むステップを選択します。
  3. 操作 > フラグ > 削除 をクリックします。 フラグの削除を確認するメッセージが表示されます。
  4. はい をクリックします。 結果のフラグの場合、OK をクリックするとすぐにフラグが削除されます。ビジュアル テストのフラグの場合、フラグを永久的に削除するにはビジュアル テストを保存する必要があります。
親トピック: フラグ


テスト ロジックの追加

記録されたビジュアル テストの基本的な機能を拡張するテスト ロジックを含めることで、ビジュアル テストの機能と柔軟性を強化できます。テスト ロジックを挿入すると、ビジュアル テストの実行フローを動的に変更できます。たとえば、ユーザー定義の条件を評価するテスト ロジックをビジュアル テストに挿入して、その条件の結果に基づいて以下のいずれかの操作を実行できます。

  • ビジュアル テストの一連のテスト ステップを実行したり、繰り返したりする
  • ビジュアル テストからビジュアル テストを実行する
  • 合格／失敗メッセージ、およびテスト ステップの再生ステータスに関するフラグをビジュアル テストの結果に送信する

これらの操作を実行するために、Silk Test Workbench にはさまざまなタイプのテスト ロジックが用意されています。これらのロジック タイプは以下のカテゴリに分けられます。

  • 判断ロジック：ユーザー定義の条件を評価して、その条件の戻り値に応じて一連のテスト ステップを実行するロジックです。
  • 繰り返しロジック：指定した回数または時間、あるいはユーザー定義の条件が true である間、一連のテスト ステップを繰り返します。
  • 検証ロジック：ユーザー定義の条件を評価して、合格／失敗メッセージとフラグをビジュアル テストの結果に送信します。
  • エラー処理ロジック：再生中にエラーが発生した場合、ユーザー定義の操作を実行します。

Silk Test Workbench には、テスト ロジックをビジュアル テストに挿入するために、以下のツールが用意されています。

  • テスト ロジック デザイナ ウィザード。
  • ロジック ツールボックス。
  • 判断テスト ステップ If、Else If、Else。
  • 判断ロジック
    判断ロジックの概要とその例について説明します。
  • 繰り返しロジック
    繰り返しロジックの概要とその例について説明します。
  • 検証ロジック
    検証ロジックの概要とその例について説明します。
  • エラー処理ロジック
    エラー処理ロジックの概要とその例について説明します。
  • テスト ロジック デザイナ
    テスト ロジック デザイナ ウィザードの概要について説明します。
  • ステップの選択
    ビジュアル テストの単一のステップまたは一連のステップを選択します。
  • ロジック ツールボックス
    ロジック ツールボックスおよび一般的なタイプのテスト ロジックの概要について説明します。
  • 記録中のテスト ロジックの挿入
    ビジュアル テストの記録中にテスト ロジックを挿入できます。
  • 既存のビジュアル テストへのテスト ロジックの挿入
    作成したビジュアル テストにテスト ロジックを挿入することができます。
  • 条件デザイナー
    条件デザイナー ダイアログ ボックスの概要を説明し、各テスト ロジックの種類の例を提供します。
  • 式デザイナ
    式デザイナ の概要とその例について説明します。
親トピック: ビジュアル テストの拡張


判断ロジック

判断ロジックでは、ユーザー定義の条件を評価して、その条件の戻り値に応じて一連のテスト ステップを実行します。判断ロジックで使用される条件は、2 つの値を比較し、その結果に基づいて値を返します。詳細については、「条件デザイナ」を参照してください。条件内の値には、テスト アプリケーション内のコントロールのプロパティの値、ビジュアル テストで使用される変数の値、またはリテラル値のいずれかを使用できます。詳細については、「テスト ロジック デザイナ：ロジックの種類の選択（判断）」を参照してください。

判断ロジックは、以下の要素で構成されます。

If <条件=TRUE>
  __<テスト ステップを順番に実行>
End If

たとえば、以下の判断ロジックの条件では、変数 propertyVar とリテラル値「4」を比較しています。変数 propertyVar がリテラル値「4」より大きい場合は、ステップ 5 から 9 が実行されます。

If propertyVar より大きい 4
  __ステップ 5 からステップ 9 まで実行
End If

また、Else If と Else を使用して、任意のレベル数にネストした複雑な判断ロジックを作成することもできます。

If <条件=TRUE>
  __<テスト ステップを順番に実行>
Else If <条件=TRUE>
  __<テスト ステップを順番に実行>
Else
  __<テスト ステップを順番に実行>
End If

たとえば、以下の判断ロジックの条件では、変数 propertyVar とリテラル値「4」を比較しています。変数 propertyVar がリテラル値「4」より大きい場合は、ステップ 5 から 9 が実行されます。「4」より小さい場合は、ステップ 10 から 14 が実行されます。「4」と等しい場合は、ステップ 15 が実行されます。

If propertyVar より大きい 4
  __ステップ 5 からステップ 9 まで実行
Else If propertyVar より小さい 4
  __ステップ 10 からステップ 14 まで実行
Else
  __ステップ 15 を実行
End If

判断ロジックは、テスト ロジック デザイナ ウィザード、ロジック ツールボックス、または If...Else If...Else テスト ステップを使用して作成できます。

  • ビジュアル テストへの判断ロジックの追加
    ビジュアル テストに判断ロジックを追加して、ユーザー定義の条件の戻り値に応じて一連のテスト ステップを実行します。
  • 判断テスト ステップを使用した判断ロジックの追加
    判断ロジックをビジュアル テストに迅速に挿入するには、ツール バーの If、Else If、および Else ボタンを使用します。
  • 判断ロジック テスト ステップの編集
    使用可能な条件プロパティまたはその他のプロパティを編集します。
親トピック: テスト ロジックの追加
関連概念
条件デザイナー


ビジュアル テストへの判断ロジックの追加

このトピックでは、テスト ロジック デザイナ を使用して、ビジュアル テストに判断ロジックを追加する方法について説明します。判断ロジック テスト ステップをビジュアル テストに直接追加する方法については、「判断テスト ステップを使用した判断ロジックの追加」を参照してください。
  1. ビジュアル テストを開きます。
  2. テスト ロジックに含める 1 つのテスト ステップまたは一連のテスト ステップで右クリックします。
  3. 挿入 > テスト ロジック > 判断 を選択します。 テスト ロジック デザイナ ウィザードが開きます。
  4. 次へ をクリックします。
  5. ロジックの種類の選択 ページで、判断ロジックの種類を選択します。
    • コントロールのプロパティ：テスト アプリケーションのコントロールのプロパティに基づいて、一連のステップを実行する判断ロジックを作成します。例：
      If propertyValue より大きい 2 ステップ 3 からステップ 4 まで実行 End If
    • コントロールの存在確認：指定したコントロールが存在するかしないかに基づいて、一連のステップを実行する判断ロジックを作成します。例：
      "Button" が存在する 等しい True ステップ 3 からステップ 4 まで実行 End If
    • このビジュアル テストで定義した変数：ビジュアル テストに定義されているローカル変数の内容に基づいて一連のステップを実行する判断ロジックを作成します。例：
      If stringVar = “red” ステップ 3 からステップ 4 まで実行 End If
    • 高度なロジック：ウィザードの 条件の定義 ステップをスキップし、条件デザイナ を使用して、詳細な判断ロジックを作成します。例：
      If stringVar = "red" および numberVar = 10 ステップ 3 からステップ 4 まで実行 End If
  6. 次へ をクリックします。
  7. コントロールのプロパティ を選択した場合、プロパティに基づく条件の定義 ページが開きます。
    1. コントロール名 フィールドの右側にある コントロールの識別 メニューを展開します。
    2. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    3. プロパティの選択 テーブルで、プロパティを選択します。
    4. 条件の選択 リストから、コントロールのプロパティに適用する条件ロジックを選択します。
    5. 期待値 フィールドには、プロパティに期待する値を指定します。
    6. 次へ をクリックします。
  8. コントロールの存在確認 を選択した場合、コントロールの存在条件の定義 ページが開きます。
    1. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    2. コントロールが存在することを確認する場合は、コントロールが存在する を選択します。
    3. コントロールが存在しないことを確認する場合は、コントロールが存在しない を選択します。
    4. タイムアウト フィールドには、コントロールが表示される、または表示されなくなるまで Silk Test Workbench が待機する時間を指定します。 デフォルトのタイムアウトは 0 で、コントロールが表示される、または表示されなくなるまで Silk Test Workbench は待機しないことを意味します。
    5. 次へ をクリックします。
  9. このビジュアル テストで定義した変数 を選択した場合、変数に基づく条件の定義 ページが開きます。
    1. 変数の選択 リストから事前に定義されたローカル変数を選択します。 このリストに変数を表示するには、ビジュアル テストにローカル変数を含める必要があります。ビジュアル テストに新しいローカル変数を追加する場合は、新規作成 をクリックします。 評価結果 フィールドには、選択した変数のデータ型が表示されます。
    2. 条件の選択 から変数に適用する比較演算子を選択します。
    3. 期待値 フィールドには、変数に期待する値を指定します。
    4. 次へ をクリックします。
  10. 高度なロジック を選択した場合、次へ をクリックします。
  11. 判断の構築 ページが開きます。条件ロジック、および条件ロジックの結果が真となる場合に実行する、一連のステップを指定します。
    ヒント: ポインタをリンクの上に置くと、完全なリンクの説明を含むツール ヒントが表示されます。
    1. 条件デザイナー で条件ロジックを指定するには、If 文の右側にあるリンクをクリックします。
    2. 実行する一連のステップの最初のステップを指定するには、ステップの開始 の右側にあるリンクをクリックします。
    3. 実行する一連のステップの最後のステップを指定するには、ステップの終了 の右側にあるリンクをクリックします。
    4. 追加の条件ロジックを挿入するには、 Else If の追加 をクリックします。 用意されたリンクをクリックして 条件デザイナ を開き、条件が True であるときに実行する一連のステップを指定します。
    5. 追加の条件ロジックを挿入するには、 Else の追加 をクリックします。 用意されたリンクを使用して、条件が False であるときに実行する一連のステップを指定します。
    6. 追加の条件ロジックおよび一連のステップを削除するには、削除 をクリックします。 このボタンは、追加の条件ロジックを挿入したあとにのみ表示されます。
  12. 次へ をクリックします。 要約 ページに、定義したテスト ロジックが表示されます。このページの最下部にあるチェック ボックスをオフにすると、テスト ロジック デザイナ ウィザードを今後使用するときに、要約 ページが表示されなくなります。このチェック ボックスのオン／オフを切り替えると、テスト ロジック デザイナの要約画面の表示 全般オプションが更新されます。詳細については、「全般オプションの変更」を参照してください。
  13. 完了 をクリックして、ビジュアル テストのテスト ステップにテスト ロジックを挿入します。テスト ロジックを変更するには、戻る をクリックして、必要な変更を加えます。 テスト ロジックがビジュアル テストに追加されます。
親トピック: 判断ロジック
関連概念
テスト ロジック デザイナ
関連タスク
条件デザイナーを使用した条件の定義
判断テスト ステップを使用した判断ロジックの追加
ビジュアル テストへの繰り返しロジックの追加
ビジュアル テストへの検証ロジックの追加
ビジュアル テストへのエラー処理ロジックの追加
全般オプションの変更


判断テスト ステップを使用した判断ロジックの追加

If、Else If、および Else テスト ステップを挿入することですばやく判断ロジックを作成できます。これらのテスト ステップを使用すると、テスト ロジック デザイナ ウィザードとは別の方法で判断ロジックを作成できます。また、テスト ロジック デザイナ ウィザードを使用しなくても、既存の判断ロジックをすばやく変更できます。

Else If および Else テスト ステップでは、任意のレベル数にネストした複雑な判断ロジックを作成できます。

If <条件=TRUE>
  __<テスト ステップを順番に実行>
Else If <条件=TRUE>
  __<テスト ステップを順番に実行>
Else
  __<テスト ステップを順番に実行>
End If

たとえば、以下の判断ロジックの条件では、変数 propertyVar とリテラル値「4」を比較しています。変数 propertyVar がリテラル値「4」より大きい場合は、ステップ 5 から 9 が実行されます。「4」より小さい場合は、ステップ 10 から 14 が実行されます。「4」と等しい場合は、ステップ 15 が実行されます。

If propertyVar より大きい 4
  __ステップ 5 からステップ 9 まで実行
Else If propertyVar より小さい 4
  __ステップ 10 からステップ 14 まで実行
Else
  __ステップ 15 を実行
End If

ビジュアル テストに判断テスト ステップをすばやく挿入するには、以下を実行します。

  1. ビジュアル テストを開き、判断ロジックに含めるテスト ステップを選択します。 一連のテスト ステップを選択するには、最初のステップを選択し、Shift キーを押しながら最後のテスト ステップを選択します。最初と最後のテスト ステップの間のテスト ステップはすべて自動的に選択されます。
  2. ツールバーで If タイプのロジック項目の挿入 をクリックします。 選択したテスト ステップが、If テスト ステップと End If テスト ステップで囲まれます。
  3. 省略可能：Else If または Else テスト ステップを If...End If ロジックに挿入するには、Else If または Else テスト ステップを挿入する場所の直前のテスト ステップを選択し、Else If タイプのロジック項目の挿入 または Else タイプのロジック項目の挿入 をクリックします。
親トピック: 判断ロジック
関連タスク
ビジュアル テストへの判断ロジックの追加


判断ロジック テスト ステップの編集

テスト ロジック デザイナ ウィザードまたは 条件デザイナ を使用してテスト ロジック ステップを作成したあと、プロパティ ペインから直接そのテスト ステップを編集できます。

注: 条件 プロパティは、If および Else If テスト ステップにのみ含まれます。 Else および End If テスト ステップには含まれません。
  1. 編集するテスト ステップが含まれているビジュアル テストを開きます。
  2. ビジュアル テストの テスト ステップ ウィンドウで、編集するテスト ステップを選択します。 選択したテスト ステップのプロパティおよび関連するプロパティ値が、プロパティ ペインにプロパティ カテゴリごとに表示されます。
  3. 使用可能な条件プロパティまたはその他のプロパティを編集します。
親トピック: 判断ロジック


繰り返しロジック

繰り返しロジックは、指定した回数、またはユーザー定義の条件が true になるまで、一連のテスト ステップを繰り返します。繰り返しロジックで使用される条件は、2つの値を比較し、その結果に基づいて値を返します。詳細については、「条件デザイナ」を参照してください。条件内の値には、テスト アプリケーション内のコントロールのプロパティの値、ビジュアル テストで使用される変数の値、リテラル値、またはアクティブ データ資産からの値のいずれかを使用できます。

指定した回数だけ一連のテスト ステップを繰り返す繰り返しロジックは、以下の要素で構成されます。

このループを <回数> 回繰り返します
  __<テスト ステップを順番に実行>
繰り返しの終了

たとえば、以下の繰り返しロジックでは、テスト ステップのステップ10からステップ15までが繰り返されます。

このループを 10 回繰り返します
  __ステップ 10 から
  __ステップ 15 まで実行
繰り返しの終了

ユーザー定義の条件がTrueの間、またはTrueになるまで一連のテスト ステップを繰り返す繰り返しロジックは、以下の要素で構成されます。

<条件=TRUE> の間繰り返します
  __<テスト ステップを順番に実行>
繰り返しの終了

または、以下のようにループの最後に条件を指定できます。

繰り返します
  __<テスト ステップを順番に実行>
<条件=TRUE> の間繰り返して終了

たとえば、以下の繰り返しロジックでは、変数 propertyVar の値がリテラル値「4」より小さい間は、一連のテスト ステップが繰り返されます。propertyVar が「4」より大きいか等しくなると、ループは実行されません。

propertyVar より小さい 4 の間繰り返します
  __ステップ 10 から
  __ステップ 14 まで実行
繰り返しの終了

または、ループの最後に条件を指定できます。以下の場合、propertyVar が「4」より大きいか等しいと、ループが 1 回実行されます。

繰り返します
  __ステップ 10 から
  __ステップ 14 まで実行
propertyVar より小さい 4 の間繰り返して終了

繰り返しロジックは、テスト ロジック デザイナ ウィザードまたはロジック ツールボックスを使用して作成できます。

  • ビジュアル テストへの繰り返しロジックの追加
    ビジュアル　テストに繰り返しロジックを追加すると、指定した回数、またはユーザー定義の条件が真になるまで、一連のテスト ステップを繰り返します。
  • リスト ボックスまたはコンボ ボックスの内容に基づいた繰り返しロジックの作成
    繰り返しロジックで使用するリスト ボックス コントロールまたはコンボ ボックス コントロールを特定します。
  • 繰り返しロジック テスト ステップの編集
    使用可能な条件プロパティまたはその他のプロパティを編集します。
親トピック: テスト ロジックの追加
関連概念
条件デザイナー


ビジュアル テストへの繰り返しロジックの追加

このトピックでは、テスト ロジック デザイナ を使用して、ビジュアル テストに繰り返しロジックを追加する方法について説明します。
  1. ビジュアル テストを開きます。
  2. 繰り返したい 1 つのテスト ステップまたは一連のテスト ステップで右クリックします。
  3. 挿入 > テスト ロジック > 繰り返し を選択します。 テスト ロジック デザイナ ウィザードが開きます。
  4. 次へ をクリックします。
  5. ロジックの種類の選択 ページで、繰り返しロジックの種類を選択します。

    以下のオプションに基づいて、繰り返しロジックのタイプを選択します。

    • コントロールのプロパティ：テスト アプリケーションのコントロールのプロパティに基づいて、一連のステップを繰り返す繰り返しロジックを作成します。例：
      propertyValue 等しい 3 の間繰り返します __ステップ 3 から __ステップ 4 まで実行 繰り返しの終了
    • コントロールの存在確認：指定したコントロールが存在するかしないかに基づいて、一連のステップを繰り返す繰り返しロジックを作成します。例：
      "Button" が存在する 等しい True の間繰り返します __ステップ 3 から __ステップ 4 まで実行 繰り返しの終了
    • このビジュアル テストで定義した変数：ビジュアル テストに定義されているローカル変数の内容に基づいて一連のステップを繰り返す繰り返しロジックを作成します。例：
      numberVar より小さい 5 の間繰り返します __ステップ 3 から __ステップ 5 まで実行 繰り返しの終了
    • ステップ シーケンスを設定した回数繰り返す：一連のステップを設定した回数繰り返す繰り返しロジックを作成します。例：
      このループを 10 回繰り返します __ステップ 3 から __ステップ 7 まで実行 繰り返しの終了
    • リストまたはコンボ ボックスの内容：リスト ボックスまたはコンボ ボックス内の各項目に対して、一連のステップを繰り返す繰り返しロジックを作成します。例：
      ListA の各項目ごとに繰り返します __ステップ 3 から __ステップ 5 まで実行 繰り返しの終了
    • アクティブ データ ファイルを使用してステップ シーケンスを繰り返す：ビジュアル テストで使用するアクティブ データ ファイルのデータに基づいて、一連のステップを繰り返す繰り返しロジックを作成します。例：
      アクティブ データ testData を使用して繰り返します __ステップ 3 から __ステップ 5 まで実行 繰り返しの終了
    • 高度なロジック：ウィザードの 条件の定義 ステップをスキップし、条件デザイナ を使用して、詳細な繰り返しロジックを作成します。例：
       propertyValue = red または stringVar = red の間繰り返します __ステップ 3 から __ステップ 5 まで実行 繰り返しの終了
  6. 次へ をクリックします。
  7. コントロールのプロパティ を選択した場合、プロパティに基づく条件の定義 ページが開きます。
    1. コントロール名 フィールドの右側にある コントロールの識別 メニューを展開します。
    2. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    3. プロパティの選択 テーブルで、プロパティを選択します。
    4. 条件の選択 リストから、コントロールのプロパティに適用する条件ロジックを選択します。
    5. 期待値 フィールドには、プロパティに期待する値を指定します。
    6. 次へ をクリックします。
  8. コントロールの存在確認 を選択した場合、コントロールの存在条件の定義 ページが開きます。
    1. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    2. コントロールが存在することを確認する場合は、コントロールが存在する を選択します。
    3. コントロールが存在しないことを確認する場合は、コントロールが存在しない を選択します。
    4. タイムアウト フィールドには、コントロールが表示される、または表示されなくなるまで Silk Test Workbench が待機する時間を指定します。 デフォルトのタイムアウトは 0 で、コントロールが表示される、または表示されなくなるまで Silk Test Workbench は待機しないことを意味します。
    5. 次へ をクリックします。
  9. このビジュアル テストで定義した変数 を選択した場合、変数に基づく条件の定義 ページが開きます。
    1. 変数の選択 リストから事前に定義されたローカル変数を選択します。 このリストに変数を表示するには、ビジュアル テストにローカル変数を含める必要があります。ビジュアル テストに新しいローカル変数を追加する場合は、新規作成 をクリックします。 評価結果 フィールドには、選択した変数のデータ型が表示されます。
    2. 条件の選択 から変数に適用する比較演算子を選択します。
    3. 期待値 フィールドには、変数に期待する値を指定します。
    4. 次へ をクリックします。
  10. ステップ シーケンスを設定した回数繰り返す を選択した場合、繰り返し回数の定義 ページが開きます。
    1. 1 から 32767 の数値を入力して、一連のステップを繰り返す回数を指定します。
    2. 次へ をクリックします。
  11. リストまたはコンボ ボックスの内容 を選択した場合、コントロールに基づく繰り返しの定義 ページが開きます。
    1. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
      いずれのタイプのコントロールでも、リスト ボックスまたはコンボ ボックスの各項目の値を使用する繰り返しロジックを作成できます。たとえば、リスト ボックスまたはコンボ ボックスの値に対して反復処理を行い、各項目の値をテスト アプリケーションのテキスト ボックスに挿入する繰り返しループを作成できます。このようにして、リスト ボックスまたはコンボ ボックスの内容全体をすばやくテストできます。
    2. 次へ をクリックします。
  12. アクティブ データ ファイルを使用してステップ シーケンスを繰り返す を選択した場合、使用するアクティブ データ資産の定義 ページが開きます。 使用するアクティブ データ資産の定義 ページを使用して、繰り返しロジックで使用するアクティブ データ資産とアクティブ データ資産内のデータの取得方法を定義します。
    1. リストから アクティブ データ資産 を選択します。 アクティブ データ資産をこのリストに表示するためには、まずビジュアル テストにアクティブ データ資産を含める必要があります。
    2. 使用するデータ ファイルのシートを、シート名 リストから選択します。 デフォルトでは、アクティブ データ資産で指定されているシートが使用されます。
    3. 使用するアクティブ データ ファイルの最初のデータ行の番号を、開始行 フィールドに入力します。
    4. アクティブ データ ファイルの最後のデータ行から開始するには、データを含む最後の行から開始 チェック ボックスをオンにします。 ファイルの最後の行が Silk Test Workbench によって自動的に検出され、アクティブ データ ファイルの行に対し逆方向で反復処理が行われます。たとえば、アクティブ データ ファイルに 10 行が含まれているときにこのオプションを選択した場合は、行 10、行 9、行 8 という順番で反復処理が Silk Test Workbench によって行われます。
    5. 使用するアクティブ データ ファイルの最後のデータ行の番号を、終了行 フィールドに入力します。
    6. アクティブ データ ファイルの最後のデータ行で終了するには、データを含む最後の行で終了 チェック ボックスをオンにします。 ファイルの最後の行が Silk Test Workbench によって自動的に検出されます。
      ヒント: データを含む最後の行から開始 チェック ボックスまたは データを含む最後の行で終了 がオンになっている場合は、繰り返し ステップの Start Row プロパティまたは End Row プロパティの値が -1 に設定されます。
    7. 行が処理される順番を選択します。

      • 順序通りにすべての行を取得：アクティブ データ ファイルで、選択した行の最初に指定した行から最後に指定した行まで順番に反復処理を行うには、このオプションを選択します。

      • ランダムな順序ですべての行を取得：アクティブ データ ファイルのすべての行でランダムに反復処理を行うには、このオプションを選択します。

      • ランダムに X 行を取得：指定した行数に対してランダムに反復処理を行うには、このオプションを選択してアクティブ データ ファイルの行数を入力します。

    8. 次へ をクリックします。
  13. 高度なロジック を選択した場合、次へ をクリックします。
  14. 繰り返しの構築 ページが開きます。繰り返す一連のステップを指定します。
    ヒント: ポインタをリンクの上に置くと、完全なリンクの説明を含むツール ヒントが表示されます。
    1. 繰り返し期間では、ループの開始または終了時に確認される繰り返し条件を選択します。
    2. 繰り返し期間に対して、条件デザイナー で条件ロジックを指定するには、繰り返し期間 文の右側にあるリンクをクリックします。
    3. 繰り返す一連のステップの最初のステップを指定するには、ステップの開始 の右側にあるリンクをクリックします。
    4. 繰り返す一連のステップの最後のステップを指定するには、ステップの終了 の右側にあるリンクをクリックします。
  15. 次へ をクリックします。 要約 ページに、定義したテスト ロジックが表示されます。このページの最下部にあるチェック ボックスをオフにすると、テスト ロジック デザイナ ウィザードを今後使用するときに、要約 ページが表示されなくなります。このチェック ボックスのオン／オフを切り替えると、テスト ロジック デザイナの要約画面の表示 全般オプションが更新されます。詳細については、「全般オプションの変更」を参照してください。
  16. 完了 をクリックして、ビジュアル テストのテスト ステップにテスト ロジックを挿入します。テスト ロジックを変更するには、戻る をクリックして、必要な変更を加えます。 テスト ロジックがビジュアル テストに追加されます。
親トピック: 繰り返しロジック
関連概念
テスト ロジック デザイナ
関連タスク
ビジュアル テストへの判断ロジックの追加
ビジュアル テストへの検証ロジックの追加
ビジュアル テストへのエラー処理ロジックの追加
ステップの選択


リスト ボックスまたはコンボ ボックスの内容に基づいた繰り返しロジックの作成

繰り返しロジックで使用するリスト ボックス コントロールまたはコンボ ボックス コントロールを特定します。いずれのタイプのコントロールでも、リスト ボックスまたはコンボ ボックスの各項目の値を使用する繰り返しロジックを作成できます。たとえば、リスト ボックスまたはコンボ ボックスの値に対して反復処理を行い、各項目の値をテスト アプリケーションのテキスト ボックスに挿入する繰り返しループを作成できます。このようにして、リスト ボックスまたはコンボ ボックスの内容全体をすばやくテストできます。

  1. ビジュアル テストを記録します。
  2. リスト ボックスまたはコンボ ボックス コントロールに基づいて繰り返しロジックを作成するには、テスト ロジック ウィザードを使用します。
  3. リテラル値を予約変数 st_RepeatListValue に置き換えて、リスト ボックスまたはコンボ ボックスの内容を使用する繰り返しテスト ステップを変更します。 予約変数 st_RepeatListValue は、繰り返しループを反復するたびに、リスト ボックスまたはコンボ ボックスの各項目の値を格納するために使用します。st_RepeatListValue は、項目のインデックスとテキストの両方が含まれている複合値を返します。
  4. テスト ステップを変更するには、繰り返すテスト ステップを選択します。
  5. プロパティ ウィンドウで、変更するテスト ステップの自動化プロパティを選択します。
  6. 選択 をクリックして、変数 を選択します。 変数の選択 ダイアログ ボックスが開きます。
  7. 変数の種類 リストから 予約 を選択し、st_RepeatListValue を選択します。
  8. OK をクリックします。 Silk Test Workbench によって、テスト ステップのテキストおよびプロパティ値が、選択した変数名に更新されます。
  9. ビジュアル テストを実行します。
親トピック: 繰り返しロジック


繰り返しロジック テスト ステップの編集

テスト ロジック デザイナ ウィザードまたは 条件デザイナ を使用してテスト ロジック ステップを作成したあと、プロパティ ペインから直接そのテスト ステップを編集できます。

  1. 編集するテスト ステップが含まれているビジュアル テストを開きます。
  2. ビジュアル テストの テスト ステップ ウィンドウで、編集する繰り返しロジック テスト ステップを選択します。 選択したテスト ステップのプロパティおよび関連するプロパティ値が、プロパティ ペインにプロパティ カテゴリごとに表示されます。
  3. 使用可能な条件プロパティまたはその他のプロパティを編集します。 繰り返し テスト ステップには、条件プロパティとその他のプロパティの両方が含まれています。 繰り返しの終了 には、その他のプロパティのみが含まれています。
親トピック: 繰り返しロジック


検証ロジック

検証ロジックは、ユーザー定義の条件を評価して、合格／失敗メッセージをビジュアル テストまたはスクリプトの結果に送信します。必要に応じて、失敗のテスト ステップにフラグを付けて、ビジュアル テストの結果に表示することもできます。検証ロジックで使用される条件は、2つの値を比較し、その結果に基づいて値を返します。詳細については、「条件デザイナ」を参照してください。条件内の値には、テスト アプリケーション内のコントロールのプロパティの値、ビジュアル テストで使用される変数の値、または一連のテスト ステップの実行にかかる時間のいずれかを使用できます。

検証ロジックは、以下の要素で構成されます。

If <条件=TRUE>
  __<合格メッセージを結果に送信>
Else
  __<失敗メッセージとフラグを結果に送信>
End If

たとえば、以下の判断ロジックの条件では、変数 propertyVar とリテラル値「4」を比較しています。変数 propertyVar がリテラル値「4」より大きい場合は、合格メッセージが結果に送信されます。値が「4」より小さい場合は、失敗メッセージとフラグが送信されます。

If propertyVar より大きい 4
  __<合格メッセージを送信>
Else
  __<失敗メッセージとフラグを送信>
End If

検証ロジックは、テスト ロジック デザイナ ウィザードまたはロジック ツールボックスを使用して作成できます。ビジュアル テストの記録中に検証ロジックを作成することもできます。

  • ビジュアル テストへの検証ロジックの追加
    ビジュアル テストに検証ロジックを追加して、ユーザー定義の条件を評価して、合格／失敗メッセージをビジュアル テストの結果に送信します。
  • 検証ロジック テスト ステップの編集
    使用可能な条件プロパティ、検証結果の説明プロパティ、フラグの設定プロパティ、またはその他のプロパティを編集します。
親トピック: テスト ロジックの追加
関連概念
条件デザイナー


ビジュアル テストへの検証ロジックの追加

このトピックでは、テスト ロジック デザイナ を使用して、ビジュアル テストに検証ロジックを追加する方法について説明します。どの種類の検証ロジックも、ユーザー定義の合格／失敗メッセージを送信し、フラグをビジュアル テストの結果に設定します（任意）。
  1. ビジュアル テストを開きます。
  2. 検証したいオブジェクトを含むテスト ステップで右クリックします。
  3. 挿入 > テスト ロジック > 検証 を選択します。 テスト ロジック デザイナ ウィザードが開きます。
  4. 次へ をクリックします。
  5. ロジックの種類の選択 ページで、検証ロジックの種類を選択します。

    以下のオプションに基づいて、検証ロジックのタイプを選択します。

    • コントロールのプロパティ：コントロールのプロパティの値に基づいて検証ロジックを作成します。例：
      「"Button"."Text" 等しい "Cancel"」を検証します
    • コントロールの存在確認：指定したコントロールが存在するかしないかを検査する検証ロジックを作成します。例：
      「"Button" が存在する 等しい True」を検証します
    • このビジュアル テストで定義した変数：ビジュアル テストに定義されているローカル変数の内容に基づいて検証ロジックを作成します。例：
      「st_LastValidation 等しい False」を検証します
    • Rumba 画面のコンテンツ：Rumba 画面のコンテンツを比較するための検証ロジックを作成します。
    • 検証資産：UI のコンテンツを資産と比較するための検証ロジックを作成します。現時点では、Silk Test Workbench は、検証資産としてイメージ検証のみをサポートしています。詳細については、「資産の種類」を参照してください。例：
      'Untitled_1' という名前のイメージ検証を実行します
    • ステップ シーケンスの実行にかかる時間：ステップ シーケンスの実行にかかる時間に基づいて検証ロジックを作成します。例：
      「タイマー番号 '1' が 0 から 2 秒の間にある」を検証します __ステップ 3 から __ステップ 4 を実行します
  6. 次へ をクリックします。
  7. コントロールのプロパティ を選択した場合、プロパティに基づく条件の定義 ページが開きます。
    1. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    2. さらに、コントロール名 フィールドにコントロールの完全ロケーターを入力して、更新 をクリックすることもできます。 テスト対象アプリケーションでコントロールが見つかると、プロパティの選択 リストがコントロールのプロパティで更新されます。
    3. プロパティの選択 テーブルで、プロパティを選択します。
    4. 条件の選択 リストから、コントロールのプロパティに適用する条件ロジックを選択します。
    5. 期待値 フィールドには、プロパティに期待する値を指定します。
    6. 次へ をクリックします。
  8. コントロールの存在確認 を選択した場合、コントロールの存在条件の定義 ページが開きます。
    1. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    2. コントロールが存在することを確認する場合は、コントロールが存在する を選択します。
    3. コントロールが存在しないことを確認する場合は、コントロールが存在しない を選択します。
    4. タイムアウト フィールドには、コントロールが表示される、または表示されなくなるまで Silk Test Workbench が待機する時間を指定します。 デフォルトのタイムアウトは 0 で、コントロールが表示される、または表示されなくなるまで Silk Test Workbench は待機しないことを意味します。
    5. 次へ をクリックします。
  9. このビジュアル テストで定義した変数 を選択した場合、変数に基づく条件の定義 ページが開きます。
    1. 変数の選択 リストから事前に定義されたローカル変数を選択します。 このリストに変数を表示するには、ビジュアル テストにローカル変数を含める必要があります。ビジュアル テストに新しいローカル変数を追加する場合は、新規作成 をクリックします。 評価結果 フィールドには、選択した変数のデータ型が表示されます。
    2. 条件の選択 から変数に適用する比較演算子を選択します。
    3. 期待値 フィールドには、変数に期待する値を指定します。
    4. 次へ をクリックします。
  10. Rumba 画面のコンテンツ を選択した場合、Rumba 画面上のコントロールを識別します。
    1. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    2. 次へ をクリックします。
  11. 検証資産 を選択した場合、検証資産の構築 ページが開きます。
    1. 1 から 32767 の数値を入力して、一連のステップを繰り返す回数を指定します。
    2. 次へ をクリックします。
  12. リストまたはコンボ ボックスの内容 を選択した場合、コントロールに基づく繰り返しの定義 ページが開きます。
    1. 新しい検証の作成 をクリックすると、イメージ検証 UI が開きます。この UI で、新しい検証資産を作成できます。
    2. 既存の検証の挿入 をクリックすると 検証の参照 ダイアログ ボックスが開きます。このボックスを使用して、テストで実行する検証資産を選択できます。
    3. 次へ をクリックします。
  13. ステップ シーケンスの実行にかかる時間 を選択した場合、タイミングに基づく条件の定義 ページが開きます。一連のテスト ステップと、それを再生する時間の範囲を指定できます。

    タイミングに基づく条件の定義 ページには、以下のオプションがあります。

    タイマー番号の使用
    タイマーの番号を設定します。複数の条件の時間を計るときに、各タイマーに一意の番号を割り当ててタイマーを区別できます。タイマーを使用して検証ロジックを作成すると、テスト ステップ ウィンドウに 2 つのテスト ステップが表示されます。最初のテスト ステップには タイマー番号 X の開始 というラベルが付けられ (X は特定のタイマー番号)、検証する一連のステップの最初のテスト ステップの直前に表示されます。2 番めのテスト ステップには タイマー番号 X の停止 というラベルが付けられ、検証する一連のステップの最後のステップの直後に表示されます。

    検証するステップの順序を変更する場合は、テスト ステップ ウィンドウで、いずれかのタイマーのテスト ステップを切り取り、目的の位置に貼り付けます。

    使用するアクティブ データ資産の定義 ページを使用して、繰り返しロジックで使用するアクティブ データ資産とアクティブ データ資産内のデータの取得方法を定義します。
    ヒント: マウス カーソルをリンクの上に置くと、完全なリンクの説明を含むツール ヒントが表示されます。
    1. 検証する一連のステップの最初のステップを指定するには、ステップの開始 の右側にあるリンクをクリックします。
    2. 検証する一連のステップの最後のステップを指定するには、ステップの終了 の右側にあるリンクをクリックします。 デフォルトでは、アクティブ データ資産で指定されているシートが使用されます。
    3. 許容時間範囲 の 2 つのフィールドの値を定義して、一連のステップの再生にかかる時間の範囲を設定します。 たとえば、時間の範囲を 10 から 30 秒に設定した場合、指定した一連のステップの実際の再生時間が 10 秒未満または 30 秒を超える場合は、ビジュアル テストの結果に失敗のメッセージが送信されます。一方、実際の再生時間が 10 から 30 秒の場合は、ビジュアル テストの結果に合格のメッセージが送信されます。
    4. タイマー番号の使用 リストからタイマーを選択します。 複数の条件の時間を計るときに、各タイマーに一意の番号を割り当ててタイマーを区別できます。タイマーを使用して検証ロジックを作成すると、テスト ステップ ウィンドウに 2 つのテスト ステップが表示されます。最初のテスト ステップには タイマー番号 X の開始 というラベルが付けられ (X は特定のタイマー番号)、検証する一連のステップの最初のテスト ステップの直前に表示されます。2 番めのテスト ステップには タイマー番号 X の停止 というラベルが付けられ、検証する一連のステップの最後のステップの直後に表示されます。
      ヒント: 検証するステップの順序を変更する場合は、テスト ステップ ウィンドウで、いずれかのタイマーのテスト ステップを切り取り、目的の位置に貼り付けます。
    5. 次へ をクリックします。
  14. 検証の構築 ページが開きます。ビジュアル テストの結果に表示する合格／失敗のメッセージを作成します。また、検証が失敗した場合に、結果および現在のユーザーの 開始画面 にフラグを送信することもできます。
    1. 省略可能：If 文の右側にある条件リンクをクリックして、条件デザイナー を開き、条件を編集します。
    2. 結果の詳細に以下の '合格テキスト' を表示する フィールドに、再生時に検証が合格したときに結果に表示するテキストを入力します。 このテキストは、詳細 タブの テスト ステップ ペインで、検証ステップの 結果の詳細 列に表示されます。
    3. そうでなければ、結果の詳細に以下の '失敗テキスト' を表示する フィールドに、再生時に検証が失敗したときに結果に表示するテキストを入力します。 このテキストは、失敗 タブ、フラグ タブ、および 詳細 タブの テスト ステップ ペインで、検証ステップの 結果の詳細 列に表示されます。
    4. 省略可能：検証に失敗した場合に、結果に 'フラグ' を作成する チェック ボックスをオンにすると、検証が失敗したときにフラグが作成されます。 このフラグは、失敗 タブ、フラグ タブ、および 詳細 タブの テスト ステップ ペインで、検証ステップの 結果の詳細 列に表示されます。デフォルトでは、このフラグは現在のユーザーに自動的に割り当てられ、現在のユーザーの 開始画面 の フラグ ペインに表示されます。このフラグを別の人に割り当てる場合は、再生後に結果から再割り当てする必要があります。
    5. 省略可能：以下のフラグ説明を表示する フィールドに検証が失敗したときのフラグの説明を入力します。
  15. 次へ をクリックします。 要約 ページに、定義したテスト ロジックが表示されます。このページの最下部にあるチェック ボックスをオフにすると、テスト ロジック デザイナ ウィザードを今後使用するときに、要約 ページが表示されなくなります。このチェック ボックスのオン／オフを切り替えると、テスト ロジック デザイナの要約画面の表示 全般オプションが更新されます。詳細については、「全般オプションの変更」を参照してください。
  16. 完了 をクリックして、ビジュアル テストのテスト ステップにテスト ロジックを挿入します。テスト ロジックを変更するには、戻る をクリックして、必要な変更を加えます。 テスト ロジックがビジュアル テストに追加されます。
親トピック: 検証ロジック
関連概念
テスト ロジック デザイナ
資産の種類
関連タスク
ビジュアル テストへの繰り返しロジックの追加
ビジュアル テストへの判断ロジックの追加
ビジュアル テストへのエラー処理ロジックの追加


検証ロジック テスト ステップの編集

  1. 編集するテスト ステップが含まれているビジュアル テストを開きます。
  2. ビジュアル テストの テスト ステップ ウィンドウで、編集する検証ロジック テスト ステップを選択します。 選択したテスト ステップのプロパティおよび関連するプロパティ値が、プロパティ ペインにプロパティ カテゴリごとに表示されます。
  3. 使用可能な条件プロパティ、検証結果の説明プロパティ、フラグの設定プロパティ、またはその他のプロパティを編集します。
親トピック: 検証ロジック


エラー処理ロジック

エラー処理ロジックを設定すると、再生エラーをデバッグする必要がなくなります。エラー処理を設定するには、ビジュアル テストでエラーの検出ステップとその処理方法を設定します。エラー処理を設定することによって、ビジュアル テストを最後まで再生でき、再生中に発生したエラーの情報を得ることができます。

エラー処理ロジックは、以下の要素で構成されます。

If <エラー=TRUE>
  __<実行する操作>

たとえば、エラー処理で次のステップから再開するように設定していないかぎり、エラーが発生すると、失敗メッセージとフラグが送信されます。

エラー時に '再開して次に進む'

エラー処理ロジックを作成するには、テスト ロジック デザイナ ウィザードまたはロジック ツールボックスを使用するか、挿入 > エラー処理 を選択します。

  • ビジュアル テストへのエラー処理ロジックの追加
    ビジュアル テストにエラー処理ロジックを追加することによって、ビジュアル テストを最後まで再生でき、再生中に発生したエラーの情報を得ることができます。
  • エラー処理ロジック テスト ステップの編集
    必要に応じて、エラー処理ロジックを編集します。
親トピック: テスト ロジックの追加


ビジュアル テストへのエラー処理ロジックの追加

このトピックでは、テスト ロジック デザイナ を使用して、ビジュアル テストにエラー処理ロジックを追加する方法について説明します。
  1. ビジュアル テストを開きます。
  2. エラー処理ロジックを追加する場所のテスト ステップを右クリックします。
  3. 挿入 > テスト ロジック > エラー処理 を選択します。 テスト ロジック デザイナ が開きます。
  4. 次へ をクリックします。 ロジックの種類の選択 ページが開きます。
  5. 次へ をクリックします。 エラー処理の構築 ページが開きます。
  6. エラー処理ロジックを指定して、エラーが発生した場合に使用するには、リストから次の項目のいずれかを選択します。
    デフォルトの再生エラー ダイアログを表示します
    再生エラー ダイアログ ボックスを表示し、そこでそのエラーに対して実行する操作を決定します。再生エラー ダイアログ ボックスを使用してデバッグ モードに入り、ビジュアル テストでエラーを診断します。
    現在のビジュアル テストの再生を終了します
    エラーが発生したときに、ビジュアル テストの再生を終了します。ビジュアル テストのその他のステップは再生されません。再生が終了すると、再生完了 ダイアログ ボックスが表示され、そこで再生の完了時に実行する操作を決定します。
    エラーが発生したステップの再生を再試行します
    資産 プロパティに指定されているビジュアル テストを再生してから、エラーが発生したステップの実行を試行します。資産 プロパティにビジュアル テストが指定されていない場合、単にエラーが発生したステップの再実行を試行します。再試行の回数 プロパティには、再生を試行する回数を指定できます。デフォルト値は、5 です。指定した再試行の回数に到達した時点でステップ実行に失敗すると、再生エラーが生成されます。
    次のステップで再生を再開します
    資産 プロパティに指定されているビジュアル テストを再生してから、エラーが発生したステップの直後のステップの実行を試みます。エラーの原因となったステップは、再実行されません。
    ラベルへ移動します
    資産 プロパティに指定されているビジュアル テストを再生し、ラベル プロパティに指定されている事前定義のラベル ステップに移動して、再生を続行します。移動 を使用すると、ビジュアル テストで、再生中に発生したエラーと同様のエラーが発生する可能性のあるステップをスキップして、テストの別のセクションに移動できます。
    他のビジュアル テストを最初に再生します
    指定した別のビジュアル テストが再生されたあと、次に実行される操作をユーザーが指定します。 別のテスト実行のあとに実行される操作を決定するには、テストの終了、エラーが発生したステップを再試行、ラベルへ移動、またはエラーが発生した元のテストの再開を選択します。
  7. 次へ をクリックします。 要約 ページに、定義したテスト ロジックが表示されます。このページの最下部にあるチェック ボックスをオフにすると、テスト ロジック デザイナ ウィザードを今後使用するときに、要約 ページが表示されなくなります。このチェック ボックスのオン／オフを切り替えると、テスト ロジック デザイナの要約画面の表示 全般オプションが更新されます。詳細については、「全般オプションの変更」を参照してください。
  8. 完了 をクリックして、ビジュアル テストのテスト ステップにテスト ロジックを挿入します。テスト ロジックを変更するには、戻る をクリックして、必要な変更を加えます。 テスト ロジックがビジュアル テストに追加されます。
親トピック: エラー処理ロジック
関連概念
テスト ロジック デザイナ
関連タスク
ビジュアル テストへの繰り返しロジックの追加
ビジュアル テストへの判断ロジックの追加
ビジュアル テストへの検証ロジックの追加


エラー処理ロジック テスト ステップの編集

  1. 編集するテスト ステップが含まれているビジュアル テストを開きます。
  2. ビジュアル テストの テスト ステップ ペインで、編集するエラー処理ロジック テスト ステップを選択します。 選択したテスト ステップのプロパティおよび関連するプロパティ値が、プロパティ ペインにプロパティ カテゴリごとに表示されます。
  3. 必要に応じて、プロパティを編集します。
親トピック: エラー処理ロジック
関連資料
エラー時の移動先プロパティ


テスト ロジック デザイナ

テスト ロジック デザイナ ウィザードウィザードでは、テスト ロジックを作成してビジュアル テストに挿入できます。このウィザードにアクセスするには、ビジュアル テストを開いているときに、挿入 > テスト ロジック メニューを選択します。また、ロジック ツールボックスからもアクセスできます。その場合、さまざまなタイプのテスト ロジックについて把握し、目的のテスト ロジックを作成するために必要なウィザードの該当ページにすばやくアクセスできます。

以下のタイプのテスト ロジックを挿入するには、テスト ロジック デザイナ ウィザードを使用します。

  • 判断ロジック
  • 繰り返しロジック
  • 検証ロジック
  • エラー処理ロジック

テスト ロジック デザイナ ウィザードの最初のページは ようこそ ページで、ここにはウィザードのロジック ステップのリスト、および設計する特定のタイプのテスト ロジックが表示されます。

このウィザードおよびそれ以外のすべての Silk Test Workbench ウィザードを今後使用するときに、ようこそ ページをスキップするには、このページの最下部にあるチェック ボックスをオンにします。このチェック ボックスをオンにすると、全般 オプションの ウィザードの [ようこそ] 画面の表示 オプションが更新されます。

ウィザードのサイズは、任意のページの右下隅をドラッグして変更できます。または、ロジック ステップ ペインのタイトルの横の矢印ボタンをクリックするか、全般 オプションの テスト ロジック デザイナのステップの表示 ペイン オプションを設定することでも、ウィザードの ロジック ステップ ペインを表示／非表示にできます。

テスト ロジック デザイナ ウィザードの最後のページは、要約 ページです。このページの最下部にあるチェック ボックスをオンにすると、テスト ロジック デザイナ ウィザードを今後使用するときに、要約 ページが表示されなくなります。このチェック ボックスのオン／オフを切り替えると、テスト ロジック デザイナの要約画面の表示 全般オプションが更新されます。詳細については、「全般オプションの変更」を参照してください。

親トピック: テスト ロジックの追加
関連タスク
ビジュアル テストの記録
ビジュアル テストへの繰り返しロジックの追加
ビジュアル テストへの判断ロジックの追加
ビジュアル テストへの検証ロジックの追加
ビジュアル テストへのエラー処理ロジックの追加


ステップの選択

ステップの選択 ダイアログ ボックスを使用して、ビジュアル テストの単一のステップまたは一連のステップを選択できます。

  1. ステップを選択します。
  2. 省略可能：一連のステップを選択するには、Shift キーを押しながら最後のステップを選択します。
  3. OK をクリックします。
親トピック: テスト ロジックの追加
関連タスク
ビジュアル テストへの繰り返しロジックの追加


ロジック ツールボックス

ロジック ツールボックスは、テスト ロジックをビジュアル テストにすばやく挿入できるナビゲーション支援機能です。 ロジック ツールボックスでは、さまざまなタイプのテスト ロジックについて把握し、目的のテスト ロジックを選択してビジュアル テストに挿入できます。 ロジック ツールボックスでテスト ロジックのタイプを選択すると、Silk Test Workbench によって テスト ロジック デザイナ ウィザードの該当ページが開き、テスト ロジックを作成して挿入できます。 このビジュアル テストの再生中に出現/消滅するオブジェクトを待機 を使用する場合は、ウィザードを使用せずに、プロパティ ペインでオブジェクト プロパティを指定します。

ロジック ツールボックスでは、一般的なタイプのテスト ロジックが以下のカテゴリに整理されます。

  • 画面内容ロジック：テスト アプリケーションの画面コントロールに基づいて一連のステップを実行する判断（If）ロジックまたは繰り返しロジック。
  • ユーザー定義のフォローアップ ロジック：ユーザー定義の合格／失敗メッセージとオプションのフラグをビジュアル テストの結果に送信する検証ロジック。 また、指定したユーザーの開始画面にフラグを送信して、特定のテスト ステップまたはビジュアル テストの結果を通知することもできます。
  • エラー処理と同期：ステップを実行する前に出現／消滅するオブジェクトを待機する同期ロジック。 再生中にエラーが発生した場合、ユーザー定義の操作を実行するエラー処理ロジック。

ロジック ツールボックスの各カテゴリでは、各ロジック タイプの説明を参照し、目的のロジック タイプをダブルクリックして、ビジュアル テストにすばやく挿入できます。 詳細については、「ロジック ツールボックスを使用したテスト ロジックの挿入」を参照してください。

  • ロジック ツールボックスを使用したテスト ロジックの挿入
    ロジック ツールボックスを使用して、ビジュアル テストにテスト ロジックを挿入できます。
親トピック: テスト ロジックの追加
関連タスク
ビジュアル テストへのタイマーの挿入
ロジック ツールボックスを使用したテスト ロジックの挿入


ロジック ツールボックスを使用したテスト ロジックの挿入

ロジック ツールボックスを使用して、ビジュアル テストにテスト ロジックを挿入できます。

  1. ビジュアル テストを開きます。 デフォルトでは、ロジック ツールボックス タブは テスト ステップ ペインの右側に表示されます。 デフォルトでこのタブが表示されない場合は、表示 > ロジック ツールボックス をクリックします。
  2. ロジック ツールボックス タブをクリックして、ロジック ツールボックスを開きます。
    ヒント: ロジック ツールボックスのサイズを変更するには、ポインタを端に合わせて、目的の幅になるまでツールボックスをドラッグします。
  3. ロジック カテゴリをクリックして、ビジュアル テストに挿入できる各カテゴリのさまざまなロジック タイプを表示します。 ロジック タイプの説明を表示するには、目的のロジック タイプをクリックします。 説明は、ロジック ツールボックスの下部に表示されます。
  4. ロジック タイプをダブルクリックすると、テスト ロジック デザイナ ウィザードの該当ページが自動的に開きます。 または、ロジック タイプを テスト ステップ ペインの適切な位置にドラッグ＆ドロップすることもできます。
  5. テスト ロジック デザイナ ウィザードを使用して、ビジュアル テストにテスト ロジックを作成および挿入します。
親トピック: ロジック ツールボックス


記録中のテスト ロジックの挿入

ビジュアル テストの記録中にテスト ロジックを挿入できます。

  1. 記録を開始します。
  2. テスト ロジックを追加するポイントに到達したとき、以下の手順のいずれかを実行します。
    • Alt+F9 を押します。

      このショートカット キーの組み合わせを使用すると、記録が一時的に停止され、現在強調表示されているオブジェクトが検証のために選択されます。テスト ロジック デザイナ ウィザードが開き、選択されたオブジェクト セットが検証対象のコントロールとなります。

    • 記録中 ダイアログ ボックスで、検証の追加 をクリックするか、または Ctrl+Alt を押します。

      このオプションを実行すると、記録が一時的に停止され、テスト ロジック デザイナ ウィザードが表示されます。ウィザードが開いたあと、検証するオブジェクトを選択します。

  3. ウィザードの指示に従って処理を行い、完了 をクリックしてウィザードを閉じ、記録を続行します。
    記録が完了すると、新しいテスト ロジックが ビジュアル ナビゲータ の テスト ステップ ペインに表示されます。
親トピック: テスト ロジックの追加


既存のビジュアル テストへのテスト ロジックの挿入

作成したビジュアル テストにテスト ロジックを挿入することができます。

  1. ビジュアル テストを開きます。
  2. テスト ロジックに含める1つのテスト ステップまたは一連のテスト ステップを選択します。
  3. 挿入 > テスト ロジック を選択し、適切なロジックの種類を選択します。 Ctrl+Alt を押して、ビジュアル テストに検証ロジックを追加することもできます。 テスト ロジック デザイナ ウィザードが開きます。
  4. ウィザードに従って処理を行い、完了 をクリックします。 テスト ステップの説明が長すぎて テスト ステップ ペインに表示できない場合は、ポインタをテスト ステップに合わせると、ツール ヒントとして説明全体が表示されます。 テスト ロジック テスト ステップがビジュアル テストに表示されます。
親トピック: テスト ロジックの追加
関連タスク
ビジュアル テストへの繰り返しロジックの追加
ビジュアル テストへの判断ロジックの追加
ビジュアル テストへの検証ロジックの追加
ビジュアル テストへのエラー処理ロジックの追加
ビジュアル テストへのオブジェクトの待機ステップの挿入


条件デザイナー

条件デザイナー ダイアログ ボックスでは、判断、繰り返し、および検証テスト ロジックの結果を導く条件をすばやく定義できます。条件デザイナー には、テスト ロジック デザイナー ウィザードまたはロジック ツールボックスからアクセスします。特定のタイプのテスト ロジックを作成したあと、プロパティ ペインから 条件デザイナー にアクセスして、条件を編集することもできます。

条件デザイナー を使用して定義される条件は、以下の要素で構成されます。

<値1> <比較演算子> <値2> = <戻り値>

例：

5 より大きい 4 = TRUE

条件の各要素は、以下のとおりです。

  • 値 1 と値 2：条件の値は、互いに比較される入力パラメータとして使用されます。条件の値には、コントロールのプロパティ、変数、アクティブ データ資産、またはリテラル値を指定できます。

  • 比較演算子：比較演算子は、条件の比較ロジックと、条件内の 2 つの値の相互関係を定義します。比較演算子を以下に示します。
    • 等しい（ == ）
    • 等しくない（ ! = ）
    • より大きい（ > ）
    • より小さい（ < ）
    • 以上（ > =）
    • 以下（< =）
    • 含む：値 1 のテキストに 値 2 のテキストが含まれる場合は True。それ以外の場合は False。
    • 含まない：値 1 のテキストに 値 2 のテキストが含まれない場合は True。それ以外の場合は False。

  • 戻り値：比較演算子を使用して 2 つの値を比較したとき、評価された条件の戻り値は TRUE または FALSE のいずれかとなります。

各テスト ロジック タイプで、条件の戻り値を使用して実行される操作が決定されます。判断ロジックと繰り返しロジックの場合は、一連のテスト ステップが実行されます。検証ロジックの場合は、ビジュアル テストの結果に合格または失敗のメッセージが送信されるか、オプションで、指定されたテスト ステップにフラグが立てられます。

判断テスト ロジックの例

If counterVar 等しい 12
ステップ 2 からステップ 4 まで実行
End If

繰り返しテスト ロジックの例

counterVar 等しい 12 の間繰り返します
ステップ 2 から
ステップ 4 まで実行
繰り返しの終了

検証テスト ロジックの例

If counterVar 等しい 12
合格メッセージを送信
else
失敗メッセージを送信
End If

また、論理演算子 AND または OR を使用して複合条件を作成できます。たとえば、以下のような複合の判断ロジック条件を作成できます。

If counterVar 等しい 12
AND
textVar 等しい "Admin"
ステップ 2 からステップ 4 まで実行
End If
  • 条件デザイナーを使用した条件の定義
    条件デザイナー を使用して、判断、繰り返し、および検証テスト ロジックの結果を導く条件を定義します。
  • 条件デザイナを使用した条件の編集
    判断、繰り返し、および検証の各テスト ロジックの結果を導く条件を変更します。
  • 条件の値の設定
    条件に対する値を選択したり、リテラル値を作成するには、条件の選択 ダイアログ ボックスを使用します。
親トピック: テスト ロジックの追加


条件デザイナーを使用した条件の定義

条件デザイナー ダイアログ ボックスを使用して、詳細なテスト ロジックの条件を定義または編集できます。

  1. 条件デザイナー には テスト ロジック デザイナー ウィザードからアクセスします。 または、If テスト ステップを挿入し、プロパティ ウィンドウで 条件 プロパティを選択して、条件デザイナー をクリックします。 条件デザイナー が開きます。
  2. 条件の定義 セクションの 値 1 テキスト ボックスで、最初の条件の値を指定します。この値には、コントロールのプロパティ、任意のタイプの変数、アクティブ データ資産、リテラル値、またはコントロールの存在確認を指定できます。 テキスト ボックスに直接値を入力するか、... をクリックして 条件の選択 ダイアログ ボックスにアクセスします。
    ヒント: 値を選択すると、その値の型が Silk Test Workbench によって 値 1 テキスト ボックスに表示されます。
    注: データ型は、Double から Long、テキスト、ブール値など、他の型に変換できます。ただし、このような変換によってデータがどのような影響を受けるかを確認することが重要です。データ型の変換の詳細については、「式デザイナーの関数の使用」を参照してください。
  3. 演算子 リストから比較演算子を選択します。 比較演算子では、条件の比較ロジックと条件内の 2 つの値の相互関係を定義します。以下の演算子を利用できます。
    • 等しい（ == ）
    • 等しくない（ ! = ）
    • より大きい（ > ）
    • より小さい（ < ）
    • 以上（ > =）
    • 以下（< =）
    • 含む：値 1 のテキストに 値 2 のテキストが含まれる場合は True。それ以外の場合は False。
    • 含まない：値 1 のテキストに 値 2 のテキストが含まれない場合は True。それ以外の場合は False。
  4. ステップ 2 で最初の値を指定した手順と同じ手順に従って、値 2 テキスト ボックスで 2 番めの条件値を指定します。
  5. 評価結果 リストから、条件の評価に対するデータ型を選択します。 使用可能なデータ型は、以下のとおりです。
    テキスト
    変数の値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。
    注: テキスト データ型は大文字／小文字を区別します。つまり、比較時にはテキスト文字列の個々の文字の大文字／小文字が一致していなければなりません。大文字／小文字が一致していない場合は、比較は失敗します。
    テキスト（大文字と小文字を区別しない）
    評価中の文字列比較において、文字列の個々の文字の大文字小文字が一致しないことを除き、テキストは同じです。
    数値 (Long)

    変数の値は、-2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

    数値 (Double)

    変数の値は、倍精度浮動小数点数で、-1.7E308 から +1.7E-307 の 64 ビットの数値として格納されます。

    ブール値 (True/False)

    変数の値は True または False です。

    数値 (Long Long)

    64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

    列挙

    この変数は一連の値をグループ化し、1 から n まで順番に番号を付けます。限られた個数の一意の値のみを変数に保持する場合は、列挙型を宣言します。この変数型は、列挙データ型を必要とするプロパティまたは変数に使用します。

    列挙には、64 ビット整数（-9223372036854775808 から 9223372036854775807 の範囲）が格納されます。ただし、UI では 64 ビットの列挙がサポートされていますが、エンジンでは 32 ビットの列挙のみがサポートされています（将来のリリースでは、エンジンでも 64 ビットの列挙がサポートされる予定です）。

  6. 定義した条件を 条件 テーブルに追加するには、追加 をクリックします。 単一の条件ステートメントを作成する場合、ロジック リスト（AND、OR）は無視してください。ロジック ボックスは、複合条件を作成する場合にのみ使用します。
  7. 省略可能：上へ移動 または 下へ移動 をクリックすると、条件 テーブルで選択した条件を 1 行上に、または 1 行下に移動できます。 論理演算子（AND、OR）を含む条件を 条件 テーブルの先頭行に移動した場合、論理演算子は条件と一緒には移動されません。条件ロジックの構造を維持するために、演算子は2行めに残ります。
  8. オプション: 複合条件を作成する場合は、前のステップに従って追加条件を作成し、ロジック リストから結合ロジックのタイプを選択します。追加 をクリックして、作成済みの条件のあとに条件を追加します。
  9. 省略可能：選択されている条件を 条件 テーブルから削除するには、削除 を使用します。
  10. 省略可能：プレビュー をクリックすると、定義済みの条件が読みやすいテキスト形式で表示されます。
親トピック: 条件デザイナー
関連タスク
条件の値の設定
ビジュアル テストへの判断ロジックの追加
関連資料
式デザイナーの関数の使用


条件デザイナを使用した条件の編集

  1. ビジュアル テストのテスト ステップの プロパティ ペインで 条件 プロパティを選択し、条件デザイナ をクリックします。 条件デザイナ が開きます。
  2. 既存の条件の値を編集するには、編集する条件を 条件 テーブルで選択します。 ロジック、演算子、および 評価結果 列にリスト矢印が表示されます。いずれかの列の値を編集するには、編集する項目をリストから選択します。値 1 および 値 2 の各列で、選択した条件の列のセルをダブルクリックして、条件の選択 ダイアログ ボックスを開きます。このダイアログ ボックスで、いずれかの値を編集できます。
  3. 複合条件の順序を編集するには、順序を編集する条件を選択してから 上へ移動 または 下へ移動 をクリックします。 論理演算子（AND、OR）を含む条件も 条件 テーブルの先頭行に移動できます。ただし、論理演算子は条件と一緒には移動されません。条件ロジックの構造を維持するために、演算子は2行めに残ります。
  4. OK をクリックします。
親トピック: 条件デザイナー
関連タスク
条件の値の設定


条件の値の設定

ビジュアル テストに条件ロジックを追加するとき、条件デザイナ で条件に対する値を選択したり、リテラル値を作成するには、条件の選択 ダイアログ ボックスを使用します。

選択（リテラル）：このオプションを選択すると、以下のリテラル オプションが表示されます。

  • リテラル データ：テキスト文字列、数値、またはブール（true または false）値のいずれかを入力し、OK をクリックします。

  1. 条件デザイナ の 条件の定義 で、変更する値テキスト ボックスの右側にある ... をクリックします。

    条件の選択 ダイアログ ボックスが開きます。

  2. 値の種類を選択します。
    • コントロールのプロパティを選択する場合は、プロパティ をクリックします。
    • 変数を選択する場合は、変数 をクリックします。
    • アクティブ データ資産を選択する場合は、アクティブ データ をクリックします。
    • 新しいリテラル値（文字列、数値、ブール値）を作成する場合は、リテラル をクリックします。
    • 指定したコントロールが存在するかどうかを検証する場合は、存在確認 をクリックします。
  3. プロパティ を選択した場合は、以下の操作を実行します。
    1. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト アプリケーションから可視のリスト ボックスまたはコンボ ボックス コントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接リスト ボックスまたはコンボ ボックス コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： リスト ボックスまたはコンボ ボックス コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    2. コントロールの識別後、プロパティ リストから目的のプロパティを選択します。
  4. 変数 を選択した場合は、以下の操作を実行します。
    1. 変数の種類 リストから変数の種類を選択するか、新規作成 をクリックして新しい変数を作成します。 利用可能な変数の種類は次のとおりです。
      • ローカル： ローカル変数を使用する場合はこれを選択します。ローカル変数は、単一のビジュアル テスト内で定義され使用される変数で、通常、他の種類の変数の値（グローバル変数や入力変数など）を格納します。
      • 入力パラメータ： ビジュアル テストに渡されるパラメータを使用する場合はこれを選択します。
      • 出力パラメータ： ビジュアル テストから返されるパラメータを使用する場合はこれを選択します。
      • 予約： ビジュアル テストの再生や結果に関する情報を保存する、あらかじめ定義された変数を使用する場合はこれを選択します。
    2. 変数 リストから目的の変数を選択します。
  5. アクティブ データ を選択した場合は、以下の操作を実行します。
    1. アクティブ データ資産 テキスト ボックスの右側にある 選択 メニューを展開します。
    2. 新しいアクティブ データ資産を作成するには、アクティブ データの新規作成 をクリックします。 詳細については、「アクティブ データ テスト用の新しいデータ ファイルの作成」を参照してください。
    3. 既存のアクティブ データ資産に関連付けるには、既存のアクティブ データとの関連付け をクリックします。 詳細については、「アクティブ データ ファイルのデータのビジュアル テスト データへのマップ」を参照してください。
    4. アクティブ データ資産を指定した後、列 リストから使用する列を選択します。
  6. リテラル を選択した場合は、リテラル データ テキスト ボックスに文字列、数値、またはブール値を入力します。
  7. 存在確認 を選択した場合は、以下の操作を実行します。
    1. コントロールの識別 メニューを展開し、次のいずれかを選択します。
      • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
      • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
      • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    2. コントロールが存在することを確認する場合は、コントロールが存在する を選択します。
    3. コントロールが存在しないことを確認する場合は、コントロールが存在しない を選択します。
    4. タイムアウト フィールドには、コントロールが表示される、または表示されなくなるまで Silk Test Workbench が待機する時間を指定します。 デフォルトのタイムアウトは 0 で、コントロールが表示される、または表示されなくなるまで Silk Test Workbench は待機しないことを意味します。
  8. OK をクリックします。
親トピック: 条件デザイナー
関連概念
予約変数
関連タスク
アクティブ データ ファイルのデータのビジュアル テスト データへのマップ
アクティブ データ テスト用の新しいデータ ファイルの作成
条件デザイナーを使用した条件の定義
条件デザイナを使用した条件の編集
ビジュアル テストにおける、スクリプトから受け取ったパラメータの使用
ビジュアル テストでの他のビジュアル テストから受け取ったパラメータの使用


式デザイナ

式デザイナ を使用すると、ビジュアル テストの機能を拡張する式をすばやく作成できます。 式は、ローカル変数、予約された変数、アクティブ データ資産、演算子、および関数（ローカル変数またはアクティブ データ資産に文字列または数値を返す）の組み合わせです。

たとえば、10 個の異なる注文番号を必要とするアプリケーションをテストする場合、変数の値を増分し、一意の注文番号を返す式を作成します。

OrderNumVar=OrderNumVar+1

次に、この式を繰り返しループで使用して、ループを複数回実行します。 ループが繰り返されるたびに、注文番号は 1 ずつ増分し、ローカル変数 OrderNumVar に格納されている一意の注文番号が返されます。

また、式にアクティブ データ フィールドを含めることもできます。その場合、式にアクティブ データ列を指定し、その列のすべての値を使用して一連のステップを繰り返す繰り返しロジックを設定します。 たとえば、アクティブ データ列の値のうち、指定した値（以下の ADDRESS 列に示されている値など）だけを返す式を作成できます。

ADDRESS
Anytown, USA 12345
Anycity, USA 23456
Anyplace, USA 34567
Anywhere, USA 45678

ADDRESS 列の郵便番号のみを返すには、「ADDRESS」というアクティブ データ列、および文字列の右側から指定した数の文字を返す文字列関数 Right を含む式を作成します。

localVar = Right (ActiveDataAssetName("ADDRESS"),5)

この式では、文字列の右側から 5 文字が返され、戻り値が localVar に格納されます（この例では、「12345」）。 アクティブ データ ファイルの行に対して反復処理を行い、上記の列の各郵便番号を返すには、列の各値を使用して式ステップを繰り返す繰り返しロジックを設定します。

式デザイナ では、文字列関数 Right だけでなく、その他の関数と演算も多数サポートされています。

  • 式デザイナを使用した式の定義
    式デザイナ を使用して、ビジュアル テストの機能を拡張する式を作成できます。
  • 式デザイナを使用した式の編集
    ビジュアル テストの機能を拡張する式を変更します。
  • 式デザイナの演算子の使用
    式デザイナ で使用可能な演算子を示します。
  • 式デザイナーの関数の使用
    式デザイナー で使用可能な関数を示します。
  • FormatDate 関数
    式で FormatDate 関数を使用する方法について説明します。
  • FormatTime 関数
    式で FormatTime 関数を使用する方法について説明します。
親トピック: テスト ロジックの追加


式デザイナを使用した式の定義

式デザイナ ダイアログ ボックスを使用して、ビジュアル テストの機能を拡張する式を作成または編集できます。式は、ローカル変数、予約された変数、アクティブ データ資産、演算子、および文字列、数値、またはオブジェクトを返す関数を組み合わせて作成します。詳細については、「式デザイナ」を参照してください。

  1. ビジュアル テストを開きます。
  2. テスト ステップ ペインで、式を挿入する場所の直前のテスト ステップを選択します。
  3. メニュー バーから、挿入 > 式 を選択します。 式デザイナ が開きます。
  4. 出力 リストで、式の結果を格納するローカル変数またはアクティブ データ資産を選択します。 ビジュアル テストに関連付けられたローカル変数とアクティブ データ資産のみがリストされます。新しく作成した変数とアクティブ データ資産は、ビジュアル テストに自動的に関連付けられます。
    注: 式を プロパティ ペインのプロパティの値として作成する場合は、出力 リストは表示されません。
  5. 省略可能：既存のアクティブ データ資産を選択したり、新しい変数またはアクティブ データ資産を作成したりするには、出力 リストの隣にある 選択 をクリックします。 以下のいずれか 1 つを選択できます。
    • ローカル変数の新規作成 を選択すると、ローカル変数の追加 ダイアログ ボックスを使用して、ビジュアル テスト用のローカル変数を作成できます。作成したローカル変数はすべて、出力 リストに表示され、式の結果を格納するために使用できます。
    • アクティブ データの新規作成 を選択すると、新しいアクティブ データ資産を作成して、ビジュアル テストに関連付けることができます。
    • 既存のアクティブ データとの関連付け を選択すると、アクティブ データの参照 ダイアログ ボックスを使用して、既存のアクティブ データ資産をビジュアル テストに関連付けることができます。
    出力 リストには、関連付けられたアクティブ データ資産の一部であるアクティブ データ ファイルの列名も表示され、式の結果を格納するために使用できます。
  6. エディタ ウィンドウを使用して、式を作成および編集します。 式には、リテラル値、変数、アクティブ データ列、演算子、および関数を含めることができます。
    1. 式に変数をすばやく追加するには、変数の選択（ローカルまたは予約） リストから目的の変数を選択し、追加 ボタンをクリックします。
    2. 省略可能：新規作成 をクリックすると、ローカル変数の追加 ダイアログ ボックスが開きます。このダイアログ ボックスでは、新しい変数を作成して、それをビジュアル テストに自動的に関連付けることができます。
    3. アクティブ データ フィールドを追加するには、アクティブ データ フィールドの選択 リストから目的のアクティブ データ フィールドを選択し、として追加 ボタンをクリックしてデータ型を選択します。 エディタ ウィンドウでのアクティブ データ フィールドの構文は、以下のとおりです。
      [プロジェクト名].[アクティブ データ名].データ型("列名")
      サポートされているデータ型は、以下のとおりです。
      テキスト

      選択された アクティブ データ 列のデータは、式内でテキスト データとして使用されます（String データ型）。

      数値 (Long)

      選択された アクティブ データ 列のデータは、式内で数値データとして使用されます（Long データ型）。

      数値 (Double)

      選択された アクティブ データ 列のデータは、式内で数値データとして使用されます（Double データ型）。

      ブール値

      選択された アクティブ データ 列のデータは、式内で True または False として評価されます。（Boolean データ型）。

      数値 (Long Long)

      選択された アクティブ データ 列のデータは、式内で 64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）として使用されます。

      列挙

      選択された アクティブ データ 列のデータは、式内で一連の値として使用され、1 から n まで順番に番号が付けられます。このデータ型は、パラメーターとして列挙が必要な一部のユーザー インターフェイスで使用されます。たとえば、SAP SendVKey は送信するキーとして整数の列挙値を想定しています。限られた個数の一意の値のみを式に保持する場合は、列挙型を宣言します。ビジュアル テストで使用するためのカスタム列挙を作成することはできません。

      列挙には、64 ビット整数（-9223372036854775808 から 9223372036854775807 の範囲）が格納されます。ただし、UI では 64 ビットの列挙がサポートされていますが、エンジンでは 32 ビットの列挙のみがサポートされています（将来のリリースでは、エンジンでも 64 ビットの列挙がサポートされる予定です）。

    4. 新しいアクティブ データ資産を作成したり、既存のアクティブ データ資産を選択したりするには、選択 をクリックして目的のオプションを選択します。 新しいアクティブ データ資産は、ビジュアル テストに自動的に関連付けられます。
  7. テスト をクリックして、式の有効性を評価します。 テストの結果が テスト結果 ウィンドウに表示されます。
  8. 省略可能：エディタ ウィンドウの内容全体を消去するには、クリア をクリックします。
  9. OK をクリックします。
親トピック: 式デザイナ
関連タスク
式デザイナを使用した式の編集


式デザイナを使用した式の編集

式デザイナ ダイアログ ボックスを使用して、ビジュアル テストの機能を拡張する式を作成または編集できます。式は、ローカル変数、予約された変数、アクティブ データ資産、演算子、および文字列、数値、またはオブジェクトを返す関数を組み合わせて作成します。詳細については、「式デザイナ」を参照してください。

  1. 変更する式が含まれているビジュアル テストを開きます。
  2. テスト ステップ ペインで式ステップを選択します。
  3. プロパティ ペインで 式 プロパティを選択します。
  4. 式デザイナ をクリックします。
    式デザイナ が開きます。
  5. 出力 リストで、式の結果を格納するローカル変数またはアクティブ データ資産を選択します。 ビジュアル テストに関連付けられたローカル変数とアクティブ データ資産のみがリストされます。新しく作成した変数とアクティブ データ資産は、ビジュアル テストに自動的に関連付けられます。
    注: 式を プロパティ ペインのプロパティの値として作成する場合は、出力 リストは表示されません。
  6. 省略可能：既存のアクティブ データ資産を選択したり、新しい変数またはアクティブ データ資産を作成したりするには、出力 リストの隣にある 選択 をクリックします。 以下のいずれか 1 つを選択できます。
    • ローカル変数の新規作成 を選択すると、ローカル変数の追加 ダイアログ ボックスを使用して、ビジュアル テスト用のローカル変数を作成できます。作成したローカル変数はすべて、出力 リストに表示され、式の結果を格納するために使用できます。
    • アクティブ データの新規作成 を選択すると、新しいアクティブ データ資産を作成して、ビジュアル テストに関連付けることができます。
    • 既存のアクティブ データとの関連付け を選択すると、アクティブ データの参照 ダイアログ ボックスを使用して、既存のアクティブ データ資産をビジュアル テストに関連付けることができます。
    出力 リストには、関連付けられたアクティブ データ資産の一部であるアクティブ データ ファイルの列名も表示され、式の結果を格納するために使用できます。
  7. エディタ ウィンドウを使用して、式を作成および編集します。 式には、リテラル値、変数、アクティブ データ列、演算子、および関数を含めることができます。
    1. 式に変数をすばやく追加するには、変数の選択（ローカルまたは予約） リストから目的の変数を選択し、追加 ボタンをクリックします。
    2. 省略可能：新規作成 をクリックすると、ローカル変数の追加 ダイアログ ボックスが開きます。このダイアログ ボックスでは、新しい変数を作成して、それをビジュアル テストに自動的に関連付けることができます。
    3. アクティブ データ フィールドを追加するには、アクティブ データ フィールドの選択 リストから目的のアクティブ データ フィールドを選択し、として追加 ボタンをクリックしてデータ型を選択します。 エディタ ウィンドウでのアクティブ データ フィールドの構文は、以下のとおりです。
      [プロジェクト名].[アクティブ データ名].データ型("列名")
      サポートされているデータ型は、以下のとおりです。
      テキスト

      選択された アクティブ データ 列のデータは、式内でテキスト データとして使用されます（String データ型）。

      数値 (Long)

      選択された アクティブ データ 列のデータは、式内で数値データとして使用されます（Long データ型）。

      数値 (Double)

      選択された アクティブ データ 列のデータは、式内で数値データとして使用されます（Double データ型）。

      ブール値

      選択された アクティブ データ 列のデータは、式内で True または False として評価されます。（Boolean データ型）。

      数値 (Long Long)

      選択された アクティブ データ 列のデータは、式内で 64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）として使用されます。

      列挙

      選択された アクティブ データ 列のデータは、式内で一連の値として使用され、1 から n まで順番に番号が付けられます。このデータ型は、パラメーターとして列挙が必要な一部のユーザー インターフェイスで使用されます。たとえば、SAP SendVKey は送信するキーとして整数の列挙値を想定しています。限られた個数の一意の値のみを式に保持する場合は、列挙型を宣言します。ビジュアル テストで使用するためのカスタム列挙を作成することはできません。

      列挙には、64 ビット整数（-9223372036854775808 から 9223372036854775807 の範囲）が格納されます。ただし、UI では 64 ビットの列挙がサポートされていますが、エンジンでは 32 ビットの列挙のみがサポートされています（将来のリリースでは、エンジンでも 64 ビットの列挙がサポートされる予定です）。

    4. 新しいアクティブ データ資産を作成したり、既存のアクティブ データ資産を選択したりするには、選択 をクリックして目的のオプションを選択します。 新しいアクティブ データ資産は、ビジュアル テストに自動的に関連付けられます。
  8. テスト をクリックして、式の有効性を評価します。 テストの結果が テスト結果 ウィンドウに表示されます。
  9. 省略可能：エディタ ウィンドウの内容全体を消去するには、クリア をクリックします。
  10. OK をクリックします。
親トピック: 式デザイナ
関連タスク
式デザイナを使用した式の定義


式デザイナの演算子の使用

式デザイナ では、以下の演算子がサポートされています。

算術演算子

演算子 | 演算子名 | 構文 | 例
+ | プラス演算子 | +a | +1
- | マイナス演算子（単項） | -a | -1
+ | 加算演算子 | a + b | 1 + 2 = 3
- | 減算演算子 | a - b | 2 - 1 = 1
* | 乗算演算子 | a * b | 2 * 2 = 4
/ | 除算演算子 | a / b | 4 / 2 = 2
% | 剰余演算子 | a % b | 5%2=1（余り）

比較演算子

演算子 | 演算子名 | 構文 | 例
! | ブール論理否定演算子（単項） | !a | ! a（aではない）
&& | 論理AND | a && b | 1 < 5 && 5 < 10 = true
II | 論理OR | a || b | 1 < 5 || 5 > 10 = true
= | 代入演算子 | a = b | a = 3
== | Equal To（等値）演算子 | a == b | 3 == 3
!= | Not Equal To（非等値）演算子 | a != b | 4 != 3
> | Greater Than（より大きい）演算子 | a > b | 4 > 3
>= | Greater Than Or Equal To（以上）演算子 | a >= b | 4 >= 3
< | Less Than（より小さい）演算子 | a < b | 3 < 4
<= | Less Than Or Equal To（以下）演算子 | a <= b | 3 <= 4

ビット処理演算子

演算子 | 演算子名 | 構文 | 例
~ | ビットごとのNOT（バイナリ数値のビットを反転することで、式で論理否定を実行） | a = ~ b | ~1 = -2、ここで 00000001 = 1 11111110 = -2
& | ビットごとのAND（2つの式で論理積を実行） | a = b & c | 1 & 1 = True 0 & 1 = False 1 & 0 = False 0 & 0 = False
| | ビットごとのOR（2つの式で論理和を実行） | a = b | c | 1 | 1 = True 0 | 1 = True 1 | 0 = True 0 | 0 = False
^ | ビットごとのXOR（2つの式で排他的論理和を実行） | a = b ^ c | 1 ^ 1 = False 0 ^ 1 = True 1 ^ 0 = True 0 ^ 0 = False
親トピック: 式デザイナ


式デザイナーの関数の使用

式デザイナー では、以下の関数がサポートされています。

数学関数

関数／説明 | 構文 | 例
Abs：数値の絶対値を返します。 | Abs(式) | Abs(-2) と Abs(2) は両方とも 2 を返します。
Round：最も近い整数に丸めた数値を返します。 | Round(式) | Round(1.3333) は 1 を返します。
Max：2 つの数値を比較し、大きい方の数値を返します。 | Max(数値1, 数値2) | Max(-123,12) は 12 を返します。
Min：2つの数値を比較し、小さい方の数値を返します。 | Min(数値1, 数値2) | Min(-123,12) は -123 を返します。

文字列関数

関数／説明 | 構文 | 例
Contains：文字列2 が文字列1 に含まれているかどうかを返します。 | Contains(文字列1, 文字列2) | Contains("Hello World", "Hello") は true を返します。 Contains("Hello World", "Goodbye") は false を返します。
Find：文字列内の特定の文字列の最初の出現位置を返します。 | Find(文字列1, 文字列2) | Find("abcd","c") は 3 を返します。
FormatDate：日付、日付形式、およびロケールに基づく日付文字列を返します。 | FormatDate(日付, 日付形式, ロケール) | FormatDate("May 13, 2009", "MM/dd/yy", "en-US") は「05/13/09」を返します。
FormatTime：時刻、時刻形式、およびロケールに基づく時刻文字列を返します。 | FormatTime(時刻, 時刻形式, ロケール) | FormatTime("23:02:33", "hh:mm tt", "en-US") は「11:02 PM」を返します。
Left：文字列の左側から指定した数の文字を返します。 | Left(文字列, 長さ) | Left("abcd",2) は「ab」を返します。
Length：文字列の文字数を返します。 | Length(文字列) | Length("abcd") は 4 を返します。
MakeLower：テキスト文字列を小文字に変換します。 | Makelower(文字列) | Makelower("ABCD") は「abcd」を返します。
MakeUpper：テキスト文字列を大文字に変換します。 | Makeupper(文字列) | Makeupper("abcd") は「ABCD」を返します。
Mid：文字列の中央から指定した数の文字を返します。 | Mid(文字列, 開始位置, 長さ) | Mid("abcd",2,2) は「bc」を返します。
Replace：指定した回数だけ、指定した部分文字列が別の部分文字列に置換されたテキスト文字列を返します。 | Replace(文字列, 置換対象の部分文字列, 置換後の部分文字列) | Replace("abc def","bc","xy") は「axy def」を返します。
Right：文字列の右側から指定した数の文字を返します。 | Right(文字列, 長さ) | Right("abcd",2) は「cd」を返します。
Trim：指定した文字列を、先頭と末尾のスペースを削除して返します。 | Trim(文字列) | Trim(" abcd ") は「abcd」を返します。
TrimLeft：指定した文字列を、先頭のスペースを削除して返します。 | TrimLeft(文字列) | TrimLeft(" abcd ") は「abcd 」を返します。
TrimRight：指定した文字列を、末尾のスペースを削除して返します。 | TrimRight(文字列) | TrimRight(" abcd ") は「 abcd」を返します。

変換関数

関数／戻り値の型 | 構文 | 式の範囲
ToBool：Boolean | ToBool(式) | 有効な文字列または数値の式
ToDouble：Double | ToDouble(式) | 1.7E +/- 308
ToLong：Long | ToLong(式) | -2,147,483,648 から 2,147,483,647（端数は丸められる）
ToString：Text | ToString(式) | ToString の戻り値は式の内容によって異なります。
ToLongLong：Integer | ToLongLong | -9,223,372,036,854,775,808 から 9,223,372,036,854,775,807
ToEnumeration：Integer | ToEnumeration | -9,223,372,036,854,775,808 から 9,223,372,036,854,775,807 注: Open Agent では 64 ビットのデータ型がサポートされないため、この式に推奨される範囲は -2,147,483,648 から 2,147,483,647 までです。

変換規則

データ型を変換する場合は、以下の規則に従ってください。

Double 型から Long 型への変換

小数点は切り捨てられます。Long 型の範囲外の数値はラップされます。たとえば、Double 型の数値 49.6 は 49 に丸められます（つまり、.6 は切り捨てられます）。Double 型の数値 -2147483649 は Long 型の上限（+214748367）にラップされます。

String 型から Double 型または Long 型への変換

変換は、認識不可の最初の文字（英字など）で停止します。Long型の場合、小数点は切り捨てられ、Long型の範囲外の数値はラップされます。たとえば、「123.7 oranges」は、Double 型の「123.7」および Long 型の「123」に変換されます。

Boolean 型への変換

ゼロ以外の数値、テキスト「true」、または数値に変換されるすべてのテキストは、Trueに変換されます。ゼロ、テキスト「false」、または数値に変換できないすべてのテキストは、Falseに変換されます。

Boolean 型から Double 型または Long 型への変換

True = 1 および False = 0。

親トピック: 式デザイナ


FormatDate 関数

説明

ユーザーが指定した日付、日付形式、およびロケールに基づいて文字列式を返す式デザイナの関数。

構文

local variable = FormatDate (Date, Format, Locale)

FormatDate 関数の構文のパラメータは以下のとおりです。

Date
指定されたロケールに有効な日付文字列または日付文字列が含まれる変数。 現在のシステムの日付を指定するには、「Current」を使用します。 日付文字列を指定するには、希望する日付文字列を引用符で囲んで入力します（例："January 5th, 2009"）。 日付文字列が含まれる変数の場合は、引用符なしで変数名を使用します。
Format
指定したロケールに対して有効な以下の要素の組み合わせで構成される日付形式。
日
  • d：日を数値で表し、数値が 1 桁の場合は先頭にゼロを付けません（「1」 から 「9」、「10」 から 「31」）。
  • dd：日を数値で表し、数値が 1 桁の場合は先頭にゼロを付けます（「01」 から 「09」、「10」 から 「31」）。
  • ddd：曜日を表す 3 文字の略語（英語の Mon、Tue、Wed など）。
  • dddd：曜日を略さずに表します（英語の Monday、Tuesday、Wednesday など）。
月
  • M：月を数値で表し、数値が 1 桁の場合は先頭にゼロを付けません（「1」 から 「9」、「10」 から 「12」）。
  • MM：月を数値で表し、数値が 1 桁の場合は先頭にゼロを付けます（「01」 から 「09」、「10」 から 「12」）。
  • MMM：月を表す 3 文字の略語（英語の Jan、Feb、Oct など）。
  • MMMM：月を略さずに表します。
年
  • y：年の最後の 2 桁の数値で表し、10 年未満である場合は先頭にゼロを付けません（「0」 から 「9」、「10」 から 「99」）。
  • yy：年の最後の 2 桁を数値で表し、10 未満である場合は先頭にゼロを付けます（「00」 から 「09」、「10」 から 「99」）。
  • yyy：年の最後の 2 桁を数値で表し、10 未満である場合は先頭にゼロを付けます（「00」 から 「09」、「10」 から 「99」）。
  • yyyy：年を略さずに 4 桁の数値で表します。
元号
gg：元号。
注: Silk Test Workbench では、指定された日付とロケールに元号が存在するかどうかが検証されます。 存在する場合は、その元号が Silk Test Workbench によってデフォルトのカレンダーに使用されます。 存在しない場合は、同じロケールの別のカレンダーに元号が存在するかどうかが Silk Test Workbench によって判断されます。 別のカレンダーが存在する場合は、すべての文字列の形式が Silk Test Workbench によってそのカレンダーに合わせて設定されます。存在しない場合、文字列の形式は Silk Test Workbench によってデフォルトのカレンダーに合わせて設定され、元号形式（gg）は無視されます。
Locale

一般的に、ロケールでは、ユーザーが自分のユーザー インターフェイスに表示するためのユーザーの言語や国、日付と時刻に使用する形式などの任意の特別なバリアント設定を定義します。

Locale パラメータにより、FormatDate 関数の出力で日付文字列が解釈され、表示される方法に対して、指定したロケール定義が適用されます。 このパラメータの値は、Windowsオペレーティング システムのロケール名に基づきます。 たとえば、フランス語（カナダ）のロケール名は「fr-CA」です。 サポートされているロケールの一覧については、Microsoft の『National Language Support Reference』の「Locale Identifier Constants and Strings」というトピックを参照してください。

注: 使用可能なロケールは、オペレーティング システムのバージョンと[地域のオプション]の設定に基づきます。

解説

すべてのパラメータが必須です。 Format または Locale パラメータのデフォルト値を使用するには、式に「Default」と入力します。 以下の例では、FormatDate 関数により、現在のシステムの日付が、オペレーティング システムの日付形式とロケールを使用して返されます。

FormatDate("Current", "Default", "Default")

以下の各例は、Format パラメータの要素を使用して FormatDate 関数の出力をカスタマイズする方法を示しています。

FormatDate("Jan 9, 2009", "dddd, MMM-dd-yyyy",
 "Default") returns "Friday, Jan-09-2009"

 FormatDate("Jan 9, 2009", "d/M/yy", "Default")
 returns "9/1/09"

 FormatDate("Jan 9, 2009", "yy", "Default")
 returns "09"

以下の例は英語のオペレーティング システムで実行するもので、Locale パラメータを使用して、フランス語のロケール日付をスペイン語のロケール日付に変換する方法を示しています。 この処理は 2 段階で行われ、最初に、数値ではないフランス語の日付（2009 janvier 9）を、フランス語の数値の日付（2009-01-09）形式に変換します。 次に、数値の日付をスペイン語の日付（2009-enero-09）に変換します。

FormatDate("2009 janvier 9", "yyyy-MM-dd",
 "fr-FR") returns "2009-01-09"

 FormatDate(FrNumericDate, "yyyy-MMMM-dd", "es-ES")
 returns "2009-enero-09"
親トピック: 式デザイナ


FormatTime 関数

説明

ユーザーが指定した時刻、時刻形式、およびロケールに基づいて文字列式を返す式デザイナの関数。

構文

local variable = FormatTime(Time, Format, Locale)

FormatTime 関数の構文のパラメータは以下のとおりです。

Time
指定されたロケールに有効な時刻文字列または時刻文字列が含まれる変数。 現在のシステムの時刻を指定するには、「Current」を使用します。 時刻文字列を指定するには、希望する時刻文字列を引用符で囲んで入力します（例："01:12:23"）。 時刻文字列が含まれる変数の場合は、引用符なしで変数名を使用します。
Format
指定したロケールに対して有効な以下の要素の組み合わせで構成される時刻形式。
時間
  • h：時間を 12 時間形式で表し、時間が 1 桁の場合は先頭にゼロを付けません。
  • H：時間を 24 時間形式で表し、時間が 1 桁の場合は先頭にゼロを付けません。
  • hh：時間を 12 時間形式で表し、時間が 1 桁の場合は先頭にゼロを付けます。
  • HH：時間を 24 時間形式で表し、時間が 1 桁の場合は先頭にゼロを付けます。
分
  • m：分を表し、分が 1 桁の場合は先頭にゼロを付けません。
  • mm：分を表し、分が 1 桁の場合は先頭にゼロを付けます。
秒
  • s：秒を表し、秒が 1 桁の場合は先頭にゼロを付けません。
  • ss：秒を表し、秒が 1 桁の場合は先頭にゼロを付けます。
時刻マーカー
  • t：1 文字の時刻マーカー文字列（A または P など）。
  • tt：午前と午後を複数文字の文字列で表します（AM、PM など）。
Locale

一般的に、Locale には、ユーザーが自分のユーザー インターフェイスに表示するためのユーザーの言語や国、日付と時刻に使用する形式などの、任意の特別なバリアント設定を定義します。

Locale パラメータにより、FormatTime 関数の出力で時刻文字列が解釈され、表示される方法に対して、指定したロケール定義が適用されます。 このパラメータの値は、Windowsオペレーティング システムのロケール名に基づきます。 たとえば、フランス語（カナダ）のロケール名は「fr-CA」です。 サポートされているロケールの一覧については、Microsoft の『National Language Support Reference』の「Locale Identifier Constants and Strings」というトピックを参照してください。

注: 使用可能なロケールは、オペレーティング システムのバージョンと[地域のオプション]の設定に基づきます。

解説

すべてのパラメータが必須です。 Format または Locale パラメータのデフォルト値を使用するには、式に「Default」と入力します。 以下の例では、FormatTime 関数により、現在のシステムの時刻が、オペレーティング システムの時刻形式とロケールを使用して返されます。

FormatTime ("Current","Default", "Default")

以下の各例は、Format パラメータの要素を使用して FormatTime 関数の出力をカスタマイズする方法を示しています。

FormatTime("9:05:08 PM", "hh:mm:ss tt", "en-US") returns "09:05:08 PM"

FormatTime("9:05:08 PM", "HH:mm:ss", "en-US") returns "21:05:08"

FormatTime("9:05:08 PM", "tt", "Default") returns "PM"

以下の例は、Locale パラメータを使用して、英語（米国）と英語（英国）の各ロケールの出力に影響を与える方法を示しています。

FormatTime("14:30", "Default", "en-US") returns "2:30:00 PM"

FormatTime("14:30", "Default", "en-GB") returns "14:30:00"
親トピック: 式デザイナ


自動ステップの操作

このセクションでは、ビジュアル テストで自動ステップを使用する方法を説明するトピックを示します。

  • 記録されない自動テスト ステップの作成
    自動テスト ステップの作成とビジュアル テストへの挿入の概要について説明します。
  • テスト アプリケーションを使用したコントロールの自動ステップの作成
    コントロールに対してコントロールの自動ステップを作成するために、テスト対象アプリケーションの表示可能なコントロールを識別します。
  • 画面プレビューを使用したコントロールの自動ステップの作成
    画面プレビュー ダイアログ ボックスを使用して、実際のテスト対象アプリケーションにアクセスできない場合などに、画面プレビューからコントロールに対するコントロールの自動ステップを作成します。
  • オブジェクトの識別ダイアログを使用したコントロールの自動ステップの作成
    オブジェクトの識別 ダイアログ ボックスを使用して、テスト対象アプリケーションの非表示コントロールに対するコントロールの自動ステップをサクセイします。
  • ビジュアル テスト内でのコントロール プロパティ データの使用
    テスト アプリケーションの任意のコントロールのプロパティ値を、ビジュアル テストのデータとして使用します。
  • ビジュアル テストにおける画面プレビューとステップの同期
    アプリケーションのスナップショットおよびステップのキャプチャと同期の概要について説明します。
  • 画面テスト ステップのキャプチャ画面の更新
    画面テスト ステップの更新に使用できる方法を示します。
親トピック: ビジュアル テストの拡張


記録されない自動テスト ステップの作成

自動テスト ステップとは、アプリケーションをテストするために、テスト アプリケーションのコントロールに対して操作を実行するステップのことです。たとえば、テスト アプリケーションで項目の選択、テキストの入力、コントロールのクリックなどを行うステップが自動ステップです。

自動ステップは、通常は記録します。ビジュアル テストの記録中にテスト アプリケーションのコントロールを操作すると、Silk Test Workbench によって、通常は個々の操作（クリックなど）が単独のステップとして記録されます。

ただし、記録を行わずに自動テスト ステップを作成して、ビジュアル テストにそのステップを挿入することもできます。記録を行わずに自動ステップを作成すると、テスト計画にわずかな変更が生じた場合に、テスト全体を記録し直すことなくその変更を吸収できます。自動テスト ステップを作成するには、オブジェクトの識別 ダイアログ ボックスを使用してテスト アプリケーションを操作するか、画面プレビュー でキャプチャされた画面イメージを操作します。オブジェクトの識別 ダイアログ ボックスを使用すると、Silk Test Workbench によってテスト アプリケーションのさまざまなコントロールがどのように認識されるかを確認できるため、アプリケーションのテストを最適化する方法を理解しやすくなります。

親トピック: 自動ステップの操作
関連概念
[オブジェクトの識別] ダイアログ ボックス
関連タスク
テスト アプリケーションを使用したコントロールの自動ステップの作成
画面プレビューを使用したコントロールの自動ステップの作成
オブジェクトの識別ダイアログを使用したコントロールの自動ステップの作成


テスト アプリケーションを使用したコントロールの自動ステップの作成

テスト アプリケーションを操作して、テスト操作を実行する個々のステップを作成できます。個々のステップを作成するということは、ビジュアル テストを記録し直す必要がなくなるということです。必要に応じて、テスト アプリケーションに対して追加の操作を作成するだけで済みます。

画面プレビュー 内にキャプチャされた画面を使用して、コントロールに対して追加操作を作成することもできます。

  1. コントロールを識別するビジュアル テストを開きます。
  2. コントロールが含まれるテスト アプリケーションを開きます。
  3. 挿入ポイントの直前のステップを選択します。 選択したステップで、コントロールに対して操作を実行します。
  4. 挿入 > コントロール > テスト対象アプリケーションから選択 を選択します。 記録 ダイアログ ボックスが開きます。
  5. テスト アプリケーションで使用するコントロールを選択します。 操作の選択 ダイアログ ボックスが開きます。
  6. コントロールに対する操作を指定します。 選択したステップの下に自動ステップが表示されます。ステップのプロパティが プロパティ ペインに表示されます。選択した操作は、操作 カテゴリに メソッド プロパティとして表示されます。ステップのプロパティを編集すると、操作の実行方法をさらに制御できます。
親トピック: 自動ステップの操作
関連概念
記録されない自動テスト ステップの作成
関連タスク
画面プレビューを使用したコントロールの自動ステップの作成
オブジェクトの識別ダイアログを使用したコントロールの自動ステップの作成


画面プレビューを使用したコントロールの自動ステップの作成

画面プレビューを使用してコントロールの自動ステップを作成する前に、オプション コントロールのキャプチャ が はい に設定されていることを確認してください。

テスト アプリケーションを操作して、テスト操作を実行する個々のステップを作成できます。個々のステップを作成するということは、ビジュアル テストを記録し直す必要がなくなるということです。必要に応じて、画面プレビュー でキャプチャされているテスト アプリケーションの画面に対して追加操作を作成します。

テスト アプリケーションを使用して、コントロールに追加操作を作成することもできます。

  1. コントロールの識別元となる、キャプチャされた画面が含まれるビジュアル テストを開きます。
  2. 画面プレビュー にテスト アプリケーションの画面またはコントロールを表示するステップを選択します。これを行うには、[テスト ステップ] ペインでステップをクリックするか、ストーリーボードでサムネイルをクリックします。

    画面プレビュー で個々のコントロールを見やすくするには、画面プレビュー の 操作 > ズーム を選択し、ズームの割合を選択します。

  3. 画面プレビュー で目的のコントロールを表示し、操作 > コントロールの挿入 > 画面プレビューから選択 を選択します。
  4. 画面プレビュー でコントロールを識別します。 操作の選択 ダイアログ ボックスが開きます。
  5. コントロールに対する操作を指定します。 選択したステップの下に自動ステップが表示されます。ステップのプロパティが プロパティ ペインに表示されます。選択した操作は、操作 カテゴリに メソッド プロパティとして表示されます。ステップのプロパティを編集すると、操作の実行方法をさらに制御できます。
  6. OK をクリックします。
親トピック: 自動ステップの操作
関連概念
記録されない自動テスト ステップの作成
関連タスク
テスト アプリケーションを使用したコントロールの自動ステップの作成
オブジェクトの識別ダイアログを使用したコントロールの自動ステップの作成
記録の出力オプションの設定


オブジェクトの識別ダイアログを使用したコントロールの自動ステップの作成

テスト アプリケーションを操作して、テスト操作を実行する個々のステップを作成できます。個々のステップを作成するということは、ビジュアル テストを記録し直す必要がなくなるということです。必要に応じて、テスト アプリケーションに対して追加の操作を作成するだけで済みます。

オブジェクトの識別 ダイアログ ボックスを使用して、非表示コントロールに対する追加の操作を作成することもできます。

  1. コントロールを識別するビジュアル テストを開きます。
  2. コントロールが含まれるテスト アプリケーションを開きます。
  3. 挿入ポイントの直前のステップを選択します。 選択したステップで、コントロールに対して操作を実行します。
  4. 挿入 > コントロール > オブジェクトの識別ダイアログ を選択します。
  5. Web アプリケーションをテストする場合は、ブラウザーの選択 ダイアログ ボックスが開きます。コントロールを識別するブラウザーを選択し、識別の開始 をクリックします。 オブジェクトの識別 ダイアログ ボックスが開きます。
  6. 識別の開始 をクリックします。
  7. テストしているアプリケーションにカーソルを移動します。 カーソルをアプリケーション内の各コントロール上に動かすたびにコントロールが強調表示されます。関連するロケーター文字列またはオブジェクト マップ項目は、選択済みロケーター テキスト ボックスに表示されます。
  8. 使用するコントロールが強調表示されているときに、コントロールをクリックします。
  9. 省略可能： ロケーターの詳細の表示 をクリックすると、ロケーター ツリーや関係する属性のすべてが ロケーター属性 テーブルに表示されます。
  10. 省略可能：記録したロケーター属性は、ロケーター属性 テーブルの別のロケーター属性で置き換えることができます。 たとえば、記録したロケーターは以下のように表示されます。
    /BrowserApplication//BrowserWindow//input[@id='loginButton']
    ロケーター属性 テーブルに textContents Login がリストされている場合、以下のようにしてロケーターを手動で変更できます。
    /BrowserApplication//BrowserWindow//input[@textContents='Login']
    新しいロケーターは、選択済みロケーター テキスト ボックスに表示されます。
  11. テスト をクリックして、ロケーターがコントロールを正しく認識することを確認します。
  12. ロケーターを使用する新しいステップをビジュアル テストに追加するには、貼り付け をクリックします。 操作の選択 ダイアログ ボックスが開きます。コントロールに対して実行する操作を選択し、OK をクリックします。
親トピック: 自動ステップの操作
関連概念
記録されない自動テスト ステップの作成
[オブジェクトの識別] ダイアログ ボックス
関連タスク
テスト アプリケーションを使用したコントロールの自動ステップの作成
画面プレビューを使用したコントロールの自動ステップの作成


ビジュアル テスト内でのコントロール プロパティ データの使用

Silk Test Workbench では、テスト アプリケーションの任意のコントロールのプロパティ値を、ビジュアル テストのデータとして使用できます。この場合、プロパティ変数を、ビジュアル テスト内で定義されているローカル変数に設定します。たとえば、コントロールのIDを変数に設定してからテスト ロジックでこの変数を使用すると、アプリケーションの他のコントロールで同じIDが使用されていないことを確認できます。

変数に設定できるプロパティは、そのコントロールで使用可能なプロパティによって異なります。すべてのコントロールで同じプロパティが使用可能なわけではありません。

コントロール プロパティ値を変数に設定するには、ビジュアル テストにその変数を作成する必要があります。

  1. コントロール プロパティを変数に設定するビジュアル テストを開きます。
  2. コントロール プロパティの値を保持するローカル変数を作成します。
  3. コントロールのプロパティを変数に設定するステップを挿入する場所の直前のステップを選択します。 目的のプロパティ データを持つコントロールが含まれるアプリケーションが、ステップを挿入するテスト内のポイントで使用可能になっていることを確認してください。
  4. 挿入 > コントロールのプロパティ を選択します。 選択したステップのあとにステップが作成されます。ステップのプロパティが プロパティ ペインに表示されます。
  5. プロパティ ペインの ロケーター テキスト ボックスで、変数を割り当てるコントロールを識別します。
    • テスト対象アプリケーション： テスト アプリケーションから可視のリスト ボックスまたはコンボ ボックス コントロールを識別するには、このボタンをクリックします。
    • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接リスト ボックスまたはコンボ ボックス コントロールを識別するには、このボタンをクリックします。
    • オブジェクトの識別ダイアログ： リスト ボックスまたはコンボ ボックス コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    • 選択：このボタンをクリックして、リテラル、変数、式の結果、またはアクティブ データ値を割り当てます。
  6. プロパティ リストから、コントロールのプロパティとしてリテラル、変数、式、またはアクティブ データのいずれを使用するかを指定します。 この値はローカル変数に格納されます。
  7. ローカル変数名 リストから、選択したコントロールおよびプロパティで使用する変数を選択します。
  8. 省略可能：その他 カテゴリのプロパティを編集し、ステップに関する一般的な情報を入力します。
親トピック: 自動ステップの操作


ビジュアル テストにおける画面プレビューとステップの同期

Silk Test Workbench では、記録中と再生中にアプリケーションのスナップショットをキャプチャします。このスナップショットには、キャプチャされた画面と、さまざまなプロパティを持つ各種コントロールの列挙が含まれます。キャプチャされた画面は 画面プレビュー に表示されます。

Silk Test Workbench では、スナップショットは以下のような状況のときに取得されます。
  • 記録中のすべての自動テスト ステップの前。
    注: SAP アプリケーションの場合、スナップショットはすべての自動テスト ステップの前ではなく、画面が変わったときに発生します。
  • ビジュアル テストで Using ステップを実行した結果のスナップショット。
  • 再生エラーが発生した場合。
ヒント: アプリケーション画面の内容を更新するのに時間のかかるテスト アプリケーションの場合は、アプリケーション画面のスナップショットを取得する前に待機するよう Silk Test Workbench を設定できます。詳細については、アタッチとスクリーンショット間の遅延 オプションを参照してください。

自動テスト ステップ

すべての自動テスト ステップには独自のスナップショットがあり、画面プレビュー では (グループ画面) または (ステップ画面) というラベルが付けられます。 (グループ画面) には、現在のダイアログ ボックスまたは Web ページのメイン コンテキストが含まれています。一方、(ステップ画面) は、現在のダイアログ ボックスまたは Web ページでの特定の操作に関連付けられています。

Silk Test Workbench では、アプリケーションのスナップショットは、そのスナップショットを参照する実際のテスト ステップの前に取られます。画面コンテキストが変わる自動ステップ (新しいダイアログ ボックスまたは Web ページを開くなど) では、Using ステップは、自動ステップの前のアプリケーション状態を表す画面キャプチャに関連付けられます。画面プレビュー では、Using ステップには (グループ画面) というラベルが付けられます。たとえば、Web ページの 画面プレビュー での (グループ画面) は、テスト ステップ ペインの Using Browser Application 'BrowserApplication' ステップと対応する場合があります。Using ステップに続くテスト ステップは、現在のダイアログ ボックスまたは Web ページのコンテキストで発生する単一の操作に対応し、画面プレビュー では (ステップ画面) というラベルが付けられます。たとえば、テキスト フィールドに郵便番号を入力した場合に、対応するテスト ステップは「'92109' を入力します」であるとします。画面プレビュー では、入力した値の前の郵便番号のテキスト フィールドと郵便番号の値の周囲に黒い四角形が表示されます。したがって、92109 の前の値が 18966 だった場合、画面プレビュー には 18966 が表示されます。

Using ステップを無効にした場合、Using ステップに続くステップは、無効にした Using ステップの前の Using ステップに関連付けられます。たとえば、Using ステップ 26 を無効にした場合、それに続くテスト ステップはステップ 26 の前の Using ステップを使用します。

注: 画面プレビューからコントロールを挿入すると、画面プレビュー に (グループ画面) スナップショットが表示されます。コントロールは記録されなかったため、スナップショットは取得されませんでした。この結果、(グループ画面) が使用されます。

その他のテスト ステップのタイプ

ほとんどの場合、自動ステップに関連付けられていないテスト ステップでは、画面プレビュー にスナップショットは表示されません。たとえば、ビジュアル テストにスクリプトを挿入すると、画面プレビュー には テスト ステップ ペインに表示されるテキストが表示されます。

設定の構成

デフォルトでは、Silk Test Workbench によって記録中にグループと個別両方の画面キャプチャが記録されます。これらの設定は、オプション ダイアログ ボックスを使用して、グループ画面キャプチャのみを記録するように、または画面キャプチャを記録しないように変更できます。ツール > オプション を選択し、記録 を展開します。出力 をクリックし、ビジュアル テスト をクリックして、これらのオプションを構成します。

オプション ダイアログ ボックスでは、ビジュアル テストのグループと個別両方の画面キャプチャの再生画面キャプチャ設定を構成するか、すべてのビジュアル テストに適用されるグローバル オプションを設定できます。ツール > オプション を選択し、再生 を展開します。結果 をクリックし、ビジュアル テスト をクリックして、これらのオプションを構成します。

ビジュアル テストの個別の設定を構成するには、ビジュアル テストを記録し、次に、グローバル再生値を上書きする 再生設定の設定 ステップを挿入します。設定には、画面キャプチャ と 画面キャプチャ (テスト ステップ) があります。

たとえば、パフォーマンスを向上させるために、特定のステップについては 画面キャプチャ (テスト ステップ) の再生設定を いいえ に設定し、個別の画面キャプチャが必要な残りのステップについては 画面キャプチャ (テスト ステップ) を はい に戻す場合があります。

親トピック: 自動ステップの操作
関連タスク
再生のタイミング オプションの設定
記録の出力オプションの設定
ビジュアル テストの再生結果オプションの設定
関連資料
[ビジュアル ナビゲータ]：[画面プレビュー]
[ビジュアル ナビゲータ]：[テスト ステップ] ペイン


画面テスト ステップのキャプチャ画面の更新

ビジュアル テストまたは結果の 画面プレビュー から、以前にキャプチャされた画面テスト ステップの画面を即座に更新することができます。キャプチャされたイメージは、関連するステップが実行される前のアプリケーションの状態を示します。Silk Test Workbench では、キャプチャされた画面を更新する方法には以下の 2 つがあります。

テスト アプリケーションからの画面の再キャプチャ

この方法は、ビジュアル テストの 画面プレビュー から実行します。テスト アプリケーションを開き、新しい画面が含まれるウィンドウを表示して、それを再キャプチャします。

再生中にキャプチャされた画面の使用

この方法は、結果の 画面プレビュー から実行します。テスト アプリケーションにアクセスする必要はありません。

  • 再生中に記録された画面を使用したキャプチャ画面の更新
    画面テスト ステップの以前にキャプチャされた画面を即座に更新します。この方法では、ターゲット アプリケーションにアクセスする必要はありません。
  • テスト アプリケーションからキャプチャされた画面の更新
    ビジュアル テストの 画面プレビュー から、テスト アプリケーションを開き、新しい画面が含まれるウィンドウを表示して、それを再キャプチャします。
親トピック: 自動ステップの操作


再生中に記録された画面を使用したキャプチャ画面の更新

ビジュアル テストまたは結果の 画面プレビュー から、以前にキャプチャされた画面テスト ステップの画面を即座に更新することができます。キャプチャされたイメージは、関連するステップが実行される前のアプリケーションの状態を示します。

  1. ビジュアル テストの結果を開きます。
  2. テスト ステップ ペインで、更新が必要な画面が含まれるステップを選択するか、画面が含まれるストーリーボードのサムネイルをクリックします。
  3. 現在のステップのみを更新する場合は、画面プレビュー または テスト ステップ ペインから 操作 > 画面の更新 を選択します。 Silk Test Workbench により、ビジュアル テストが開き、更新された画面が 画面プレビュー に表示され、ビジュアル テストの画面項目を更新するか尋ねる確認メッセージ ボックスが表示されます。この機能を利用するには、結果とビジュアル テストの名前を同じにする必要があります。ビジュアル テストの名前を変更した場合は、その結果の名前も変更してください。変更しなかった場合は、ビジュアル テストの画面項目を変更しようとしても、Silk Test Workbench でビジュアル テストが見つかりません。
    注: 画面テスト ステップを更新する前に、記録中にキャプチャされた画面と再生中にキャプチャされた画面の違いを表示することができます。操作 > 相違点の表示 > 横に並べる を選択してください。
  4. はい をクリックして、再生中にキャプチャされた画面でビジュアル テストを更新します。 ビジュアル テストが開きます。
  5. ビジュアル テストのすべての画面を更新する場合は、画面プレビュー または テスト ステップ ペインから 操作 > すべての画面を更新 を選択します。 この機能を利用するには、結果とビジュアル テストの名前を同じにする必要があります。ビジュアル テストの名前を変更した場合は、その結果の名前も変更してください。変更しなかった場合は、ビジュアル テストの画面項目を変更しようとしても、Silk Test Workbench でビジュアル テストが見つかりません。
  6. 確認メッセージ ボックスの 結果へ戻る チェック ボックスをオンにすると、はい をクリックしたあとで 結果 ウィンドウが表示されます。
親トピック: 画面テスト ステップのキャプチャ画面の更新
関連タスク
ビジュアル テストの再生結果オプションの設定


テスト アプリケーションからキャプチャされた画面の更新

ビジュアル テストまたは結果の 画面プレビュー から、以前にキャプチャされた画面テスト ステップの画面を即座に更新することができます。キャプチャされたイメージは、関連するステップが実行される前のアプリケーションの状態を示します。

  1. テスト アプリケーションを起動します。
  2. テスト アプリケーションを操作して、ビジュアル テストで情報の更新が必要な画面が含まれるウィンドウを表示します。
  3. ビジュアル テストを開き、更新が必要な画面が含まれる画面ステップを選択するか、画面が含まれるストーリーボードのサムネイルをクリックします。
  4. 操作 > 画面の更新 を選択します。 テスト アプリケーションで更新するテスト ステップに該当する画面が見つかると、Silk Test Workbench によってその画面が強調表示されます。テスト画面の周囲が四角の境界線で囲まれて点滅します。テスト アプリケーションで画面が見つからない場合は、テスト アプリケーションでウィンドウが見つからないことを示すメッセージが表示されます。ウィンドウの名前が変更されているか、Silk Test Workbench でウィンドウを認識できないようにウィンドウのプロパティが変更されている場合があります。はい をクリックしてテスト アプリケーションで更新されたウィンドウを再識別するか、別のウィンドウを識別してください。ウィンドウ情報を再キャプチャしないでビジュアル テストに戻るには、いいえ をクリックします。
  5. テスト アプリケーションの画面からキャプチャされた更新情報で、テスト ステップを更新するかどうかを確認するメッセージが表示されます。
    • テスト ステップを更新するには、はい をクリックします。
    • テスト ステップを更新しないでメッセージ ボックスを閉じるには、いいえ をクリックします。
親トピック: 画面テスト ステップのキャプチャ画面の更新


ビジュアル テストでの項目識別子の使用

ビジュアル テストでの項目識別子は、単純な数値ではなく、かぎ括弧で囲んだインデックスで指定します。

例

たとえば、GetCellText メソッドで DomTable の 2 行 2 列のセルのテキストを返すには、次のステップをビジュアル テストに追加します。
行 '[2]'、列 '[2]' のセルテキストを返します。また、戻り値を st_LastReturnValue に割り当てます
このステップのプロパティのパラメータ セクションで、row パラメータを [2] に、そして、col パラメータも [2] に設定します。
注: ビジュアル テストでは、項目識別子にはかぎ括弧が必要なため、これらのパラメータとして [2] ではなく 2 を設定すると、正しく動作しません。
親トピック: ビジュアル テストの拡張
関連概念
Silk Test Workbench 言語リファレンス


ビジュアル テストでのテスト データの再利用

ビジュアル テストで使用できる再利用の種類を示します。

  • ビジュアル テストにおける変数
    ビジュアル テストにおける変数およびサポートされているデータ型の概要について説明します。
  • ビジュアル テスト間でのデータの受け渡し
    ビジュアル テスト間でデータを渡す方法について説明します。
親トピック: ビジュアル テストの拡張


ビジュアル テストにおける変数

アプリケーションのテストでは、通常はデータを使用する必要があります。アプリケーションの一部をテストするためにデータを使用したり、そのアプリケーションやその他のアプリケーション全体でデータを使用したりできます。データをフィールドに入力して、そのフィールドがどのようにユーザー入力を受け入れるかをテストできます。また、データを使用して、テスト アプリケーションに対してテストがどのように再生されるかを確認することもできます。

記録中、コントロールへのデータ入力はリテラル データとして記録されます。たとえば、WPF TextBox コントロールに対して入力された値がある場合、その結果のテスト ステップは次のようになります：「"Ford" を入力します」。

この値は有効ですが、これではビジュアルテストはこのテスト ステップで Ford 以外の値のデータを使用することができません。ただし、値 Ford を、このデータを表す変数で置き換えると、変数で使用される任意のデータが TextBox コントロールに入力されます。

変数を使用すると、ビジュアル テストで使用するデータが定数である必要がなくなるため、テストの柔軟性が高まります。

ビジュアル テストに変数を定義する場合は、その変数がどのような種類のデータを保持できるかを定義する必要があります。このような変数の特性を、データ型と呼びます。ビジュアル テストでは、以下のデータ型の変数を使用できます。

  • テキスト (String)
  • 数値 (Long)
  • 数値 (Double)
  • ブール値 (True/False)
  • 数値 (Long Long)
  • 列挙

たとえば、Silk Test Workbench でコントロールへのデータ入力が記録されるとき、記録された値が二重引用符 ("") で囲まれている場合、通常は テキスト データ型であり、テキスト データ型の変数で置き換えることができます。

ビジュアル テストでは、以下のタイプの変数を使用します。
  • ローカル：通常 1 つのビジュアル テスト内で定義され、使用される変数です。ローカル変数を使用して、グローバル変数やビジュアル テスト変数などの他のタイプの変数の値を格納することができます。挿入 > 変数 > ローカルの追加 を選択してローカル変数を追加するか、または <<開始>> ステップの プロパティ ペインでローカル変数を定義します。
  • グローバル：グローバル変数は、ビジュアル テストのコンテキスト内で定義されますが、そのグローバル変数が含まれているビジュアル テストを実行する、任意のビジュアル テストで使用できます。ビジュアル ナビゲータ でビジュアル テストを操作している場合は、挿入 > 変数 > グローバルの設定 を選択して、グローバル変数の値を定義します。他のビジュアル テストでは、挿入 > 変数 > グローバルの取得 を選択して、グローバル変数の値をローカル変数に割り当てます。
  • パラメータ：1 つのビジュアル テストから別のビジュアル テストに渡される変数です。
  • 入力/出力パラメータ：入力パラメータを使用して、ビジュアル テストからスクリプトにデータを渡します。出力パラメータを使用して、スクリプトからビジュアル テストにデータを渡します。
  • 予約：事前に定義されている変数です。この変数を使用して、ビジュアル テストの再生に関する情報やその他の有用な再生結果情報を取得することができます。予約変数の名前は、必ず接頭部 ST で始まります。予約変数は読み取り専用ですが、式の中で他のタイプの変数と共に使用できます。
ヒント: 変数を使用することによって、スクリプトでデータを再利用することもできます。詳細については、「スクリプトにおける変数」を参照してください。
  • ビジュアル テストの再生における、変数の使用状況の監視
    ビジュアル テストの再生時に変数の使用を追跡します。
  • ローカル変数
    ローカル変数の概要について説明します。
  • グローバル変数
    グローバル変数の概要について説明します。
  • 予約変数
    予約変数の使用の概要について説明します。
  • ビジュアル テスト間でのデータの共有
    ビジュアル テスト間でパラメータを作成して使用する方法の概要について説明します。
  • Silk Central からのパラメータを使用する
    Silk Central で テストに対して設定した パラメータを Silk Test Workbench で使用する方法について説明します。
親トピック: ビジュアル テストでのテスト データの再利用
関連概念
スクリプトにおける変数


ビジュアル テストの再生における、変数の使用状況の監視

Silk Test Workbench では、ビジュアル テストの再生時に変数の使用を追跡できます。変数の使用状況と再生中に変数に格納される値を追跡することによって、ビジュアル テストのデバッグに関する有益な情報を入手できます。

ビジュアル テストを再生する前に、ローカル変数 ウィンドウを表示します。このウィンドウには、ビジュアル テストの再生中に変数が作成、使用、削除されたときに変数の使用状況が表示されます。

ローカル変数 ウィンドウでビジュアル テストに 1 つまたは複数のブレークポイントを設定し、テスト ステップを段階的に再生して、テスト実行の重要なポイントで変数の使用状況に関するスナップショットを取得できます。

  1. 再生中に監視する変数が含まれているビジュアル テストを開きます。
  2. デバッグ > ローカル変数 を選択します。 ローカル変数 ウィンドウが開きます。このウィンドウは、移動、ドッキング、非表示、またはサイズ変更が可能です。
  3. 選択した場所で再生を停止するようにブレークポイントを設定し、変数を追跡しやすくします。
  4. ビジュアル テストを再生します。 デバッグ モードの場合は選択した場所で再生が停止し、既存の変数ごとにその現在値が ローカル変数 ウィンドウに表示されます。
ヒント: また、ローカル変数 ウィンドウには、変数を使用しているビジュアル テストの名前も表示されます。これは、複数のビジュアル テストを再生している場合、またはビジュアル テストのステップ内で他のビジュアル テストを再生している場合に役立ちます。
ヒント: ローカル変数 ウィンドウからクリップボードに変数をコピーするには、変数を右クリックします。コピー を選択すると、現在選択している変数（ノード）とそのすべての子変数がコピーされます。また、値のコピー を選択すると、現在選択している変数の 値 だけがコピーされます。変数の 値 が空の場合は、このメニュー項目は無効になります。
親トピック: ビジュアル テストにおける変数


ローカル変数

ローカル変数は、1つのビジュアル テスト内で使用するために作成された変数です。これらはビジュアル テストの <<開始>> ステップで定義し、プロパティ ウィンドウで編集し、再生中にビジュアル テストで使用できます。ローカル変数を作成すると、変数を作成したビジュアル テストで使用できます。使用できる場所とタイミングは、以下のとおりです。
  • テスト ロジック
  • 結果コメント
  • 式
  • 他のビジュアル テストで設定されたグローバル変数を格納するとき
  • ビジュアル テストへのローカル変数の追加
    ビジュアル テストにデータを渡すために、ローカル変数を追加します。
  • ビジュアル テスト用ローカル変数の編集
    テストの必要に応じてローカル変数を変更します。
  • ビジュアル テストからのローカル変数の削除
    ローカル変数がビジュアル テストで必要なくなった場合は、ローカル変数を削除します。
親トピック: ビジュアル テストにおける変数


ビジュアル テストへのローカル変数の追加

ローカル変数は、1つのビジュアル テスト内で使用するために作成された変数です。これらはビジュアル テストの <<開始>> ステップで定義し、プロパティ ウィンドウで編集し、再生中にビジュアル テストで使用できます。ローカル変数を作成すると、変数を作成したビジュアル テストで使用できます。

  1. ローカル変数を追加するビジュアル テストを開きます。
  2. 挿入 > 変数 > ローカルの追加 を選択します。 ローカル変数の追加 ダイアログ ボックスが開きます。
  3. 変数の名前を 変数名 フィールドに入力します。 ローカル変数名に有効な文字は、大文字／小文字の英数字とアンダースコア（「ABC」、「abc」、「_」）です。また、ローカル変数名は一意にする必要があります。
    注: 変数名は、「st_」で始めることはできません。
    追加または編集される変数の名前が重複する場合、Silk Test Workbench によってそれが通知されます。この場合、追加または編集する変数に固有の名前を付ける必要があります。
  4. 型 リストから変数の型を選択します。 ローカル変数を追加または編集する場合、表示されるデータ型は、<<開始>> ステップのプロパティ ウィンドウを使用して追加しようとしている変数のデータに基づきます。式の結果を格納するとき、リストから型を選択します。
    Silk Test Workbench は、次の変数の型をサポートします。
    テキスト
    変数の値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。
    注: テキスト データ型は大文字／小文字を区別します。つまり、比較時にはテキスト文字列の個々の文字の大文字／小文字が一致していなければなりません。大文字／小文字が一致していない場合は、比較は失敗します。
    数値 (Long)

    変数の値は、-2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

    数値 (Double)

    変数の値は、倍精度浮動小数点数で、-1.7E308 から +1.7E-307 の 64 ビットの数値として格納されます。

    ブール値 (True/False)

    変数の値は True または False です。

    数値 (Long Long)

    64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

    列挙

    この変数は一連の値をグループ化し、1 から n まで順番に番号を付けます。限られた個数の一意の値のみを変数に保持する場合は、列挙型を宣言します。この変数型は、列挙データ型を必要とするプロパティまたは変数に使用します。

    列挙には、64 ビット整数（-9223372036854775808 から 9223372036854775807 の範囲）が格納されます。ただし、UI では 64 ビットの列挙がサポートされていますが、エンジンでは 32 ビットの列挙のみがサポートされています（将来のリリースでは、エンジンでも 64 ビットの列挙がサポートされる予定です）。

  5. 省略可能： 変数の初期値を 初期値 フィールドに入力します。 この値は、ビジュアル テスト、またはスクリプトに渡された場合はスクリプトで変更できます。値は型と整合性がある必要があります。たとえば、型が数値(Long Long) である場合、初期値には、整数でない文字（テキスト文字など）を含めることはできません。ブール型変数の場合、リストから False または True を選択します。変数の場合、初期値は必須ではないため、このフィールドは空白のままにすることができます。この値は、ビジュアル テストの他の箇所で決定できます。
  6. OK をクリックします。
    変数名と初期値 (存在する場合) が、<<開始>> ステップの プロパティ ペインの選択した変数型の下に表示されます。
  7. 他のローカル変数を作成するには、必要に応じて上記のステップを繰り返します。 各変数型の値領域は、現在定義されている各変数型の数を示します。たとえば、数値 (Long) 項目の値領域が 3 個の項目 の場合、現在このビジュアル テストには Long データ型のローカル変数が 3 つ定義されています。
親トピック: ローカル変数
関連タスク
アプリケーション データを保存するローカル変数の作成
ビジュアル テスト用ローカル変数の編集
関連資料
割り当てプロパティ


ビジュアル テスト用ローカル変数の編集

ローカル変数は、<<開始>> ステップの プロパティ ペインで編集できます。

  1. 編集するローカル変数が含まれているビジュアル テストを開きます。
  2. ビジュアル テストの <<開始>> ステップを選択します。 <<開始>> ステップのプロパティが プロパティ ペインに表示されます。
  3. プロパティ ペインで、変数 カテゴリを探すか 変数 をダブルクリックしてカテゴリを展開し、ビジュアル テストに定義されたローカル変数を表示します。 変数 カテゴリで定義される変数には、以下の型があります。
    ビジュアル テスト
    他のビジュアル テストで定義され、このビジュアル テストに渡される変数。
    テキスト
    変数の値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。
    注: テキスト データ型は大文字／小文字を区別します。つまり、比較時にはテキスト文字列の個々の文字の大文字／小文字が一致していなければなりません。大文字／小文字が一致していない場合は、比較は失敗します。
    数値 (Long)

    変数の値は、-2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

    数値 (Double)

    変数の値は、倍精度浮動小数点数で、-1.7E308 から +1.7E-307 の 64 ビットの数値として格納されます。

    ブール値 (True/False)

    変数の値は True または False です。

    数値 (Long Long)

    64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

    列挙

    この変数は一連の値をグループ化し、1 から n まで順番に番号を付けます。限られた個数の一意の値のみを変数に保持する場合は、列挙型を宣言します。この変数型は、列挙データ型を必要とするプロパティまたは変数に使用します。

    列挙には、64 ビット整数（-9223372036854775808 から 9223372036854775807 の範囲）が格納されます。ただし、UI では 64 ビットの列挙がサポートされていますが、エンジンでは 32 ビットの列挙のみがサポートされています（将来のリリースでは、エンジンでも 64 ビットの列挙がサポートされる予定です）。

  4. 編集する変数の値領域をクリックし、値領域内の 変数の編集 ボタンをクリックします。 変数の編集 ダイアログ ボックスが開きます。
  5. 変数の名前を 変数名 フィールドに入力します。 ローカル変数名に有効な文字は、大文字／小文字の英数字とアンダースコア（「ABC」、「abc」、「_」）です。また、ローカル変数名は一意にする必要があります。
    注: 変数名は、「st_」で始めることはできません。
    追加または編集される変数の名前が重複する場合、Silk Test Workbench によってそれが通知されます。この場合、追加または編集する変数に固有の名前を付ける必要があります。
  6. 省略可能： 変数の初期値を 初期値 フィールドに入力します。 この値は、ビジュアル テスト、またはスクリプトに渡された場合はスクリプトで変更できます。値は型と整合性がある必要があります。たとえば、型が数値(Long Long) である場合、初期値には、整数でない文字（テキスト文字など）を含めることはできません。ブール型変数の場合、リストから False または True を選択します。変数の場合、初期値は必須ではないため、このフィールドは空白のままにすることができます。この値は、ビジュアル テストの他の箇所で決定できます。
  7. OK をクリックします。
    変数名と初期値 (存在する場合) が、<<開始>> ステップの プロパティ ペインの選択した変数型の下に表示されます。
  8. 他のローカル変数を編集するには、必要に応じて上記のステップを繰り返します。 スクリプトに渡す変数を編集する場合は、変数値を渡されるテスト内でスクリプトを実行する必要があります。
親トピック: ローカル変数
関連タスク
ビジュアル テストへのローカル変数の追加


ビジュアル テストからのローカル変数の削除

ローカル変数がビジュアル テストで必要なくなった場合は、ローカル変数を削除します。

  1. ローカル変数を削除するビジュアル テストを開きます。
  2. 次のいずれか 1 つのステップを行います：
    • すべてのローカル変数をテストから削除するには、<<開始>> ステップを選択して Del を押します。
    • 特定のローカル変数をテストから削除するには、<<開始>> ステップを選択し、プロパティ ペインで変数を選択して 削除 をクリックします。
親トピック: ローカル変数


グローバル変数

Silk Test Workbench では、ビジュアル テスト内のデータを表す変数を作成して、同じデータベース内の他のビジュアル テストからそのデータを使用できます。この場合は、グローバル変数にデータを設定します。

グローバル変数は、複数のテストで使用する必要のあるデータ、または定数として使用するデータに対して有用です。データをグローバル変数に定義すると、そのデータを必要とする個々のビジュアル テストで、そのグローバル変数を参照できます。グローバル変数で表されるデータを変更する場合は、データを 1 箇所で変更します。各ビジュアル テストを次回再生したときに、自動的に新しいデータが使用されます。

グローバル変数を使用するには、1つのビジュアル テストで変数を作成し、他のビジュアル テストでその値をローカル変数に格納します。これにより、1つのテスト内にデータを作成し、テスト ソリューション全体でそのテストを再利用できます。グローバル変数のデータがローカル変数に読み込まれると、そのデータはローカル変数と同じように使用できます。

ローカル変数とは異なり、グローバル変数は、その変数が作成されたビジュアル テストを再生するときにだけ作成され、削除されるわけではありません。グローバル変数は、この変数が含まれるビジュアル テストを再生する任意のビジュアル テストから、アクセスおよび変更できます。

ビジュアル テストにグローバル変数を作成するには、グローバルの設定ステップを作成し、そのステップに変数を定義するプロパティを設定します。各グローバルの設定ステップは、1 つのグローバル変数定義を表します。

  • ビジュアル テストにおけるグローバル変数の管理
    グローバル変数を管理するためのベスト プラクティスについて説明します。
  • ビジュアル テスト用グローバル変数の作成
    ビジュアル テスト内のデータを表す変数を作成して、同じデータベース内の他のビジュアル テストからそのデータを使用できるようにします。
  • ビジュアル テストで使用するグローバル変数の取得
    グローバルの設定ステップでグローバル変数が作成されると、それらのグローバル変数は、グローバルの設定ステップを含むビジュアル テストを実行する任意のビジュアル テストで使用できます。
親トピック: ビジュアル テストにおける変数


ビジュアル テストにおけるグローバル変数の管理

ビジュアル テストでグローバル変数値を使用するには、スクリプトに定義されたローカル変数にグローバル変数を格納し、ローカル変数として使用する必要があります。また、この変数が含まれるビジュアル テストを、値を使用するビジュアル テストに挿入する必要があります。これには、グローバル変数が含まれるビジュアル テストのすべてのステップが含まれますが、これにより不要なテスト結果が生成される場合があります。

このため、テスト ソリューションのすべてのグローバル変数は、1 つのビジュアル テストに作成して管理することをお勧めします。これには以下のような利点があります。

  • テスト ソリューションで使用する各グローバル変数定義を1箇所で確認できます。
  • グローバル変数名の重複を回避できます。
  • グローバル変数が含まれるビジュアル テストを他のビジュアル テストに挿入した場合、再生時にグローバル変数のみが呼び出し元のスクリプトに読み込まれます。グローバル変数が含まれるビジュアル テストで、他の不要なステップが再生されません。

ローカル変数を使用してグローバル変数を格納すると、格納前にそのローカル変数に設定されていた値は、グローバル変数の値に変更されます。

ビジュアル テストに定義されたグローバル変数と同じ名前のローカル変数を定義できます。グローバル変数の値を変更した場合でも、同じ変数名を持つローカル変数の値は変更されません。ただし、ビジュアル テストで誤ってデータを使用したり混乱したりすることのないように、グローバル変数名はローカル変数名や他の変数名とは異なる名前にすることをお勧めします。

2 つのビジュアル テストで同じ名前のグローバル変数を作成することもできますが、グローバル変数に予想外の値が格納されたまま使用されるおそれがあるため、このような使用法も避けます。

親トピック: グローバル変数


ビジュアル テスト用グローバル変数の作成

グローバル変数は1つのビジュアル テスト内で使用するために作成しますが、他のビジュアル テストからも使用できます。グローバル変数は、グローバルの設定ステップに 割り当て プロパティを使用して定義します。グローバル変数を作成すると、このグローバル変数が定義されているビジュアル テストを実行するビジュアル テストで、変数を使用できます。

  1. グローバル変数を作成するビジュアル テストを開きます。
  2. グローバル変数を作成する場所の直前のステップを選択します。
  3. 挿入 > 変数 > グローバルの設定 を選択します。 選択したステップのあとにグローバル変数の設定ステップが作成されます。グローバル変数の設定ステップのプロパティが、プロパティ ペインに表示されます。
  4. グローバル変数の設定ステップの プロパティ ペインで、プロパティをカテゴリごとにグループ化します。
  5. 割り当て カテゴリ プロパティを更新して、グローバル変数の名前およびグローバル変数に割り当てる値を定義します。 割り当て カテゴリ プロパティを更新し、ビジュアル テストを保存すると、グローバル変数の設定ステップは「グローバル変数 'グローバル変数名' に '値' を設定します」となります。
  6. 他のグローバル変数を作成するには、必要に応じてステップ2から5を繰り返します。 グローバル変数を設定すると、他のビジュアル テストのローカル変数に読み込むことができます。このためには、まずグローバル変数が定義されたビジュアル テストを、ローカル変数が定義されたビジュアル テストに挿入する必要があります。
親トピック: グローバル変数
関連資料
割り当てプロパティ


ビジュアル テストで使用するグローバル変数の取得

グローバルの設定ステップでグローバル変数が作成されると、それらのグローバル変数は、グローバルの設定ステップを含むビジュアル テストを実行する任意のビジュアル テストで使用できます。グローバル変数は、まずこのグローバル変数を使用するビジュアル テストに作成されたローカル変数に読み込んでから、ローカル変数として使用する必要があります。

  1. グローバル変数を使用するビジュアル テストを開きます。
  2. グローバル変数値を格納するローカル変数を作成します。 ローカル変数は任意のテスト ステップに作成できます。
  3. グローバル変数を作成したビジュアル テストを実行するステップを作成します。同じビジュアル テストに定義されているローカル変数にグローバル変数を取得する場合は、このステップをスキップしてください。 これにより、グローバル変数を使用するビジュアル テストから、グローバル変数にアクセスできます。
  4. グローバル変数を取得する場所の直前のステップを選択します。
  5. 挿入 > グローバル > グローバルの取得 を選択します。 選択したステップのあとにグローバル変数の内容の取得ステップが作成されます。グローバル変数の内容の取得ステップのプロパティが プロパティ ペインに表示されます。
  6. グローバルの取得ステップの プロパティ ペインで、プロパティをカテゴリごとにグループ化します。
  7. 割り当て カテゴリ プロパティを更新して、グローバル変数の名前およびグローバル変数に割り当てる値を定義します。 プロパティを更新してビジュアル テストを保存すると、グローバル変数の内容の取得ステップが、「グローバル変数 '[グローバル変数名]' の内容を取得して、ローカル変数 '[ローカル変数名]' に格納します」のように表示されます。
  8. 他のグローバル変数を作成するには、ステップ2から7を繰り返します。 グローバル変数をローカル変数に取得すると、ローカル変数にグローバル変数の値が格納されます。この値をビジュアル テストの式で使用したり、同様にローカル変数として使用したりします。
親トピック: グローバル変数


予約変数

Silk Test Workbench では、ビジュアル テストの再生に関するデータを公開し、このデータをビジュアル テストの再生時に使用できます。このデータには、再生結果全体や特定の再生結果の合格/失敗の情報、コントロールに入力された現在値、最後に発生したエラーのテキスト、最後に実行されたステップの情報などが含まれます。公開された再生データには、さまざまな用途があります。たとえば、実行されたステップの成否に基づいて条件を作成できます。この条件を再生時の結果への対処を決定するために使用できます。

ビジュアル テストの再生データは、予約変数に格納されます。予約変数は、Silk Test Workbench によって定義されている変数です。この変数は読み取り専用です。つまり、その値をビジュアル テストで返して、使用することができますが、ユーザーが値を設定することはできません。予約変数は、必ず接頭部「st_」で始まります。

予約変数は、値として変数を使用可能な任意のプロパティの値として返すことができます。

予約変数は、同じテスト内で実行されるビジュアル テスト間で双方向に継承されます。たとえば、ビジュアル テストBをビジュアル テストAに挿入すると、ビジュアル テストBはビジュアル テストAの予約変数値を継承します。ビジュアル テストBを再生したあと、ビジュアル テストAはビジュアル テストBの予約変数値を継承します。

ビジュアル テスト内で使用する予約変数を選択するには、変数の選択 ダイアログ ボックスを使用します。

  • 予約変数の一覧
    ビジュアル テストの再生に関連するデータを返す予約変数を示します。
  • 予約変数の戻り値
    予約変数およびさまざまなステップ タイプに対して返される値を示します。
親トピック: ビジュアル テストにおける変数
関連タスク
条件の値の設定


予約変数の一覧

以下の表に、ビジュアル テストの再生に関連するデータを返す予約変数を示します。

変数名 | デフォルト値 | タイプ | 説明
st_LastError | 空の文字列 | テキスト | 再生時に最後に生成されたエラーのテキストを返します。再生時（st_LastError 値が返される場所まで）にエラーが生成されなかった場合、この値は Nothing です。
st_LastReturnValue | False | 各種 | ビジュアル テストで最後に実行されたステップの値を返します。戻り値は、ステップ タイプによって異なります。 ほとんどの自動ステップは、操作が成功すると True を返し、失敗すると False を返します。文字列、列番号、日付などの値を返す自動ステップまたはその他のステップでは、st_LastReturnValue 変数にその情報を返します。
st_LastValidation | False | ブール値 | 最後に実行された検証ロジックの結果を返します。 True = 最後に実行された検証ロジックは成功しました。 False = 最後に実行された検証ロジックは失敗しました。
st_Project | 実行中のビジュアル テストが格納されているプロジェクトの名前 | テキスト | 実行中のビジュアル テストが格納されているプロジェクトの名前を返します。
st_RepeatListValue | 空の文字列 | テキスト | 最後にアタッチされたコントロールの列挙が実行されたとき、そのコントロールの現在の入力値を返します。たとえば、繰り返しロジックを使用して ListBox コントロールの項目を繰り返し検索する場合、この変数は ListBox 内の現在の項目を返します。 この値は、コントロールに含まれる項目の名前を返します。繰り返しロジックを使用してリスト内の項目を繰り返し検索し、選択する値として st_RepeatListValue を使用します。
st_VisualTest | 実行中のビジュアル テストの名前 | テキスト | 実行中のビジュアル テストの名前を返します。
親トピック: 予約変数


予約変数の戻り値

予約変数およびさまざまなステップ タイプに対して返される値を以下に示します。

ステップ タイプ | st_LastReturnValue | st_LastError | st_LastValidation | st_RepeatListValue
<<開始>> | True | 変更なし | 変更なし | 変更なし
<<終了>> | True | 該当なし | 該当なし | 該当なし
自動ステップ | Open Agent メソッドの戻り値。 | メソッドが設定したエラー メッセージが格納されます。 | 変更なし | 変更なし
ビジュアル テストの再生 | True = ビジュアル テストが実行されました。 False = ビジュアル テストが実行されませんでした。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
検証 | 最後に実行された検証ロジックの結果を返します。 True = 最後の検証に成功しました。 False = 最後の検証に失敗しました。 | すでに存在しない変数の参照など、評価された式が失敗した場合にエラー メッセージが格納される場合があります。 | 変更なし | 変更なし
グローバル変数の内容の取得 | True = 変数の内容を取得しました。 False = 内容が取得されませんでした。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
グローバル変数の設定 | True = 変数の内容が設定されました。 False = 変数の内容が設定されませんでした。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
再生設定の取得 | True = 再生設定がローカル変数に入力されました。 False = 再生設定がローカル変数に入力されませんでした。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
再生設定の設定 | True = 再生設定が設定されました。 False = 再生設定が設定されませんでした。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
プログラムの実行 | ShellExecute API 関数の戻り値（32 より大きければ成功）。 これは VBA Shell() 関数によく似ています。 | st_LastReturnValue > 32：空です。 st_LastReturnValue <= 32：Windows から返されるエラー メッセージが格納されます。たとえば、2 の場合、メッセージは「指定されたファイルが見つかりません。」となります。 | 変更なし | 変更なし
メッセージ ボックス | 押されたボタンを表す数値（Long）。 1 = OK 2 = キャンセル 3 = 中止 4 = 再試行 5 = 無視 6 = はい 7 = いいえ | すでに存在しない変数の参照など、評価された式が失敗した場合にエラー メッセージが格納される場合があります。 | 変更なし | 変更なし
開始タイマー | True = タイマーは開始されます。 False = タイマーはすでに開始されています。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
再開タイマー | True = タイマーは停止タイマーのあと、再開されます。 False = タイマーはすでに実行中です。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
タイマーのリセット | True | 空 | 変更なし | 変更なし
停止タイマー | 指定されたタイマーの経過時間（ミリ秒単位、Long）。 タイマーが起動していない場合は False（ブール）。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
遅延 | True | 空 | 変更なし | 変更なし
ラベル [ラベル名] へ移動 | True = ステップが実行されました。 False = ステップが実行されませんでした。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
エラー処理 | True = ステップが実行されました。 False = ステップが実行されませんでした。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
結果コメント | True = ステップが実行されました。 False = ステップが実行されませんでした。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
Using [ロケーター名]（画面ステップ） | True = ステップが実行されました。 False = ステップが実行されませんでした。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
項目プレースホルダの破損 | False | 空 | 変更なし | 変更なし
ロジック（If/ElseIf/Else/EndIf） | 変更なし | すでに存在しない変数の参照など、評価された式が失敗した場合にエラー メッセージが格納される場合があります。 | 変更なし | 変更なし
ループ（Repeat/EndRepeat） | 変更なし | すでに存在しない変数の参照など、評価された式が失敗した場合にエラー メッセージが格納される場合があります。 | 変更なし | ループがリスト コントロールの内容を反復しない場合は変更なし。 ループがリスト型コントロールの内容を反復する場合は、項目のインデックスと値の両方が複合値として格納されます（ビジュアル テストでは書式設定文字列として表されます）。
停止 | True | 空 | 変更なし | 変更なし
ラベル | 変更なし | 変更なし | 変更なし | 変更なし
コントロールのプロパティ | True = コントロールが見つかって変数が正しく設定されました。 False = コントロールが見つからないか、ターゲット変数が見つからないなどのエラーが発生しました。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 常にプロパティの値に設定されます（ローカル変数が指定されない場合でも）。
eCATT 引数の内容の取得 | 引数の内容を取得した場合は True、内容を取得できなかった場合は False。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
eCATT 引数の設定 | 引数の内容を設定した場合は True、そうでない場合は False。 | st_LastReturnValue = True：空です。 st_LastReturnValue = False：エラー メッセージが格納されます。 | 変更なし | 変更なし
親トピック: 予約変数


ビジュアル テスト間でのデータの共有

Silk Test Workbench では、ビジュアル テストから別のビジュアル テストにデータを渡すことができます。1 つのテストでデータを格納するパラメータを作成します。次に、このテストを別のビジュアル テストで実行し、パラメータを渡してそのデータを使用します。

パラメータは、このパラメータが含まれるテストを実行する、任意のビジュアル テストに渡されます。パラメータが渡されると、データ値を割り当てたり、式、テスト ロジック、またはパラメータが使用可能な任意の場所でパラメータを使用したりできます。また、パラメータ値をローカル変数に割り当て、このローカル変数を使用することもできます。

パラメータを作成して、任意のビジュアル テストでデータを使用できるようにします。パラメータを使用するビジュアル テストで、以下の作業を実行します。
  • パラメータを作成するビジュアル テストを挿入します。
  • パラメータに値を割り当てます。
  • ビジュアル テストへのパラメータの追加
    ビジュアル テストとスクリプトまたは他のビジュアル テストの間でデータを渡すために、ビジュアル テストのパラメータを定義します。
  • ビジュアル テストでのパラメータへの値の割り当て
    呼び出されるビジュアル テストのパラメータに値を割り当て、実行時にこれらのパラメータを渡します。
  • ビジュアル テストのパラメータの編集
    パラメータの編集 ダイアログ ボックスを使用して、ビジュアル テストのパラメータを編集します。
  • ビジュアル テストからのパラメータの削除
    <<開始>> ステップの プロパティ ペインを使用して、ビジュアル テストからパラメータを削除します。
親トピック: ビジュアル テストにおける変数


ビジュアル テストへのパラメータの追加

ビジュアル テストは、入力パラメータを使用してスクリプトまたは他のビジュアル テストからデータを受け取ったり、出力パラメータを使用して他のビジュアル テストにデータを渡したりできます。パラメータは、ビジュアル テストの <<開始>> ステップで定義し、プロパティ ウィンドウで編集し、再生中にビジュアル テストで使用できます。パラメータを作成すると、パラメータを作成したビジュアル テストで使用できます。

  1. パラメータを作成するビジュアル テストを開きます。
  2. タスク ペインで <<開始>> ステップをクリックします。
  3. プロパティ ペインで、変数 カテゴリに移動します。
  4. 作成するパラメータの種類を選択します。
    • 新しい入力パラメータを作成する場合は、入力パラメータ フィールドをクリックします。
    • 新しい出力パラメータを作成する場合は、出力パラメータ フィールドをクリックします。
  5. パラメータの追加 をクリックします。
    パラメータの追加 ダイアログ ボックスが開きます。
  6. パラメータの名前を 名前 フィールドに入力します。
    パラメータ名に有効な文字は、大文字/小文字の英数字とアンダースコア（「ABC」、「abc」、「_」）です。追加または編集するパラメータ名が他のパラメータ名と重複している場合、そのパラメータに対して一意な名前が付けられます。
  7. 型 リストからパラメータのデータ型を選択します。
    Silk Test Workbench は、次のパラメータの型をサポートします。
    ブール値

    パラメータの値は True または False です。

    数値 (Double)

    パラメータの値は 64 ビット数値（-1.7E308 から +1.7E-307 の範囲）として格納された倍精度浮動小数点数です。

    数値 (Long)

    パラメータの値は -2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

    数値 (Long Long)

    64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

    テキスト

    パラメータの値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。

    列挙

    このパラメータは一連の値をグループ化し、1 から n まで順番に番号を付けます。このパラメータ型は、列挙データ型を必要とするプロパティまたはパラメータに使用します。

    列挙には、64 ビット整数（-9223372036854775808 から 9223372036854775807 の範囲）が格納されます。ただし、UI では 64 ビットの列挙がサポートされていますが、エンジンでは 32 ビットの列挙のみがサポートされています（将来のリリースでは、エンジンでも 64 ビットの列挙がサポートされる予定です）。

  8. 初期値 フィールドに、渡されるパラメータの値を入力します。 空のままにした場合、ビジュアル テストで設定されたパラメータの初期値が使用されます。値は型と整合性がある必要があります。たとえば、型が数値（Long）の場合、初期値は整数にする必要があります。
  9. OK をクリックします。 パラメータの名前と初期値（存在する場合）が、<<開始>> ステップの プロパティ ペインの選択したパラメータ型の下に表示されます。
  10. 他のパラメータを作成するには、必要に応じて上記のステップを繰り返します。 パラメータ型のフィールドは、その型の現在定義されているパラメータの数を示します。たとえば、数値 (Long) 項目のフィールドが 3 個の項目 の場合、現在このビジュアル テストには Long データ型のパラメータが 3 つ定義されています。
注: パラメータが作成されたときには、パラメータに値は割り当てられていません。パラメータに値が割り当てられるのは、別のビジュアル テストでテストが実行されたときです。パラメータを作成したビジュアル テストを再生するときに、その値を割り当てる必要があります。このシナリオでは、再生を開始したときに パラメータ ダイアログ ボックスが開き、パラメータに値を割り当てることができます。
親トピック: ビジュアル テスト間でのデータの共有


ビジュアル テストでのパラメータへの値の割り当て

ビジュアル テスト間でデータの受け渡しを行うには、あるビジュアル テストが他のビジュアル テストに内からテスト ステップとして呼び出される必要があります。以降、呼び出すビジュアル テストを ホスト テスト、呼び出されるビジュアル テストを 子テスト と呼びます。実行時にホスト テストから子テストにパラメータを渡すには、ホスト テストを開き、子テストのパラメータに値を割り当てます。
注: ビジュアル テストでパラメータに値を割り当てる前に、パラメータをビジュアル テストに追加する必要があります。詳細については、「ビジュアル テストへのパラメータの追加」を参照してください。
ヒント: ビジュアル テスト間で渡されるパラメータの値を確認するには、結果コメント ステップをビジュアル テストに追加します。コメントの 式 プロパティに対して 変数 を選択し、リストから、渡された値が格納されるパラメータを選択します。
  1. ホスト テストを開きます。
  2. テスト ステップ ペインで、パラメータを含む子テストを再生するステップを選択します。 ステップ テキストは、「ビジュアル テスト [資産名] を再生します」のようになります (ここで、[資産名] は子テストの名前です)。

    ステップのプロパティが プロパティ ペインに表示されます。このプロパティには、ビジュアル テスト パラメータとして設定されているパラメータが含まれます。パラメータは、入力パラメータ と 出力パラメータ というカテゴリに分類されます。各パラメータは、データ型ごとにリストされます。各パラメータのプロパティ名がそのパラメータ名です。

    パラメータが プロパティ ペインに表示されない場合は、子テストを再読み込みします。これを行うには、名前 プロパティを選択し、パラメータの更新 をクリックしてパラメータのリストを更新します。

  3. パラメータを選択します。
  4. パラメータの編集 をクリックします。 パラメータの編集 ダイアログ ボックスが開きます。
  5. パラメータの値を 初期値 フィールドに入力します。
  6. 他のパラメータに値を割り当てるには、上記のステップを繰り返します。
親トピック: ビジュアル テスト間でのデータの共有
関連タスク
eCATT スクリプトからビジュアル テストへの引数のインポート
eCATT スクリプトから .NET スクリプトへの引数のインポート


ビジュアル テストのパラメータの編集

  1. パラメータを作成するビジュアル テストを開きます。
  2. タスク ペインで <<開始>> ステップをクリックします。
  3. プロパティ ペインで、変数 カテゴリに移動します。
  4. 編集するパラメータの種類をに移動します。
    • 入力パラメータを編集する場合は、入力パラメータ に移動します。
    • 出力パラメータを編集する場合は、出力パラメータ に移動します。
  5. 編集するパラメータを選択します。
  6. パラメータの編集 をクリックします。 パラメータの編集 ダイアログ ボックスが開きます。
  7. パラメータの名前を 名前 フィールドに入力します。
    パラメータ名に有効な文字は、大文字/小文字の英数字とアンダースコア（「ABC」、「abc」、「_」）です。追加または編集するパラメータ名が他のパラメータ名と重複している場合、そのパラメータに対して一意な名前が付けられます。
  8. 型 リストからパラメータのデータ型を選択します。
    Silk Test Workbench は、次のパラメータの型をサポートします。
    ブール値

    パラメータの値は True または False です。

    数値 (Double)

    パラメータの値は 64 ビット数値（-1.7E308 から +1.7E-307 の範囲）として格納された倍精度浮動小数点数です。

    数値 (Long)

    パラメータの値は -2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

    数値 (Long Long)

    64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

    テキスト

    パラメータの値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。

    列挙

    このパラメータは一連の値をグループ化し、1 から n まで順番に番号を付けます。このパラメータ型は、列挙データ型を必要とするプロパティまたはパラメータに使用します。

    列挙には、64 ビット整数（-9223372036854775808 から 9223372036854775807 の範囲）が格納されます。ただし、UI では 64 ビットの列挙がサポートされていますが、エンジンでは 32 ビットの列挙のみがサポートされています（将来のリリースでは、エンジンでも 64 ビットの列挙がサポートされる予定です）。

  9. 初期値 フィールドに、渡されるパラメータの値を入力します。 空のままにした場合、ビジュアル テストで設定されたパラメータの初期値が使用されます。値は型と整合性がある必要があります。たとえば、型が数値（Long）の場合、初期値は整数にする必要があります。
  10. OK をクリックします。
親トピック: ビジュアル テスト間でのデータの共有


ビジュアル テストからのパラメータの削除

  1. 削除するパラメータが含まれているビジュアル テストを開きます。
  2. タスク ペインで <<開始>> ステップをクリックします。
  3. プロパティ ペインで、変数 カテゴリに移動します。
  4. 削除するパラメータのテキスト ボックスをクリックし、削除 をクリックします。
親トピック: ビジュアル テスト間でのデータの共有


Silk Central からのパラメータを使用する

To enable Silk Central で テストに対して設定されたパラメータを Silk Test Workbench で使用することができるようにするには、 Silk Test Workbench で Silk Central のパラメータと同じ名前を持つ変数を定義し、そしてその変数を使用します。

親トピック: ビジュアル テストにおける変数


ビジュアル テスト間でのデータの受け渡し

Silk Test Workbench では、ビジュアル テスト間でデータを受け渡すことができます。これにより、既存の Silk Test Workbench ビジュアル テストで作成されたデータを再利用できるだけでなく、テスト ソリューション内でデータの整合性を維持したまま、最も効果的なテスト資産を使用できるようになります。ビジュアル テスト間でのデータの受け渡しには、ビジュアル テストのパラメータを使用します。

ビジュアル テスト間でデータの受け渡しを行うには、あるビジュアル テストが他のビジュアル テストに内からテスト ステップとして呼び出される必要があります。以降、呼び出すビジュアル テストを ホスト テスト、呼び出されるビジュアル テストを 子テスト と呼びます。ビジュアル テスト間でデータを受け渡しを行うには、ビジュアル テストが同じプロジェクトに含まれているか、子テストが Common プロジェクトに含まれている必要があります。

ビジュアル テストのパラメータを使用すると、以下の作業を実行できます。
  • ビジュアル テストでデータを作成し、それを他のビジュアル テストで使用する。
  • ビジュアル テストでデータを作成し、それを子テストに渡して変更し、再びホスト テストに戻す。

その手順は以下のとおりです。

  1. 入力パラメータと出力パラメータを子テストに追加します。
  2. 子テストをテスト ステップとしてホスト テストに挿入します。
  3. ホスト テスト内で入力パラメータの値を編集することによって、ホスト テストから子テストにデータを渡します。
    注: ホスト テストから送信する値は子テスト内に保存されませんが、子テストでの各種処理内で使用できます。
  4. ホスト テストで、子テストの出力パラメータから渡されたデータを格納するローカル変数を作成します。
  5. ホスト テストでローカル変数を使用します。
注: 入力パラメータと出力パラメータを作成し、ビジュアル テストでこれらのパラメータを使用する方法の詳細な例については、「SilkTest Workbench ビジュアル テスト チュートリアルにようこそ」の「ビジュアル テストからのスクリプトの再生」を参照してください。
  • ビジュアル テスト間で受け渡すパラメータの定義
    他のビジュアル テストからテスト ステップとしてビジュアル テストを呼び出し、これらのビジュアル テスト間でパラメータを受け渡します。
  • ビジュアル テストでの他のビジュアル テストから受け取ったパラメータの使用
    あるビジュアル テストで、そこから呼び出す他のビジュアル テストの出力パラメータの値を格納するために、ローカル変数を使用します。
親トピック: ビジュアル テストでのテスト データの再利用
関連タスク
ビジュアル テスト内でのビジュアル テストの実行


ビジュアル テスト間で受け渡すパラメータの定義

他のビジュアル テストからテスト ステップとしてビジュアル テストを呼び出すときに、これらのビジュアル テスト間でパラメータを受け渡すことができます。以降、呼び出すビジュアル テストを ホスト テスト、呼び出されるビジュアル テストを 子テスト と呼びます。
  • ホスト テストから子テストにパラメータを渡すには、子テストの入力パラメータとしてパラメータを指定する必要があります。
  • 子テストからホスト テストにパラメータを渡すには、子テストの出力パラメータとしてパラメータを指定する必要があります。
  1. ホスト テストから子テストにパラメータを渡すには、パラメータを入力パラメータとして子テストに追加します。
    1. 子テストを開きます。
    2. <<開始>> ステップを選択します。
    3. プロパティ ペインで、入力パラメータ を選択します。
    4. パラメータの追加 をクリックします。 パラメータの追加 ダイアログ ボックスが開きます。
    5. パラメータ名 フィールドに、新しいパラメータの名前を入力します。
    6. 型 リストから、ビジュアル テストに渡すデータ型を選択します。
    7. 初期値 フィールドの値は、デフォルト値のままにします。
    8. OK をクリックします。
      プロパティ ペインの入力パラメータのリストに、入力パラメータが表示されます。
      注: ビジュアル テストに対して定義された入力パラメータは、ビジュアル テスト ステップには表示されません。入力パラメータは、<<開始>> ステップの プロパティ ペインで表示できます。
    注: ホスト テストから送信する値は、子テスト内に保存されませんが、子テストでの各種処理内で値を使用できます。
  2. 子テストからホスト テストにパラメータを渡すには、パラメータを出力パラメータとして子テストに追加します。
    1. 子テストを開きます。
    2. <<開始>> ステップを選択します。
    3. プロパティ ペインで、出力パラメータ を選択します。
    4. パラメータの追加 をクリックします。 パラメータの追加 ダイアログ ボックスが開きます。
    5. パラメータ名 フィールドに、新しいパラメータの名前を入力します。
    6. 型 リストから、ビジュアル テストから渡すデータ型を選択します。
    7. 初期値 フィールドの値は、デフォルト値のままにします。
    8. OK をクリックします。
      プロパティ ペインの出力パラメータのリストに、出力パラメータが表示されます。
      注: ビジュアル テストに実際に宣言されている場合を除き、ビジュアル テストで定義された出力パラメータはビジュアル テストには表示されません。出力パラメータは、<<開始>> ステップの プロパティ ペインで表示できます。
    9. ホスト テストを開きます。
    10. 子テストからホスト テストに渡すパラメータに対してローカル変数を追加します。
  3. 子テストの最新のパラメータを表示するには、子テストの 再生 ステップの プロパティ ペインにある 名前 テキスト ボックスをクリックし、パラメータの更新 をクリックします。
親トピック: ビジュアル テスト間でのデータの受け渡し
関連タスク
ビジュアル テスト内でのビジュアル テストの実行


ビジュアル テストでの他のビジュアル テストから受け取ったパラメータの使用

あるビジュアル テストで、そこから呼び出す他のビジュアル テストの出力パラメータの値を格納できます。以降、呼び出すビジュアル テストを ホスト テスト、呼び出されるビジュアル テストを 子テスト と呼びます。ホスト テストで子テストのパラメータを使用するには、子テストの出力パラメータをホスト テストのローカル変数に割り当てます。

  1. ホスト テストを開きます。
  2. ホスト テストに渡す子テストの出力パラメータそれぞれに対してローカル変数を作成します。 詳細については、「ビジュアル テストへのローカル変数の追加」を参照してください。
  3. テスト ステップ ペインで、子テストを実行するステップを選択します。 ステップ テキストは、「ビジュアル テスト '資産名' を再生します」のようになります (ここで、'資産名' は子テストの名前です)。
  4. ステップの プロパティ ペインで、出力パラメータ カテゴリを展開します。 子テストの出力パラメータの名前は、出力パラメータ サブカテゴリに表示されます。 パラメータが プロパティ ペインに表示されない場合は、名前 テキスト ボックスをクリックして パラメータ名の更新 をクリックします。
  5. 出力パラメータ名のテキスト ボックスをクリックし、リストから適切なローカル変数を選択します。
  6. ホスト テストに渡す子テストの出力パラメータそれぞれに対して前の手順を繰り返します。
  7. 省略可能：子テストからホスト テストに渡される出力パラメータの値を確認する場合は、各パラメータに対して結果コメント ステップをホスト テストに挿入します。
    1. ホスト テストで、結果コメントを挿入する前のステップを右クリックします。 たとえば、子テストを呼び出すステップをクリックします。
    2. 挿入 > 結果コメント を選択します。
    3. 新しいステップのプロパティで、式 テキスト フィールドをクリックします。
    4. 選択 をクリックします。
    5. リストから 変数 を選択します。 変数の選択 ダイアログ ボックスが開きます。
    6. 子テストの出力パラメータに対応する変数を選択します。
  8. ローカル変数を使用するように、ホスト テストの適切なテスト ステップを変更します。
    1. テスト ステップ ペインでステップを選択します。
    2. プロパティ ペインで、パラメータ セクションを展開します。
    3. ローカル変数のプロパティの種類に対応したテキスト ボックスをクリックします。 ローカル変数が テキスト 型の場合は、たとえば、AUT のテキスト フィールドにテキストを入力するテスト ステップ（typeKeys）を選択し、keys テキスト ボックス（テキスト 型）をクリックします。
    4. 選択 をクリックして、変数 を選択します。 変数の選択 ダイアログ ボックスが開きます。
    5. 使用するローカル変数を選択し、OK をクリックします。
再生するホスト テストに子テストが含まれていて、その入力パラメータと出力パラメータが正しく定義されていれば、ホスト テストを再生すると、ホスト テストと子テストの間でパラメータが正しく受け渡しされます。
注: 入力パラメータと出力パラメータを作成してビジュアル テストで使用する方法の詳細な例については、「SilkTest Workbench ビジュアル テスト チュートリアルにようこそ」の「ビジュアル テストからのスクリプトの再生」を参照してください。
親トピック: ビジュアル テスト間でのデータの受け渡し
関連タスク
条件の値の設定


テスト フローの管理

ビジュアル テストの再生中、通常、ステップは Silk Test Workbench によって順番に実行されます。 ただし、ステップを順番に実行しない方が便利な場合もあります。 たとえば、ビジュアル テストを完了する前に、ビジュアル テスト内の複数のポイントで一連のステップを実行する必要がある場合などです。 テスト内の複数の場所で一連のステップを繰り返す代わりに、テストの最後に一連のステップを配置して、各ポイントからそこに移動することができます。

特定のステップへの移動は、一定の条件が満たされた場合に繰り返される繰り返しロジックを終了する手段としても使用できます。

ビジュアル テスト内でラベルを使用して特定の領域を「ブックマーク」すると、テストのナビゲーションに使用できます。 ビジュアル テストで定義された任意のラベルに移動するテスト ステップを作成できます。 ラベル ステップはビジュアル テスト内での単純なマーカーであるため、テスト ステップ ペインに表示される後続の一連のステップを説明する手段としても使用できます。

  • ビジュアル テスト内でのスクリプトの実行
    ビジュアル テストでは、既存の .NET スクリプトを呼び出して実行できます。 これにより、アプリケーションのテストに対するモジュール式アプローチが可能になり、テストの実行をより制御できるようになります。
  • ビジュアル テスト内でのメッセージ ボックスの作成
    ビジュアル テストでは、再生中にテスト担当者に対してメッセージを表示できます。 たとえば、メッセージ ボックスを使用して、テスト出力を手動で検証したり、コントロールに関する情報を表示したり、テスト中にその他の任意の情報を通知したりできます。
  • ビジュアル テスト ナビゲーション用のラベル テスト ステップの作成
    プログラム フロー管理用のラベル テスト ステップを使用して、「移動」ステップの移動先として使用すると共に、後続の一連のステップを記述します。
  • ビジュアル テスト ナビゲーション用の移動テスト ステップの作成
    プログラム フロー管理用の移動テスト ステップを使用して、テストの再生中に指定したラベルのステップに移動します。
  • ビジュアル テスト内での外部アプリケーションの起動
    再生中に、テスト アプリケーションが予想どおり起動するかどうかをテストできます。
  • ビジュアル テストへのオブジェクトの待機ステップの挿入
    ビジュアル テストの任意の場所にステップを挿入して、ビジュアル テストの再生中にオブジェクトが存在するようになるまで待機したり、オブジェクトが消滅するまで待機したりできます。ビジュアル テストの再生とテスト アプリケーションとの間で同期を取るために、オブジェクトの待機ステップを組み込みます。
  • プロパティの待機
    テスト対象アプリケーションのコントロールのプロパティが、特定の値になるまで待機してから再生を続行することできます。
  • ビジュアル テストの再生遅延の設定
    ビジュアル テストの任意の場所に、ビジュアル テストの再生を遅延させるための遅延ステップを挿入できます。ビジュアル テストの再生とテスト アプリケーションとの間で同期を取るために遅延を使用します。
  • ビジュアル テストへのタイマーの挿入
    ビジュアル テストの任意の場所にタイミング ステップを挿入して、再生中にタイマーを開始、停止、または再開できます。 タイマーを組み込むと、特定のステップを再生するのにかかる時間を特定できます。
  • テスト ステップ
    テスト ステップの概要について説明します。
親トピック: ビジュアル テストの拡張


ビジュアル テスト内でのスクリプトの実行

ビジュアル テストでは、既存の .NET スクリプトを呼び出して実行できます。 これにより、アプリケーションのテストに対するモジュール式アプローチが可能になり、テストの実行をより制御できるようになります。 ビジュアル テスト内でスクリプトを実行する場合は、テスト サイトの整合性を保ち、テスト対象のテスト アプリケーションが正しい初期再生状態になるようにすることが重要です。

この手順を使用してドライバ テストを作成することもできます。

  1. スクリプトを挿入するビジュアル テストを開きます。
  2. 挿入したスクリプトを実行するポイントの前のテスト ステップを選択します。
  3. 挿入 > .NET スクリプト を選択します。 .NET スクリプトの参照 ダイアログ ボックスが開きます。
  4. 挿入するスクリプトを選択し、OK をクリックします。 Silk Test Workbench によって、選択したステップの下にステップが挿入されます。 挿入されたステップによって、選択したスクリプトが呼び出され、再生されます。 ステップのテキストは「.NET スクリプト '資産名' の再生」となります。

    ここで、'資産名' は、挿入されたスクリプトの名前です。

再生中、前のステップが実行されると、ビジュアル テスト内の次のステップが実行される前に、挿入されたスクリプトが最後まで再生されます。 スクリプトがビジュアル テストに挿入されたあと、スクリプトを編集して、再生に使用される設定を構成できます。

  • ビジュアル テストに挿入されたスクリプトの変更
    スクリプトがビジュアル テストに挿入されたあと、スクリプトを編集して、再生に使用される設定を構成できます。
親トピック: テスト フローの管理
親トピック: スクリプトとビジュアル テスト間でのデータの受け渡し
前のトピック: ビジュアル テストとスクリプト間で受け渡すパラメータの定義
次のトピック: ビジュアル テストにおける、スクリプトから受け取ったパラメータの使用
関連概念
ドライバ スクリプト
スクリプトの拡張


ビジュアル テストに挿入されたスクリプトの変更

スクリプトがビジュアル テストに挿入されたあと、スクリプトを編集して、再生に使用される設定を構成できます。

  1. 変更するスクリプトを開き、変更し、保存します。 たとえば、スクリプトの入力パラメータまたは出力パラメータを変更する場合があります。
  2. 変更したスクリプトを挿入したビジュアル テストを開きます。
  3. テスト ステップ ペインで、スクリプトを実行するビジュアル テスト内のステップを選択します。 ステップ テキストは、「.NET スクリプト '資産名' を再生します」のようになります (ここで、資産名 は挿入されたスクリプトの名前です)。

    ステップのプロパティが プロパティ ペインに表示されます。ここには、スクリプトの入力パラメータと出力パラメータが表示されます。

  4. ステップの プロパティ ペインで、.NET スクリプト カテゴリを展開します。 挿入されたスクリプトの名前が 名前 行に表示されます。
    1. ビジュアル テストに挿入されているスクリプトを変更するには、.NET スクリプトの参照 をクリックし、使用するスクリプトを選択します。
    2. パラメータ名のみを更新するには、パラメータ名の更新 をクリックし、プロンプトが表示されたら はい をクリックします。
    3. 使用可能なパラメータを再読み込みするには、パラメータの更新 をクリックし、プロンプトが表示されたら はい をクリックします。
    4. 再生設定を変更するには、再生設定 リストから別の値を選択します。
親トピック: ビジュアル テスト内でのスクリプトの実行


ビジュアル テスト内でのメッセージ ボックスの作成

ビジュアル テストでは、再生中にテスト担当者に対してメッセージを表示できます。 たとえば、メッセージ ボックスを使用して、テスト出力を手動で検証したり、コントロールに関する情報を表示したり、テスト中にその他の任意の情報を通知したりできます。

メッセージ ボックスを作成するには、ビジュアル テストにメッセージ ボックス ステップを挿入します。 再生中、メッセージ ボックスが表示され、ステップの作成時に指定したメッセージの内容が示されます。

  1. メッセージを挿入するビジュアル テストを開きます。
  2. メッセージ ボックスを表示するポイントの前のステップを選択します。
  3. 挿入 > メッセージ ボックス を選択します。 Silk Test Workbench によって、選択したステップの下にメッセージ ボックスステップが挿入されます。
  4. メッセージ ボックスステップの プロパティ ペインで、アイコンをクリックして、プロパティをカテゴリごとにグループ化するか、アルファベット順に並べ替えます。
  5. プロパティ ペインで 全般 カテゴリのプロパティを編集し、メッセージ ボックスのタイトルとテキストを指定します。
  6. プロパティ ペインで 詳細設定 カテゴリのプロパティを編集し、メッセージ ボックスの表示要素（ボタン、アイコンなど）を指定します。
親トピック: テスト フローの管理
関連資料
全般プロパティ
詳細設定プロパティ


ビジュアル テスト ナビゲーション用のラベル テスト ステップの作成

ラベル テスト ステップでは、テスト操作は実行されません。プログラム フロー管理用のラベル テスト ステップを使用して、「移動」ステップの移動先として使用すると共に、後続の一連のステップを記述します。

  1. ラベルを挿入するビジュアル テストを開きます。
  2. ラベル ステップが必要なポイントの前のステップを選択します。
  3. テスト ステップ ペインで、操作 > 挿入 > ラベル をクリックします。 選択したステップのあとにラベル ステップが作成されます。ステップの プロパティ ウィンドウには、ラベル ステップの ラベル プロパティが表示されます。
  4. このラベル ステップの ラベル プロパティの値領域をクリックして、ラベルの説明テキストを入力します。

    説明テキストを使用して、ラベル ステップの用途を示します。ラベルを「移動」ステップの移動先として使用する場合は、プログラム フローがこのステップに分岐する理由を示すテキストを入力します。ラベルを使用して後続の一連のステップを説明する場合は、後続の一連のステップの目的を示すテキストを入力します。

    ラベル プロパティの値を変更できます。ただし、そのラベル ステップを参照するステップ（ロジック ステップ、「移動」ステップなど）もすべて手動で更新して、ラベル ステップの新しい値を参照するようにする必要があります。

  5. 保存 をクリックして、ラベル ステップとその ラベル プロパティの値を保存します。 更新されたステップおよびその説明テキストがビジュアル テストに表示されます。
  6. ラベル ステップをナビゲーション用に使用する場合は、必要に応じて、そのラベル ステップに移動する「移動」ステップを作成します。
親トピック: テスト フローの管理


ビジュアル テスト ナビゲーション用の移動テスト ステップの作成

移動テスト ステップでは、テスト操作は実行されません。プログラム フロー管理用の移動テスト ステップを使用して、テストの再生中に指定したラベルのステップに移動します。

  1. 移動ステップを挿入するビジュアル テストを開きます。
  2. 移動ステップを挿入するポイントの前のステップを選択します。
  3. 挿入 > プログラム フロー > 移動 を選択します。 選択したステップのあとに移動ステップが作成されます。ステップの プロパティ ウィンドウには、ラベル ステップの ラベル プロパティが表示されます。
  4. 移動ステップの ラベル プロパティの値領域をクリックして、リストから移動先のラベルを選択します。
    ヒント: 移動ステップの移動先としてラベル ステップを使用するには、最初にラベル ステップを作成します。
  5. 保存 をクリックして、移動ステップとその ラベル プロパティの値を保存します。 更新されたステップおよびその説明テキストがビジュアル テストに表示されます。
親トピック: テスト フローの管理


ビジュアル テスト内での外部アプリケーションの起動

ビジュアル テストでは、再生中に外部アプリケーションを起動できます。 これにより、テスト アプリケーションが予想どおり起動するかどうかをテストしたり、起動中のアプリケーションをテストするときのテスト サイトの状態を保つことができます。

  1. 外部アプリケーションを起動するビジュアル テストを開きます。
  2. アプリケーションを起動するポイントの前のステップを選択します。
  3. 挿入 > 外部プログラム を選択します。 Silk Test Workbench によって、選択したステップの下に プログラムの実行 ステップが挿入されます。
  4. 新しく作成された プログラムの実行 ステップを選択して、プロパティ ペインにそのプロパティを表示します。 コマンド カテゴリのプロパティが プロパティ ペインに表示されます。
  5. パス名 テキスト ボックスで、以下のいずれかのステップを実行します。
    • 起動する外部プログラムのパスを入力します。
    • ファイルの選択 をクリックして [ファイルの選択] ダイアログ ボックスを開き、起動する外部プログラムに移動します。
    • 選択 をクリックし、外部プログラムを起動するために使用するリテラル値、変数、式、またはアクティブ データを指定します。
    注: 実行する操作が 検索 または 探索 の場合、このプロパティではパス名のみが必要です。
  6. 操作 リスト ボックスから、アプリケーションの起動時に実行する操作を選択します。 以下のいずれか 1 つを選択できます。
    • 開く（デフォルト）：指定したパラメータを使用して、指定ファイルを開きます。 ファイルには、アプリケーション、ドキュメント ファイル、またはフォルダを指定できます。
    • 編集：エディタを起動して、編集するファイルを開きます。 パス名 プロパティで指定されたファイルが、ドキュメント エディタで開くことのできるドキュメント ファイルではない場合、この操作は実行されません。
    • 探索：Windows エクスプローラを使用して、パス名 プロパティで指定されたフォルダを開きます。
    • 検索：指定されたディレクトリを起点として、Windows エクスプローラを検索モードで起動します。 ディレクトリは、パス名 プロパティまたは ディレクトリ プロパティを使用して指定できます。 パス名 プロパティが使用され、かつ、ファイル名が含まれている場合は、テストを再生しても、このステップは実行されません。
    • 印刷：パス名 プロパティで指定されたドキュメント ファイルを印刷します。 パス名 プロパティで指定されたファイルがドキュメント ファイルではない場合、テストを再生してもこのステップは実行されません。
  7. パラメータ テキスト ボックスで、起動のためにアプリケーションに渡すパラメータを指定します。 パス名 プロパティで指定されたファイルがアプリケーション ファイルの場合は、このプロパティを使用して、アプリケーションに渡して起動時に使用するパラメータを含む NULL 終端文字列を指定します。 パス名 プロパティで指定されたファイルがドキュメント ファイルまたはその他のタイプのファイルの場合は、値を空白のままにします。
  8. ディレクトリ テキスト ボックスで、操作 プロパティで指定された操作に使用できるデフォルト ディレクトリを指定します。
  9. ウィンドウ スタイル リスト ボックスから、起動時のアプリケーションまたはプログラムの表示方法を選択します。 値は以下のとおりです。
    • 非表示：プログラムまたはアプリケーションが起動したとき、ウィンドウは非表示です。フォーカスは、他のウィンドウに渡されます。
    • 最大化：アプリケーション ウィンドウを最大化します。
    • 最小化：起動時にアプリケーション ウィンドウを最小化し、Z オーダーで次に最上位にくるウィンドウをアクティブにします。
    • 復元：アプリケーション ウィンドウを起動して表示します。 ウィンドウが最小化または最大化されていた場合は、そのウィンドウの元のサイズと位置に復元されます。 この値は、最小化されたウィンドウを復元するときに使用します。
    • 表示：アプリケーション ウィンドウを起動し、現在のサイズと位置に表示します。
    • デフォルトの表示：アプリケーションを起動したプログラムからの情報に基づいて、ウィンドウの表示状態を設定します。
    • 表示の最大化：アプリケーションを起動し、ウィンドウを最大化して表示します。
    • 表示の最小化：アプリケーションを起動し、ウィンドウを最小化して表示します。
    • 表示を最小化し、アクティブ化しない：最小化されたウィンドウでアプリケーションを表示します。 現在のアクティブ ウィンドウは、アクティブなままです。
    • 現在の状態で表示し、アクティブ化しない：現在のウィンドウ状態でアプリケーションを表示します。 アクティブ ウィンドウは、アクティブなままです。
    • 最新の位置に表示し、アクティブ化しない：最後に使用したときのウィンドウ サイズと位置でアプリケーションを表示します。 アクティブ ウィンドウは、アクティブなままです。
    • 通常表示：アプリケーションを起動して、ウィンドウを表示します。 最後に使用したウィンドウの位置と最小化または最大化の状態が復元されます。 この値は、はじめてウィンドウを表示するときに使用します。
親トピック: テスト フローの管理
関連資料
コマンド プロパティ


ビジュアル テストへのオブジェクトの待機ステップの挿入

ビジュアル テストの任意の場所にステップを挿入して、ビジュアル テストの再生中にオブジェクトが存在するようになるまで待機したり、オブジェクトが消滅するまで待機したりできます。ビジュアル テストの再生とテスト アプリケーションとの間で同期を取るために、オブジェクトの待機ステップを組み込みます。

  1. オブジェクトの待機ステップを組み込むビジュアル テストを開きます。
  2. 以下のいずれかのステップを実行します。
    • オブジェクトの待機ステップを実行する場所の直前のステップを選択し、挿入 > 同期とタイミング > オブジェクトの待機 を選択します。
    • ロジック ツールボックス を開き、このビジュアル テストの再生中に出現/消滅するオブジェクトを待機 を テスト ステップ ペインの適切な位置にドラッグします。
    Silk Test Workbench によって、選択したステップの下に " が存在するまで待機します ステップが挿入されます。
  3. 新しく作成された " が存在するまで待機します ステップを選択して、プロパティ ペインの 待機 カテゴリにそのプロパティを表示します。
  4. プロパティ ペインの ロケーター テキスト ボックスで、待機するオブジェクトを識別します。
    • テスト対象アプリケーション： テスト対象アプリケーションから直接可視のコントロールを識別するには、このボタンをクリックします。
    • 画面プレビュー： テスト対象アプリケーションが利用できない場合に、画面プレビュー から直接コントロールを識別するには、このボタンをクリックします。
    • オブジェクトの識別ダイアログ： 非表示コントロールを識別するために オブジェクトの識別 ダイアログ ボックスを使用するには、このボタンをクリックします。オブジェクトの識別 ダイアログ ボックスを使って、コントロールのロケーターを編集することもできます。
    • 選択：このボタンをクリックして、リテラル、変数、式の結果、またはアクティブ データ値を割り当てます。
  5. 待機の種類 リストから、オブジェクトの存在を待機するか消滅を待機するかを指定します。
  6. タイムアウト テキスト ボックスで、オブジェクトが存在または消滅するまで待機する最大時間をミリ秒で入力します。 デフォルトでは、この値は オプション ダイアログ ボックスの デフォルトの待機タイムアウト (ミリ秒) オプション値に設定されます。タイムアウト期間内に一致するオブジェクトがない場合は、再生エラーが発生します。
  7. 保存 をクリックします。
親トピック: テスト フローの管理
関連タスク
ビジュアル テストの再生遅延の設定
ビジュアル テストへのタイマーの挿入
全般オプションの変更
ロジック ツールボックスを使用したテスト ロジックの挿入


プロパティの待機

テスト対象アプリケーションのコントロールのプロパティが、特定の値になるまで待機するテスト ステップをビジュアル テストに追加できます。このようなステップは、ビジュアル テストの再生とテスト アプリケーションとの間で同期を取るために使用します。

  1. ステップを追加するビジュアル テストを開きます。
  2. ステップを挿入する場所の直前のステップを右クリックし、挿入 > 同期とタイミング > プロパティの待機 を選択します。 Silk Test Workbench によって、選択したステップの下に新しいステップが挿入されます。
  3. 新しく作成されたステップを選択して、プロパティ ペインにそのプロパティを表示します。
  4. ロケーター フィールドには、待機するプロパティを含む AUT のコントロールに対するロケーターを指定します。
  5. プロパティ フィールドで、プロパティを選択します。
  6. 値 フィールドに、待機する値を指定します。
  7. タイムアウト フィールドには、再生の続行を待機する最大時間を指定します。
  8. 保存 をクリックして、ステップとそのプロパティの値を保存します。 更新されたステップおよびその説明テキストがビジュアル テストに表示されます。
親トピック: テスト フローの管理


ビジュアル テストの再生遅延の設定

ビジュアル テストの任意の場所に、ビジュアル テストの再生を遅延させるための遅延ステップを挿入できます。遅延の時間を制御できます。ビジュアル テストに挿入できる遅延の数に制限はありません。ビジュアル テストの再生とテスト アプリケーションとの間で同期を取るために遅延を使用します。

  1. 再生遅延を設定するビジュアル テストを開きます。
  2. 遅延ステップを実行するポイントの前のステップを選択します。
  3. 挿入 > 同期とタイミング > 遅延 を選択します。 Silk Test Workbench によって、選択したステップの下に 1 秒の遅延 ステップが挿入されます。
  4. 遅延の増分と時間を変更するには、新しく作成された 1 秒の遅延 ステップを選択し、そのプロパティを プロパティ ペインに表示します。
    1. 遅延タイプ リストから、遅延間隔に対して 秒 または ミリ秒 を選択します。
    2. 遅延時間 テキスト ボックスで、遅延の時間を指定します。 リテラル値を入力するか、あるいは 選択 をクリックして変数、式の結果、またはアクティブ データ値を割り当てます。
  5. 保存 をクリックします。
親トピック: テスト フローの管理
関連タスク
ビジュアル テストへのオブジェクトの待機ステップの挿入
ビジュアル テストへのタイマーの挿入


ビジュアル テストへのタイマーの挿入

ビジュアル テストの任意の場所にタイミング ステップを挿入して、再生中にタイマーを開始、停止、または再開できます。 タイマーを組み込むと、特定のステップを再生するのにかかる時間を特定できます。

  1. 開始タイマー、停止タイマー、または再開タイマーを組み込むビジュアル テストを開きます。
  2. タイマーを挿入する場所の直前のステップを選択し、挿入 > 同期とタイミング を選択して、以下のコマンドのいずれかを選択します。
    • 開始タイマー：時間再生する一連のステップの最初のステップを指定するには、このオプションを選択します。
    • 停止タイマー：時間再生する一連のステップの最後のステップを指定するには、このオプションを選択します。
    • 再開タイマー：一連のステップのタイミングの設定を再開するには、このオプションを選択します。 たとえば、いくつかのテスト ステップの時間を記録することが必要でない場合は、停止タイマーを挿入し、次に、タイミングに含めるステップに対して再開タイマーを挿入できます。
    Silk Test Workbench によって、選択したステップの下にタイマー番号 n の開始、タイマー番号 n の停止、または タイマー番号 n の再開ステップが挿入されます。
  3. 新しく作成されたステップを選択し、そのプロパティを プロパティ ペインの タイマー カテゴリに表示します。
  4. タイマーの動作 リストから、使用するタイマーの種類を選択します。
  5. タイマー番号 テキスト ボックスで、タイマーに割り当てる番号を入力するか、リストから選択します。 複数の条件の時間を計るときに、各タイマーに一意の番号を割り当ててタイマーを区別できます。 ビジュアル テストには、最大で 10 個のタイマーを組み込むことができます。
  6. 保存 をクリックして、ステップとそのプロパティの値を保存します。 更新されたステップおよびその説明テキストがビジュアル テストに表示されます。
ビジュアル テストを再生すると、結果 ウィンドウの 詳細 タブで、テスト ステップの 結果の詳細 列にタイマーの結果が表示されます。
親トピック: テスト フローの管理
関連概念
ロジック ツールボックス
関連タスク
ビジュアル テストの再生遅延の設定
ビジュアル テストへのオブジェクトの待機ステップの挿入
関連資料
タイマー プロパティ


テスト ステップ

ステップ（またはテスト ステップ）は、ビジュアル テストにおける主な実行可能単位です。ステップは、スクリプトのコード行に類似しています。

テスト ステップは、ビジュアル ナビゲータ の テスト ステップ ペインでのみ実行できます。

ビジュアル テストのステップ フローとロジックは、スクリプトのコード行のフローとロジックに似ています。たとえば、ビジュアル テストでは、コントロールに対して操作を実行する前に、テスト アプリケーションのそのコントロールにアタッチする必要があります。スクリプトと同様、ビジュアル テストにも、テスト アプリケーションのコントロールを表すオートメーション オブジェクトが含まれています。このオートメーション オブジェクトによって、コントロールに対して実行可能なプロパティとメソッドが公開されます。オートメーション操作の1つ1つが、ビジュアル テストの1ステップとして表現されます。

  • 複数のステップの選択
    ビジュアル テストのステップをグループとして選択することで、そのステップのグループごとに情報を更新します。
  • テスト ステップのコピーと貼り付け
    <<開始>> ステップと <<終了>> ステップ以外の任意のテスト ステップは、開いているビジュアル テストにコピーして貼り付けできます。
  • 画面プレビューを使用したテスト ステップの削除
    画面プレビュー を使用してテスト ステップを削除します。
  • [テスト ステップ] ウィンドウを使用したテスト ステップの削除
    テスト ステップ ウィンドウを使用してテスト ステップを削除します。
  • ストーリーボードを使用したテスト ステップの削除
    ストーリーボード を使用してサムネイルを削除するときに、関連付けられているテスト ステップを テスト ステップ ペインから削除します。
親トピック: テスト フローの管理


複数のステップの選択

ビジュアル テストのステップをグループとして選択すると、そのステップのグループごとに情報を更新できます。

  1. 連続したテスト ステップのグループを選択するには、以下のステップを実行します。
    1. 連続したステップのグループで最初のテスト ステップを選択します。
    2. Shift キーを押したまま、連続したグループの最後のステップを選択します。または、編集 > すべて選択 を選択して、ビジュアル テストのすべてのステップを選択します。
  2. 連続していないテスト ステップのグループを選択するには、以下のステップを実行します。
    1. ステップのグループで最初のテスト ステップを選択します。
    2. Ctrl キーを押したまま、任意にステップを選択します。ステップが連続している必要はありません。
親トピック: テスト ステップ


テスト ステップのコピーと貼り付け

<<開始>> ステップと <<終了>> ステップ以外の任意のテスト ステップは、開いているビジュアル テストにコピーして貼り付けできます。 テスト ステップをコピーおよび貼り付ける場合は、以下の点を考慮してください。

  • Silk Test Workbench では、テスト ステップは、選択した順序ではなく、ビジュアル テストに表示されている順序でクリップボードにコピーされます。 たとえば、テスト ステップ 5 を選択してからテスト ステップ 2 を選択し、その両方をクリップボードにコピーした場合は、ビジュアル テストにテスト ステップを貼り付けると、Silk Test Workbench によってテスト ステップ 2、テスト ステップ 5 の順に貼り付けられます。

  • 画面テスト ステップをコピーしても、関連するテスト ステップはコピーされません。

  • ラベル テスト ステップをコピーして貼り付ける場合は、ラベル テスト ステップが必ず一意になるように Silk Test Workbench によって「_1」が追加されます。

  • 繰り返しテスト ステップまたは繰り返しの終了テスト ステップをコピーすると、関連する繰り返しの終了テスト ステップまたは繰り返しテスト ステップもコピーされます。

  • If テスト ステップまたは End If テスト ステップをコピーすると、関連するすべての判断ロジック テスト ステップ (If、Else、Else If、End If) がコピーされます。ただし、判断ロジック テスト ステップに含まれる依存テスト ステップはコピーされません。

  • 複数の Else テスト ステップまたは Else If テスト ステップは、すべての判断ロジック テスト ステップ (If、Else、Else If、End If) をコピーしないかぎり、クリップボードにコピーできません。 Else If テスト ステップを貼り付ける場合、Silk Test Workbench で貼り付けできるのは、正しいコンテキスト内にあるステップのみです。

  1. テスト ステップ ペインでビジュアル テストを開き、コピーするステップを選択します。

    連続した、または連続していない複数のステップを選択して、そのステップを連続したグループとしてコピーし、貼り付けることができます。

  2. 編集 > コピー を選択します。

    コピーしたステップを別のビジュアル テストに貼り付けるには、そのビジュアル テストを開き、コピーしたステップを貼り付けます。 コピーではなく、選択したステップを移動するには、編集 > 切り取り を選択します。

  3. コピーしたステップを貼り付ける場所の直前のテスト ステップを選択します。
  4. 編集 > 貼り付け を選択します。 Silk Test Workbench によって、ビジュアル テストの選択したステップのあとに、コピーしたテスト ステップが貼り付けられます。
親トピック: テスト ステップ


画面プレビューを使用したテスト ステップの削除

画面プレビュー 内のキャプチャされたテスト アプリケーションのイメージは、テスト ステップに関連付けられているため、キャプチャされたイメージを 画面プレビュー で削除すると、関連付けられているテスト ステップも テスト ステップ ペインから削除できます。次のテスト ステップが関連します。

  • 関連付けられているすべての自動テスト ステップ

  • その他のタイプのすべての単一ノード テスト ステップ

  • すべての検証テスト ステップ

削除するキャプチャ イメージに関連付けられた判断および繰り返しロジックのテスト ステップは、画面プレビュー から削除することはできません。これにより、ロジックが保持され、ビジュアル テストが正しく再生されます。判断および繰り返しテスト ステップは、テスト ステップ ペインから手動で直接削除する必要があります。

  1. テスト ステップ ペインで、キャプチャされたイメージのテスト ステップから、削除するステップを選択します。 画面プレビュー に、キャプチャされたイメージが表示されます。
  2. キャプチャされたイメージを 画面プレビュー で選択します。
  3. Del を押します。 サムネイルとそれに関連するステップの削除を確認するメッセージが表示されます。
  4. 次のいずれか 1 つのステップを行います：
    • テスト ステップ ペインで、キャプチャされたイメージとそれに関連するテスト ステップを削除するには、はい をクリックします。
    • 画面プレビュー のキャプチャされたイメージのみを削除し、関連するテスト ステップを保持するには、いいえ をクリックします。
    • キャンセル をクリックして、サムネイルを削除することなくメッセージを閉じます。
親トピック: テスト ステップ


[テスト ステップ] ウィンドウを使用したテスト ステップの削除

<<開始>> ステップと <<終了>> ステップ以外のテスト ステップは、テスト ステップ ペインから削除できます。ただし、テスト ステップによっては、正しく実行できるかどうかが他のテスト ステップに依存するため、以下のルールが適用されます。

  • ロジックの種類が If のテスト ステップを削除すると、削除された If テスト ステップに関連付けられているすべての Else If、Else、または End If テスト ステップも削除されます。

  • ロジックの種類が End If のテスト ステップを削除すると、削除された End If テスト ステップに関連付けられているすべての If、Else、または Else If テスト ステップも削除されます。

  • ロジックの種類が Else または Else If のテスト ステップを削除すると、Else または Else If テスト ステップのみが削除されます。If テスト ステップと End If テスト ステップは削除されません。

  • ロジックの種類が 繰り返し のテスト ステップを削除すると、繰り返しの終了 テスト ステップも削除されます。

  • 画面にアタッチするテスト ステップまたは自動ステップのテスト ステップを削除すると、判断ロジックと繰り返しロジックのテスト ステップを除き、関連するステップがすべて削除されます。アタッチ ステップに関連付けられた自動ステップは削除されます。ただし、関連付けられた操作ステップの前に、同じ画面にアタッチする別のアタッチ ステップが存在する場合は、削除されません。

  1. テスト ステップ ペインでビジュアル テストを開き、削除するテスト ステップを右クリックして 削除 を選択します。 連続した、または連続していない複数のステップを選択して、そのステップを連続したグループとして削除できます。
  2. テスト ステップのいずれかが画面タイプのステップの場合は、画面項目とそれに関連するステップの削除を確認するメッセージが表示されます。
    • 選択したステップとそれに関連するステップを削除するには、はい をクリックします。
    • 選択したステップのみを削除し、関連するテスト ステップを削除しない場合は、いいえ をクリックします。
    • テスト ステップを削除しないでメッセージを閉じるには、キャンセル をクリックします。
親トピック: テスト ステップ


ストーリーボードを使用したテスト ステップの削除

サムネイルはテスト ステップのグループと関連付けられているため、ストーリーボード を使用してサムネイルを削除すると、関連するテスト ステップも テスト ステップ ペインから削除することができます。次のテスト ステップが関連します。

  • 関連付けられているすべての自動テスト ステップ

  • その他のタイプのすべての単一ノード テスト ステップ

  • すべての検証テスト ステップとイベント ロジック テスト ステップ

削除するキャプチャ イメージに関連付けられた判断および繰り返しロジックのテスト ステップは、画面プレビュー から削除することはできません。これにより、ロジックが保持され、ビジュアル テストが正しく再生されます。判断および繰り返しテスト ステップは、テスト ステップ ペインから手動で直接削除する必要があります。

  1. ストーリーボード で、削除するテスト ステップに対応するサムネイルをクリックします。
  2. Del を押します。 サムネイルとそれに関連するステップの削除を確認するメッセージが表示されます。
  3. 次のいずれか 1 つのステップを行います：
    • テスト ステップ ペインで、サムネイルとそれに関連するテスト ステップを削除するには、はい をクリックします。
    • ストーリーボード のサムネイルのみを削除し、関連するテスト ステップを保持するには、いいえ をクリックします。
    • キャンセル をクリックして、サムネイルを削除することなくメッセージを閉じます。
親トピック: テスト ステップ


スクリプトの拡張

このセクションでは、VB .NET スクリプトを変更して、より高度な機能を実行する方法について説明します。

  • スクリプト内からのスクリプトの参照
    .NET スクリプト参照の追加 コマンドを使用して、別のスクリプトからスクリプトを参照する方法について説明します。
  • 記録中のスクリプトへの検証の追加
    スクリプトの記録中に検証を追加する方法について説明します。
  • コーディングによるスクリプトへの検証の追加
    スクリプトの結果が予想された結果と一致するかどうかを判断するために、検証を挿入します。
  • スクリプトでのテスト データの再利用
    スクリプトで使用できる再利用の種類を示します。
  • スクリプトの管理
    VB .NET スクリプトの管理方法について説明します。
親トピック: テストの拡張


スクリプト内からのスクリプトの参照

よく使用される関数のスクリプトを作成し、別のスクリプトからこのスクリプトを再利用することができます。 そのためには、.NET スクリプト参照の追加 コマンドを使用します。

スクリプトの参照の追加

  1. 別のスクリプトからの再利用または参照する単一のスクリプトを作成します。
  2. 再利用されるスクリプトを呼び出す起動元スクリプトを新規作成します。
  3. プロパティー タブを展開します。
  4. 右クリックして、.NET スクリプト参照の追加 を選択します。
  5. 使用するスクリプトを選択して、OK をクリックします。

スクリプトの例

次のサンプルには、別のスクリプトから参照される、Calculator というスクリプトが含まれています。

注: 次のサンプルには Main() メソッドが含まれていないため、独自に実行することはできません。
Public Class Calculator
  Public Shared Function Add(left As Integer, right As Integer)
          Return left + right
     End Function

  Public Shared Function Subtract(left As Integer, right As Integer)
          Return left - right
     End Function

  Public Shared Function Multiply(left As Integer, right As Integer)
    Return left * right
  End Function

  Public Shared Function Divide(left As Integer, right As Integer)
    Return left / right
  End Function
End Class

別のスクリプトを作成し、参照として Calculator を追加して (プロパティー タブを展開し、右クリックして、.NET スクリプト参照の追加 を選択して、Calculator を選択)、次のコードを使用します。

Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main()
        MsgBox("2 + 3 = " + Calculator.Add(2, 3).ToString())
    End Sub
End Module
親トピック: スクリプトの拡張


記録中のスクリプトへの検証の追加

以下の操作を行って、スクリプトの記録中に検証を追加します。

  1. 記録を開始します。
  2. 検証するオブジェクトの上にマウス カーソルを移動して、Ctrl+Alt を押します。
    モバイル Web アプリケーションを記録する場合は、オブジェクトをクリックして 検証の追加 をクリックすることもできます。 このオプションを実行すると、記録が一時的に停止され、テスト ロジック デザイナ ウィザードが表示されます。
  3. ウィザードが開いたあと、検証するオブジェクトを選択します。複合プロパティ (Position など) を使用してフィールドを選択した場合は、以下のコードに類似したコードがスクリプトに追加されます：Workbench.Verify(New TextPosition(1, 0), .TextField("TextField").Position)。
  4. ウィザードの指示に従って処理を行い、完了 をクリックしてウィザードを閉じ、記録を続行します。
親トピック: スクリプトの拡張
関連タスク
コーディングによるスクリプトへの検証の追加
記録中にイメージ検証を追加する


コーディングによるスクリプトへの検証の追加

スクリプトの結果が予想された結果と一致するかどうかを判断するために、検証を挿入します。

  1. 検証を組み込むスクリプトを開きます。
  2. 以下の検証メソッドのいずれかを挿入します。
    • 期待値と実際の値を比較するには、以下のように入力します。
      Workbench.Verify(expected As Object, actual As Object)

      たとえば、 Workbench.Verify("red", "red") は検証に合格します。 一方、 Workbench.Verify("red", "green") は検証に失敗し、メッセージ「 実際： [green]; 予想： [red] 」が表示されます。

    • 期待値と実際の値を比較して、コメントを追加するには、以下のように入力します。
      Workbench.Verify(expected As Object, actual As Object, comment As String)

      たとえば、 Workbench.Verify("red", "green", "checking colors") は検証に失敗し、メッセージ「 checking colors - 実際： [green]; 予想： [red] 」が表示されます。

    • 予想結果によって返された値を検証するには、以下のように入力します。
      Workbench.Verify(condition As Boolean)

      たとえば、 Workbench.Verify(True) は検証に合格します。 一方、 Workbench.Verify(False) は検証に失敗します。

    • 予想結果によって返された値を検証して、コメントを追加するには、以下のように入力します。
      Workbench.Verify(condition As Boolean, comment As String)

      たとえば、 Workbench.Verify(True, "Test Passed") は検証に合格します。 一方、 Workbench.Verify(False, "Test Failed") は検証に失敗します。

    • IEnumerable オブジェクト (リストや配列など) について実際の値と期待値を比較するには、以下のように入力します。
      Workbench.Verify(expectedEnumerable, actualEnumerable)
      例：
      Dim selectedItemsList = listBox.SelectedItems ' we assume that a list with the items "red" and "blue" is returned
Dim expectedItemsList = New List(Of String)()
expectedItemsList.Add("red")
expectedItemsList.Add("blue")

Workbench.Verify(selectedItemsList, expectedItemsList)  ' verification passes

Dim expectedItemsArray = New String() { "red", "blue" }
Workbench.Verify(selectedItemsList, expectedItemsArray) ' verification passes
      注: 2 つの IEnumerable オブジェクトは、要素の数が同じであり、それらの要素が等しく、かつ順序が同じである場合に、等しいとみなされます。
      注: 浮動小数点数を含む数学演算では、2 つの数値が、ユーザーの視点では等しいにもかかわらず、内部表現のために完全には同一ではないとみなされる場合があります。 このため、浮動小数点数 (単精度、倍精度) は、差異が 0.00001 未満である場合は等しいとみなされます。 この値は、状況によっては正しくない場合があります。 その場合は、代わりに Verify(result As Boolean) を使用して 2 つの値を比較します。
親トピック: スクリプトの拡張
関連タスク
記録中のスクリプトへの検証の追加


スクリプトでのテスト データの再利用

スクリプトで使用できる再利用の種類を示します。

  • スクリプトにおける変数
    スクリプトでの変数の使用の概要について説明します。
  • スクリプトとビジュアル テスト間でのデータの受け渡し
    スクリプトとビジュアル テスト間でデータを受け渡す方法の概要について説明します。
  • スクリプトでのパラメータの作成と受け渡し
    スクリプト間または単一のスクリプト内でパラメータを渡すことについての概要を説明します。
親トピック: スクリプトの拡張


スクリプトにおける変数

Silk Test Workbench ではスクリプト言語として VB.NET が使用されるため、スクリプトで VB.NET 変数を使用できます。 変数は名前を付けられたエイリアスで、再生中に使用および変更が可能なデータを含んでいます。

記録時に、コントロールに対するデータ入力はリテラル データとして記録されます。 たとえば、WPF TextBox コントロールに対して入力された値がある場合、その結果のコードは以下のようになります。

.WPFTextBox("@automationId='CarType'").SetText("Ford")

これは機能しますが、スクリプトでは TextBox コントロールのデータとして Ford という値以外を使用できません。 ただし、Ford をそのデータを表す変数で置き換えた場合、変数内でどのようなデータが使用されても、それが TextBox コントロールに入力されます。

.WPFTextBox("@automationId='CarType'").SetText(sCarmake)

変数を使用すると、スクリプトで使用するデータが定数である必要がなくなるため、テストの柔軟性が高まります。

型を指定しないで変数を宣言した場合、Silk Test Workbench によって、型が指定されなかったことを示すメッセージが生成されます。 Silk Test Workbench では、その場合 Object データ型がデフォルトで使用されます。 許容される任意の VB.NET データ型を変数データ型として使用できます。 スクリプトで VB.NET 変数を使用するときには、VB.NET 変数の宣言に関するルールが適用されます。

例：

Dim dSalesPrice As Double

Dim iQuantity As Integer

Dim sCarmake As String

Silk Test Workbench でコントロールへのデータ入力が記録されるとき、記録された値が二重引用符（""）で囲まれている場合、通常は String データ型であり、String データ型の変数で置き換えることができます。

  • スクリプトにおけるPublicおよびPrivate変数
    スクリプトで Public 変数と Private 変数を使用する方法について説明します。
  • スクリプトでの変数の宣言
    スクリプトで変数を宣言する方法について説明します。
  • キャプチャされたデータのための変数の作成
    ロケーターに基づいてスクリプトの変数を作成する方法について説明します。
  • 変数のデータの検証
    再生中にデータ変数の内容を検証する方法について説明します。
  • スクリプトでの変数の使用
    変数を使用する方法の例を示します。
親トピック: スクリプトでのテスト データの再利用


スクリプトにおけるPublicおよびPrivate変数

関数および変数は、テスト スクリプトで Public および Private として宣言できます。 Private として宣言された変数は、その変数が作成された資産に対してのみ可視化されます。 このため、変数がスクリプトまたは関数で作成された場合、その変数はその資産の内部でのみ使用可能になり、資産によって呼び出されるその他の資産では使用できません。

Public として宣言された変数は、作成されたあと、すべての資産で使用可能になります。 ある関数から別の関数またはあるスクリプトから別のスクリプトへ渡されるデータはいずれも、Public 変数として宣言する必要があります。 ただし、Public 変数を使用すると、Public として宣言されている変数が、同時に再生される別のスクリプトで使用されるという状況が発生する可能性があります。 これにより、データが破損したり、コンパイル エラーが生じたりする可能性があります。

変数を Public として宣言するのは、同じ変数名が別の資産で使用されていないことが確実である場合に限定する必要があります。

スクリプト内の Public 変数と Private 変数は、ビジュアル テストでグローバル変数とローカル変数が使用されるのと同じように使用されます。

親トピック: スクリプトにおける変数


スクリプトでの変数の宣言

変数は、Dim、Private、または Public ステートメントを使用して宣言できます。 構文は以下のとおりです。

Dim VariableName As [data type]

'or

Private VariableName As [data type]

'or

Public VariableName As [data type]
たとえば、String 型の変数を宣言し、その変数に値を割り当てるには、以下のように入力します。
Dim carmake As String
carmake = "Honda"
または、以下のコードでは String 型の変数が作成され、その変数に値が割り当てられます。 変数が String 型になるのは、「Honda」が String である必要があることがコンパイラによって認識されるためです。 このコードの結果は前の例と同じになります。一般的には、以下に示す例をお勧めします。
Dim carmake = "Honda"

スクリプトで型を指定しないで変数を宣言した場合、Silk Test Workbench によって、変数に対して型が指定されなかったことを示すメッセージが表示されます。 デフォルトでは、変数は Object 型であるとコンパイラによって仮定されます。

スクリプト内の変数はすべて宣言することをお勧めします。 変数を宣言しない場合、エラーの原因になる場合があります。 たとえば、スペルを誤ると 1 つしかないはずの変数が 2 つあると認識され、スクリプトの誤動作の原因になる場合があります。 これは非常に一般的なエラーですが、多くの場合その診断は困難です。

注: 手動で変数を強制的に宣言する必要はありません。 変数宣言は、デフォルトで強制的に行われます。 Option Explicit ステートメントを使用して、スクリプトの変数宣言の強制を手動で無効にすることはできません。これは、スクリプトが起動される前に Silk Test Workbench が非表示の自動インポートを実行するためで、Option Explicit ステートメントは、最初のインポートの前に設定する必要があるためです。
親トピック: スクリプトにおける変数


キャプチャされたデータのための変数の作成

オブジェクトの識別 ダイアログ ボックスを使用して、オブジェクト情報をキャプチャします。 その後、キャプチャしたロケーター情報を表す変数を作成できます。 これを行うには、オブジェクトの識別 ダイアログ ボックスを使用してオブジェクトをキャプチャし、オブジェクト情報をスクリプトに貼り付けます。 以下に示すように、オブジェクトに対して Console.Write メソッドを使用し、オブジェクトに保持されているテキストを取得します。

With _desktop.WPFWindow("my main window")
       .WPFTextBox("@automationId='textBoxSingle'").SetText(carmake)
       Console.Write (carmake)
End With

または、以下の例も有効です。

<my window variable>.WPFTextBox("@automationId='textBoxSingle'").SetText(carmake)
Console.Write (carmake)

次に、このステートメントの結果、つまりコントロールに保持されるテキストを表す変数を作成できます。 データ型に String を使用して変数を宣言し、この変数をステートメントの結果に設定します。 変数を設定すると、そのデータを評価、検証、表示、または他のテストの目的のために使用することができます。 以下は、キャプチャされたテキストの値に設定された変数をメッセージ ボックスに表示します。

Dim carmake As String

carmake = window.WPFTextBox("@automationId='textBoxSingle'").GetLineText(0)

MsgBox (carmake, vbOKOnly)

アプリケーションの情報をキャプチャし、変数に設定するこの技法は、テスト アプリケーションで識別可能な任意のオブジェクト（ウィンドウ、リスト ボックス、ボタンなど）で使用することができます。

この目的のためには、Console.Write メソッドを使用する以外に、Text プロパティも使用できます。

コードは以下のようになります。

Dim price = browser.DomTextField("@name=txtDealerPrice").Text

Text プロパティは、コントロールからのすべてのデータを戻します。 ただし、Text プロパティはすべての Silk Test Workbench オブジェクトのメンバではありません。 Text プロパティは、サポートされるオブジェクトでデータが表示フィールドのサイズを超える可能性がある場合に使用します。

複数のコントロールまたは画面全体からテキストをキャプチャするには、Console.Write を使用します。 たとえば、Web サイトのすべてのテキストを取得するには、以下のように入力します。
Console.WriteLine(_desktop.BrowserApplication().Find("//HTML").GetProperty("innerText"))

Web サイトのテキストの取得の詳細については、「textContents、innerText、および innerHtml の違い」を参照してください。

親トピック: スクリプトにおける変数
関連資料
textContents、innerText、および innerHtml の違い


変数のデータの検証

再生中にデータ変数の内容を検証する最適な方法は、Visual Basic の MsgBox 機能を使用することです。

再生によって、変数の内容がメッセージ ボックスに表示されます。 メッセージ ボックスは、OK ボタンをクリックするまで表示されたままになり、クリックすると再生が続行されます。

以下の例は、変数の内容を表示するためのコマンドの簡単な使用例です。

Imports SilkTest.Ntf.Wpf

Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main()
        Dim sCarmake = "Honda"
        MsgBox(sCarmake)

        With _desktop.WPFWindow("@caption='WPF Sample Application'")
            .Restore()
            .WPFMenuItem("@caption='Basic Controls'").Select()
        End With
        With _desktop.WPFWindow("@caption='Basic Controls'")
            .WPFTabControl("@automationId='tabControl'").Select("Text")
            .WPFTextBox("@automationId='textBoxSingle'").SetText(sCarmake)
        End With
    End Sub

End Module

上記の例では、sCarmake 変数値（この場合は Honda）が再生中にメッセージ ボックスに表示されます。

注: この例では、MsgBox 機能の実装方法を示すことを意図しています。 このコードを正しく実装するには、アプリケーション構成を追加して、テスト アプリケーションを必要に応じて調整する必要があります。 このサンプル コードをスクリプトに貼り付けても、アプリケーション構成が存在しないため、エラーが発生します。
親トピック: スクリプトにおける変数


スクリプトでの変数の使用

任意の Silk Test Workbench コマンド内で二重引用符で囲まれている値（文字列）は、変数の値によって置き換えることができます。 通常、これは文字列変数です。 ただし、フィールドへの値の入力時に Integer や Double などの他のデータ型に対して変数を使用できます。

変数の最も一般的な使用法は、エディット ボックスなどのコントロールへの入力として使用されるリテラル値を置き換えることです。 コントロールにデータを入力する任意のメソッド、たとえば SetText() や TypeKeys() は、リテラル値を変数で置換できます。 そのためには、変数を宣言し、値を割り当てて、リテラル値を変数で置き換えます。 例：

browser.DomTextField("@id='name-search:lastName'").SetText("Smith")

'becomes:

Dim lastName = "Smith"

.DomTextField("@id='name-search:lastName'").SetText(sLastName)

リストやメニューから項目を選択する場合、入力選択で変数を使用することもできます。 例：

browser.DomListBox("@id='quick-link:jump-menu'").Select("Agent Lookup")

'becomes:

Dim selection = "Auto Quote"

browser.DomListBox("@id='quick-link:jump-menu'").Select(sSelection)

メソッドまたはプロパティから返された値を、評価のために変数に入れることができます。 この場合の一般的な使用法は、条件ロジックでの評価に対しブール データ型の値を戻すものです。 以下のコードでは、AllowsMultiSelect プロパティによって戻されたブール型の値を使用して、リスト ボックス コントロールで複数の項目を選択できるかどうかを評価する方法を示しています。

Dim canMultiSelect As Boolean

' Returns true if the second list box in the window allows multiple selections

canMultiSelect = mainWindow.ListBox("[2]").AllowsMultiSelect

If canMultiSelect Then

    MsgBox ("Employee selection list box allows to select multiple employees.")

Else

    MsgBox ("Employee selection list box allows to only select one employees.")

EndIf

変数は、コントロールの生のアタッチ名で置き換えることができます。 文字列連結文字 & を使用します。 例：

browser.DomLink("@caption='Eye'").Select()

'could also read:

Dim sLink As String

sLink = "Eye"

browser.DomLink("@caption=" & sLink).Select()
ヒント: Silk Test Workbench では、GUI マップ、またはコントロールやウィンドウにおける多様性に対処するために、ワイルドカード文字もサポートしています。

スクリプト内のパラメータはビジュアル テストと共有できるため、テスト ソリューション全体にわたって同じデータを使用できます。 詳細については、「スクリプトとビジュアル テスト間でのデータの受け渡し」を参照してください。

親トピック: スクリプトにおける変数


スクリプトとビジュアル テスト間でのデータの受け渡し

ビジュアル テストとスクリプトの両方を、同じテスト ソリューションで使用できます。 総合的なテスト ソリューションを考えた場合、それぞれに利点があります。 したがって、テスト ソリューションには、ビジュアル テストとスクリプトの両方を含めることをお勧めします。 スクリプトを使用すると、ビジュアル テストでは実行が困難なタスクを実行できます。また逆に、ビジュアル テストを使用すると、スクリプトでは実行が困難なタスクを実行できます。

テスト ソリューションへのスクリプトとビジュアル テストの統合を支援するために、Silk Test Workbench ではスクリプトとビジュアル テスト間でデータの受け渡しを行えるようになっています。 これにより、既存の Silk Test Workbench スクリプト基盤で作成されたデータを再利用できるだけでなく、テスト ソリューション内でデータの整合性を維持したまま、最も効果的なテスト資産を使用できるようになります。 スクリプトとビジュアル テスト間でのデータの受け渡しには、スクリプト パラメータを使用します。

注: スクリプトとビジュアル テスト間でデータの受け渡しを行うには、スクリプトがビジュアル テストに挿入され、そこから再生される必要があります。 また、スクリプトとビジュアル テストが同じプロジェクトに含まれているか、挿入されたスクリプトまたはビジュアル テストが Common プロジェクトに含まれている必要があります。
スクリプト パラメータを使用すると、以下のことが可能になります。
  • ビジュアル テストでデータを作成し、それをスクリプトで使用する。
  • ビジュアル テストでデータを作成し、それをスクリプトに渡して変更し、再びビジュアル テストに戻す。
  • スクリプトでデータを作成し、それをビジュアル テストに渡す。

プロセスは以下のとおりです。

  1. 入力パラメータと出力パラメータをスクリプトに追加します。
  2. スクリプトをビジュアル テストに挿入します。
  3. ビジュアル テスト内で入力パラメータの値を編集することによって、ビジュアル テストからスクリプトにデータを渡します。
    注: ビジュアル テストから送信する値はスクリプト内に保存されませんが、スクリプトでの計算で使用できます。
  4. ビジュアル テストで、スクリプトの出力パラメータから渡されたデータを格納するローカル変数を作成し、それをビジュアル テスト内で使用します。
注: 入力パラメータと出力パラメータを作成してビジュアル テストで使用する方法の詳細な例については、「SilkTest Workbench ビジュアル テスト チュートリアルにようこそ」の「ビジュアル テストからのスクリプトの再生」を参照してください。
  1. ビジュアル テストとスクリプト間で受け渡すパラメータの定義
    スクリプトとの間で受け渡されるすべてのパラメータは、スクリプトの入力パラメータおよび出力パラメータとして定義する必要があります。
  2. ビジュアル テスト内でのスクリプトの実行
    ビジュアル テストでは、既存の .NET スクリプトを呼び出して実行できます。 これにより、アプリケーションのテストに対するモジュール式アプローチが可能になり、テストの実行をより制御できるようになります。
  3. ビジュアル テストにおける、スクリプトから受け取ったパラメータの使用
    スクリプトに対して入力パラメータと出力パラメータが定義されたら、再生中にスクリプトを実行するビジュアル テストに出力パラメータを渡すことができます。
親トピック: スクリプトでのテスト データの再利用
関連概念
ビジュアル テストからのスクリプトの再生


ビジュアル テストとスクリプト間で受け渡すパラメータの定義

スクリプトとの間で受け渡されるすべてのパラメータは、スクリプトの入力パラメータおよび出力パラメータとして定義する必要があります。

  1. ビジュアル テストとの間でパラメータを受け渡すために使用するスクリプトを開きます。
  2. ビジュアル テストからスクリプトに渡されるパラメータを定義する入力パラメータを追加します。
    1. プロパティ ペインで、入力パラメータの追加 を右クリックして選択します。
      スクリプト入力パラメータの追加 ダイアログ ボックスが開きます。
    2. パラメータの名前を 名前 フィールドに入力します。
    3. 型 リストからパラメータのデータ型を選択します。

      Silk Test Workbench は、次のパラメータの型をサポートします。

      ブール値

      パラメータの値は True または False です。

      数値 (Double)

      パラメータの値は 64 ビット数値（-1.7E308 から +1.7E-307 の範囲）として格納された倍精度浮動小数点数です。

      数値 (Long Long)

      64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

      数値 (Long)

      パラメータの値は -2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

      テキスト

      パラメータの値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。

    4. デフォルト値 テキスト ボックスは空のままにします。
    5. OK をクリックします。
      プロパティ ペインの入力パラメータのリストに、入力パラメータが表示されます。
      注: スクリプトに対して定義された入力パラメータは、スクリプト自体には表示されません。入力パラメータは プロパティ ペインで確認できます。
  3. スクリプトからビジュアル テストに渡されるパラメータを定義する出力パラメータを追加します。
    1. プロパティ ペインで、出力パラメータの追加 を右クリックして選択します。
      スクリプト出力パラメータの追加 ダイアログ ボックスが開きます。
    2. 名前 テキスト ボックスに、ビジュアル テストに渡すパラメータの名前を入力します。
    3. OK をクリックします。
      プロパティ ペインの出力パラメータのリストに、出力パラメータが表示されます。
      注: スクリプトに実際に宣言されている場合を除き、出力パラメータはスクリプトには表示されません。
    次のコード サンプルは、渡した変数の使用方法を示します。作成するパラメータを含めるように Main() サブルーチンを変更する方法と、ディクショナリを使用してこれらのパラメータにアクセスする方法を示します。入力パラメータとして inputParameterName を、出力パラメータとして outputParameterName を定義します。
    Public Module Main
  Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main(args As IDictionary(Of String, Object))
    Dim text As String = args.Item("inputParameterName")
    args.Item("outputParameterName") = "someValue"
  End Sub
End Module
  4. スクリプトとの間でパラメータを受け渡すために使用するビジュアル テストを開きます。
  5. そのスクリプトが少なくとも 1 つのビジュアル テストに含まれている場合、ビジュアル テストで最新のパラメータを表示するには、挿入されたスクリプト ステップの プロパティ ペインで、名前 テキスト ボックスをクリックし、パラメータの更新 をクリックします。
  6. スクリプトで使用する入力パラメータの値を、ビジュアル テストの プロパティ ペインで編集します。 ビジュアル テストを再生すると、入力パラメータはスクリプトに渡されます。
    注: ビジュアル テストから送信する値はスクリプト内に保存されませんが、スクリプトでの計算で使用できます。

パラメータをビジュアル テストに渡すには、出力パラメータもビジュアル テストでローカル変数として設定する必要があります。

親トピック: スクリプトとビジュアル テスト間でのデータの受け渡し
次のトピック: ビジュアル テスト内でのスクリプトの実行


ビジュアル テストにおける、スクリプトから受け取ったパラメータの使用

スクリプトに対して入力パラメータと出力パラメータが定義されたら、再生中にスクリプトを実行するビジュアル テストに出力パラメータを渡すことができます。ただし、渡されたパラメータをビジュアル テストで使用するには、それをビジュアル テストのローカル変数に設定する必要があります。

  1. ビジュアル テストを開きます。
  2. テスト ステップ ペインで、スクリプトを実行するビジュアル テスト内のステップを選択します。 ステップ テキストは、「.NET スクリプト '資産名' を再生します」のようになります (ここで、資産名 は挿入されたスクリプトの名前です)。

    ステップのプロパティが プロパティ ペインに表示されます。ここには、スクリプトの入力パラメータと出力パラメータが表示されます。

  3. ステップの プロパティ ペインで、出力パラメータ カテゴリを展開します。 スクリプトからビジュアル テストに渡される出力パラメータとして定義された変数の名前が、[出力パラメータ] サブカテゴリに表示されます。これらのパラメータを、ビジュアル テストに作成されたローカル変数に設定する必要があります。 パラメータが プロパティ ペインに表示されない場合は、パラメータが含まれるスクリプトを再読み込みします。これを行うには、挿入されたスクリプト ステップの プロパティ ペインで、名前 テキスト ボックスをクリックし、パラメータ名の更新 をクリックします。
  4. プロパティ ペインで出力パラメータ名のテキスト ボックスをクリックし、リストから適切なローカル変数を選択します。 これにより、スクリプトからビジュアル テストのローカル変数に渡されるパラメータの値が設定されるため、この値をビジュアル テスト内で使用できるようになります。
  5. スクリプトからビジュアル テストに渡す プロパティ ペインの出力パラメータごとに、上記のステップを繰り返します。
    注: スクリプトからビジュアル テストに渡された値を確認するには、結果コメント ステップをビジュアル テストに挿入します。コメントの [式] プロパティに対して、選択 をクリックして 変数 を選択します。渡された値を含むローカル変数をリストから選択します。
  6. ビジュアル テストで、適切なテスト ステップを変更してローカル変数を組み込みます。 ローカル変数によって、スクリプトの出力パラメータからテスト ステップにデータが渡されます。
    1. 使用するステップを テスト ステップ ペインで選択します。
    2. プロパティ ペインで、ローカル変数のプロパティ タイプに対応するプロパティのテキスト ボックスをクリックします。 たとえば、パラメータ カテゴリの text テキスト ボックスをクリックします。
    3. 選択 ボタンをクリックして、変数 を選択します。 変数の選択 ダイアログ ボックスが開きます。
    4. 使用するローカル変数を選択し、OK をクリックします。 ステップ テキストは、次のようになります：「'[localvariablename]' を入力します」
再生するビジュアル テストにスクリプトが含まれていて、その入力パラメータと出力パラメータが正しく定義されている場合は、ビジュアル テストを再生すると、ビジュアル テストとこのビジュアル テスト内のスクリプトの間でパラメータを正しく受け渡しできます。
注: 入力パラメータと出力パラメータを作成してビジュアル テストで使用する方法の詳細な例については、「SilkTest Workbench ビジュアル テスト チュートリアルにようこそ」の「ビジュアル テストからのスクリプトの再生」を参照してください。
親トピック: スクリプトとビジュアル テスト間でのデータの受け渡し
前のトピック: ビジュアル テスト内でのスクリプトの実行
関連タスク
ビジュアル テストへのローカル変数の追加
条件の値の設定


スクリプトでのパラメータの作成と受け渡し

パラメータを作成して渡すことは、チームによるテスト環境で役立ちます。たとえば、経験の豊富なテスト担当者が共通するテスト機能を実行するスクリプトのライブラリを作成し、経験の浅い開発者がそこからスクリプトを選択して、より基本的なスクリプトを作成することができます。 パラメータを作成して渡すことは、1 人のテスト担当者の環境でも、複雑な機能を複数のスクリプトで再利用する場合に役立ちます。

親スクリプトと子スクリプト間で、または単一のスクリプトを使用して、パラメータを作成して渡すことができます。親子シナリオを使用することには、複数の子スクリプトで親スクリプトを使用できるという利点があります。たとえば、親スクリプトによって乱数が作成される場合に、その機能を複数の子スクリプトで使用することがあります。

  • スクリプト間でのパラメータの作成と受け渡し
    パラメータを作成して親スクリプトと子スクリプト間で受け渡します。親子シナリオを使用することには、複数の子スクリプトで親スクリプトを使用できるという利点があります。
  • 単一のスクリプト内でのパラメータの作成と受け渡し
    単一のスクリプト内でパラメータを作成して設定します。
  • パラメータを含むスクリプトの例
    パラメータを作成して渡すスクリプトの例を示します。
親トピック: スクリプトでのテスト データの再利用


スクリプト間でのパラメータの作成と受け渡し

親スクリプトと子スクリプト間で、または単一のスクリプトを使用して、パラメータを作成して渡すことができます。親子シナリオを使用することには、複数の子スクリプトで親スクリプトを使用できるという利点があります。たとえば、親スクリプトによって乱数が作成される場合に、その機能を複数の子スクリプトで使用することがあります。

  1. 渡すパラメータを組み込む親スクリプトを作成します。
    1. ファイル > 新規作成 を選択します。
      資産の新規作成 ダイアログ ボックスが開きます。
    2. [資産の種類] リストから .NET スクリプト を選択し、資産名 テキスト ボックスにスクリプトの名前を入力します。

      たとえば、スクリプトに「NameParameters」という名前を付けることができます。

    3. OK をクリックして、スクリプトを保存します。 Silk Test Workbench によってスクリプトが資産として保存され、スクリプト テンプレートが表示されます。
    4. 作成して子スクリプトに渡すパラメータが含まれるように、Main() サブを変更します。 たとえば、以下の親スクリプトは、テスト アプリケーションで姓名の文字列を渡します。
      Public Sub Main()
            Dim args As New Dictionary(Of String, Object)
            args("FName") = "Chris"
            args("LName") = "Smith"
    5. 子スクリプトの呼び出しと作成したパラメータの名前指定を行う、RunScript コマンドを組み込みます。 たとえば、以下の親スクリプトは、テスト アプリケーションで姓名の文字列を渡し、childscript という名前の子スクリプトを args というパラメータを使用して呼び出します。
      Public Module Main
      Dim _desktop As Desktop = Agent.Desktop

      Public Sub Main()
            Dim args As New Dictionary(Of String, Object)
            args("FName") = "Chris"
            args("LName") = "Smith"

            Workbench.RunScript("childscript", args)

      End Sub
End Module
  2. 省略可能：スクリプトで入力されるパラメータを返すメッセージ ボックスを組み込むには、以下のコードを親スクリプトに追加します。
    MsgBox("Hello, " + args("FName") + "!")
MsgBox ("Hello, " + args("FName") + " " +  args("LName") + "!")
    スクリプトの再生時に、テストで入力される値を示すメッセージ ボックスが表示されます。
  3. 親スクリプトからパラメータを呼び出す、子スクリプトを作成します。 たとえば、サンプル Web アプリケーションの登録フォームで姓名を処理する場合は、姓名を含む登録フォームのスクリプトを記録します。以下に、スクリプトの例を示します。
    Imports SilkTest.Ntf.XBrowser
Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main()
        With _desktop.BrowserWindow("/BrowserApplication[1]//BrowserWindow")
            .DomButton("@id='login-form:signup'").Select()
            .DomTextField("@id='signup:fname'").SetText("first")
            .DomTextField("@id='signup:lname'").SetText("last")
      .DomElement("@src='http://extjs.com/s.gif'").DomClick(MouseButton.Left,
     New Point(8, 16))
            .DomButton("@textContents='Today'").Select()
            .DomTextField("@id='signup:email'").SetText("test@test1.com")
            .DomTextField("@id='signup:street'").SetText("123 street rd")
            .DomTextField("@id='signup:city'").SetText("Marlton")
            .DomListBox("@id='signup:state'").Select("Massachusetts")
            .DomTextField("@id='signup:zip'").SetText("09876")
            .DomTextField("@id='signup:password'").SetText("test")
            .DomButton("@id='signup:signup'").Select()
            .DomButton("@id='signup:continue'").Select()
        End With

    End Sub
End Module
  4. 設定して親スクリプトに渡す、IDictionary(Of String, Object) という 1 つのパラメータを使用するように Sub Main() を変更します。 IDictionary クラスは、.NET によって提供されます。クラスのドキュメントは、http://msdn.microsoft.com/en-us/library/s4ys34ea.aspx で確認できます。
    修正された Sub Main () コードは、以下のようになります。
    Public Sub Main(args As IDictionary(Of String, Object))
  5. パラメータを使用するコントロールを変更します。
    たとえば、Web アプリケーションの記録で姓名を変更するには、以下のコードを置換します。
    .DomTextField("@id='signup:fname'").SetText("first")
.DomTextField("@id='signup:lname'").SetText("last")
    以下のように置換します。
    .DomTextField("@id='signup:fname'").SetText(args("FName"))
.DomTextField("@id='signup:lname'").SetText(args("LName"))
  6. 親スクリプトから、再生 をクリックします。
    注: 子スクリプトからのパラメータを使用するスクリプトを実行すると、パラメータが指定されていないため、スクリプトは失敗します。ただし、パラメータを使用しない 2 番めの Main() サブを追加し、デフォルトのパラメータ値を他方の Main() に渡して単一のスクリプトから直接実行できます。
親トピック: スクリプトでのパラメータの作成と受け渡し


単一のスクリプト内でのパラメータの作成と受け渡し

親スクリプトと子スクリプト間で、または単一のスクリプトを使用して、パラメータを作成して渡すことができます。親子シナリオを使用することには、複数の子スクリプトで親スクリプトを使用できるという利点があります。たとえば、親スクリプトによって乱数が作成される場合に、その機能を複数の子スクリプトで使用することがあります。

  1. スクリプトを作成します。
    1. ファイル > 新規作成 を選択します。
      資産の新規作成 ダイアログ ボックスが開きます。
    2. [資産の種類] リストから .NET スクリプト を選択し、資産名 テキスト ボックスにスクリプトの名前を入力します。

      たとえば、スクリプトに「NameParameters」という名前を付けることができます。

    3. OK をクリックして、スクリプトを保存します。 Silk Test Workbench によってスクリプトが資産として保存され、スクリプト テンプレートが表示されます。
  2. アプリケーションをテストするスクリプトを記録または入力します。 たとえば、サンプル Web アプリケーションの登録フォームで姓名を処理する場合は、姓名を含む登録フォームのスクリプトを記録します。以下に、スクリプトの例を示します。
    Imports SilkTest.Ntf.XBrowser
Public Module Main
  Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main()
    With _desktop.BrowserWindow("/BrowserApplication[1]//BrowserWindow")
      .DomButton("@id='login-form:signup'").Select()
      .DomTextField("@id='signup:fname'").SetText("first")
      .DomTextField("@id='signup:lname'").SetText("last")
      .DomElement("@src='http://extjs.com/s.gif'").DomClick(MouseButton.Left,
        New Point(8, 16))
      .DomButton("@textContents='Today'").Select()
      .DomTextField("@id='signup:email'").SetText("test@test1.com")
      .DomTextField("@id='signup:street'").SetText("123 street rd")
      .DomTextField("@id='signup:city'").SetText("Marlton")
      .DomListBox("@id='signup:state'").Select("Massachusetts")
      .DomTextField("@id='signup:zip'").SetText("09876")
      .DomTextField("@id='signup:password'").SetText("test")
      .DomButton("@id='signup:signup'").Select()
      .DomButton("@id='signup:continue'").Select()
    End With

  End Sub
End Module
  3. 作成して子スクリプトに渡すパラメータが含まれる、2 番めの Main() サブを作成します。 たとえば、以下のスクリプトは、テスト アプリケーションで姓名の文字列を渡します。
    Public Sub Main()
  Dim args As New Dictionary(Of String, Object)
  args("FName") = "Chris"
  args("LName") = "Smith"
  4. 最初の Main() サブ スクリプトの呼び出しと作成したパラメータの名前指定を行う、Main(args) コマンドを組み込みます。 たとえば、以下のコードは、テスト アプリケーションで姓名の文字列を渡し、args というパラメータを呼び出します。
    Public Module Main
  Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main()
    Dim args As New Dictionary(Of String, Object)
    args("FName") = "Chris"
    args("LName") = "Smith"

    Main(args)

  End Sub
End Module
  5. 設定して親スクリプトに渡す、IDictionary(Of String, Object) という 1 つのパラメータを使用するように、アプリケーションをテストする Sub Main() を変更します。 IDictionary クラスは、.NET によって提供されます。クラスのドキュメントは、http://msdn.microsoft.com/en-us/library/s4ys34ea.aspx で確認できます。
    修正された Sub Main () コードは、以下のようになります。
    Public Sub Main(args As IDictionary(Of String, Object))
  6. パラメータを使用するコントロールを変更します。
    たとえば、Web アプリケーションの記録で姓名を変更するには、以下のコードを置換します。
    .DomTextField("@id='signup:fname'").SetText("first")
.DomTextField("@id='signup:lname'").SetText("last")
    以下のように置換します。
    .DomTextField("@id='signup:fname'").SetText(args("FName"))
.DomTextField("@id='signup:lname'").SetText(args("LName"))
    スクリプトは以下のようになります。
    Imports SilkTest.Ntf.XBrowser
Public Module Main
  Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main(args As IDictionary(Of String, Object))
  With _desktop.BrowserWindow("/BrowserApplication[1]//BrowserWindow")
    .DomButton("@id='login-form:signup'").Select()
    .DomTextField("@id='signup:fname'").SetText(args("FName"))
    .DomTextField("@id='signup:lname'").SetText(args("LName"))
    .DomElement("@src='http://extjs.com/s.gif'").DomClick(MouseButton.Left,
      New Point(8, 16))
    .DomButton("@textContents='Today'").Select()
    .DomTextField("@id='signup:email'").SetText("test@test1.com")
    .DomTextField("@id='signup:street'").SetText("123 street rd")
    .DomTextField("@id='signup:city'").SetText("Marlton")
    .DomListBox("@id='signup:state'").Select("Massachusetts")
    .DomTextField("@id='signup:zip'").SetText("09876")
    .DomTextField("@id='signup:password'").SetText("test")
    .DomButton("@id='signup:signup'").Select()
    .DomButton("@id='signup:continue'").Select()
  End With

  End Sub

  Public Sub Main()
    Dim args As New Dictionary(Of String, Object)
    args("FName") = "Chris"
    args("LName") = "Smith"

    Main(args)

  End Sub

End Module
  7. 省略可能：スクリプトで入力されるパラメータを返すメッセージ ボックスを組み込むには、以下のコードを追加します。
    MsgBox("Hello, " + args("FName") + "!")
MsgBox ("Hello, " + args("FName") + " " +  args("LName") + "!")
    スクリプトの再生時に、テストで入力される値を示すメッセージ ボックスが表示されます。

    スクリプトは以下のようになります。

    Imports SilkTest.Ntf.XBrowser
Public Module Main
  Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main(args As IDictionary(Of String, Object))
  With _desktop.BrowserWindow("/BrowserApplication[1]//BrowserWindow")
    .DomButton("@id='login-form:signup'").Select()
    .DomTextField("@id='signup:fname'").SetText(args("FName"))
    .DomTextField("@id='signup:lname'").SetText(args("LName"))
    .DomElement("@src='http://extjs.com/s.gif'").DomClick(MouseButton.Left,
      New Point(8, 16))
    .DomButton("@textContents='Today'").Select()
    .DomTextField("@id='signup:email'").SetText("test@test1.com")
    .DomTextField("@id='signup:street'").SetText("123 street rd")
    .DomTextField("@id='signup:city'").SetText("Marlton")
    .DomListBox("@id='signup:state'").Select("Massachusetts")
    .DomTextField("@id='signup:zip'").SetText("09876")
    .DomTextField("@id='signup:password'").SetText("test")
    .DomButton("@id='signup:signup'").Select()
    .DomButton("@id='signup:continue'").Select()
  End With

  End Sub

  Public Sub Main()
    Dim args As New Dictionary(Of String, Object)
    args("FName") = "Chris"
    args("LName") = "Smith"

    Main(args)

    MsgBox("Hello, " + args("FName") + "!")
    MsgBox ("Hello, " + args("FName") + " " +  args("LName") + "!")

  End Sub

End Module
  8. 再生 をクリックします。
親トピック: スクリプトでのパラメータの作成と受け渡し


パラメータを含むスクリプトの例

以下の例は、パラメータを作成して渡すスクリプトを示しています。

  • リストの例
    メモ帳アプリケーションをテストする親スクリプトと子スクリプト間でリスト パラメータを作成して渡す方法を示します。
  • 列挙の例
    メモ帳アプリケーションをテストする親スクリプトと子スクリプト間で列挙パラメータを作成して渡す方法を示します。
  • 数値の例
    メモ帳アプリケーションをテストする単一のスクリプトで数値パラメータを作成して渡す方法を示します。
  • ブール値の例
    メモ帳アプリケーションをテストする単一のスクリプトでブール値パラメータを作成して渡す方法を示します。
  • 配列の例
    メモ帳アプリケーションをテストする単一のスクリプトにおいて、配列パラメータを作成して渡す方法を示します。
親トピック: スクリプトでのパラメータの作成と受け渡し


リストの例

以下の例は、メモ帳アプリケーションをテストする親スクリプトと子スクリプト間でリスト パラメータを作成して渡す方法を示しています。

以下に、親スクリプトの例を示します。
Public Module Main
 Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main()
    Dim numList As New List(Of Integer)
    For i As Integer = 0 To 10
    numList.Add(i)
    Next

    Dim args As New Dictionary(Of String, Object)
    args("Numbers") = numList

    Workbench.RunScript("ChildScriptArgs", args)
  End Sub
End Module
以下に、子スクリプトの例を示します。
Public Module Main
  Dim _desktop As Desktop = Agent.Desktop
  Public Sub Main(args As IDictionary(Of String, Object))
    Dim nums As List(Of Integer) = args("Numbers")

    With _desktop.Window("/Window[@caption='Untitled - Notepad']")
    For Each num As Integer In nums
    .TextField().TypeKeys(num.ToString() + "<Enter>")
    Next
    End With

  End Sub
End Module
親トピック: パラメータを含むスクリプトの例


列挙の例

以下の例は、メモ帳アプリケーションをテストする親スクリプトと子スクリプト間で列挙パラメータを作成して渡す方法を示しています。

以下に、親スクリプトの例を示します。
Public Module Main
 Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main()
    Dim args As New Dictionary(Of String, Object)
    args("Day") = DayOfWeek.Friday

    Workbench.RunScript("ChildDayScript", args)

  End Sub
End Module
以下に、子スクリプトの例を示します。
Public Module Main
  Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main(args As IDictionary(Of String, Object))
    Dim day As DayOfWeek = args("Day")

    With _desktop.Window("/Window[@caption='Untitled - Notepad']")
    .TextField().TypeKeys("The day of the week is " + day.ToString() + ".")
    End With

  End Sub
End Module
親トピック: パラメータを含むスクリプトの例


数値の例

以下の例は、メモ帳アプリケーションをテストする単一のスクリプトで数値パラメータを作成して渡す方法を示しています。

スクリプトの内容は以下のとおりです。
Public Module Main
 Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main(args As IDictionary(Of String, Object))
    Dim N1 As Integer = CType(args("Num1"), Integer)
    Dim N2 As Integer = CType(args("Num2"), Integer)

      With _desktop.Window("@caption='Untitled - Notepad'")
        .TextField().ClearText()
        .TextField().TypeKeys("<Enter>"+ "Numbers" + "<Enter>")
        .TextField().TypeKeys(N1)
        .TextField().TypeKeys("<Enter>")
        .TextField().TypeKeys(N2)
        .TextField().TypeKeys("<Enter>")
      End With
  End Sub

  Public Sub Main()
    Dim args As New Dictionary(Of String, Object)

      args.Add("Num1", 35)
      args.Add("Num2", 25)

      Main(args)
  End Sub
End Module
親トピック: パラメータを含むスクリプトの例


ブール値の例

以下の例は、メモ帳アプリケーションをテストする単一のスクリプトでブール値パラメータを作成して渡す方法を示しています。

スクリプトの内容は以下のとおりです。
Public Module Main
 Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main(args As IDictionary(Of String, Object))
    Dim B1 As Boolean = CType(args("Bool1"), Boolean)
    Dim B2 As Boolean = CType(args("Bool2"), Boolean)

    With _desktop.Window("@caption='Untitled - Notepad'")
      .TextField().ClearText()
      .TextField().TypeKeys("<Enter>" +"Boolean Values" + "<Enter>")
      .TextField().TypeKeys(B1)
      .TextField().TypeKeys("<Enter>")
      .TextField().TypeKeys(B2)
      .TextField().TypeKeys("<Enter>")
    End With
  End Sub

  Public Sub Main()
  Dim args As New Dictionary(Of String, Object)

    args.Add("Bool1", True)
    args.Add("Bool2", False)

    Main(args)
  End Sub
End Module
親トピック: パラメータを含むスクリプトの例


配列の例

以下の例は、メモ帳アプリケーションをテストする単一のスクリプトにおいて、配列パラメータを作成して渡す方法を示しています。

スクリプトの内容は以下のとおりです。
Public Module Main
 Dim _desktop As Desktop = Agent.Desktop

  Public Sub Main(args As IDictionary(Of String, Object))
    Dim A1() As Integer = CType(args("Arr1"), Integer())

      With _desktop.Window("@caption='Untitled - Notepad'")

      .TextField().TypeKeys("Array Numbers<Enter>")

      For Each num As Integer In A1
      .TextField().TypeKeys(num)
      .TextField().TypeKeys("<Enter>")
      Next
      .TextField().TypeKeys("<Enter>")

      End With
  End Sub

  Public Sub Main()
    Dim args As New Dictionary(Of String, Object)

    args("Arr1") = New Integer() {1,2,3,4,5}

    Main(args)
  End Sub
End Module
親トピック: パラメータを含むスクリプトの例


スクリプトの管理

このセクションでは、VB .NET スクリプトの管理方法について説明します。

  • スクリプト内のコードの検索と置換
    VB .NET スクリプト内のコードの検索と置換を使用すると、スクリプトを迅速に変更できます。
  • ブックマークを使用したスクリプトでのコードの移動
    ブックマークを使用して、スクリプトの重要な部分に移動します。
  • スクリプトの入力パラメータの追加
    スクリプトは、入力パラメータを使用してビジュアル テストからデータを受け取ったり、逆に出力パラメータを使用してビジュアル テストにデータを渡したりできます。
  • スクリプトの入力パラメータの編集
    スクリプトの入力パラメータを編集して、パラメータを渡すスクリプトやビジュアル テストに行える変更を反映します。
  • スクリプトからの入力パラメータの削除
    必要に応じて、スクリプトから入力パラメータを削除できます。
  • スクリプトの出力パラメータの追加
    ビジュアル テストにデータを渡すために、スクリプトに出力パラメータを追加します。
  • スクリプトの出力パラメータの編集
    ビジュアル テストにデータを渡すために、スクリプトの出力パラメータを編集します。
  • スクリプトからの出力パラメータの削除
    必要に応じて、スクリプトから出力パラメータを削除できます。
  • スクリプトへのファイルの追加
    スクリプトが参照するファイルを追加して、特定の目的ごとにコードを論理的にセグメント化できます。
  • スクリプトからのファイルの削除
    スクリプトが参照するファイルを削除できます。
  • スクリプト内のファイル名の変更
    スクリプトが参照するファイルの名前を変更できます。
  • .NET スクリプト内からの.NET アセンブリの参照
    手動で作成する .NET スクリプトに完全な機能を提供するために、.NET Framework の .NET アセンブリを参照として、スクリプト参照ライブラリに追加します。
  • .NET スクリプト内から他の .NET スクリプトのクラスの参照
    .NET スクリプトで他の .NET スクリプトで定義したクラスを使用するには、他の .NET スクリプトへの参照を .NET スクリプトに追加します。
  • スクリプト参照ライブラリからの参照の削除
    必要に応じて参照ライブラリから参照を削除します。
  • [.NET スクリプトの参照] ダイアログ ボックス
    .NET スクリプトの参照 ダイアログ ボックスのコントロールについて説明します。
親トピック: スクリプトの拡張


スクリプト内のコードの検索と置換

VB .NET スクリプト内のコードの検索と置換を使用すると、スクリプトを迅速に変更できます。

  1. 検索するスクリプトを開きます。
  2. 編集 > 検索と置換 を選択し、以下のいずれかのオプションを選択します。
    • 検索：検索する文字列 テキスト ボックスに検索するコードを指定し、次を検索 をクリックします。
    • 次を検索：検索する文字列 テキスト ボックスに指定した項目の次のインスタンスを検索するには、このオプションを選択します。
    • 前を検索：検索された最後のエントリの前にあるスクリプトで、検索する文字列 テキスト ボックスに指定した項目を検索するには、このオプションを選択します。
    • 置換：検索する文字列 テキスト ボックスに検索するコードを指定します。置換後の文字列 テキスト ボックスに、既存のコードと置換するコードを指定し、置換 または すべて置換 をクリックします。
親トピック: スクリプトの管理


ブックマークを使用したスクリプトでのコードの移動

ブックマークを使用して、スクリプトの重要な部分に移動します。

  1. ブックマークを組み込むスクリプトを開きます。
  2. 編集 > ブックマーク を選択し、以下のいずれかのオプションを選択します。
    • ブックマークの切り替え：選択したコード行でブックマークを組み込むか非表示にするには、このオプションを選択します。
    • 次のブックマーク：スクリプト内の次のブックマークに移動するには、このオプションを選択します。
    • 前のブックマーク：スクリプト内の検索された最後のブックマークの前のブックマークに移動するには、このオプションを選択します。
    • ブックマークのクリア：スクリプトからすべてのブックマークを削除するには、このオプションを選択します。
親トピック: スクリプトの管理


スクリプトの入力パラメータの追加

スクリプトは、入力パラメータを使用してビジュアル テストからデータを受け取ったり、逆に出力パラメータを使用してビジュアル テストにデータを渡したりできます。

  1. プロパティ ペインで、入力パラメータの追加 を右クリックして選択します。
    スクリプト入力パラメータの追加 ダイアログ ボックスが開きます。
  2. パラメータの名前を 名前 フィールドに入力します。
    パラメータ名に有効な文字は、大文字/小文字の英数字とアンダースコア（「ABC」、「abc」、「_」）です。追加または編集するパラメータ名が他のパラメータ名と重複している場合、そのパラメータに対して一意な名前が付けられます。
  3. 型 リストからパラメータのデータ型を選択します。

    Silk Test Workbench は、次のパラメータの型をサポートします。

    ブール値

    パラメータの値は True または False です。

    数値 (Double)

    パラメータの値は 64 ビット数値（-1.7E308 から +1.7E-307 の範囲）として格納された倍精度浮動小数点数です。

    数値 (Long Long)

    64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

    数値 (Long)

    パラメータの値は -2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

    テキスト

    パラメータの値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。

  4. デフォルト値 テキスト ボックスは空のままにします。
    空のままにした場合、ビジュアル テストで設定されたパラメータの初期値が使用されます。この値は、ビジュアル テスト、またはスクリプトに渡された場合はスクリプトで変更できます。値は型と整合性がある必要があります。たとえば、型が数値（Long）の場合、初期値は整数にする必要があります。
  5. OK をクリックします。
    プロパティ ペインの入力パラメータのリストに、入力パラメータが表示されます。
親トピック: スクリプトの管理
関連概念
スクリプトとビジュアル テスト間でのデータの受け渡し
関連タスク
ビジュアル テストとスクリプト間で受け渡すパラメータの定義
スクリプトの入力パラメータの定義


スクリプトの入力パラメータの編集

スクリプトの入力パラメータを編集して、パラメータを渡すスクリプトやビジュアル テストに行える変更を反映します。

  1. プロパティ ペインで、編集する入力パラメータを右クリックし、<inputparametername> の編集 を選択します。 スクリプト入力パラメータの編集 ダイアログ ボックスが開きます。
  2. パラメータの名前を 名前 フィールドに入力します。
    パラメータ名に有効な文字は、大文字/小文字の英数字とアンダースコア（「ABC」、「abc」、「_」）です。追加または編集するパラメータ名が他のパラメータ名と重複している場合、そのパラメータに対して一意な名前が付けられます。
  3. 型 リストからパラメータのデータ型を選択します。

    Silk Test Workbench は、次のパラメータの型をサポートします。

    ブール値

    パラメータの値は True または False です。

    数値 (Double)

    パラメータの値は 64 ビット数値（-1.7E308 から +1.7E-307 の範囲）として格納された倍精度浮動小数点数です。

    数値 (Long Long)

    64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

    数値 (Long)

    パラメータの値は -2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

    テキスト

    パラメータの値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。

  4. デフォルト値 テキスト ボックスは空のままにします。
    空のままにした場合、ビジュアル テストで設定されたパラメータの初期値が使用されます。この値は、ビジュアル テスト、またはスクリプトに渡された場合はスクリプトで変更できます。値は型と整合性がある必要があります。たとえば、型が数値（Long）の場合、初期値は整数にする必要があります。
  5. OK をクリックします。
親トピック: スクリプトの管理
関連概念
スクリプトとビジュアル テスト間でのデータの受け渡し
関連タスク
ビジュアル テストとスクリプト間で受け渡すパラメータの定義


スクリプトからの入力パラメータの削除

必要に応じて、スクリプトから入力パラメータを削除できます。

  1. プロパティ ペインで、削除する入力パラメータを右クリックし、<inputparametername> の削除 を選択します。
  2. はい をクリックして、入力パラメータを削除することを確認します。
親トピック: スクリプトの管理


スクリプトの出力パラメータの追加

スクリプトは、入力パラメータを使用してビジュアル テストからデータを受け取ったり、逆に出力パラメータを使用してビジュアル テストにデータを渡したりできます。

  1. プロパティ ペインで、出力パラメータの追加 を右クリックして選択します。
    スクリプト出力パラメータの追加 ダイアログ ボックスが開きます。
  2. 名前 テキスト ボックスに、ビジュアル テストに渡すパラメータの名前を入力します。
    パラメータ名に有効な文字は、大文字/小文字の英数字とアンダースコア（「ABC」、「abc」、「_」）です。追加または編集するパラメータ名が他のパラメータ名と重複している場合、そのパラメータに対して一意な名前が付けられます。
  3. 型 リストから、データを渡すビジュアル テスト内のローカル変数のデータ型を選択します。

    Silk Test Workbench は、次のパラメータの型をサポートします。

    ブール値

    パラメータの値は True または False です。

    数値 (Double)

    パラメータの値は 64 ビット数値（-1.7E308 から +1.7E-307 の範囲）として格納された倍精度浮動小数点数です。

    数値 (Long Long)

    64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

    数値 (Long)

    パラメータの値は -2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

    テキスト

    パラメータの値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。

  4. OK をクリックします。
    プロパティ ペインの出力パラメータのリストに、出力パラメータが表示されます。
親トピック: スクリプトの管理
関連概念
スクリプトとビジュアル テスト間でのデータの受け渡し
関連タスク
スクリプトの出力パラメータの編集
ビジュアル テストとスクリプト間で受け渡すパラメータの定義
スクリプトの出力パラメータの定義


スクリプトの出力パラメータの編集

ビジュアル テストにデータを渡すために、スクリプトの出力パラメータを編集します。
  1. プロパティ ペインで、編集する出力パラメータを右クリックし、<outputparametername> の編集 を選択します。
  2. 名前 テキスト ボックスに、ビジュアル テストに渡すパラメータの名前を入力します。
    パラメータ名に有効な文字は、大文字/小文字の英数字とアンダースコア（「ABC」、「abc」、「_」）です。追加または編集するパラメータ名が他のパラメータ名と重複している場合、そのパラメータに対して一意な名前が付けられます。
  3. 型 リストから、データを渡すビジュアル テスト内のローカル変数のデータ型を選択します。

    Silk Test Workbench は、次のパラメータの型をサポートします。

    ブール値

    パラメータの値は True または False です。

    数値 (Double)

    パラメータの値は 64 ビット数値（-1.7E308 から +1.7E-307 の範囲）として格納された倍精度浮動小数点数です。

    数値 (Long Long)

    64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

    数値 (Long)

    パラメータの値は -2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

    テキスト

    パラメータの値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。

  4. OK をクリックします。
親トピック: スクリプトの管理
関連概念
スクリプトとビジュアル テスト間でのデータの受け渡し
関連タスク
スクリプトの出力パラメータの追加
ビジュアル テストとスクリプト間で受け渡すパラメータの定義


スクリプトからの出力パラメータの削除

必要に応じて、スクリプトから出力パラメータを削除できます。

  1. プロパティ ペインで、削除する出力パラメータを右クリックし、<outputparametername> の削除 を選択します。
  2. はい をクリックして、出力パラメータを削除することを確認します。
親トピック: スクリプトの管理


スクリプトへのファイルの追加

スクリプトが参照するファイルを追加して、特定の目的ごとにコードを論理的にセグメント化できます。 たとえば、スクリプトで 4000 行のコードが必要な場合、メイン ウィンドウにはコードの中心的な行のみを含めるために、ヘルパ コード用の別のファイルを作成することがあります。 ヘルパ コードとは、データ転送のためにメイン アプリケーションをデータベースに接続するコードなどのことです。

  1. ファイルをスクリプトに追加するには、以下のいずれかのステップを実行します。
    • 挿入 > ファイル を選択します。
    • プロパティ ペインを右クリックし、ファイルの追加 を選択します。
    コード ウィンドウで新しいタブが開きます。
  2. ファイルに含めるコードを追加し、保存 をクリックします。
  3. メイン タブをクリックし、ファイルの参照を追加します。
親トピック: スクリプトの管理


スクリプトからのファイルの削除

スクリプトが参照するファイルを削除できます。

  1. 削除するファイルが含まれているスクリプトを開きます。
  2. プロパティ ペインで、ファイル カテゴリを展開し、ファイル名を右クリックして ファイルの削除 を選択します。
親トピック: スクリプトの管理


スクリプト内のファイル名の変更

スクリプトが参照するファイルの名前を変更できます。

  1. 名前を変更するファイルが含まれているスクリプトを開きます。
  2. プロパティ ペインで、ファイル カテゴリを展開し、ファイル名を右クリックして ファイル名の変更 を選択します。
  3. プロパティ ペインで新しい名前を入力します。
親トピック: スクリプトの管理


.NET スクリプト内からの.NET アセンブリの参照

スクリプトを記録する場合、操作するコントロールに対して適切なすべての参照が参照ライブラリに自動的に追加されます。手動でスクリプトを作成するか、またはアプリケーション構成を追加すると、参照を手動でライブラリに追加することが必要となる場合があります。.NET スクリプトの参照として、.NET Framework の .NET アセンブリを追加できます。

  1. スクリプト参照ライブラリに参照を追加するには、プロパティ ペインを右クリックし、.NET アセンブリ参照の追加 を選択します。 .NET アセンブリ参照の追加 ダイアログ ボックスが開きます。
  2. コンポーネントを追加するには、以下のいずれかのステップを実行します。
    • コンポーネント リストからコンポーネントをダブルクリックします。
    • 参照 をクリックし、追加するコンポーネントに移動し、開く をクリックして、OK をクリックします。
    パス 列には、DLL ファイルの場所の一覧が表示されます。
新しいコンポーネントが プロパティ ペインの 参照 カテゴリに表示されます。
親トピック: スクリプトの管理
関連タスク
.NET スクリプト内から他の .NET スクリプトのクラスの参照
関連資料
[.NET スクリプトの参照] ダイアログ ボックス


.NET スクリプト内から他の .NET スクリプトのクラスの参照

.NET スクリプトで他の .NET スクリプトで定義したクラスを使用するには、他の .NET スクリプトへの参照を .NET スクリプトに追加します。

  1. プロパティ ペインを右クリックし、.NET スクリプト参照の追加 を選択します。 .NET スクリプトの参照 ダイアログ ボックスが開きます。
  2. ダイアログ ボックスに表示する .NET スクリプトを選択します。
    • 自分で作成したすべての .NET スクリプトを表示する場合は、自分で作成したファイル をクリックします。
    • すべてのユーザーが作成したすべての .NET スクリプトを表示する場合は、すべてのユーザーが作成したファイル をクリックします。
  3. リストから .NET スクリプトを参照として現在の .NET スクリプトに追加するには、以下のステップのいずれかを実行します。
    • リストから .NET スクリプトをダブルクリックします。
    • リストから .NET スクリプトを選択して、OK をクリックします。
    • リストから .NET スクリプトを選択して、挿入して開く をクリックして、.NET スクリプトを参照として追加して、参照したスクリプトを開きます。
参照した .NET スクリプトは プロパティ ペインの 参照 カテゴリに表示されます。
親トピック: スクリプトの管理
関連タスク
.NET スクリプト内からの.NET アセンブリの参照
関連資料
[.NET スクリプトの参照] ダイアログ ボックス


スクリプト参照ライブラリからの参照の削除

スクリプト参照ライブラリから参照を削除するには、プロパティ ペインを右クリックし、参照の削除 を選択します。

親トピック: スクリプトの管理


[.NET スクリプトの参照] ダイアログ ボックス

.NET スクリプトの参照 ダイアログ ボックスを使用して、自分自身または他のユーザーが作成したスクリプトをすばやく検索して選択できます。

注: 資産の選択 リストに表示されるのは、Common プロジェクトのスクリプトのみです。
.NET スクリプトの参照 ダイアログ ボックスには、以下のコントロールがあります。
コントロール | 説明
作成した資産の表示 | 資産の選択 リストに表示する資産を定義するためのリストボックスです。自分で作成したファイル を選択すると、ユーザーが作成した資産のみが表示され、すべてのユーザーが作成したファイル を選択すると、任意のユーザーが作成した資産が表示されます。
名前フィルタ | 資産の名前をこのテキスト フィールドに入力すると、資産の選択 リストにその名前と一致した資産のみが表示されます。
資産の選択 | 適用したフィルタによって表示が変化する資産のリストです。

資産の選択 リストから目的の VB .NET スクリプトを選択し、OK ボタンを選択して使用します。

注: 列ヘッダーをクリックすると、クリックした列によって 資産の選択 リストがアルファベット順にソートされます。
親トピック: スクリプトの管理
関連タスク
ビジュアル テスト内でのスクリプトの実行
.NET スクリプト内から他の .NET スクリプトのクラスの参照
.NET スクリプト内からの.NET アセンブリの参照


Windows DLL の呼び出し

このセクションでは、DLL を呼び出す方法について説明します。 DLL は Open Agent のプロセス内から、または AUT (テスト対象アプリケーション) から呼び出すことができます。 これにより、テスト スクリプト内の既存のネイティブ DLL を再利用できます。

Open Agent 内の DLL 呼び出しは通常、AUT 内の UI コントロールと対話しないグローバル関数を呼び出す場合に使用されます。

AUT 内の DLL 呼び出しは通常、アプリケーションの UI コントロールと対話する関数を呼び出す場合に使用されます。 これにより、Silk Test Workbench は再生中に DLL 呼び出しを自動的に同期できます。

注: 32 ビット アプリケーションでは 32 ビット DLL を、64 ビット アプリケーションでは 64 ビット DLL を呼び出すことができます。 Open Agent は 32 ビットと 64 ビットの両方の DLL を実行できます。
注: .NET Framework では、P/Invoke という DLL 呼び出しも組み込みでサポートされています。 P/Invoke を Visual Basic スクリプト内で使用すると、このスクリプトを実行するプロセス内で DLL 関数を呼び出すことができます。 ただし、AUT では Silk Test Workbenchを使用して DLL 関数を呼び出すことができる一方で、自動同期は行われません。
注: DLL を呼び出すには、C インターフェイスを使用する必要があります。 同様に .dll というファイル拡張子の付いた .NET アセンブリを呼び出す場合は、DLL 呼び出し機能を使用しないで、.NET スクリプト内でアセンブリへの参照を追加します。
  • スクリプトからの Windows DLL の呼び出し
    Visual Basic スクリプトから DLL を呼び出す方法について説明します。
  • DLL 関数の宣言構文
    DLL 関数の宣言構文について説明します。
  • DLL 呼び出しの例
    DLL 関数を呼び出す例を示します。
  • DLL 関数への引数の受け渡し
    DLL 関数に引数を渡す方法について説明します。
  • DLL 関数で変更できる引数の受け渡し
    DLL 関数で変更できる引数を DLL 関数に渡す方法について説明します。
  • DLL 関数への文字列引数の受け渡し
    DLL 関数に文字列引数を渡す方法について説明します。
  • DLL 名のエイリアス設定
    DLL 関数名のエイリアス設定について説明します。
  • DLL 関数呼び出しの表記規則
    DLL 関数を呼び出す場合にサポートされている表記規則を示し、この規則の変更方法について説明します。
親トピック: テストの拡張


スクリプトからの Windows DLL の呼び出し

DLL の宣言を開始するには、DLL 属性を持つインターフェイスを使用します。宣言の構文は次のとおりです。
<Dll("dllname.dll")> Public Interface DllInterfaceName
  FunctionDeclaration
  [FunctionDeclaration]…
End Interface
dllname
Visual Basic スクリプトから呼び出す関数が含まれた DLL ファイルの完全パスの名前。DLL パスの環境変数は自動的に解決されます。パスでは二重のバックスラッシュ (\\) を使用する必要はありません。単一のバックスラッシュ (\) で十分です。
DllInterfaceName
スクリプト内で DLL と対話するために使用される識別子。
FunctionDeclaration
呼び出そうとしている DLL 関数の関数宣言。
親トピック: Windows DLL の呼び出し


DLL 関数の宣言構文

DLL 関数の宣言は、一般に以下の形式を取ります。

Function function-name( [arg-list] )  As return-type
戻り値のない関数の場合、宣言の形式は以下のとおりです、
Sub function-name( [arg-list] )
return-type
戻り値のデータ型。
function-name
関数の名前。
arg-list
関数に渡される引数のリスト。
リストは以下のように指定します。
[pass-mode] identifier As data-type
pass-mode
引数が関数に渡されるのか (ByVal)、それとも引数を関数によって変更できるのか (ByRef) を指定します。 ByRef キーワードを使用して、引数の値を関数に渡すこともできます。この場合、関数によって引数の値が変更され、新しい値が出力されます。
data-type
引数のデータ型。
identifier
引数の名前。
親トピック: Windows DLL の呼び出し


DLL 呼び出しの例

この例では、user32.dll の SendMessage DLL 関数を呼び出して、フィールドに「hello world!」というテキストを書き出します。

DLL の宣言：

// VB .NET code
<Dll("user32.dll")> Public Interface IUserDll32Functions
  Function SendMessageW( _
    ByVal obj As TestObject,ByVal message As Integer,ByVal wParam As Integer,ByVal lParam As String) As Integer
End Interface
以下のコードは、AUT で宣言された DLL 関数を呼び出す方法を示します。
// VB .NET code
Public Sub Main()
  Dim user32Functions As IUserDll32Functions = DllCall.CreateInProcessDllCall(Of IUserDll32Functions)()
  Dim textField = _desktop.Window().TextField()
  user32Functions.SendMessageW(textField, WindowsMessages.WM_SETTEXT, 0, "my text")
End Sub
注: DLL 関数の最初のパラメーターに C データ型の HWND が指定されている場合は、AUT 内で DLL 関数の呼び出しのみを実行できます。
次のコードは、Open Agent のプロセスで宣言された DLL 関数を呼び出す方法を示します。
// VB .NET code
Public Sub Main()
  Dim user32Functions As IUserDll32Functions = DllCall.CreateAgentDllCall(Of IUserDll32Functions)()
  Dim textField = _desktop.Window().TextField()
  user32Functions.SendMessageW(textField, WindowsMessages.WM_SETTEXT, 0, "my text")
End Sub
注: コード例では、DLL 関数で使用するのに便利な Windows メッセージングに関連する定数を定義した WindowsMessages クラスを使用しています。
親トピック: Windows DLL の呼び出し


DLL 関数への引数の受け渡し

DLL 関数は C で記述されているため、これらの関数に渡す引数には適切な C データ型を指定する必要があります。 次のデータ型がサポートされます。
Integer
次のデータ型を持つ引数または戻り値には、このデータ型を使用します。
  • int
  • INT
  • long
  • LONG
  • DWORD
  • BOOL
  • WPARAM
  • HWND
Visual Basic の Integer 型は、4 バイト値を持つすべての DLL 引数に対して有効です。
Long
C データ型 long および int64 を持つ引数または戻り値には、このデータ型を使用します。 Visual Basic の Long 型は、8 バイト値を持つすべての DLL 引数に対して有効です。
Short
C データ型 short および WORD を持つ引数または戻り値には、このデータ型を使用します。 Visual Basic の Short 型は、2 バイト値を持つすべての DLL 引数に対して有効です。
Boolean
C データ型 bool を持つ引数または戻り値には、このデータ型を使用します。
String
C で String となる引数または戻り値には、このデータ型を使用します。
Double
C データ型 double を持つ引数または戻り値には、このデータ型を使用します。
Single
C データ型 float を持つ引数または戻り値には、このデータ型を使用します。
SilkTest.Ntf.Rectangle
C データ型 RECT を持つ引数には、このデータ型を使用します。 Rectangle は戻り値として使用できません。
SilkTest.Ntf.Point
C データ型 POINT を持つ引数には、このデータ型を使用します。 POINT は戻り値として使用できません。
SilkTest.Ntf.TestObject
C データ型 HWND を持つ引数には、このデータ型を使用します。 TestObject は戻り値として使用できませんが、戻り値型として Integer を持つ HWND を戻す DLL 関数を宣言できます。
注: 渡された TestObject は SilkTest.Ntf.INativeWindow インターフェイスを実装して、DLL 関数に渡される TestObject のウィンドウ ハンドルを Silk Test Workbench が 判別できるようにする必要があります。 そうしないと、この DLL 関数を呼び出すときに、例外がスローされます。
List
ユーザー定義の C 構造体の配列には、このデータ型を使用します。 List は戻り値として使用できません。
注: List を出力パラメーターとして使用する場合は、ByRef を使用して、渡されるリストに、戻される内容を保持できるだけのサイズを確保する必要があります。
注: C 構造体は List で表すことができます。この場合、すべてのリスト要素は構造体のメンバに対応しています。 最初の構造体メンバは、リスト内の最初の要素で表されます。2 番目の構造体メンバは、リスト内の 2 番目の要素で表されます (以下同様)。
注: DLL 関数に渡す引数の前には、いずれかの Visual Basic データ型を配置する必要があります。
親トピック: Windows DLL の呼び出し


DLL 関数で変更できる引数の受け渡し

値が DLL 関数によって変更される引数は、ByRef キーワード を使用して宣言する必要があります。

例

この例では、現在のカーソル位置を取得するために、user32.dll の GetCursorPos 関数を使用しています。

DLL の宣言：
<Dll( "user32.dll" )> Public Interface IUserDll32Functions
  Function GetCursorPos( ByRef point As Point) As Integer
End Interface
使用法：
Public Sub Main()
  Dim user32Functions As IUserDll32Functions = DllCall.CreateAgentDllCall( Of IUserDll32Functions)()
  Dim point As Point
  user32Functions.GetCursorPos(point)
  MsgBox( "cursor position = (" & point.X & ", " & point.Y & ")" )
End Sub
親トピック: Windows DLL の呼び出し


DLL 関数への文字列引数の受け渡し

DLL 関数に渡している文字列、または DLL 関数から戻される文字列は、デフォルトでは Unicode Strings として処理されます。 DLL 関数に ANSI String 引数が必要な場合は、DllFunctionOptions 属性の CharacterSet プロパティーを使用します。

例

<Dll( "user32.dll" )> Public Interface IUserDll32Functions
  <DllFunctionOptions(CharacterSet:=CharacterSet.Ansi)> Function SendMessageA( _
    ByVal obj As TestObject, ByVal message As Integer , ByVal wParam As Integer , ByRef lParam As String ) As Integer
End Interface

DLL 呼び出しから String を ByRef 引数 として戻した場合、String のサイズが 256 文字以下であれば、デフォルトの動作に従います。 戻される String が 256 文字を超えている場合は、作成された String を保持できるだけの長さを持つ、Visual Basic String を渡します。

例

1024 個の空白文字を含む String を作成するには、以下のコードを使用します。
Dim longEmptyString = New String ( " "c , 1024 )
この String を ByRef 引数として DLL 関数に渡します。すると、この DLL 関数は最大 1024 文字の String を戻します。

関数の戻り値として DLL から String が戻される場合、DLL は DLL 関数 FreeDllMemory を実装し、DLL 関数から戻される C String ポインターを受け入れて、以前に割り当てられたメモリーを解放する必要があります。 このような関数が存在しない場合、メモリーはリークされます。

親トピック: Windows DLL の呼び出し


DLL 名のエイリアス設定

DLL 関数に、Visual Basic の予約語と同じ名前が付いている場合、または DLL 関数に名前でなく序数が付いている場合は、宣言内でこの関数の名前を変更し、エイリアス ステートメントを使用して、宣言した名前と実際の名前をマッピングする必要があります。

例

たとえば、Exit ステートメントは Visual Basic コンパイラーで予約されています。 したがって、関数 exit を呼び出すには、次のようにその関数を別の名前で宣言し、エイリアス ステートメントを追加する必要があります。
<Dll("mydll.dll")> Public Interface IMyDllFunctions
  <DllFunctionOptions(Alias:="exit")> Sub MyExit()
End Interface
親トピック: Windows DLL の呼び出し


DLL 関数呼び出しの表記規則

DLL 関数を呼び出す場合は、次に示す呼び出し規則がサポートされています。
  • __stdcall
  • __cdecl

DLL 関数を呼び出す場合は、__stdcall 呼び出し規則がデフォルトで使用されます。 この呼び出し規則は、すべての Windows API DLL 関数で使用されます。

DLL 関数の呼び出し規則を変更するには、DllFunctionOptions属性の CallingConvention プロパティーを使用します。

例

次のコード例では、__decl 呼び出し規則を使用して DLL 関数を宣言します。
<Dll("msvcrt.dll")> Public Interface IMsVisualCRuntime
 <DllFunctionOptions(CallingConvention:=CallingConvention.Cdecl)> Function cos(ByVal input As Double) As Double
End Interface
親トピック: Windows DLL の呼び出し


Microsoft ユーザー補助を使用したオブジェクト解決の向上

Microsoft ユーザー補助を、クラス レベルでオブジェクトを簡単に認識するために使用することができます。 Internet Explorer や Microsoft アプリケーションのいくつかのオブジェクトには、ユーザー補助を有効にすることで Silk Test Workbench によってより良く認識されるようになるものがあります。 たとえば、ユーザー補助を有効にしないと、Silk Test Workbench は Microsoft Word のメニュー バーや表示されるタブについて基本的な情報のみを記録します。 しかし、ユーザー補助を有効にすると、 Silk Test Workbench はそれらのオブジェクトを完全に認識するようになります。

例

ユーザー補助を使用しないと、 Silk Test Workbench は DirectUIHwnd コントロールを完全に認識できません。これは、このコントロールのパブリックな情報が存在しないためです。 Internet Explorer は、2 つの DirectUIHwnd コントロールを使用しています。1 つはブラウザ ウィンドウの下部に表示されるポップアップです。 このポップアップには、通常、次の情報が表示されます。
  • Internet Explorer を既定のブラウザにしたいかどうかを尋ねるダイアログ ボックス。
  • ダウンロード オプション（ 開く、 保存、 キャンセル）。

Silk Test Workbench でプロジェクトを開始して、 DirectUIHwnd ポップアップに対してロケーターを記録すると、ユーザー補助を無効にしている場合、単一のコントロールのみが表示されます。 ユーザー補助を有効にした場合には、 DirectUIHwnd コントロールを完全に認識した情報が得られます。

  • ユーザー補助の使用
    ユーザー補助を使用する方法について説明します。
  • ユーザー補助の有効化
    ユーザー補助を有効にする方法について説明します。
親トピック: テストの拡張


ユーザー補助の使用

Win32 では、ジェネリック コントロールとして認識されるコントロールにユーザー補助 サポートが使用されます。 Win32 は、コントロールを特定すると、ユーザー補助オブジェクトをコントロールのすべてのユーザー補助の子とともに取得しようとします。

ユーザー補助によって返されるオブジェクトは、AccessibleControl、Button、CheckBox のいずれかのクラスになります。 Button および Checkbox は、そのクラス用に定義されたメソッドとプロパティの通常セットをサポートするので個別に扱われます。 ユーザー補助によって返されるすべてのジェネリック オブジェクトの場合、クラスは AccessibleControl です。

例

ユーザー補助が有効になる前、アプリケーションのコントロール階層が次のようになっていたとします。
  • コントロール
    • コントロール
  • ボタン
ユーザー補助を有効にすると、階層は次のように変わります。
  • コントロール
    • コントロール
      • ユーザー補助コントロール
      • ユーザー補助コントロール
        • ボタン
  • ボタン
親トピック: Microsoft ユーザー補助を使用したオブジェクト解決の向上
関連タスク
詳細オプションの設定


ユーザー補助の有効化

Win32 アプリケーションをテストしているときに、 がオブジェクトを認識できない場合は、最初にユーザー補助を有効にする必要があります。ユーザー補助は、オブジェクトの認識機能をクラス レベルで強化するためのものです。

ユーザー補助を有効にするには、以下の手順を実行します。

  1. ツール > オプション をクリックします。 オプション ダイアログ ボックスが表示されます。
  2. 詳細設定 をクリックします。
  3. Microsoft ユーザー補助を使用する オプションを選択します。 ユーザー補助が有効になります。
親トピック: Microsoft ユーザー補助を使用したオブジェクト解決の向上


Silk Test Workbench での Unicode コンテンツのサポートの概要

Open Agent は、Unicode 対応済みです。つまり、Open Agent は、2 バイト (ワイド) 言語を認識できます。

Silk Test Workbench を使用して、中国語、韓国語、日本語 (漢字) などの 2 バイト言語や、それらを組み合わせたコンテンツを含んだアプリケーションをテストできます。

Open Agent は、以下をサポートします。

  • Windows のローカライズ版。
  • 国際化キーボードとネイティブ言語の入力方式エディター (IME)。
  • テストケース、メソッドなどにパラメータとして国際化文字列を渡す、および文字列の比較。
  • 複数の形式でのテキスト ファイルの読み書き：ANSI、Unicode、UTF-8。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

Silk Test Workbench を使用した 2 バイト文字のテストを行う前に

国際化されたアプリケーション、特に 2 バイト文字を含んだアプリケーションをテストするのは、英語 (1 バイト文字) のみを含んだアプリケーションをテストするよりも複雑です。国際化アプリケーションのテストにおいては、オペレーティング システムのサポートから、言語パック、フォント、IME の動作、さらに複合した言語など、さまざまな問題を理解する必要があります。

Silk Test Workbench を使用してアプリケーションのテストを始める前に、以下を確認する必要があります。

  • 必要なローカライズ OS、地域の設定、必要な言語パックがテスト対象アプリケーション (AUT) の要求を満たしているか。
  • AUT を表示するのに必要なフォントがインストールされているか。
  • データ入力に IME が必要なアプリケーションをテストする場合、適切な IME がインストールされているか。
親トピック: テストの拡張


テキスト解決のサポート

テキスト解決メソッドとイメージ解決メソッドを使用して、オブジェクト解決で識別できない、高度にカスタマイズされたコントロールを含むテスト アプリケーションを便利に操作できます。座標ベースのクリックの代わりにテキスト クリックを使用し、コントロール内に指定されたテキスト文字列をクリックできます。

たとえば、次の表の 2 行目の最初のセルを選択することをシミュレートできます。

セルのテキストを指定すると、次のコードが生成されます：
'VB code
table.TextClick("Brian Miller")
テキスト解決メソッドは、次のテクノロジ ドメインでサポートされます。
  • Win32
  • WPF
  • Windows Forms
  • Java SWT と Eclipse
  • Java AWT/Swing
    注: Java アプレット、および Java バージョンが 1.6.10 より前の Swing アプリケーションの場合、テキスト解決は追加設定なしでサポートされます。Direct3D をサポートしない Java バージョン 1.6.10 以降の Swing アプリケーションの場合は、アプリケーションの起動時に次のコマンドライン要素を追加する必要があります。
    -Dsun.java2d.d3d=false
    例：
    javaw.exe -Dsun.java2d.d3d=false -jar mySwingApplication.jar
    Direct3D をサポートする Java アプレットや Swing アプリケーションでは、テキスト解決はサポートされません。
  • Internet Explorer。
注: テキスト解決は、画面に表示されていないコントロールに対しては機能しません。たとえば、スクロールして画面外にあるテキストに対しては、テキスト解決を使用できません。
注: 対象のテキストで使用されたフォントがテストが実行されるマシン上にインストールされていない場合、テキスト解決が機能しない場合があります。

テキスト解決メソッド

次のメソッドにより、コントロールのテキストを操作できます。
TextCapture
コントロール内のテキストを返します。子コントロールのテキストも返します。
TextClick
コントロール内の指定テキストをクリックします。テキストが検出されるか、同期オプションで定義できるオブジェクト解決タイムアウトに達するまで待機します。
TextRectangle
コントロール内の特定テキストの矩形、またはコントロールの領域を返します。
TextExists
コントロール内またはコントロールの領域内に特定テキストが存在するかどうかを判断します。

テキスト クリックの記録

テキスト クリックの記録はデフォルトで有効です。テキスト クリックの記録を無効にするには、ツール > オプション > 記録 > 全般 をクリックし、'TextClick' を記録する の値を いいえ に設定します。

テキスト クリックの記録を有効にすると、Silk Test Workbench は、相対座標でクリックを記録するのではなく、TextClick メソッドを記録します。通常の座標ベースのクリックよりも TextClick 記録の方が結果が良いコントロールには、この方法を使用します。テキスト クリックが記録されない場合でも、任意のコントロールに対してテキスト クリックをスクリプトに挿入できます。

TextClick 操作を記録しない場合は、テキスト クリックの記録をオフに切り替えて通常のクリックを記録できます。

テキスト解決メソッドでは、部分的に一致する単語よりも完全に一致する単語が優先されます。Silk Test Workbench では、完全に一致する単語の前に部分的に一致する単語が画面に表示されていても、部分的に一致する単語よりも完全に一致した単語の出現が先に解決されます。完全に一致する単語がない場合は、部分的に一致する単語が画面に表示される順序で使用されます。

例

ユーザー インターフェイスには、テキスト「the hostname is the name of the host」が表示されているとします。次のコードでは、画面上では host の前に hostname が表示されていますが、hostname ではなく host がクリックされます。
'VB code
control.TextClick("host")
次のコードでは、2 番目の出現箇所であることを指定することで、単語 hostname 中の部分文字列 host がクリックされます。
'VB code
control.TextClick("host", 2)
親トピック: テストの拡張
関連概念
イメージ解決のサポート
関連資料
TextCapture メソッド (TestObject)
TextClick メソッド (TestObject)
TextExists メソッド (TestObject)
TextRectangle メソッド (TestObject)


カスタム コントロール

Silk Test Workbench では、カスタム コントロールを扱うときに、以下の機能がサポートされます。
  • 動的呼び出しを使用すると、テスト対象アプリケーション (AUT) 内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティの取得、またはプロパティの設定を Silk Test Workbench で直接実行できます。
  • クラス マッピング 機能によって、カスタム コントロール クラスの名前を標準 Silk Test クラスの名前にマップできます。このようにすると、標準 Silk Test クラスでサポートされる機能をテストで使用できます。
    Silk Test Workbench は、次のテクノロジ ドメインに対する UI のカスタム コントロールの管理をサポートします。
    • Win32
    • Windows Presentation Foundation (WPF)
    • Windows Forms
    • Java AWT/Swing
    • Java SWT
  • AUT にコードを追加して、カスタム コントロールをテストできます。
  • カスタム コントロールの管理 ダイアログ ボックスを使用して、ロケーターで使用できるカスタム コントロールの名前を指定したり、カスタム コントロールを操作する再利用可能なコードを作成することができます。
注: カスタム コントロールでは、Click、TextClick、TypeKeys などのメソッドだけが、Silk Test Workbench で記録できます。Apache Flex アプリケーションをテストする場合を除き、カスタム コントロールのカスタム メソッドは記録できません。
  • 動的呼び出し
    テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を実行する方法について説明します。
  • テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする
    動的呼び出しメソッドの単純呼び出しではテストできないカスタム コントロールをテストするために、AUT にコードを追加します。
  • Apache Flex カスタム コントロールのテスト
    カスタム コントロールのテストに使用できる基本サポートおよび高度なサポートについて説明します。
  • カスタム コントロールの管理
    Silk Test Workbench がカスタム コントロールをサポートする方法を説明します。
親トピック: テストの拡張
関連資料
カスタム コントロール オプション


動的呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk Test Workbench API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk Test Workbench API を通して公開されていない場合に特に便利です。

注: 動的呼び出しは、スクリプトで使用できます。ビジュアル テストでは使用できません。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。
注: DOM 要素のメソッドを動的に呼び出すことはできません。
  • 動的呼び出しに関するよくある質問
    カスタム コントロールをテストするために動的にメソッドを呼び出すときの質問を示します。
親トピック: カスタム コントロール
関連概念
Flex メソッドの動的呼び出し
Java メソッドの動的な呼び出し
SAP メソッドの動的な呼び出し
Silverlight メソッドの動的呼び出し
Windows Forms メソッドの動的な呼び出し
WPF メソッドの動的な呼び出し


動的呼び出しに関するよくある質問

このセクションでは、カスタム コントロールをテストするために動的にメソッドを呼び出すときの質問を示します。

  • Invoke メソッドを使用して呼び出せるメソッド
    Invoke メソッドを使用して呼び出せるインスタンス メソッドのリストを取得する方法を説明します。
  • 呼び出しで複雑なオブジェクトが返されることが期待されるときに単純な文字列が返される理由
    Invoke 呼び出しで複雑なオブジェクトが返されることが期待されるときに、単純な文字列が返される理由を説明します。
  • 複数の InvokeMethods 呼び出しを使用するときにスクリプトを単純化する方法
    スクリプトで複数の InvokeMethods 呼び出しを使用するときに、スクリプトを単純化する方法について説明します。
親トピック: 動的呼び出し


Invoke メソッドを使用して呼び出せるメソッド

特定のテスト オブジェクトに対して、Invoke メソッドを使用して呼び出せるすべてのメソッドのリストを取得するには、GetDynamicMethodList を使用します。リストを表示するには、コンソールに出力したり、デバッガーで表示することなどができます。

親トピック: 動的呼び出しに関するよくある質問


呼び出しで複雑なオブジェクトが返されることが期待されるときに単純な文字列が返される理由

Invoke メソッドは単純なデータ型のみを返すことができます。 複雑な型は文字列として返されます。 Silk Test Workbench は ToString メソッドを使用して、戻り値の文字列表現を取得します。 個々のメソッドを呼び出し、最初のメソッドの呼び出しで返される複雑なオブジェクトのプロパティーを読み取るには、Invoke ではなく、InvokeMethods を使用します。

親トピック: 動的呼び出しに関するよくある質問


複数の InvokeMethods 呼び出しを使用するときにスクリプトを単純化する方法

スクリプトで大量の InvokeMethods を使用すると、すべてのメソッド名を文字列として渡し、すべてのパラメータをリストとして渡す必要があるため、複雑になります。 このような複雑なスクリプトを単純化するには、InvokeMethods を通じてコントロールを操作するのではなく、AUT の実際のコントロールを操作する静的メソッドを作成します。 詳細については、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」を参照してください。

親トピック: 動的呼び出しに関するよくある質問
関連概念
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする


テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする

Windows Forms アプリケーションまたは WPF アプリケーションをテストし、複雑なカスタム コントロールまたは Invoke および InvokeMethods メソッドを使用するだけではテストできないカスタム コントロールをテストする場合は、テスト対象アプリケーション (AUT) の実際のコントロールを操作する静的メソッドを作成し、このコードを AUT に追加できます。

AUT にコードを追加することのメリットは、AUT のコードで、動的呼び出しメソッドによるメソッド呼び出しのリフレクション形式ではなく、通常のメソッド呼び出しを使用してコントロールを操作できるという点です。そのため、コードを作成する時に、コード補完と IntelliSense を使用できます。その後、AUT のコードを単純な呼び出しで呼び出し、該当するコントロールをパラメータとして渡すことができます。

AUT にコードを追加するには、次の方法があります。
  • AUT でコードをコンパイルします。実装は簡単ですが、意図しない AUT の変更を行うことになります。
  • テスト スクリプトの LoadAssembly メソッドを使用して、実行時にコードを AUT に挿入します。AUT でコードをコンパイルする場合よりも作業は多くなりますが、挿入されたコードはテスト コードの近くに配置されます。LoadAssembly は、WPFWindow クラスおよびFormsWindow クラスで使用できます。

例：UltraGrid Infragistics コントロールのテスト

この例では、UltraGrid コントロールの内容を取得する方法を示します。UltraGrid コントロールは、Infragistics が提供する NETAdvantage for Windows Forms ライブラリに含まれています。ライブラリの試用版を http://www.infragistics.com/products/windows-forms/downloads からダウンロードできます。

UltraGridUtil クラスを作成するには、以下の操作を実行します。
  1. 新しいテスト スクリプトを作成します。新しいスクリプト AUTExtensions を呼び出します。
    注: AUT は、.NET バージョン 4 以降を使用する必要があります。.NET スクリプトをコンパイルすると .NET 4.0 アセンブリが作成されますが、このアセンブリは使用している .NET バージョンが同じかより新しい AUT でのみロードできます。AUT でバージョン 4.0 以前の .NET を使用している場合は、Visual Studio を使用して、UltraGridUtil クラスを含むクラス ライブラリ プロジェクトを作成してください。
  2. 必要な依存関係への参照をスクリプトに追加します。たとえば、Infragistics バージョン 12.2 の場合、次のアセンブリへの参照が必要です。
    • Infragistics4.Shared.v12.2
    • Infragistics4.Win.UltraWinGrid.v12.2
    • Infragistics4.Win.v12.2
    AUT で使用している Infragistics のバージョンが不明な場合は、Microsoft の Process Explorer ツールを使用して、AUT にロードされているアセンブリを確認できます。
    1. AUTExtensions スクリプトの内容を次のコードに置き換えます。
      ' VB code
Public Class UltraGridUtil

  Public Shared Function GetContents(ultraGrid As Infragistics.Win.UltraWinGrid.UltraGrid) As List(Of List(Of String))
    Dim contents = New List(Of List(Of String))
    For Each row In ultraGrid.Rows
      Dim rowContents = New List(Of String)
      For Each cell In row.Cells
        rowContents.Add(cell.Text)
      Next
      contents.Add(rowContents)
    Next
    Return contents
  End Function

End Class
      注: Shared 修飾子によって、GetContents メソッドが静的メソッドになります。
  3. 再生中に、AUT にアセンブリをロードします。
    • 既存のテスト スクリプトを開くか、新しいテスト スクリプトを作成します。
    • AUTExtensions スクリプトへの参照を追加します。
    • 次のコードをテスト スクリプトに追加します：
      ' VB code
mainWindow.LoadAssembly(GetType(UltraGridUtil).Assembly.Location)
      注: Silk Test Workbench によって、各スクリプトが個別の .NET アセンブリにコンパイルされます。
  4. 挿入したコードの静的メソッドを呼び出して、UltraGrid の内容を取得します：
    'VB code
Dim ultraGrid = mainWindow.Control("@automationId='my grid'")
Dim contents As IList = mainWindow.Invoke("UltraGridUtil.GetContents", ultraGrid)
  • AUT へのコードの追加に関するよくある質問
    カスタム コントロールをテストするために AUT にコードを追加するときの質問を示します。
親トピック: カスタム コントロール
関連概念
カスタム コントロールの管理


AUT へのコードの追加に関するよくある質問

このセクションでは、カスタム コントロールをテストするために AUT にコードを追加するときの質問を示します。

  • LoadAssembly メソッドを使用して AUT に挿入したコードが AUT で更新されない理由
    LoadAssembly メソッドを使用して挿入したコードによって、AUT 内のコードが置き換えられない場合の対処法を説明します。
  • メソッドを呼び出すと入力引数の型が一致しない理由
    何らかのメソッドを呼び出したときに、入力引数の型が一致しないことを示すエラーが表示される場合の対処法を説明します。
  • アセンブリをコピーできないときにコンパイル エラーを修正する方法
    LoadAssembly メソッドで AUT にコードを追加しようとしたときに、アセンブリ ファイルをコピーできない場合の対処方法を説明します。
親トピック: テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする


LoadAssembly メソッドを使用して AUT に挿入したコードが AUT で更新されない理由

AUT 内のコードが、LoadAssembly メソッドを使用して AUT に挿入したコードによって置き換えられない場合、アセンブリがすでに AUT にロードされている可能性があります。 アセンブリをアンロードすることはできないため、AUT を閉じてから、再開する必要があります。

親トピック: AUT へのコードの追加に関するよくある質問


メソッドを呼び出すと入力引数の型が一致しない理由

何らかのメソッドを呼び出したときに、入力引数の型が一致しないことを示すエラーが表示される場合は、呼び出すメソッドは見つかりましたが、引数が正しくありません。 スクリプトで正しいデータ型を使用していることを確認します。

スクリプトで LoadAssembly メソッドを使用してアセンブリを AUT にロードする場合にこのエラーが発生するもう 1 つの理由として、AUT が使用するバージョンとは異なるサード パーティ ライブラリのバージョンに対してアセンブリが作成されている可能性があります。 この問題を修正するには、スクリプトで参照されているアセンブリを変更します。 AUT で使用されているサード パーティ ライブラリのバージョンが不明な場合は、Microsoft の Process Explorer ツールを使用できます。

親トピック: AUT へのコードの追加に関するよくある質問


アセンブリをコピーできないときにコンパイル エラーを修正する方法

LoadAssembly メソッドで AUT にコードを追加しようとしたときに、次のコンパイル エラーが発生することがあります。
Could not copy '<assembly_name>.dll' to '<assembly_name>.dll'. The process cannot access the file.
このコンパイル エラーは、アセンブリがすでに AUT にロードされていて、上書きできないために発生します。
このコンパイル エラーを修正するには、AUT を閉じて、再度スクリプトをコンパイルします。 最初から問題が発生しないようにするには、一時ディレクトリなどを使用してアセンブリをスクリプト内にコピーし、コピーしたアセンブリを LoadAssembly メソッドで挿入します。 例：
' VB code
Dim typeThatContainsYourStaticMethod = GetType (UltraGridUtil)
Dim assemblyToLoadIntoAUT = typeThatContainsYourStaticMethod.Assembly.Location
Dim tempFile = IO.Path.GetTempFileName()
IO.File.Copy(assemblyToLoadIntoAUT, tempFile, True )
mainWindow.LoadAssembly(tempFile)
親トピック: AUT へのコードの追加に関するよくある質問


Apache Flex カスタム コントロールのテスト

Silk Test Workbench では、Apache Flex カスタム コントロールのテストがサポートされています。ただし、デフォルトでは、Silk Test Workbench は、カスタム コントロールの個別のサブコントロールを記録および再生することはできません。

カスタム コントロールをテストする場合、以下のオプションが存在します。
  • 基本サポート

    基本サポートでは、動的呼び出しを使用して、再生中にカスタム コントロールと対話します。作業量が少なく済むこのアプローチは、テスト アプリケーションにおいて、Silk Test Workbench が公開しないカスタム コントロールのプロパティおよびメソッドにアクセスする場合に使用します。カスタム コントロールの開発者は、コントロールのテストを容易にすることのみを目的としたメソッドおよびプロパティをカスタム コントロールに追加することもできます。ユーザーは、動的呼び出し機能を使用してこれらのメソッドやプロパティを呼び出すことができます。

    基本サポートには以下のような利点があります。
    • 動的呼び出しでは、テスト アプリケーションのコードを変更する必要がありません。
    • 動的呼び出しを使用することによって、ほとんどのテストのニーズを満たすことができます。
    基本サポートには以下のような短所があります。
    • ロケーターには、具体的なクラス名が組み込まれません (たとえば、Silk Test Workbench では「//FlexSpinner」ではなく「//FlexBox」と記録されます)。
    • 記録のサポートが限定されます。
    • Silk Test Workbench では、イベントを再生できません。

    例を含む動的呼び出しの詳細については、「Apache Flex メソッドの動的呼び出し」を参照してください。

  • 高度なサポート
    高度なサポートでは、カスタム コントロールに対して、特定のオートメーション サポートを作成できます。この追加のオートメーション サポートによって、記録のサポートおよびより強力な再生のサポートが提供されます。高度なサポートには以下のような利点があります。
    • イベントの記録と再生を含む、高レベルの記録および再生のサポートが提供されます。
    • Silk Test Workbench では、カスタム コントロールが他のすべての組み込み Apache Flex コントロールと同様に処理されます。
    • Silk Test Workbench API とシームレスに統合できます。
    • Silk Test Workbench では、ロケーターで具体的なクラス名が使用されます (たとえば、Silk Test Workbench では「//FlexSpinner」と記録されます)。
    高度なサポートには以下のような短所があります。
    • 実装作業が必要です。テスト アプリケーションを変更し、Open Agent を拡張する必要があります。
  • Flex メソッドの動的呼び出し
    動的呼び出し機能を使用して Silk Test Workbench が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • テスト アプリケーションでのカスタム コントロールの定義
    以下の手順では、Flex のカスタム Spinner コントロールを使用して、カスタム コントロールの定義方法を示します。
  • 動的呼び出しを使用した Flex カスタム コントロールのテスト
    Silk Test Workbench では、動的呼び出しを使用したカスタム コントロールの記録と再生のサポートが提供されており、これにより再生中にカスタム コントロールを操作できます。
  • オートメーション サポートを使用したカスタム コントロールのテスト
    カスタム コントロールをテストに対して有効化します。
親トピック: カスタム コントロール
親トピック: Apache Flex のサポート


カスタム コントロールの管理

Silk Test Workbench が専用サポートを提供していないカスタム コントロールに対応するカスタム クラスを作成できます。 カスタム クラスを作成すると、以下の利点があります。
  • スクリプトおよびビジュアル テストのロケーターが効率化されます。
  • カスタム コントロールと対話するための再利用可能コードを簡単に記述できます。

例：UltraGrid Infragistics コントロールのテスト

カスタム グリッド コントロールが Silk Test Workbench で汎用クラス Control として認識されるとします。 Silk Test Workbench のカスタム コントロール サポートを使用すると、以下の利点があります。
カスタム コントロール クラス名をロケーターで使用できるため、オブジェクトの認識率が高まります。
複数のオブジェクトが Control として認識されることがあります。 ローケーターには、特定のオブジェクトを識別するためのインデックスが必要です。 たとえば、オブジェクトはロケーター //Control[13] を使用して識別できます。 このコントロールのカスタム クラス (クラス UltraGrid など) を作成する場合は、ロケーター //UltraGrid を使用できます。 カスタム クラスを作成することによって、テスト対象アプリケーションが変更された場合にオブジェクト識別子が変わりやすい、大きな数字のインデックスを使用する必要がなくなります。
スクリプト内のコントロールに、再利用可能な再生操作を実行できます。

カスタム クラスを使用している場合、ユーザー インターフェイスにカスタム コントロールを指定すると生成されるクラスであるカスタム クラスに以下のコードを追加することで、グリッドのコンテンツをメソッド内に取り込む動作をカプセル化できます。

通常は、以下のいずれかの方法で、メソッドをカスタム コントロール クラスに実装できます。
  • Click、TypeKeys、TextClick、および TextCapture などのメソッドを使用できます。
  • AUT のオブジェクトで動的にメソッドを呼び出せます。
  • AUT に追加したメソッドを動的に呼び出せます。 これは、この例で説明されている手法です。
以下のコードを使用して、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」の例で定義されている静的メソッドを呼び出すことができます。 メソッド GetContents が、生成されたクラス UltraGrid に追加されます。
' VB code
Partial Public Class UltraGrid

  Public Function GetContents() As IList
    Return Invoke("UltraGridUtil.GetContents", Me)
  End Function

End Class
クラスをカスタム コントロールとして定義すると、Dialog クラスのように、すべての組み込みクラスの場合と同じ方法でそのクラスを使用できます。
' VB code
Dim ultraGrid As UltraGrid = mainWindow.UltraGrid("@automationId='my grid'")
Dim contents = ultraGrid.GetContents()
  • カスタム コントロールのサポート
    Silk Test Workbench のカスタム コントロールをサポートする新しいカスタム クラスを作成します。
  • カスタム コントロール オプション
    カスタム コントロールをサポートするためのオプションの設定方法について説明します。
親トピック: カスタム コントロール
関連タスク
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする


カスタム コントロールのサポート

Silk Test Workbench は、次のテクノロジ ドメインに対する UI のカスタム コントロールの管理をサポートします。
  • Win32
  • Windows Presentation Foundation (WPF)
  • Windows Forms
  • Java AWT/Swing
  • Java SWT

Silk Test Workbench が専用サポートを提供していないカスタム コントロールに対応するカスタム クラスを作成するには、以下を実行します。

  1. ツール > カスタム コントロールの管理 をクリックします。 カスタム コントロールの管理 ダイアログ ボックスが開きます。
  2. カスタム コントロール用 .NET スクリプト フィールドで、任意の名前を入力するか、参照 をクリックして、カスタム コントロールを含めるスクリプト を選択します。
    カスタム コントロール用の .NET スクリプトは、Common プロジェクトに保存されます。すべての新しいデータベースに対して、デフォルトの .NET スクリプトは CustomControlScript という名前です。このスクリプトは、ユーザーが最初にデータベースにログインしたときに自動的に作成されます。
    注: .NET スクリプトは必須です。カスタム コントロール用 .NET スクリプト フィールドでスクリプトが選択されていない場合、OK ボタンは使用できません。ボタンを有効にするには、スクリプトを選択します。既存のデータベースの場合、Common プロジェクトの書き込み権があり、カスタム コントロール セット用の .NET スクリプトがない場合には、Silk Test Workbench は Common プロジェクトに新しいスクリプトを保存しようとします。CustomControlScript という名前のスクリプトが既に存在し、Common プロジェクトの書き込み権がある場合、Silk Test Workbench はスクリプトの名前の終わりに番号を追加してスクリプトを保存しようとします (CustomControlScript2、CustomControlScript3 など)。
  3. 新しいカスタム クラスを作成するテクノロジ ドメインのタブをクリックします。
  4. コントロールを自動的に選択する場合は、識別 をクリックして Silk Test Workbench を識別モードに切り替えると、通常通りにコントロールを選択できるようになります。カスタム コントロールのクラス名 と Silk Test 基本クラス フィールドは、特定されたコントロールに基づいて、現在のタグに入力されます。それ以外の場合、以下の 追加 ステップを続けます。
  5. 追加 をクリックします。 新しい行がカスタム コントロールのリストに追加されます。
  6. カスタム コントロールを手動でリストに追加するように選択した場合は、以下を実行します。
    1. Silk Test 基本クラス 列で、クラスの取得元となる既存の基本クラスを選択します。 このクラスは、ご使用のカスタム コントロールのタイプに最も一致率が高くなければなりません。
    2. カスタム コントロール クラス名 列に、マップしているクラスの完全修飾クラス名を入力します。 たとえば、Infragistics.Win.UltraWinGrid.UltraGrid です。クラス名には、ワイルドカード ? および * を使用できます。
    3. Win32 で作業していて、クラスの参照方法を変更する場合は、次の列のチェック ボックスをオンにします。チェック ボックスをオフにした場合、名前はデフォルトで Silk Test 基本クラスと同じになります。 Silk Test クラス 列が有効になります。
    4. Silk Test クラス 列で、F2 をクリックし、クラスの参照に使用する名前を入力します。 この名前は、ロケーターに表示されます。たとえば、//Control[13] でなく //UltraGrid を入力します。
      注: 有効なクラスを追加すると、そのクラスは Silk Test 基本クラス リストで使用できるようになります。追加したクラスは、基本クラスとして再使用できます。
  7. Win32 アプリケーションの場合のみ：クラスの宣言を使用する 列で、値を False に設定して、カスタム コントロール クラスの名前を標準 Silk Test クラスの名前に単純にマップします。 カスタム コントロール クラスを標準 Silk Test クラスにマップすると、テストの際に標準 Silk Test クラスでサポートされている機能を使用できます。カスタム コントロール クラスのクラス宣言を追加して使用する場合は、この値を True にします。
  8. OK をクリックします。
  9. スクリプトの場合のみ：
    1. カスタム コントロール用のクラスにカスタム メソッドおよびプロパティーを追加します。
    2. スクリプト内で新しいクラスのカスタム メソッドおよびプロパティーを使用します。
      注: カスタム メソッドおよびプロパティは記録されません。
注: スクリプト ファイル内のカスタム クラスまたは基本クラスの名前を変更しないでください。スクリプト内に生成されたクラスを変更した場合、予期しない動作を起こすことがあります。カスタム クラスにプロパティおよびメソッドを追加する場合にのみスクリプトを使用してください。それ以外の変更をカスタム クラスに加える場合は カスタム コントロールの管理 ダイアログ ボックスを使用してください。
親トピック: カスタム コントロールの管理
関連資料
カスタム コントロール オプション


カスタム コントロール オプション

ツール > カスタム コントロールの管理。

Silk Test Workbench は、次のテクノロジ ドメインに対する UI のカスタム コントロールの管理をサポートします。
  • Win32
  • Windows Presentation Foundation (WPF)
  • Windows Forms
  • Java AWT/Swing
  • Java SWT

カスタム コントロール用 .NET スクリプト で、新しいカスタム クラスをその中に生成するスクリプト ファイルを定義します。

カスタム コントロール用の .NET スクリプトは、Common プロジェクトに保存されます。すべての新しいデータベースに対して、デフォルトの .NET スクリプトは CustomControlScript という名前です。このスクリプトは、ユーザーが最初にデータベースにログインしたときに自動的に作成されます。
注: .NET スクリプトは必須です。カスタム コントロール用 .NET スクリプト フィールドでスクリプトが選択されていない場合、OK ボタンは使用できません。ボタンを有効にするには、スクリプトを選択します。既存のデータベースの場合、Common プロジェクトの書き込み権があり、カスタム コントロール セット用の .NET スクリプトがない場合には、Silk Test Workbench は Common プロジェクトに新しいスクリプトを保存しようとします。CustomControlScript という名前のスクリプトが既に存在し、Common プロジェクトの書き込み権がある場合、Silk Test Workbench はスクリプトの名前の終わりに番号を追加してスクリプトを保存しようとします (CustomControlScript2、CustomControlScript3 など)。
カスタム コントロール クラスを標準 Silk Test クラスにマップすると、テストの際に標準 Silk Test クラスでサポートされている機能を使用できます。次の カスタム コントロール オプションが使用できます。
オプション
説明
Silk Test 基本クラス
自分のクラスの派生元として使用する既存の基本クラスを選択します。このクラスは、ご使用のカスタム コントロールのタイプに最も一致率が高くなければなりません。
Silk Test クラス
クラスの参照に使用する名前を入力します。この名前は、ロケーターに表示されます。
カスタム コントロールのクラス名
マッピングされているクラスの完全修飾クラス名を入力します。クラス名には、ワイルドカード ? および * を使用できます。
クラスの宣言を使用する
このオプションは Win32 アプリケーションの場合のみ使用できます。デフォルト値は False で、カスタム コントロール クラスの名前が標準 Silk Test クラスの名前にマップされることを意味します。カスタム コントロール クラスのクラス宣言を追加して使用する場合は、この設定を True にします。
注: 有効なクラスを追加すると、そのクラスは Silk Test 基本クラス リストで使用できるようになります。追加したクラスは、基本クラスとして再使用できます。

例：UltraGrid Infragistics コントロールのオプションの設定

UltraGrid Infragistics コントロールをサポートするには、次の値を使用します。
オプション | 値
Silk Test 基本クラス | Control
Silk Test クラス | UltraGrid
カスタム コントロールのクラス名 | Infragistics.Win.UltraWinGrid.UltraGrid
親トピック: カスタム コントロールの管理
関連概念
カスタム コントロール
関連タスク
カスタム コントロールのサポート


実行時間の計測

Timer クラスが提供するメソッドやプロパティを使用して、テストの実行にかかる時間を計測できます。詳細については、「Timer クラス」を参照してください。

特に、 これらのメソッドとプロパティは、Silk Performer から呼び出されるテスト実行の計測に使用できるという利点があります。Silk Test Workbench と Silk Performer の統合についての詳細は、『Silk Performer ヘルプ』を参照してください。

親トピック: テストの拡張
関連資料
Timer クラス


テスト実行の遅延

テスト対象アプリケーションによっては、UI でのアプリケーション データの読み込みに多くの時間を必要とするため、テストの再生に必要なオブジェクトのロードが時間内に終わらない場合があります。このような AUT でテストの再生を正しく行うには、操作を実行する前にオブジェクトの存在を確認したり、操作の実行前にスリープを挿入する必要があります。

注: Micro Focus では、テストにスリープを追加することは基本的には推奨していません。 たいていの場合、オブジェクトが利用可能かどうかを Silk Test Workbench が自動的に検出するので、スリープはテストのパフォーマンスを落とす結果になるためです。
  1. オブジェクトが AUT で利用可能かどうかを確認するには、Exists メソッドを使用します。 たとえば、INPUT ボタンが利用可能になるまで 6 秒間待機する場合は、テスト スクリプトに次の行を追加します。
    'VB .NET code
browserWindow.Exists("//INPUT", 6000)
  2. コントロールの操作を実行する前にスリープを追加するには、Sleep メソッドを使用します。 たとえば、6 秒間スリープする場合は、テスト スクリプトに次の行を追加します。
    'VB .NET code
System.Threading.Thread.Sleep(6000)
親トピック: テストの拡張
関連概念
xBrowser のページ同期


テストのデバッグ

ビジュアル テストおよびスクリプトのデバッグ プロセスについて説明します。

  • ビジュアル テストのデバッグ
    Silk Test Workbench でビジュアル テストのデバッグを行う利点について説明します。
  • スクリプトのデバッグ
    スクリプトのデバッグの概要について説明します。


ビジュアル テストのデバッグ

再生中のエラーは、テスト アプリケーションの変更、ビジュアル テストの不適切なステップ フロー、環境の変更など、さまざまな要因により発生します。 デバッグ機能を使用してこれらのエラーを迅速に診断、修正することで、ビジュアル テストのメンテナンスの労力を最小限に抑え、チームによるテスト作業の効率を上げることができます。

ビジュアル テストのデバッグを使用すると、ビジュアル テストの再生を一時的に中断して、その再生の管理、検証、リセット、段階的な再生を実行することができます。 これにより、エラーの発生箇所を正確に識別できます。 デバッグ中にステップを編集できるため、多くの場合、ステップを再実行する前にその中のエラーを解決できます。

  • 選択したポイントでのビジュアル テスト再生の停止
    デバッグしやすいように再生を管理し、ビジュアル テストが失敗する箇所を切り離すのに役立ちます。
  • 選択したポイントからのビジュアル テスト再生の段階的実行
    デバッグ中に、ブレークポイントによって再生が一時停止された場所から、1 行ごとにビジュアル テストを実行できます。
  • ビジュアル テストの再生におけるステップ実行の制御
    ビジュアル テストのデバッグ中にフローを制御して、エラーを認識しやすくし、エラーの診断と修正に要する時間を短縮することができます。
  • デバッグ中のビジュアル テストの編集
    デバッグ中に実行できる編集の種類について説明します。
  • デバッグ モードでのビジュアル テストの段階的実行
    デバッグ モードでビジュアル テストを 1 ステップずつ再生するためのオプションを示します。
  • ビジュアル テスト内でのエラー処理による確実な再生
    再生中のエラー処理の概要について説明します。
  • ビジュアル テストの印刷
    ビジュアル テストを印刷して、テストの内容を保存します。
親トピック: テストのデバッグ


選択したポイントでのビジュアル テスト再生の停止

ビジュアル テストの再生中に特定のポイントで停止して、デバッグ モードに入るようにビジュアル テストを構成できます。再生中にビジュアル テストが停止するように設定するポイントのことを、ブレークポイントと呼びます。ブレークポイントにより、デバッグしやすいようにビジュアル テストの再生を管理でき、ビジュアル テストが失敗する箇所を切り離すのに役立ちます。ブレークポイントを使用すると、ビジュアル テストにエラーがない場合でも、ビジュアル テストがどのように再生されるかを分析できます。ブレークポイントを設定すると、ブレークポイントを設定したステップを実行する前に再生が停止し、デバッグ モードに入ります。

ブレークポイントの設定により、確認したい特定のポイントまでビジュアル テストを再生できるようになります。ブレークポイントは、再生を停止したい特定のステップに設定します。たとえば、変数に含まれるデータの状態を ローカル変数 ウィンドウで確認したいポイントに設定します。再生は最初のブレークポイントまで実行され、ビジュアル テストに続行を指示するまで中断されます。

  1. ブレークポイントを設定するビジュアル テストを開きます。
  2. 再生を停止するステップを選択します。
  3. デバッグ > ブレークポイントの設定／クリア を選択します。 ステップ番号の横の列に、ブレークポイント アイコンが表示されます。再生は、設定されたブレークポイントまで実行されます。再生がブレークポイントで停止すると、ビジュアル テストのブレークポイント ステップが黄色で強調表示され、そのステップを指す黄色の矢印が表示されます。
ビジュアル テストがデバッグ モードで表示され、再生を段階的に実行したり、ステップの再生を制御したり、再生をビジュアル テスト内の特定のポイントで開始または停止したりできるようになります。
ヒント: ブレークポイントが設定されたステップを選択し、F9 を押すと、選択したステップからブレークポイントが削除されます。Ctrl+Shift+F9 を押すと、すべての開いているビジュアル テストと VB .NET スクリプトのすべてのブレイクポイントが削除されます。
親トピック: ビジュアル テストのデバッグ


選択したポイントからのビジュアル テスト再生の段階的実行

デバッグ中に、ブレークポイントによって再生が一時停止された場所から、1 行ごとにビジュアル テストを実行できます。

  1. ビジュアル テストの特定のステップにブレークポイントを設定します。
  2. F5 を押して、ビジュアル テストを再生します。 再生は、ブレークポイントまで実行されると停止し、デバッグ モードになります。テスト ステップ ペインで、次に再生されるステップが黄色で強調表示されます。
  3. F8 を押して、強調表示されたステップを再生します。 ステップが正常に実行されたら、再生は再びデバッグ モードになり、次に再生されるステップが黄色で強調表示されます。ステップが正常に再生されなかった場合は、再生エラー ダイアログ ボックスが開きます。
  4. F8 を押して、ビジュアル テスト内の残りのステップの再生を段階的に実行します。 再生は、設定されたブレークポイントまで実行されます。ビジュアル テストがデバッグ モードで表示され、再生を段階的に実行したり、ステップの再生を制御したり、再生をビジュアル テスト内の特定のポイントで開始または停止したりできるようになります。ビジュアル テストの段階的実行中、ローカル変数 ウィンドウを使用して、テスト実行の重要なポイントにおける変数の使用状況をスナップショットとして取得できます。デバッグ中に、特定のステップから再生を開始するように、ビジュアル テストを構成することもできます。
親トピック: ビジュアル テストのデバッグ


ビジュアル テストの再生におけるステップ実行の制御

ビジュアル テストのデバッグ中に、またはブレークポイントで、ビジュアル テスト内で次に実行するステップを制御できます。実行ポイントを移動すると、他のステップを実行せずに、ビジュアル テスト内の別の箇所にある選択したステップから再生を再開できます。

実行ポインタ／次のステートメントの設定 コマンドは、選択したステップに実行ポイントを設定します。この機能は、デバッグ中のブレークポイントでのみ使用可能です。

現在のプロシージャ内でステートメントを再実行する場合や、ビジュアル テスト内で再生したくないステップをスキップする場合は、実行ポインタ／次のステートメントの設定 コマンドを使用します。この機能を使用すると、ビジュアル テストのデバッグ中にフローを制御してエラーを認識しやすくできるため、エラーの診断と修正に要する時間を短縮することができます。

  1. デバッグ中、または再生中のブレークポイントで、実行する次のステップを選択します。 ビジュアル テストで任意のステップを選択します。
  2. デバッグ > 実行ポインタ／次のステートメントの設定 を選択します。 選択したステップに黄色の実行矢印が移動し、そのステップが黄色で強調表示されます。
  3. F5 を押して選択したステップから再生を再開するか、F8 を押して選択したステップのみを再生します。 選択したステップが実行されると、再生が停止し、Silk Test Workbench がデバッグ モードに戻ります。実行ポイントは次のステップに移動します。
親トピック: ビジュアル テストのデバッグ


デバッグ中のビジュアル テストの編集

デバッグ中にビジュアル テストを編集および保存することができます。 変更を保存すると、そのビジュアル テストの新しいバージョンが作成され、アクティブ ビジュアル テストになります。

デバッグ中にビジュアル テストを段階的に実行して、変更を加えることができます。加えた変更は、再生時に適用されます。 デバッグ中に、ビジュアル テストで以下の変更を実行することができます。

  • フラグの追加。
  • 既存のステップのプロパティの編集。
  • テスト ステップのコピーと貼り付け。
  • ブレークポイントの設定と解除。
  • 他のビジュアル テストに挿入されるビジュアル テストの編集。 たとえば、visualtest2 を visualtest1 に挿入する場合、visualtest2 を制限なしで編集できます。
親トピック: ビジュアル テストのデバッグ


デバッグ モードでのビジュアル テストの段階的実行

デバッグ モードでは、ビジュアル テストを 1 ステップずつ再生できます。ステッピングと呼ばれるこの方法により、再生中にステップを段階的にトレースして、テスト ステップの実行順序、特定のステップによって返されるデータ、およびステップが正常に実行されるかどうかを確認できます。

デバッグ モードでは、以下のコマンドを使用して再生の実行を制御します。
ステップ イン (F8)
1つずつステップを再生します。ステップ イン は各ステップのトレースに有効であり、また再生しているビジュアル テストに挿入された別のビジュアル テストやスクリプトにもステップ インします。挿入された各ビジュアル テストやスクリプトについても、一度に 1 ステップまたは 1 行ずつ実行されます。

ステップ イン はテストの詳細分析に有効であり、変数の使用やターゲット アプリケーションとの対話に対する各ステップの影響を確認することができます。

ステップ オーバー (Shift+F8)
別のビジュアル テストに挿入されたビジュアル テスト全体またはスクリプト全体を、1 つのステップとして実行します。ステップ オーバー は、デバッグ モードの再生中に、ビジュアル テストまたはスクリプトを 1 ステップとして再生する場合に使用します。これにより、挿入されたビジュアル テスト全体またはスクリプト全体が再生されます。挿入されたビジュアル テスト全体またはスクリプト全体が再生されると、元のビジュアル テスト内の次のステップで再生が停止し、デバッグ モードになります。

別のビジュアル テストまたはスクリプトを再生するステップ以外のステップで ステップ オーバー を使用すると、ステップ イン を使用した場合と同じになります。次のステップのみが実行されたあと、再生は停止し、再びデバッグ モードになります。

ステップ アウト (Ctrl + Shift + F8)
別のビジュアル テストから再生しているビジュアル テストまたはスクリプト内の残りのステップをすべて実行したあと、元のビジュアル テスト内の次のステップで再生が一時停止します。

ステップ アウト は、別のビジュアル テストに挿入されたビジュアル テスト内のステップまたはコード行で再生が停止されているときに、残りのビジュアル テストを再生して元のビジュアル テストに戻る場合に使用します。挿入されたビジュアル テストまたはスクリプトの残りの部分の再生が実行されたら、元のビジュアル テスト内の次の行で再生が停止し、再びデバッグ モードになります。

カーソルまで実行 (Ctrl + F8)
再生を一時停止するステップを選択できます。これにより、ビジュアル テストまたはスクリプト内の選択したセクションを「ステップ オーバー」することができます。

カーソルまで実行 は、ビジュアル テストまたはスクリプトを再生して、実行時エラーが発生したポイントの直前で停止する場合に使用します。これにより、ブレークポイントを挿入することなく特定の行またはステートメントで再生を停止できます。再生が停止したら、別のデバッグ オプションのいずれかを使用して再生を継続できます。

カーソルから実行
現在選択されているテスト ステップからビジュアル テストを再生します。

ステッピング コマンドには、デバッグ メニューからアクセスします。

親トピック: ビジュアル テストのデバッグ


ビジュアル テスト内でのエラー処理による確実な再生

アプリケーションのテストは、テスト対象アプリケーション内のエラーを明らかにするものですが、Silk Test Workbench を使用したソフトウェア アプリケーションのテストでは、これらのエラーが原因でビジュアル テストの再生を完了できない場合があります。たとえば、テスト ステップで、再生中に検出されない TextField にテキストを入力しようとすると、オブジェクトが見つからないというエラーが発生し、再生が停止します。ユーザーはデバッグ モードに切り替えて、エラーの原因を特定することができます。

エラー処理を設定すると、再生エラーをデバッグする必要がなくなります。エラー処理を設定するには、ビジュアル テストでエラーの検出ステップとその処理方法を設定します。エラー処理を設定することによって、ビジュアル テストを最後まで再生でき、再生中に発生したエラーの情報を得ることができます。

  • [プロパティ] ペインを使用して、エラーに自動的に対処するようにビジュアル テストを設定
    プロパティ ペインを使用して、再生エラーを予測して自動的に対処するようにビジュアル テストを構成することができます。
  • テスト ロジック デザイナを使用してビジュアル テストを設定し、エラーに自動的に対処
    テスト ロジック デザイナ を使用して、再生エラーを予測して自動的に対処するようにビジュアル テストを構成することができます。
親トピック: ビジュアル テストのデバッグ


[プロパティ] ペインを使用して、エラーに自動的に対処するようにビジュアル テストを設定

ビジュアル テストは、再生エラーを予測して自動的に対処するように構成することができます。ビジュアル テストのステップ内でエラーを処理するように設定するか、特定のエラーを処理するステップを含む別のビジュアル テストを開くように設定できます。エラーを処理するようにビジュアル テストを設定するには、エラー処理 ステップを作成します。

  1. エラー処理を設定するビジュアル テストを開きます。
  2. エラー処理 ステップを作成する場所の直前のステップを選択します。
  3. 挿入 > エラー処理 を選択します。 選択したステップのあとに エラー処理 ステップが作成されます。エラー処理 ステップのプロパティが プロパティ ペインに表示されます。
  4. 新しく作成されたステップを選択して、プロパティ ペインにそのプロパティを表示します。
  5. エラー処理 ステップの プロパティ ペインでツールバー ボタンをクリックして、プロパティをカテゴリ別にグループ化するか、アルファベット順に並べ替えます。
  6. エラー時の移動先 プロパティを更新し、再生設定とその値を割り当てます。 エラー ハンドラの 実行する操作 プロパティが 移動 である場合、ビジュアル テスト内でエラー ハンドラの移動先になるラベルを指定します。
エラー処理 ステップは、再生中にエラーが発生すると実行されます。
親トピック: ビジュアル テスト内でのエラー処理による確実な再生
関連資料
エラー時の移動先プロパティ
挿入されたスクリプトまたはビジュアル テストの再生設定


テスト ロジック デザイナを使用してビジュアル テストを設定し、エラーに自動的に対処

ビジュアル テストは、再生エラーを予測して自動的に対処するように構成することができます。 ビジュアル テストのステップ内でエラーを処理するように設定するか、特定のエラーを処理するステップを含む別のビジュアル テストを開くように設定できます。 ビジュアル テストでエラーが処理されるように設定するには、テスト ロジック デザイナ ウィザードを使用します。

  1. エラー処理を設定するビジュアル テストを開きます。
  2. エラー処理ステップを作成する場所の直前のステップを選択します。
  3. 挿入 > テスト ロジック > エラー処理 を選択します。 テスト ロジック デザイナ ウィザードが開き、ようこそ ページが表示されます。
  4. 次へ をクリックします。 ロジックの種類の選択 ページが開きます。
  5. ビジュアル テストの再生中のエラー (再生エラー) をクリックし、次へ をクリックします。 エラー処理の構築 ページが開きます。
  6. 再生エラーが発生した場合、常に以下の操作を行う リストで、以下のいずれかの操作を選択します。
    デフォルトの再生エラー ダイアログを表示します
    再生エラー ダイアログ ボックスを表示し、そこでそのエラーに対して実行する操作を決定します。再生エラー ダイアログ ボックスを使用してデバッグ モードに入り、ビジュアル テストでエラーを診断します。
    現在のビジュアル テストの再生を終了します
    エラーが発生したときに、ビジュアル テストの再生を終了します。ビジュアル テストのその他のステップは再生されません。再生が終了すると、再生完了 ダイアログ ボックスが表示され、そこで再生の完了時に実行する操作を決定します。
    エラーが発生したステップの再生を再試行します
    資産 プロパティに指定されているビジュアル テストを再生してから、エラーが発生したステップの実行を試行します。資産 プロパティにビジュアル テストが指定されていない場合、単にエラーが発生したステップの再実行を試行します。再試行の回数 プロパティには、再生を試行する回数を指定できます。デフォルト値は、5 です。指定した再試行の回数に到達した時点でステップ実行に失敗すると、再生エラーが生成されます。
    次のステップで再生を再開します
    資産 プロパティに指定されているビジュアル テストを再生してから、エラーが発生したステップの直後のステップの実行を試みます。エラーの原因となったステップは、再実行されません。
    ラベルへ移動します
    資産 プロパティに指定されているビジュアル テストを再生し、ラベル プロパティに指定されている事前定義のラベル ステップに移動して、再生を続行します。移動 を使用すると、ビジュアル テストで、再生中に発生したエラーと同様のエラーが発生する可能性のあるステップをスキップして、テストの別のセクションに移動できます。
    他のビジュアル テストを最初に再生します
    指定した別のビジュアル テストが再生されたあと、次に実行される操作をユーザーが指定します。 別のテスト実行のあとに実行される操作を決定するには、テストの終了、エラーが発生したステップを再試行、ラベルへ移動、またはエラーが発生した元のテストの再開を選択します。
  7. ラベルへ移動します を指定した場合は、移動先のラベルを選択する リスト ボックスから エラー ハンドラが移動するラベルを選択します。
  8. 他のビジュアル テストを最初に再生します を指定した場合は、以下のステップを実行します。
    1. <ビジュアル テストの挿入> をクリックし、再生する資産を選択して、OK をクリックします。
    2. 次の処理 リスト ボックスから、次に行う操作を選択します。 ラベルへ移動します を指定した場合は、移動先のラベルを選択する リスト ボックスから エラー ハンドラが移動するラベルを選択します。
  9. 次へ をクリックします。 要約 ページに、新しいエラー処理ステップのテスト ステップの説明が表示されます。
  10. 終了 をクリックします。
親トピック: ビジュアル テスト内でのエラー処理による確実な再生


ビジュアル テストの印刷

ビジュアル テストを印刷して、テストの内容を保存します。

  1. 印刷するビジュアル テストを開きます。
  2. ファイル > 印刷 を選択します。 印刷 ダイアログ ボックスが開きます。
  3. リストからプリンタを選択します。
  4. 省略可能：プロパティ をクリックすると、余白や印刷の向きなどの印刷ページ設定を変更できます。
  5. 省略可能：印刷範囲 セクションで、ドキュメント全体を印刷するか、または選択したページのみを印刷するかを指定します。
  6. 省略可能：部数 フィールドで、印刷する部数を指定します。
  7. 省略可能：部単位で印刷する チェック ボックスをオンにすると、すべてのコピーの対応するページをまとめて印刷します。 このチェック ボックスは、複数の部数を印刷するように選択した場合にのみ有効になります。
  8. 印刷するステップを指定します。
    • テスト ステップ ペインに表示されているすべてのステップを印刷する場合は、現在の表示 をクリックします。
    • テスト ステップ ペインで選択されているステップだけを印刷する場合は、選択 をクリックします。
  9. 印刷出力をカスタマイズするには、オプション をクリックして、印刷出力に含める情報の種類を選択します。 以下のオプションがあります。
    以下を含める
    含める内容の種類を指定します。
    • ビジュアル テストの要約：ビジュアル テストの名前、プロジェクト、作成者、作成日、バージョン、説明などのビジュアル テストの要約を含めます。この要約は、印刷出力の最初のページに表示されます。
    • 最新の結果の要約：ビジュアル テストの最新結果の要約ページを含めます。この要約は、印刷出力の最後のページに表示されます。
    • グループ画面：現在のダイアログ ボックスまたは Web ページのメイン コンテンツを含むグループ画面のスナップショットを印刷出力に含めます。グループ画面に続くテスト ステップは、現在のダイアログ ボックスまたは Web ページのコンテンツで発生する単一の操作に対応します。グループ画面は、テスト ステップ ペインの Using ステップに対応します。グループ画面のスナップショットは、画面プレビュー ペインで表示されるように、印刷出力に示されます。
    • 無効なステップ：無効化されたステップを含めます。この情報は、印刷出力で灰色のテキストで表示されます。
    各ステップに含める
    各ステップに含める内容を指定します。
    • 画面：各ステップの関連画面スナップショットを含めます。個々の画面は (ステップ画面) に対応し、現在のダイアログ ボックスまたは Web ページでの特定の操作に関連付けられます。ステップ画面のスナップショットは、画面プレビュー ペインで表示されるように、印刷出力に示されます。
    • 説明：各ステップの説明を含めます。ステップの説明は、プロパティ ペインの ステップの説明 プロパティに表示されるように、印刷出力に示されます。
    • フラグの詳細：フラグの説明、作成者、更新者、更新日、割り当てられたユーザーなどのフラグの詳細を含めます。
    以下のプロパティを含める
    各ステップに含めるプロパティを指定します。
    • すべてのプロパティ：各ステップのすべてのプロパティを含めます。
    デフォルト
    デフォルトの印刷オプションを選択するには、このボタンをクリックします。
  10. 省略可能：プレビュー をクリックして、結果情報がどのように印刷されるかを表示します。 プレビュー ウィンドウが開きます。
  11. OK をクリックします。
親トピック: ビジュアル テストのデバッグ
関連タスク
スクリプトの印刷
ビジュアル テストの結果の印刷
スクリプトの結果の印刷


スクリプトのデバッグ

再生中の実行時エラーは、さまざまな要因により発生します。これらの要因には、テスト アプリケーションの変更、テスト スクリプトのコーディングの誤り、または環境の変更などがあります。スクリプトのデバッグによってこれらのエラーを迅速に診断、修正することで、スクリプトのメンテナンスの労力を最小限に抑え、より効率的なチームによるテスト作業を推進することができます。

スクリプトのデバッグを使用すると、開発環境でのスクリプトの再生を一時的に中断して、その再生の管理、検証、リセット、段階的実行、継続を行えます。

Silk Test Workbench には 出力 ウィンドウがあり、自動処理コードの確認やユーザー定義の追加出力の追加を行うことができます。たとえば、Console.Write および ConsoleWriteLine コマンドを使用して、追加実行を出力できます。

さらに、ローカル変数 ウィンドウを使用してドリル ダウンし、スクリプト内のすべての変数の値を表示することもできます。

  • スクリプトの信頼性
    スクリプトの信頼性を高めるために使用できね機能の概要について説明します。
  • デバッグ モードでのスクリプトの段階的実行
    デバッグ モードでスクリプトを一度に 1 行ずつ再生するためのオプションを示します。
  • 選択したポイントからのスクリプト再生の段階的実行
    デバッグ中に、ブレークポイントによって再生が一時停止された場所から、スクリプトを実行できます。
  • スクリプト デバッグ中の行の実行の制御
    スクリプトのデバッグ中にフローを制御して、エラーを認識しやすくし、エラーの診断と修正に要する時間を短縮することができます。
  • スクリプト例 - エラー処理
    エラー処理を含むスクリプトを作成する方法を示します。
  • スクリプトへのコメントの挿入
    出力 ウィンドウで自動処理コードを確認し、ユーザー定義の追加出力を付加して、スクリプトに関する補足情報を提供します。
  • 選択したポイントでのスクリプト再生の停止
    デバッグしやすいように再生を管理し、スクリプトが失敗する箇所を切り分けるのに役立ちます。
  • スクリプトの印刷
    確認やトラブルシューティングに役立てるために、コード ウィンドウに表示されているコードを印刷できます。
親トピック: テストのデバッグ


スクリプトの信頼性

アプリケーションのテストは、テスト対象アプリケーション内のエラーを明らかにします。ソフトウェア アプリケーションのテスト時に、これらのエラーが原因でスクリプトの実行を完了できない場合があります。

テストを成功させるには、スクリプトの再生を確実に完了させる必要があります。同期化の問題、あるいは予期されるまたは予期されないアプリケーション エラーによって、再生が完了する前にスクリプトが失敗することがあります。Silk Test Workbench に組み込まれているオプション設定とスクリプト作成機能により、同期化とアプリケーションの問題を調整して、任意のテスト環境でスクリプトを確実に再生できるようになります。

スクリプトを再生しているときに、アプリケーションの応答時間の遅延に起因するエラーが発生すると、アプリケーションとそのアプリケーションをテストするスクリプトとの同期が取れなくなります。これらのエラーは、Silk Test Workbench のオプション設定を調整してスクリプトとテスト対象アプリケーション間の同期を最適化することで処理できます。

親トピック: スクリプトのデバッグ


デバッグ モードでのスクリプトの段階的実行

デバッグ モードでは、スクリプトを一度に 1 行ずつ再生できます。ステッピングと呼ばれるこの方法により、テスト担当者は再生中にコードを段階的にトレースして、ステートメントの実行順序を確認できるため、デバッグに役立ちます。

ステッピングにより、デバッグ モードでスクリプトを段階的に実行し、その実行を詳細に検証することができます。

デバッグ モードでは、以下のコマンドを使用して再生の実行を制御します。
ステップ イン (F8)
一度に 1 ステートメントずつスクリプトを実行します。ステップ イン はコードの各行のトレースに有効であり、関数または埋め込まれているスクリプトにもステップ インします。各関数または埋め込みスクリプトも、一度に 1 行ずつ実行されます。

ステップ イン はテストの詳細分析に有効であり、変数の使用やターゲット アプリケーションとの対話に対する各ステートメントの影響を確認することができます。

注: VB .NET スクリプトのデバッグ中に反復子（Iterator）にステップ インすることはできません。反復子は実行されますが、デバッガは実行時に反復子が処理されていることを表示しません。反復子の内側にブレイクポイントを設定すると、実行はブレイクポイントで停止しますが、反復子内のパラメータやローカル変数は、ローカル変数 ウィンドウに表示されません。詳細については、「反復子」を参照してください。
ステップ オーバー (Shift + F8)
各プロシージャを 1 つのステートメントとして実行します。関数を構成する各行を実行せずに、関数に直接移動する場合には、[ステップ イン] ではなくこのコマンドを使用します。
ステップ アウト (Ctrl + Shift + F8)
プロシージャ内の残りすべてのコードを 1 つのステートメントのように実行し、そのプロシージャを最初に呼び出したプロシージャ内の次のステートメントに移ります。
カーソルまで実行 (Ctrl + F8)
再生を一時停止するステップを選択できます。これにより、ビジュアル テストまたはスクリプト内の選択したセクションを「ステップ オーバー」することができます。

カーソルまで実行 は、ビジュアル テストまたはスクリプトを再生して、実行時エラーが発生したポイントの直前で停止する場合に使用します。これにより、ブレークポイントを挿入することなく特定の行またはステートメントで再生を停止できます。再生が停止したら、別のデバッグ オプションのいずれかを使用して再生を継続できます。

実行ポインタ/次のステートメントの設定 (Ctrl + F9)
現在ポインタがある場所のステートメントから、途中のステートメントを実行せずに実行を続けます。

ステッピング コマンドには、デバッグ メニューからアクセスします。

親トピック: スクリプトのデバッグ


選択したポイントからのスクリプト再生の段階的実行

デバッグ中に、ブレークポイントによって再生が一時停止された場所から、スクリプトを実行できます。

  1. スクリプトの特定の行にブレークポイントを設定します。
  2. F5 を押して、スクリプトを再生します。 再生は、ブレークポイントまで実行されると停止し、デバッグ モードになります。
  3. F8 を押して、スクリプトを次のブレークポイントまで再生します。 コードが正常に実行されたら、再生は再びデバッグ モードになり、次に再生されるコードが黄色で強調表示されます。コードが正常に再生されなかった場合は、再生エラー ダイアログ ボックスが開きます。
  4. F8 を押して、スクリプト内の残りのコードの再生を段階的に実行します。 再生は、設定されたブレークポイントまで実行されます。スクリプトがデバッグ モードで表示され、再生を段階的に実行したり、ステップの再生を制御したり、再生をスクリプト内の特定のポイントで開始または停止したりできるようになります。スクリプトの段階的実行中、変数の監視 ウィンドウを使用して、テスト実行の重要なポイントにおける変数の使用状況をスナップショットとして取得できます。デバッグ中に、コード内の特定の行から再生を開始するように、スクリプトを構成することもできます。
親トピック: スクリプトのデバッグ


スクリプト デバッグ中の行の実行の制御

スクリプトのデバッグ中にフローを制御して、エラーを認識しやすくし、エラーの診断と修正に要する時間を短縮することができます。

実行ポインタ/次のステートメントの設定 コマンドは、スクリプト内の選択した行に実行ポイントを設定します。この機能は、デバッグ中のブレークポイントでのみ使用可能です。

現在のプロシージャ内でステートメントを再実行する場合や、スクリプト内で再生したくないステートメントをスキップする場合は、実行ポインタ/次のステートメントの設定 コマンドを使用します。この機能を使用すると、スクリプトのデバッグ中にフローを制御してエラーを認識しやすくできるため、エラーの診断と修正に要する時間を短縮することができます。

  1. デバッグ中、または再生中のブレークポイントで、以下のいずれかのステップを実行します。
    • 黄色い矢印をクリックして次に再生するコード行へドラッグします。
    • 次に再生する行をクリックしてカーソルを配置してから、デバッグ > 実行ポインタ/次のステートメントの設定 を選択します。
    注: スクリプトで、次のステートメントは、現在のステートメントと同じプロシージャの行にのみ設定できます。
  2. F5 を押して選択した行から再生を再開するか、F8 を押して選択した行のみを再生します。 選択したステップが実行されると、再生が停止し、Silk Test Workbench がデバッグ モードに戻ります。実行ポイントは次の行に移動します。
親トピック: スクリプトのデバッグ


スクリプト例 - エラー処理

以下のスクリプトは、エラー処理を含むスクリプトを作成する方法を示しています。

基本的なエラー処理をスクリプトに含めるには、Catch ex As Exception ステートメントに続いて例外のテスト対象となるオブジェクトとパラメータをスクリプトに含めます。 たとえば、メモ帳アプリケーションのフォントの種類をテストするには、以下のコードを入力します。
Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main()
        With _desktop.Window("@caption='Untitled - Notepad'")
            .TextField().TypeKeys("test", 0, False)
            .MenuItem("@caption='Font'").Select()
            Try
                With .Dialog("@caption='Font1'") ' throws an exception because such a dialog does not exist
                    .ComboBox("@caption='Font style:'").Select("Regular")
                    .ComboBox("@caption='Size:'").Select("14")
                    .PushButton("@caption='Cancel'").Select()
                End With
            Catch ex As Exception
                With .Dialog("@caption='Font'")
                    .ComboBox("@caption='Font style:'").Select("Regular")
                    .ComboBox("@caption='Size:'").Select("14")
                    .PushButton("@caption='Cancel'").Select()
                End With
            End Try
        End With
    End Sub

End Module
注: この例は、基本的なエラー処理の実装方法を示すことを意図しています。 このコードを正しく実装するには、アプリケーション構成を追加して、テスト アプリケーションを必要に応じて調整する必要があります。 このサンプル コードをスクリプトに貼り付けても、アプリケーション構成が存在しないため、エラーが発生します。
親トピック: スクリプトのデバッグ


スクリプトへのコメントの挿入

出力 ウィンドウを使用して、自動処理コードを確認し、ユーザー定義の追加出力を付加して、スクリプトに関する補足情報を提供します。 たとえば、コメントを追加して、スクリプトに関する補足情報を提供できます。 スクリプトを再生すると、コメントが 出力 ウィンドウに表示されます。

  1. スクリプトでは、Console.Write および Console.WriteLine コマンドを使用してコメントを追加できます。 Comment メソッドでは、文字列がパラメータとして処理されます。 この文字列の内容は、スクリプトの再生後に 出力 ウィンドウに保存されます。
  2. スクリプトを再生します。 出力 ウィンドウに、自動処理コードおよび追加したコメントを表示できます。
親トピック: スクリプトのデバッグ


選択したポイントでのスクリプト再生の停止

スクリプトの再生中に特定のポイントで停止して、デバッグ モードに入るようにスクリプトを構成できます。再生中にスクリプトが停止するように設定するポイントのことを、ブレークポイントと呼びます。ブレークポイントにより、デバッグしやすいように再生を管理でき、スクリプトが失敗する箇所を切り分けるのに役立ちます。ブレークポイントを使用すると、スクリプトにエラーがない場合でも、スクリプトがどのように再生されるかを分析できます。ブレークポイントを設定すると、再生はブレークポイントで停止し、デバッグ モードに入ります。

ブレークポイントの設定により、確認したい特定のポイントまでスクリプトを再生できるようになります。ブレークポイントは、再生を停止したい特定の行に設定します。たとえば、変数に含まれるデータの状態を 変数の監視 ウィンドウで確認したいポイントに設定します。再生は最初のブレークポイントまで実行され、スクリプトに続行を指示するまで中断されます。

  1. ブレークポイントを設定するスクリプトを開きます。
  2. 再生を停止する行をクリックします。
  3. デバッグ > ブレークポイントの設定/クリア. 行番号の横の列に、ブレークポイント アイコンが表示されます。再生は、設定されたブレークポイントまで実行されます。再生がブレークポイントで停止すると、スクリプトのブレークポイント行が黄色で強調表示され、その行を指す黄色の矢印が表示されます。
デバッグでは、再生中に行の実行を制御できます。また、特定の行まで再生を実行したり、特定の行から再生を開始したりするように、スクリプトを構成することもできます。
ヒント: ブレークポイントが設定された行を選択し、F9 を押すと、選択した行からブレークポイントが削除されます。Ctrl+Shift+F9 を押すと、スクリプトからすべてのブレークポイントが削除されます。
親トピック: スクリプトのデバッグ


スクリプトの印刷

確認やトラブルシューティングに役立てるために、コード ウィンドウに表示されているコードを印刷できます。

  1. 印刷するスクリプトを開きます。
  2. ファイル > 印刷 を選択します。 印刷 ダイアログ ボックスが開きます。
  3. リストからプリンターを選択するか、プリンター検索 をクリックして他のプリンターを検索します。
  4. 省略可能： ファイルへ出力 チェック ボックスをオンにすると、PDF などのファイルへ出力されます。
  5. 省略可能： 詳細設定 をクリックすると、余白や印刷の向きなどの印刷ページ設定を変更できます。
  6. 省略可能： 印刷範囲 セクションで、ドキュメント全体を印刷するか、または選択したページのみを印刷するかを指定します。
    以下のいずれかのオプションをクリックします。
    • すべて：ドキュメント全体を印刷します。
    • 選択した部分：選択したコードを印刷します。
    • ページ指定：指定したページを印刷します。
    • 現在のページ：現在のページを印刷します。
  7. 省略可能：部数 フィールドで、印刷する部数を指定します。
  8. 省略可能：部単位で印刷する チェック ボックスをオンにすると、すべてのコピーの対応するページをまとめて印刷します。 このチェック ボックスは、複数の部数を印刷するように選択した場合にのみ有効になります。
  9. 印刷 をクリックします。
親トピック: スクリプトのデバッグ
関連タスク
ビジュアル テストの印刷
ビジュアル テストの結果の印刷
スクリプトの結果の印刷


テストの再生と結果の分析

テストの再生および再生結果の分析の手順について説明します。

  • ビジュアル テストの再生
    ビジュアル テストを再生したときの動作の概要について説明します。
  • スクリプトの再生
    スクリプトを再生したときの動作の概要について説明します。
  • テストの並列実行
    複数のブラウザー、モバイル デバイス、エミュレータ上でテストを並列に実行する方法について説明します。
  • ビジュアル テスト再生の構成
    ビジュアル テストの再生の構成オプションについての概要について説明します。
  • Silk Test Workbench がテストを同期する方法
    Silk Test Workbench が再生時にテスト同期を実行する方法について説明します。
  • 結果の分析
    テストの結果を分析する方法について説明します。
  • 再生ステータス ダイアログ ボックスの有効化
    再生ステータス ダイアログ ボックスを有効にすると、リモート テストやモバイル テストの再生中に実行される操作を表示できます。
  • [再生完了] ダイアログ ボックス
    再生完了 ダイアログ ボックスのコントロールについて説明します。
  • [再生エラー] ダイアログ ボックス
    再生エラー ダイアログ ボックスのコントロールについて説明します。
関連概念
記録中および再生中に除外される文字
関連タスク
スクリプトの再生
ビジュアル テストの再生


ビジュアル テストの再生

ビジュアル テストを記録したら、いつでもそれを再生できます。テスト ステップは、上から下に順番に実行されます。再生中、ビジュアル テストは、記録または追加された操作に従ってテスト アプリケーションを操作します。これらの操作は画面で確認できます。操作は、そのアプリケーションで可能な最短の応答速度で実行されます。ビジュアル テストは、手動での実行に比べはるかに短時間で再生できます。

ビジュアル テストは、オブジェクトの画面上の位置に関係なくオブジェクト レベルで記録されるため、再生もオブジェクト指向です。つまり、Silk Test Workbench はオブジェクトと直接対話します。そのため、環境やテスト アプリケーションに変更があった場合でも、ビジュアル テストは正しく再生されます。

ビジュアル テストを再生するたびに、そのテストに記録されたすべての操作が Silk Test Workbench によって繰り返され、検証などの記録または追加された操作が実行されます。

  • ビジュアル テストの再生
    ビジュアル テストに記録された操作を再生します。
  • ビジュアル テスト内でのビジュアル テストの実行
    ビジュアル テストでは、別のビジュアル テストを呼び出して実行したり、再生したりできます。これにより、アプリケーションのテストに対するモジュール式アプローチが可能になり、テストの実行をより制御できるようになります。
  • [ビジュアル テスト変数] ダイアログ ボックス
    ビジュアル テスト変数 ダイアログ ボックスのコントロールについて説明します。
親トピック: テストの再生と結果の分析


ビジュアル テストの再生

ビジュアル テストを再生すると、記録または追加した操作が実行されます。

  1. 次のいずれか 1 つのステップを行います：
    • 開始画面 の 資産 セクションの 最新 リストで、再生するビジュアル テストの ビジュアル テスト 'プロジェクト名 - テスト名' の再生 をクリックします。
    • アセット ブラウザ で、再生するビジュアル テストを右クリックして、再生 をクリックします。
    • ビジュアル ナビゲータ で 操作 > 再生 を選択し、アクティブなビジュアル テストを再生します。
    再生 ダイアログ ボックスが開きます。
  2. 省略可能：テスト結果の説明を 結果の説明 フィールドに入力します。
  3. 結果オプション リストから、このテストの結果の保存方法を選択します。 以下のオプションのいずれかを選択します。
    新しい実行番号で結果を保存
    ビジュアル テストまたはスクリプトの再生の結果は、新しい増分実行番号で保存されます。たとえば、新規の結果は実行番号 1 で保存されます。同じビジュアル テストまたはスクリプトの後続の結果は、実行番号 2、3、4 などで保存されます。これはデフォルトの設定です。
    現在の実行番号に結果を追加
    現在の再生の結果は、最新の実行番号の結果に付加されます。新しい実行番号は作成されません。このオプションは、結果が存在している場合にのみ表示されます。
    既存の実行番号を新しい結果で上書き
    現在の再生の結果で、最新の既存の実行番号の結果が上書きされます。新しい実行番号は作成されません。このオプションは、結果が存在している場合にのみ表示されます。
    この結果を保存しない
    ビジュアル テストまたはスクリプトを再生したときに結果は作成されません。
  4. 省略可能：オプション をクリックして、結果オプションを変更します。 詳細については、「再生結果オプションの設定」を参照してください。
  5. 省略可能：ローカル変数ウィンドウの表示 チェック ボックスをオンにすると、再生中に ローカル変数 ウィンドウが表示されます。 Silk Test Workbench は、再生が終わると、ローカル変数 ウィンドウを非表示にします。
  6. OK をクリックします。
  7. Web アプリケーションをテストする場合は、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。
    注: 複数のアプリケーションが現在のスクリプトに対して設定されている場合、ブラウザーの選択 ダイアログ ボックスは表示されません。
  8. 省略可能：必要に応じて、操作 > 停止 を選択するか、ツールバーの 停止 をクリックするか、両方の Shift キーを同時に押すと、スクリプトを停止できます。現在のステップで再生を一時停止するには、操作 > 一時停止 をクリックするか、ツールバーの 一時停止 をクリックします。 ビジュアル テストが再生されるときに、テスト アプリケーションに対して実行される各操作（メニュー、ラジオ ボタン、チェック ボックスの選択など）を確認できます。

    ビジュアル テスト内に値が割り当てられていない受け渡し変数が見つかると、ビジュアル テスト変数 ダイアログ ボックスが表示され、これらの変数に値を割り当てることができます。

    再生中にエラーが発生すると、再生エラー ダイアログ ボックスが開きます。

  9. 再生が完了したら、再生完了 ダイアログ ボックスを使用して、実行する操作を決定します。 再生中、再生 ダイアログ ボックスを非表示にするには、このダイアログを再表示しない チェック ボックスをオンにします。これにより、全般オプションの [再生] ダイアログの表示 オプション設定が上書きされます。再生 ダイアログ ボックスを表示するには、この設定を使用します。
親トピック: ビジュアル テストの再生
関連概念
テストの再生と結果の分析
関連タスク
ビジュアル テストの再生結果オプションの設定
関連資料
Google Chrome を使用したテスト再生の前提条件


ビジュアル テスト内でのビジュアル テストの実行

ビジュアル テストでは、別のビジュアル テストを呼び出して実行したり、再生したりできます。これにより、アプリケーションのテストに対するモジュール式アプローチが可能になり、テストの実行をより制御できるようになります。ビジュアル テスト内で別のビジュアル テストを実行する場合は、テスト サイトの整合性を保ち、テスト対象のターゲット アプリケーションが正しい初期再生状態になるようにすることが重要です。

この手順を使用して、ドライバ テストを作成することもできます。

  1. 別のビジュアル テストを挿入するビジュアル テストを開きます。
  2. テストの挿入箇所の直後にあるステップを選択します。
  3. 挿入 > ビジュアル テスト をクリックします。 ビジュアル テストの参照 ダイアログ ボックスが開きます。
  4. すべての資産を表示するか、作成した資産だけを表示するかを選択します。
    注: 列見出し（名前、プロジェクト、説明、更新日）をクリックして、その内容を基準にビジュアル テストのリストをアルファベット順に並べ替えることができます。
  5. 挿入するビジュアル テストを選択し、OK をクリックします。
    注: リストに表示されるのは、Common プロジェクトのビジュアル テストのみです。
    ヒント: 資産の選択 リストに多くのビジュアル テストが表示されている場合、名前フィルタ テキスト フィールドに挿入したいビジュアル テストの名前を入力してから、ビジュアル テストをクリックすると簡単です。
    Silk Test Workbench によって、選択したステップの下にステップが挿入されます。挿入されたステップによって、選択したビジュアル テストが呼び出されます。
再生中、上記のステップが実行されると、呼び出し元のビジュアル テスト内の次のステップが実行される前に、挿入されたビジュアル テストが最後まで再生されます。ビジュアル テストが別のビジュアル テストに挿入されたあと、再生に使用される設定を構成できます。
親トピック: ビジュアル テストの再生
関連概念
ビジュアル テスト間でのデータの受け渡し
関連タスク
ビジュアル テスト間で受け渡すパラメータの定義


[ビジュアル テスト変数] ダイアログ ボックス

このダイアログ ボックスを使用すると、再生中のビジュアル テストで値が割り当てられていない変数が渡された場合に、値を割り当てることができます。このダイアログ ボックスは、再生中に、ビジュアル テストの <<開始>> ステップで定義されたパラメータまたは変数に値がない場合にのみ表示されます。

注: 変数名は、「st_」で始めることはできません。

ビジュアル テスト変数 ダイアログ ボックスには、以下の列で構成されるリストが含まれています。

ビジュアル テスト変数名：このビジュアル テスト内の値が割り当てられていないビジュアル テスト変数の名前が表示されます。この変数は、再生中にこのビジュアル テストを実行する他のビジュアル テストにも渡されます。この列のデータは表示専用で変更はできません。

型：ビジュアル テスト変数のデータ型が表示されます。この列のデータは表示専用で変更はできません。変数の型を以下に示します。
テキスト
変数の値はテキスト文字列です。テキスト型の値には、文字、数字、スペース、および句読点が含まれます。
注: テキスト データ型は大文字／小文字を区別します。つまり、比較時にはテキスト文字列の個々の文字の大文字／小文字が一致していなければなりません。大文字／小文字が一致していない場合は、比較は失敗します。
数値 (Long)

変数の値は、-2,147,483,648 から 2,147,483,647 の範囲の数値です。（小数値または 10 進数値で使用される）ピリオドは使用できません。

数値 (Double)

変数の値は、倍精度浮動小数点数で、-1.7E308 から +1.7E-307 の 64 ビットの数値として格納されます。

ブール値 (True/False)

変数の値は True または False です。

数値 (Long Long)

64 ビット整数値（-9223372036854775808 から 9223372036854775807 の範囲）です。

列挙

この変数は一連の値をグループ化し、1 から n まで順番に番号を付けます。限られた個数の一意の値のみを変数に保持する場合は、列挙型を宣言します。この変数型は、列挙データ型を必要とするプロパティまたは変数に使用します。

列挙には、64 ビット整数（-9223372036854775808 から 9223372036854775807 の範囲）が格納されます。ただし、UI では 64 ビットの列挙がサポートされていますが、エンジンでは 32 ビットの列挙のみがサポートされています（将来のリリースでは、エンジンでも 64 ビットの列挙がサポートされる予定です）。

値：リストされたビジュアル テスト変数の値です。ビジュアル テスト変数の値を入力します。値は型に一致している必要があります。たとえば、型が数値（Long）の場合、値は -2,147,483,648 から 2,147,483,647 の数値にする必要があります。入力した値が型と一致しない場合、または値を入力しなかった場合は、デフォルト値が使用されます。

  • 数値（Long）、数値（Double）、数値（Long Long）、および列挙の場合、デフォルト値は 0 です。

  • テキストの場合、デフォルト値は NULL 文字列です。

  • ブール値の場合、デフォルト値は False です。

親トピック: ビジュアル テストの再生


スクリプトの再生

スクリプトを記録したら、いつでもそれを再生できます。通常、スクリプト内のコード行は上から下の順に実行されます。スクリプトの再生中、スクリプト内の操作に従ってテスト アプリケーションが操作されます。これらの操作は画面で確認できます。操作は、そのアプリケーションで可能な最短の応答速度で実行されます。これにより、手動での実行に比べはるかに短時間でテストを実行できます。

スクリプトは、オブジェクトの画面上の位置に関係なくオブジェクト レベルで記録されるため、再生もオブジェクト指向です。つまり、Silk Test Workbench は Windows のオブジェクトと直接対話します。そのため、環境やテスト アプリケーションに変更があった場合でも、スクリプトは正しく再生されます。

  • スクリプトの再生
    スクリプトを再生すると、記録または記述された各操作が実行されます。
  • 再生中のオートメーション操作の表示
    出力 ウィンドウにオートメーション操作を表示して、スクリプトを確認またはトラブルシューティングします。
  • スクリプトの一時停止
    スクリプトは再生中にいつでも一時停止できます。
親トピック: テストの再生と結果の分析


スクリプトの再生

スクリプトを再生すると、記録または記述された各操作が実行されます。

  1. スクリプトを開きます。
  2. 操作 > 再生 を選択するか、ツールバーの 再生 をクリックします。 再生 ダイアログ ボックスが開きます。
  3. 省略可能：テスト結果の説明を 結果の説明 フィールドに入力します。
  4. 結果オプション リストから、このテストの結果の保存方法を選択します。 以下のオプションのいずれかを選択します。
    新しい実行番号で結果を保存
    ビジュアル テストまたはスクリプトの再生の結果は、新しい増分実行番号で保存されます。たとえば、新規の結果は実行番号 1 で保存されます。同じビジュアル テストまたはスクリプトの後続の結果は、実行番号 2、3、4 などで保存されます。これはデフォルトの設定です。
    現在の実行番号に結果を追加
    現在の再生の結果は、最新の実行番号の結果に付加されます。新しい実行番号は作成されません。このオプションは、結果が存在している場合にのみ表示されます。
    既存の実行番号を新しい結果で上書き
    現在の再生の結果で、最新の既存の実行番号の結果が上書きされます。新しい実行番号は作成されません。このオプションは、結果が存在している場合にのみ表示されます。
    この結果を保存しない
    ビジュアル テストまたはスクリプトを再生したときに結果は作成されません。
  5. 省略可能：オプション をクリックして、結果オプションを変更します。 詳細については、「再生結果オプションの設定」を参照してください。
  6. 省略可能：ローカル変数ウィンドウの表示 チェック ボックスをオンにすると、再生中に ローカル変数 ウィンドウが表示されます。 Silk Test Workbench は、再生が終わると、ローカル変数 ウィンドウを非表示にします。
  7. OK をクリックします。
  8. Web アプリケーションをテストする場合は、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。
    注: 複数のアプリケーションが現在のスクリプトに対して設定されている場合、ブラウザーの選択 ダイアログ ボックスは表示されません。
  9. 省略可能：必要に応じて、操作 > 停止 を選択するか、ツールバーの 停止 をクリックするか、両方の Shift キーを同時に押すと、スクリプトを停止できます。
    注: 再生中にエラーが発生した場合は、エラー メッセージが表示されます。
  10. 再生が完了したら、再生完了 ダイアログ ボックスを使用して、実行する操作を決定します。 再生中、再生 ダイアログ ボックスを非表示にするには、このダイアログを再表示しない チェック ボックスをオンにします。これにより、全般オプションの [再生] ダイアログの表示 オプション設定が上書きされます。再生 ダイアログ ボックスを表示するには、この設定を使用します。
親トピック: スクリプトの再生
関連概念
テストの再生と結果の分析
関連タスク
再生結果オプションの設定
関連資料
Google Chrome を使用したテスト再生の前提条件


再生中のオートメーション操作の表示

出力 ウィンドウにオートメーション操作を表示して、スクリプトを確認またはトラブルシューティングします。

  1. 表示 > 出力 を選択します。 出力 ウィンドウが開きます。
  2. ツール > オプション をクリックします。
    オプション ダイアログ ボックスが開きます。
  3. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  4. 全般 をクリックします。
  5. 出力ウィンドウにオートメーション操作を表示する リスト ボックスから、はい を選択します。

スクリプトを再生して、関連するオートメーション操作を表示します。

親トピック: スクリプトの再生


スクリプトの一時停止

スクリプトは、ツールバーの 一時停止 をクリックすることにより、再生中にいつでも一時停止できます。

親トピック: スクリプトの再生


テストの並列実行

複数の Workbench プロセスを使用して、複数のブラウザーやモバイル デバイスに対してテストを並列に実行することができます。たとえば、CI サーバーや Silk Central からテストを実行するときに、この機能を使用できます。

Silk Test は、次のブラウザーやプラットフォームでの並列テストをサポートします。
  • Google Chrome
  • Mozilla Firefox.
  • 以下のプラットフォーム上での Web、ネイティブ、ハイブリッド アプリ
    • 物理 Android デバイス
    • Android エミュレータ
    • 物理 iOS デバイス

テストの並列再生を有効にするには、環境変数 SILKTEST_ENABLE_PARALLEL_TESTING を true に設定します。

注: 並列テストを有効にすると、Open Agent はテストの実行プロセスのそれぞれを別々に処理しようとします。ある Silk Test クライアントでテストされたアプリケーションは、最初のクライアントが実行している間、他のクライアントでテストすることはできません。たとえば、Silk4J と Silk4NET で交互に同じアプリケーションをテストすることはできません。
注: 同じモバイル デバイス上で同時に複数のテストを実行することはできません。テストを並列実行する前に、十分なデバイスとエミュレータが利用できることを確認してください。モバイル デバイスやエミュレータが割り当てられないと、テストの実行は失敗します。

並列テストの実行それぞれが、1 個のブラウザーまたはモバイル デバイスに対して個々の silktest.exe を開始します。ブラウザーやｙモバイル デバイスを特定の silktest.exe と関連付けたい場合には、接続文字列を使用できます。詳細については、「モバイル デバイスの接続文字列」または「リモート デスクトップ ブラウザーの接続文字列」を参照してください。

次の図は、複数のブラウザーの並列テストのイメージを表します。

次の図は、複数のデバイスの並列テストのイメージを表します。

複数のプロセスが同時に開始されると、Silk Test Workbench を実行しているマシン上で Open Agent を何度も開始しようとする可能性があります。同じマシンで複数回 Open Agent を実行することはできないため、Silk Test Workbench は例外をスローすることになります。これを避けるため、テストを並列実行する前に、Open Agent が実行されていることを確認してください。

テスト結果は、複数の 結果ファイル（各テスト実行毎に 1 つ）に保存されます。

親トピック: テストの再生と結果の分析
関連概念
STW.EXE のパラメータ
テストを再生するブラウザーの選択


ビジュアル テスト再生の構成

ビジュアル テストで検証が処理される方法のようなビジュアル テストの再生動作、ビジュアル テストのテスト アプリケーションとのタイミングと同期、結果の使用方法と結果に表示される内容など、さまざまな側面を構成できます。

ビジュアル テストの再生動作を構成する方法は主に2つあります。最初の方法は、さまざまな再生オプションの値を オプション ダイアログ ボックスで設定します。オプション ダイアログ ボックスで設定する再生オプションは、Silk Test Workbench によってその後のすべてのビジュアル テストの再生に自動的に適用されるグローバル オプションです。これらの構成オプションを設定するには、ツール > オプション を選択します。

2 番めの方法は、ビジュアル テストに再生設定の設定ステップを挿入し、グローバル再生オプション値を上書きします。再生設定の設定ステップに再生オプションを設定しても、オプション ダイアログ ボックスに表示されるデフォルトのグローバル再生オプションは永続的に変更されるわけではありません。再生設定の設定ステップでは、ステップが表示されているビジュアル テストの再生オプションのみが変更されます。

また、再生オプションの現在の値をビジュアル テストの変数に返して、この変数を式やテスト ロジックなどで使用することができます。

  • ビジュアル テスト内での再生設定値の設定
    ビジュアル テスト内で再生設定を設定して、オプション ダイアログ ボックスのグローバル再生オプションのデフォルト値を上書きすることができます。
  • ビジュアル テスト内での再生設定値の取得
    オプション ダイアログ ボックスのグローバル再生オプションの現在値を返してローカル変数に格納するステップをビジュアル テストに挿入することにより、再生設定を取得することができます。このローカル変数は、検証やロジックのステップで使用したり、再生設定値を元の値にリセットするために使用したりできます。
  • 挿入されたビジュアル テストまたは VB .NET スクリプトの再生の構成
    ビジュアル テストに VB .NET スクリプトまたはビジュアル テストを挿入したあとは、挿入した VB .NET スクリプトまたはビジュアル テストに適用する再生設定を構成することができます。
親トピック: テストの再生と結果の分析


ビジュアル テスト内での再生設定値の設定

ビジュアル テスト内で再生設定を設定して、オプション ダイアログ ボックスのグローバル再生オプションのデフォルト値を上書きすることができます。 ビジュアル テスト内で再生オプションを上書きしても、オプション ダイアログ ボックスに表示される再生オプションのデフォルト値が永続的に変更されるわけではありません。

  1. 再生設定の値を設定するビジュアル テストを開きます。
  2. 再生設定ステップを挿入する場所の直前のステップを選択します。
  3. 挿入 > 再生設定 > 設定ステップ を選択します。 Silk Test Workbench によって、選択したステップのあとに 再生設定の設定 ステップが挿入されます。 再生設定の設定 ステップのプロパティが プロパティ ペインに表示されます。
  4. 再生設定の設定 ステップを選択して、プロパティ ペインにそのプロパティを表示します。
  5. プロパティ ペインで、目的の再生設定を選択し、その値を割り当てます。 Silk Test Workbench は再生設定の設定ステップのラベルを次のように更新します：再生設定 '[再生設定名]' に '値' を設定します。
  6. 他の 再生設定の設定 ステップを作成するには、必要に応じて上記の手順を繰り返します。 ビジュアル テストを再生すると、再生設定の設定 ステップで指定した再生設定値が Silk Test Workbench によって使用されます。
親トピック: ビジュアル テスト再生の構成
関連資料
再生設定の設定プロパティ
ビジュアル テストの再生設定


ビジュアル テスト内での再生設定値の取得

オプション ダイアログ ボックスのグローバル再生オプションの現在値を返してローカル変数に格納するステップをビジュアル テストに挿入することにより、再生設定を取得することができます。このローカル変数は、検証やロジックのステップで使用したり、再生設定値を元の値にリセットするために使用したりできます。

  1. 再生設定の値を取得するビジュアル テストを開きます。
  2. 再生設定値を保存するローカル変数を作成します。
  3. 再生設定ステップを挿入する場所の直前のステップを選択します。 再生設定値を取得して変数に設定するステップは、その変数を使用するステップの直前に実行する必要があります。
  4. 挿入 > 再生設定 > 取得ステップ を選択します。 Silk Test Workbench によって、選択したステップのあとに再生設定の取得ステップが挿入されます。再生設定の取得ステップのプロパティが プロパティ ペインに表示されます。
  5. 新しく作成されたステップを選択して、プロパティ ペインにそのプロパティを表示します。
  6. 適切な再生設定を選択してその値を変数に割り当てます。 Silk Test Workbench は、再生設定の取得ステップのラベルを次のように更新します： 再生設定 '[再生設定名]' を取得して、ローカル変数 '[変数名]' に格納します
  7. 他の再生設定の取得ステップを作成するには、必要に応じて上記の手順を繰り返します。
親トピック: ビジュアル テスト再生の構成
関連資料
再生設定の取得プロパティ
ビジュアル テストの再生設定


挿入されたビジュアル テストまたは VB .NET スクリプトの再生の構成

ビジュアル テストに VB .NET スクリプトまたはビジュアル テストを挿入したあとは、挿入した VB .NET スクリプトまたはビジュアル テストに適用する再生設定を構成することができます。

  1. 挿入された VB .NET スクリプトまたはビジュアル テストが含まれているビジュアル テストを開きます。
  2. VB .NET スクリプトまたはビジュアル テストを実行するステップを選択します。 ビジュアル テストのステップ テキストは、次のようになります：
    ビジュアル テスト [資産名] の再生

    ここで、[資産名] は、挿入されたビジュアル テストの名前です。

  3. プロパティ ペインを開きます。
  4. 再生設定 リストから、挿入された VB .NET スクリプトまたはビジュアル テストの再生時に適用する設定を次の中から選択します。
    • システムのデフォルトを使用
    • 親の設定を継承する
    • 親から設定をコピー
親トピック: ビジュアル テスト再生の構成


Silk Test Workbench がテストを同期する方法

ほとんどの予期しないテストの失敗は、同期問題に起因します。テストの再生時の同期が弱いと、予期しない結果が生成されるため、実際のアプリケーションの問題を見つけることが困難になります。同期エラーはタイミングの問題で、テストの環境に強く依存しており、このようなエラーを再現し解決することは困難です。たとえば、特定のテスト環境で発生する同期エラーが、開発環境では再現できないことがあります。同期が弱いと、自動化プロジェクトにおいて、自動化テスト セットの肥大化に伴い管理不能に陥る、最も一般的な理由のひとつになります。

Silk Test Workbench では、自動的なテスト同期をすべてのサポートするテクノロジに対して提供しているため、ロバストで管理可能なテスト セットを構築できます。テストの再生中に、Silk Test Workbench は、AUT が次の操作を実行する準備ができるまで、常にテストが待機するようにします。テストの検証ステップでは、Silk Test Workbench は、テストのそれより前のテストが検証を実行する前に完了しているようにします。

AUT の特定の動作にテストを適用する場合は、次の同期タイムアウトの値を変更できます。
同期タイムアウト (OPT_SYNC_TIMEOUT)
再生中に AUT が準備完了状態になるまで Silk Test Workbench が待機する最大時間をミリ秒で指定します。デフォルト値は、300000 ミリ秒です。
オブジェクト解決タイムアウト (OBJ_WAIT_RESOLVE_OBJDEF)
Find メソッドがオブジェクトを検索する最大時間をミリ秒で指定します。デフォルト値は、5000 ミリ秒です。
注: 低速な接続でアクセスした仮想マシンなどの低速なシステムや高負荷な環境でテストを正しく実行できるようにするために、Silk Test Workbench は内部タイムアウト値を増やすことがあります（AUT の開始時やダイアログやウィンドウの表示時など）。AUT、ダイアログ、ウィンドウが完全に表示されると、Silk Test Workbench は再びタイムアウト値を OPT_WAIT_RESOLVE_OBJDEF で指定された値に戻します。
オブジェクト解決再試行間隔 (OPT_WAIT_RESOLVE_OBJDEF_RETRY)
Silk Test Workbench がオブジェクトを直ちに見つけることができなかった場合、Silk Test Workbench はオブジェクト解決タイムアウトが経過するまでオブジェクトの検索を再試行します。オブジェクト解決再試行間隔は、Silk Test Workbench がオブジェクトの検索を再試行するまで待機する時間をミリ秒で指定します。デフォルト値は、1000 ミリ秒です。
オブジェクト有効化タイムアウト (OPT_OBJECT_ENABLED_TIMEOUT)
再生中にオブジェクトが有効になるまで Silk Test Workbench が待機する最大時間をミリ秒で指定します。デフォルト値は、1000 ミリ秒です。
注: タイムアウトは重なりません。

Silk Test Workbench が提供する自動的な同期のうち、特に Web アプリケーションに関する詳細な情報については、「xBrowser のページ同期」を参照してください。Silk Test Workbench が提供する同期のうち、特に AJAX アプリケーションに関する詳細な情報については、「How to Synchronize Test Automation Scripts for Ajax Applications」を参照してください。

自動的な同期に加えて、Silk Test Workbench では、VB. NET スクリプトに待機関数を手動で追加することもできます。Silk Test Workbench は、手動同期用に次の待機関数を提供します。
WaitForObject
指定したロケータに一致するオブジェクトを待機します。XPath ロケーターやオブジェクト マップ識別子に対して動作します。
WaitForProperty
propertyName パラメータで指定したプロパティが expectedValue パラメータで指定した値を返すまで、またはタイムアウトに到達するまで待機します。
WaitForDisappearance
オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。
WaitForChildDisappearance
locator パラメータで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。

テストが ObjectNotFoundException で不規則に失敗する場合、オブジェクト解決タイムアウト を増やします (30 秒にするなど)。進行状況ダイアログが表示され、長時間計算が行われた後に表示されるオブジェクトをクリックする場合など、特定の操作に特別に時間のかかる場合は、WaitForObject メソッドをテスト スクリプトに手動で追加してオブジェクトが見つかるまで待機するようにしたり、WaitForDisappearance メソッドをテスト スクリプトに追加して進行状況ダイアログが表示されなくなるまで待機するようにします。

自動的な同期の例

Silk Test Workbench がキャプション Ok を持つボタンをクリック する、次のサンプル コードを考えます。

'VB .NET code
Dim button = _desktop.PushButton("@caption='Ok'")
button.Click()
このサンプル コードの操作を再生するために、Silk Test Workbench は次の同期操作を実行します。
  1. Silk Test Workbench はボタンを検索します。そして、オブジェクト解決タイムアウト が経過した場合、Silk Test Workbench は再生を停止して例外をスローします。
  2. Silk Test Workbench はテスト対象アプリケーション (AUT) が準備完了状態になるまで待機します。AUT が準備完了状態になる前に、同期タイムアウト が経過した場合、Silk Test Workbench は再生を停止して例外をスローします。
  3. Silk Test Workbench はボタンが有効になるまで待機します。オブジェクト有効化タイムアウト がボタンが有効になる前に経過した場合、Silk Test Workbench は再生を停止して例外をスローします。
  4. Silk Test Workbench はボタンをクリックします。
  5. Silk Test Workbench はテスト対象アプリケーション (AUT) が再び準備完了状態になるまで待機します。
親トピック: テストの再生と結果の分析
関連概念
xBrowser のページ同期
関連タスク
再生のタイミング オプションの設定
xBrowser 同期オプションの設定


結果の分析

結果 はビジュアル テストやスクリプトの再生中に生成される資産で、これによって、テスト プロセスを証明したり、任意の時点におけるテスト アプリケーションの機能の状態を永続的に記録したりできます。結果には、ビジュアル テストやスクリプトの名前、実行番号、各ステップや行が実行された日時、コマンドやステップのステータス（合格か失敗か）、その他の重要な情報など、再生に関する情報が含まれます。結果は、再生情報を確認し、テストに失敗した領域を分析するのに役立ちます。

結果の表示は、再生後すぐに 結果 ウィンドウを開くか、または アセット ブラウザ から結果を選択して行います。結果 ウィンドウでは、ビジュアル ナビゲータ の 4 つのペインを使用して結果情報が表示されます。また、結果 ウィンドウでは結果情報がタブを使用して整理されるため、再生の要約レポート、合格／失敗の検証、フラグを付けられたステップ、およびビジュアル テストのすべてのステップやスクリプトのコード行の詳細な結果にすばやくアクセスできます。

結果の 画面プレビュー で、ビジュアル テストの記録中にキャプチャされていた画面と再生中にキャプチャされた画面とを比較できます。比較して違いがあった場合は、画面プレビュー からすぐに再生画面のビジュアル テスト画面を更新できます。詳細については、「画面テスト ステップのキャプチャ画面の更新」を参照してください。

テスト手順の文書化や、他のテスト担当者との協業においては、結果を印刷したり、結果をファイルに保存したり、結果内の重要な問題について自分自身または他の担当者に注意を促すために、項目にフラグを付けたりすることができます。

また、フィルタを作成して適用すれば、最も関心のある結果情報のみを表示できます。たとえば、直前のテストの再生で失敗した検証のみを確認する場合、フィルタを作成して適用し、必要な情報のみを表示することができます。

結果を開いたあと、Silk Test Workbench では 結果 ウィンドウが表示されます。このウィンドウで、ビジュアル テストまたはスクリプトの再生に関するすべての側面についての詳細な情報を確認および分析できます。

  • [結果] ウィンドウ
    結果 ウィンドウのコントロールについて説明します。
  • 結果の管理
    ビジュアル テストと .NET スクリプトの結果を管理する方法について説明します。
  • 結果フィルタ
    結果フィルタの概要について説明します。
  • [条件] ダイアログ ボックス
    条件 ダイアログ ボックスのコントロールについて説明します。
親トピック: テストの再生と結果の分析
関連概念
結果の分析：概要


[結果] ウィンドウ

ビジュアル テストまたはスクリプトを再生したあと、再生結果を 結果 ウィンドウに表示することができます。

結果 ウィンドウには以下の機能があります。
ビジュアル ナビゲータ
テスト再生の全体の様子がすばやくわかります。詳細については、「[結果] ウィンドウのビジュアル ナビゲータ」を参照してください。
[結果] ウィンドウのツールバー
結果の内容の表示と種類をカスタマイズすることができます。詳細については、「[結果] ウィンドウのツールバー」を参照してください。
[結果] ウィンドウのタブ
タブには、結果の内容を特定の種類にまとめられています。詳細については、「[結果] ウィンドウのタブ」を参照してください。
  • [結果] ウィンドウのツールバー
    結果 ウィンドウのツールバーの内容について説明します。
  • [結果] ウィンドウのタブ
    結果 ウィンドウのタブの内容について説明します。
  • [結果] ウィンドウのビジュアル ナビゲータ
    ビジュアル ナビゲータの テスト ステップ、画面プレビュー、ストーリーボード、および プロパティ ペインについて説明します。
親トピック: 結果の分析
親トピック: UI トピック


[結果] ウィンドウのツールバー

結果 ウィンドウのツールバーには、結果に含まれる内容の表示と種類をカスタマイズするための以下のボタンとドロップダウン リストがあります。

  • 種類の選択によるフィルタ処理の結果：すべての事前定義済みおよびユーザー定義の結果フィルタにすばやくアクセスできます。リストからフィルタを選択します。
  • フィルタの管理：結果フィルタを作成、編集、複製、および適用できる フィルタの管理 ダイアログ ボックスが開きます。
  • 条件：条件 ダイアログ ボックスが表示されます。このダイアログ ボックスでは、今後のすべての実行の成功を定義する条件として、合格した検証のパーセンテージを設定できます。たとえば、合格条件を 90% に設定した場合は、ビジュアル テストまたはスクリプトにおける 10 件の検証のうち 9 件以上に合格しないと、再生の結果が合格になりません。このオプションを設定すると、結果合格条件（パーセンテージ） オプションが更新されます。このパーセンテージは、今後のすべての結果に適用されます。
  • すべての実行を表示：実行の詳細 ダイアログ ボックスが開き、テストのすべてのテスト実行結果、およびテスト実行が合格したか失敗したかの一覧が表示されます。このダイアログ ボックスで、結果を開いたり削除したりすることができます。
  • 更新：現在の結果を更新します。
  • 表示：テスト ステップ ペインに表示されるステップのタイプを設定します。このボタンの横にあるドロップダウン矢印をクリックして、ステップのみを表示するか、画面のみを表示するか、またはその両方を表示するかを選択します。ステップの説明 列を表示するように選択することもできます。選択された表示は、結果 ウィンドウの各タブ（合格、失敗、フラグ、および 詳細）に適用されます。
  • 基本表示：テスト ステップ ペインの標準の列が表示され、プロパティ ペインに対応するプロパティが表示されます。
  • 詳細表示：テスト ステップ ペインに追加の列、および プロパティ ペインに対応するプロパティが表示されます。テスト ステップ ペインに追加の列を表示するには、右にスクロールすることが必要となる場合があります。
親トピック: [結果] ウィンドウ


[結果] ウィンドウのタブ

結果 ウィンドウのタブは、ビジュアル テストの特定の種類のステップまたはスクリプトの特定の種類のコード行をすばやく表示できるフィルタとして機能します。

合格、失敗、フラグ、および 詳細 タブのすべてで同じ方法、つまり ビジュアル ナビゲータ のペインを使用して内容が整理され、表示されます。それぞれのタブでは、表示される内容の種類が異なります。詳細 タブには、各ステップまたはコード行が含まれます。合格 タブには、合格した検証のみが含まれます。失敗 タブには、失敗した検証のみが含まれます。フラグ タブには、フラグを付けられた結果ステップのみが含まれます。

結果 ウィンドウには以下のタブがあります。

要約 タブ
結果を開くと、このタブがデフォルトで表示されます。デフォルトの結果表示を変更するには、[全般] オプションの デフォルトの結果表示 オプションを変更します。要約 タブには、以下の情報を含む全般的な概要レポートが表示されます。
  • 総実行結果：ビジュアル テストまたはスクリプトが正常に再生されて、結果合格条件（パーセンテージ）を満たしている場合は、[合格] と表示されます。結果合格条件（パーセンテージ）を満たしていない場合は、[失敗] と表示されます。ステップを正しく実行できなかった場合は、[再生エラー] と表示されます。
  • ブラウザー：Web アプリケーションに対してテストが実行された場合、次の情報が行に表示されます。
    • テストが実行されたブラウザー。
    • ブラウザーのバージョン。
    • 再生時に使用するブラウザー サイズ。
    • モバイル デバイス、エミュレータ、シミュレータのオペレーティング システムとそのバージョン。モバイル Web アプリケーションに対してテストが実行された場合にのみ、この情報が表示されます。
    • モバイル デバイス、エミュレータ、シミュレータの名前。モバイル Web アプリケーションに対してテストが実行された場合にのみ、この情報が表示されます。
    • ブラウザー テストが実行されたモバイル デバイスが接続されている、またはエミュレータやシミュレータが実行されているマシンの名前。モバイル Web アプリケーションに対してテストが実行された場合にのみ、この情報が表示されます。
  • デバイス：ネイティブ モバイル アプリケーションに対してテストが実行された場合、次の情報が行に表示されます。
    • モバイル デバイス、エミュレータ、シミュレータの名前。
    • モバイル デバイス、エミュレータ、シミュレータのオペレーティング システムとそのバージョン。
    • モバイル デバイスが接続されている、またはエミュレータやシミュレータが実行されているマシンの名前。
  • モバイル アプリケーション：テストを実行したモバイル アプリケーションへの完全パス。ネイティブ モバイル アプリケーションに対してテストが実行された場合にのみ、この情報が表示されます。
  • 中止の理由：ビジュアル テストまたはスクリプトの再生が中止された理由を表示します。
  • 最新の実行番号：最新の結果の実行番号を表示します。
  • 最近の実行：最近の実行を表示します。前の実行を表示するには、表示する実行をクリックします。このフィールドに表示されていない以前の実行を開くには、ツールバーの すべての実行を表示 をクリックして 実行の詳細 ダイアログ ボックスを開きます。ここで、前の実行を開いたり削除したりできます。
  • 実行されたビジュアル テスト／.NET スクリプト：結果のビジュアル テストまたはスクリプトの名前を表示します。
  • ビジュアル テスト／.NET スクリプトの説明：結果のビジュアル テストまたはスクリプトの説明を表示します。
  • 結果の説明：結果の説明を表示します。
  • ビジュアル テスト または スクリプト：再生の一部として正しく実行されたビジュアル テストまたはスクリプトをすべて一覧します。これには、Workbench.RunScript() メソッドを使用して実行された、挿入されたビジュアル テストまたはスクリプトも含まれます。たとえば、ドライバ スクリプトでは、一度の再生により複数のスクリプトが実行されることがあります。
  • 合格した検証：すべてのビジュアル テストまたはスクリプトで、正常に実行され合格した検証の合計数を表示します。このフィールドの数字をクリックすると 合格 タブが開くため、合格したすべての検証を確認できます。
  • 失敗した検証：すべてのビジュアル テストまたはスクリプトで、正常に実行されたが失敗した検証の合計数を表示します。このフィールドの数字をクリックすると 失敗 タブが開くため、失敗したすべての検証を確認できます。
  • フラグ：ビジュアル テストについて、結果でフラグを付けられた検証ステップの総数です。このフィールドの数値をクリックして、フラグ タブを開きます。フラグは、スクリプトでは使用できません。
  • 開始時刻：最初のビジュアル テストまたはスクリプトの再生が開始された時刻です。
  • 終了時刻：最後のビジュアル テストまたはスクリプトの再生が終了した時刻です。
  • 合計時間：ビジュアル テストまたはスクリプトを再生した合計時間です。
  • 実行したステップ数：実行したステップまたはコード行の総数です。
  • 再生設定：結果の作成に使用される再生オプションのグループである再生設定を表示します。編集 をクリックして再生オプションを表示し、再生設定を設定することができます。
合格 タブ：
再生中に合格した検証が表示されます。
失敗 タブ：
再生中に失敗した検証が表示されます。再生エラーとなったステップはこのタブには表示されません。
フラグ タブ：
結果内のフラグ付きステップが表示されます。結果が作成されたあとで手動でフラグを挿入するか、またはビジュアル テストの再生中にフラグを挿入する検証ロジックを使用することで、結果のステップにフラグを挿入できます。フラグ タブには、結果内のすべてのフラグ付きステップが動的に表示されます。たとえば、合格、失敗、または 詳細 タブのいずれかにフラグを挿入すると、Silk Test Workbench によって フラグ タブが自動的に更新され、フラグを付けられたステップが表示されます。
注: ビジュアル テストのフラグ付きのステップは、再生後はこのタブに表示されません。結果でフラグを付けられたステップと検証ロジックで挿入されたフラグのみが、結果の フラグ タブに表示されます。フラグは、スクリプトでは使用できません。
詳細 タブ：
ビジュアル テストの各ステップまたはスクリプトの各コード行に関する情報が表示されます。テスト ステップやコード行の名前、合格/失敗のステータス、説明、フラグのステータスなどです。キーワード駆動テストの場合、詳細 タブにはキーワード駆動テストに含まれ、ビジュアル テストとして実装されているキーワードのステップが表示されます。詳細 タブには、再生の詳細も表示されます。再生中にエラーが発生したとき、そのビジュアル テストまたはスクリプトが他のビジュアル テストから呼び出されていた場合、再生の詳細には、ビジュアル テストまたはスクリプトを呼び出したビジュアル テストのテスト ステップも含まれます。

[結果] ウィンドウのそれぞれのタブで、テスト ステップ ペインの 基本表示 または 詳細表示 のいずれかを選択できます。詳細表示 では、テスト ステップ ペインに追加の列が表示されます。

  • 実行ステータスの種類
    実行ステータスの種類について説明します。
  • ステップのステータスの種類
    結果のステップのステータスの種類について説明します。
親トピック: [結果] ウィンドウ


実行ステータスの種類

Silk Test Workbench は、再生中のテストのパフォーマンスに基づいて、結果の各テスト実行に対して実行ステータスを割り当てます。 実行ステータスは、結果の 要約 タブの 総実行結果 テキスト ボックスに表示されます。

実行ステータスは結果の合格条件を示す割合に依存します。結果の合格条件は、テストの合格を定義する、合格した検証の割合を指定したものです。 たとえば、合格条件を 90% に設定した場合、テストの 10 件の検証のうち 9 件に合格しないと、再生の結果が合格になりません。

実行ステータスの種類

実行ステータスの種類には、以下のものがあります。

タイプ | 説明
合格 | 合格 実行ステータスは、成功したテスト再生を示します。 テストに検証が含まれている場合、合格 ステータスは結果の合格条件の割合に達していることも示します。
失敗
失敗 実行ステータスは、再生中に失敗した検証がテストに含まれており、失敗した検証の割合が結果の合格条件の割合に達していないことを示します。
注: デフォルトでは、結果の合格条件は 100% に設定されています。 このオプションを変更するには、結果 ウィンドウのツールバーの 条件 をクリックします。
再生エラー

再生エラー 実行ステータスは、正常に実行されなかったステップが結果に含まれていることを示します。 たとえば以下のような場合です。

  • アクティブ データ ファイル内の存在しない列を参照するステップ
  • 存在しないローカル変数を参照するステップ
  • 開始されていないタイマーを実行するステップ

結果のステップのステータスの詳細については、「ステップのステータスの種類」を参照してください。

親トピック: [結果] ウィンドウのタブ
関連概念
ステップのステータスの種類


ステップのステータスの種類

Silk Test Workbench は、再生中のステップのパフォーマンスに基づいて、結果の各ステップに対してステータスを割り当てます。 ステップのステータスは テスト ステップ ペインの 結果 列に表示され、ステップのテキストはそのステータスの種類に応じた色で表示されます。

ステップのステータスの種類

結果のステップのステータスの種類には、以下のものがあります。
タイプ 説明
合格

検証ステップがそのステップの検証ロジックで定義されている条件を満たしている場合は、ステップに 合格 ステータスが割り当てられます。

このステータスの種類が割り当てられているステップは、結果の 合格 タブおよび 詳細 タブに表示されます。 結果 列に 合格 と表示され、ステップ テキストが緑で表示されます。

失敗

検証ステップがそのステップの検証ロジックで定義されている条件を満たしていない場合は、ステップに 失敗 ステータスが割り当てられます。

このステータスの種類が割り当てられているステップは、結果の 失敗 タブおよび 詳細 タブに表示されます。 結果 列に 失敗 と表示され、ステップ テキストが赤で表示されます。

再生エラー

再生エラー ステータスのステップは、正常に実行されなかったステップです。 たとえば以下のような場合です。

  • アクティブ データ ファイル内の存在しない列を参照するステップ
  • 存在しないローカル変数を参照するステップ
  • 開始されていないタイマーを実行するステップ

結果 列に 再生エラー と表示され、ステップ テキストが青で表示されます。

エラー画面

再生エラー ステータスのステップのあとに表示されるステップです。 エラー画面 ステータスが割り当てられたステップでは、テストで再生エラーが発生したときに表示されたテスト アプリケーションの画面が表示されます。

結果 列に エラー画面 と表示され、ステップ テキストが青で表示されます。

注: このステップ タイプはテスト スクリプトでは利用できません。
正しく実行されたステップ

正しく実行されたすべてのステップ（検証ステップ以外）。

結果 列は空で、ステップ テキストの色は黒です。

結果の実行ステータスの詳細については、「実行ステータスの種類」を参照してください。

親トピック: [結果] ウィンドウのタブ
関連概念
実行ステータスの種類


[結果] ウィンドウのビジュアル ナビゲータ

結果 ウィンドウには [ビジュアル ナビゲータ] があり、テストの再生をあらゆる面からすばやく確認できます。

ビジュアル テストの場合は、合格 タブ、失敗 タブ、フラグ タブ、詳細 タブのすべてに [ビジュアル ナビゲータ] の以下の 4 つのペインが表示されます。

  • テスト ステップ
  • 画面プレビュー
  • プロパティ
  • ストーリーボード

結果 ウィンドウの 合格、失敗、フラグ、および 詳細 タブでは、ビジュアル ナビゲータの 4 つのペインで内容が整理されて表示されます。テスト ステップ、画面プレビュー、ストーリーボード、および プロパティ ペインは互いに同期し、テスト ステップ ペインで選択したステップに固有の情報が表示されます。結果 ウィンドウのビジュアル ナビゲータ ペインには、以下のセクションで説明する追加機能が含まれています。

テスト ステップ

結果を表示すると、テスト ステップ ペインには、ビジュアル テストと同様の情報と各テスト ステップの結果の追加データが表示されます。ステップを選択すると、選択したステップに固有の情報でその他のペインが更新されます。また、フラグを挿入したり、選択したステップにステップの説明を追加したりできます。結果を [基本表示] または [詳細表示] で表示することを選択できます。

画面プレビュー

結果の [画面プレビュー] で、ビジュアル テストの記録中にキャプチャされていた画面と再生中にキャプチャされた画面とを比較できます。テスト ステップ ペインで比較する画面を含むステップを選択してから、画面プレビュー で 操作 > 相違点の表示 > 横に並べる の順にクリックします。再生中にキャプチャされた画面を含むようにビジュアル テストを更新する場合は、操作 > 画面の更新 の順にクリックします。

ストーリーボード

結果の ストーリーボード ペインでは、アイコンで検証ロジック ステップの実行ステータスが示されます。

プロパティ

結果の プロパティ ペインには、再生中にキャプチャされた結果のプロパティと値が表示されます。

プロパティ ペインには 再生前のビジュアル テストのステップ プロパティを表示/非表示 ツールバー ボタンがあり、選択したステップのビジュアル テストのプロパティを表示または非表示にすることができます。

スクリプトでは、結果 ウィンドウには テスト ステップ ペインおよび プロパティ ペインのみ表示されます。テスト ステップ ペインには、各テスト ステップの再生ステータスと結果の詳細情報を示す列があります。

結果データの表示をカスタマイズするには、全般 オプションから デフォルトの結果表示 を変更します。再生結果オプションを変更し、目的のデータを表示するフィルタを作成することもできます。

結果 ウィンドウのツールバーの [基本表示] または [詳細表示] オプションを使用することにより、プロパティ ペインに特定のプロパティを表示できます。

親トピック: [結果] ウィンドウ
関連概念
画面テスト ステップのキャプチャ画面の更新
関連資料
[ビジュアル ナビゲータ]：[テスト ステップ] ペイン


結果の管理

デフォルトでは、Silk Test Workbench によりビジュアル テストまたはスクリプトの再生後に結果が作成され、固有の資産として保存されます。結果を表示するには、以下のいずれかの方法を使用できます。

  • 再生後、再生完了 ダイアログ ボックスから、手動で結果を開きます。

  • 再生直後、自動的に結果を開く

  • あとでアセット ブラウザから結果を開く

結果を開くと、結果 ウィンドウが表示され、デフォルトで結果の 要約 タブが表示されます。デフォルトの結果表示を変更するには、全般 オプションの デフォルトの結果表示 オプションを変更します。

デフォルトの結果名は、再生したビジュアル テストまたはテスト スクリプトの名前です。再生結果 オプションで デフォルトの結果名 オプションを変更できます。

  • 結果の作成
    再生情報を確認し、テストに失敗した領域を分析します。
  • 結果の動作と表示のカスタマイズ
    結果の動作と表示を構成するためのさまざまな方法を示します。
  • 再生後に結果を手動で開く
    再生後に手動で結果を開いて、結果を表示することができます。
  • 再生後に結果を自動的に開く
    自動的に結果を開くように Silk Test Workbench を設定して、結果を表示することができます。
  • アセット ブラウザからの結果の表示
    あとでアセット ブラウザから結果を開き、結果を表示することができます。
  • 複数のビジュアル テストのエラーのトレース
    エラーを発生したビジュアル テストを呼び出すステップで見るように 結果 ウィンドウでエラーをトレースできます。
  • 結果からビジュアル テストまたはテスト スクリプトへの切り替え
    特定の結果にリンクされているビジュアル テストを表示します。
  • ビジュアル テストへの結果コメントの挿入
    結果コメントを使用すると、結果内のビジュアル テストに関する補足情報を提供できます。
  • ビジュアル テストの結果の印刷
    結果を印刷して、ビジュアル テストの出力を保存します。
  • スクリプトの結果の印刷
    結果を印刷して、スクリプトの出力を保存します。
  • ファイルへの結果の保存
    テスト手順を文書化したり、他のテスト担当者と協業するために、ビジュアル テストまたはテスト スクリプトの結果をXMLファイル、タブ区切りファイル、またはプレーンなテキスト ファイルに保存することができます。
親トピック: 結果の分析


結果の作成

  1. ビジュアル テストまたはスクリプトを開きます。
  2. 再生 をクリックします。
    再生 ダイアログ ボックスが開きます。
  3. 結果の説明 テキスト ボックスに結果の説明を入力します。
  4. 結果オプション リストからオプションを選択することにより、結果を保存する方法を選択します。 以下のオプションのいずれかを選択します。
    • 新しい実行番号で結果を保存：再生の結果は、増分された実行番号で保存されます。 これはデフォルトの設定です。
    • 現在の実行番号に結果を追加：現在の再生の結果は、最新の既存の実行番号の結果に追加されます。 新しい実行番号は作成されません。 この設定は、結果が存在している場合にのみ表示されます。
    • 既存の実行番号を新しい結果で上書き：前の再生は、新しい再生結果によって前の再生の実行番号を使って上書きされます。 この設定は、ビジュアル テストまたはスクリプトがはじめて再生されたときにのみ表示されます。
    • この結果を保存しない：結果ファイルを作成せずに再生します。既存の結果がないビジュアル テストまたはスクリプトに対して 現在の実行番号に結果を追加 または 既存の実行番号を新しい結果で上書き が選択された場合は、新しい実行番号で結果を保存 が使用されます。
  5. OK をクリックします。
親トピック: 結果の管理


結果の動作と表示のカスタマイズ

Silk Test Workbench には、結果の動作と表示を設定するためのさまざまな方法があります。

オプション ダイアログ ボックスでは、結果オプションを含むさまざまな再生オプションの値を設定できます。 オプション ダイアログ ボックスで設定する再生オプションは、Silk Test Workbench によってその後のすべてのビジュアル テストの再生に自動的に適用されるグローバル オプションです。 詳細については、「再生オプションの変更」を参照してください。

ビジュアル テストの場合は、再生設定の設定ステップを挿入し、目的の再生設定を選択することにより、デフォルトの結果オプションを上書きできます。 詳細については、「ビジュアル テスト内での再生設定値の設定」を参照してください。

スクリプトとビジュアル テストの場合は、結果の記録に関するいくつかの特性を 再生 ダイアログ ボックスから直接制御できます。 詳細については、「結果の記録のオン／オフの切り替え」を参照してください。

  • 結果の記録のオン／オフの切り替え
    再生後に Silk Test Workbench が結果を作成しないようにするには、再生結果 オプションまたは 再生 ダイアログ ボックスで 結果オプション を設定します。
親トピック: 結果の管理
関連概念
再生オプション
関連タスク
ビジュアル テスト内での再生設定値の設定


結果の記録のオン／オフの切り替え

デフォルトでは、Silk Test Workbench は、ビジュアル テストまたはスクリプトの再生ごとに結果を作成します。 再生後に Silk Test Workbench が結果を作成しないようにするには、再生結果 オプションまたは 再生 ダイアログ ボックス（ビジュアル テストまたはスクリプトを再生するとデフォルトで表示されます）で 結果オプション を設定します。

  1. ツール > オプション を選択します。 オプション ダイアログ ボックスが開き、デフォルトで 全般 オプションがリストされます。
  2. ツリー ビューで 再生 オプションをダブルクリックし、結果 をクリックします。 使用可能な結果オプションがダイアログ ボックスの右側のウィンドウに表示されます。
  3. 結果の記録をオフにするには、結果オプション リストから この結果を保存しない を選択します。
  4. 結果の記録をオンにするには、結果オプション リストから以下のいずれかのオプションを選択します。
    • 新しい実行番号で結果を保存：再生の結果は、増分された実行番号で保存されます。 これはデフォルトの設定です。
    • 現在の実行番号に結果を追加：現在の再生の結果は、最新の既存の実行番号の結果に追加されます。 新しい実行番号は作成されません。 この設定は、結果が存在している場合にのみ表示されます。
    • 既存の実行番号を新しい結果で上書き：前の再生は、新しい再生結果によって前の再生の実行番号を使って上書きされます。 この設定は、ビジュアル テストまたはスクリプトがはじめて再生されたときにのみ表示されます。
  5. OK をクリックします。
親トピック: 結果の動作と表示のカスタマイズ


再生後に結果を手動で開く

再生後に手動で結果を開いて、結果を表示することができます。

  1. ツール > オプション を選択します。 オプション ダイアログ ボックスが開き、デフォルトで 全般 オプションがリストされます。
  2. [再生完了] ダイアログの表示 オプションが はい になっていることを確認するか、または設定します。
  3. ビジュアル テストまたはスクリプトを実行します。 再生完了 ダイアログ ボックスが開きます。
  4. 結果へ移動 をクリックします。 結果 ウィンドウが開き、結果が表示されます。
親トピック: 結果の管理


再生後に結果を自動的に開く

自動的に結果を開くように Silk Test Workbench を設定して、結果を表示することができます。

  1. ツール > オプション を選択します。 オプション ダイアログ ボックスが開き、デフォルトで 全般 オプションがリストされます。
  2. 結果を自動的に開く リスト ボックスから、はい を選択します。
  3. [再生完了] ダイアログの表示 リスト ボックスから、いいえ を選択します。 これにより、再生後に 再生完了 ダイアログ ボックスが表示されなくなります。
  4. ビジュアル テストまたはスクリプトを実行します。 再生後、Silk Test Workbench によって自動的に 結果 ウィンドウが表示され、結果が表示されます。
親トピック: 結果の管理


アセット ブラウザからの結果の表示

あとでアセット ブラウザから結果を開き、結果を表示することができます。

  1. 表示 > アセット ブラウザ を選択します。 アセット ブラウザ ウィンドウが開きます。
  2. 資産の種類 リストから、結果 を選択します。 項目ペインに既存の結果がリストされます。
  3. 表示する結果をダブルクリックします。 結果 ウィンドウが開き、結果が表示されます。
親トピック: 結果の管理


複数のビジュアル テストのエラーのトレース

ビジュアル テストまたは VB .NET スクリプトが他のビジュアル テストから呼び出され、実行中にエラーが発生した場合、呼び出したビジュアル テストの結果の 詳細 タブにエラーを起こしたテストステップが表示され、エラーが発生した呼び出されたビジュアル テストまたは VB .NET スクリプトそれぞれのテスト ステップまたはコードの行数と共に表示されます。呼び出したビジュアル テストが、さらに他のビジュアル テストのステップから呼び出されていた場合、呼び出したビジュアル テストの結果には呼び出されビジュアル テストのステップがさらに表示されます。これらのテスト ステップを参照するには、つぎの作業を行います。
  1. 実行されたビジュアル テストの結果を開きます。
  2. 詳細 タブを選択します。
  3. エラーが発生したステップを選択します。
  4. プロパティ ペインを開きます。 再生の詳細 セクションの 呼び出し元 リストに、呼び出したビジュアル テスト、および呼び出されたビジュアル テストまたはテスト スクリプトにおける、エラーが発生したステップが対応するビジュアル　テストまたはテスト スクリプトの名前と共にリスト表示されます。
  5. リストから資産を選択し、資産を開く をクリックすると、エラーが発生したステップまたは行に直接アクセスできます。

例

ビジュアル テスト Test1 の 2 番目のステップがビジュアル テスト Test2 を呼び出し、Test2 の 5 番目のステップがビジュアル テスト Test3 を呼び出している場合に、Test1 の実行時に Test3 の 4 番目のステップでエラーが発生すると、Test1 の結果ファイルには次の項目が含まれます。
呼び出し元 |
Test1 | 2
Test2 | 5
Test3 | 4
親トピック: 結果の管理


結果からビジュアル テストまたはテスト スクリプトへの切り替え

特定の結果にリンクされているビジュアル テストを表示します。

  1. ビジュアル テストの結果を開きます。
  2. 詳細 タブをクリックし、テスト ステップ ペインのタイトルバーで 操作 をクリックします。
  3. ビジュアル テストのウィンドウ を選択します。
  4. 結果 ウィンドウに戻るには、ビジュアル テストの テスト ステップ ペインのタイトルバーで 操作 をクリックして、[結果] ウィンドウへ移動 を選択します。
親トピック: 結果の管理


ビジュアル テストへの結果コメントの挿入

結果コメントを使用すると、結果内のビジュアル テストに関する補足情報を提供できます。 ビジュアル テストを再生すると、結果 ウィンドウの 詳細 タブにコメントがステップとして表示されます。

ヒント: 結果コメントの挿入以外に、フラグを使用して選択したステップのコメントを挿入することもできます。
  1. ビジュアル テストの場合、ビジュアル テストの テスト ステップ ペインで、結果コメントを表示するステップを選択します。
  2. 挿入 > 結果コメント を選択します。 テスト ステップ ペインに 結果コメント ステップが表示され、このステップのプロパティが プロパティ ペインに表示されます。
  3. プロパティ ペインで、以下のステップのいずれかを実行します。
    • 式 プロパティ値テキスト ボックスにコメントを入力します。
    • テキスト ボックスをクリックして、選択 ボタンを有効にすると、変数を選択したり、コメント値として使用する式を作成できます。
  4. ビジュアル テストを再生します。 結果の 詳細 タブで、結果コメント ステップの 結果の詳細 列にコメントが表示されます。
親トピック: 結果の管理
関連タスク
結果へのフラグの挿入


ビジュアル テストの結果の印刷

  1. 印刷する結果を開きます。
  2. ファイル > 印刷 を選択します。 印刷 ダイアログ ボックスが開きます。
  3. リストからプリンタを選択します。
  4. 省略可能：プロパティ をクリックすると、余白や印刷の向きなどの印刷ページ設定を変更できます。
  5. 省略可能：印刷範囲 セクションで、ドキュメント全体を印刷するか、または選択したページのみを印刷するかを指定します。
  6. 省略可能：部数 フィールドで、印刷する部数を指定します。
  7. 省略可能：部単位で印刷する チェック ボックスをオンにすると、すべてのコピーの対応するページをまとめて印刷します。 このチェック ボックスは、複数の部数を印刷するように選択した場合にのみ有効になります。
  8. 印刷出力をカスタマイズするには、オプション をクリックして、印刷出力に含める結果情報の種類を選択します。 以下のオプションがあります。
    以下を含める
    含める要約の種類を指定します。
    • ビジュアル テストの要約：要約にはビジュアル テストの名前、プロジェクト、作成者、作成日、バージョン、および説明が含まれています。この要約は、印刷出力の最後のページに表示されます。
    • 結果の要約：最新の結果の要約ページを含めます。この要約は、印刷出力の最初のページに表示されます。
    • グループ画面：現在のダイアログ ボックスまたは Web ページのメイン コンテンツを含むグループ画面のスナップショットを印刷出力に含めます。グループ画面に続くテスト ステップは、現在のダイアログ ボックスまたは Web ページのコンテンツで発生する単一の操作に対応します。グループ画面は、テスト ステップ ペインの Using ステップに対応します。グループ画面のスナップショットは、画面プレビュー ペインで表示されるように、印刷出力に示されます。
    タブ
    印刷対象の内容を含むタブを指定します。印刷出力では、詳細 タブの内容が先に示され、そのあとに 合格 タブ、失敗 タブ、および フラグ タブの内容が示されます。
    • 合格：結果の 合格 タブの内容を含めます。
    • 失敗：結果の 失敗 タブの内容を含めます。
    • フラグ：結果の フラグ タブの内容を含めます。
    • 詳細：結果の 詳細 タブの内容を含めます。
    各ステップに含める
    各ステップに含める内容を指定します。
    • 画面：各ステップの関連画面スナップショットを含めます。個々の画面は (ステップ画面) に対応し、現在のダイアログ ボックスまたは Web ページでの特定の操作に関連付けられます。ステップ画面のスナップショットは、画面プレビュー ペインで表示されるように、印刷出力に示されます。
    • 説明：各ステップの説明を含めます。ステップの説明は、プロパティ ペインの ステップの説明 プロパティに表示されるように、印刷出力に示されます。
    • フラグの詳細：フラグの説明、作成者、更新者、更新日、割り当てられたユーザーなどのフラグの詳細を含めます。
    以下のプロパティを含める
    各ステップに含めるプロパティを指定します。
    • 拡張プロパティ：ステップに関する補足情報を提供する拡張プロパティを含めます。
    • その他すべてのプロパティ：各ステップの拡張プロパティ以外のすべてのプロパティを含めます。
    デフォルト
    デフォルトの印刷オプションを選択するには、このボタンをクリックします。
  9. 省略可能：プレビュー をクリックして、結果情報がどのように印刷されるかを表示します。 プレビュー ウィンドウが開きます。
  10. OK をクリックします。
親トピック: 結果の管理
関連タスク
ビジュアル テストの印刷
スクリプトの印刷
スクリプトの結果の印刷


スクリプトの結果の印刷

  1. 印刷する結果を開きます。
  2. ファイル > 印刷 を選択します。 印刷 ダイアログ ボックスが開きます。
  3. 印刷オプションを設定します。
  4. 印刷出力をカスタマイズするには、オプション をクリックして、印刷出力に含める結果情報の種類を選択します。 以下のオプションがあります。
    以下を含める
    含める内容の種類を指定します。
    • .NET スクリプトの要約：スクリプトの名前、プロジェクト、作成者、作成日、バージョン、および説明を含むスクリプトの要約を含めます。この要約は、印刷出力の最後のページに表示されます。
    • 結果の要約：スクリプトの最新の結果の要約ページを含めます。この要約は、印刷出力の最初のページに表示されます。
    • グループ画面：スクリプトでは利用できません。
    タブ
    印刷対象の内容を含むタブを指定します。印刷出力では、詳細 タブの内容が先に示され、そのあとに 合格 タブ、失敗 タブ、および フラグ タブの内容が示されます。
    • 合格：結果の 合格 タブの内容を含めます。
    • 失敗：結果の 失敗 タブの内容を含めます。
    • フラグ：結果の フラグ タブの内容を含めます。
    • 詳細：結果の 詳細 タブの内容を含めます。
    各ステップに含める
    各ステップに含める内容を指定します。
    • 画面：各ステップに関連したスクリーンショットを含めます。個々の画面は、テスト対象アプリケーションのコントロールに対する固有の操作に関連付けられています。
    • 説明：スクリプトでは利用できません。
    • フラグの詳細：フラグの説明、作成者、更新者、更新日、割り当てられたユーザーなどのフラグの詳細を含めます。
    以下のプロパティを含める
    各ステップに含めるプロパティを指定します。
    • 拡張プロパティ：スクリプトでは利用できません。
    • その他すべてのプロパティ：スクリプトのすべてのプロパティを含めます。
    デフォルト
    デフォルトの印刷オプションを選択するには、このボタンをクリックします。
  5. 省略可能：プレビュー をクリックして、結果情報がどのように印刷されるかを表示します。 プレビュー ウィンドウが開きます。
  6. 余白、向きなどのページ設定情報を変更するには、プロパティ をクリックします。
  7. OK をクリックします。
親トピック: 結果の管理
関連タスク
ビジュアル テストの印刷
スクリプトの印刷
ビジュアル テストの結果の印刷


ファイルへの結果の保存

テスト手順を文書化したり、他のテスト担当者と協業するために、ビジュアル テストまたはテスト スクリプトの結果をXMLファイル、タブ区切りファイル、またはプレーンなテキスト ファイルに保存することができます。 ファイルに保存したら、それをレポート ツールにインポートして、表示、管理、フォーマッティング、印刷などを行えます。

注: テキスト ファイルに保存したビジュアル テストまたはテスト スクリプトの結果をすばやく参照するには、ファイルをタブ区切りファイルとしてMicrosoft Excelにインポートします。 結果が列見出しで整理されて表示されます。
  1. ビジュアル テストまたはスクリプトの結果を開きます。
  2. 以下の結果タブのいずれかをクリックします。
    • 要約
    • 合格
    • 失敗
    • フラグ
    • 詳細

    選択したタブに表示されているデータのみが指定したファイルに保存されます。 フィルタ処理されたデータは表示されず、結果の他のタブに存在しているデータは保存されません。

  3. ファイル > 名前を付けて保存 を選択します。 名前を付けて保存 ダイアログ ボックスが開き、デフォルトの結果名が ファイル名 テキスト ボックスに表示されます。
    注: デフォルトの結果名を変更するには、再生結果 オプションの デフォルトの結果名 オプションを変更します。
  4. ファイルの保存場所を選択します。
  5. ファイル名を入力するか、デフォルト名を使用します。
  6. ファイルの種類を選択します。 任意のタブの結果を、XML形式、タブ区切り形式、またはプレーンなテキスト形式で保存できます。
  7. 保存 をクリックします。
親トピック: 結果の管理


結果フィルタ

多くの場合、結果には大量のデータが含まれます。最も重要なデータに焦点を合わせるために、合格／失敗のステータス、日付／時刻、フラグが付いたステップなどの基準に基づいて、あらかじめ定義したフィルタを適用するか、または専用のフィルタを定義できます。Silk Test Workbench は、現在表示されているビューに関係なく、結果 ウィンドウの 合格、失敗、フラグ、および 詳細 タブにフィルタを適用します。

  • 結果フィルタの作成
    結果フィルタを作成すると、結果 ウィンドウに表示されるデータの量が減少するため、重要な結果をすばやく見つけることができます。
  • 結果フィルタの編集
    フィルタを編集して、結果 ウィンドウに表示されるデータを変更します。
  • 結果フィルタの適用
    結果フィルタは、アクティブな 結果 ウィンドウにのみ適用することも、開いているすべての 結果 ウィンドウに対して適用することもできます。
  • 結果フィルタの複製
    フィルタの管理 ダイアログ ボックスを使用して、結果フィルタのコピーを作成できます。
  • 適用された結果フィルタの削除
    結果フィルタを削除して、結果 ウィンドウにすべての結果データを表示します。
  • 結果フィルタの削除
    フィルタを適用しないで結果を表示するには、ユーザー定義フィルタを削除します。
親トピック: 結果の分析


結果フィルタの作成

結果フィルタを使用すると、結果 ウィンドウに表示されるデータの量が減少するため、重要な結果をすばやく見つけることができます。フィルタを設定したら、フィルタ リストでそれを選択して適用します。

  1. 結果を開きます。
  2. ツールバーで フィルタの管理 をクリックします。 フィルタの管理 ダイアログ ボックスが開きます。
  3. 新規作成 をクリックします。 新しいフィルタ ダイアログ ボックスが開き、デフォルトで 全般 タブが選択されます。
  4. 名前 テキスト ボックスに、フィルタの名前を入力します。 ここで指定した名前がツールバーの フィルタ リストに表示されます。
  5. 省略可能：説明 テキスト ボックスにこのフィルタの使用方法の説明を入力します。
  6. フィルタの種類を選択します。
    • このフィルタを現在のユーザーにのみ使用可能にするには 個人用 を選択します。
    • すべてのユーザーに使用可能にするには 公開用 を選択します。
  7. ダイアログ ボックスの フィルタ条件 セクションで、結果 リストから以下のいずれかのオプションを選択します。
    すべて

    ビジュアル テストのすべてのステップ、またはスクリプトのすべてのコード行を表示します。

    失敗

    正しく実行されなかったステップまたはコード行のみを表示します。

    合格

    正しく実行されたステップまたはコード行のみを表示します。

  8. 日付／時刻 オプションを選択します。
    • 任意の日付の任意の時刻に発生した結果データを表示するには、すべて を選択します。
    • 特定の時刻または日付に発生した結果データを表示するには、開始 を選択して目的の日付／時刻の範囲を指定します。
  9. ユーザー オプションを選択します。
    • すべてのユーザーによって作成された結果データを表示するには、すべて を選択します。
    • 選択したユーザーによって作成された結果データのみを表示するには、選択済み を選択してから目的のユーザーを選択します。
  10. 省略可能：フラグが割り当てられていないすべての結果データをフィルタ処理で非表示にするには、フラグが割り当てられているステップのみ表示する チェック ボックスをオンにします。
  11. より綿密なフィルタを作成するには、詳細 タブをクリックし、必要な検証のみをフィルタ対象として指定します。 デフォルトでは、すべての検証が Silk Test Workbench によってフィルタの対象に含められます。

    左側のペインには、コマンドの種類のあとに、かっこで囲まれた数が表示されます。これらの数は、使用可能なコマンドの総数と選択されたコマンドの数を表します。たとえば、検証（3/7） は、使用可能な 7 種類の検証から 3 種類の検証が選択されていることを示します。また、太字のチェックは、特定のコマンドの種類に関してすべてのコマンドが選択されていることを示します。オペレーティング システムの設定に応じて、チェック ボックス内の四角、または無効になっているチェックが、特定のコマンドの種類に関して一部のコマンドが選択されていることを示します。

  12. OK をクリックします。 フィルタの管理 ダイアログ ボックスが開きます。
  13. アクティブな 結果 ウィンドウにフィルタを適用するには、フィルタを選択して 適用 をクリックし、OK をクリックします。
  14. 閉じる をクリックします。
親トピック: 結果フィルタ


結果フィルタの編集

フィルタを編集して、結果 ウィンドウに表示されるデータを変更します。

  1. 結果を開きます。
  2. ツールバーで フィルタの管理 をクリックします。 フィルタの管理 ダイアログ ボックスが開きます。
  3. ユーザー定義フィルタを選択します。 デフォルトのフィルタ（検証 と 失敗した検証）は編集できません。
  4. 編集 をクリックします。 フィルタの編集 ダイアログ ボックスが開き、デフォルトで 全般 タブが選択されます。
  5. 名前 テキスト ボックスに、フィルタの名前を入力します。 ここで指定した名前がツールバーの フィルタ リストに表示されます。
  6. 省略可能：説明 テキスト ボックスにこのフィルタの使用方法の説明を入力します。
  7. フィルタの種類を選択します。
    • このフィルタを現在のユーザーにのみ使用可能にするには 個人用 を選択します。
    • すべてのユーザーに使用可能にするには 公開用 を選択します。
  8. ダイアログ ボックスの フィルタ条件 セクションで、結果 リストから以下のいずれかのオプションを選択します。
    すべて

    ビジュアル テストのすべてのステップ、またはスクリプトのすべてのコード行を表示します。

    失敗

    正しく実行されなかったステップまたはコード行のみを表示します。

    合格

    正しく実行されたステップまたはコード行のみを表示します。

  9. 日付／時刻 オプションを選択します。
    • 任意の日付の任意の時刻に発生した結果データを表示するには、すべて を選択します。
    • 特定の時刻または日付に発生した結果データを表示するには、開始 を選択して目的の日付／時刻の範囲を指定します。
  10. ユーザー オプションを選択します。
    • すべてのユーザーによって作成された結果データを表示するには、すべて を選択します。
    • 選択したユーザーによって作成された結果データのみを表示するには、選択済み を選択してから目的のユーザーを選択します。
  11. 省略可能：フラグが割り当てられていないすべての結果データをフィルタ処理で非表示にするには、フラグが割り当てられているステップのみ表示する チェック ボックスをオンにします。
  12. より綿密なフィルタを作成するには、詳細 タブをクリックし、必要な検証のみをフィルタ対象として指定します。 デフォルトでは、すべての検証が Silk Test Workbench によってフィルタの対象に含められます。

    左側のペインには、コマンドの種類のあとに、かっこで囲まれた数が表示されます。これらの数は、使用可能なコマンドの総数と選択されたコマンドの数を表します。たとえば、検証（3/7） は、使用可能な 7 種類の検証から 3 種類の検証が選択されていることを示します。また、太字のチェックは、特定のコマンドの種類に関してすべてのコマンドが選択されていることを示します。オペレーティング システムの設定に応じて、チェック ボックス内の四角、または無効になっているチェックが、特定のコマンドの種類に関して一部のコマンドが選択されていることを示します。

  13. OK をクリックします。 フィルタの管理 ダイアログ ボックスが開きます。
  14. アクティブな 結果 ウィンドウにフィルタを適用するには、フィルタを選択して 適用 をクリックし、OK をクリックします。
  15. 閉じる をクリックします。
親トピック: 結果フィルタ


結果フィルタの適用

結果フィルタは、以下の 2 通りの方法で適用できます。結果フィルタは、アクティブな 結果 ウィンドウにのみ適用することも、開いているすべての 結果 ウィンドウに対して適用することもできます。

  1. 結果を開きます。
  2. 結果フィルタをアクティブな 結果 ウィンドウにのみ適用するには、結果 ウィンドウのツールバーの 種類の選択によるフィルタ処理の結果 リストからフィルタを選択します。 Silk Test Workbench によってフィルタがアクティブな 結果 ウィンドウに適用され、タイトル バーがフィルタの名前で更新されます。例：Silk Test Workbench - [Common - VisualTest1 (結果： フィルタ = 失敗した検証)] のように表示されます。
  3. 結果フィルタを開いているすべての 結果 ウィンドウに適用するには、以下の手順を実行します。
    1. 結果を開きます。
    2. 適用するフィルタを選択します。
    3. 適用 をクリックして、OK をクリックします。 Silk Test Workbench によってフィルタがアクティブな 結果 ウィンドウに適用され、タイトル バーがフィルタの名前で更新されます。例：Silk Test Workbench - [Common - VisualTest1 (結果： フィルタ = 失敗した検証)] のように表示されます。
    結果フィルタを作成すると、結果 ウィンドウのツールバーの フィルタの管理 ツールバー ボタンのすぐ左にあるドロップダウン リストに表示されます。このリストからフィルタを選択すると、Silk Test Workbench は開いているすべての 結果 ウィンドウにそれを適用し、タイトルバーが更新されてフィルタの名前が表示されます。
親トピック: 結果フィルタ


結果フィルタの複製

フィルタの管理 ダイアログ ボックスを使用して、結果フィルタのコピーを作成できます。
  1. 結果を開きます。
  2. ツールバーで フィルタの管理 をクリックします。 フィルタの管理 ダイアログ ボックスが開きます。
  3. フィルタ リストから、複製するフィルタを選択します。
  4. 複製 をクリックします。 フィルタの複製 ダイアログ ボックスが開きます。
親トピック: 結果フィルタ


適用された結果フィルタの削除

結果フィルタを削除して、結果 ウィンドウにすべての結果データを表示します。

  1. 結果を開きます。
  2. ツールバーで フィルタの管理 をクリックします。 フィルタの管理 ダイアログ ボックスが開きます。
  3. （なし） を選択します。
  4. 適用 をクリックします。
  5. 閉じる をクリックします。 アクティブな 結果 ウィンドウからフィルタが削除されます。
親トピック: 結果フィルタ


結果フィルタの削除

フィルタを適用しないで結果を表示するには、ユーザー定義フィルタを削除します。

  1. 結果を開きます。
  2. ツールバーで フィルタの管理 をクリックします。 フィルタの管理 ダイアログ ボックスが開きます。
  3. 削除するユーザー定義フィルタを選択します。 ユーザーが定義したフィルタのみ削除できます。 あらかじめ定義されているフィルタは削除できません。
  4. 削除 をクリックし、はい をクリックして、フィルタの削除を確認します。
  5. 閉じる をクリックします。 現在のユーザーの Silk Test Workbench データベースからフィルタが削除され、デフォルト フィルタ なし が開いているすべての結果に適用されます。
親トピック: 結果フィルタ


[条件] ダイアログ ボックス

条件 ダイアログ ボックスを使用して、今後すべてのテスト実行の合格条件として、ユーザー定義の検証の合格の割合を設定できます。

このダイアログ ボックスには、以下のオプションがあります。

合格の条件：今後すべての実行の合格条件として、検証の合格の割合を設定します。 たとえば、合格条件を 90% に設定した場合、ビジュアル テストの 10 件の検証のうち 9 件に合格しないと、再生の結果が合格になりません。

また、このオプションを設定すると、再生結果の 結果合格条件 オプションも設定されます。

デフォルト：このボタンをクリックすると、合格条件がデフォルト値（100%）にリセットされます。

親トピック: 結果の分析


再生ステータス ダイアログ ボックスの有効化

再生ステータス ダイアログ ボックスを有効にすると、テストの再生中に実行される操作を表示できます。このダイアログ ボックスは、リモート Mac やモバイル デバイスなど、他のマシン上でテストを再生する場合に非常に役立ちます。

再生ステータス ダイアログ ボックスを有効化するには：

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。
  3. 再生ステータス ダイアログ をクリックします。
  4. 再生ステータス ダイアログ ボックスを有効化するには、再生ステータス ダイアログの表示 オプションを はい に設定します。
  5. 再生ステータス ダイアログ ボックスにテスト対象アプリケーションのビデオまたはスクリーンショットを表示するには、テスト対象アプリケーションの表示 オプションを はい に設定します。
  6. OK をクリックします。
注: リモート Mac やモバイル デバイス上でテストする場合は、Mac またはデバイスの画面がテスト中にオフにならないようにしてください。オフになると、再生ステータス ダイアログ ボックスには何も表示されなくなります。
親トピック: テストの再生と結果の分析
関連資料
再生オプション


[再生完了] ダイアログ ボックス

このダイアログ ボックスを使用して、再生が正常に完了したあとに実行する操作を指定できます。

次回からこのメッセージを表示しない チェック ボックスがオンになっているか、または 全般 オプションの [再生完了] ダイアログの表示 ダイアログ オプションが いいえ に設定されている場合は、再生が正常に完了しても、このダイアログ ボックスは表示されません。 この場合、再生が正常に完了すると、ビジュアル テストが ビジュアル ナビゲータ に表示され、スクリプトがスクリプト ウィンドウに表示されます。

再生完了 ダイアログ ボックスには、以下のオプションがあります。

もう一度再生する：ビジュアル テストまたはスクリプトを再生するには、このボタンをクリックします。 このオプションを選択すると、再生が正常に完了したあと、再生完了 ダイアログ ボックスが再び表示されます。

結果へ移動：結果 ウィンドウを開くには、このボタンをクリックします。 結果の表示と操作の詳細については、「結果の概要」を参照してください。

ビジュアル テストへ移動：ビジュアル テストの再生後にのみ表示されます。 変更を保存せずに、ビジュアル ナビゲータ で現在のビジュアル テストを開くには、このボタンをクリックします。

.NET スクリプトへ移動：スクリプトの再生後にのみ表示されます。 変更を保存せずに、スクリプト ウィンドウで現在のテスト スクリプトを開くには、このボタンをクリックします。

保存：変更を保存したあとで現在のビジュアル テストまたはテスト スクリプトを表示するには、このボタンをクリックします。

次回からこのメッセージを表示しない：このチェック ボックスをオンにすると、再生 ダイアログ ボックスが今後の再生で表示されなくなります。 全般オプション の [再生完了] ダイアログの表示 を はい に設定すると、このオプションを再度選択できるようになります。

ヒント: 記録完了 ダイアログ ボックスで 次回からこのメッセージを表示しない チェック ボックスがオンになっている場合、このダイアログ ボックスは表示されません。 この場合、ビジュアル テストが記録されたときは ビジュアル ナビゲータ が表示され、スクリプトの場合はスクリプト ウィンドウが表示されます。
親トピック: テストの再生と結果の分析
関連概念
結果の分析


[再生エラー] ダイアログ ボックス

このダイアログ ボックスを使用して、再生エラーが発生したときに実行する操作を指定できます。

このダイアログ ボックスは、ビジュアル テストまたはスクリプトの再生中に Silk Test Workbench でエラーが発生した場合に表示されます。

再生エラー ダイアログ ボックスには、以下のボタンがあります。

続行：エラーが発生したステップを再試行して、再生を再開します。 エラーは、ビジュアル テストの再生結果の 詳細 タブに表示されます。 エラーの解決後、このオプションを使用して、再生を再開します。 このボタンは、ビジュアル テストでのみ有効になります。

終了：エラーが発生したステップで再生を停止します。 再生完了 ダイアログ ボックスが表示され、ビジュアル テストまたはスクリプトを再生したり、再生結果を表示したり、ビジュアル テストまたはスクリプトに戻ったりすることができます。

デバッグ：デバッグ モードに切り替えます。デバッグ モードでは、再生を段階的に実行しながら、ビジュアル テストのエラーの診断や修正を行うことができます。 このボタンは、ビジュアル テストでのみ有効になります。

ヘルプ：オンライン ヘルプ内のこのヘルプ トピックを表示します。

親トピック: テストの再生と結果の分析


資産の管理

資産はテスト プロジェクトの基本要素です。資産とは、定義してデータベースに保存するテスト要素のことです。資産は アセット ブラウザ を使用して表示および管理できます。

ツールバー ボタンおよび アセット ブラウザ を使用して資産を管理します。開始画面 の 入門ガイド ペインに移動して、ペインの タスク 領域の アセット ブラウザ をクリックします。アセット ブラウザ では、テスト プロジェクトの資産を一元的に作成、管理、表示できます。

ほとんどの資産は、それを参照している他の資産を変更せずに、再利用や再定義ができます。

  • 資産の種類
    Silk Test Workbench で使用できる資産の種類を示します。
  • 資産のバージョンをパージ
    データベースから資産のバージョンをパージする方法について説明します。
  • アセット ブラウザを使用した資産の作成
    アセット ブラウザ を使用して、作業中のプロジェクトに新しい資産を作成します。
  • スクリプトから資産を開く
    スクリプトから資産を開く方法を説明します。
  • 資産を開く
    アセット ブラウザ を使用して、資産を開きます。
  • 資産の複製
    資産を複製することにより、似たような属性の同じ種類の資産が複数必要な場合に、時間を節約することができます。
  • 資産名の変更
    作成して保存した資産は、いつでも名前を変更できます。
  • 資産の削除
    資産を作成して保存したあとは、いつでもそれを削除できます。
  • 資産リストのフィルタ処理
    特定の名前の資産、あるいは特定の条件に一致する資産のみを表示します。
  • 資産の検索
    アセット ブラウザ の 名前フィルタ フィールドを使用して、名前を指定して資産を検索できます。
  • 資産の並べ替え
    アセット ブラウザ の項目を、列の内容に従って並べ替えます。
  • 資産保存時のデフォルト動作の設定
    資産を保存するときの、デフォルトの保存動作を設定します。動作は、資産の新しいバージョンを作成する、または資産の現在のバージョンを置き換える、のいずれかから選択します。
  • 資産のバージョンの最大数の設定
    ストレージの容量を制限するために、保持する資産のバージョンの最大数を指定できます。
  • 複数バージョンの資産の表示
    資産のすべてのバージョンのリストと、資産を最後に更新したユーザー、更新日時、バージョン番号などのバージョン情報をいつでも表示できます。
  • 資産の命名規則
    資産の命名規則を示します。
  • テスト資産のインポートとエクスポート
    インポートおよびエクスポートが可能な資産について説明します。


資産の種類

Silk Test Workbench は、次の種類の資産をサポートします。
ビジュアル テスト
ビジュアル テストは、アプリケーションのテスト時にスクリーンショットを使用してユーザーの操作を模倣する、自動化されたテストです。ビジュアル テストは、自動テスト ソリューションの基本要素です。

ビジュアル テストの作成方法についての情報は、「ビジュアル テストの作成」を参照してください。

.NET スクリプト
VB .NET スクリプトも、アプリケーションのテスト時にユーザーの操作を模倣する、自動化されたテストです。このスクリプトは、Microsoft Visual Basic .NET で作成されています。

VB .NET スクリプトの作成方法についての情報は、「スクリプトの作成」を参照してください。

キーワード テスト

キーワード駆動テスト は、実行可能なキーワードのコレクションです。キーワード駆動テストは、他のテストと同様に再生することができます。

キーワード駆動テストについての追加の情報は、「キーワード駆動テスト」を参照してください。

キーワード

キーワード は、テスト オブジェクトに対する複数の操作の組み合わせを定義したものです。キーワードの実装は、さまざまなツールとプログラム言語 (Java や .NET など) を使用して行えます。 Silk Test Workbench でのキーワードは、ビジュアル テストまたはメソッド名の前に Keyword 属性を持つメソッドです。キーワードは、キーワード資産として保存されます。

キーワード シーケンスは、他のキーワードを組み合わせたものです。キーワード シーケンスは、頻繁に使用するキーワードの組み合わせを 1 つのキーワードにまとめることにより、メンテナンスの労力を低減し、テストを理解しやすくすることができます。

キーワードについての追加の情報は、「キーワード」を参照してください。

結果
結果は、ビジュアル テストまたは .NET スクリプトの再生時に生成される資産です。結果は、テスト プロセスを証明し、任意の時点におけるテストアプリケーションの機能の状態を永続的に記録します。

結果についての追加の情報は、「結果の分析」を参照してください。

オブジェクト マップ
オブジェクト マップには、論理名とコントロールおよびウィンドウを関連付ける項目が格納されています。ロケーターの代わりにこれらの論理名を使用して、アプリケーションのコントロールおよびウィンドウを識別できます。
注: オブジェクト マップ項目を含むオブジェクト マップの名前を変更すると、ルート項目名が変更されます。このオブジェクト マップを使用する既存のビジュアル テストまたはスクリプトを、新しいオブジェクト マップのルート項目名を使用するように手動で変更する必要があります。

オブジェクト マップについての追加の情報は、「オブジェクト マップ」を参照してください。

イメージ検証
イメージ検証は、イメージがテスト対象アプリケーションの UI に含まれているかどうかをチェックします。

イメージ検証についての追加の情報は、「イメージ検証」を参照してください。

アクティブ データ
アクティブ データは、ビジュアル テストでデータ ドリブン テストを作成するために使用されます。アクティブ データによって、強力で包括的なアプリケーション テスト ソリューションの入力として外部ファイルの既存のデータを利用できます。トランザクションごとに異なるデータ セットを使用することにより、複雑なコードを記述したり、既存のデータを損なうことなく、テスト アプリケーションで複数のトランザクションを実行できます。

アクティブ データについての追加の情報は、「アクティブ データ」を参照してください。

イメージ資産
イメージ資産は、データベースに資産として格納されるイメージです。イメージ資産を使用して、Silk Test Workbench で認識されないコントロールをクリックできるようになります。

イメージ資産についての追加の情報は、「イメージ資産」を参照してください。

親トピック: 資産の管理
関連概念
アセット ブラウザ


資産のバージョンをパージ

Silk Test Workbench は、資産を保存するたびに新しいバージョンを作成します。したがって、資産のバージョンの数が増加し、データベースのサイズも大きくなります。

データベースから資産のバージョンを削除するには、資産のバージョンをパージ ダイアログ ボックスを使用して、資産の種類、資産が属するプロジェクト、保持するバージョンの数、資産の変更日などの条件を指定します。

注: 資産の現在のバージョンは削除できません。この機能は、資産を完全に削除するためのものではなく、資産のバージョンのみを削除するものです。資産のバージョンをパージするには、スクリプト作成者かフル アクセス権限が必要です。
  • 資産のバージョンをパージ
    データベースの空間を開放するために、資産のバージョンをパージします。
  • パージのコマンド ライン パラメータ
    資産バージョンのパージに関するコマンド ライン パラメータについて説明します。
親トピック: 資産の管理


資産のバージョンをパージ

資産のバージョンをパージする前に、ログイン中のユーザーが必要なアクセス権を持っていることを確認してください。パージの実行に必要なアクセス権は、グローバル オプションで変更できます（管理者権限が必要）。実行に必要なアクセス権の変更についての情報は、グローバル オプション を参照してください。

  1. ファイル > 資産のバージョンをパージ をクリックします。 資産のバージョンをパージ ウィザードが表示されます。
  2. 次へ をクリックします。
  3. 資産をパージする方法を選択します。
    • 特定の種類の資産をパージするには、資産の種類によるパージ をクリックします。
    • 個々の資産をパージするには、個々の資産のパージ をクリックします。
  4. [資産の種類によるパージ] を選択した場合は、次の手順に従います。
    1. 資産のバージョンをパージする資産の種類をチェックします。
    2. 選択した資産の種類のバージョンをパージするプロジェクトをチェックします。
  5. [個々の資産のパージ] を選択した場合は、次の手順に従います。
    1. プロジェクト ツリーで、バージョンをパージする資産を含むプロジェクト ノードを展開します。
    2. 資産の種類をクリックします。
    3. リストから個々の資産をチェックします。
  6. 省略可能：[資産のバージョンをパージ] のプロジェクトの選択状態を保持 オプションをオンにすると、資産のバージョンをパージ ウィザードで選択したプロジェクトを保持できます。
    1. メニューから ツール > オプション を選択します。
    2. オプション メニューで、グローバル > 資産管理 を選択します。
    3. [資産のバージョンをパージ] のプロジェクトの選択状態を保持 オプションを はい に設定します。
    このオプションを いいえ に設定すると、資産のバージョンをパージ ウィザードを開いたときに、プロジェクトは選択されません。
  7. 次へ をクリックします。
  8. 指定した数の資産のバージョンを保持するか、指定した日より前に変更されたすべての資産のバージョンを削除するかを選択します。
  9. 指定した数の資産のバージョンを保持したい場合は、保持する資産のバージョンの数を指定します。 指定した数よりも古い資産のバージョンがデータベースから削除されます。たとえば、2 を指定すると、最新の 2 つのバージョンが維持され、残りのバージョンが削除されます。維持するバージョンの最低数は 1 で、最大数は 32767 です。
    注: すべての実際の検証はパージ中に維持され、結果が削除されるときに削除されます。結果によって使用されている予想した検証も削除されません。パージ後に、指定したものより多くの予想した検証が保持される可能性があります。たとえば、予想した検証の 5 バージョンがテスト結果によって参照されており、パージ後に各資産ごとに 3 バージョンのみ残したい場合、 結果によって参照されている検証の 5 バージョンすべてが保持されます。
  10. 指定した日より前に変更されたすべての資産のバージョンを削除したい場合は、定義済みの日付を選択するか、1970/01/01 から 3000/12/31 の間の日付を指定します。
    注: すべての実際の検証はパージ中に維持され、結果が削除されるときに削除されます。結果によって使用されている予想した検証も削除されません。これによって、指定した日付よりも古い予想した検証が残されるという状況が生じる可能性があります。
  11. 次へ をクリックします。 資産のバージョンをパージ ウィザードは、削除する資産のバージョンの要約を表示します。.
  12. 次へ をクリックします。
    注: 資産または複数の資産をパージできなかった場合は、メッセージ ボックスにパージできなかった資産の数が示されます。通常、これは別のユーザーが資産の現在のバージョンを開いているか、パージ中にその資産がすでに削除されていることが原因です。
  13. 完了 をクリックします。
親トピック: 資産のバージョンをパージ


パージのコマンド ライン パラメータ

GUI を使用する代わりに、コマンド ラインを使用して資産のバージョンをパージできます。

コマンド ライン プログラムの名前は STWPurge.exe であり、次の場所にあります：\Silk\SilkTest\ng\gui\。

パラメータ 構文 例 説明
ユーザー名

u

username

-u admin

/username JohnSmith

データベースへの接続を許可されているユーザーの名前を指定します。このパラメータは必須です。

パスワード

p

password

-p admin123

/password admin123

データベースへの接続を許可されているユーザーの大文字小文字が区別されるパスワードを指定します。このパラメータはパスワードが Nothing 以外の場合に必要です。

DSN

d

dsn

-d mydsn

/dsn mydsn

データベースへの接続に使用するデータソース名（DSN）の名前を指定します。このパラメータは省略可能です。省略した場合は、デフォルトの DSN が使用されます。

資産の種類

s

assettypes

-s visualtest script

/assettypes visualtest

資産バージョンを削除する資産の種類を指定します。このパラメータは省略可能です。省略した場合は、すべての資産の種類が対象となります。このパラメータは、以下の値を受け入れます (構文はカギ括弧で示します、複数値は空白で区切って指定できます)。

  • ビジュアル テスト [visualtest]
  • オブジェクト マップ [objectmap]
  • 結果 [result]
  • アクティブデータ [activedata]
  • .NET スクリプト [script]
プロジェクト

r

prj

projects

-r commonprojectA

/projects common

資産のバージョンを削除するプロジェクト、資産の種類、個々の資産を指定します。このパラメータは省略可能です。省略した場合は、すべてのプロジェクトが対象となります。複数の項目を指定する場合は、空白で区切って入力します。キャレット記号 (^) を含む項目は、引用符で囲む必要があります。

次の例は、プロジェクト パラメータを使用して、Login という名前のビジュアル テストから古い資産のバージョンをパージします。
-projects Common.VisualTest.Login
次の例は、プロジェクト パラメータを使用して、MyProject という名前のプロジェクトのすべてのアクティブ データ資産から古い資産のバージョンをパージします。
-projects MyProject.ActiveData
projects パラメータを使用して資産の種類や個々の資産を指定する場合は、assettypes パラメータは指定できません。ただし、プロジェクトを指定する場合は同時に指定することができます。例：
-projects Common -assettypes script
数によるパージ

pc

purgebycount

-pc 10

/purgebycount

指定された数を超える古い資産バージョンは削除されます。このパラメータまたは 日付によるパージ パラメータのいずれかが必要です。両方のパラメータを使用することはできません。維持するバージョンの最低数は 1 で、最大数は 32767 です。資産のアクティブなバージョンは削除できません。このパラメータは、単独の数値を受け入れます。たとえば、10 を指定した場合、資産の 10 の最新バージョンが維持され、それより古いバージョンは削除されます。

注: すべての実際の検証はパージ中に維持され、結果が削除されるときに削除されます。結果によって使用されている予想した検証も削除されません。パージ後に、指定したものより多くの予想した検証が保持される可能性があります。たとえば、予想した検証の 5 バージョンがテスト結果によって参照されており、パージ後に各資産ごとに 3 バージョンのみ残したい場合、 結果によって参照されている検証の 5 バージョンすべてが保持されます。
日付によるパージ

pd

purgebydate

-pd 2011-03-28

/purgebydate 2012-03-28

指定された日付以前に変更された資産バージョンを削除します。このパラメータまたは 数によるパージ パラメータのいずれかが必要です。両方のパラメータを使用することはできません。このパラメータは、1970-01-01 から 3000-12-31 までの日付を次の形式で受け入れます：[YYYY-MM-DD]。

注: すべての実際の検証はパージ中に維持され、結果が削除されるときに削除されます。結果によって使用されている予想した検証も削除されません。これによって、指定した日付よりも古い予想した検証が残されるという状況が生じる可能性があります。
情報モード

i

info

-i silent

/info verbose

プログラムの実行中に表示する情報の種類を設定します。このパラメータは省略可能です。省略した場合は、デフォルト モードの「通常」が使用されます。このパラメータは、以下の値を受け入れます (構文はカギ括弧で示します)。

通常 [n|normal]
すべてのエラーと一般情報と出力します。
サイレント [s|silent]
実行が停止するエラーのみを出力します。
詳細 [v|verbose]
すべての警告、エラー、および一般情報と出力します。
確認

o

prompt

-o /prompt

資産パージ レポートを表示した後に、確認メッセージを表示します。このパラメータは省略可能です。

ヘルプ

h

?

help

-h /help

ヘルプの内容を表示し、その他のすべてのパラメータを無視します。

例 1

この例は、Common プロジェクトのすべての結果から、結果ごとに 5 バージョンを残してパージします。
stwpurge /dsn SilkTest /username admin /password admin /purgebycount 5 /projects Common /assettypes result

例 2

この例は、LoginTest ビジュアル テストから、2017 年 12 月 31 日より前に作成されたすべてのバージョンをパージします。
stwpurge /dsn SilkTest /username admin /password admin /purgebydate 2016-12-31 /projects Common.VisualTest.LoginTest
親トピック: 資産のバージョンをパージ


アセット ブラウザを使用した資産の作成

ほとんどの資産は、既存のビジュアル テストまたはスクリプトに挿入することによって作成されるか、または記録時に作成されます。ただし、アセット ブラウザ を使用して資産を作成することもできます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストで適切な資産の種類を選択し、資産のリストを表示します。
  3. 資産のリストで、作成する資産を右クリックします。この種類の資産を新規作成するには、新規作成 > 資産の種類 を選択します。 すべての資産の種類をリストするには、新規作成 を選択します。 すべての資産は、資産の命名規則に従う必要があります。 新しい資産は、現在アクティブになっているプロジェクトに追加され、そのプロジェクト内の他の資産に対してのみ使用可能になります。アクティブ プロジェクトを変更する場合は、ウィンドウの プロジェクト 領域の アクティブ リストから目的のプロジェクトを選択します。複数のプロジェクトで使用する資産を格納するには、Common プロジェクトを使用します。Common プロジェクトの資産は、他のすべてのプロジェクトで使用できます。
親トピック: 資産の管理
関連概念
資産の命名規則
関連タスク
イメージ資産の作成
関連資料
資産の種類


スクリプトから資産を開く

スクリプトを編集しているときに、資産を右クリックして 資産を開く を選択し、資産を開くことができます。 これにより、GUI で資産が開きます。

資産がシステム上のファイルへの参照である場合 (ImageClickFile によって参照される場合など)、ファイルはシステムのデフォルト エディターで開かれます。

親トピック: 資産の管理
親トピック: イメージ資産


資産を開く

アセット ブラウザ を使用して、資産を開きます。

  1. ファイル > 開く を選択するか、開始画面 の 入門ガイド ペインに移動して、タスク 領域の アセット ブラウザ をクリックします。
  2. 資産の種類 リストで適切な資産の種類を選択し、資産のリストを表示します。
  3. 右側のペインで、開く資産をダブルクリックします。
親トピック: 資産の管理
関連資料
資産の種類


資産の複製

複製した資産には、元の資産のすべての属性が保持されます。資産を複製することにより、似たような属性の同じ種類の資産が複数必要な場合に、時間を節約することができます。資産を作成して保存したあとは、いつでもそれを複製できます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストで適切な資産の種類を選択し、資産のリストを表示します。
  3. アセット ブラウザ の右側のペインで、複製する資産を右クリックし、複製 を選択します。 資産の複製 ダイアログ ボックスが開きます。
  4. 複製資産の名前を入力し、必要に応じて資産を保存するプロジェクトを変更し、新しい資産の説明を入力します。
  5. OK をクリックします。
親トピック: 資産の管理
関連概念
資産の命名規則
関連資料
資産の種類


資産名の変更

作成して保存した資産は、いつでも名前を変更できます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストで適切な資産の種類を選択し、資産のリストを表示します。
  3. アセット ブラウザ の右側のペインで、名前を変更する資産を右クリックし、名前の変更 を選択します。 名前を変更したい資産を選択して、F2 を押しても変更できます。 資産名の変更 ダイアログ ボックスが開きます。
  4. 資産の新しい名前と、説明を入力します。
  5. 省略可能：資産を他のプロジェクトに移動する場合は、資産の移動先のプロジェクトを選択します。 ビジュアル テストや VB .NET スクリプトを他のプロジェクトに移動する場合に、この機能を使用できます。
  6. 省略可能：資産の説明を入力します。
  7. OK をクリックします。
親トピック: 資産の管理
関連概念
資産の命名規則
関連資料
資産の種類


資産の削除

資産を作成して保存したあとは、いつでもそれを削除できます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 で適切な資産の種類を選択します。
  3. 資産のリストで削除する資産を右クリックし、削除 を選択します。 削除 ダイアログ ボックスが開きます。 資産に複数のバージョンがある場合は、Silk Test Workbench により最新のバージョンを削除するかすべてのバージョンを削除するかのオプションが表示されます。
  4. 資産に複数のバージョンがあり、そのすべてを削除する場合は、すべてのバージョンを削除 を選択して はい をクリックします。 複数のバージョンがない場合、現在（つまり唯一）のバージョンの資産を削除するには はい をクリックし、資産を削除せずに 削除 ダイアログ ボックスを閉じるには いいえ をクリックします。
親トピック: 資産の管理


資産リストのフィルタ処理

フィルタ リストを使用すると、特定の条件を満たす資産だけを表示できます。

  1. アセット ブラウザ ウィンドウで、フィルタ をクリックします。 フィルタ ダイアログ ボックスが開きます。
  2. 使用するフィルタを 1 つまたは複数指定します。 複数のフィルタを指定した場合、すべての条件を満たす資産が表示されます。以下は、フィルタの種類です。
    作成者

    ユーザーの名前を選択すると、そのユーザーによって作成されたすべての資産が表示されます。

    作成日

    開始日と終了日を指定すると、その期間中に作成されたすべての資産が表示されます。

    最終更新者

    ユーザーの名前を選択すると、そのユーザーによって更新されたすべての資産が表示されます。

    最終更新日

    開始日と終了日を指定すると、その期間中に更新されたすべての資産が表示されます。

  3. アセット ブラウザ で特定の名前を持つ資産のみを表示するには、名前フィルタ テキスト ボックスに名前を入力します。

    アセット ブラウザ には、名前フィルタ と他の任意のフィルタ条件に一致する資産が表示されます。

  4. OK をクリックします。 Silk Test Workbench により、現在表示されている資産項目のリストにフィルタが適用されます。
    注: フィルタを解除して、再びすべての項目を表示するには、フィルタ をクリックし、フィルタ ダイアログ ボックスで デフォルト をクリックします。

アセット ブラウザ で特定の名前を持つ資産のみを表示するには、名前フィルタ テキスト ボックスに名前を入力します。他の任意のフィルタも表示される資産セットに影響を与えます。

親トピック: 資産の管理


資産の検索

アセット ブラウザ の 名前フィルタ フィールドを使用して、名前を指定して資産を検索できます。

  1. アセット ブラウザ を開きます。
  2. 資産の種類を選択します。
  3. 名前フィルタ フィールドをクリックします。 代わりに、F3 を押すこともできます。
  4. 検索する資産の名前を指定します。 資産の名前を入力していくと、名前フィルタ フィールドの文字に一致する資産だけが Silk Test Workbench に表示されます。
親トピック: 資産の管理


資産の並べ替え

アセット ブラウザ の項目は、列の内容に従って並べ替えることができます。デフォルトでは、資産のリストは昇順に並んでいます。

  1. アセット ブラウザ に表示された項目の並べ替えに使用する列の見出しをクリックします。 たとえば、項目を日付順に並べるには、作成日 列の見出しをクリックします。
  2. 並べ替えの方向を逆にするには、アセット ブラウザ に表示された項目の並べ替えに以前使用した列の見出しをクリックします。 たとえば、作成日による並べ替えの順序を逆にするには、作成日 列の見出しを2回クリックします。
親トピック: 資産の管理


資産保存時のデフォルト動作の設定

資産を保存するときの、デフォルトの保存動作を設定します。動作は、資産の新しいバージョンを作成する、または資産の現在のバージョンを置き換える、のいずれかから選択します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの グローバル の隣にあるプラス記号（+）をクリックし、資産管理 をクリックします。 資産管理 オプションが右側のパネルに表示されます。
  3. デフォルトの保存動作 リスト ボックスから、新しいバージョンとして保存 または 現在のバージョンとして保存 を選択します。 ツール バーのボタンやショートカット キー（Ctrl+S）で資産を保存するときに、Silk Test Workbench によって、資産の新しいバージョンが作成されるか、資産の現在のバージョンが置き換えられます。
  4. OK をクリックします。
親トピック: 資産の管理
関連資料
グローバル オプション


資産のバージョンの最大数の設定

テスト結果を含む資産のストレージの容量を制限するために、保持する資産のバージョンの最大数を指定できます。
  1. メニューで、ツール > オプション を選択します。 オプション ダイアログ ボックスが開きます。
  2. オプション ツリーで、グローバル を展開します。
  3. 資産管理 を選択します。
  4. 資産管理 ページの 資産のバージョンの最大数 テキスト ボックスに保持するバージョンの数を入力します。 デフォルトの設定は 0 で、すべての資産のバージョンが保存されることを意味します。
  5. OK をクリックします。
バージョンの最大数が設定され、その数に到達すると、資産の新しいバージョンが保存され、最も古い資産のバージョンが削除されます。資産をインポートする場合、バージョンの数が最大数を超えていたとしても、すべてのバージョンがインポートされます。このようにしてインポートされた資産に対して新しいバージョンが保存されるとき、指定した資産の最大数と一致するように、最も古いバージョンの資産から削除されます。
注: 資産のバージョンの数を制限すると、古いテスト結果は自動的に削除されます。
親トピック: 資産の管理
関連資料
グローバル オプション


複数バージョンの資産の表示

Silk Test Workbench では、すべての種類の資産のバージョンが自動的に格納されます。資産を変更するたびに、その資産の新しいバージョンがデータベースに格納されます。資産のすべてのバージョンのリストと、資産を最後に更新したユーザー、更新日時、バージョン番号などのバージョン情報をいつでも表示できます。

Silk Test Workbenchでは、資産のアクティブ バージョンだけを参照します。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストで適切な資産の種類を選択し、資産のリストを表示します。
  3. 資産のリストで表示する資産を右クリックし、すべてのバージョンを表示 を選択します。 バージョンの詳細 ダイアログ ボックスが開きます。
  4. バージョンの詳細 ダイアログ ボックス下部に並んでいるボタンを使用して、資産のバージョンを開いたり、複製したり、削除したり、閉じたりできます。
  5. バージョンを選択し、アクティブ バージョンにする をクリックすると、任意のバージョンを現在アクティブなバージョンにできます。
親トピック: 資産の管理
関連資料
資産の種類


資産の命名規則

資産の新規作成 ダイアログ ボックスで資産を追加すると、Silk Test Workbench によって名前がチェックされ、所定の命名規則に従っているかどうかが検証されます。

Silk Test Workbench では、以下の命名規則が使用されます。

  • 資産名の長さは 1 から 126 文字である必要があります。
  • 資産名に \ / < > " ' :* ?| = の各文字を使用することはできません。
  • 同一プロジェクト内で同じ種類（またはグループ）の他の資産と同じ名前を付けることはできません。
親トピック: 資産の管理


テスト資産のインポートとエクスポート

インポートおよびエクスポート ユーティリティを使用して、異なるデータベース間で資産を転送できます。資産のインポートおよびエクスポートによって、プロジェクト管理が簡単になります。また、WAN を介して資産を共有したり、外部のバージョン管理システムを活用したりできます。資産をインポートまたはエクスポートするには、資産インポート ウィザードまたは 資産エクスポート ウィザードを使用できます。いずれの方法でも、必要に応じて資産のインポートとエクスポートをカスタマイズできます。

インポートおよびエクスポートが可能な資産は、プロジェクト資産とシステム資産です。
プロジェクト資産
詳細については、「資産の種類」を参照してください。
システム資産
記録と再生のオプション。
  • 資産のインポート
    資産のデータベース間でのインポートは、資産インポート ウィザードを使用して行います。
  • 資産のエクスポート
    資産エクスポート ウィザードを使用して、あるデータベースの資産をエクスポートして、他のデータベースにインポートできます。
  • 資産のインポートとエクスポートの権限
    各ユーザー ロールのインポートとエクスポートの権限を示します。
親トピック: 資産の管理
関連資料
資産の種類


資産のインポート

資産のデータベース間でのインポートは、資産インポート ウィザードを使用して行います。
  1. ファイル > 資産のインポート を選択します。 Silk Test Workbench 資産インポート ウィザードが開きます。

    このウィザードおよびそれ以外のすべての Silk Test Workbench ウィザードを今後使用するときに、ようこそ ページをスキップするには、このページの最下部にあるチェック ボックスをオンにします。このチェック ボックスをオンにすると、全般 オプションの ウィザードの [ようこそ] 画面の表示 オプションが更新されます。

    ウィザードのサイズは、任意のページの右下隅をドラッグして変更できます。
  2. 次へ をクリックします。 インポート ファイル名 ページが開きます。
  3. インポートする資産を含んだ ZIP ファイルを指定します。
  4. 次へ をクリックします。 インポートする項目 ページが開きます。
  5. 以下のいずれかのステップを実行して、インポートする項目を選択します。
    • すべての資産をインポートするには、すべての資産をインポートする をクリックします。

      資産のすべてのバージョンをインポートするには、各資産の最新バージョンだけをインポートする チェック ボックスをオフにします。

    • 特定の資産をインポートするには、選択した資産だけをインポートする をクリックします。

      各資産の特定のバージョンをインポートするには、各資産のすべてのバージョンを表示する チェック ボックスをオンにします。その後、次へ をクリックします。

      インポートする資産のチェック ボックスをオンにします。

  6. 次へ をクリックします。 競合の解決 ページが開きます。
  7. インポートする資産名が既存の資産名と競合しているプロジェクト資産について、競合の解決方法を選択します。 次のいずれかを選択します。
    • インポートした資産を既存の資産の最新バージョンとして追加する：このオプションは、データベース内の資産の新しいバージョンを作成します。インポートされる資産のバージョンが複数ある場合、資産は最小のバージョンが先に、最大のバージョンが最後にインポートされます。つまり、最大のバージョン番号を持つ資産がデータベースの最新の資産バージョンになります。
    • インポートした資産を追加、名前変更、またはスキップするか確認する：これは対話オプションで、各競合に対してダイアログ ボックスを生成して、インポート資産を追加するか、名前変更するか、またはスキップするよう要求します。
    • 資産をインポートしない：資産のインポートをスキップします。
  8. インポートする資産名が既存の資産名と競合しているシステム資産について、競合の解決方法を選択します。 次のいずれかを選択します。
    • インポートした資産を名前変更またはスキップするか確認する：これは対話オプションで、各競合に対してダイアログ ボックスを生成して、インポート資産を名前変更するか、またはスキップするよう要求します。
    • 資産をインポートしない：資産のインポートをスキップします。
  9. 次へ をクリックします。 資産のインポートの開始 ページが開きます。
  10. 要約を確認し、次へ をクリックしてインポートを開始します。 インポートの進捗状況 ウィンドウに、完了レベルを示す進行状況バーが表示されます。インポートが完了すると、インポート ウィザードの完了 ページが開きます。
  11. 省略可能：保存 をクリックして、詳細レポートを保存します。
  12. 完了 をクリックします。
注: Silk Test Workbench 18.5 以降を使用している場合、18.5 より前のバージョンの Silk Test Workbench でエクスポートした資産をインポートできません。以前のバージョンでエクスポートした資産をインポートするには、このような資産をインポートする場合は、StwConvertExportedXML プログラムを使用してください。このコマンド ライン プログラムを使用すると、資産を新しい形式に変換できます。このプログラムには、次の引数を指定できます。
STWConvertExportedXML [-overwrite] [-?] path_to_old_export path_to_new_export.zip
  • path_to_old_export： Silk Test Workbench の以前のバージョンで生成したファイルまたはフォルダへのパス。
  • path_to_new_export.zip： 変換したエクスポート ファイルを保存する ZIP ファイルへのパス。
  • -overwrite： ZIP ファイルが既に存在するときに上書きする場合に指定します。-overwrite を指定しない場合、ZIP ファイルが存在すると、エラー メッセージを出力してプログラムが終了します。
  • -?： ヘルプ メッセージを出力してプログラムが終了します。
注: 資産のインポートでは、履歴データはすべてインポート時の情報に置き換えられます。たとえば、作成者、作成日、最終更新者、更新日には、インポートを実行したユーザーおよびインポートの日付と時刻が反映されます。
親トピック: テスト資産のインポートとエクスポート
関連タスク
資産のエクスポート


資産のエクスポート

資産のデータベース間でのエクスポートは、資産エクスポート ウィザードを使用して行います。
注: エクスポート ファイルは変更しないでください。変更すると、ファイルのインポート時に Silk Test Workbench データベースが破損する可能性があります。資産の編集中にエクスポートが発生した場合、編集中の資産はエクスポートされません。そのため、エクスポートを実行する前に、資産に対するすべての編集を完了し、保存していることを確認してください。
  1. ファイル > 資産のエクスポート を選択します。 Silk Test Workbench 資産エクスポート ウィザードが開きます。

    このウィザードおよびそれ以外のすべての Silk Test Workbench ウィザードを今後使用するときに、ようこそ ページをスキップするには、このページの最下部にあるチェック ボックスをオンにします。このチェック ボックスをオンにすると、全般 オプションの ウィザードの [ようこそ] 画面の表示 オプションが更新されます。

    ウィザードのサイズは、任意のページの右下隅をドラッグして変更できます。
  2. 次へ をクリックします。 エクスポート対象 ページが開きます。
  3. すべての資産をエクスポートするには、以下のステップを実行します。
    1. すべての資産をエクスポートする をクリックします。
    2. 各資産の最新バージョンだけをエクスポートする チェック ボックスをオフにして各資産のすべてのバージョンをエクスポートするか、このチェック ボックスをオンにして最新バージョンだけをエクスポートに含めます。
  4. 特定の資産をエクスポートするには、以下のステップを実行します。
    1. 選択した資産だけをエクスポートする をクリックします。
    2. 各資産の特定のバージョンをエクスポートするには、各資産のすべてのバージョンを表示する チェック ボックスをオンにします。
      注: 資産の複数のバージョンをエクスポートするよう選択した場合は、選択するバージョンに応じて、バージョン情報がインポート時に変更することがあります。たとえば、資産のバージョン 1 と 5 をエクスポートするよう選択した場合、インポート時にバージョン番号が 1 と 2 に更新されます。
    3. Common プロジェクトおよび指定する他のすべてのプロジェクトから、関連する資産（オブジェクト マップを含む）をすべてエクスポートするには、ビジュアル テストおよび .NET スクリプトに関連付けられている資産をエクスポートする チェック ボックスをオンにします。
    4. 次へ をクリックします。 エクスポートする項目 ページが開きます。
    5. 左側のペインでエクスポートする項目を含むフォルダを展開し、エクスポートする資産のチェック ボックスをオンにします。 青いチェック マークは、項目とそのすべてのサブ項目がエクスポート対象として選択されていることを示します。灰色のチェック マークは、サブ項目の一部だけが選択されていることを示します。
  5. 次へ をクリックします。 データの格納場所 ページが開きます。
  6. 資産をエクスポートする ZIP ファイルの場所を指定します。 エクスポートしたすべての資産が、指定したファイルにまとめられます。
  7. 次へ をクリックします。 資産のエクスポートの開始 ページが開きます。このページでは、エクスポートする資産の概要が表示されます。
  8. 要約を確認し、次へ をクリックしてエクスポートを開始します。 エクスポートの進捗状況 ウィンドウに、完了レベルを示す進行状況バーが表示されます。エクスポートが完了すると、エクスポート ウィザードの完了 ページが開きます。
  9. 省略可能：保存 をクリックして、詳細レポートを保存します。
  10. 完了 をクリックします。
親トピック: テスト資産のインポートとエクスポート
関連タスク
資産のインポート


資産のインポートとエクスポートの権限

ユーザーに割り当てられている権限に応じて、資産のインポート機能を制限したり、無効にしたりすることができます。権限は、プロジェクトごとに固有に設定できます。たとえば、ProjectA に対する読み取り専用権限を持つユーザーに対して、ProjectB ではフル アクセス権限を割り当てることができます。この結果、このユーザーにとってインポート機能は、ProjectA で無効であっても、ProjectB では使用可能になります。

資産のエクスポート機能は、通常は制限されていません。読み取り専用以上の権限を持つすべてのユーザーは、プロジェクト資産とシステム資産の両方をエクスポートできます。

以下の表に、各ユーザー ロールが、プロジェクト資産およびシステム資産をインポートできるかどうかを示します。プロジェクト資産とシステム資産は、以下のように定義されます。
  • プロジェクト資産：詳細については、「資産の種類」を参照してください。
  • システム資産：記録オプションと再生オプション。

資産のインポート権限

管理者またはフル アクセス権限を持つユーザーのみが、すべてのプロジェクト資産とシステム資産をインポートできます。インポート権限の完全なリストについては、以下の表を参照してください。
ユーザー ロール | プロジェクト資産のインポート | システム資産のインポート
アクセス不可 | いいえ | はい
読み取り専用 | いいえ | はい
実行者 | はい ¹ | はい
スクリプト作成者 | はい | はい
フル アクセス | はい | はい

¹：結果のインポートのみが許可されます。

資産のエクスポート権限

読み取り専用以上の権限を持つユーザーは、すべてのプロジェクト資産とシステム資産をエクスポートできます。

親トピック: テスト資産のインポートとエクスポート
関連資料
資産の種類


オブジェクト解決

Silk Test Workbench は、コントロール クラスの名前と優先付けられた属性のコレクションの組み合わせによって、テスト対象アプリケーション（AUT）のコントロールをユニークな XPath ロケーターに識別します。組み合わせた XPath ロケーターでコントロールをユニークに識別できない場合には、Silk Test Workbench は、ロケーターにインデックスを追加します。

Silk Test Workbench では、識別されたオブジェクトのリテラル参照はロケーターと呼ばれます。Silk Test Workbench は、ロケーターを使用して、テスト対象アプリケーション (AUT) のオブジェクトを検索して識別します。ロケーターは、W3C (World Wide Web Consortium) によって定義された 共通の XML ベース言語である XPath クエリー言語のサブセットです。

ビジュアル テストまたはスクリプトを記録すると、Silk Test Workbench によってロケーターが自動的に記録されます。デフォルトでは、Silk Test Workbench は、コントロールのリテラル参照またはウィンドウのロケーター名を使用する代わりに、エイリアスまたは論理名（オブジェクト マップ項目と呼ばれる）を使用します。ビジュアル テストおよびスクリプトでは、実際のロケーター名ではなく、オブジェクト マップ項目に基づいてオブジェクトが参照されます。

オブジェクト マップを無効にすると、オブジェクト マップ項目ではなくロケーターがビジュアル テストまたはスクリプト コンテキストに組み込まれます。

  • ロケーターの基本概念
    ロケーターの基本概念の概要を説明します。
  • ロケーター構文
    サポートするロケーターの構成子、およびサポートしない構成子の例の一覧を提供します。
  • スクリプトでのロケーターの使用
    ロケーターの短縮形を使用する方法について説明します。
  • Find メソッドの使用
    ロケーターを持つ単一のオブジェクトを識別するために Find メソッドを使用する方法について説明します。
  • ロケーターを使用したオブジェクトの存在確認
    Exists メソッドを使用して、オブジェクトがテスト対象アプリケーションに存在するかどうかを確認する方法について説明します。
  • 1 つのロケーターで複数のオブジェクトを識別する
    1 つのロケーターを使って複数のオブジェクトを識別する方法について説明します。
  • ロケーターのカスタマイズ
    テスト対象アプリケーションのコントロールを Silk Test Workbench が確実に解決できるようにするために、安定したロケーターを作成する方法について説明します。
  • XPath のパフォーマンス問題のトラブルシューティング
    他のロケーターを使用して、スクリプトのパフォーマンスを向上させる方法について説明します。
関連概念
オブジェクト マップ
[オブジェクトの識別] ダイアログ ボックス


ロケーターの基本概念

Silk Test Workbench は、XPath クエリ言語のサブセットをサポートしています。XPath の詳細については、http://www.w3.org/TR/xpath20/ を参照してください。

XPath 式は現在のコンテキスト、つまり、Find メソッドを呼び出したオブジェクトの階層上における位置に依存します。ファイル システムと同じように、すべての XPath 式は、この位置に依存します。例：
  • "//Shell" は、現在のコンテキストから始まるすべての階層にあるすべての Shell を見つけます。
  • "Shell"は、現在のコンテキストの直下の子であるすべての Shell を見つけます。

さらに、ある XPath 式は、コンテキストの影響を受けます。たとえば、myWindow.find(xPath) は、myWindow が現在のコンテキストとなります。

動的オブジェクト解決は、テスト ケース内でオブジェクトを識別するために、Find または FindAll メソッドを使用します。Silk Test Classic は、XPath クエリを使用するスクリプトで Find または FindAll 関数を使用する代替手段を提供します。INC ファイルでロケーター キーワードを使用して、動的オブジェクト解決とウィンドウ宣言を使用するスクリプトを作成できます。

  • オブジェクト タイプと検索範囲
    Silk Test Workbench がオブジェクトを識別するためにオブジェクト タイプと検索範囲を使用する方法について説明します。
  • 属性を使用したオブジェクトの識別
    属性を使用して、オブジェクトの識別を改善させる方法について説明します。
親トピック: オブジェクト解決


オブジェクト タイプと検索範囲

典型的なロケーターには、検索するオブジェクトのタイプと検索範囲が含まれます。 検索範囲は以下のいずれかです。
  • //
  • /

ロケーターは、ロケーターを指定する対象となるオブジェクトである、現在のオブジェクトに依存します。現在のオブジェクトは、アプリケーション UI のオブジェクト階層における 位置を特定します。 ファイル システムと同じように、すべてのロケーターは、この階層における現在のオブジェクトの位置に依存します。

XPath 式は、 現在のコンテキスト、つまり、 Find メソッドを呼び出したオブジェクトの階層上における位置に依存します。 ファイル システムと同じように、すべての XPath 式は、この位置に依存します。

注:

HTML 要素に対するロケーターにおけるオブジェクト タイプは、HTML タグ名または、このオブジェクトに対して Silk Test Workbench が使用するクラス名のいずれかになります。 たとえば、ロケーター //a と //DomLink（ここで、 DomLink は Silk Test Workbench でのハイパーリンクに対する名前です）は同じです。 HTML ベースでないテクノロジの場合は、 Silk Test Workbench クラス名だけが使用されます。

例

  • //a は、現在のオブジェクトに相対的なすべての階層にあるハイパーリンク オブジェクトを識別します。
  • /a は、現在のオブジェクトの直下の子であるハイパーリンク オブジェクトを識別します。
注: <a> は、Web ページのハイパーリンクを表す HTML タグです。

例

以下のコード例は、ブラウザ内の最初のハイパーリンクを識別します。 この例では、実行中のブラウザ インスタンスを参照するスクリプトに browserWindow という名前の変数が存在することを仮定しています。 ここで、タイプは "a" で、現在のオブジェクトは browserWindow です。

Dim link As DomLink = browserWindow.DomLink("//a")
親トピック: ロケーターの基本概念


属性を使用したオブジェクトの識別

プロパティに基づいてオブジェクトを識別するために、ロケーター属性を使用できます。ロケーター属性は、オブジェクトの型の後にかぎ括弧で指定します。

例

次の例では、テキスト Home を持つハイパーリンクを識別するために、textContents 属性を使用します。同じテキストを持つハイパーリンクが複数存在する場合は、最初のハイパーリンクがロケーターによって識別されます。

 Dim link as DomLink = browserWindow.DomLink("//a[@textContents='Home']")
親トピック: ロケーターの基本概念


ロケーター構文

Silk Test Workbench は、UI コントロールを検索するために XPath クエリ言語のサブセットをサポートしています。

以下の表には、Silk Test Workbench がサポートする構成子が一覧されています。

注: <a> は、Web ページのハイパーリンクを表す HTML タグです。
サポートするロケーター構成子 | サンプル | 説明
// | //a | 現在のオブジェクトの子孫であるオブジェクトを識別します。 サンプルは、Web ページのハイパーリンクを識別します。
/ | /a | 現在のオブジェクトの直下の子であるオブジェクトを識別します。 下位の階層レベルにあるオブジェクトは認識されません。 サンプルは、現在のオブジェクトの直下の子である Web ページのハイパーリンクを識別します。
属性 | //a[@textContents='Home'] | 属性を指定してオブジェクトを識別します。 サンプルは、テキスト Home を持つハイパーリンクを識別します。
索引 | サンプル 1: //a[3] サンプル 2: //a[@textContents='Home'][2] | 複数のオブジェクトが検出された場合にオブジェクトの出現番号を指定して識別します。 ロケーター内での索引は 1 から始まります。 サンプル 1 は 3 番目のハイパーリンクを、サンプル 2 はテキスト Home を持つ 2 番目のハイパーリンクを識別します。
論理演算子：and、or、not、=、!= | サンプル 1: //a[@textContents='Remove' or @textContents='Delete'] サンプル 2: //a[@textContents!='Remove'] サンプル 3: //a[not(@textContents='Delete' or @id='lnkDelete') and @href='*/delete'] | 論理演算子を使用して属性を組み合わせてオブジェクトを識別します。 サンプル 1 はキャプション Remove または Delete のどちらかを持つハイパーリンクを識別し、サンプル 2 は Remove でないテキストを持つハイパーリンクを識別し、サンプル 3 はさまざまな論理演算子を組み合わせる方法を示しています。
.. | サンプル 1: //a[@textContents='Edit']/.. サンプル 2: //a[@textContents='Edit']/..//a[@textContents='Delete'] | オブジェクトの親を識別します。 サンプル 1 はテキスト Edit を持つハイパーリンクの親を識別し、サンプル 2 はテキスト Edit を持つハイパーリンクと同列にあるテキスト Delete を持つハイパーリンクを識別します。
* | サンプル 1: //*[@textContents='Home'] サンプル 2: /*/a | ハイパーリンク、テキスト フィールド、またはボタンのような型を考慮せずにオブジェクトを識別します。 サンプル 1 は型とは無関係に指定したテキスト コンテンツを持つオブジェクトを識別し、サンプル 2 は 現在のオブジェクトの第 2 下位レベルにあるハイパーリンクを識別します。

以下の表には、Silk Test Workbench がサポートしていないロケーター構成子が一覧されています。

サポートしないロケーター構成子 | サンプル
右辺、左辺ともに属性を指定して比較する。 | //a[@textContents = @id]
属性名を右辺に指定することはサポートされません。 属性名は左辺に指定する必要があります。 | //a['abc' = @id]
複数のロケーターを and あるいは or で結合する。 | //a[@id = 'abc'] or ..//Checkbox
複数の属性をかぎ括弧で指定する。 | //a[@id = 'abc'] [@textContents = '123'] (代わりに、 //a [@id = 'abc' and @textContents = '123'] を使用してください)
複数の索引をかぎ括弧で指定する。 | //a[1][2]
クラスあるいはクラス名の一部にワイルドカードを含むクラス・ワイルドカードを明示的に指定しない構成子。 | //[@id = 'abc'] (代わりに、 //*[@id = 'abc'] を使用してください) "//*//a[@id='abc']"
親トピック: オブジェクト解決


スクリプトでのロケーターの使用

Silk Test Workbench では、識別されたオブジェクトのリテラル参照はロケーターと呼ばれます。必要に応じて、ロケーター文字列の短縮形をスクリプトで使用できます。スクリプトを再生すると、Silk Test Workbench によって自動的に構文が展開されて完全なロケーター文字列が使用されます。スクリプトを手動でコーディングする場合は、次の順番で次の部分を省略できます。

  • 検索スコープ「//」。
  • オブジェクトの型名。Silk Test Workbench のデフォルトはクラス名です。
  • 属性を囲む角かっこ「[ ]」。

スクリプトを手動で記述する場合は、使用可能な最も短い形式を使用することをお勧めします。

注: .NET スクリプトを使用する場合にのみ、ロケーター文字列の短縮形を使用できます。ビジュアル テストでは、完全なロケーター文字列を使用する必要があります。オブジェクトを識別する場合は、完全なロケーター文字列がデフォルトでキャプチャされます。
以下のロケーターは同じです。
  • 最初の例では、完全なロケーター文字列が使用されています。
    _desktop.DomLink("//BrowserApplication//BrowserWindow//a[@textContents='Home']").Select()

    完全なロケーター文字列を確認するには、オブジェクトの識別 ダイアログ ボックスを使用します。

  • 2 番目の例は、ブラウザー ウィンドウが既に存在する場合に機能します。
    browserWindow.DomLink("//a[@textContents='Home']").Select()
    または、短縮形を使用することができます。
    browserWindow.DomLink("@textContents='Home'").Select()

識別のための実際の属性がないオブジェクトを検索するには、インデックスを使用します。たとえば、Web ページの 2 つめのハイパーリンクを選択するには、以下のように入力します。

browserWindow.DomLink("[2]").Select()

さらに、その種類の最初のオブジェクトを検索する（このことは、オブジェクトに実際の属性がない場合に便利です）には、以下のように入力します。

browserWindow.DomLink().Select()
親トピック: オブジェクト解決
関連概念
スクリプトの構文
[オブジェクトの識別] ダイアログ ボックス


Find メソッドの使用

.DomLink のようなメソッドを使用する代わりに、 Find メソッドを使用してロケーターを持つ単一のオブジェクトを識別することができます。

注: Find メソッドは、完全ロケーターのみ使用できます。省略形のロケーターはサポートされません。

以下のように入力する代わりに：

_desktop.DomLink("//a[@textContents='Home']").Select()

以下のように入力することができます。

_desktop.Find(Of DomLink)("//a[@textContents='Home']").Select()

.DomLink メソッドは、 Find メソッドで内部的に使用されます。 .DomLink メソッドを使用した方が、 Find メソッドよりも簡潔に表現できるため、好まれます。

親トピック: オブジェクト解決
関連資料
Find メソッド (TestObject)


ロケーターを使用したオブジェクトの存在確認

Exists メソッドを使用して、オブジェクトがテスト対象アプリケーションに存在するかどうかを確認できます。

次のコードは、「Log out」というテキストのハイパーリンクが Web ページに存在するか確認します。

If (browserWindow.Exists( "//a[@textContents='Log out']" )) Then
  ' do something
End If

Find メソッドの使用

Find メソッドや FindOptions メソッドを使用して、後で使用したいオブジェクトが存在するか確認できます。

次のコードは、ウィンドウを検索し、ウィンドウが見つかった場合にウィンドウを閉じます。

Dim mainWindow As Window
mainWindow = _desktop.Find("//Window[@caption='My Window']", New FindOptions(False))
If (mainWindow IsNot Nothing) Then
   mainWindow.CloseSynchron()
End If
親トピック: オブジェクト解決
関連資料
Exists メソッド (TestObject)


1 つのロケーターで複数のオブジェクトを識別する

FindAll メソッドを使用して、ロケーターに一致する最初のオブジェクトのみを識別するだけでなく、ロケーターに一致するすべてのオブジェクトを識別できます。

例

次のコードの例は、FindAll メソッドを使用して、Web ページのすべてのハイパーリンクを取得します。

Dim links As IList(Of DomLink) = browserWindow.FindAll(Of DomLink)("//a")
親トピック: オブジェクト解決
関連資料
FindAll メソッド (TestObject)


ロケーターのカスタマイズ

このセクションでは、テスト対象アプリケーション (AUT) のコントロールを Silk Test Workbench が確実に解決できるようにするために、安定したロケーターを作成する方法について説明します。

Silk Test Workbench は、AUT がその UI コントロールに対して公開する識別子を利用して、非常に柔軟で強力な UI コントロールの識別方法を提供します。Silk Test Workbench は、任意の UI コントロールに対して宣言された任意のプロパティを使用して、UI コントロールの階層を使ってロケーターを作成できます。Silk Test Workbench は、それぞれの UI コントロールを識別するのに最も適した項目とプロパティを階層から選択します。

Silk Test Workbench は、UI コントロールの階層から多くのコントロールを動的に除外するため、AUT の変更に対して非常に影響を受けにくいオブジェクト解決方法を Silk Test Workbench は提供します。Web ページの書式要素のよな UI コントロール ツリーの階層を変更する中間のグループ化されたコントロールは、オブジェクト解決から除外することができます。

UI コントロールによっては、それを固有に識別できるようにする有意義なプロパティを公開しません。このようなコントロールを含んだアプリケーションは低いテスト容易性を持つアプリケーションとみなされます。階層、とくに動的な階層は、このようなアプリケーションに対する固有のロケーターを作成するのに、重要な意味を持ちます。高いテスト容易性を持つアプリケーションは、固有の UI コントロールを識別するための単純な仕組みを常に提供します。

AUT のテストを容易にする最も単純で最も効果的な慣例のひとつが、コントロールに対する安定した識別子を導入し、アプリケーションの既存のインターフェイスを通して、これらの安定した識別子を公開することです。

  • 安定した識別子
    安定した識別子とは何か、なぜ安定した識別子がオブジェクト解決にとって重要なのかについて説明します。
  • カスタム属性
    UI コントロールを識別するためにどのカスタム属性をどのように使用するかについて説明します。
親トピック: オブジェクト解決


安定した識別子

UI コントロールの 安定した識別子 とは、コントロールの呼び出しごとに、または UI コントロールが存在するアプリケーションのバージョンが変わっても変更されない識別子を言います。安定した識別子は、その使用されるコンテキストにおいて一意である必要があります。つまり、同じ識別子を持つコントロールが同時にアクセス可能でないことが求められます。つまり、グローバルなコンテキストで一意である GUID 形式の識別子を使用する必要はありません。コントロールの識別子は、可読性が高く、有意な名前であるべきです。これらの識別子の命名規則によって、実際のコントロールに識別子を関連付けるのがより容易になります。

例：キャプションはコントロールの良い識別子と言えるか

ほとんどのテスト ツールでは、UI コントロールのデフォルト識別子として キャプション を使用します。キャプションは、コントロールに関連付けられた UI のテキストです。しかし、UI コントロールを識別するためにキャプションを使用することには、次のような欠点があります。
  • キャプションは安定していません。キャプションは開発プロセスの間に頻繁に変更されます。たとえば、AUT の UI が開発プロセスの終わりにレビューされる場合があります。UI が安定していないため、開発プロセスの初期の段階で UI テストを導入することが困難になります。
  • キャプションは一意ではありません。たとえば、アプリケーションには OK というキャプションを持つボタンが複数存在する可能性があります。
  • 多くのコントロールはキャプションを表示しないため、識別するために、ほかのプロパティを使用する必要があります。
  • ローカライズしたアプリケーションのテストにキャプションを使用する場合、各言語ごとにコントロールのキャプションを保守する必要があるため、非常に扱いにくく、さらに言語ごとに適切なキャプションを動的に割り当てることができるように、複雑なスクリプト ロジックを保守する必要があります。
  • 安定したロケーターを作成する
    Silk Test Workbench を使用して安定したロケーターを作成する方法を説明します。
  • 例：コントロールの同列要素の指定
    コントロールの同列要素のロケーターが安定している場合に、アプリケーションのコントロールを指定する方法について説明します。
  • 例：動的 GWT ツリーの展開アイコンの検索
    デフォルトでは Silk Test Workbench が安定したロケーターを生成しないアプリケーションのコントロールを検索する方法について説明します。
親トピック: ロケーターのカスタマイズ


安定したロケーターを作成する

Silk Test Workbench の主要なメリットのひとつが、柔軟で強力なオブジェクト解決の仕組みです。UI コントロールを特定するために XPath 記法を使用することによって、UI コントロールが適切な属性を持っていない場合でも、適切な属性を持つ対象要素のそばにある限り、Silk Test Workbench は確実に識別できます。Silk Test Workbench の XPath ロケーターは、UI コントロールを識別するために、UI コントロールの階層全体を使用することもできれば、その一部を使用することもできます。特に最近の AJAX ツールキットは、とても複雑なドキュメント オブジェクト モデル (DOM) を動的に生成するので、UI コントロールを特定するために使用できる適切なコントロール属性を提供しません。

このような場合、インテリジェントなオブジェクト解決の仕組みを提供しないテスト ツールでは、UI コントロールを識別するために、ほとんどの場合インデックス ベースの解決方法を使用することが必要になります。たとえば、展開 アイコンの n 番目のコントロールを識別します。このようなテスト スクリプトは保守することが容易でなく、アプリケーションにほんのわずかな変更を加えるだけでテスト スクリプトが動作しなくなってしまうことが良くあります。

有用な属性を提供しない UI コントロールに対して安定したロケーターを作成する良い方法は、階層の中で安定したロケーターを持つアンカー要素を見つけることです。そして、そのアンカー要素からロケーターを作成したい要素まで辿っていくことができます。

Silk Test Workbench は、この方法を使用してロケーターを作成しますが、ときにはコントロールからの安定したロケーターを手動で作成することが必要となる場合もあります。

親トピック: 安定した識別子


例：コントロールの同列要素の指定

このトピックでは、ロケーターに使用することのできる安定した属性を提供しないコントロールを、そのコントロールの同列要素に対する安定したロケーターが利用できる場合に、それを使用して指定する方法を説明します。

次の安定したロケーターを持つコントロール Item 0.0 が既に識別されていると想定します。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']
Item 0.0 が、タイプ a の同列要素を持ていることがわかっている場合、次のコードを使用して、同列要素の安定したロケーターを構築できます。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/../a
テキスト フィールドを識別するときにも、この同列要素による方法を使用できます。テキスト フィールドは、たいていの場合、ロケーターで使用できる有用な属性を提供しません。テキスト フィールドのラベルを使用すると、テキスト フィールドの有用なロケーターを作成できます。同列要素による方法を使って、テキスト フィールドのロケーターの一部として、ラベルを使用することは簡単です。たとえば、テキスト フィールドがテキスト User Name を持つラベルの同列要素である場合、次のロケーターを使用できます。
/BrowserApplication//BrowserWindow//DIV[@textContent='User Name']/../input[@type='text']
親トピック: 安定した識別子


例：動的 GWT ツリーの展開アイコンの検索

Google Widget Toolkit (GWT) は、とても人気のある強力なツールキットですが、テストしにくいです。動的ツリー コントロールは、とても一般的に使用されている GWT の UI コントロールです。ツリーを展開するには、展開 アイコン要素を識別する必要があります。

動的 GWT ツリーのサンプルは、http://samples.gwtproject.org/samples/Showcase/Showcase.html#!CwTree にあります。

Silk Test Workbench が生成するデフォルトのロケーターは次のようになります。
/BrowserApplication//BrowserWindow//DIV[@id='gwt-debug-cwTree-dynamicTree-root-child0']/DIV/DIV[1]//IMG[@border='0']
次の理由で、このデフォルトのロケーターは、Item 0.0 の 展開 アイコンを識別するロケーターとしては信頼できるものではありません。
  • ロケーターは複雑で、複数の階層から構成されています。AJAX で動的に DOM 構造が少し変わるとロケーターは使えなくなります。
  • ロケーターには、階層のいくつかのコントロールにインデックスが含まれています。インデックス ベースのロケーターは、その出現番号によってコントロールを検索するため、一般にもろく、たとえば、ツリーの 6 番目の展開アイコンを見つけるなど、うまく特定のコントロールを定義できません。このルールの例外は、たとえばグリッドの 6 番目のデータ行など、識別するさまざまなデータ セットを表すためにインデックスが使用される場合です。

多くの場合、より良いロケーターを見つける良い方法は、検索する要素の同列要素を探し出すことです。より良いロケーターの同列要素を見つけると、XPath は、これらの同列要素を識別してロケーターを構成することができます。この場合、ツリー項目 Item 0.0 は、展開 アイコンよりも良いロケーターです。ツリー項目 Item 0.0 のロケーターは、コントロールの @textContents プロパティを使用するため、安定した単純なロケーターです。

デフォルトでは、Silk Test Workbench は @id プロパティを使用しますが、GWT では @id には ='gwt-uid-<nnn>' のような値 (ここで、<nnn> は同じ要素でも呼出し毎に頻繁に変わります) が含まれるため、たいてい安定したプロパティではありません。

@textContents プロパティを @id の代わりに使用してロケーターを手動で変更できます。

元のロケーター：
/BrowserApplication//BrowserWindow//DIV[@id='gwt-uid-109']
別のロケーター：
/BrowserApplication//BrowserWindow//DIV[@textContents='Item 0.0']

もしくは、@id='gwt-uid-<nnn>' を使用しないように Silk Test Workbench を設定できます。この場合、Silk Test Workbench は自動的に安定したロケーターを記録します。たとえば、@id プロパティで使用されるテキスト パターンをロケーター属性値除外リストに追加ます。この場合、gwt-uid* を除外リストに追加します。

要素の階層を調べると、Item 0.0 コントロールと 展開 アイコン コントロールは、共通のルートノードとして DomTableRow コントロールを持つことが分かります。

展開 アイコンの安定したロケーターを作成するには、次のロケーターを使って Item 0.0 をまず検索する必要があります。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']
そして、要素の階層を 2 レベル上がって DomTableRow 要素まで移動します。これは、XPath では、ロケーターに /../.. を追加して表現します。最後に、DomTableRow から 展開 アイコンを検索します。展開 アイコンは、サブツリー内では唯一の IMG コントロールであるので、容易に検索できます。これは、XPath では、ロケーターに //IMG を追加して表現します。展開 アイコンの最終的な安定したロケーターは次のようになります。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/../..//IMG
親トピック: 安定した識別子


カスタム属性

多くの UI テクノロジーは、UI コントロールのあらかじめ定義された属性のセットをカスタム属性で拡張する方法を提供します。アプリケーション開発者は、コントロールを一意に識別する安定した識別子を導入するためにカスタム属性を使用できます。Silk Test Workbench は、UI コントロールのカスタム属性にアクセスでき、UI コントロールを識別するために、これらのカスタム属性を使用することもできます。

UI コントロールを識別するために特別に自動化用属性を使用すると、caption のような定義済み属性を使用する場合と比較して、いくつかのメリットを享受できます。アプリケーション コードで安定した識別子を指定でき、カスタム属性や定義済みの自動化用プロパティの何れかを通して識別子を公開することで、テスト自動化スクリプトが理解しやすくなり、保守性も高まり、開発プロセスの初期の段階からテストの自動化を開始することができるようになります。

Silk Test Workbench はロケーター生成の柔軟性が高く、識別に使用する属性を設定することができます。

  • Apache Flex アプリケーションのカスタム属性
    Apache Flex アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Java SWT カスタム属性
    カスタム属性をテスト アプリケーションに追加して、テストをより安定させます。
  • Web アプリケーションのカスタム属性
    Web アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Windows Forms アプリケーションのカスタム属性
    Windows Forms アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • WPF アプリケーションのカスタム属性
    WPF アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
親トピック: ロケーターのカスタマイズ


Apache Flex アプリケーションのカスタム属性

Apache Flex アプリケーションは、あらかじめ定義されたプロパティ automationName を使用して、次のように Apache Flex コントロールに対して安定した識別子を指定します。
  <s:Group xmlns:fx="http://ns.adobe.com/mxml/2009"
      xmlns:s="library://ns.adobe.com/flex/spark"
      xmlns:mx="library://ns.adobe.com/flex/mx" width="400" height="300">
    <fx:Script>
    …
    </fx:Script>
    <s:Button x="247" y="81" label="Button" id="button1" enabled="true" click="button1_clickHandler(event)"
        automationName="AID_buttonRepeat"/>
    <s:Label x="128" y="123" width="315" height="18" id="label1" verticalAlign="middle"
        text="awaiting your click" textAlign="center"/>
  </s:Group>
Apache Flex アプリケーションのロケーターは次のようになります。
…//SparkApplication//SparkButton[@caption='AID_buttonRepeat'
重要: Apache Flex アプリケーションの場合、Silk Test Workbench では automationName はロケーター属性 caption に常にマップされます。automationName 属性が指定されていない場合、Silk Test Workbench は属性 ID をロケーター属性 caption にマップします。
親トピック: カスタム属性
親トピック: テスト可能な Flex アプリケーションの作成


Java SWT カスタム属性

カスタム属性をテスト アプリケーションに追加して、テストをより安定させることができます。 たとえば、Java SWT では、GUI を実装する開発者が属性（'silkTestAutomationId' など）をウィジェットに対して定義することによって、アプリケーション内でそのウィジェットを一意に識別することができます。 これにより、Silk Test Workbench を使用するテスト担当者は、その属性（この場合は 'silkTestAutomationId'）をカスタム属性のリストに追加すると、その一意の ID によってコントロールを識別できるようになります。 カスタム属性を使用すると、caption や index のような他の属性よりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は定義済みのウィジェットより前に他のウィジェットが追加されると変更されるためです。

複数のオブジェクトに同じカスタム属性の値が割り当てられた場合は、そのカスタム属性を呼び出したときにその値を持つすべてのオブジェクトが返されます。 たとえば、一意の ID として 'loginName' を 2 つの異なるテキスト フィールドに割り当てた場合は、'loginName' 属性を呼び出したときに、両方のフィールドが返されます。

Java SWT の例

以下のコードを使用して、テストするアプリケーションにボタンを作成する場合：
Button myButton = Button(parent, SWT.NONE);

myButton.setData("SilkTestAutomationId", "myButtonId");
テストの XPath クエリ文字列に属性を追加するには、以下のクエリを使用します。
Dim button =
desktop.PushButton("@SilkTestAutomationId='myButton'")

Java SWT アプリケーションをカスタム属性のテストに対して有効化にするには、開発者はカスタム属性をアプリケーションに含める必要があります。 属性を含めるには org.swt.widgets.Widget.setData(String key, Object value) メソッドを使用します。

親トピック: カスタム属性
親トピック: Java SWT と Eclipse RCP のサポート
関連タスク
カスタム属性の設定


Web アプリケーションのカスタム属性

HTML は、安定した識別子を表すことができる一般的な属性 ID を定義します。定義により、ID は文書内の要素を一意に識別します。特定の ID を持つ要素は文書内で 1 つだけ存在します。

ただし、多くの場合 (特に AJAX アプリケーションでは)、ID は HTML 要素に関連付けられたサーバー ハンドラを動的に識別するために使用されます。つまり、Web 文書の作成のたびに ID は変わることになります。このような場合、ID は安定した識別子ではなく、Web アプリケーションの UI コントロールを識別するのに適しません。

Web アプリケーションの場合、より確実にするには、Silk Test Workbench に UI コントロールの情報を公開するためだけに使用されるカスタム HTML 属性を新たに導入することです。

カスタム HTML 属性はブラウザーは無視するため、AUT の動作は変わりません。ブラウザーの DOM を通してアクセスすることができます。Silk Test Workbench では、このような属性を (属性がコントロール クラスのカスタム 属性であっても) 識別時のデフォルト属性として使用するように設定することができます。特定のテクノロジ ドメインのデフォルト識別属性としてカスタム属性を設定するには、ツール > オプション > 記録 をクリックして、テクノロジ ドメインを選択します。

例：変化する ID

アプリケーション開発者は、Web 要素にさらに HTML 属性を追加することが必要です。

元の HTML コード：
<A HREF="http://abc.com/control=4543772788784322..." <IMG
src="http://abc.com/xxx.gif" width=16 height=16> </A>
新しいカスタム HTML 属性 AUTOMATION_ID を持つ HTML コード：
<A HREF="http://abc.com/control=4543772788784322..."
AUTOMATION_ID = "AID_Login" <IMG src="http://abc.com/xxx.gif"
width=16 height=16> </A>
カスタム属性を設定すると、Silk Test Workbench は、できる限りカスタム属性を使用して、一意のロケーターを構成しようとします。Web ロケーターは次のようになります。
…//DomLink[@AUTOMATION_ID='AID_Login'
変化する ID の 1 例は、Google Widget Toolkit (GWT) で、ID は Web 文書の作成のたびに変化する動的な値を保持します：
ID = 'gwt-uid-<nnn>'
この場合、<nnn> が頻繁に変化します。
親トピック: カスタム属性
親トピック: クロス ブラウザ テスト


Windows Forms アプリケーションのカスタム属性

Windows Forms アプリケーションは、あらかじめ定義された自動化用プロパティ automationId を使用して、Windows Forms コントロールに対して安定した識別子を指定します。

Silk Test Workbench は、ロケーターを識別するために、自動的にこのプロパティを使用します。Windows Forms アプリケーションのロケーターは次のようになります。
/FormsWindow//PushButton[@automationId='btnBasicControls']
親トピック: カスタム属性
親トピック: Windows Forms のサポート


WPF アプリケーションのカスタム属性

WPF アプリケーションは、あらかじめ定義された自動化用プロパティ AutomationProperties.AutomationId を使用して、次のように WPF コントロールに対して安定した識別子を指定します。
<Window x:Class="Test.MainWindow"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    Title="MainWindow" Height="350" Width="525">
  <Grid>
    <Button AutomationProperties.AutomationId="AID_buttonA">The
Button</Button>
  </Grid>
</Window>
Silk Test Workbench は、ロケーターを識別するために、自動的にこのプロパティを使用します。WPF アプリケーションのロケーターは次のようになります。
/WPFWindow[@caption='MainWindow']//WPFButton[@automationId='AID_buttonA']
親トピック: カスタム属性
親トピック: Windows Presentation Foundation（WPF）のサポート


XPath のパフォーマンス問題のトラブルシューティング

複雑な Web アプリケーションの場合など、オブジェクトの構造が複雑なアプリケーションをテストする場合、パフォーマンスの問題や、スクリプトの信頼性に関連する問題が発生することがあります。このトピックでは、Silk Test Workbench が記録中に自動的に生成したロケーターとは異なるロケーターを使用して、スクリプトのパフォーマンスを向上させる方法について説明します。

注: 一般に、複雑なロケーターを使用することは推奨しません。複雑なロケーターを使用すると、テストの信頼性を損なう恐れがあります。複雑なロケーターは、テスト アプリケーションの構造をほんの少し変更しただけで機能しなくなってしまう可能性があります。それにもかかわらず、スクリプトのパフォーマンスが要求を満たしていない場合には、より固有のロケーターを使用することによってテストのパフォーマンスを向上できる可能性があります。
例として、MyApplication アプリケーションの要素ツリーを以下に示します。
Root
  Node id=1
    Leaf id=2
    Leaf id=3
    Leaf id=4
    Leaf id=5
  Node id=6
    Node id=7
      Leaf id=8
      Leaf id=9
    Node id=9
      Leaf id=10
以下の最適化手法のいくつかを使用して、スクリプトのパフォーマンスを改善させることができます。
  • 複雑なオブジェクト構造内の要素を特定したい場合は、オブジェクト構造全体ではなく、その特定の部分だけを検索するようにします。たとえば、サンプル ツリーの識別子 4 を持つ要素を検索する場合に Root.Find("//Leaf[@id='4']") というクエリーを使用している場合、Root.Find("/Node[@id='1']/Leaf[@id='4']") というクエリーで置き換えます。最初のクエリーでは、識別子 4 を持つリーフが、アプリケーションの要素ツリー全体から検索されます。そして、最初のリーフが見つかった時点で返されます。2 番目のクエリーでは、識別子 1 を持つノードと識別子 6 を持つノードがある最初のレベルのノードがまず検索された後、識別子 4 を持つすべてのリーフが識別子 1 を持つノードのサブツリー内から検索されます。
  • 同じ階層内の複数の項目を特定したい場合は、まずは階層を特定してからループ内で項目を特定します。Root.FindAll("/Node[@id='1']/Leaf") というクエリーを使用している場合、次のようなループで置き換えます。
親トピック: オブジェクト解決


Silk Test Open Agent

Silk Test Open Agent は、スクリプトのコマンドを GUI 固有のコマンドに翻訳するソフトウェア プロセスです。 つまり、Open Agent がテストするアプリケーションを動かし、監視しています。

ホストマシン上で 1 つのエージェントをローカルに実行できます。 ネットワーク環境では、任意の数のエージェントがリモート マシン上でテストを再生できます。 ただし、記録はローカル マシン上でのみ実行できます。

  • Silk Test Open Agent の起動
    テストの作成またはサンプル スクリプトの実行前に、Silk Test Open Agent が実行されている必要があります。 通常は、製品を起動したときにエージェントが実行されます。
  • テスト実行後に Open Agent を停止する
    テスト実行の終わりにスクリプトから Open Agent を停止して、エージェントが実行し続けないようにします。
  • エージェント オプション
    GetOption および SetOption メソッドで操作できる Agent クラス オプションについて説明します。
  • Open Agent のポート番号
    Silk Test Open Agent が Information Service と通信する方法とポートへの接続方法について説明します。


Silk Test Open Agent の起動

テストの作成またはサンプル スクリプトの実行前に、Silk Test Open Agent が実行されている必要があります。 通常は、製品を起動したときにエージェントが実行されます。 Open Agent を手動で開始しなければならない場合には、次のステップを実行してください。

(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > ツール > Silk Test Open Agent、または (Microsoft Windows 10) スタート > Silk > Silk Test Open Agent をクリックします。 Silk Test Open Agent アイコン Open Agent アイコン が、システム トレイに表示されます。
親トピック: Silk Test Open Agent


テスト実行後に Open Agent を停止する

スクリプトから Open Agent を停止して、テスト実行が終わってもエージェントが実行し続けることがないようにすることができます。
  1. テスト実行が完了したときに実行するスクリプトを開く、または作成します。 たとえば、テスト実行後にクリーンアップのために使用する既存のスクリプトを開きます。
  2. スクリプトに ShutDown メソッドを追加します。
注: 他のスクリプトが Open Agent を必要になった時点で、エージェントは再起動されます。
親トピック: Silk Test Open Agent


エージェント オプション

このセクションでは、GetOption および SetOption メソッドで操作できるオプションについて説明します。

注: デフォルトでは、メニューから ツール > オプション を選択してグローバル オプションを設定できます。

スクリプトでエージェント オプションを設定または取得するには、GetOption または SetOption メソッドを使用します。たとえば、Agent.SetOption(Options. と入力すると、オートコンプリートと構文ヒント テクノロジを使用して、エージェント オプションがアクティブなエディター ウィンドウに自動的に表示されます。たとえば、以下のオプションがアクティブなエディター ウィンドウに表示されます。

スクリプトでオプションを挿入する場合は、次のように記述します。
'VB .NET code
Agent.SetOption(Options.ApplicationReadyTimeout, 100000)
あるいは、スクリプトでエージェント オプション名を使用することもできます。たとえば、以下のように入力できます。
'VB .NET code
Agent.SetOption("OPT_APPREADY_TIMEOUT", 100000)

Open Agent の設定 を使用して、ビジュアル テストにカスタム オプションを追加することができます。ツール > オプション に移動し、設定するオプションの種類に依存して 記録 または 再生 を選択し、新しいオプションを名前値ペアとして追加します。この機能は特定の場合にのみ使用すべきです（サポートから提案された場合など）。

.NET オプション名 | エージェント オプション名 | 定数の型 | 説明
ApplicationReadyTimeout | OPT_APPREADY_TIMEOUT | 数値 | 新しく起動したアプリケーションが準備完了状態になるまで待機する時間をミリ秒で指定します。指定したタイムアウト時間内にアプリケーションの準備が整わない場合は、Silk Test Workbench によって例外がスローされます。
BitmapMatchCount OPT_BITMAP_MATCH_COUNT 整数 ビットマップが安定していると判断するために、連続して同じビットマップでなければならないスナップショットの数を指定します。スナップショットは、OPT_BITMAP_MATCH_TIMEOUT で指定された秒数まで取得され、各スナップショット間で OPT_BITMAP_MATCH_INTERVAL で指定された時間間隔で一時停止します。

デフォルトで、これは 0 です。
BitmapMatchInterval OPT_BITMAP_MATCH_INTERVAL 実数 ビットマップ画像が安定していることを保証するために使用するスナップショット間の時間間隔を指定します。スナップショットは、OPT_BITMAP_MATCH_TIMEOUT で指定された時間まで取得されます。

デフォルトで、これは 0.1 です。
BitmapMatchTimeout OPT_BITMAP_MATCH_TIMEOUT 実数 ビットマップ画像が安定するまでの合計許容時間を指定します。

この期間に Silk Test Workbench は画像の複数のスナップショットを取得し、スナップショット間で OPT_BITMAP_MATCH_TIMEOUT で指定された秒数だけ待機します。OPT_BITMAP_MATCH_COUNT で指定されたビットマップ数と一致する前に、OPT_BITMAP_MATCH_TIMEOUT から返される値に到達すると、Silk Test Workbench でスナップショットの取得が停止し、例外 E_BITMAP_NOT_STABLE が発生します。

デフォルトで、これは 5 です。
BitmapPixelTolerance OPT_BITMAP_PIXEL_TOLERANCE 整数 2 つのビットマップが一致しているとみなされる許容差異 (ピクセル単位) を指定します。差異ピクセル数がこのオプションで指定された値より小さい場合、ビットマップは同一であるとみなされます。最大許容値は 32767 ピクセルです。

デフォルトで、これは 0 です。
ButttonsToCloseWindows | OPT_CLOSE_WINDOW_BUTTONS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じるために使用するボタンを指定します。
ButttonsToConfirmDialogs | OPT_CLOSE_CONFIRM_BUTTONS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じる際に表示された確認ダイアログ ボックスを閉じるために使用するボタンを指定します。
CloseUnresponsiveApplications | OPT_KILL_HANGING_APPS | ブール値 | 無応答のアプリケーションを閉じるかどうかを指定します。 タイムアウトなどの理由で、エージェントとアプリケーション間の通信に失敗した場合に、アプリケーションが無応答になります。 複数のインスタンスを実行できないアプリケーションをテストする場合は、このオプションを TRUE に設定します。デフォルトで、これは FALSE です。
CloseWindowTimeout | OPT_CLOSE_WINDOW_TIMEOUT | 数値 | ウィンドウ閉じるための次の方式を試行する前に待機する時間をミリ秒で指定します。 最終的に失敗と判断する前に、4 種類の方式が Agent によって実行されます。つまり、閉じるのに失敗するまでにかかる合計時間は、指定した値の 4 倍の時間になります。
Compatibility OPT_COMPATIBILITY 文字列

Silk Test Workbench の最新バージョンで特定の機能の動作が変更されている場合は、これらの機能について、指定した Silk Test Workbench バージョンの動作を使用することができます。

文字列の例：
  • 12
  • 11.1
  • 13.0.1

デフォルトでは、このオプションは設定されていません。
EnsureObjectIsActive | OPT_ENSURE_ACTIVE_OBJDEF | ブール値 | ターゲット オブジェクトがアクティブであることを保証します。 デフォルトで、これは FALSE です。
EnableAccessibility OPT_ENABLE_ACCESSIBILITY ブール値

Win32 アプリケーションをテストしているときに、Silk Test Workbench がオブジェクトを認識できない場合、ユーザー補助を有効にするには TRUE に設定します。ユーザー補助は、オブジェクトの認識機能をクラス レベルで強化するためのものです。

ユーザー補助を無効にするには FALSE に設定します。

デフォルトで、これは FALSE です。

注: Mozilla Firefox と Google Chrome の場合、ユーザー補助は常に有効で、無効にすることはできません。
EnableMobileWebviewFallbackSupport OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT ブール値

デフォルトのブラウザー サポートではテストできないハイブリッド モバイル アプリケーションに対して、モバイル ネイティブ フォールバックのサポートを有効化します。

デフォルトで、これは FALSE です。
HangAppTimeOut OPT_HANG_APP_TIME_OUT 数値

応答のない再生操作をキャンセルするまでのタイムアウト値を、無応答のアプリケーションのタイムアウト で指定します。

デフォルト値は、5000 ミリ秒です。
HighlightObjectDuringPlayback OPT_REPLAY_HIGHLIGHT ブール値 現在のオブジェクトが再生中にハイライトされるかどうかを指定します。

デフォルトで、これは FALSE です。つまり、デフォルトではオブジェクトはハイライトされません。
KeyboardEventDelay OPT_KEYBOARD_INPUT_DELAY 数値 再生時のキー入力間の遅延をミリ秒で指定します。

テストするアプリケーションに応じて、選択する最適な値が異なることに注意してください。 たとえば、Web アプリケーションをテストする場合、1 ミリ秒に設定すると、ブラウザが極端に遅くなります。 ただし、この値を 0 (ゼロ) に設定すると、基本的なアプリケーション テストに失敗する可能性があります。
KeysToCloseDialogs | OPT_CLOSE_DIALOG_KEYS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じる際に表示されたダイアログ ボックスを閉じるキー シーケンスを指定します。 例：<ESC>、<Alt+F4>。
LocatorAttributesCaseSensitive OPT_LOCATOR_ATTRIBUTES_CASE_SENSITIVE ブール値

はい に設定すると、ロケーター属性名の大文字と小文字が区別されるようになり、いいえ に設定すると、ロケーター名の大文字と小文字が区別されなくなります。モバイル Web アプリケーションのロケーター属性の名前は、常に大文字と小文字の区別はされません。つまり、モバイル Web アプリケーションの記録や再生時に、このオプションは無視されます。
MenuItemsToCloseWindows | OPT_CLOSE_WINDOW_MENUS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じるために使用するメニュー項目を指定します。 例：「ファイル/*終了」、「ファイル/*中止」。
MouseEventDelay | OPT_MOUSE_INPUT_DELAY | 数値 | 各マウス イベントの前に使用される遅延をミリ秒で指定します。
ObjectResolveRetryTimeout | OPT_WAIT_RESOLVE_OBJDEF | 数値 | 再生中にオブジェクトの解決を待機する時間をミリ秒で指定します。 オブジェクトが解決されるとすぐに、Silk Test Workbench はこのオブジェクトを認識することができます。
PlaybackMode OPT_REPLAY_MODE 数値 コントロールの再生方法を定義します。 「低レベル」を使用すると、マウスとキーボードを使用して各コントロールが再生されます。 「高レベル」を使用すると、API を使用して各コントロールが再生されます。 コントロールごとにデフォルトの再生モードが割り当てられています。 デフォルトの再生モードが選択されると、各コントロールごとのデフォルトの再生モードが使用されます。 デフォルト モードを使用すると、最も信頼できる結果が得られます。 「低レベル」または「高レベル」の再生を選択すると、すべてのコントロールの再生モードが選択した再生モードで上書きされます。

有効な値は、0、1、2 です。0 はデフォルト、1 は高レベル、2 は低レベルです。デフォルトで、これは 0 です。
PostReplayDelay | OPT_POST_REPLAY_DELAY | 数値 | 関数の呼び出しまたはプロパティの設定後に待機する時間をミリ秒で指定します。
RemoveFocusOnCaptureText OPT_REMOVE_FOCUS_ON_CAPTURE_TEXT ブール値
はい に設定すると、テキストのキャプチャ中にテスト対象アプリケーションからフォーカスが外れます。デフォルトでは いいえ に設定されており、テスト対象アプリケーションにフォーカスが残ります。テキストのキャプチャは、次のメソッドによる記録および再生中に実行されます。
  • TextClick
  • TextCapture
  • TextExists
  • TextRect
SuspensionTimeout | OPT_NTF_SUSPENSION_TIMEOUT | 数値 | NTF から回答を得るまで待機する最大時間をミリ秒で指定します。この時間を超えた場合は、NTF と Open Agent 間の通信が中断されたものとみなします。
SyncTimeout OPT_SYNC_TIMEOUT 数値 オブジェクトが準備完了状態になる最大時間をミリ秒で指定します。
注: Silk Test 13.0 より前のバージョンの Silk Test からアップグレードする場合、OPT_XBROWSER_SYNC_TIMEOUT オプションが設定されていると、オプション ダイアログ ボックスに OPT_SYNC_TIMEOUT のデフォルト値が表示されますが、タイムアウトは定義した値に設定されています。
TransparentClasses OPT_TRANSPARENT_CLASSES 文字列のリスト
オブジェクト階層を単純化し、テスト スクリプトや関数のコードの行の長さを短くするために、次のテクノロジの確実に不要なクラスに対するコントロールを抑制できます。
  • Win32
  • Java AWT/Swing
  • Java SWT/Eclipse
  • Windows Presentation Foundation (WPF)
記録や再生中に無視したいクラスの名前を指定します。
OPT_WPF_CHECK_DISPATCHER_FOR_IDLE | ブール値 | WPF アプリケーションによっては、コントロールの実装方法が影響して、Silk Test 同期が機能しない場合があります。これにより、WPF アプリケーションがアイドルであることを Silk Test Workbench が認識できなくなります。このオプションを FALSE に設定すると、WPF 同期が無効になり、WPF アプリケーションを制御するスレッドである WPF ディスパッチャーを Silk Test Workbench が確認しないようになります。このオプションを FALSE に設定すると、一部の WPF アプリケーションで発生する同期問題を解決できます。デフォルトで、これは TRUE です。
WPFCustomClasses | OPT_WPF_CUSTOM_CLASSES | 文字列のリスト | 記録や再生の対象にしたい WPF クラスの名前を指定します。たとえば、MyGrid というカスタム クラスが WPF Grid クラスから継承された場合、MyGrid カスタム クラスのオブジェクトは記録や再生に使用できません。Grid クラスはレイアウト目的のためにのみ存在し、機能テストとは無関係であるため、Grid オブジェクトは記録や再生に使用できません。この結果、Grid オブジェクトはデフォルトでは公開されません。機能テストに無関係なクラスに基づいたカスタム クラスを使用するには、カスタム クラス (この場合は MyGrid) を OPT_WPF_CUSTOM_CLASSES オプションに追加します。これによって、記録、再生、検索、プロパティの検証など、すべてのサポートされる操作を指定したクラスに対して実行できるようになります。
WPFPrefillItems | OPT_WPF_PREFILL_ITEMS | ブール値 | 記録および再生中に 、WPFComboBox や WPFListBox のような WPFItemsControl 内の項目を事前に入力するかどうかを定義します。WPF 自体が特定のコントロールの項目を遅延読み込みするため、項目がビューにスクロールされない場合、それらの項目は Silk Test Workbench では使用できません。ビューにスクロールされないとアクセスできない項目にアクセスするには、事前入力をオンにします。これはデフォルトの設定です。ただし、一部のアプリケーションでは Silk Test Workbench によってバックグランドで項目が事前入力されると問題が発生し、そのためアプリケーションがクラッシュすることがあります。この場合、事前入力をオフにします。
XBrowserFindHiddenInputFields OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS ブール値

非表示入力フィールドを表示するかどうかを指定します（タグに type="hidden" を指定した HTML フィールドです）。デフォルト値は、TRUE です。
XBrowserSynchronizationMode | OPT_XBROWSER_SYNC_MODE | 文字列 | サポートする同期モード (HTML または AJAX) を設定します。 HTML モードを使用すると、すべての HTML ドキュメントが対話的な状態になることが保証されます。 このモードでは、単純な Web ページをテストすることができます。 Java Script が含まれるより複雑なシナリオが使用される場合は、WaitForObject、WaitForProperty、WaitForDisappearance、または WaitForChildDisappearance などの同期関数を使用して手動でスクリプトを記述することが必要になる可能性があります。 AJAX モードを使用すると、同期関数を手動で記述する必要はなくなります。 デフォルト値は、AJAX に設定されています。
XBrowserSynchronizationTimeout OPT_XBROWSER_SYNC_TIMEOUT 数値 オブジェクトが準備完了状態になる最大時間をミリ秒で指定します。
注: 推奨されません。代わりに OPT_SYNC_TIMEOUT オプションを使用してください。
XBrowserSynchronizationURLExcludes OPT_XBROWSER_SYNC_EXCLUDE_URLS 文字列 ページ同期中に除外するサービスまたは Web ページの URL を指定します。 AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

http://test.com/timeService のように URL 全体を入力したり、timeService のように URL の一部を入力します。

次のようにカンマで項目を区切ります。
'VB .NET code
Agent.SetOption(OPT_XBROWSER_SYNC_EXCLUDE_URLS, { "fpdownload.macromedia.com", "fpdownload.adobe.com", "download.microsoft.com" })
親トピック: Silk Test Open Agent
関連資料
ビジュアル テストの再生設定
GetOption メソッド
SetOption メソッド


Open Agent のポート番号

Open Agent が起動すると、Silk Test Workbench およびテストするアプリケーションに対して、使用可能なポートがランダムに割り当てられます。ポート番号は Information Service に登録されます。Silk Test Workbench は、Open Agent に接続するために使用するポートを決定するために Information Service に接続します。Information Service は適切なポートと通信し、Silk Test Workbench はそのポートに接続します。通信は、エージェントと Silk Test Workbench との間で直接行われます。

デフォルトでは、ポート 22901 を使用して Open Agent は Information Service と通信します。デフォルト ポートが利用可能でない場合に機能する代替ポートとして、Information Service の追加のポートを構成できます。デフォルトでは、Information Service は、代替ポートとして 2966、11998、および 11999 を使用します。

大抵の場合、手動でポート番号を設定する必要はありません。しかし、ポート番号が競合したり、ファイアウォールとの問題があったりした場合には、そのマシンや Information Service に対してポート番号を設定する必要があります。各マシンごとに異なるポート番号を使用することも、すべてのマシンに対して同じ番号を使用することも可能です。

  • Information Service に接続するポートの構成
    Information Service に接続するためにすべてのクライアントが使用するポート番号を変更します。
  • Open Agent に接続するポートの構成
    Silk Test クライアントまたはテストするアプリケーションが Open Agent に接続するために使用するポート番号を変更します。
親トピック: Silk Test Open Agent


Information Service に接続するポートの構成

このタスクを開始する前に、Silk Test Open Agent を停止します。

大抵の場合、手動でポート番号を設定する必要はありません。Information Service はポート構成を自動的に処理します。エージェントとの接続には、Information Service のデフォルトのポートを使用します。これにより、Information Service によって、エージェントが使用するポートに通信が転送されます。

Information Service のデフォルトのポートは 22901 です。デフォルトのポートが使用可能であれば、ポート番号を指定せずに単純に hostname だけを入力できます。ポート番号を指定する場合には、Information Service のデフォルトのポートまたは追加したポートの 1 つと一致していることを確認ください。間違ったポートが指定されていると、通信に失敗します。

必要に応じて、Information Service に接続するためにすべてのクライアントが使用するポート番号を変更できます。

  1. infoservice.properties.sample ファイルに移動し、開きます。
    • Microsoft Windows システムでは、このファイルは C:\ProgramData\Silk\Silk Test\conf にあります。ここで、「C:\ProgramData」は、Windows システムでデフォルトで設定されている環境変数 ALLUSERSPROFILE の値です。
    • macOS では、このファイルは /Users/<ユーザー>/.silk/silktest/conf にあります。
    このファイルには、コメントとサンプルの代替ポート設定が含まれています。
  2. 代替ポートの値を変更します。 大抵の場合、ファイアウォールとの問題を避けるために、特定のポートに通信を強制するように Information Service ポートの設定を構成します。

    ポート番号は、1 から 65535 の間の任意の数値を指定できます。

    • infoservice.default.port： Information Service が実行されているデフォルト ポートです。デフォルトでは、このポートは 22901 に設定されています。

  3. ファイルを infoservice.properties という名前で保存します。
  4. Open Agent、Silk Test クライアント、およびテストするアプリケーションを再起動します。
親トピック: Open Agent のポート番号


Open Agent に接続するポートの構成

このタスクを開始する前に、Silk Test Open Agent を停止します。

大抵の場合、手動でポート番号を設定する必要はありません。Information Service はポート構成を自動的に処理します。エージェントとの接続には、Information Service のデフォルトのポートを使用します。これにより、Information Service によって、エージェントが使用するポートに通信が転送されます。

必要に応じて、Silk Test クライアントまたはテストするアプリケーションが Open Agent に接続するために使用するポート番号を変更します。

  1. agent.properties.sample ファイルに移動し、開きます。 デフォルトでは、このファイルは次の場所にあります：%APPDATA%\Silk\SilkTest\conf。 大抵の場合、C:\Users\<ユーザー名>\AppData\Silk\SilkTest\conf になります。ここで、<ユーザー名> は、現在のユーザー名に一致します。
  2. 代替ポートの値を変更します。 大抵の場合、ポートの競合を解決するためにポートの設定を構成します。
    注: 各ポート番号は一意でなければなりません。エージェントのポート番号が Information Service のポート設定とは異なることを確認してください。
    ポート番号は、1 から 65535 の間の任意の数値を指定できます。

    ポートの設定には次のものがあります：

    • agent.vtadapter.port： テストの実行時に、Silk Test Workbench と Open Agent 間の通信を制御します。

    • agent.xpmodule.port： テストの実行時に、Silk Test Classic とエージェント間の通信を制御します。

    • agent.autcommunication.port： Open Agent とテストするアプリケーション間の通信を制御します。

    • agent.rmi.port： Open Agent と Silk4J 間の通信を制御します。

    • agent.ntfadapter.port： Open Agent と Silk4NET 間の通信を制御します。

    注: Apache Flex のテスト時に使用されるポートは、この構成ファイルでは制御できません。Flex アプリケーションのテストで割り当てられるポート番号は、6000 から始まり、各 Flex アプリケーションがテストされる度に 1 ずつ増加していきます。Flex テスト用に開始ポートを構成することはできません。
  3. ファイルを agent.properties という名前で保存します。
  4. Open Agent、Silk Test クライアント、およびテストするアプリケーションを再起動します。
親トピック: Open Agent のポート番号


オブジェクト マップ

オブジェクト マップはテスト資産の一種であり、コントロールまたはウィンドウのロケーターではなく、コントロールまたはウィンドウに論理名 (エイリアス) を関連付ける項目が含まれています。コントロールがオブジェクト マップ資産に登録されると、ビジュアル テストおよびスクリプトでのそのコントロールに対する参照はすべて、実際のロケーター名ではなく、そのエイリアスによって行われます。

複数のスクリプトで頻繁に使用するオブジェクトを格納するために、オブジェクト マップを使用できます。複数のテストで 1 つのオブジェクト マップ項目の定義を参照できるため、ユーザーがそのオブジェクト マップ定義を 1 回更新すると、オブジェクト マップ定義を参照するすべてのテストでそのオブジェクト マップ定義が Silk Test Workbench によって更新されます。

スクリプトで、オブジェクト マップ識別子とロケーターを混在させることができます。この機能により、オブジェクト マップを比較的小さいまま保ち、管理しやすくすることが可能です。共通で使用するオブジェクトをオブジェクト マップに格納し、まれにしかしようしないオブジェクトを参照するにはロケーターを使用します。

ヒント: オブジェクト マップが提供する機能を最適に使用するには、テストしたいアプリケーションごとに個々のプロジェクトを Silk Test Workbench に作成します。

オブジェクト マップの例

以下の構成では、ロケーターが使用されている BrowserWindow の定義が示されています。

_desktop.BrowserApplication("cnn_com").BrowserWindow("//BrowserWindow[1]")

オブジェクト マップ資産の名前は cnn_com です。オブジェクト マップのエイリアスによって置き換えることができるロケーターは、以下のとおりです。

"//BrowserWindow[1]"

BrowserWindow のオブジェクト マップ エントリは BrowserWindow です。

結果的に、スクリプト内の BrowserWindow の定義は以下のようになります。

_desktop.BrowserApplication("cnn_com").BrowserWindow("BrowserWindow")

ロケーターのインデックスが変更された場合、テスト スクリプトのロケーターのすべての外観を変更する必要はなく、オブジェクト マップのエイリアスを変更するだけで済みます。Silk Test Workbench によって、オブジェクト マップ定義を参照するすべてのテストが更新されます。

オブジェクト マップ識別子とロケーターを混在させる例

つぎのサンプル コードは、オブジェクト マップ識別子と、オブジェクト マップに格納されたオブジェクトのまれに使用される子オブジェクトを指定するロケーターを混在させる方法を示します：
// VB
Window window = _desktop.Window("MyApplication") // object map id - the application window is used often
MenuItem aboutMenuItem = _desktop.MenuItem("@caption='About'") // locator - the About dialog is only used once
aboutMenuItem.Select()
  • オブジェクト マップを使用する利点
    オブジェクト マップを使用する利点を示します。
  • オブジェクト マップのオン／オフの切り替え
    記録中にオブジェクト マップからエイリアスを使用するように、オブジェクト マップをオンに切り替えます。
  • オブジェクト マップのスコープ
    オブジェクト マップのスコープを設定する方法を説明します。
  • 操作の記録中でのオブジェクト マップのマージ
    操作の記録中に既存のオブジェクト マップ識別子を Silk Test Workbench が再利用する方法について説明します。
  • Web アプリケーションでのオブジェクト マップの使用
    Web アプリケーションでオブジェクト マップを使用する方法を説明します。
  • オブジェクト マップ項目名の変更
    オブジェクト マップの項目とロケーターの名前を手動で変更し、項目とロケーターをわかりやすくします。
  • オブジェクト マップの変更
    オブジェクト マップの変更方法を説明します。
  • オブジェクト マップのロケーターの変更
    オブジェクト マップのロケーター パスを変更すると、パスの汎用性を高めることができます。
  • テスト アプリケーションからのオブジェクト マップの更新
    テスト アプリケーションの項目が変化した場合は、オブジェクト マップ UI を使用してそれらの項目のロケーターを更新できます。
  • オブジェクト マップ項目のコピー
    オブジェクト マップ内、またはオブジェクト マップ間で、オブジェクト マップ エントリをコピーおよび貼り付けできます。 たとえば、2 つの異なるテスト アプリケーションに同じ機能が存在する場合は、一方のオブジェクト マップの一部分をコピーして、他方のオブジェクト マップに貼り付けることができます。
  • オブジェクト マップ項目の追加
    記録中に自動的に作成されたオブジェクト マップ項目がテスト要件に合わない場合は、手動で項目を追加できます。
  • スクリプトからオブジェクト マップを開く
    スクリプトからオブジェクト マップを開く方法を説明します。
  • テスト アプリケーションでのオブジェクト マップ項目の検索
    オブジェクト マップ項目を追加または記録したあと、検索 をクリックして、テスト アプリケーションで項目をハイライトできます。 変更する項目であることをオブジェクト マップ内で確認する場合などに項目をハイライトできます。
  • オブジェクト マップのエラーの検出
    無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。 オブジェクト マップ ウィンドウのツール バーを使用して、エラーに移動します。
  • オブジェクト マップ項目の削除
    テスト アプリケーションに存在しなくなったなどの理由により、オブジェクト マップから項目を削除できます。
  • オブジェクト マップを最初に書き出す
    すべてのオブジェクト マップを最初に書き出すテストを作成することによって、効率的にオブジェクト マップを使用する方法について説明します。
  • オブジェクト マップの要素のグループ化
    オブジェクト マップの項目が一貫した親オブジェクトを持たない場合、ロケーター "." を使用してこれらの要素をグループ化できます。
  • オブジェクト マップ：よくある質問
    オブジェクト マップを使用する時に直面する可能性のある質問を一覧します。
関連概念
オブジェクト解決
スクリプトの構文
関連タスク
オブジェクト マップの詳細設定の設定


オブジェクト マップを使用する利点

オブジェクト マップには、以下の利点があります。
  • オブジェクト マップ項目のロケーターに加えられた変更を、対応するオブジェクト マップ項目を含むすべてのテストに適用することによって、テストのメンテナンスが簡単になる。
  • 大規模な機能テスト環境において、ロケーターの扱いが容易になる。
  • 個々のスクリプトから独立して管理することができるようになる。
  • 複雑なロケーター名がわかりやすい名前で置き換えられるため、ビジュアル テストとスクリプトが読みやすくなる。
  • テスト アプリケーションが変更された場合に変わる可能性のあるロケーターに依存しなくなる。
親トピック: オブジェクト マップ


オブジェクト マップのオン／オフの切り替え

記録時に Silk Test Workbench でロケーター名またはオブジェクト マップのエイリアスのいずれを使用するかを設定できます。

記録中にオブジェクト マップからエイリアスを使用するには、以下を実行します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. ロケーター をクリックします。
  4. オブジェクト マップ エントリを記録するか、XPath ロケーターを記録するかを定義するには、オブジェクト マップ エントリを記録する リストから適切な記録モードを選択します。
    • オブジェクト マップ エントリ (新しいオブジェクトと既存のオブジェクト)。これはデフォルトのモードです。
    • XPath ロケーター (新しいオブジェクトと既存のオブジェクト)。
    • XPath ロケーター (新しいオブジェクトのみ)。オブジェクト マップに既に存在するオブジェクトに対しては、オブジェクト マップ エントリが再利用されます。この設定を選択すると、AUT のメイン コントロールに対するオブジェクト マップを作成し、AUT に対して追加のテストを作成する間、これらのオブジェクト マップを保持することができます。
注: XPath 属性のほかに、ロケーターの記録中にオブジェクト マップをマージする際に、Silk Test Workbench は要素の追加の属性を使用します。ただし、記録したスクリプトでオブジェクト マップ ID の用法を曖昧にする可能性のある属性は既存のオブジェクト マップ エントリにロケーターをマップするために使用されません。
注: オブジェクト マップを記録する 設定を有効にすると、Silk Test Workbench 全体にわたって、ロケーター名の代わりにオブジェクト マップの項目名が表示されます。たとえば、プロパティ ペインで アプリケーション構成 カテゴリを表示する場合、ロケーター名ではなくオブジェクト マップ項目名が ロケーター ボックスに表示されます。
親トピック: オブジェクト マップ


オブジェクト マップのスコープ

追加のビジュアル テストまたはスクリプトを記録する場合、Silk Test Workbench は現在のプロジェクトを検索して、記録時に使用する一致したオブジェクト マップ項目が決まります。 一致する項目が見つからない場合、Silk Test Workbench は Common プロジェクトを検索します。 一致する項目が Common プロジェクトで見つかると、その項目が使用されます。 一致する項目が Common プロジェクトで見つからない場合、Silk Test Workbench によって、現在のプロジェクトに新しい項目が作成されます。
注: 唯一の例外として、Common プロジェクト以外のプロジェクトを使用しているときに、一致する項目が Common プロジェクトに存在する場合には、このルールは当てはまりません。 新しいオブジェクトが識別され、そのオブジェクトが Common プロジェクトのオブジェクト マップの子オブジェクトである場合は、Common プロジェクトのオブジェクト マップに追加されます。

オブジェクト マップで現在のプロジェクトのみを使用するには、オプション ダイアログ ボックスの オブジェクト マップの場所 オプションを 現在のプロジェクト に設定します。 このように設定すると、一致するオブジェクト マップ項目の検索および新しい項目の記録で、現在のプロジェクトのみが使用されます。

親トピック: オブジェクト マップ


操作の記録中でのオブジェクト マップのマージ

Silk Test Workbench を使用して操作を記録するときに、Silk Test Workbench は、既存のオブジェクト マップ エントリが再利用できるかどうか確認します。Silk Test Workbench は、新しいロケーターが生成されるときに、記録中に直接確認します。Silk Test Workbench は、テスト対象アプリケーションで現在記録されているオブジェクトが既存のオブジェクト マップ エントリと完全に一致するかどうか確認し、一致する場合に Silk Test Workbench はオブジェクト マップからそのオブジェクト マップ識別子を再利用します。

この動作には以下のような利点があります。
  • オブジェクト マップのロケーターが変更された場合でも、Silk Test Workbench は記録中にオブジェクト マップ識別子を正しく再利用します。
  • 記録したスクリプトに間違ったオブジェクト マップ識別子を含むはずがないため、間違ったオブジェクト マップ識別子によって再生に失敗することは決してありません。
  • 階層のレベルをさらに追加した場合など、オブジェクト マップを再構成した場合でも、オブジェクト マップ識別子を再利用することができます。

例

Micro Focus Web サイト (http://www.borland.com) の Products リンクをクリックしたとき、Silk Test Workbench は、次のスクリプトを記録します。

With _desktop.BrowserApplication( "borland_com" )
  With .BrowserWindow( "BrowserWindow" )
    .DomLink( "Products" ).Click( MouseButton .Left, New Point (47, 18))
  End With
End With
記録したオブジェクト マップは次のようになります。
borland_com                           //BrowserApplication
  BrowserWindow                                //BrowserWindow
    Products                                     //A[@textContents='Products']
ここで、Micro Focus Web サイトのヘッダー部分を含むようにオブジェクト マップを手動で再構成した場合を考えます。
borland_com                           //BrowserApplication
  BrowserWindow                                //BrowserWindow
    header                                       //HEADER[@role='banner']
      Products                                     //A[@textContents='Products']
Products リンクのクリックを記録すると、オブジェクト マップが正しく再利用され、次のスクリプトが記録されます。
With _desktop.BrowserApplication( "borland_com" )
  With .BrowserWindow( "BrowserWindow" )
    .DomElement("header").DomLink( "Products" ).Click( MouseButton .Left, New Point (47, 18))
  End With
End With
注: About リンクなどの Micro Focus Web サイトのヘッダー部分にあるほかのオブジェクトを記録すると、Silk Test Workbench は header ではなく、BrowserWindow の子として About オブジェクト マップ エントリを追加します。
親トピック: オブジェクト マップ


Web アプリケーションでのオブジェクト マップの使用

デフォルトで、Web アプリケーションに対する操作を記録すると、Silk Test Workbench は、Common プロジェクトで、ネイティブ ブラウザのコントロール用に WebBrowser という名前のオブジェクト マップを作成し、各 Web ドメイン用にオブジェクト マップ資産を作成します。

記録 オプションの 全般 セクションで、オブジェクト マップの場所 を現在のプロジェクトに変更できます。その後、Silk Test Workbench は記録中に Web ドメインごとにオブジェクト マップ資産を生成します。

印刷または設定用のメイン ウィンドウやダイアログ ボックスなど、Web ドメインに特有ではない共通のブラウザ コントロールの場合、WebBrowser という名前を使用して、現在のプロジェクトに追加のオブジェクト マップが生成されます。生成されたオブジェクト マップ資産は、アセット ブラウザで確認できます。

オブジェクト マップで、オブジェクト マップのエントリのグループ化に使用される URL パターンを編集できます。パターンを編集すると、Silk Test Workbench はそのパターンの構文検証を行います。パターンには、ワイルドカード * および ? を使用できます。

例

http://www.borland.com および http://www.microfocus.co.jp で何らかの操作を記録した後、プリンタ ダイアログを開くと、次の 3 つの新しいオブジェクト マップ資産がアセット ブラウザに追加されます。
  • WebBrowser
  • borland_com
  • microfocus_com
注: Silk Test Workbench では、オブジェクト マップのないプロジェクトに対してのみ、新しいオブジェクト マップ資産が生成されます。バージョン 14.0 よりも前のバージョンの Silk Test Workbench を使用して生成されたオブジェクト マップをすでに含む Silk Test Workbench の Web アプリケーションに対する操作を記録すると、追加で記録されたエントリは既存のオブジェクト マップに保存されます。Web ドメインに対して追加のオブジェクト マップ資産が生成されることはありません。
親トピック: オブジェクト マップ


オブジェクト マップ項目名の変更

オブジェクト マップでは、項目とロケーターの名前を手動で変更できます。

警告: オブジェクト マップ項目の名前を変更すると、その項目を使用するすべてのビジュアル テストまたはスクリプトが影響を受けます。たとえば、キャンセル ボタンのオブジェクト マップ項目の名前を CancelMe から Cancel に変更すると、CancelMe を使用するすべてのスクリプトを、Cancel を使用するように手動で変更する必要があります。

オブジェクト マップ項目は一意である必要があります。重複するオブジェクト マップ項目を追加しようとすると、オブジェクト マップ項目は一意である必要があることが Silk Test Workbench から通知されます。

無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。オブジェクト マップ項目として無効な文字には、\、/、<、>、"、:、*、?、|、=、.、@、[、] があります。無効なロケーター パスは、空または不完全なロケーター パスです。

オブジェクト マップのルート ノードの名前を変更すると、オブジェクト マップ資産の名前も変更されます。ルート ノードの名前を既存のオブジェクト マップ資産の名前に変更した場合、オブジェクト マップ資産を保存することはできません。オブジェクト マップ資産の名前を変更すると、オブジェクト マップのルート ノードの名前も変更されます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから オブジェクト マップ を選択します。 選択したプロジェクトの既存のオブジェクト マップが、右側のペインに表示されます。
    ヒント: 編集するオブジェクト マップが表示されない場合は、アクティブ プロジェクト リストで正しいプロジェクトが選択されていることを確認してください。
  3. 次のいずれか 1 つを選んでください：
    • 名前を変更するオブジェクト マップ項目を含むオブジェクト マップをダブルクリックします。
    • 名前を変更するオブジェクト マップ項目を含むオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
    注: 選択したオブジェクト マップを別のユーザーが現在変更していると、そのことを通知するメッセージ ボックスが表示され、オブジェクト マップを現在ロックしているユーザーの名前が示されます。
  4. 編集 をクリックします。 デフォルトでは、オブジェクト マップは読み取り専用です。編集 をクリックすると読み取り／書き込みアクセス権が付与され、変更中に他のユーザーがそのエントリを編集できなくなります。F2 を押して、オブジェクト マップの現在選択中のフィールドを編集することもできます。 編集 ボタンが 元に戻す に変わります。このセッション中に加えた変更を取り消すには、元に戻す をクリックします。
  5. 名前を変更するオブジェクト マップ項目に移動します。 たとえば、名前を変更する項目を検索するには、ノードの展開が必要な場合があります。
  6. 名前を変更するオブジェクトをクリックしてから、オブジェクトを再度クリックするか、F2 を押します。 インライン編集モードにアクセスすると、オブジェクトを 1 回クリックして編集できます。Tab を押して、オブジェクト マップ項目の名前と説明を切り替えます。 項目フィールドの周囲に黒のボックスが表示され、テキストが強調表示されます。
  7. 使用する項目名を入力し、Enter を押します。 無効な文字を使用すると、項目名が赤で表示されます。 新しい名前が 項目名 リストに表示されます。
  8. 以下のいずれかのステップを実行します。
    • 保存 をクリックして変更を保存し、オブジェクト マップの操作を続行します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、オブジェクト マップのモードは読み取り専用に戻ります。

    • 保存して閉じる をクリックして変更を保存し、オブジェクト マップを終了します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、他のユーザーがオブジェクト マップを変更できるようになります。

注: オブジェクト マップ ツリーに含まれるすべてのノードのすべての子ノードは、オブジェクト マップを保存するときにアルファベット順にソートされます。

変更した項目名を既存のビジュアル テストまたはスクリプトで使用する場合は、新しい項目名を使用するようにビジュアル テストまたはスクリプトを手動で変更する必要があります。

親トピック: オブジェクト マップ


オブジェクト マップの変更

デフォルトでは、オブジェクト マップは読み取り専用です。オブジェクト マップを使用するビジュアル テストまたはスクリプトを記録すると、オブジェクト マップ項目が資産としてデータベースに追加されます。

オブジェクト マップを使用するビジュアル テストまたはスクリプトの記録が完了すると、別のユーザーがそのオブジェクト マップを使用しているかどうかが Silk Test Workbench で判断されます。別のユーザーがオブジェクト マップを変更していると、その旨を通知するメッセージ ボックスが表示され、変更しているユーザーの名前が示されます。ロックされたオブジェクト マップによって記録できなくなるのを防ぐには、オプション ダイアログ ボックスの ロック済みのオブジェクト マップに対してロケーターを記録する オプションを はい に設定します。このように設定すると、別のユーザーがオブジェクト マップを変更している場合に、以前に識別されたオブジェクト マップ項目が適用可能な場合に使用され、新しいオブジェクトを記録する場合にはロケーターが使用されます。

既存のオブジェクト マップは、オブジェクト マップに構造化要素をさらに追加したとしても、記録中に既存のオブジェクト マップ識別子を再利用することができます。

例：既存のオブジェクト マップへの DIV の追加

次の単純なオブジェクト マップの email フィールドと login フィールドをまとめる DIV 要素を追加することを考えます。
demo_borland_com                               //BrowserApplication
  BrowserWindow                                         //BrowserWindow
    login-form email                                    //INPUT[@id='login-form:email']
    login-form login                                    //INPUT[@id='login-form:login']

新たに DIV loginArea を追加することにより、オブジェクト マップの構造を変更できますが、オブジェクト マップは、記録中にオブジェクト マップ識別子は正しく再利用することができます。

demo_borland_com                               //BrowserApplication
  BrowserWindow                                         //BrowserWindow
    loginArea                                           //'DIV[@id='login']
      login-form email                                  //INPUT[@id='login-form:email']
      login-form login                                  //INPUT[@id='login-form:login']
親トピック: オブジェクト マップ


オブジェクト マップのロケーターの変更

ビジュアル テストまたはスクリプトを記録するときに、ロケーターは自動的にオブジェクト マップ項目に関連付けられます。ただし、より汎用的にするために、ロケーター パスを変更できます。たとえば、テスト アプリケーションで特定のコントロールに自動的に日付または時刻が割り当てられる場合、ワイルドカードを使用するようにそのコントロールのロケーターを変更できます。ワイルドカードを使用すると、それぞれのテストで異なる日付または時刻が挿入される場合でも、各テストで同じロケーターを使用できます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから オブジェクト マップ を選択します。 選択したプロジェクトの既存のオブジェクト マップが、右側のペインに表示されます。
    ヒント: 編集するオブジェクト マップが表示されない場合は、アクティブ プロジェクト リストで正しいプロジェクトが選択されていることを確認してください。
  3. 次のいずれか 1 つを選んでください：
    • 変更するロケーターを含むオブジェクト マップをダブルクリックします。
    • 変更するロケーターを含むオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
    注: 選択したオブジェクト マップを別のユーザーが現在変更していると、そのことを通知するメッセージ ボックスが表示され、オブジェクト マップを現在ロックしているユーザーの名前が示されます。
  4. 編集 をクリックします。 デフォルトでは、オブジェクト マップは読み取り専用です。編集 をクリックすると読み取り／書き込みアクセス権が付与され、変更中に他のユーザーがそのエントリを編集できなくなります。F2 を押して、オブジェクト マップの現在選択中のフィールドを編集することもできます。 編集 ボタンが 元に戻す に変わります。このセッション中に加えた変更を取り消すには、元に戻す をクリックします。
  5. 変更するロケーターに移動します。 たとえば、変更するロケーターを検索するには、ノードの展開が必要な場合があります。
  6. 変更するロケーター パスをクリックしてから、ロケーター パスを再度クリックするか、F2 を押します。 インライン編集モードにアクセスすると、ロケーター パスを 1 回クリックして編集できます。Tab を押して、オブジェクト マップ項目の名前と説明を切り替えます。 ロケーター パス フィールドの周囲に黒のボックスが表示され、テキストが強調表示されます。
  7. 有効なロケーター パスがある場合は、使用する項目名とロケーター パスを入力して Enter を押すことができます。有効なロケーター パスを判別するには、以下のステップで説明するように、オブジェクトの識別 ダイアログ ボックスを使用します。
    1. ツール > オブジェクトの識別 を選択します。
      テスト アプリケーションがオブジェクト マップに関連付けられていないと、アプリケーションの選択 ダイアログ ボックスが表示されることがあります。この場合は、テストするアプリケーションを選択し、OK をクリックします。 オブジェクトの識別 ダイアログ ボックスが開きます。
    2. 選択モード を指定します。
      • クリック：オブジェクトをクリックして、ロケーターを識別します。
      • ホット キー：キー入力 リスト ボックスで指定されたキー入力の組み合わせを使用してオブジェクトをキャプチャするには、このモードを指定します。通常、このモードは、ユーザーがクリックしたときにだけ表示されるメニューやコンボ ボックスなどのオブジェクトをキャプチャする場合に選択します。このモードでは、オブジェクトを選択し、ホット キー入力の組み合わせを押すことによって、オブジェクトを閉じることなくロケーターをキャプチャします。
    3. 識別の開始 をクリックします。
    4. 記録したいオブジェクト上にマウスを移動して、次のステップのいずれかを行います：
      • クリック モードを使用する場合は、識別するオブジェクトをクリックします。
      • キー入力の組み合わせを押して、ホット キー モードでオブジェクトをキャプチャします。

        デフォルトでは、キー入力の組み合わせは Ctrl+Shift です。

      Silk Test Workbench によって、関連するロケーター文字列が 選択済みロケーター テキスト ボックスに表示されます。
    5. ロケーターの詳細 テーブルで、使用するロケーターを選択します。 新しいロケーターは、選択済みロケーター テキスト ボックスに表示されます。
    6. 貼り付け をクリックします。 Silk Test Workbench によって、項目名および関連付けられたロケーターがオブジェクト マップに追加されます。
  8. 必要に応じて、ニーズに合わせて項目名またはロケーター テキストを変更します。 無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。

    オブジェクト マップ項目として無効な文字には、\、/、<、>、"、:、*、?、|、=、.、@、[、] があります。

    無効なロケーター パスは、空または不完全なロケーター パスです。

  9. 以下のいずれかのステップを実行します。
    • 保存 をクリックして変更を保存し、オブジェクト マップの操作を続行します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、オブジェクト マップのモードは読み取り専用に戻ります。

    • 保存して閉じる をクリックして変更を保存し、オブジェクト マップを終了します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、他のユーザーがオブジェクト マップを変更できるようになります。

変更したロケーター パスが既存のビジュアル テストまたはスクリプトによって使用されている場合は、新しいロケーター パスを使用するように、そのビジュアル テストまたはスクリプトを手動で変更する必要があります。

親トピック: オブジェクト マップ


テスト アプリケーションからのオブジェクト マップの更新

テスト アプリケーションの項目が変化した場合は、オブジェクト マップ UI を使用してそれらの項目のロケーターを更新できます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから オブジェクト マップ を選択します。 選択したプロジェクトの既存のオブジェクト マップが、右側のペインに表示されます。
    ヒント: 編集するオブジェクト マップが表示されない場合は、アクティブ プロジェクト リストで正しいプロジェクトが選択されていることを確認してください。
  3. 次のいずれか 1 つを選んでください：
    • 使用するオブジェクト マップをダブルクリックします。
    • 使用するオブジェクト マップを右クリックし、開く をクリックします。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
    注: 選択したオブジェクト マップを別のユーザーが現在変更していると、そのことを通知するメッセージ ボックスが表示され、オブジェクト マップを現在ロックしているユーザーの名前が示されます。
  4. 編集 をクリックします。 デフォルトでは、オブジェクト マップは読み取り専用です。編集 をクリックすると読み取り／書き込みアクセス権が付与され、変更中に他のユーザーがそのエントリを編集できなくなります。F2 を押して、オブジェクト マップの現在選択中のフィールドを編集することもできます。 編集 ボタンが 元に戻す に変わります。このセッション中に加えた変更を取り消すには、元に戻す をクリックします。
  5. ロケータの更新 をクリックします。 オブジェクトの識別 ダイアログ ボックス が表示され、Silk Test Workbench によってテスト アプリケーションが開かれます。
  6. 記録するオブジェクトの上にカーソルを合わせて、Ctrl+Alt を押します。 Silk Test Workbench の ロケーター テキスト フィールドにロケーター文字列が表示されます。
  7. ロケーターの詳細 テーブルで、使用するロケーターを選択します。
  8. ロケーター テキスト フィールドに表示されているロケーターから、使用しない属性を削除します。
  9. ロケーターの検証 をクリックして、ロケーターが機能することを検証します。
  10. ロケーターをエディターに貼り付け をクリックして、オブジェクト マップのロケーターを更新します。
  11. 変更されたオブジェクト マップを保存します。
AUT からオブジェクト マップ項目を更新するときに、オブジェクト マップ ツリーのリーフ ノードの XPath 表現のみを変更できます。親ノードの XPath 表現を変更することはできません。オブジェクト マップ ツリー内のより高いレベルのノードにある XPath 表現が更新後に整合しなくなると、エラー メッセージが表示されます。

例

たとえば、次の 3 つの階層レベルを持つオブジェクト マップ ID を含むオブジェクト マップ項目があるとします：
WebBrowser.Dialog.Cancel
これらの階層レベルに対応する XPath 表現は次のようになります：
 /BrowserApplication//Dialog//PushButton[@caption='Cancel']
  • 最初の階層レベル： /BrowserApplication
  • 2 番目の階層レベル：//Dialog
  • 3 番目の階層レベル：//PushButton[@caption='Cancel']
次のロケーターを使用して、オブジェクト マップ項目を更新できます：
 /BrowserApplication//Dialog//PushButton[@id='123']
  • 最初の階層レベル： /BrowserApplication
  • 2 番目の階層レベル：//Dialog
  • 3 番目の階層レベル：//PushButton[@id='123']
2 番目のレベルの階層が一致しないため、次のロケーターを使用してオブジェクト マップ項目を更新することはできません：
 /BrowserApplication//BrowserWindow//PushButton[@id='9999999']
  • 最初の階層レベル： /BrowserApplication
  • 2 番目の階層レベル：//BrowserWindow
  • 3 番目の階層レベル：//PushButton[@id='9999999']
親トピック: オブジェクト マップ


オブジェクト マップ項目のコピー

オブジェクト マップ内、またはオブジェクト マップ間で、オブジェクト マップ エントリをコピーおよび貼り付けできます。 たとえば、2 つの異なるテスト アプリケーションに同じ機能が存在する場合は、一方のオブジェクト マップの一部分をコピーして、他方のオブジェクト マップに貼り付けることができます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから オブジェクト マップ を選択します。 選択したプロジェクトの既存のオブジェクト マップが、右側のペインに表示されます。
    ヒント: 編集するオブジェクト マップが表示されない場合は、アクティブ プロジェクト リストで正しいプロジェクトが選択されていることを確認してください。
  3. 次のいずれか 1 つを選んでください：
    • コピーするオブジェクト マップ項目を含むオブジェクト マップをダブルクリックします。
    • コピーするオブジェクト マップ項目を含むオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
    注: 選択したオブジェクト マップを別のユーザーが現在変更していると、そのことを通知するメッセージ ボックスが表示され、オブジェクト マップを現在ロックしているユーザーの名前が示されます。
  4. 編集 をクリックします。 デフォルトでは、オブジェクト マップは読み取り専用です。編集 をクリックすると読み取り／書き込みアクセス権が付与され、変更中に他のユーザーがそのエントリを編集できなくなります。F2 を押して、オブジェクト マップの現在選択中のフィールドを編集することもできます。 編集 ボタンが 元に戻す に変わります。このセッション中に加えた変更を取り消すには、元に戻す をクリックします。
  5. コピーするオブジェクト マップ項目に移動します。 たとえば、コピーするオブジェクト マップ項目を検索するには、ノードの展開が必要な場合があります。
  6. 次のいずれか 1 つを選んでください：
    • コピーするオブジェクト マップ項目を右クリックし、ツリーのコピー を選択します。
    • コピーするオブジェクト マップ項目をクリックし、編集 > コピー を選択します。
    • コピーするオブジェクト マップ項目をクリックし、Ctrl+C を押します。
  7. オブジェクト マップ階層で、コピーした項目を貼り付ける位置に移動します。 たとえば、階層の第 1 レベルに項目を組み込むには、項目リストの最初の項目の名前をクリックします。 特定の項目の 1 レベル下にコピーする項目の位置を設定するには、コピーする項目の上にある項目をクリックします。 オブジェクト マップ間でコピーして貼り付けるには、オブジェクト マップ項目をコピーしたマップを終了し、オブジェクト マップ項目を貼り付けるオブジェクト マップを開いて編集する必要があります。
  8. 次のいずれか 1 つを選んでください：
    • コピーしたオブジェクト マップ項目を貼り付けるオブジェクト マップ内の位置を右クリックし、貼り付け を選択します。
    • コピーしたオブジェクト マップ項目を貼り付けるオブジェクト マップ内の位置をクリックし、編集 > 貼り付け を選択します。
    • コピーしたオブジェクト マップ項目を貼り付けるオブジェクト マップ内の位置をクリックし、Ctrl+V を押します。
    オブジェクト マップ間でコピーして貼り付けるには、オブジェクト マップ項目を貼り付ける前に、編集 を必ずクリックします。 オブジェクト マップ項目が、階層内の新しい位置に表示されます。
  9. 以下のいずれかのステップを実行します。
    • 保存 をクリックして変更を保存し、オブジェクト マップの操作を続行します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、オブジェクト マップのモードは読み取り専用に戻ります。

    • 保存して閉じる をクリックして変更を保存し、オブジェクト マップを終了します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、他のユーザーがオブジェクト マップを変更できるようになります。

移動したオブジェクト マップ項目を既存のビジュアル テストまたはスクリプトで使用する場合は、階層内の新しい位置を使用するようにビジュアル テストまたはスクリプトを手動で変更する必要があります。

親トピック: オブジェクト マップ


オブジェクト マップ項目の追加

ビジュアル テストまたはスクリプトを記録すると、オブジェクト マップ項目が自動的に作成されます。場合によっては、手動でオブジェクト マップ項目を追加することもできます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから オブジェクト マップ を選択します。 選択したプロジェクトの既存のオブジェクト マップが、右側のペインに表示されます。
    ヒント: 編集するオブジェクト マップが表示されない場合は、アクティブ プロジェクト リストで正しいプロジェクトが選択されていることを確認してください。
  3. 新しい項目を追加したい場所で、オブジェクト マップをダブルクリックします。 オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
    注: 選択したオブジェクト マップを別のユーザーが現在変更していると、そのことを通知するメッセージ ボックスが表示され、オブジェクト マップを現在ロックしているユーザーの名前が示されます。
  4. 編集 をクリックします。 デフォルトでは、オブジェクト マップは読み取り専用です。編集 をクリックすると読み取り／書き込みアクセス権が付与され、変更中に他のユーザーがそのエントリを編集できなくなります。F2 を押して、オブジェクト マップの現在選択中のフィールドを編集することもできます。 編集 ボタンが 元に戻す に変わります。このセッション中に加えた変更を取り消すには、元に戻す をクリックします。
  5. オブジェクト マップ階層で、新しいオブジェクト マップ項目を追加したい位置の下の項目を右クリックします。 たとえば、階層の第 1 レベルに項目を組み込むには、項目リストの最初の項目の名前を右クリックします。特定の項目の 1 レベル下に新しい項目の位置を設定するには、新しい項目を配置したい位置の下の項目をクリックします。
  6. 新規挿入 をクリックします。 新しい項目が、現在のノードの最初の子として階層に追加されます。
  7. 有効なロケーター パスがある場合は、使用する項目名とロケーター パスを入力して Enter を押すことができます。有効なロケーター パスを判別するには、以下のステップで説明するように、オブジェクトの識別 ダイアログ ボックスを使用します。
    1. ツール > オブジェクトの識別 を選択します。
      テスト アプリケーションがオブジェクト マップに関連付けられていないと、アプリケーションの選択 ダイアログ ボックスが表示されることがあります。この場合は、テストするアプリケーションを選択し、OK をクリックします。 オブジェクトの識別 ダイアログ ボックスが開きます。
    2. 選択モード を指定します。
      • クリック：オブジェクトをクリックして、ロケーターを識別します。
      • ホット キー：キー入力 リスト ボックスで指定されたキー入力の組み合わせを使用してオブジェクトをキャプチャするには、このモードを指定します。通常、このモードは、ユーザーがクリックしたときにだけ表示されるメニューやコンボ ボックスなどのオブジェクトをキャプチャする場合に選択します。このモードでは、オブジェクトを選択し、ホット キー入力の組み合わせを押すことによって、オブジェクトを閉じることなくロケーターをキャプチャします。
    3. 識別の開始 をクリックします。
    4. 記録したいオブジェクト上にマウスを移動して、次のステップのいずれかを行います：
      • クリック モードを使用する場合は、識別するオブジェクトをクリックします。
      • キー入力の組み合わせを押して、ホット キー モードでオブジェクトをキャプチャします。

        デフォルトでは、キー入力の組み合わせは Ctrl+Shift です。

      Silk Test Workbench によって、関連するロケーター文字列が 選択済みロケーター テキスト ボックスに表示されます。
    5. ロケーターの詳細 テーブルで、使用するロケーターを選択します。 新しいロケーターは、選択済みロケーター テキスト ボックスに表示されます。
    6. 貼り付け をクリックします。 Silk Test Workbench によって、項目名および関連付けられたロケーターがオブジェクト マップに追加されます。
  8. 必要に応じて、ニーズに合わせて項目名またはロケーター テキストを変更します。 無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。

    オブジェクト マップ項目として無効な文字には、\、/、<、>、"、:、*、?、|、=、.、@、[、] があります。

    無効なロケーター パスは、空または不完全なロケーター パスです。

  9. 以下のいずれかのステップを実行します。
    • 保存 をクリックして変更を保存し、オブジェクト マップの操作を続行します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、オブジェクト マップのモードは読み取り専用に戻ります。

    • 保存して閉じる をクリックして変更を保存し、オブジェクト マップを終了します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、他のユーザーがオブジェクト マップを変更できるようになります。

注: オブジェクト マップ ツリーに含まれるすべてのノードのすべての子ノードは、オブジェクト マップを保存するときにアルファベット順にソートされます。
親トピック: オブジェクト マップ
関連タスク
ビジュアル テストのオブジェクト マップ項目またはロケーターの手動による記録
スクリプトのオブジェクト マップ項目またはロケーターの手動による記録


スクリプトからオブジェクト マップを開く

スクリプトを編集している際に、スクリプトのオブジェクト マップ エントリを右クリックし、 資産を開く を選択してオブジェクト マップを開くことができます。オブジェクト マップは GUI 上で開かれます。

例

// VB .NET code
<TestMethod()> Public Sub TestMethod1()
  With _desktop.Window("Untitled - Notepad").TextField("TextField").TypeKeys("hello")
  End With
End Sub
上記のコード例で、 Untitled - Notepad エントリをオブジェクト マップで開く場合は、 Untitled - Notepad を右クリックします。 オブジェクト マップで Untitled - Notepad.TextField エントリをオブジェクト マップで開く場合は、TextField を右クリックします。
親トピック: オブジェクト マップ


テスト アプリケーションでのオブジェクト マップ項目の検索

オブジェクト マップ項目を追加または記録したあと、検索 をクリックして、テスト アプリケーションで項目をハイライトできます。 変更する項目であることをオブジェクト マップ内で確認する場合などに項目をハイライトできます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから オブジェクト マップ を選択します。 選択したプロジェクトの既存のオブジェクト マップが、右側のペインに表示されます。
    ヒント: 編集するオブジェクト マップが表示されない場合は、アクティブ プロジェクト リストで正しいプロジェクトが選択されていることを確認してください。
  3. 次のいずれか 1 つを選んでください：
    • 使用するオブジェクト マップをダブルクリックします。
    • 使用するオブジェクト マップを右クリックし、開く をクリックします。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
    注: 選択したオブジェクト マップを別のユーザーが現在変更していると、そのことを通知するメッセージ ボックスが表示され、オブジェクト マップを現在ロックしているユーザーの名前が示されます。
  4. 編集 をクリックします。 デフォルトでは、オブジェクト マップは読み取り専用です。編集 をクリックすると読み取り／書き込みアクセス権が付与され、変更中に他のユーザーがそのエントリを編集できなくなります。F2 を押して、オブジェクト マップの現在選択中のフィールドを編集することもできます。 編集 ボタンが 元に戻す に変わります。このセッション中に加えた変更を取り消すには、元に戻す をクリックします。
  5. オブジェクト マップ階層で、テスト アプリケーションでハイライトするオブジェクト マップ項目を選択します。
    注: テスト アプリケーションの 1 つのインスタンスのみが実行中であることを確認します。 テスト アプリケーションの複数のインスタンスを実行すると、複数のオブジェクトがロケーターと一致するためエラーになります。
  6. 検索 をクリックします。 テスト アプリケーションがオブジェクト マップに関連付けられていないと、アプリケーションの選択 ダイアログ ボックスが表示されることがあります。 この場合は、テストするアプリケーションを選択し、OK をクリックします。 アプリケーションの選択 ダイアログ ボックスで誤ったアプリケーションを選択した場合は、検索 サブメニューで アプリケーションを指定して検索 をクリックします。 アプリケーションの選択 ダイアログ ボックスが開き、正しいテスト アプリケーションを選択できます。 Silk Test Workbench によってテスト アプリケーションが開かれ、オブジェクト マップ項目を示すコントロールの周囲に緑のボックスが表示されます。
親トピック: オブジェクト マップ
関連タスク
オブジェクト マップのロケーターの変更
オブジェクト マップ項目名の変更


オブジェクト マップのエラーの検出

無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。 オブジェクト マップ ウィンドウのツール バーを使用して、エラーに移動します。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから オブジェクト マップ を選択します。 選択したプロジェクトの既存のオブジェクト マップが、右側のペインに表示されます。
    ヒント: 編集するオブジェクト マップが表示されない場合は、アクティブ プロジェクト リストで正しいプロジェクトが選択されていることを確認してください。
  3. 次のいずれか 1 つを選んでください：
    • トラブルシュートするオブジェクト マップをダブルクリックします。
    • トラブルシュートするオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
    注: 選択したオブジェクト マップを別のユーザーが現在変更していると、そのことを通知するメッセージ ボックスが表示され、オブジェクト マップを現在ロックしているユーザーの名前が示されます。
  4. 編集 をクリックします。 デフォルトでは、オブジェクト マップは読み取り専用です。編集 をクリックすると読み取り／書き込みアクセス権が付与され、変更中に他のユーザーがそのエントリを編集できなくなります。F2 を押して、オブジェクト マップの現在選択中のフィールドを編集することもできます。 編集 ボタンが 元に戻す に変わります。このセッション中に加えた変更を取り消すには、元に戻す をクリックします。
  5. 赤色で表示された項目名またはロケーター テキストを探します。
  6. 必要に応じて、ニーズに合わせて項目名またはロケーター テキストを変更します。 無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。

    オブジェクト マップ項目として無効な文字には、\、/、<、>、"、:、*、?、|、=、.、@、[、] があります。

    無効なロケーター パスは、空または不完全なロケーター パスです。

  7. 以下のいずれかのステップを実行します。
    • 保存 をクリックして変更を保存し、オブジェクト マップの操作を続行します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、オブジェクト マップのモードは読み取り専用に戻ります。

    • 保存して閉じる をクリックして変更を保存し、オブジェクト マップを終了します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、他のユーザーがオブジェクト マップを変更できるようになります。

親トピック: オブジェクト マップ
関連タスク
オブジェクト マップのロケーターの変更
オブジェクト マップ項目名の変更


オブジェクト マップ項目の削除

テスト アプリケーションに存在しなくなったなどの理由により、オブジェクト マップから項目を削除できます。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから オブジェクト マップ を選択します。 選択したプロジェクトの既存のオブジェクト マップが、右側のペインに表示されます。
    ヒント: 編集するオブジェクト マップが表示されない場合は、アクティブ プロジェクト リストで正しいプロジェクトが選択されていることを確認してください。
  3. 削除するオブジェクト マップ項目を含むオブジェクト マップをダブルクリックします。 オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
    注: 選択したオブジェクト マップを別のユーザーが現在変更していると、そのことを通知するメッセージ ボックスが表示され、オブジェクト マップを現在ロックしているユーザーの名前が示されます。
  4. 編集 をクリックします。 デフォルトでは、オブジェクト マップは読み取り専用です。編集 をクリックすると読み取り／書き込みアクセス権が付与され、変更中に他のユーザーがそのエントリを編集できなくなります。F2 を押して、オブジェクト マップの現在選択中のフィールドを編集することもできます。 編集 ボタンが 元に戻す に変わります。このセッション中に加えた変更を取り消すには、元に戻す をクリックします。
  5. 削除するオブジェクト マップ項目に移動します。 たとえば、削除するオブジェクト マップ項目を検索するには、ノードの展開が必要な場合があります。
  6. 次のいずれか 1 つを選んでください：
    • 削除するオブジェクト マップ項目を右クリックし、削除 を選択するか、そのオブジェクト マップ項目のすべての子項目も削除する場合は ツリーの削除 を選択します。
    • 削除するオブジェクト マップ項目をクリックし、Del を押すか、そのオブジェクト マップ項目のすべての子項目も削除する場合は Ctrl+Del を押します。
    オブジェクト マップ項目を削除した後、フォーカスはオブジェクト マップの次の項目に移動します。
  7. 以下のいずれかのステップを実行します。
    • 保存 をクリックして変更を保存し、オブジェクト マップの操作を続行します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、オブジェクト マップのモードは読み取り専用に戻ります。

    • 保存して閉じる をクリックして変更を保存し、オブジェクト マップを終了します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、他のユーザーがオブジェクト マップを変更できるようになります。

削除したオブジェクト マップ項目または子オブジェクトを既存のビジュアル テストまたはスクリプトで使用する場合は、そのオブジェクト マップ項目への参照をビジュアル テストまたはスクリプトで、手動で変更する必要があります。

親トピック: オブジェクト マップ


オブジェクト マップを最初に書き出す

ベスト プラクティスとして、テストを記録する前に、すべてのオブジェクト マップ項目を書き出し。確認することをお勧めします。

AUT のすべての利用可能な項目をもつオブジェクト マップを最初に書き出すためには、テスト対象アプリケーションのすべてのオブジェクトをクリックし、すべてのウィンドウとダイアログ ボックスを開くビジュアル テストを作成する必要があります。その後、各オブジェクトに対するオブジェクト マップ項目を確認し、機能テストを記録する前に、必要な変更を加えることができます。オブジェクト マップ項目を確認し、修正した後に、オブジェクト マップを書き出すために作成したビジュアル テストを削除できます。

ヒント: オブジェクト マップ中の項目間を移動するには、矢印キーを使用できます。
親トピック: オブジェクト マップ


オブジェクト マップの要素のグループ化

オブジェクト マップの項目が一貫した親オブジェクトを持たない場合、XPath の現在の要素のロケーターを意味するロケーター "." を持つ新しいツリー項目を追加して、これらの要素をグループ化できます。

警告: オブジェクト マップ項目をグループ化すると、それらの項目を使用するすべてのビジュアル テストまたはスクリプトが影響を受けます。これらの項目を使用するすべてのビジュアル テストまたはスクリプトは、新しいロケーターを使用するように手動で変更する必要があります。
  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから オブジェクト マップ を選択します。 選択したプロジェクトの既存のオブジェクト マップが、右側のペインに表示されます。
    ヒント: 編集するオブジェクト マップが表示されない場合は、アクティブ プロジェクト リストで正しいプロジェクトが選択されていることを確認してください。
  3. 次のいずれか 1 つを選んでください：
    • 編集するオブジェクト マップをダブルクリックします。
    • 編集するオブジェクト マップを右クリックし、開く をクリックします。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
    注: 選択したオブジェクト マップを別のユーザーが現在変更していると、そのことを通知するメッセージ ボックスが表示され、オブジェクト マップを現在ロックしているユーザーの名前が示されます。
  4. 編集 をクリックします。 デフォルトでは、オブジェクト マップは読み取り専用です。編集 をクリックすると読み取り／書き込みアクセス権が付与され、変更中に他のユーザーがそのエントリを編集できなくなります。F2 を押して、オブジェクト マップの現在選択中のフィールドを編集することもできます。 編集 ボタンが 元に戻す に変わります。このセッション中に加えた変更を取り消すには、元に戻す をクリックします。
  5. 新しく追加する構成項目のすぐ上のツリー項目を右クリックして、新規挿入 を選択します。
  6. 新しいオブジェクト マップ項目の 項目名 フィールドをダブルクリックします。
  7. 使用する項目名を入力し、Enter を押します。 無効な文字を使用すると、項目名が赤で表示されます。 新しい名前が 項目名 リストに表示されます。
  8. 新しいオブジェクト マップ項目の ロケーター パス フィールドをクリックして、フィールドに「.」を入力します。
  9. Enter を押します。
  10. 新しい項目の下に新たに配置し直したいすべてのオブジェクト マップ項目に対して、次の操作を行います。
    1. 配置し直したい項目を右クリックして、ツリーの切り取り を選択します。
    2. 新しい構成項目を右クリックして、貼り付け を選択します。
  11. 以下のいずれかのステップを実行します。
    • 保存 をクリックして変更を保存し、オブジェクト マップの操作を続行します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、オブジェクト マップのモードは読み取り専用に戻ります。

    • 保存して閉じる をクリックして変更を保存し、オブジェクト マップを終了します。

      Silk Test Workbench により変更内容が新しいバージョンとして保存され、他のユーザーがオブジェクト マップを変更できるようになります。

親トピック: オブジェクト マップ


オブジェクト マップ：よくある質問

このセクションでは、Silk Test Workbench でオブジェクト マップを使用する時に直面する可能性のある質問を一覧します。

  • 複数のオブジェクト マップを単一のオブジェクト マップのマージする方法
    複数のオブジェクト マップを単一のオブジェクト マップにマージする方法について説明します。
  • テスト スクリプトを削除したときにオブジェクト マップで起こること
    オブジェクト マップ エントリに対応するテスト スクリプトが削除するときに起こることについて説明します。
  • テスト対象アプリケーションのオブジェクト マップを手動で作成する方法
    Silk Test Workbench でオブジェクト マップを手動で作成する方法について説明します。
親トピック: オブジェクト マップ


複数のオブジェクト マップを単一のオブジェクト マップのマージする方法

既存のオブジェクト マップをマージせずに、同じオブジェクト マップに記録することを Micro Focus は推奨しますが、テキスト エディタを使用して複数のオブジェクト マップを単一のマップにマージすることができます。

親トピック: オブジェクト マップ：よくある質問


テスト スクリプトを削除したときにオブジェクト マップで起こること

オブジェクト マップ エントリを含んだテスト スクリプトまたはビジュアル テストを削除しても、関連するオブジェクト マップは変更されません。すべてのオブジェクト マップ エントリはそのまま残ります。

親トピック: オブジェクト マップ：よくある質問


テスト対象アプリケーションのオブジェクト マップを手動で作成する方法

Micro Focus では、テストの記録時にオブジェクト マップを作成することを推奨します。しかし、空のオブジェクト マップを作成し、このマップにオブジェクト マップの項目を手動で追加することもできます。

新しいオブジェクト マップを作成するには、アセット ブラウザ の オブジェクト マップ を右クリックし、オブジェクト マップの新規作成 を選択します。

親トピック: オブジェクト マップ：よくある質問


イメージ解決のサポート

イメージ解決は、次の場合に使用できます。
  • オブジェクト解決で識別できない、高度にカスタマイズされたコントロールを含むテスト アプリケーションを簡便に操作する場合。座標ベースのクリックの代わりにイメージ クリックを使用し、指定されたイメージをクリックできます。
  • テスト対象アプリケーションのグラフィカル オブジェクト (グラフなど) をテストする場合。
  • テスト対象アプリケーションの視覚的な UI のチェックを実行する場合。

認識されないコントロールをクリックするには、ImageClick メソッドとイメージ資産を使用します。テスト対象アプリケーションに、認識されないコントロールがあるかどうかを確認するには、VerifyAsset メソッドとイメージ検証を使用します。

イメージ解決メソッドは、Silk Test Workbench でサポートされるすべてのテクノロジ ドメインでサポートされます。

注: イメージ解決メソッドは、画面に表示されていないコントロールに対しては機能しません。たとえば、スクロールして画面外にあるイメージに対しては、イメージ解決を使用できません。
  • イメージ クリックの記録
    イメージのクリックを記録する方法について説明します。
  • イメージ解決メソッド
    イメージ解決でサポートされるメソッドを一覧で示します。
  • イメージ資産
    イメージ資産と、それらを Silk Test Workbench で使用する方法について説明します。
  • イメージ検証
    イメージ検証と、それらを Silk Test Workbench で使用する方法について説明します。
関連概念
テキスト解決のサポート


イメージ クリックの記録

イメージ クリックの記録を行うと、大量のイメージが生成されてわかりにくくなるため、デフォルトではイメージ クリックの記録が無効となり、座標ベースのクリックの記録が優先されます。

イメージ クリックの記録を有効にするには、ツール > オプション > 記録 > 全般 をクリックし、'ImageClick' を記録する の値を はい に設定します。

注: モバイル ブラウザを記録する場合、イメージ クリックの記録を有効にする必要はありません。

イメージ クリックの記録を有効にすると、Silk Test Workbench は、オブジェクト解決またはテキスト解決ができない場合に、ImageClick メソッドを記録します。イメージ クリックが記録されない場合でも、任意のコントロールに対してイメージ クリックをスクリプトに挿入できます。

ImageClick 操作を記録しない場合は、イメージ クリックの記録をオフに切り替えて通常のクリックまたはテキスト クリックを記録できます。

注: 記録したイメージは再利用されません。 Silk Test Workbench は、記録するイメージ クリックごとに新しいイメージ資産を作成します。
注: イメージ クリックの記録は、Java AWT/Swing コントロールを使用するアプリケーションまたはアプレットではサポートされません。
親トピック: イメージ解決のサポート


イメージ解決メソッド

Silk Test Workbench では、イメージ解決用に次のメソッドが用意されています。
メソッド | 説明
ImageClick | 資産で指定されたイメージの中央をクリックします。イメージが見つかるか、オブジェクト解決タイムアウト (同期オプションで定義可能) が経過するまで待機します。
ImageExists | 資産で指定されたイメージが存在するかどうかを返します。
ImageRectangle | 資産で指定されたイメージのオブジェクト相対矩形を返します。
ImageClickFile | ファイルで指定されたイメージをクリックします。
ImageExistsFile | ファイルで指定されたイメージが存在するかどうかを返します。
ImageRectangleFile | ファイルで指定されたイメージのオブジェクト相対矩形を返します。
VerifyAsset | 検証資産を実行します。検証に合格しなかった場合、VerificationFailedException がスローされます。
注: イメージ解決メソッドは、画面に表示されていないコントロールに対しては機能しません。たとえば、スクロールして画面外にあるイメージに対しては、イメージ解決を使用できません。
親トピック: イメージ解決のサポート
関連タスク
イメージ クリックの検証資産名での変数の使用
イメージ検証の検証資産名での変数の使用
関連資料
ImageClick メソッド (TestObject)
ImageExists メソッド (TestObject)
ImageRectangle メソッド (TestObject)
ImageClickFile メソッド (TestObject)
ImageExistsFile メソッド (TestObject)
ImageRectangleFile メソッド (TestObject)
VerifyAsset メソッド (Workbench)


イメージ資産

イメージ資産は、次の場合に使用できます。
  • オブジェクト解決で識別できない、高度にカスタマイズされたコントロールを含むテスト アプリケーションを簡便に操作する場合。 座標ベースのクリックの代わりにイメージ クリックを使用し、指定されたイメージをクリックできます。
  • テスト対象アプリケーションのグラフィカル オブジェクト (グラフなど) をテストする場合。

イメージ資産は、イメージと、Silk Test Workbench で資産を操作するために必要な追加情報で構成されます。

Silk Test Workbench では、イメージ資産用に次のメソッドが用意されています。
メソッド | 説明
ImageClick | 指定されたイメージ資産の中央をクリックします。 イメージが見つかるか、オブジェクト解決タイムアウト (同期オプションで定義可能) が経過するまで待機します。
ImageExists | 指定されたイメージ資産があるかどうかを返します。
ImageRectangle | 指定されたイメージ資産のオブジェクト相対矩形を返します。
  • イメージ資産の作成
    イメージ解決サポートを使用するためのイメージ資産を作成します。
  • 同じイメージ資産に複数のイメージを追加する
    同じイメージ資産に複数のイメージを追加して、異なる複数のテスト構成を持つ資産を使用できます。
  • スクリプトから資産を開く
    スクリプトから資産を開く方法を説明します。
  • イメージ クリックの検証資産名での変数の使用
    イメージ クリックのイメージ資産名に対して変数を使用して、変数の値に応じてさまざまなイメージ資産に対してイメージ クリックを実行できます。
親トピック: イメージ解決のサポート
関連概念
イメージ検証
関連資料
ImageClick メソッド (TestObject)
ImageExists メソッド (TestObject)
ImageRectangle メソッド (TestObject)


イメージ資産の作成

イメージ資産は、次のいずれかの方法で作成できます。
  • 新しいイメージ資産を既存のビジュアル テストまたはスクリプトに挿入。
  • 記録時。
  • アセット ブラウザ を使用。

新しいイメージ資産をメニューから アセット ブラウザ作成するには、以下のステップを実行します。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. メニューで、新規イメージ資産 をクリックします。
  3. 資産の種類 リストで イメージ資産 を右クリックし、新規イメージ資産 を選択します。 イメージ資産の UI が開きます。
  4. 資産にイメージを追加する方法を選択します。
    • 既存のイメージを使用する場合は、参照 をクリックし、イメージ ファイルを選択します。
    • テスト対象アプリケーションの UI から新しいイメージをキャプチャする場合は、キャプチャ をクリックします。Web アプリケーションをテストする場合、アプリケーションの選択 ウィンドウからイメージをキャプチャするブラウザーを選択できます。
  5. 新しいイメージをキャプチャする場合は、キャプチャする画面領域を選択し、選択範囲をキャプチャします をクリックします。
  6. 名前 テキスト フィールドに、新しいイメージ資産のわかりやすい名前を入力します。
    注: 既存のイメージを使用する場合は、イメージ資産の名前はデフォルトで既存のイメージの名前になります。
  7. 省略可能：検証 をクリックして、Silk Test Workbench が AUT の UI でイメージ資産を見つけることができるかどうかを確認します。 Web アプリケーションをテストする場合、アプリケーションの選択 ウィンドウからイメージをキャプチャするブラウザーを選択できます。
  8. 省略可能：クリック位置 チェック ボックスをオンにすると、イメージ資産上でクリックを実行する位置を選択できます。 デフォルトの位置は、イメージの中央です。x フィールドと y フィールドに位置を入力するか、イメージ上の位置を選択します。
  9. 精度レベル を指定します。 精度レベルは、検証されるイメージがテスト対象アプリケーションのイメージと異なっていてもよい度合いを定義し、これを超えて異なっている場合、Silk Test Workbench はイメージが異なっていると判断します。これは、画面解像度が異なる複数のシステムまたはブラウザをテストする場合に役立ちます。誤検出を防ぐため、できるだけ精度レベルを高くすることを推奨します。デフォルトの精度レベル値は、オプションで変更できます。
    注: 精度レベル を 5 未満に設定した場合、イメージの実際の色が比較で考慮されなくなります。イメージのグレースケール表現だけが比較されます。
  10. 保存 をクリックするとイメージ資産が Silk Test Workbench リポジトリに保存されます。保存して閉じる をクリックすると、さらにイメージ資産の UI が閉じます。

新しいイメージ資産が、アセット ブラウザに表示され、これを使用してイメージ クリックを実行できます。

同じイメージ資産に複数のイメージを追加できます。

注: モバイル ブラウザーに対する記録中にイメージ クリックを追加するには、記録 ウィンドウで右クリックして、操作のリストから ImageClick を選択します。
親トピック: イメージ資産
関連タスク
アセット ブラウザを使用した資産の作成
同じイメージ資産に複数のイメージを追加する


同じイメージ資産に複数のイメージを追加する

テスト時に、異なるテスト構成を使用して、複数の環境の機能をテストする必要が生じることがよくあります。環境が異なると、イメージ資産にキャプチャしたイメージと実際のイメージが若干異なることがあり、イメージが存在するにもかかわらずイメージ クリックが失敗することがあります。このような場合、同じイメージ資産に複数のイメージを追加できます。

イメージ資産に別のイメージを追加するには、以下を実行します。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストから イメージ資産 を選択します。
  3. イメージ資産に追加したいイメージをダブルクリックします。 イメージ資産の UI が開きます。
  4. UI の下部に表示されるプラス記号をクリックして、新しいイメージをイメージ資産に追加します。
  5. 保存 をクリックするとイメージ資産が Silk Test Workbench リポジトリに保存されます。保存して閉じる をクリックすると、さらにイメージ資産の UI が閉じます。
新しいイメージが資産に追加されます。イメージ クリックが呼び出されるたびに、一致するものに到達するまで、Silk Test Workbench は資産のイメージとテスト対象アプリケーションの UI のイメージを比較します。デフォルトで、Silk Test Workbench は資産に追加された順にイメージを比較します。
注: Silk Test Workbench で比較するイメージの順番を変更するには、イメージ資産の UI の下部でイメージをクリックし、目的の場所にドラッグします。左から右の順に比較されます。最初に比較されるのは、最も左にあるイメージです。
親トピック: イメージ資産
関連タスク
イメージ資産の作成


イメージ クリックの検証資産名での変数の使用

ビジュアル テストからイメージ クリックを実行するとき、ビジュアル テスト変数、アクティブ データ変数、式を使用して、イメージ資産の名前を指定できます。これにより、変数や式の値に応じて、さまざまなイメージ資産で同じイメージ クリックを実行できます。

VB .NET スクリプトでは、ImageClick や ImageExists などのイメージ解決メソッドを介してこの機能をサポートします。これらのメソッドに対して、イメージ資産名を文字列で指定します。この文字列を、変数や式の名前とすることができます。

ビジュアル スクリプトの場合は、イメージ クリック テスト ステップのプロパティでイメージ資産の名前を指定する必要があります。

  1. イメージ クリックが含まれているビジュアル テストを開きます。
  2. イメージ クリック テスト ステップを選択します。
  3. プロパティ ペインを開きます。
  4. パラメータ ノードを展開します。
  5. image フィールドの ... をクリックし、イメージ資産名として使用する変数の名前を選択します。
親トピック: イメージ資産
関連資料
イメージ解決メソッド


イメージ検証

イメージ検証を使用して、テスト対象アプリケーション (AUT) の UI にイメージがあるかどうかをチェックできます。

イメージ検証は、イメージと、Silk Test Workbench で資産を操作するために必要な追加情報で構成されます。

イメージ検証を実行するには、VerifyAsset メソッドを使用します。

Silk Test Workbench が AUT のイメージを見つけることができなかった場合、イメージ検証は失敗します。 この場合、スクリプトは続行します。

AUT 内でイメージ検証のロケーターが見つからなかった場合、Silk Test Workbench は ObjectNotFoundException をスローします。

  • イメージ検証の作成
    テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックするためのイメージ検証を作成します。
  • ビジュアル テストにイメージ検証を追加する
    イメージ検証をビジュアル テストに追加して、テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックします。
  • 記録中にイメージ検証を追加する
    イメージ検証をビジュアル テストまたはスクリプトに追加して、テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックします。
  • イメージ検証が失敗した理由の確認
    イメージ検証の相違点ビュー を開き、ビジュアル テストまたはスクリプトのイメージ検証が失敗した理由を確認します。
  • イメージ検証の検証資産名での変数の使用
    イメージ検証の検証資産名に対して変数を使用して、変数の値に応じてさまざまな検証資産に対してイメージ検証を実行できます。
  • イメージ検証の相違点ビュー
    イメージ検証の相違点ビュー について説明します。
親トピック: イメージ解決のサポート
関連概念
イメージ資産


イメージ検証の作成

イメージ検証は、次のいずれかの方法で作成できます。
  • アセット ブラウザ を使用。
  • 記録時。
  • 新しいイメージ検証を既存のビジュアル テストに挿入。

新しいイメージ検証を アセット ブラウザ で作成するには、以下のステップを実行します。

  1. 表示 > アセット ブラウザ を選択するか、開始画面 の 入門ガイド > アセット ブラウザ を選択します。
  2. 資産の種類 リストで イメージ検証 を右クリックし、新規イメージ検証 を選択します。 イメージ検証の UI が開きます。
  3. 識別 をクリックして、テスト対象アプリケーションの、検証するイメージを識別します。
  4. 名前 テキスト フィールドに、新しいイメージ検証のわかりやすい名前を入力します。
    注: 既存のイメージを使用する場合は、イメージ検証の名前はデフォルトで既存のイメージの名前になります。
  5. 省略可能：最初にキャプチャしたイメージから変更されたために、テスト対象アプリケーションから同じイメージを再キャプチャする必要がある場合は、再キャプチャ をクリックします。 Web アプリケーションをテストする場合、アプリケーションの選択 ウィンドウからイメージをキャプチャするブラウザーを選択できます。
  6. 省略可能：検証 をクリックすると、イメージ検証が機能するかどうかをテストできます。 Silk Test Workbench は、AUT の UI でイメージを、上から下へ、左から右へと検索し、最初に一致したイメージをハイライトします。
  7. 省略可能：Silk Test Workbench がイメージ検証とテスト対象アプリケーション (AUT) の UI を比較するときに考慮しない除外領域をイメージ検証に追加できます。
  8. 省略可能：オプション クライアント領域のみ を設定して、Silk Test Workbench がイメージ検証と AUT の UI を比較するときに、実際に AUT の一部であるイメージの部分だけを考慮するように定義できます。
  9. 精度レベル を指定します。 精度レベルは、検証されるイメージがテスト対象アプリケーションのイメージと異なっていてもよい度合いを定義し、これを超えて異なっている場合、Silk Test Workbench はイメージが異なっていると判断します。これは、画面解像度が異なる複数のシステムまたはブラウザをテストする場合に役立ちます。誤検出を防ぐため、できるだけ精度レベルを高くすることを推奨します。デフォルトの精度レベル値は、オプションで変更できます。
    注: 精度レベル を 5 未満に設定した場合、イメージの実際の色が比較で考慮されなくなります。イメージのグレースケール表現だけが比較されます。
  10. 保存 をクリックすると新しいイメージ検証が Silk Test Workbench リポジトリに保存されます。保存して閉じる をクリックすると、さらにイメージ検証の UI が閉じます。
新しいイメージ検証がアセット ブラウザ に表示され、これを使用して、テスト対象アプリケーションの UI にイメージが存在するかどうかをチェックできます。
親トピック: イメージ検証
関連資料
VerifyAsset メソッド (Workbench)


ビジュアル テストにイメージ検証を追加する

イメージ検証をビジュアル テストに追加して、テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックできます。 ビジュアル テストにイメージ検証を追加するには、以下を実行します。
  1. ビジュアル テストを開きます。
  2. イメージ検証を追加する場所の次のステップを右クリックします。
  3. 挿入 > テスト ロジック > 検証 をクリックします。 テスト ロジック デザイナ が開きます。
  4. 次へ をクリックします。 ロジックの種類の選択 ページが開きます。
  5. 検証資産 をクリックします。 検証資産の構築 ページが開きます。
  6. 次のいずれか 1 つのステップを行います：
    • イメージ検証の UI で新しいイメージ検証を作成するには、新しい検証の作成 をクリックし、。
    • 既存のイメージ検証資産を挿入するには、既存の検証の挿入 をクリックし、。
  7. 次へ をクリックします。 要約 ページが開き、新しい検証のプレビューが表示されます。
  8. 終了 をクリックします。 新しいイメージ検証が追加されます。
親トピック: イメージ検証


記録中にイメージ検証を追加する

イメージ検証をビジュアル テストまたは VB .NET スクリプトに追加して、テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックできます。 ビジュアル テストまたは VB .NET スクリプトの記録中にイメージ検証を追加するには、以下のステップを実行します。
  1. 記録を開始します。
  2. 検証するオブジェクトの上にマウス カーソルを移動して、Ctrl+Alt を押します。
    モバイル Web アプリケーションを記録する場合は、オブジェクトをクリックして 検証の追加 をクリックすることもできます。 このオプションを実行すると、記録が一時的に停止され、テスト ロジック デザイナ ウィザードが表示されます。
  3. 次へ をクリックします。 ロジックの種類の選択 ページが開きます。
  4. 検証資産 をクリックします。 検証資産の構築 ページが開きます。
  5. 次のいずれか 1 つのステップを行います：
    • イメージ検証の UI で新しいイメージ検証を作成するには、新しい検証の作成 をクリックし、。
    • 既存のイメージ検証資産を挿入するには、既存の検証の挿入 をクリックし、。
  6. 次へ をクリックします。 要約 ページが開き、新しい検証のプレビューが表示されます。
  7. 終了 をクリックします。 新しいイメージ検証が追加されます。
  8. 記録を続けます。
親トピック: イメージ検証
関連タスク
記録中のスクリプトへの検証の追加
関連資料
記録中に利用可能なアクション


イメージ検証が失敗した理由の確認

ビジュアル テストまたはスクリプトでイメージ検証の実行が失敗した場合、イメージ検証の相違点ビュー を開き、テスト対象アプリケーションで見つかった実際のイメージと予想されるイメージとの相違点を確認できます。

イメージ検証の相違点ビュー を開くには、以下のステップを実行します。

  1. イメージ検証が失敗した実行の結果を開きます。
  2. ビジュアル テストまたはスクリプトで失敗したイメージ検証のステップを右クリックします。TrueLog Explorer
    イメージ検証の相違点ビュー が開きます。
  3. 予想されるイメージと実際のイメージを比較し、イメージ検証が失敗した理由を確認します。
  4. 省略可能：AUT の実際のイメージが変更されたためにイメージ検証が失敗している場合は、予想として保存 をクリックして、実際のイメージを予想されるイメージに設定します。
親トピック: イメージ検証
関連資料
イメージ検証の相違点ビュー


イメージ検証の検証資産名での変数の使用

ビジュアル テストからイメージ検証を実行するとき、ビジュアル テスト変数、アクティブ データ変数、式を使用して、検証資産の名前を指定できます。これにより、変数や式の値に応じて、さまざまな検証資産で同じイメージ検証を実行できます。

VB .NET スクリプトでは、ImageClick や ImageExists などのイメージ解決メソッドを介してこの機能をサポートします。これらのメソッドに対して、イメージ資産名を文字列で指定します。この文字列を、変数や式の名前とすることができます。

ビジュアル スクリプトの場合は、イメージ検証テスト ステップのプロパティで検証資産の名前を指定する必要があります。

  1. イメージ検証が含まれているビジュアル テストを開きます。
  2. イメージ検証テスト ステップを選択します。
  3. プロパティ ペインを開きます。
  4. 名前 フィールドの ... をクリックし、検証資産名として使用する変数の名前を選択します。
親トピック: イメージ検証
関連資料
イメージ解決メソッド


イメージ検証の相違点ビュー

ビジュアル テストまたはスクリプトでイメージ検証の実行が失敗すると、イメージ検証の相違点ビュー に、テスト対象アプリケーションで見つかった実際のイメージと予想されるイメージとの相違点が表示されます。

イメージ検証の相違点ビュー には、実際のイメージと予想されるイメージ、イメージ名、比較されたイメージのバージョンが表示されます。

親トピック: イメージ検証
関連タスク
イメージ検証が失敗した理由の確認


特定の環境のテスト

Silk Test Workbench では、複数の種類の環境でのテストがサポートされています。

  • Apache Flex のサポート
    Apache Flex アプリケーションに対して利用可能なコントロールの概要について説明します。
  • Java AWT/Swing のサポート
    Java AWT/Swing ツールキットを使用するアプリケーションまたはアプレットで使用可能なサンプル アプリケーションおよびコントロールの概要について説明します。
  • Java SWT と Eclipse RCP のサポート
    Java SWT アプリケーションに対して利用可能なコントロールの概要について説明します。
  • モバイル アプリケーションのテスト
    モバイル デバイスまたは Android エミュレータ上のモバイル アプリケーションのテスト方法について説明します。
  • .NET のサポート
    Silk Test でサポートされている .NET アプリケーションのタイプを示します。
  • Rumba のサポート
    Silk Test Workbench で Rumba アプリケーションがどのようにサポートされるかについて説明します。
  • SAP のサポート
    SAP アプリケーションに対して利用可能なコントロールの概要について説明します。
  • Windows API ベースのアプリケーションのサポート
    Windows API ベース アプリケーションに対して利用可能なコントロールの概要について説明します。
  • クロス ブラウザ テスト
    クロス ブラウザ テストで利用可能なサンプル アプリケーションとコントロールの概要について説明します。
  • Microsoft Windows 10 上のテストの制限事項
    Microsoft Windows 10 上でテストする際の既知の制限事項を一覧します。
  • 64 ビット アプリケーションのサポート
    64 ビット アプリケーションのテストをサポートするテクノロジの種類を示します。
  • サポートする属性の種類
    動的オブジェクト解決がサポートする属性の一覧を提供します。


Apache Flex のサポート

Silk Test Workbench は、Internet Explorer やスタンドアロンの Flash Player を使用した Apache Flex アプリケーション、および Apache Flex 4 以降でビルドした Adobe AIR アプリケーションのテストを組み込みでサポートしています。

Silk Test Workbench では、Apache Flex 3.x および 4.x アプリケーションにおいて複数のアプリケーション ドメインもサポートされているため、サブアプリケーションをテストできます。Silk Test Workbench では、ロケーター階層ツリーの各サブアプリケーションが、関連するアプリケーション ドメイン コンテキストを持つアプリケーション ツリーとして認識されます。Apache Flex 4.x サブアプリケーションでは、ロケーター属性テーブルのルート レベルで SparkApplication クラスが使用されます。Apache Flex 3.x サブアプリケーションでは、FlexApplication クラスが使用されます。

サポートするコントロール

Apache Flex のテストで記録および再生できるコントロールの完全なリストについては、「Flex クラス リファレンス」を参照してください。

注: Silk Test Flex オートメーション SDK は、Apache Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Apache Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、Flex オートメーション API の typekey ステートメントでは、すべてのキーはサポートされません。テキスト入力ステートメントを使用してこの問題を解決できます。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
  • Adobe Flash Player で実行するための Flex アプリケーションの構成
    Flex アプリケーションをブラウザ ウィンドウではなく Flash Player で開きます。
  • Component Explorer の起動
    Component Explorer サンプル アプリケーションを起動します。
  • Apache Flex アプリケーションのテスト
    Apache Flex アプリケーションをテストするために実行する必要があるステップを示します。
  • Apache Flex カスタム コントロールのテスト
    カスタム コントロールのテストに使用できる基本サポートおよび高度なサポートについて説明します。
  • Apache Flex スクリプトのカスタマイズ
    手動で Flex スクリプトをカスタマイズします。たとえば、スクリプトに検証呼び出しを追加できます。
  • 同一 Web ページ上の複数の Flex アプリケーションのテスト
    単一の Web ページで複数の Flex アプリケーションが同じサイズである場合は、このタスクを使用して、Silk Test Workbench によってアプリケーションが正しく識別されるようにします。
  • Adobe AIR のサポート
    Silk Test Workbench における Adobe AIR のサポートの概要について説明します。
  • 名前またはインデックスを使用する Flex の Select メソッドの概要
    Flex の Select メソッドの概要について説明します。
  • FlexDataGrid コントロールでの項目の選択
    FlexDataGrid コントロールの項目は、インデックス値または内容値を使用して選択します。
  • Flex アプリケーションのテストの有効化
    テストを有効にするために Apache Flex 開発者が Flex アプリケーションに組み込む必要があるコンポーネントについて説明します。
  • Apache Flex アプリケーションのスタイル
    Apache Flex 4.x の Spark という接頭辞が付いているすべての新しい Flex コントロール（SparkButton など）では、スタイルがプロパティとして公開されません。
  • Adobe Flash Player のセキュリティ制約に対応するための Flex アプリケーションの構成
    Adobe Flash Player を使用するテストを再生する場合、特定の状況で高レベルのクリックが使用されると、予期しない結果が発生します。
  • Apache Flex アプリケーションの属性
    Apache Flex アプリケーションがサポートする属性の一覧を提供します。
  • Silk Test Workbench が Apache Flex コントロールを認識できない理由
    Silk Test Workbench が Apache Flex アプリケーションのコントロールを認識できないときにできることについて説明します。
親トピック: 特定の環境のテスト
関連資料
Flex クラス リファレンス


Adobe Flash Player で実行するための Flex アプリケーションの構成

Apache Flex アプリケーションを Flash Player で実行するには、以下のいずれか、または両方の条件が満たされている必要があります。
  • Flex アプリケーションを作成する開発者は、アプリケーションを EXE ファイルとしてコンパイルする必要があります。アプリケーションは、ユーザーが起動すると、Flash Player で開きます。Windows Flash Player は、http://www.adobe.com/support/flashplayer/downloads.html からインストールします。
  • ユーザーが、Windows Flash Player Projector をインストールしている必要があります。ユーザーは、Flex の .SWF ファイルを開いた場合に Flash Player で開くように構成できます。Apache Flex 開発者スイートをインストールしないと、Flash Player をインストールしても Windows Flash Projector はインストールされません。Windows Flash Projector は、http://www.adobe.com/support/flashplayer/downloads.html からインストールします。
  1. Microsoft Windows 7 および Microsoft Windows Server 2008 R2 では、管理者として実行されるように Flash Player を構成します。以下の手順を実行します。
    1. Adobe Flash Player プログラム ショートカットまたは FlashPlayer.exe ファイルを右クリックして、プロパティ をクリックします。
    2. プロパティ ダイアログ ボックスで、互換性 タブをクリックします。
    3. 管理者としてこのプログラムを実行する チェック ボックスをオンにして、OK をクリックします。
  2. コマンド プロンプト (cmd.exe) で以下のコマンドを入力して、Flash Player で .SWF ファイルを起動します。 "<Application_Install_Directory>\ApplicationName.swf" デフォルトで、<SilkTest_Install_Directory> は Program Files\Silk\Silk Test にあります。
親トピック: Apache Flex のサポート
関連タスク
Adobe Flash Player のセキュリティ制約に対応するための Flex アプリケーションの構成
Component Explorer の起動


Component Explorer の起動

Silk Test には、Component Explorer というサンプルの Apache Flex アプリケーションが含まれています。 Component Explorer は、Adobe オートメーション SDK および Silk Test 固有のオートメーション実装を使用してコンパイルされており、テスト用に事前に構成されています。

Internet Explorer で、http://demo.borland.com/flex/SilkTest18.5/index.html を開きます。 デフォルト ブラウザでアプリケーションが起動します。
親トピック: Apache Flex のサポート
関連タスク
Adobe Flash Player で実行するための Flex アプリケーションの構成


Apache Flex アプリケーションのテスト

Silk Test は、Apache Flex アプリケーションのテストを組み込みでサポートしています。Silk Test では、いくつかのサンプル Apache Flex アプリケーションを提供しています。サンプル アプリケーションには、http://demo.borland.com/flex/SilkTest18.5/index.html からアクセスできます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

独自の Apache Flex アプリケーションをテストする前に、Apache Flex 開発者は以下のステップを実行する必要があります。

  • Apache Flex アプリケーションのテストの有効化
  • テスト可能な Apache Flex アプリケーションの作成
  • Apache Flex コンテナのコーディング
  • カスタム コントロールのオートメーション サポートの実装

独自の Apache Flex アプリケーションをテストするには、以下のステップを実行します。

  • ローカルの Flash Player のセキュリティ設定の構成
  • ビジュアル テストの記録
  • ビジュアル テストの再生
  • Apache Flex スクリプトのカスタマイズ
  • カスタム Apache Flex コントロールのテスト
注: Apache Flex アプリケーションを読み込み、Flex オートメーション フレームワークを初期化するとき、テストを実行するマシンおよび Apache Flex アプリケーションの複雑度に応じて、多少の時間がかかる場合があります。アプリケーションが完全に読み込まれるように、ウィンドウのタイムアウト値を高い値に設定します。
親トピック: Apache Flex のサポート
関連概念
テスト可能な Flex アプリケーションの作成
Flex コンテナのコーディング
関連タスク
ビジュアル テストの記録
ビジュアル テストの再生
Apache Flex スクリプトのカスタマイズ
オートメーション サポートを使用したカスタム コントロールのテスト


Flex メソッドの動的呼び出し

動的呼び出し機能を使用して Silk Test Workbench が対象としないコントロールのメソッドを呼び出したり、プロパティを取得/設定することができます。この機能は、カスタム コントロールを使用したり、カスタマイズせずに Silk Test Workbench がサポートするコントロールを使用する場合に有効です。

注: 動的呼び出しは、スクリプトで使用できます。ビジュアル テストでは使用できません。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk Test Workbench がサポートするコントロールのメソッドとプロパティー。
  • Flex API で定義されているすべてのパブリック メソッド
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk Test Workbench 型

    Silk Test Workbench 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point など) が含まれます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk Test Workbench 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。

例

たとえば、アプリケーション開発者が次のメソッドとプロパティを持つ Calculator カスタム コントロールを作成したとします。
public function reset() : void
public function add(number1 : int, number2 : int) : int
public function get description : String
テスト担当者は、テスト内からメソッドを直接呼び出すことができます。例：
customControl.Invoke("reset")
Dim sum as Integer = customControl.Invoke("add", 1, 2)
Dim description As String = customControl.GetProperty("description")
親トピック: Apache Flex カスタム コントロールのテスト
関連概念
動的呼び出し
カスタム コントロール
動的呼び出しに関するよくある質問
関連タスク
動的呼び出しを使用した Flex カスタム コントロールのテスト


テスト アプリケーションでのカスタム コントロールの定義

通常、テスト アプリケーションには、アプリケーションの開発中に追加されたカスタム コントロールがすでに含まれています。テスト アプリケーションにすでにカスタム コントロールが含まれている場合は、「動的呼び出しを使用して Flex カスタム コントロールをテストする」または「オートメーション サポートを使用してカスタム コントロールをテストする」に進んでください。

この手順では、Flex アプリケーション開発者が Flex で Spinner カスタム コントロールを作成する方法を示します。このトピックで作成する Spinner カスタム コントロールは、カスタム コントロールの実装およびテストのプロセスを説明するために、いくつかのトピックで使用されています。

Spinner カスタム コントロールは、以下のグラフィックに示すように、2 つのボタンと 1 つのテキスト フィールドを含んでいます。

Flex カスタム コントロール

ユーザーは、Down をクリックしてテキスト フィールドに表示されている値を 1 減分させ、Up をクリックしてテキスト フィールドの値を 1 増分させることができます。

カスタム コントロールには、設定および取得が可能なパブリックの Value プロパティが用意されています。

  1. テスト アプリケーションで、コントロールのレイアウトを定義します。 たとえば、Spinner コントロール タイプでは、以下のように記述します。
    <customcontrols:SpinnerClass xmlns:mx="http://www.adobe.com/2006/mxml" xmlns:controls="mx.controls.*" xmlns:customcontrols="customcontrols.*">
    <controls:Button id="downButton" label="Down" />
    <controls:TextInput id="text" enabled="false" />
    <controls:Button id="upButton" label="Up"/>
</customcontrols:SpinnerClass>
  2. カスタム コントロールの実装を定義します。 たとえば、Spinner コントロール タイプでは、以下のように記述します。
    package customcontrols
{
    import flash.events.MouseEvent;

    import mx.containers.HBox;
    import mx.controls.Button;
    import mx.controls.TextInput;
    import mx.core.UIComponent;
    import mx.events.FlexEvent;

    [Event(name="increment", 	type="customcontrols.SpinnerEvent")]
    [Event(name="decrement", 	type="customcontrols.SpinnerEvent")]

    public class SpinnerClass extends HBox
    {
        public var downButton : Button;
        public var upButton : Button;
        public var text : TextInput;
        public var ssss: SpinnerAutomationDelegate;
        private var _lowerBound : int = 0;
        private var _upperBound : int = 5;

        private var _value : int = 0;
        private var _stepSize : int = 1;

        public function SpinnerClass() {
            addEventListener(FlexEvent.CREATION_COMPLETE, creationCompleteHandler);
        }

        private function creationCompleteHandler(event:FlexEvent) : void {
            downButton.addEventListener(MouseEvent.CLICK, downButtonClickHandler);
            upButton.addEventListener(MouseEvent.CLICK, upButtonClickHandler);
            updateText();
        }

        private function downButtonClickHandler(event : MouseEvent) : void {
            if(Value - stepSize >= lowerBound) {
                Value = Value - stepSize;
            }
            else {
                Value = upperBound - stepSize + Value - lowerBound + 1;
            }

            var spinnerEvent : SpinnerEvent = new SpinnerEvent(SpinnerEvent.DECREMENT);
            spinnerEvent.steps = _stepSize;
            dispatchEvent(spinnerEvent);
        }

        private function upButtonClickHandler(event : MouseEvent) : void {
            if(cValue <= upperBound - stepSize) {
                Value = Value + stepSize;
            }
            else {
                Value = lowerBound + Value + stepSize - upperBound - 1;
            }

            var spinnerEvent : SpinnerEvent = new SpinnerEvent(SpinnerEvent.INCREMENT);
            spinnerEvent.steps = _stepSize;
            dispatchEvent(spinnerEvent);
        }

        private function updateText() : void {
            if(text != null) {
                text.text = _value.toString();
            }
        }

        public function get Value() : int {
            return _value;
        }

        public function set Value(v : int) : void {
            _value = v;
            if(v < lowerBound) {
                _value = lowerBound;
            }
            else if(v > upperBound) {
                _value = upperBound;
            }
            updateText();

        }

        public function get stepSize() : int {
            return _stepSize;
        }

        public function set stepSize(v : int) : void {
            _stepSize = v;
        }

        public function get lowerBound() : int {
            return _lowerBound;
        }

        public function set lowerBound(v : int) : void {
            _lowerBound = v;
            if(Value < lowerBound) {
                Value = lowerBound;
            }
        }

        public function get upperBound() : int {
            return _upperBound;
        }

        public function set upperBound(v : int) : void {
            _upperBound = v;
            if(Value > upperBound) {
                Value = upperBound;
            }
        }
    }
}
  3. コントロールが使用するイベントを定義します。 たとえば、Spinner コントロール タイプでは、以下のように記述します。
    package customcontrols
{
    import flash.events.Event;

    public class SpinnerEvent extends Event
    {
        public static const INCREMENT : String = "increment";
        public static const DECREMENT : String = "decrement";

        private var _steps : int;

        public function SpinnerEvent(eventName : String) {
            super(eventName);
        }

        public function set steps(value:int) : void {
            _steps = value;
        }

        public function get steps() : int {
            return _steps;
        }

    }
}

次のステップでは、テスト アプリケーションのオートメーション サポートを実装します。

親トピック: Apache Flex カスタム コントロールのテスト
関連タスク
動的呼び出しを使用した Flex カスタム コントロールのテスト
オートメーション サポートを使用したカスタム コントロールのテスト
カスタム コントロールのオートメーション サポートの実装


動的呼び出しを使用した Flex カスタム コントロールのテスト

Silk Test Workbench では、動的呼び出しを使用したカスタム コントロールの記録と再生のサポートが提供されており、これにより再生中にカスタム コントロールを操作できます。作業量が少なく済むこのアプローチは、テスト アプリケーションにおいて、Silk Test Workbench が公開しないカスタム コントロールのプロパティおよびメソッドにアクセスする場合に使用します。カスタム コントロールの開発者は、コントロールのテストを容易にすることのみを目的としたメソッドおよびプロパティをカスタム コントロールに追加することもできます。

注: 動的呼び出しは、スクリプトで使用できます。ビジュアル テストでは使用できません。
  1. コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。
  2. オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。
  3. オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。
  4. オブジェクトの複数の動的メソッドは invokeMethods メソッドを使用して呼び出します。
  5. コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。
  6. 動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。

例

この例では、以下の図に示すように、2 つのボタンと 1 つのテキスト フィールドを含む Spinner カスタム コントロールをテストします。

Flex カスタム コントロール

ユーザーは、Down をクリックしてテキスト フィールドに表示されている値を 1 減分させ、Up をクリックしてテキスト フィールドの値を 1 増分させることができます。

カスタム コントロールには、設定および取得が可能なパブリックの Value プロパティが用意されています。

Spinner の値を 4 に設定するには、以下のように入力します。
Dim spinner = Desktop.Find("//FlexBox[@className=customcontrols.Spinner]")
spinner.SetProperty("Value", 4)
親トピック: Apache Flex カスタム コントロールのテスト
関連概念
Flex メソッドの動的呼び出し


オートメーション サポートを使用したカスタム コントロールのテスト

カスタム コントロールに対して、特定のオートメーション サポートを作成できます。この追加のオートメーション サポートによって、記録のサポートおよびより強力な再生のサポートが提供されます。オートメーション サポートを作成するには、テスト アプリケーションを変更し、Open Agent を拡張する必要があります。

Silk Test Workbench でカスタム コントロールをテストする前に、以下のステップを実行します。
  • テスト アプリケーションでのカスタム コントロールの定義
  • オートメーション サポートの実装

テスト アプリケーションを変更してオートメーション サポートを組み込んだあと、以下のステップを実行します。

  1. ビジュアル テストでは、追加の構成は必要ありません。必要に応じて、カスタム コントロールに対してビジュアル テストを記録および再生できます。
  2. スクリプトの場合は、スクリプトを記録して、カスタム コントロールに合わせて手動で変更を加えます。 たとえば、以下のコードでは、オートメーションの委譲に実装されている「Increment」メソッドを使用して、Spinner の値を 3 増分する方法を示しています。
    _desktop.TestObject("//FlexSpinner[@caption='index:1']").Invoke("Increment", 3)
    以下の例は、Spinner の値を 3 に設定する方法を示しています。
    _desktop.TestObject("//FlexSpinner[@caption='index:1']").SetProperty("Value", 3)
  • カスタム コントロールのオートメーション サポートの実装
    カスタム コントロールをテストする前に、カスタム コントロールの ActionScript でオートメーション サポート（オートメーションの委譲）を実装し、テスト アプリケーションにコンパイルします。
  • Flex クラス定義ファイル
    Flex クラス定義ファイルの内容について説明します。
親トピック: Apache Flex カスタム コントロールのテスト
関連概念
テスト可能な Flex アプリケーションの作成


カスタム コントロールのオートメーション サポートの実装

カスタム コントロールをテストする前に、カスタム コントロールの ActionScript でオートメーション サポート（オートメーションの委譲）を実装し、テスト アプリケーションにコンパイルします。

以下の手順では、Flex のカスタム Spinner コントロールを使用して、カスタム コントロールのオートメーション サポートの実装方法を示します。Spinner カスタム コントロールは、以下のグラフィックに示すように、2 つのボタンと 1 つのテキスト フィールドを含んでいます。

Flex カスタム コントロール

ユーザーは、Down をクリックしてテキスト フィールドに表示されている値を 1 減分させ、Up をクリックしてテキスト フィールドの値を 1 増分させることができます。

カスタム コントロールには、設定および取得が可能なパブリックの Value プロパティが用意されています。

  1. カスタム コントロールの ActionScript でオートメーション サポート（オートメーションの委譲）を実装します。 オートメーションの委譲の実装の詳細については、Adobe Live ドキュメント（http://livedocs.adobe.com/flex/3/html/help.html?content=functest_components2_14.html）を参照してください。 この例では、オートメーションの委譲によって、「increment」および「decrement」メソッドに対してサポートが追加されます。オートメーションの委譲のコード例は以下のとおりです。
    package customcontrols
{
    import flash.display.DisplayObject;
    import mx.automation.Automation;
    import customcontrols.SpinnerEvent;
    import mx.automation.delegates.containers.BoxAutomationImpl;
    import flash.events.Event;
    import mx.automation.IAutomationObjectHelper;
    import mx.events.FlexEvent;
    import flash.events.IEventDispatcher;
    import mx.preloaders.DownloadProgressBar;
    import flash.events.MouseEvent;
    import mx.core.EventPriority;

    [Mixin]
    public class SpinnerAutomationDelegate extends BoxAutomationImpl
    {

        public static function init(root:DisplayObject) : void {
            // register delegate for the automation
            Automation.registerDelegateClass(Spinner, SpinnerAutomationDelegate);
        }

        public function SpinnerAutomationDelegate(obj:Spinner) {
            super(obj);
            // listen to the events of interest (for recording)
            obj.addEventListener(SpinnerEvent.DECREMENT, decrementHandler);
            obj.addEventListener(SpinnerEvent.INCREMENT, incrementHandler);
        }

        protected function decrementHandler(event : SpinnerEvent) : void {
            recordAutomatableEvent(event);
        }

        protected function incrementHandler(event : SpinnerEvent) : void {
            recordAutomatableEvent(event);
        }

        protected function get spinner() : Spinner {
            return uiComponent as Spinner;
        }

        //----------------------------------
        //  override functions
        //----------------------------------

        override public function get automationValue():Array {
            return [ spinner.Value.toString() ];
        }

        private function replayClicks(button : IEventDispatcher, steps : int) : Boolean {
            var helper : IAutomationObjectHelper = Automation.automationObjectHelper;
            var result : Boolean;
            for(var i:int; i < steps; i++) {
                helper.replayClick(button);
            }
            return result;
        }

        override public function replayAutomatableEvent(event:Event):Boolean {

            if(event is SpinnerEvent) {
                var spinnerEvent : SpinnerEvent = event as SpinnerEvent;
                if(event.type == SpinnerEvent.INCREMENT) {
                    return replayClicks(spinner.upButton, spinnerEvent.steps);
                }
                else if(event.type == SpinnerEvent.DECREMENT) {
                    return replayClicks(spinner.downButton, spinnerEvent.steps);
                }
                else {
                    return false;
                }

            }
            else {
                return super.replayAutomatableEvent(event);
            }
        }

        // do not expose the child controls (i.e the buttons and the textfield) as individual controls
        override public function get numAutomationChildren():int {
            return 0;
        }

    }
}
  2. Open Agent にオートメーションの委譲を導入するために、カスタム コントロールを記述する XML ファイルを作成します。 クラス定義ファイルには、インストルメント化されたすべての Flex コンポーネントについての情報が含まれています。このファイルでは、記録中にイベントを送信でき、再生中にイベントを受け取ることができるコンポーネントについての情報が提供されます。クラス定義ファイルには、サポートされているプロパティの定義も含まれています。 Spinner カスタム コントロールの XML ファイルは以下のようになります。
    <TypeInformation>
    <ClassInfo Name="FlexSpinner" Extends="FlexBox">
        <Implementation
            Class="customcontrols.Spinner" />
        <Events>
            <Event Name="Decrement">
                <Implementation
                    Class="customcontrols.SpinnerEvent"
                    Type="decrement" />
                <Property Name="steps">
                    <PropertyType Type="integer" />
                </Property>
            </Event>
            <Event Name="Increment">
                <Implementation
                    Class="customcontrols.SpinnerEvent"
                    Type="increment" />
                <Property Name="steps">
                    <PropertyType Type="integer" />
                </Property>
            </Event>
        </Events>
        <Properties>
            <Property Name="lowerBound" accessType="read">
                <PropertyType Type="integer" />
            </Property>
            <Property Name="upperBound" accessType="read">
                <PropertyType Type="integer" />
            </Property>
            <!-- expose read and write access for the Value property -->
            <Property Name="Value" accessType="both">
                <PropertyType Type="integer" />
            </Property>
            <Property Name="stepSize" accessType="read">
                <PropertyType Type="integer" />
            </Property>
        </Properties>
    </ClassInfo>
</TypeInformation>
  3. サポートされている Flex コントロールのすべてのクラス、およびそのメソッドとプロパティを記述するすべての XML ファイルが格納されるフォルダに、カスタム コントロールの XML ファイルを配置します。 Silk Test には、サポートされている Flex コントロールのすべてのクラス、およびそのメソッドとプロパティを記述するいくつかの XML ファイルが含まれています。これらの XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。 独自の XML ファイルを提供する場合は、XML ファイルをこのフォルダにコピーする必要があります。Open Agent が起動して、Apache Flex のサポートを初期化する場合、このディレクトリの内容が読み込まれます。 Flex の Spinner サンプル コントロールをテストするには、CustomControls.xml ファイルをこのフォルダにコピーする必要があります。Open Agent が現在実行されている場合は、ファイルをフォルダにコピーしたあと、Open Agent を再起動します。
これで、カスタム コントロールを含むビジュアル テストまたはスクリプトを記録および再生できるようになりました。
親トピック: オートメーション サポートを使用したカスタム コントロールのテスト


Flex クラス定義ファイル

クラス定義ファイルには、インストルメント化されたすべての Flex コンポーネントについての情報が含まれています。このファイルでは、記録中にイベントを送信でき、再生中にイベントを受け取ることができるコンポーネントについての情報が提供されます。クラス定義ファイルには、サポートされているプロパティの定義も含まれています。

Silk Test には、Flex の共通コントロールおよび特殊化されたコントロールのすべてのクラス、イベント、およびプロパティを記述するいくつかの XML ファイルが含まれています。これらの XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。

独自の XML ファイルを提供する場合は、XML ファイルをこのフォルダにコピーする必要があります。Silk Test のエージェントが起動して Apache Flex のサポートを初期化するとき、このディレクトリの内容が読み込まれます。

XML ファイルの基本的な構造は以下のとおりです。
<TypeInformation>

<ClassInfo>

<Implementation />

<Events>

<Event />

…

</Events>

<Properties>

<Property />

…

</Properties>

</ClassInfo>

</TypeInformation>
親トピック: オートメーション サポートを使用したカスタム コントロールのテスト
親トピック: テスト可能な Flex アプリケーションの作成


Apache Flex スクリプトのカスタマイズ

手動で Flex スクリプトをカスタマイズできます。Flex オブジェクトのプロパティに対して Verify 関数を使用して、手動で検証を挿入できます。各 Flex オブジェクトには、検証可能な一連のプロパティがあります。検証に使用できるプロパティのリストについては、「Flex クラス リファレンス」を参照してください。

  1. Flex アプリケーションのテストを記録します。
  2. カスタマイズするスクリプト ファイルを開きます。
  3. 追加するコードを手動で入力します。
親トピック: Apache Flex のサポート


同一 Web ページ上の複数の Flex アプリケーションのテスト

同じ Web ページに複数の Flex アプリケーションが存在する場合、Silk Test Workbench は、Flex アプリケーションの ID またはアプリケーションの size プロパティを使用して、テスト対象アプリケーションを特定します。同じページに複数のアプリケーションが存在し、それらのサイズが異なる場合、Silk Test Workbench は、size プロパティを使用して操作実行対象のアプリケーションを特定します。追加の操作は必要ありません。

以下の場合、Silk Test Workbench は、JavaScript を使用して Flex アプリケーションの ID を検索し、操作実行対象のアプリケーションを特定します。

  • 単一の Web ページ上に複数の Flex アプリケーションが存在する場合。
  • これらのアプリケーションのサイズが同じである場合。
注: この場合、ブラウザ マシンで JavaScript が有効になっていないと、スクリプト実行時にエラーが発生します。
  1. JavaScript を有効にします。
  2. Internet Explorer で、以下の手順を実行します。
    1. ツール > インターネット オプション を選択します。
    2. セキュリティ タブをクリックします。
    3. レベルのカスタマイズ をクリックします。
    4. スクリプト作成 セクションの アクティブ スクリプト で、有効にする をクリックして OK をクリックします。
  3. 「Apache Flex アプリケーションのテスト」の手順に従います。
    注: Web ページにフレームが存在し、アプリケーションが同じサイズである場合、この方法は動作しません。
親トピック: Apache Flex のサポート
関連概念
Apache Flex アプリケーションのテスト


Adobe AIR のサポート

Silk Test Workbench がサポートする Adobe AIR でのテストは、Flex 4 コンパイラを使用してコンパイルされたアプリケーションのみです。 サポートされているバージョンの詳細については、リリース ノートで最新の情報を確認してください。

Silk Test には、サンプルの Adobe AIR アプリケーションが含まれています。 http://demo.borland.com/flex/SilkTest18.5/index.html にあるサンプル アプリケーションにアクセスして、使用する Adobe AIR アプリケーションをクリックしてください。 オートメーションあり、またはオートメーションなしのアプリケーションを選択できます。 AIR アプリケーションを実行するには、Adobe AIR ランタイムをインストールする必要があります。

親トピック: Apache Flex のサポート


名前またはインデックスを使用する Flex の Select メソッドの概要

Flex の Select メソッドは、選択するコントロールの Name または Index を使用して記録できます。デフォルトで、Silk Test Workbench では、コントロールの名前を使用して Select メソッドが記録されます。ただし、コントロールのインデックスを使用して Select イベントを記録するように環境を変更したり、名前を使用した記録とインデックスを使用した記録を切り替えたりすることができます。

以下のコントロールでは、インデックスを使用して Select イベントを記録できます。

  • FlexList
  • FlexTree
  • FlexDataGrid
  • FlexAdvancedDataGrid
  • FlexOLAPDataGrid
  • FlexComboBox

デフォルト設定は、コントロールの名前を使用する ItemBasedSelection（Select イベント）です。インデックスを使用するには、IndexBasedSelection（SelectIndex イベント）を使用するように AutomationEnvironment を変更する必要があります。これらのクラスのいずれかの動作を変更するには、以下のコードを使用して FlexCommonControls.xml、AdvancedDataGrid.xml、または OLAPDataGrid.xml ファイルを変更する必要があります。これらの XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。対応する xml ファイルで、以下の変更を行います。

<ClassInfo Extends="FlexList" Name="FlexControlName"  EnableIndexBasedSelection=”true” >

…

</ClassInfo>
この変更では、FlexList::SelectIndex イベントの記録に IndexBasedSelection が使用されています。コードの EnableIndexBasedSelection= を false に設定するか、またはこのブール値を削除すると、記録で名前が使用される設定に戻ります（FlexList::Select イベント）。
注: これらの変更内容を有効にするには、アプリケーションを再起動する必要があります。アプリケーションを再起動すると、Silk Test Agent も自動的に再起動されます。
親トピック: Apache Flex のサポート


FlexDataGrid コントロールでの項目の選択

FlexDataGrid コントロールの項目は、インデックス値または内容値を使用して選択します。

  1. インデックス値を使用して FlexDataGrid コントロールの項目を選択するには、SelectIndex メソッドを使用します。 たとえば、FlexDataGrid.SelectIndex(1) のように入力します。
  2. 内容値を使用して FlexDataGrid コントロールの項目を選択するには、Select メソッドを使用します。 必要な形式の文字列を使用して、選択する行を識別します。 項目と項目の間は、縦線文字（|）で区切る必要があります。 少なくとも 1 つの項目を 2 つのアスタリスク（*）で囲む必要があります。 これにより、クリックが実行される項目が識別されます。 構文は FlexDataGrid.Select("*Item1* | Item2 | Item3") です。
親トピック: Apache Flex のサポート
関連タスク
同一 Web ページ上の複数の Flex アプリケーションのテスト
関連資料
Flex クラス リファレンス


Flex アプリケーションのテストの有効化

Flex アプリケーションをテストに対して有効化するには、Apache Flex 開発者は Flex アプリケーションに以下のコンポーネントを組み込む必要があります。

  • Apache Flex オートメーション パッケージ
  • Silk Test オートメーション パッケージ

Apache Flex オートメーション パッケージ

開発者は、Flex オートメーション パッケージを使用して、オートメーション API を使用する Flex アプリケーションを作成できます。Flex オートメーション パッケージは、Adobe の Web サイト（http://www.adobe.com）からダウンロードできます。パッケージには、以下の内容が含まれています。

  • オートメーション ライブラリ：automation.swc ライブラリおよび automation_agent.swc ライブラリは、Flex フレームワーク コンポーネントの委譲の実装です。automation_agent.swc ファイルおよび関連するリソース バンドルは、汎用的なエージェント メカニズムです。Silk Test Agent などのエージェントは、これらのライブラリの上に構築されます。
  • サンプル
注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、Flex オートメーション API の typekey ステートメントでは、すべてのキーはサポートされません。テキスト入力ステートメントを使用してこの問題を解決できます。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。

Silk Test オートメーション パッケージ

Silk Test の Open Agent は、Apache Flex オートメーション エージェント ライブラリを使用しています。FlexTechDomain.swc ファイルに、Silk Test 固有の実装が含まれています。

以下のいずれかの方法を使用して、アプリケーションをテストに対して有効化できます。

  • Flex アプリケーションへのオートメーション パッケージのリンク
  • 実行時の読み込み
  • Flex アプリケーションへのオートメーション パッケージのリンク
    テストする予定の Flex アプリケーションを事前にコンパイルする方法について説明します。
  • テストのための Flex アプリケーションの事前コンパイル
    テストのためにアプリケーションを事前コンパイルすることによって、アプリケーションをテストに対して有効化します。
  • 実行時の読み込み
    Silk Test Flex オートメーション ランチャを使用した、実行時の Flex オートメーション サポートの読み込みの概要について説明します。
  • コマンド ラインを使用した構成情報の追加
    コマンド ライン コンパイラを使用して、automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリの場所を指定します。
  • Flex アプリケーションにパラメータを渡す
    Flex アプリケーションにパラメータを渡す方法を示します。
  • テスト可能な Flex アプリケーションの作成
    オブジェクトに対してわかりやすい ID を指定する方法、および重複オブジェクトの回避方法について説明します。
  • Flex コンテナのコーディング
    コンテナは、ユーザー対話（ユーザーが Accordion コンテナの次のページに移動したなど）の記録、およびテスト スクリプト内でのコントロールに対する一意の場所の提供の両方の目的で使用されるため、他の種類のコントロールとは異なります。
  • Flex 自動テスト ワークフロー
    Flex アプリケーションのテストの Silk Test Workbench ワークフローを示します。
親トピック: Apache Flex のサポート


Flex アプリケーションへのオートメーション パッケージのリンク

テストする予定の Flex アプリケーションを事前にコンパイルする必要があります。機能テスト クラスは、コンパイル時にアプリケーションに埋め込まれ、アプリケーションは実行時に自動テストに関する外部依存関係を持ちません。

コンパイル時にアプリケーションの SWF ファイルに機能テスト クラスを埋め込むと、SWF ファイルのサイズが大きくなります。SWF ファイルのサイズが重要でない場合は、機能テストと展開に同じ SWF ファイルを使用します。SWF ファイルのサイズが重要である場合は、2 つの SWF ファイルを生成します。1 つは機能テスト クラスが埋め込まれたファイル、もう 1 つは機能テスト クラスが埋め込まれていないファイルです。展開には、テスト クラスが埋め込まれていない SWF ファイルを使用します。

include-libraries コンパイラ オプションを指定してテストのために Flex アプリケーションを事前にコンパイルする場合は、以下のファイルを参照します。

  • automation.swc
  • automation_agent.swc
  • FlexTechDomain.swc
  • automation_charts.swc（アプリケーションでグラフおよび Flex 2.0 を使用する場合のみインクルード）
  • automation_dmv.swc（アプリケーションでグラフおよび Flex 3.x 以降を使用する場合にインクルード）
  • automation_flasflexkit.swc（アプリケーションで埋め込みの Flash コンテンツを使用する場合にインクルード）
  • automation_spark.swc（アプリケーションで新しい Flex 4.x コントロールを使用する場合にインクルード）
  • automation_air.swc（アプリケーションが AIR アプリケーションである場合にインクルード）
  • automation_airspark.swc（アプリケーションが AIR アプリケーションであり、新しい Flex 4.x コントロールを使用する場合にインクルード）

Flex アプリケーションの最終リリース バージョンを作成する場合は、これらの SWC ファイルへの参照なしでアプリケーションを再コンパイルします。オートメーション SWC ファイルの使用の詳細については、『Apache Flex リリース ノート』を参照してください。

アプリケーションをサーバーに展開しないで、ファイル プロトコルを使用して要求したり、Apache Flex Builder 内で実行したりする場合は、各 SWF ファイルをローカルの信頼済みサンドボックスに組み込む必要があります。このためには、追加の構成情報が必要です。コンパイラの構成ファイルを変更するか、またはコマンド ライン オプションを使用して、構成情報を追加します。

注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、オートメーション コードを使用してアプリケーションがコンパイルされ、連続的に SWF ファイルが読み込まれる場合、メモリ リークが発生して、最終的にアプリケーションでメモリが不足します。Flex Control Explorer サンプル アプリケーションは、この問題の影響を受けます。回避策として、Explorer が読み込むアプリケーションの SWF ファイルをオートメーション ライブラリを使用してコンパイルしない方法があります。たとえば、Explorer のメイン アプリケーションのみをオートメーション ライブラリを使用してコンパイルします。SWFLoader の代わりにモジュール ローダーを使用する方法もあります。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
親トピック: Flex アプリケーションのテストの有効化
関連概念
実行時の読み込み
関連タスク
テストのための Flex アプリケーションの事前コンパイル
コマンド ラインを使用した構成情報の追加


テストのための Flex アプリケーションの事前コンパイル

アプリケーションをテスト用に事前コンパイルするか、または実行時の読み込みを使用することによって、アプリケーションをテストに対して有効化できます。

  1. 以下のコードを構成ファイルに追加することによって、コンパイラの構成ファイルに automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリをインクルードします。
    <include-libraries>

...

<library>/libs/automation.swc</library>

<library>/libs/automation_agent.swc</library>

<library>pathinfo/FlexTechDomain.swc</library>

</include-libraries>
    注: アプリケーションでグラフを使用する場合は、automation_charts.swc ファイルも追加する必要があります。
  2. コマンド ライン コンパイラで include-libraries コンパイラ オプションを使用して、automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリの場所を指定します。 構成ファイルは以下の場所にあります。

    Apache Flex 2 SDK – <flex_installation_directory>/frameworks/flex-config.xml

    Apache Flex データ サービス – <flex_installation_directory>/flex/WEB-INF/flex/flex-config.xml

    以下の例では、automation.swc ファイルと automation_agent.swc ファイルがアプリケーションに追加されています。
    mxmlc -include-libraries+=../frameworks/libs/automation.swc;../frameworks/libs/
automation_agent.swc;pathinfo/FlexTechDomain.swc MyApp.mxml
    注: コマンド ラインで include-libraries オプションを明示的に設定すると、既存のライブラリに対して追加されるのではなく、既存のライブラリが上書きされます。コマンド ラインで include-libraries オプションを使用して automation.swc ファイルと automation_agent.swc ファイルを追加する場合は、+= 演算子を使用します。これにより、インクルードされる既存のライブラリが上書きされるのではなく、インクルードされる既存のライブラリに対して追加されます。
    注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、オートメーション コードを使用してアプリケーションがコンパイルされ、連続的に SWF ファイルが読み込まれる場合、メモリ リークが発生して、最終的にアプリケーションでメモリが不足します。Flex Control Explorer サンプル アプリケーションは、この問題の影響を受けます。回避策として、Explorer が読み込むアプリケーションの SWF ファイルをオートメーション ライブラリを使用してコンパイルしない方法があります。たとえば、Explorer のメイン アプリケーションのみをオートメーション ライブラリを使用してコンパイルします。SWFLoader の代わりにモジュール ローダーを使用する方法もあります。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
親トピック: Flex アプリケーションのテストの有効化
関連概念
実行時の読み込み
関連タスク
コマンド ラインを使用した構成情報の追加


実行時の読み込み

Silk Test Flex オートメーション ランチャを使用して、実行時に Flex オートメーション サポートを読み込むことができます。このアプリケーションは、オートメーション ライブラリを使用してコンパイルされており、SWFLoader クラスを使用してユーザーのアプリケーションを読み込みます。これにより、SWF ファイルにオートメーション ライブラリをコンパイルしなくても、アプリケーションが自動的にテストに対して有効化されます。Silk Test Flex オートメーション ランチャは、HTML および SWF のファイル形式で利用できます。

制限事項

  • Flex オートメーション ランチャ アプリケーションは、自動的にルート アプリケーションとなります。ユーザーのアプリケーションをルート アプリケーションにする必要がある場合は、Silk Test Flex オートメーション ランチャを使用してオートメーション サポートを読み込むことができません。
  • 外部ライブラリを読み込むアプリケーション（他の SWF ファイル ライブラリを読み込むアプリケーション）をテストするには、自動テストに特別な設定が必要です。実行時に読み込まれるライブラリ（ランタイム共有ライブラリ（RSL）を含む）は、読み込むアプリケーションの ApplicationDomain に読み込まれる必要があります。アプリケーションで使用される SWF ファイルが異なるアプリケーション ドメインに読み込まれた場合、自動テストの記録と再生が正しく動作しません。以下に、同じ ApplicationDomain に読み込まれるライブラリの例を示します。
    import flash.display.*;

import flash.net.URLRequest;

import flash.system.ApplicationDomain;

import flash.system.LoaderContext;

var ldr:Loader = new Loader();

var urlReq:URLRequest = new URLRequest("RuntimeClasses.swf");

var context:LoaderContext = new LoaderContext();

context.applicationDomain = ApplicationDomain.currentDomain;

loader.load(request, context);
  • 実行時読み込み
    Silk Test Flex Automation Launcher を使用すると、Flex オートメーション サポートを実行時に読み込むことができます。
親トピック: Flex アプリケーションのテストの有効化
関連概念
Flex アプリケーションへのオートメーション パッケージのリンク
関連タスク
テストのための Flex アプリケーションの事前コンパイル
コマンド ラインを使用した構成情報の追加


実行時読み込み

  1. Silk\Silk Test\ng\AutomationSDK\Flex\<バージョン>\FlexAutomationLauncher ディレクトリの内容を、テストする Flex アプリケーションのディレクトリにコピーします。
  2. Windows Explorer で FlexAutomationLauncher.html を開き、ファイル パスへの接尾辞として以下のパラメータを追加します。
    ?automationurl=YourApplication.swf

    YourApplication.swf は Flex アプリケーションの SWF ファイルの名前です。

  3. ファイル パスへの接頭辞として file:/// を追加します。 たとえば、ファイルの URL に ?automationurl=explorer.swf などのパラメータが含まれている場合は、以下のように入力します。を設定して、インストールするコンポーネントを指定できます。
    file:///C:/Program%20Files/Silk/Silk Test/ng/sampleapplications/Flex/3.2/FlexControlExplorer32/FlexAutomationLauncher.html?automationurl=explorer.swf
親トピック: 実行時の読み込み


コマンド ラインを使用した構成情報の追加

コマンド ライン コンパイラを使用して automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリの場所を指定するには、include-libraries コンパイラ オプションを使用します。

次の例では、automation.swc ファイルと automation_agent.swc ファイルがアプリケーションに追加されます。

mxmlc -include-libraries+=../frameworks/libs/automation.swc;../frameworks/libs/
automation_agent.swc;pathinfo/FlexTechDomain.swc MyApp.mxml
注: アプリケーションでグラフを使用する場合は、include-libraries コンパイラ オプションに automation_charts.swc ファイルも追加する必要があります。

コマンド ラインで include-libraries オプションを明示的に設定すると、既存のライブラリに対して追加されるのではなく、既存のライブラリが上書きされます。 コマンド ラインで include-libraries オプションを使用して automation.swc ファイルと automation_agent.swc ファイルを追加する場合は、+= 演算子を使用します。 これにより、インクルードされる既存のライブラリが上書きされるのではなく、インクルードされる既存のライブラリに対して追加されます。

Flex Builder プロジェクトに自動テストサポートを追加するには、include-libraries コンパイラ オプションに automation.swc および automation_agent.swc ライブラリも追加する必要があります。

親トピック: Flex アプリケーションのテストの有効化
関連概念
Flex アプリケーションへのオートメーション パッケージのリンク
実行時の読み込み
関連タスク
テストのための Flex アプリケーションの事前コンパイル


Flex アプリケーションにパラメータを渡す

以下の手順に従って、Flex アプリケーションにパラメータを渡すことができます。

  • 実行する前に Flex アプリケーションにパラメータを渡す
    オートメーション ライブラリを使用して、実行する前に Flex アプリケーションにパラメータを渡します。
  • Flex オートメーション ランチャを使用して、実行時に Flex アプリケーションにパラメータを渡す
    Flex オートメーション ランチャを使用して、実行時に Flex アプリケーションにパラメータを渡します。
親トピック: Flex アプリケーションのテストの有効化


実行する前に Flex アプリケーションにパラメータを渡す

オートメーション ライブラリを使用して、実行する前に Flex アプリケーションにパラメータを渡すことができます。

  1. 適切なオートメーション ライブラリを使用して、アプリケーションをコンパイルします。
  2. パラメータの指定には、通常どおり標準的な Flex のメカニズムを使用します。
親トピック: Flex アプリケーションにパラメータを渡す
関連タスク
テストのための Flex アプリケーションの事前コンパイル


Flex オートメーション ランチャを使用して、実行時に Flex アプリケーションにパラメータを渡す

このタスクを開始する前に、実行時の読み込みに対応するようにアプリケーションを準備します。

  1. FlexAutomationLauncher.html ファイルを開くか、または例として FlexAutomationLauncher.html を使用してファイルを作成します。
  2. 以下のセクションに移動します。
    <script language="JavaScript" type="text/javascript">

                AC_FL_RunContent(eef

                   "src", "FlexAutomationLauncher",

                   "width", "100%",

                   "height", "100%",

                   "align", "middle",

                   "id", "FlexAutomationLauncher",

                   "quality", "high",

                   "bgcolor", "white",

                   "name", "FlexAutomationLauncher",

                   "allowScriptAccess","sameDomain",

                   "type", "application/x-shockwave-flash",

                   "pluginspage", "http://www.adobe.com/go/getflashplayer",

                   "flashvars", "yourParameter=yourParameterValue"+ "&automationurl=YourApplication.swf"

                );

        </script>
    注: 「src」、「id」、および「name」の「FlexAutomationLauncher」の値は変更しないでください。
  3. 「yourParameter=yourParameterValue」に、独自のパラメータを追加します。
  4. 「& automationurl=YourApplication.swf」の値として、テストする Flex アプリケーションの名前を渡します。
  5. ファイルを保存します。
親トピック: Flex アプリケーションにパラメータを渡す


テスト可能な Flex アプリケーションの作成

Flex 開発者は、Flex アプリケーションを可能なかぎりテストしやすくするためのテクニックを利用できます。 以下のテクニックがあります。

  • オブジェクトに対するわかりやすい ID の指定
  • オブジェクトの重複の回避

オブジェクトに対するわかりやすい ID の指定

テストしやすいアプリケーションを作成するには、 スクリプト内でオブジェクトを識別しやすくする必要があります。 テストするすべてのコントロールに対して、わかりやすい文字列を使用した ID プロパティの値を設定できます。

オブジェクトに対してわかりやすい ID を指定するには：

  • テスト可能なすべての MXML コンポーネントに対して ID を指定して、その Flex コントロールの参照時にテスト スクリプトで一意の ID が使用できるようにします。
  • これらの ID は、ユーザーがテスト スクリプト内でそのオブジェクトを容易に識別できるように、可能なかぎり人間が理解しやすい文字列にします。 たとえば、TabNavigator 内の Panel コンテナの id プロパティは、panel1 や p1 ではなく submit_panel とします。

Silk Test Workbench を使用する場合、id や childIndex などの特定のタグに基づいて、オブジェクトに対して自動的に名前が設定されます。 id プロパティに値がない場合、Silk Test Workbench では、childIndex プロパティなどの他のプロパティが使用されます。 id プロパティに値を割り当てると、テスト スクリプトを読みやすくすることができます。

オブジェクトの重複の回避

自動エージェントの処理は、実行中にオブジェクト インスタンスの一部のプロパティが変更されないことを前提としています。 実行時に Silk Test Workbench によってオブジェクト名として使用されている Flex コンポーネント プロパティを変更すると、予期しない結果が発生する可能性があります。 たとえば、automationName プロパティのない Button コントロールを作成し、最初は label プロパティに値を設定しないで、その後、label プロパティに値を設定した場合、問題が発生することがあります。 この場合、Silk Test Workbench では、automationName プロパティが設定されていない場合は Button コントロールを識別するためにコントロールの label プロパティの値が使用されます。 あとから label プロパティの値を設定したり、既存の label の値を変更すると、Silk Test Workbench ではこのオブジェクトを新しいオブジェクトとして識別し、既存のオブジェクトを参照しなくなります。

重複オブジェクトを回避するには：

  • エージェントにおいて、オブジェクトの識別にどのプロパティが使用されているかを理解し、実行時にそれらのプロパティを変更しないようにします。
  • 記録されたスクリプトに含まれているすべてのオブジェクトに対して、人間が理解しやすい一意の id プロパティまたは automationName プロパティを設定します。
  • Apache Flex アプリケーションのカスタム属性
    Apache Flex アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Flex の AutomationName プロパティと AutomationIndex プロパティ
    Silk Test で automationName プロパティと automationIndex プロパティがどのように使用されるかについて説明します。
  • Flex クラス定義ファイル
    Flex クラス定義ファイルの内容について説明します。
  • Flex の automationName プロパティの設定
    Flex の automationName プロパティを設定することの利点について説明します。
  • 名前またはインデックスを使用するように Flex の Select メソッドを設定
    Flex の Select メソッドを、選択するコントロールの Name または Index を使用して記録します。
親トピック: Flex アプリケーションのテストの有効化
関連概念
Apache Flex アプリケーションのテスト
Flex コンテナのコーディング
Flex 自動テスト ワークフロー


Flex の AutomationName プロパティと AutomationIndex プロパティ

Flex オートメーション API には、automationName プロパティと automationIndex プロパティが用意されています。automationName を指定すると、Silk Test Workbench では、記録されたウィンドウ宣言の名前としてこの値が使用されます。わかりやすい名前を指定すると、そのオブジェクトを Silk Test Workbench で識別しやすくなります。ベスト プラクティスとして、アプリケーションのテストに含まれているすべてのオブジェクトの automationName プロパティに値を設定することをお勧めします。

automationIndex プロパティを使用して、オブジェクトに対して一意のインデックス値を割り当てます。たとえば、2 つのオブジェクトが同じ名前を共有している場合は、インデックス値を割り当てて、2 つのオブジェクトを識別します。
注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、オートメーション コードを使用してアプリケーションがコンパイルされ、連続的に SWF ファイルが読み込まれる場合、メモリ リークが発生して、最終的にアプリケーションでメモリが不足します。Flex Control Explorer サンプル アプリケーションは、この問題の影響を受けます。回避策として、Explorer が読み込むアプリケーションの SWF ファイルをオートメーション ライブラリを使用してコンパイルしない方法があります。たとえば、Explorer のメイン アプリケーションのみをオートメーション ライブラリを使用してコンパイルします。SWFLoader の代わりにモジュール ローダーを使用する方法もあります。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
親トピック: テスト可能な Flex アプリケーションの作成
関連概念
Flex アプリケーションのテストの有効化
Flex コンテナのコーディング
Flex 自動テスト ワークフロー
関連タスク
名前またはインデックスを使用するように Flex の Select メソッドを設定


Flex の automationName プロパティの設定

automationName プロパティは、テストに表示されるコンポーネント名を定義します。このプロパティのデフォルト値は、コンポーネントの種類に応じて異なります。たとえば、Button コントロールの automationName は、Button コントロールのラベルです。automationName がコントロールの id プロパティと同じ場合もありますが、常に同じであるわけではありません。

一部のコンポーネントでは、automationName プロパティの値は、Flex によってそのコンポーネントを認識しやすい属性に設定されています。これにより、テスト担当者は、テストでコンポーネントを認識しやすくなります。通常、テスト担当者は、アプリケーションの基になるソース コードにアクセスできないため、コントロールの表示されるプロパティによってそのコントロールを認識できるようにすることは有用です。たとえば、「Process Form Now」というラベルが設定された Button は、テストで FlexButton("Process Form Now") と表示されます。

新しいコンポーネントを実装する場合や、既存のコンポーネントから派生する場合は、automationName プロパティのデフォルト値をオーバーライドできます。たとえば、UIComponent では、automationName の値は、デフォルトでコンポーネントの id プロパティに設定されます。ただし、一部のコンポーネントでは、独自の方法を使用して値が設定されます。たとえば、Flex Store サンプル アプリケーションでは、コンテナを使用して製品のサムネイルが作成されています。コンテナのデフォルトの automationName はコンテナの id プロパティと同じ値となるため、あまり役立ちません。そのため、Flex Store では、製品のサムネイルを生成するカスタム コンポーネントで明示的に automationName を製品名に設定して、アプリケーションをテストしやすくしています。

例

以下の CatalogPanel.mxml カスタム コンポーネントの例では、automationName プロパティの値をカタログに表示される項目名に設定しています。これにより、デフォルトのオートメーション名を使用するよりもサムネイルを認識しやすくなります。

thumbs[i].automationName = catalog[i].name;

例

以下の例では、ComboBox コントロールの automationName プロパティを「Credit Card List」に設定しています。このように設定すると、通常、テスト ツールでは、スクリプトにおいて id プロパティではなく「Credit Card List」を使用して ComboBox が識別されます。
<?xml version="1.0"?>
<!-- at/SimpleComboBox.mxml -->
<mx:Application xmlns:mx="http://www.adobe.com/2006/mxml">
  <mx:Script>
    <![CDATA[
      [Bindable]
      public var cards: Array = [
        {label:"Visa", data:1},
        {label:"MasterCard", data:2},
        {label:"American Express", data:3}
      ];

      [Bindable]
      public var selectedItem:Object;
      ]
   ]>
  </mx:Script>
  <mx:Panel title="ComboBox Control Example">
    <mx:ComboBox id="cb1" dataProvider="{cards}"
      width="150"
      close="selectedItem=ComboBox(event.target).selectedItem"
      automationName="Credit Card List"
    />
    <mx:VBox width="250">
      <mx:Text width="200" color="blue" text="Select a type of credit card." />
      <mx:Label text="You selected: {selectedItem.label}"/>
      <mx:Label text="Data: {selectedItem.data}"/>
    </mx:VBox>
  </mx:Panel>
</mx:Application>

automationName プロパティの値を設定すると、オブジェクト名が実行時に変更されないことが保証されます。このことは、予期しない結果の回避に役立ちます。

automationName プロパティの値を設定すると、テストでは、デフォルト値ではなく、その値が使用されます。たとえば、Silk Test Workbench では、デフォルトで、スクリプトにおいて Button コントロールの label プロパティがボタンの名前として使用されます。この場合、ラベルが変更されると、スクリプトが動作しなくなります。automationName プロパティの値を明示的に設定することによって、このような事態を回避できます。

ラベルがなく、アイコンがあるボタンは、インデックス番号によって記録されます。この場合は、automationName プロパティをわかりやすい文字列に設定して、テスト担当者がスクリプトでボタンを認識できるようにします。automationName プロパティの値を設定したあとは、コンポーネントのライフ サイクル全体を通して値を変更しないでください。項目レンダラでは、automationName プロパティではなく automationValue プロパティを使用します。automationValue プロパティを使用するには、createAutomationIDPart() メソッドをオーバーライドして、automationName プロパティに割り当てる新しい値を返します。以下に例を示します。

<mx:List xmlns:mx="http://www.adobe.com/2006/mxml">
  <mx:Script>

      import mx.automation.IAutomationObject;
      override public function
      createAutomationIDPart(item:IAutomationObject):Object {
        var id:Object = super.createAutomationIDPart(item);
        id["automationName"] = id["automationIndex"];
        return id;
      }

  </mx:Script>
</mx:List>

このテクニックを使用して、任意のコンテナまたはリスト形式コントロールの子にインデックス値を追加します。子が自分自身のインデックスを指定する方法はありません。

親トピック: テスト可能な Flex アプリケーションの作成
関連概念
Flex アプリケーションのテストの有効化
Flex コンテナのコーディング
Flex の AutomationName プロパティと AutomationIndex プロパティ
関連タスク
名前またはインデックスを使用するように Flex の Select メソッドを設定


名前またはインデックスを使用するように Flex の Select メソッドを設定

Flex の Select メソッドは、選択するコントロールの Name または Index を使用して記録できます。デフォルトで、Silk Test では、コントロールの名前を使用して Select メソッドが記録されます。ただし、コントロールのインデックスを使用して Select イベントを記録するように環境を変更したり、名前を使用した記録とインデックスを使用した記録を切り替えたりすることができます。

  1. インデックスを使用するように変更するクラスを特定します。 以下のコントロールでは、インデックスを使用して Select イベントを記録できます。
    • FlexList
    • FlexTree
    • FlexDataGrid
    • FlexOLAPDataGrid
    • FlexComboBox
    • FlexAdvancedDataGrid
  2. 変更するクラスに関連する XML ファイルを特定します。 上記のコントロールに関連する XML ファイルには、FlexCommonControls.xml、AdvancedDataGrid.xml、または OLAPDataGrid.xml があります。
  3. 変更するクラスに関連する XML ファイルに移動します。 XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。
  4. 対応する XML ファイルで、以下の変更を行います。
    <ClassInfo Extends="FlexList" Name="FlexControlName"  EnableIndexBasedSelection=”true” >

…

</ClassInfo>
    たとえば、「FlexControlName」として「FlexList」を使用し、FlexCommonControls.xml ファイルを変更できます。

    この変更では、FlexList::SelectIndex イベントの記録に IndexBasedSelection が使用されています。

    注: コードの EnableIndexBasedSelection= を false に設定するか、またはこのブール値を削除すると、記録で名前が使用される設定に戻ります（FlexList::Select イベント）。
  5. これらの変更内容を有効にするには、Flex アプリケーションおよび Open Agent を再起動します。
親トピック: テスト可能な Flex アプリケーションの作成
関連概念
Flex の AutomationName プロパティと AutomationIndex プロパティ


Flex コンテナのコーディング

コンテナは、ユーザー対話（ユーザーが Accordion コンテナの次のページに移動したなど）の記録、およびテスト スクリプト内でのコントロールに対する一意の場所の提供の両方の目的で使用されるため、他の種類のコントロールとは異なります。

  • オートメーション階層におけるコンテナの追加と削除
    どのような場合にオートメーション階層からコンテナを削除するか、および削除方法について説明します。
  • 複数ビュー コンテナ
    複数ビュー コンテナを使用する場合のベスト プラクティスについて説明します。
親トピック: Flex アプリケーションのテストの有効化
関連概念
Apache Flex アプリケーションのテスト
テスト可能な Flex アプリケーションの作成


オートメーション階層におけるコンテナの追加と削除

通常、自動テスト機能のスクリプトでは、ネストされたコンテナについての詳細情報は少なく抑えられます。テストの結果やコントロールの識別に影響がないコンテナは、スクリプトから削除されます。削除対象となるコンテナは、HBox、VBox、Canvas などの、レイアウトの目的でのみ使用されるコンテナです。ただし、ViewStack、TabNavigator、Accordion などの複数ビュー ナビゲータ コンテナで使用されている場合は削除されません。このような場合、コンテナはオートメーション階層に追加されて、ナビゲーションに使用されます。

多くの複合コンポーネントでは、Canvas や VBox などのコンテナを使用して、子が整理されます。これらのコンテナは、アプリケーション上では視覚的な効果を持ちません。この結果、これらのコンテナでは、ユーザー操作は実行されず、操作を視覚的に記録する必要もないため、通常、これらのコンテナはテストから除外されます。テストからコンテナを除外することによって、関連するテスト スクリプトが簡潔になり、読みやすくなります。

コンテナを記録から除外するには、コンテナの showInAutomationHierarchy プロパティを false に設定します（子は除外されません）。このプロパティは、UIComponent クラスによって定義されているため、UIComponent のサブクラスであるすべてのコンテナにこのプロパティが存在します。階層で表示されないコンテナの子は、階層内でそのコンテナの次に上位の親の子として表示されます。

showInAutomationHierarchy プロパティのデフォルト値は、コンテナの種類に応じて異なります。Panel、Accordion、Application、DividedBox、Form などのコンテナではデフォルト値は true であり、Canvas、HBox、VBox、FormItem などのコンテナではデフォルト値は false です。

以下の例では、VBox コンテナがテスト スクリプトの階層に組み込まれています。
<?xml version="1.0"?>
<!-- at/NestedButton.mxml -->
<mx:Application xmlns:mx="http://www.adobe.com/2006/mxml">
<mx:Panel title="ComboBox Control Example">
<mx:HBox id="hb">
<mx:VBox id="vb1" showInAutomationHierarchy="true">
<mx:Canvas id="c1">
<mx:Button id="b1" automationName="Nested Button 1" label="Click Me" />
</mx:Canvas>
</mx:VBox>
<mx:VBox id="vb2" showInAutomationHierarchy="true">
<mx:Canvas id="c2">
<mx:Button id="b2" automationName="Nested Button 2" label="Click Me 2" />
</mx:Canvas>
</mx:VBox>
</mx:HBox>
</mx:Panel>
</mx:Application>
親トピック: Flex コンテナのコーディング
関連概念
複数ビュー コンテナ
Flex アプリケーションのテストの有効化
Apache Flex アプリケーションのテスト


複数ビュー コンテナ

TabNavigator や Accordion コンテナなどの複数ビュー コンテナ内の複数のタブに同じラベルを使用しないでください。 同じラベルを使用することもできますが、このことは、通常、推奨UI 設計プラクティスとして推奨されていません。このようにすると、テスト環境においてコントロールの識別に問題が発生することがあります。

親トピック: Flex コンテナのコーディング
関連概念
オートメーション階層におけるコンテナの追加と削除


Flex 自動テスト ワークフロー

Flex アプリケーションのテストの Silk Test Workbench ワークフローは、以下のとおりです。

  • 自動テストの初期化
  • 自動テストの記録
  • 自動テストの再生
  • Flex 自動テストの初期化
    Flex アプリケーション起動時に発生する初期化イベントを示します。
  • Flex 自動テストの記録
    ユーザーが Flex アプリケーションのテストを記録するときに発生するイベントについて説明します。
  • Flex 自動テストの再生
    ユーザーが Flex アプリケーションのテストを実行した場合に発生するイベントについて説明します。
親トピック: Flex アプリケーションのテストの有効化
関連概念
テスト可能な Flex アプリケーションの作成


Flex 自動テストの初期化

ユーザーが Flex アプリケーションを起動すると、以下の初期化イベントが発生します。
  1. オートメーション初期化コードによって、コンポーネントの委譲クラスがコンポーネントのクラスに関連付けられます。
  2. コンポーネントの委譲クラスは、IAutomationObject インターフェイスを実装します。
  3. AutomationManager のインスタンスがミックスインの init() メソッドで作成されます。（AutomationManager はミックスインです。）
  4. SystemManager によってアプリケーションが初期化されます。コンポーネント インスタンスおよび対応する委譲インスタンスが作成されます。委譲インスタンスによって、目的のイベントに対するイベント リスナーが追加されます。
  5. Silk Test Workbench FlexTechDomain はミックスインです。FlexTechDomain の init() メソッドで、FlexTechDomain が SystemManager.APPLICATION_COMPLETE イベントに登録されます。イベントを受信すると、FlexTechDomain インスタンスが作成されます。
  6. FlexTechDomain インスタンスが、同じマシン上の記録および再生機能に登録する Silk Test Agent に TCP/IP ソケット経由で接続します。
  7. FlexTechDomain は、自動環境についての情報を要求します。この情報は XML ファイルに格納され、Silk Test Agent から FlexTechDomain に転送されます。
親トピック: Flex 自動テスト ワークフロー
関連概念
Flex 自動テストの記録
Flex 自動テストの再生


Flex 自動テストの記録

ユーザーが Silk Test Workbench で Flex アプリケーションの新しいテストを記録すると、以下のイベントが発生します。

  1. Silk Test Workbench によって Silk Test Agent が呼び出されて、記録が開始されます。Agent は、このコマンドを FlexTechDomain インスタンスに転送します。
  2. FlexTechDomain は、beginRecording() を呼び出すことによって、AutomationManager に対して記録の開始を通知します。AutomationManager は、SystemManager からの AutomationRecordEvent.RECORD イベントに対するリスナーを追加します。
  3. ユーザーがアプリケーションを操作します。たとえば、ユーザーが Button コントロールをクリックしたとします。
  4. ButtonDelegate.clickEventHandler() メソッドによって、プロパティとしてクリック イベントと Button のインスタンスが指定された AutomationRecordEvent イベントがディスパッチされます。
  5. AutomationManager は、XML 環境情報に基づいて、クリック イベントのどのプロパティを格納するかを決定します。値が適切な型または書式に変換されます。記録イベントがディスパッチされます。
  6. FlexTechDomain イベント ハンドラがイベントを受信します。AutomationManager.createID() メソッドが呼び出されて、ボタンの AutomationID オブジェクトが作成されます。このオブジェクトは、オブジェクト識別用の構造体を提供します。AutomationID 構造体は、AutomationIDParts の配列になっています。AutomationIDParts は、IAutomationObject を使用して作成されます。（Button コントロールの UIComponent.id、automationName、automationValue、childIndex、および label プロパティが読み込まれて、オブジェクトに格納されます。XML 情報に、label プロパティを Button の識別に使用できることが指定されているため、label プロパティが使用されます。）
  7. FlexTechDomain は、AutomationManager.getParent() メソッドを使用して、Button の論理的な親を取得します。アプリケーション レベルまでの各レベルで、親コントロールの AutomationIDParts オブジェクトが収集されます。
  8. すべての AutomationIDParts が AutomationID オブジェクトの一部として組み込まれます。
  9. FlexTechDomain は、Silk Test Workbench への呼び出しでこの情報を送信します。
  10. ユーザーが記録を停止すると、FlexTechDomain.endRecording() メソッドが呼び出されます。
親トピック: Flex 自動テスト ワークフロー
関連概念
Flex 自動テストの初期化
Flex 自動テストの再生


Flex 自動テストの再生

ユーザーが Silk Test Workbench で 再生 ボタンをクリックすると、以下のイベントが発生します。

  1. 各スクリプト呼び出しにおいて、Silk Test Workbench は Silk Test Agent に接続し、実行されるスクリプト呼び出しの情報を送信します。 この情報には、完全なウィンドウ宣言、イベント名、およびパラメータが含まれています。
  2. Silk Test Agent は、その情報を FlexTechDomain に転送します。
  3. FlexTechDomain は、ウィンドウ宣言情報と共に AutomaionManager.resolveIDToSingleObject を使用します。 AutomationManager は、説明情報（automationName、automationIndex、id など）に基づいて、解決したオブジェクトを返します。
  4. Flex コントロールが解決されると、FlexTechDomain は AutomationManager.replayAutomatableEvent() を呼び出して、イベントを再生します。
  5. AutomationManager.replayAutomatableEvent() メソッドによって、委譲クラスの
IAutomationObject.replayAutomatableEvent() メソッドが呼び出されます。 委譲では、IAutomationObjectHelper.replayMouseEvent() メソッド（または
replayKeyboardEvent() などの他のいずれかの再生メソッド）を使用してイベントが再生されます。
  6. スクリプトに検証がある場合、FlexTechDomain は AutomationManager.getProperties() を呼び出して、検証する必要がある値にアクセスします。
親トピック: Flex 自動テスト ワークフロー
関連概念
Flex 自動テストの記録
Flex 自動テストの初期化


Apache Flex アプリケーションのスタイル

Apache Flex 3.x で開発されたアプリケーションについて、Silk Test Workbench ではスタイルとプロパティを区別しません。この結果、スタイルはプロパティとして公開されます。ただし、Apache Flex 4.x の Spark という接頭辞が付いているすべての新しい Flex コントロール（SparkButton など）では、スタイルがプロパティとして公開されません。この結果、Flex 4.x コントロールの GetProperty() メソッドおよび GetPropertyList() メソッドでは color や fontSize などのスタイルが返されず、text や name などのプロパティのみが返されます。

GetStyle(string styleName) メソッドは、スタイルの値を文字列として返します。どのようなスタイルが存在するかを確認するには、次の Adobe ヘルプを参照してください： http://help.adobe.com/ja_JP/FlashPlatform/reference/actionscript/3/package-detail.html.

スタイルが設定されていない場合は、再生中に StyleNotSetException が発生します。

FlexTree などの Flex 3.x コントロールでは、GetProperty() を使用してスタイルを取得できます。GetStyle() を使用することもできます。Flex 3.x コントロールでは、GetProperty() メソッドと GetStyle() メソッドの両方が動作します。

色スタイルの計算

Flex では、色は数値として表されます。色は、以下の式を使用して計算できます。
red*65536 + green*256 + blue

例

以下のスクリプト例では、Spark アプリケーションの ButtonBar がフォント サイズ 12 を使用しているかどうかを検証しています。
 Imports SilkTest.Ntf.Flex

Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main()
        Dim Application As SparkApplication
        Dim ButtonBar As SparkButtonBar
        Application = _desktop.Find( "/BrowserApplication//BrowserWindow//
            SparkApplication" )
        ButtonBar = Application.SparkButtonBar()

        Workbench.Verify(ButtonBar.GetStyle( "fontSize" ), "12" )
    End Sub
End Module
親トピック: Apache Flex のサポート


Adobe Flash Player のセキュリティ制約に対応するための Flex アプリケーションの構成

Adobe Flash Player 10 では、セキュリティ モデルが以前のバージョンから変更されています。Flash Player を使用するテストを記録する場合、記録は想定どおりに動作します。ただし、テストを再生する場合は、特定の状況で高レベルのクリックが行われると、予期しない結果が発生します。たとえば、ファイル参照 ダイアログ ボックスをプログラムから開くことができません。このシナリオの再生を試みると、セキュリティ制約が原因でテストに失敗します。

このセキュリティ制約を回避するには、ダイアログ ボックスを開くボタンに対して低レベルのクリックを実行します。低レベルのクリックを作成するには、Click メソッドにパラメータを追加します。

たとえば、SparkButton::Click() の代わりに SparkButton::Click(MouseButton.Left) を使用します。パラメータを指定しない Click() は高レベルのクリックとして再生され、パラメータを指定したクリック（ボタンなど）は低レベルのクリックとして再生されます。

  1. Flash Player を使用するテストを記録します。
  2. Click メソッドに移動して、パラメータを追加します。 たとえば、ファイルを開く ダイアログ ボックスを開くには、以下のように指定します：
    SparkButton("@caption='Open File Dialog…'").Click(MouseButton.Left)
    。 テストを再生すると、想定どおりに動作します。
親トピック: Apache Flex のサポート
関連タスク
Adobe Flash Player で実行するための Flex アプリケーションの構成


Apache Flex アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Flex アプリケーションがサポートする属性は次のとおりです。
  • automationName
  • caption（automationName と同様）
  • automationClassName（FlexButton など）
  • className（実装クラスの完全修飾名。 mx.controls.Button など）
  • automationIndex（FlexAutomation のビューでのコントロールのインデックス。 index:1 など）
  • index（automationIndex と同様。ただし、接頭辞はなし。 1 など）
  • id (コントロールの ID)
  • windowId (id と同様)
  • label（コントロールのラベル）
  • すべての動的ロケーター属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

親トピック: Apache Flex のサポート
親トピック: サポートする属性の種類


Silk Test Workbench が Apache Flex コントロールを認識できない理由

Web サーバーを通してアクセスしている Apache Flex アプリケーションのコントロールを Silk Test Workbench が認識できない場合、以下のことを行ってみてください。
  • Adobe オートメーション ライブラリと Apache Flex バージョン用に適した FlexTechDomain.swc を使用して、Apache Flex アプリケーションをコンパイルします。
  • 実行時ローディングを使用します。
  • Apache Flex アプリケーションを空の id 属性を使用して埋め込んでいると、Apache Flex コントロールは認識されません。
親トピック: Apache Flex のサポート


Java AWT/Swing のサポート

Silk Test Workbench は、Java AWT/Swing コントロールを使用するアプリケーションまたはアプレットのテストを組み込みでサポートしています。Java AWT/Swing を使用するアプリケーションまたはアプレットを設定すると、Silk Test Workbench は標準の AWT/Swing コントロールのテストのサポートを組み込みで提供します。
注: Java AWT/Swing アプリケーションまたはアプレットに埋め込まれた Java SWT コントロールや、Java SWT アプリケーションに埋め込まれた Java AWT/Swing コントロールもテストできます。
注: イメージ クリックの記録は、Java AWT/Swing コントロールを使用するアプリケーションまたはアプレットではサポートされません。

サンプル アプリケーション

Silk Test は、サンプルの Swing テスト アプリケーションを提供しています。サンプル アプリケーションを http://supportline.microfocus.com/websync/SilkTest.aspx からダウンロードしてインストールします。 サンプル アプリケーションをインストールしたあと、(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > Sample Applications > Java Swing > Swing Test Application、または (Microsoft Windows 10) スタート > Silk をクリックします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Java AWT/Swing のテストで使用可能なコントロールの完全な一覧については、「Java AWT/Swing クラス リファレンス」を参照してください。

  • Java AWT/Swing アプリケーションの属性
    Java AWT/Swing アプリケーションがサポートする属性を示します。
  • Java メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk Test Workbench が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • Java AWT/Swing テクノロジ ドメインでの priorLabel の判別
    Java AWT/Swing テクノロジ ドメインでの priorLabel の判別方法について説明します。
  • Oracle Forms のサポート
    Oracle Forms ベースのアプリケーションをテストするために Silk Test Workbench が提供するサポートについて説明します。
親トピック: 特定の環境のテスト
関連資料
Java AWT および Swing クラス リファレンス


Java AWT/Swing アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Java AWT/Swing でサポートされる属性には以下のものがあります。
  • caption
  • priorlabel：隣接するラベル フィールドのテキストによってテキスト入力フィールドを識別します。 通常、フォームのすべての入力フィールドに、入力の目的を説明するラベルがあります。 caption のないコントロールの場合、自動的に属性 priorlabel がロケーターに使用されます。 コントロールの priorlabel 値 (テキスト入力フィールドなど) には、コントロールの左側または上にある最も近いラベルの caption が使用されます。
  • name
  • accessibleName
  • Swing のみ：すべてのカスタム オブジェクトの定義属性は、ウィジェットに putClientProperty("propertyName", "propertyValue") で設定されます。
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Java AWT/Swing のサポート
親トピック: サポートする属性の種類


Java メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk Test Workbench API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk Test Workbench API を通して公開されていない場合に特に便利です。

注: 動的呼び出しは、スクリプトで使用できます。ビジュアル テストでは使用できません。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk Test Workbench がサポートするコントロールのメソッドとプロパティー。
  • SWT、AWT、または Swing ウィジェットのすべてのパブリック メソッド
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • プリミティブ型 (boolean、integer、long、double、string)

    プリミティブ型 (int など) とオブジェクト タイプ (java.lang.Integer など) の両方がサポートされます。プリミティブ型は必要に応じて拡大変換されます。たとえば、long が必要な場所で int を渡すことができます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが列挙型 java.sql.ClientInfoStatus のパラメータを必要とする場合、次の文字列値を使用できます： REASON_UNKNOWN、REASON_UNKNOWN_PROPERTY、REASON_VALUE_INVALID、REASON_VALUE_TRUNCATED

  • リスト

    リスト、配列、または可変長引数のパラメータを持つメソッドを呼び出すことができます。リストの要素がターゲットの配列型に代入可能の場合、配列型への変換は自動的に行われます。

  • その他のコントロール

    コントロール パラメーターは、TestObject として渡したり、返したりできます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk Test Workbench 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: Java AWT/Swing のサポート
親トピック: Java SWT と Eclipse RCP のサポート
関連概念
動的呼び出し
動的呼び出しに関するよくある質問


Java AWT/Swing テクノロジ ドメインでの priorLabel の判別

Java AWT/Swing テクノロジ ドメインで priorLabel を判別するには、ターゲット コントロールと同じウィンドウ内のすべてのラベルおよびグループを考慮する必要があります。 判別の基準は、次のとおりです。
  • priorLabel の候補とみなされるのは、コントロールの上または左にあるラベル、およびコントロールが属しているグループのみです。
  • コントロールの親が JViewPort または ScrollPane の場合、アルゴリズムはこのコントロールを含むウィンドウが親であるかのように機能し、外側の要素はどれも関連しないとみなされます。
  • 最も単純なケースでは、コントロールに最も近いラベルが priorLabel として使用されます。
  • 2 つのラベルがコントロールから等距離にあり、1 つがコントロールの左、もう 1 つが上にある場合は、左側のラベルが優先します。
  • 適したラベルがない場合は、最も近いグループのキャプションが使用されます。
親トピック: Java AWT/Swing のサポート


Oracle Forms のサポート

この機能がサポートされるのは、Open Agent を使用している場合のみです。

Silk Test Workbench は、Oracle Forms ベースのアプリケーションのテストを組み込みでサポートします。

注: コントロールによっては、Silk Test Workbench は低レベルの記録のみをサポートします。

サポート対象バージョン、既知の問題、回避策の詳細については、「リリース ノート」を参照してください。

  • Oracle Forms テストの前提条件
    Oracle Forms をテストするための前提条件を示します。
  • Oracle Forms アプリケーションの属性
    Oracle Forms ベースのアプリケーションがサポートする属性の一覧を提供します。
親トピック: Java AWT/Swing のサポート
関連資料
Java AWT および Swing クラス リファレンス


Oracle Forms テストの前提条件

Oracle Forms を使ってビルドしたアプリケーションをテストするには、次の前提条件を満たす必要があります。
  • 次世代 Java プラグインを有効化する必要があります。この設定は、デフォルトで有効になっています。Java コントロール パネル で設定を変更できます。次世代 Java プラグインの詳細については、Java のドキュメントを参照してください。
  • Java セキュリティ ダイアログをテストの実行中に表示されないようにするには、アプレットにサインする必要があります。
  • Micro Focus は、Names プロパティを有効にすることを推奨します。このプロパティを有効にすると、Oracle Forms ランタイムは内部の名前 を公開します。この名前は、コントロールの開発者が、コントロールの Name プロパティとしてコントロールに対して指定したものです。そうでない場合、Name プロパティには、コントロールのクラス名とインデックスから構成された値が設定されます。これを使用すると、Silk Test Workbench はコントロールに対して安定したロケーターを生成できます。
親トピック: Oracle Forms のサポート


Oracle Forms アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Oracle Forms がサポートする属性は次のとおりです。
  • priorlabel：隣接するラベル フィールドのテキストによってテキスト入力フィールドを識別します。 通常、フォームのすべての入力フィールドに、入力の目的を説明するラベルがあります。 caption のないコントロールの場合、自動的に属性 priorlabel がロケーターに使用されます。 コントロールの priorlabel 値 (テキスト入力フィールドなど) には、コントロールの左側または上にある最も近いラベルの caption が使用されます。
  • name
  • accessibleName
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Oracle Forms のサポート


Java SWT と Eclipse RCP のサポート

Silk Test は、SWT (Standard Widget Toolkit) コントロールのウィジェットを使用したアプリケーションのテストの組み込みサポートを提供します。Java SWT/RCP アプリケーションを設定すると、Silk Test は標準の Java SWT/RCP コントロールのテストのサポートを組み込みで提供します。

Silk Test では、以下をサポートしています。

  • Java AWT/Swing アプリケーションに埋め込まれた Java SWT コントロール、および Java SWT アプリケーションに埋め込まれた Java AWT/Swing コントロールのテスト。
  • Java SWT アプリケーションのテスト。
  • レンダリングに SWT ウィジェットを使用した Eclipse ベースのアプリケーション。 Silk Test は、Eclipse IDE ベース、および RCP ベースの両方のアプリケーションをサポートします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

SWT テストで使用できるウィジェットの完全なリストについては、「Java SWT クラス リファレンス」を参照してください。

  • Java SWT クラス リファレンス
    Java SWT をサポートするための Visual Basic クラスを一覧します。
  • Java SWT カスタム属性
    カスタム属性をテスト アプリケーションに追加して、テストをより安定させます。
  • Java SWT アプリケーションの属性
    Java SWT アプリケーションがサポートする属性の一覧を提供します。
  • Java メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk Test Workbench が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • Java SWT と Eclipse アプリケーションのトラブルシューティング
    Silverlight アプリケーションのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
親トピック: 特定の環境のテスト


Java SWT クラス リファレンス

Java SWT アプリケーションを設定すると、Silk Test Workbench は標準の Java SWT コントロールのテストのサポートを組み込みで提供します。

親トピック: Java SWT と Eclipse RCP のサポート
関連資料
Java SWT クラス リファレンス


Java SWT アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Java SWT がサポートする属性は次のとおりです。
  • caption
  • すべてのカスタム オブジェクト定義属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Java SWT と Eclipse RCP のサポート
親トピック: サポートする属性の種類


Java SWT と Eclipse アプリケーションのトラブルシューティング

一部の SWTTree メソッドが低レベル再生時に再生されない

低レベル再生を使用したとき、Expand や Collapse などの一部の SWTTree メソッドが再生されません。

この問題を解決するには、再生モードを デフォルト に設定します。詳細については、「全般再生オプションの設定」を参照してください。

SWTTree の非表示ノードの選択

低レベル再生を使用したとき、Silk Test Workbench は SWTTree の非表示ノードを操作できません。

この問題を解決するには、再生モードを デフォルト に設定します。詳細については、「全般再生オプションの設定」を参照してください。

親トピック: Java SWT と Eclipse RCP のサポート
関連タスク
全般再生オプションの設定


モバイル アプリケーションのテスト

Silk Test Workbench では、ネイティブ モバイル アプリケーション（アプリ）およびモバイル Web アプリケーションを自動的にテストすることができます。Silk Test Workbench を使用してモバイル アプリケーションを自動的にテストすることには、次のメリットがあります。
  • モバイル アプリケーションのテスト時間を大幅に減少させることができます。
  • テストを一旦作成すれば、数多くの異なるデバイスやプラットフォーム上でモバイル アプリケーションをテストできます。
  • エンタープライズ モバイル アプリケーションに要求される信頼性とパフォーマンスを確保できます。
  • QA チームのメンバーおよびモバイル アプリケーションの開発者の効率を向上できます。
  • モバイル アプリケーションは、多くのモバイル デバイスとプラットフォームで動作することを要求されるため、アジャイルにフォーカスした開発環境にとって手動テストは十分効率的とは言えない場合があります。
注: Silk Test Workbench を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。
注: Silk Test Workbench は、Android および iOS デバイスの両方でのモバイル アプリのテストをサポートします。

モバイル アプリケーションのテストをサポートするオペレーティング システムとサポートするブラウザーについての情報は、『リリース ノート』を参照してください。

  • Android
    Android プラットフォーム上でモバイル アプリケーションをテストする方法について説明します。
  • iOS
    iOS プラットフォーム上でモバイル アプリケーションをテストする方法について説明します。
  • インストール済みアプリのテスト
    デバイス、エミュレーター、またはシミュレータ上に既にインストールされているネイティブ モバイル アプリをテストするには、接続文字列でアプリを指定します。
  • モバイル アプリケーションの記録
    モバイル デバイスまたは Android エミュレータ上のモバイル アプリケーションに対してテストを記録する方法について説明します。
  • テストを再生するモバイル デバイスの選択
    テストを再生するために使用するモバイル デバイス、Android エミュレータ、iOS シミュレータを定義する方法について説明します。
  • Mobile Center デバイスの使用
    Silk Test Workbench と Silk Central を統合すると、Mobile Center デバイスをモバイル アプリケーションのテストに使用できます。
  • Sauce Labs デバイスの使用
    Silk Test Workbench と Silk Central を統合すると、Sauce Labs デバイスをモバイル アプリケーションのテストに使用できます。
  • モバイル デバイスの接続文字列
    モバイル デバイスに接続するために接続文字列を指定する方法について説明します。
  • モバイル デバイスの操作
    記録 ウィンドウで モバイル デバイス操作の表示 を使って、モバイル デバイスを操作することができます。
  • モバイル デバイスの開放
    テストの記録または再生後にモバイル デバイスを開放しなければならない理由について説明します。
  • Silk Central によって管理されているデバイスの使用
    Silk Test Workbench と Silk Central を統合すると、Silk Central によって管理されているモバイル デバイスにアクセスして使用することができます。
  • モバイル アプリケーションのテスト時のトラブルシューティング
    モバイル アプリケーションのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
  • モバイル Web アプリケーションのテストにおける制限事項
    モバイル Web アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • ネイティブ モバイル アプリケーションのテストにおける制限事項
    ネイティブ モバイル アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • モバイル Web サイトでのオブジェクトのクリック
    テストの記録と再生時に、Silk Test Workbench がモバイル Web サイトのオブジェクトのクリックを処理する方法について説明します。
  • 既存のモバイル Web テストの使用方法
    Silk Test 17.0 以降で既存のモバイル Web テストを使用できるように変更する方法について説明します。
親トピック: 特定の環境のテスト


Android

Silk Test Workbench では、Android デバイスまたは Android エミュレータ上のモバイル アプリケーションをテストすることができます。

  • Android 上のモバイル アプリケーションのテストにおける前提条件
    Android 上のモバイル アプリケーションのテストにおける前提条件を示します。
  • Android 上のモバイル アプリケーションのテスト
    物理 Android デバイスや Android エミュレータ上のモバイル アプリケーションをテストするためにテスト環境を構成します。
  • Android 上のハイブリッド アプリケーションのテスト
    Silk Test Workbench を使用して Android 上のハイブリッド アプリケーションをテストする方法について説明します。
  • USB ドライバのインストール
    モバイル アプリケーションをテストするために、最初に Android デバイスに接続する前に、ローカル マシンに適切な USB ドライバをインストールします。
  • USB デバッグの有効化
    Android Debug Bridge (adb) 上で Android デバイスと通信するために USB デバッグを有効化します。
  • Android デバイスの推奨設定
    テストを最適化するために Android デバイスで設定すべき項目を一覧します。
  • Silk Test Workbench 用に Android エミュレータを設定する
    Silk Test Workbench を使用してモバイル アプリケーションをテストするために Android エミュレータを設定します。
  • 並列テスト実行のテスト済みの構成
    このトピックでは、複数の Android デバイス上で並列にテストを実行するためのテスト構成の例を定義します。
親トピック: モバイル アプリケーションのテスト
関連資料
Mobile クラス リファレンス


Android 上のモバイル アプリケーションのテストにおける前提条件

Android デバイスや Android エミュレータ上のモバイル アプリケーションをテストする前に、次の前提条件を満たしていることを確認してください。
  • Silk Test Workbench を実行するマシンに Java インストールされており、Java へのパスが Path 環境変数に追加されていることを確認してください。 Silk Test Workbench は、JRE または JDK のいずれかをモバイル テストで必要とします。Java がインストールされていない場合は、C:\Program Files (x86)\Silk\SilkTest\ng\jre\bin を Path に追加してください。
  • ネイティブ モバイル アプリに Web ビューを追加したハイブリッド アプリを作成した場合は、アプリを Silk Test Workbench でテスト可能にするために、次のコードをアプリに追加してください。
    WebView.setWebContentsDebuggingEnabled(true);
webView.getSettings().setJavaScriptEnabled(true);
  • Silk Test Workbench では、Android 4.4 のデバイス画面のライブ ビュー表示をサポートしていません。 このため、Android 5 以降を使用することを Micro Focus は推奨しています。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト
関連資料
モバイル アプリケーションのテスト時のトラブルシューティング


Android 上のモバイル アプリケーションのテスト

物理 Android デバイスや Android エミュレータ上のモバイル アプリケーションをテストするには、次のタスクを実行します。

  1. Android 上のモバイル アプリケーションのテストにおける前提条件を満たすことを確認します。 詳細については、「Android 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。
  2. Android エミュレータ上のモバイル アプリケーションをテストするには、Silk Test Workbench 用にエミュレータを設定します。 詳細については、「 Silk Test 用に Android エミュレータを設定する」を参照してください。
  3. Silk Test Workbench をインストールしたマシンで Android エミュレータを開始するか、デバイスを接続します。
  4. 物理 Android デバイスを初めて使用するマシンでテストする場合、適切な Android USB ドライバをマシンにインストールします。 詳細については、「USB ドライバのインストール」を参照してください。
  5. 物理 Android デバイス上でモバイル アプリケーションをテストする場合は、Android デバイスの USB デバッグを有効化します。 詳細については、「USB デバッグの有効化」を参照してください。
  6. モバイル アプリケーション用の Silk Test Workbench プロジェクトを作成します。
  7. モバイル アプリケーション用のテストを作成します。
  8. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  9. モバイル Web アプリケーションをテストするには：
    1. Web タブを選択します。
    2. 使用するモバイル ブラウザーを選択します。
    3. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。
  10. ネイティブ モバイル アプリケーションまたはハイブリッド アプリケーションをテストするには：
    注: Silk Test Workbench を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。
    1. モバイル タブを選択します。
    2. アプリをテストするモバイル デバイスをリストから選択します。
    3. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk Test Workbench は HTTP および UNC 形式をサポートします。 Silk Test Workbench は、モバイル デバイスまたはエミュレータ上に指定したアプリをインストールします。
  11. OK をクリックします。 Android デバイスまたはエミュレータの画面が、テスト中にロックされないようにしてください。マシンに接続中にデバイスがロックされないようにするには、開発者向けオプション を開きます。スリープモードにしない または 充電中に画面をスリープにしない をチェックします。
  12. 記録 ウィンドウを使用して、モバイル アプリケーションに対するテストを記録します。 詳細については、「モバイル アプリケーションの記録」を参照してください。
  13. すべての操作の記録を終えたら、記録を停止します。
  14. テストを再生します。
  15. テスト結果を分析します。
親トピック: Android
関連概念
モバイル アプリケーションの記録
モバイル アプリケーションのテスト時のトラブルシューティング
関連タスク
USB ドライバのインストール
USB デバッグの有効化
関連資料
Android 上のモバイル アプリケーションのテストにおける前提条件
Android デバイスの推奨設定


Android 上のハイブリッド アプリケーションのテスト

ハイブリッド アプリケーション（アプリ）は、デバイス上で実行されるネイティブ アプリケーションのようなアプリですが、HTML5、CSS、JavaScript などの Web テクノロジを使用して記述されたアプリです。

Silk Test Workbench は、ネイティブ コンテナに埋め込まれた単一の Web ビューで構成されたデバッグ ハイブリッド アプリのテストにする完全なブラウザー サポートを提供します。このようなハイブリッド アプリの一般的な例は、Apache Cordova アプリケーションです。

非デバッグ ハイブリッド アプリをテスト可能にするには、次のコードをアプリに追加してアプリをリモート デバッグできるようにします。
WebView.setWebContentsDebuggingEnabled(true);
webView.getSettings().setJavaScriptEnabled(true);
リモート デバッグを有効化しない非デバッグ ハイブリッド アプリや、複数の Web ビューを含んだハイブリッド アプリをテストするには、Silk Test Workbench フォールバック サポートを有効化するために、オプション OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT を TRUE に設定します。詳細については、「詳細オプションの設定」を参照してください。フォールバック サポートを有効化すると、Silk Test Workbench は Web ビューのコントロールをブラウザー コントロールではなく、ネイティブ モバイル コントロールとして解決して処理します。たとえば、以下のコードは、ブラウザー サポートを使用したときのリンクのクリックです。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False)
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click()
フォールバック サポートを有効化すると、同じリンクをクリックするコードは次のようになります。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True)
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click()
Silk Test Workbench は、Chrome リモート デバッグをサポートする Web ビューを検出できます。 Silk Test Workbench は、com.android.webview パッケージまたは com.google.android.webview パッケージ（多くの Android デバイス上のデフォルト パッケージ）のいずれかを使用した Web ビューを検出できます。
注: Silk Test Workbench は、Android 4.4 以降でのハイブリッド アプリのテストをサポートします。Android でハイブリッド アプリをテストするには、Android システムの WebView バージョン 51 以降が必要です。

Android 上のハイブリッド アプリをテストする手順は、モバイル ネイティブ アプリケーションをテストする手順と同じです。詳細については、「Android 上のモバイル アプリケーションのテスト」を参照してください。

親トピック: Android
関連概念
iOS 上のハイブリッド アプリケーションのテスト
関連タスク
詳細オプションの設定
関連資料
Android 上のモバイル アプリケーションのテストにおける前提条件


USB ドライバのインストール

モバイル アプリケーションをテストするために、ローカル マシンに最初に Android デバイスに接続するには、適切な USB ドライバをインストールする必要があります。

デバイスの製造元は、そのデバイスに必要なすべてのドライバをもった実行可能ファイルを提供している可能性があります。この場合、ローカル マシンにその実行可能ファイルをインストールするだけです。製造元がこのような実行可能ファイルを提供していない場合、マシン上にデバイスに対する単一の USB ドライバをインストールできます。

Android USB ドライバをインストールするには：

  1. デバイス用の適切なドライバをダウンロードします。 たとえば、Google Nexus デバイス用の USB ドライバを検索し、インストールする場合は、http://developer.android.com/tools/extras/oem-usb.html を参照します。
  2. Android デバイスをローカル マシンの USB ポートに接続します。
  3. デスクトップ、またはWindows Explorer から、コンピュータ を右クリックし、管理 を選択します。
  4. 左側のペインで、デバイス マネージャ を選択します。
  5. 右側のペインで、その他のデバイス を探して展開します。
  6. デバイス名 (Nexus 5x など) を右クリックして、ドライバ ソフトウェアの更新 を選択します。 ハードウェアの更新ウィザード が開きます。
  7. コンピュータを参照してドライバ ソフトウェアを検索します を選択して、次へ をクリックします。
  8. 参照 をクリックし、USB ドライバをダウンロードしたフォルダに移動します。
  9. USB ドライバを選択します。
  10. 次へ をクリックしてドライバをインストールします。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト


USB デバッグの有効化

Android Debug Bridge (adb) 上で Android デバイスと通信するために USB デバッグを有効化します。
  1. Android デバイスで設定を開きます。
  2. 開発者向けオプション (Dev Settings) をタップします。 開発者向けオプションは、デフォルトでは表示されません。開発者向けオプションがデバイスの設定メニューに含まれていない場合：
    1. 画面を下にスクロールさせて、デバイスが携帯電話の場合は 端末情報 を、タブレットの場合は タブレット情報 をタップします。
    2. 再度画面を下にスクロールさせて ビルド番号 を 7 回タップします。
  3. 開発者向けオプション ウィンドウで、USB デバッグ をオンにします。
  4. デバイスの USB モードをデフォルトの設定である メディア デバイス (MTP) に設定します。 詳細については、デバイスのドキュメントを参照してください。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト


Android デバイスの推奨設定

Silk Test Workbench を使用したテストを最適化するために、テストしたい Android デバイスで次の設定を行ってください。
  • USB デバッグを Android デバイスで有効化します。詳細については、「USB デバッグの有効化」を参照してください。
  • Android デバイスは、Open Agent を実行しているマシンに、メディア デバイスとして接続されている必要があります。Android デバイスの USB モードは、メディア デバイス (MTP) を設定します。
  • Android デバイスまたはエミュレータの画面が、テスト中にロックされないようにしてください。マシンに接続中にデバイスがロックされないようにするには、開発者向けオプション を開きます。スリープモードにしない または 充電中に画面をスリープにしない をチェックします。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト
関連資料
iOS デバイスの推奨設定


Silk Test Workbench 用に Android エミュレータを設定する

注: Android エミュレータを使用する場合、Silk Test Workbench が使用している adb サーバー以外の adb サーバーが実行されてます。実行中の adb サーバーのバージョンが異なる場合、Open Agent とデバイスとの接続が不安定になったり、接続できない場合があります。このようなバージョンの不一致によるエラーを避けるには、環境変数 SILK_ANDROID_HOME に Android SDK ディレクトリへのパス（C:\Users\<ユーザー>\AppData\Local\Android\android-sdk など）を指定してください。Information Service が実行中の場合、Windows のサービス マネージャーを使用して、Silk Test Information Service を再起動して更新した環境変数を適用する必要があります。環境変数が設定されていない場合は、Silk Test Workbench は Silk Test Workbench に同梱されたバージョンの adb を使用します。
Silk Test Workbench を使用して Android エミュレータ上でモバイル アプリケーションをテストする場合、テスト用にエミュレータを設定する必要があります。
  1. Android SDK の最新版をインストールします。 Android SDK のインストールと設定についての詳細は、「Get the Android SDK」を参照してください。
  2. Android Studio 2 をインストールします。
    ヒント: Android Studio 2 のインストールをスキップして、Android SDK で提供されるエミュレータを使用することもできます。ただし、エミュレータのパフォーマンスを向上させるため、Android Studio 2 をインストールすることを、Micro Focus では推奨しています。このトピックの以下の手順では、Android Studio 2 がインストールされていることを前提としています。
  3. Android Studio 2 から AVD Manager を開きます。
  4. Create Virtual Device をクリックします。
  5. 仮想デバイスを選択します。
  6. Next をクリックします。
  7. Google API を含む Android のシステム イメージをダウンロードして選択します。
  8. Next をクリックします。
  9. 要件に従って仮想デバイスを設定します。
  10. Show Advanced Settings をクリックします。
  11. エミュレータが使用する RAM サイズとヒープ領域を対象のマシンで管理可能な量に調整します。
    ヒント: 最低 1 GB の RAM と 256 MB のヒープ領域を使用することを、Micro Focus では推奨しています。
  12. Emulated Performance 領域のリストで Auto を選択します。

  13. Finish をクリックします。
親トピック: Android


並列テスト実行のテスト済みの構成

Silk Test Workbench を使用して、複数の Android デバイス上で並列に自動テストを実行することができます。並列に実行できる Android デバイスの数は利用可能なハードウェアに依存します。 Micro Focus では、次のハードウェア構成でテストの実行を確認しています。

単一テスト マシンを使用した構成

USB により Android デバイスを直接接続した単一のテスト マシンを使用して、最大 8 台の物理 Android デバイスまでの並列テストを行いました。

テスト マシンは、次のハードウェア仕様の Lenovo ThinkPad T450 です。
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 8 GB RAM

2 台のテスト マシンを使用した構成

また、2 台のテスト マシンを使用してテストを行いました。 1 台に Silk Test Workbench をインストールし、もう 1 台には Silk Test Information Service をインストールして最初のマシンのリモート ロケーションとして設定しました。このような構成を使用して、最大 10 台の物理 Android デバイスまでの並列テストを行いました。

テスト マシン 1 は、次のハードウェア仕様の Lenovo ThinkPad T450 です。
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 8 GB RAM
テスト マシン 2 は、次のハードウェア仕様の Dell Precision T1700 です。
  • Intel® Core™ i7 - 4770 CPU @ 3.40 GHz
  • 4 コア (8 スレッド)
  • 16 GB RAM

Windows マシンと Mac を使用した構成

さらに、2 台のテスト マシンを使用したテストで、Windows マシンに Silk Test Workbench をインストールし、Mac には Silk Test Information Service をインストールして最初のマシンのリモート ロケーションとして設定しました。このような構成を使用して、最大 10 台の物理 Android デバイスまでの並列テストを行いました。

テスト マシン 1 は、次のハードウェア仕様の Lenovo ThinkPad T450 です。
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 8 GB RAM
テスト マシン 2 は、次のハードウェア仕様の Apple Mac Mini です。
  • Intel® Core™ i5 - 4782U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 16 GB RAM
親トピック: Android


iOS

Silk Test Workbench では、iOS デバイスまたは iOS シミュレータ上のモバイル アプリケーションをテストすることができます。

iOS の以前のバージョンと比べて、iOS 9.3 に対して大幅な変更が Apple によってなされたため、Silk Test は iOS 9.3 以降のモバイル アプリケーションのテストをサポートします。サポートされている iOS のバージョンのリストについては、『リリース ノート』を参照してください。

注: iOS 11 上のモバイル アプリケーションのテストには Xcode 9 が必要です。Mac 上で Xcode 9 を使用している場合は、この Mac に接続（または実行）されている iOS 11 より前のバージョンの iOS をインストールした物理デバイスおよびシミュレータ上でのテストはサポートされません。iOS 9.3 または iOS 10 の物理デバイスまたはシミュレータでテストする場合は、Xcode 8.3 を使用してください。
ヒント: iOS 9.3 より前のバージョンの iOS をテストする場合は、Silk Test 17.5 を使用してください。Silk Test 18.5 を使用した iOS 上でのテストについて、Silk Test 17.5 でのテストとの主な違いを以下の表に示します。
Silk Test18.5 | Silk Test 17.5
iOS 9.3、iOS 10、iOS 11 をサポートします。 | iOS 8.1、8.2、8.3、8.4、9.0、9.1、9.2、9.3 をサポートします。
Xcode 8.3、Xcode 9 をサポートします。 | Xcode 6、Xcode 7 をサポートします。
同じユーザー セッションでの複数の物理 iOS デバイスのテストをサポートします。 ヒント: Silk Test 17.5 を使用してテストするために、複数のユーザー セッションを作成している場合、1 つ以外のすべてのユーザー セッションを削除することを Micro Focus は推奨します。 | 複数の物理 iOS デバイスをテストする場合は、Mac 上に複数のユーザー セッションが必要です。
  • iOS 上のモバイル アプリケーションのテストにおける前提条件
    iOS 上のモバイル アプリケーションのテストにおける前提条件を示します。
  • 物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
    物理 iOS デバイス上のネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするためにテスト環境を構成します。
  • iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
    iOS シミュレータ上のネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするためにテスト環境を構成します。
  • 物理 iOS デバイス上のモバイル Web アプリケーションのテスト
    物理 iOS デバイス上のモバイル Web アプリケーションをテストするためにテスト環境を構成します。
  • iOS シミュレータ上のモバイル Web アプリケーションのテスト
    iOS シミュレータ上のモバイル Web アプリケーションをテストするためにテスト環境を構成します。
  • iOS 上のハイブリッド アプリケーションのテスト
    Silk Test Workbench を使用して iOS 上のハイブリッド アプリケーションをテストする方法について説明します。
  • iOS デバイスのテストの準備
    モバイル アプリケーションをテストするために iOS デバイスを準備します。
  • iOS アプリのテストの準備
    Silk Test Workbench でiOS アプリをテストできるように、アプリを準備する方法を説明します。
  • Silk Test Information Service を Mac にインストールする
    Information Service を Mac にインストールし、Silk Test Workbench を使用して iOS 上の Apple Safari やモバイル アプリケーションをテストできます。
  • iOS 上でのモバイル アプリケーションのテストのための Mac の準備
    iOS 上のモバイル アプリケーションをテストするために、Mac を準備します。
  • パーソナル チーム プロファイルを使用した物理 iOS デバイス上でのテスト
    Apple Developer Program のメンバーシップに登録していない場合は、パーソナル チーム プロファイル（Personal Team）を使用して、物理 iOS デバイス上でアプリケーションをテストします。
  • Silk Test Information Service プロパティの編集
    infoservice.properties ファイルを使用して、Silk Test Information Service のポートを指定したり、Silk Test Information Service を実行しているマシン上で Silk Test がテストを実行するたびに毎回適用されるケイパビリティ（Capabilities）を指定できます。
  • Silk Test Information Service を Mac からアンインストールする
    Silk Test Workbench を使用して Apple Safari 上の iOS やモバイル アプリケーションをテストする必要がなくなった場合、Information Service を Mac からアンインストールできます。
  • iOS デバイスの推奨設定
    テストを最適化するために iOS デバイスで設定すべき項目を一覧します。
  • XCUITest を使用した iOS 上の既存のスクリプトの実行
    iOS 10 で導入された変更に対応するために、スクリプトに変更を行う手順について説明します。
親トピック: モバイル アプリケーションのテスト


iOS 上のモバイル アプリケーションのテストにおける前提条件

iOS デバイスや iOS シミュレータ上のモバイル アプリケーションをテストする前に、次の前提条件を満たしていることを確認してください。
  • 現在のバージョンの Silk Test Information Service が Mac 上にインストールされている。詳細については、「Silk Test Information Service を Mac にインストールする」を参照してください。
  • 物理 iOS デバイス上でアプリケーションをテストする場合は、以下の項目を確認してください。
    • デバイスが Mac に接続されている。
    • デバイスが iOS のサポートされているバージョンである。サポートされている iOS のバージョンのリストについては、『リリース ノート』を参照してください。
  • iOS シミュレータ上でアプリケーションをテストする場合は、以下の項目を確認してください。
    • iOS シミュレータのイメージが Mac 上にインストールされている。
    • iOS シミュレータのイメージが iOS のサポートされているバージョンである。サポートされている iOS のバージョンのリストについては、『リリース ノート』を参照してください。
  • 物理 iOS デバイス上でアプリケーションをテストする場合は、デバイスと Mac の両方ともタイム ゾーンが同じである。
  • サポートするバージョンの Xcode が Mac 上にインストールされている。
  • Windows マシン上に Silk Test Workbench がインストールされている。
  • Mac が Windows マシンと同じネットワークにあり、Windows マシンにリモート ロケーションとして追加されている。
  • iOS デバイス上でネイティブ モバイル アプリをテストする場合は、Developer Account でサインされたアプリの .ipa ファイルが作成されている。詳細については、「iOS アプリのテストの準備」を参照してください。
  • iOS シミュレータ上でネイティブ モバイル アプリをテストする場合は、ZIP 形式に圧縮したアプリが作成されている。詳細については、「iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト」を参照してください。
  • iOS デバイスと iOS シミュレータの両方でネイティブ モバイル アプリをテストする場合は、サインした .ipa ファイルと ZIP した .app ディレクトリの両方が同じフォルダに作成されている。
  • ネイティブ モバイル アプリをテストする場合は、iOS デバイスの ID がアプリをサインするのに使用した Developer Profile に関連付けられている。
  • iOS デバイスのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  • テスト中に Mac の画面がオフにならないようにしてください。オフになると、再生ステータス ダイアログ ボックスに何も表示されなくなります。
  • iOS シミュレータ上でモバイル アプリケーションをテストする場合は、テスト中に Mac のディスプレイ スリープが無効化されている。
  • 物理 iOS デバイス上のネイティブ モバイル アプリをテストする場合は、デバイスで UI オートメーションが有効化されている。詳細については、「iOS デバイスのテストの準備」を参照してください。
  • 物理 iOS デバイス上で Apple Safari を使用してのモバイル Web アプリケーションをテストする場合は、Web インスペクタ が有効化されている。詳細については、「iOS デバイスのテストの準備」を参照してください。
  • Lightning コネクタを持つ iOS デバイスを使用することを Micro Focus は推奨しています。これは、Silk Test Workbench では、Lightning ケーブルで Mac に接続していない iOS デバイスのデバイス画面のライブ ビュー表示をサポートしていないためです。
親トピック: iOS
関連概念
iOS アプリのテストの準備
関連タスク
Silk Test Information Service を Mac にインストールする


物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト

注: Silk Test Workbench を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

iOS 上のモバイル アプリケーションのテストにおける前提条件については、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。ネイティブ モバイル アプリケーションをテストする際の既知の制限については、「モバイル ネイティブ アプリケーションのテストにおける制限事項」を参照してください。

物理 iOS デバイス上のネイティブ モバイル アプリケーション (アプリ) やハイブリッド アプリケーションをテストするには、次のタスクを実行します。
  1. テストする iOS デバイスを準備します。 詳細については、「iOS デバイスのテストの準備」を参照してください。
  2. テストするアプリを準備します。 詳細については、「iOS アプリのテストの準備」を参照してください。
  3. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  4. iOS デバイスが接続されている Mac を、Silk Test がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  5. モバイル アプリケーション用の Silk Test Workbench プロジェクトを作成します。
  6. モバイル アプリケーション用のテストを作成します。
  7. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  8. モバイル タブを選択します。
  9. アプリをテストするモバイル デバイスをリストから選択します。
  10. 参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk Test Workbench は HTTP および UNC 形式をサポートします。 Silk Test Workbench は、モバイル デバイス上に指定したアプリをインストールします。
  11. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  12. すべての操作の記録を終えたら、記録を停止します。
  13. テストを再生します。
  14. テスト結果を分析します。
注: iOS デバイスと iOS シミュレータの両方でネイティブ モバイル アプリをテストする場合は、サインした .ipa ファイルと ZIP した .app ディレクトリの両方が同じフォルダに作成されている。
親トピック: iOS
関連概念
iOS アプリのテストの準備
関連タスク
iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
物理 iOS デバイス上のモバイル Web アプリケーションのテスト
iOS シミュレータ上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件
iOS デバイスの推奨設定


iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト

注: Silk Test Workbench を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

iOS 上のモバイル アプリケーションのテストにおける前提条件については、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。ネイティブ モバイル アプリケーションをテストする際の既知の制限については、「モバイル ネイティブ アプリケーションのテストにおける制限事項」を参照してください。

iOS シミュレータ上のネイティブ モバイル アプリケーション (アプリ) やハイブリッド アプリケーションをテストするには、次のタスクを実行します。
  1. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  2. アプリの Xcode プロジェクトで、iOS シミュレータ用にアプリをコンパイルします。 Xcode UI からでも、コマンドラインからでもアプリをコンパイルできます。たとえば、iOS 10.0 で iOS シミュレータ用のアプリをコマンドラインでコンパイルするには、次のコマンドを実行します。
    xcodebuild -sdk iphonesimulator10.0
  3. アプリの .app ディレクトリを .zip ファイルに Zip します。 デフォルトでは、.app ディレクトリは、~/Library/Developer/Xcode/DerivedData ディレクトリにあります。Xcode で File > Project Settings をクリックすれば、ディレクトリがある場所を確認できます。
  4. iOS シミュレータがインストールされている Mac を、Silk Test Workbench がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: Mac にインストールされている 1 つの iOS シミュレータでのみテストを実行できます。複数の Silk Test Workbench ユーザーが、同じ Mac にインストールされている複数の iOS シミュレータ上で同時にテストを実行することはできません。
  5. モバイル アプリケーション用の Silk Test Workbench プロジェクトを作成します。
  6. モバイル アプリケーション用のテストを作成します。
  7. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  8. モバイル タブを選択します。
  9. リストから iOS シミュレータを選択します。
  10. 参照 をクリックして Zip したアプリ ファイルを選択するか、Zip したアプリ ファイルへの完全パスを モバイル アプリ ファイル テキスト フィールドに入力します。 このパスでは、Silk Test Workbench は HTTP および UNC 形式をサポートします。 Silk Test Workbench は、iOS シミュレータ上に指定したアプリをインストールします。
  11. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  12. すべての操作の記録を終えたら、記録を停止します。
  13. テストを再生します。
  14. テスト結果を分析します。
注: iOS デバイスと iOS シミュレータの両方でネイティブ モバイル アプリをテストする場合は、サインした .ipa ファイルと ZIP した .app ディレクトリの両方が同じフォルダに作成されている。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
物理 iOS デバイス上のモバイル Web アプリケーションのテスト
iOS シミュレータ上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


物理 iOS デバイス上のモバイル Web アプリケーションのテスト

iOS 上のモバイル アプリケーションのテストにおける前提条件については、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。モバイル Web アプリケーションをテストする際の既知の制限については、「モバイル Web アプリケーションのテストにおける制限事項」を参照してください。
物理 iOS デバイス上のモバイル Web アプリケーションをテストするには、次のタスクを実行します。
  1. テストする iOS デバイスを準備します。 詳細については、「iOS デバイスのテストの準備」を参照してください。
  2. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  3. iOS デバイスが接続されている Mac を、Silk Test がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  4. モバイル アプリケーション用の Silk Test Workbench プロジェクトを作成します。
  5. モバイル アプリケーション用のテストを作成します。
  6. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  7. モバイル Web アプリケーションをテストするには：
    1. Web タブを選択します。
    2. 使用するモバイル ブラウザーを選択します。
    3. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。
  8. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  9. すべての操作の記録を終えたら、記録を停止します。
  10. テストを再生します。
  11. テスト結果を分析します。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
iOS シミュレータ上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


iOS シミュレータ上のモバイル Web アプリケーションのテスト

モバイル Web アプリケーションをテストする際の既知の制限については、「モバイル Web アプリケーションのテストにおける制限事項」を参照してください。

iOS シミュレータ上のモバイル Web アプリケーションをテストするには、次のタスクを実行します。

  1. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  2. iOS シミュレータがインストールされている Mac を、Silk Test がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  3. モバイル アプリケーション用の Silk Test Workbench プロジェクトを作成します。
  4. モバイル アプリケーション用のテストを作成します。
  5. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  6. モバイル Web アプリケーションをテストするには：
    1. Web タブを選択します。
    2. 使用するモバイル ブラウザーを選択します。
    3. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。
  7. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  8. すべての操作の記録を終えたら、記録を停止します。
  9. テストを再生します。
  10. テスト結果を分析します。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
物理 iOS デバイス上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


iOS 上のハイブリッド アプリケーションのテスト

ハイブリッド アプリケーション（アプリ）は、デバイス上で実行されるネイティブ アプリケーションのようなアプリですが、HTML5、CSS、JavaScript などの Web テクノロジを使用して記述されたアプリです。

Silk Test Workbench は、ネイティブ コンテナに埋め込まれた単一の Web ビューで構成されたデバッグ ハイブリッド アプリのテストにする完全なブラウザー サポートを提供します。このようなハイブリッド アプリの一般的な例は、Apache Cordova アプリケーションです。

リモート デバッグを有効化しない非デバッグ ハイブリッド アプリや、複数の Web ビューを含んだハイブリッド アプリをテストするには、Silk Test Workbench フォールバック サポートを有効化するために、オプション OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT を TRUE に設定します。詳細については、「詳細オプションの設定」を参照してください。フォールバック サポートを有効化すると、Silk Test Workbench は Web ビューのコントロールをブラウザー コントロールではなく、ネイティブ モバイル コントロールとして解決して処理します。たとえば、以下のコードは、ブラウザー サポートを使用したときのリンクのクリックです。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False)
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click()
フォールバック サポートを有効化すると、同じリンクをクリックするコードは次のようになります。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True)
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click()

iOS 上のハイブリッド アプリをテストする手順は、モバイル ネイティブ アプリケーションをテストする手順と同じです。詳細については、「物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト」または「iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト」を参照してください。

iOS デバイス上のハイブリッド アプリをテストする前に、デバイスで Web インスペクタ が有効化されていることを確認してください。

親トピック: iOS
関連概念
Android 上のハイブリッド アプリケーションのテスト
関連タスク
詳細オプションの設定


iOS デバイスのテストの準備

注: Silk Test Workbench を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

モバイル アプリケーションをテストするために iOS デバイスを準備するには：

  1. Mac 上で Xcode を起動します。
  2. iOS デバイスを Mac に接続します。
  3. iOS デバイスで、設定 > デベロッパ をクリックします。
    ヒント: デベロッパ メニューが iOS デバイスに表示されていない場合は、デバイスと Mac を再起動します。
  4. Enable UI Automation をオンにします。
  5. Apple Safari 上でモバイル Web アプリケーションをテストするには、設定 > Safari > 詳細 をクリックします。
  6. Web インスペクタ をオンにします。
  7. iOS シミュレータ上でテストを行う場合は、Rotate Device Automatically をオンにします。
    1. Mac 上で iOS シミュレータを開始します。
    2. Xcode 9 以降を使用している場合は、Hardware メニューを開きます。 以前のバージョンの Xcode を使用している場合は、Debug メニューを開きます。
    3. Rotate Device Automatically をオンにします。
  8. Xcode 9 以降を使用して iOS シミュレータ上でテストを行う場合は、Show Device Bezels をオフにします。
    1. Mac 上で iOS シミュレータを開始します。
    2. Window メニューを開きます。
    3. Show Device Bezels をオフにします。
親トピック: iOS


iOS アプリのテストの準備

Silk Test Workbench を使用して特定の デバイス上で特定の iOS アプリをテストできるようにするには、次の項目を考慮する必要があります。
  • 特定の デバイスに手動でインストールできる iOS アプリに対してのみテストを自動化できます。iOS アプリにサインできるようにするために、Apple Developer Program のメンバーシップに登録する必要があります。詳細については、「メンバーシップの選択」を参照してください。Apple Developer Program のメンバーシップに登録せずにテストを行う場合は、「パーソナル チーム プロファイルを使用した物理 iOS デバイス上でのテスト 」を参照してください。
    注: App Store で配布するように作成された アプリや、任意の iOS デバイスに手動でインストールできるアプリを自動的にテストできません。
  • 特定の デバイスで アプリをインストールして実行する前に、iOS デバイスを Apple Developer アカウントを使用して登録する必要があります。
  • デバイスに iOS アプリをインストールするには、Xcode を使用してアプリの IPA ファイルを作成する必要があります。特定の iOS デバイスでのテスト用に IPA ファイルを作成するには、Apple Developer Program のメンバーとして Xcode の Archive 機能を使用します。この機能には 2 つのオプションがあります。
    • Apple Developer Enterprise Program のメンバーの場合、Save for Ad Hoc Deployment オプションを使用できます。
    • Apple Developer Enterprise Program のメンバー以外の Apple Developer Program のメンバーの場合、Save for Development Deployment オプションを使用できます。
    詳細については、「Exporting Your App for Testing (iOS, tvOS, watchOS)」を参照してください。

シミュレータ上の特定の アプリを Silk Test Workbench を使用してテストできるようにするには、Xcode を使用して アプリの Zip ファイルを作成してから iOS シミュレータ上にインストールします。詳細については、Xcode のドキュメントを参照してください。

親トピック: iOS
関連タスク
Silk Test Information Service を Mac にインストールする
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


Silk Test Information Service を Mac にインストールする

注: Information Service を Mac にインストールするには、Mac の管理者権限が必要です。

Mac 上の Apple Safari や、Mac に接続されている iOS や Android デバイス上のモバイル アプリケーションに対するテストを作成して実行するには、Mac に Silk Test Information Service (Information Service) をインストールしてから、リモート ロケーション ダイアログ ボックスを使用して、Silk Test Workbench をインストールした Windows マシンと Mac を接続する必要があります。

Information Service を Mac にインストールするには：

  1. Java JDK が Mac 上にインストールされていることを確認します。
  2. iOS デバイス上でモバイル アプリケーションをテストする場合は、Xcode が Mac 上にインストールされていることを確認します。
  3. Information Service セットアップ ファイル（SilkTestInformationService<バージョン>-<ビルド番号>.pkg にアクセスします。
    • Silk Test のインストール時に Information Service セットアップ ファイルをダウンロードした場合は、Silk Test インストール ディレクトリ（C:\Program Files (x86)\Silk\SilkTest など）の macOS フォルダを開きます。
    • Silk Test のインストール時に Information Service セットアップ ファイルをダウンロードしなかった場合は、Micro Focus SupportLine からセットアップ ファイルをダウンロードできます。
  4. SilkTestInformationService<バージョン>-<ビルド番号>.pkg ファイルを Mac にコピーします。
  5. SilkTestInformationService<バージョン>-<ビルド番号>.pkg を実行して、Information Service をインストールします。
  6. インストール ウィザードの指示に従います。
  7. パスワードを尋ねられた場合、現在サインインしている Mac ユーザーのパスワードを入力します。
  8. Apple Safari が開き、SafariDriver を信頼するかどうかを尋ねるメッセージ ボックスが表示されたら、信頼 をクリックします。
    注: リモート接続ではなく、直接 Mac にログインしている場合には、SafariDriver だけをインストールできます。
インストールを完了するために、現在の Mac ユーザーをログアウトします。Information Service が正しくインストールされていることを確認するには、Mac にログインし、画面の右上隅にある Silk Test アイコンをクリックして、利用可能なデバイスとブラウザーを表示させます。
ヒント: Silk Test アイコンが表示されない場合は、Mac を再起動してください。
親トピック: iOS
親トピック: Mac 上の Apple Safari を使用したテスト
関連概念
iOS アプリのテストの準備
関連タスク
リモート ロケーションの編集
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件
Mac 上の Apple Safari を使用したテストにおける前提条件


iOS 上でのモバイル アプリケーションのテストのための Mac の準備

注: Silk Test Workbench を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

iOS 上でモバイル アプリケーションをテストするためには、iOS デバイスを接続した、または iOS シミュレータを実行している Mac が必要です。この Mac には Xcode がインストールされている必要があります。iOS 上のモバイル アプリケーションのテストにおける前提条件についての詳細は、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。

iOS テストを物理 iOS デバイス上で実行するには、Silk Test Configuration Assistant の指示に従って WebDriverAgentRunner Xcode プロジェクトを設定します。Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。

WebDriverAgentRunner Xcode プロジェクトを手動でビルドしたい場合には、次の手順を実行します。

  1. Mac 上で Xcode を起動します。
  2. Xcode > Preferences を選択します。

  3. Preferences ウィンドウで、アカウントを選択します。
    1. Accounts タブを選択します。
    2. Apple ID を選択します。
    3. Team を選択します。
    4. View Details をクリックします。

  4. Apple Member Center にアクセスし、開発チーム ID を取得します。
  5. ターミナルで、~/.silk/silktest/conf/ に移動します。
  6. xcconfig ファイル テンプレート silktest.xcconfig.sample を silktest.xcconfig という名前に変更します。
  7. 開発チーム ID を silktest.xcconfig ファイルに追加します。
    DEVELOPMENT_TEAM = <your development team>
  8. Mac 上のターミナルで次のコマンドを実行すると、WebDriverAgentRunner プロジェクトが正しく準備できたかどうかを確認できます。
    1. 物理 iOS デバイスの UDID（Unique Device ID）を見つけます。
      idevice_id -l
    2. WebDriverAgentRunner プロジェクトに移動します。
      cd /Application/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver/WebDriverAgent
    3. WebDriverAgent がビルドできるかどうかをテストします。
      xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner –xcconfig ~/.silk/silktest/conf/silktest.xcconfig -destination 'id=<udid>' test
      <udid> を先ほど見つけた UDID で置き換えます。
      ヒント: xcodebuild コマンドが失敗する場合には、エラー メッセージの手順に従ってください。さらに、WebDriverAgentRunner プロジェクトで Preferences ウィンドウを開き、General タブの Automatically manage signing チェック ボックスがオフになっていることを確認します。
  9. 省略可能：infoservice.properties ファイルには、Silk Test Information Service のポートや、Mac 上でのすべてのテストの実行で使用されるケイパビリティを指定することができます。 詳細については、「Silk Test Information Service プロパティの編集」を参照してください。
親トピック: iOS
関連タスク
Apple Safari のテストの準備
関連資料
Mac 上の Apple Safari を使用したテストにおける前提条件


パーソナル チーム プロファイルを使用した物理 iOS デバイス上でのテスト

Apple Developer Program のメンバーシップに登録していない場合は、パーソナル チーム プロファイルを使用して、物理 iOS デバイス上のアプリケーションをテストできます。
  1. Mac 上で、/Application/Silk/Mobile/common/Appium/node_modules/appium-xcuitestdriver/WebDriverAgent に移動します。
  2. WebDriverAgent.xcodeproj プロジェクトを Xcode で開きます。
  3. TARGETS リストから、WebDriverAgentLib ターゲットを選択します。
    1. General タブをクリックします。
    2. Automatically manage signing を選択します。
    3. 開発チームを選択します。
    Signing Certificate は自動的に選択されます。
  4. TARGETS リストから、WebDriverAgentRunner ターゲットを選択します。
    1. General タブをクリックします。
    2. Automatically manage signing を選択します。
    3. 開発チームを選択します。
    Signing Certificate は自動的に選択されます。
  5. WebDriverAgentRunner ターゲットに対するプロビジョニング プロファイルの作成に Xcode が失敗する場合は、ターゲットのバンドル ID を手動で変更します。
    1. Build Settings タブをクリックします。
    2. Product Bundle Identifier の値を Xcode が受け付ける適切な値に変更します。
      たとえば、Product Bundle Identifier が com.facebook.WebDriverAgentRunner の場合、 io.appium.WebDriverAgentRunner や io.borland.WebDriverAgentRunner などに変更します。
    3. General タブをクリックします。
    これでターゲットにプロビジョニング プロファイルが設定されました。
  6. WebDriverAgent.xcodeproj プロジェクトを保存します。
  7. すべてが期待通り動作することを確認するために、プロジェクトをビルドします。
    xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner -destination 'id=<udid>' test IPHONEOS_DEPLOYMENT_TARGET=10.3
WebDriverAgentRunner のデバイスへのインストールに成功しても、次のようなエラー メッセージがコンソールや Appium ログ ファイルに出力される場合があります。
2017-01-24 09:02:18.358 xcodebuild[30385:339674] Error
Domain=com.apple.platform.iphoneos
Code=-12 "Unable to launch com.apple.test.WebDriverAgentRunner-Runner"
UserInfo={NSLocalizedDescription=Unable to launch com.apple.test.WebDriverAgentRunner-Runner,
NSUnderlyingError=0x7fa839cadc60 {Error Domain=DTXMessage Code=1 "(null)"
UserInfo={DTXExceptionKey=The operation couldn't be completed. Unable to launch
com.apple.test.WebDriverAgentRunner-Runner because it has an invalid code signature,
inadequate entitlements or its profile has not been explicitly trusted by the user. :
Failed to launch process with bundle identifier 'com.apple.test.WebDriverAgentRunner-Runner'}}}
2017-01-24 09:02:18.358 xcodebuild[30385:339674] Error
Domain=IDETestOperationsObserverErrorDomain Code=5 "Early unexpected exit, operation
never finished bootstrapping - no restart will be attempted"
UserInfo={NSLocalizedDescription=Early unexpected exit,
operation never finished bootstrapping - no restart will be attempted}

Testing failed:
Test target WebDriverAgentRunner encountered an error (Early unexpected exit, operation never
finished bootstrapping - no restart will be attempted)
この問題は、開発者がそのデバイスで信頼されていないため発生します。そのデバイス上で WebDriverAgentRunner アプリを手動で実行しようとすると、信頼されていない開発元 メッセージが表示される場合があります。

デバイス上でこの問題を解決するには、設定 > 一般 > プロファイル または 設定 > 一般 > デバイス管理（デバイスの種類と iOS のバージョンによって異なります）に移動します。そして、開発元を信頼し、WebDriverAgentRunner アプリの実行を許可します。

親トピック: iOS


Silk Test Information Service プロパティの編集

infoservice.properties ファイルを使用して、Silk Test Information Service のポートやさまざまなケイパビリティ（Capabilities）を指定できます。これらのケイパビリティは、Silk Test Information Service を実行しているマシン上で Silk Test がテストを実行するたびに毎回適用されます。
  1. infoservice.properties.sample ファイルがあるディレクトリに移動します。 たとえば、Mac の場合は ~/.silk/silktest/conf/ に移動します。Windows マシンの場合は C:\ProgramData\Silk\SilkTest\conf に移動します。
  2. infoservice.properties.sample ファイルの名前を infoservice.properties に変更します。
  3. 使用していないポートを指定します。 Silk Test Information Service のデフォルトのポートは 22901 です。
  4. ケイパビリティを指定するには、次の行を infoservice.properties ファイルに追加します。
    customCapabilities=<custom capability_1>;<custom_capability_2>;...

例：指定した言語での iOS シミュレータの実行

Mac 上で iOS シミュレータを常に同じ言語で実行するようにするには、カスタム ケイパビリティ language および locale を指定します。たとえば日本語の場合、次の行を infoservice.properties ファイルに追加します。
customCapabilities=language=ja;locale=ja_JP
親トピック: iOS


Silk Test Information Service を Mac からアンインストールする

Mac 上の Apple Safari に対するテストを実行する必要がなくなった場合など、次の手順で Silk Test Information Service を Mac からアンインストールすることができます。

  1. uninstallInfoService.sh のような新しいシェル ファイルを作成します。
  2. 新しいファイルに以下のコードを入力します。
    #!/bin/sh

if launchctl list | grep com.borland.infoservice ; then
  launchctl unload /Library/LaunchAgents/com.borland.infoservice.plist
  echo "unloading Launch Daemon"
fi

if [ -d "/Applications/Silk" ]
then
  sudo rm -rf /Applications/Silk
fi

if [ -f "/Library/LaunchAgents/com.borland.infoservice.plist" ]
then
  sudo rm /Library/LaunchAgents/com.borland.infoservice.plist
fi

if [ -f "/usr/local/bin/ideviceinstaller" ]
then
  sudo rm /usr/local/bin/ideviceinstaller
fi

exit 0
  3. コマンドラインで chmod +x uninstallInfoService.sh を実行し、シェル ファイルの実行可能にします。
  4. コマンドラインからシェル ファイルを実行します。
親トピック: iOS
親トピック: Mac 上の Apple Safari を使用したテスト


iOS デバイスの推奨設定

Silk Test Workbench を使用したテストを最適化するために、テストしたい iOS デバイスで次の設定を行ってください。
  • 実際にユーザーが行った操作をテストに反映させるために、Apple Safari の自動入力とパスワードの保存を無効化します。設定 > Safari > パスワードと自動入力 をタップし、ユーザ名とパスワード 設定をオフにします。
  • iOS デバイスのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
関連資料
Android デバイスの推奨設定


XCUITest を使用した iOS 上の既存のスクリプトの実行

重要: 以前のバージョンの Silk Test Workbench では、Instruments を使用して iOS デバイスを自動化していました。iOS 9.3 から、Instruments のサポートは XCUITest フレームワークのサポートに Apple によって置き換えられたため、Silk Test Workbench でも Instruments をサポートできなくなりました。この変更により、既存の iOS テスト スクリプトを Silk Test Workbench の現在のバージョンで実行できなくなる場合があります。
  • XCUITest における classname 属性の動作は Instruments での動作と異なります。ほとんどの場合、Silk Test Workbench はこの変更に自動的に対応します。しかし、このような classname 属性が原因で既存のテスト スクリプトが動作しなくなった場合には、対応するオブジェクトの新しいロケーターを記録する必要があります。
  • オブジェクトの階層が変更されました。
親トピック: iOS
関連概念
ネイティブ モバイル アプリケーションのテストにおける制限事項
モバイル Web アプリケーションのテストにおける制限事項


インストール済みアプリのテスト

デバイス、エミュレーター、またはシミュレータ上に既にインストールされているネイティブ モバイル アプリをテストするには、接続文字列でアプリを指定します。
  1. ネイティブ モバイル アプリをテストする既存のプロジェクトを開きます。
  2. アプリケーション構成の編集 ダイアログ ボックスを開きます。
  3. 次のいずれかの方法で、既存のアプリの指定部分を接続文字列で置き換えます。
    • iOS アプリをテストする場合は、bundleId を使ってアプリを指定します。たとえば、app=MyApp.ipa を bundleId=silktest.InsuranceMobile で置き換えます。
    • Android アプリをテストする場合は、appActivity と appPackage を使用してアプリを指定します。たとえば、app=MyApp.apk を appActivity=.LoginActivity;appPackage=silktest.insurancemobile で置き換えます。
詳細については、「接続文字列」を参照してください。
親トピック: モバイル アプリケーションのテスト


モバイル アプリケーションの記録

Silk Test Workbench とモバイル デバイスまたはエミュレータとの間の接続が一旦確立すると、デバイス上で実行する操作を記録できます。モバイル アプリケーションを記録するために、Silk Test Workbench では次の機能を持つ 記録 ウィンドウを使用します。

  • テストするモバイル デバイスまたは Android エミュレータの画面を表示します。
  • 記録 ウィンドウで操作を実行すると、モバイル デバイス上でも同じ操作が実行されます。
  • 画面上のコントロールを操作すると、記録 ウィンドウはデフォルトの操作を事前に選択します。
    • デフォルトの操作が Click の場合、コントロール上で左クリックすると、その操作が実行されます。右クリックすると、コントロールに対して利用可能な操作のリストが表示されます。この場合は、実行する操作を選択し、OK をクリックします。
    • デフォルトの操作が Click ではない場合、コントロールに対して有効なすべての操作がリストで表示されるので、実行したい操作を選択するか、単に OK をクリックして事前に選択された操作を受け入れます。
    リストから操作を選択する場合、選択した操作のパラメータの値をパラメータ フィールドに入力することができます。Silk Test Workbench は自動的にパラメータを検証します。
  • 記録中、Silk Test Workbench は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。
  • 記録を一時停止すると、画面上での操作は記録されないため、デバイスを記録を続けたい状態に変更することができます。
  • 記録を停止すると、記録した操作でスクリプトが生成されるため、続いてテストの再生を行うことができます。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル Web アプリケーションのテストにおける制限事項
ネイティブ モバイル アプリケーションのテストにおける制限事項
関連タスク
スクリプトの記録
ビジュアル テストの記録
Android 上のモバイル アプリケーションのテスト
モバイル デバイスの操作


テストを再生するモバイル デバイスの選択

テストを再生するために使用するモバイル デバイスを定義できます。
  • Silk Test Workbench の UI からテストを実行する場合、モバイル デバイスの選択 ダイアログ ボックスが表示され、このダイアログ ボックスで選択したモバイル デバイス、Android エミュレータ、iOS シミュレータが使用され、テスト スクリプトで設定されているモバイル デバイス Silk Test Workbench は無視します。
  • モバイル デバイスの選択 ダイアログ ボックスが無効の場合 (再び表示しない チェック ボックスをオンにした場合)、個々のテスト スクリプトのアプリケーション構成によって、テストを実行するために使用するモバイル デバイスが決定されます。
    注: モバイル デバイスの選択 ダイアログ ボックスを再び有効にするには、ツール > オプション をクリックして、モバイル構成ダイアログの表示 オプションを はい に設定します。
  • スクリプトをコマンド ラインや CI サーバーから実行する場合は、スクリプトのアプリケーション構成で接続文字列を指定します。

    アプリケーション構成で指定したモバイル デバイスを上書きするには、mobiledevice パラメータを使用します。詳細については、STW.exe コマンド ラインの「パラメータ」トピックを参照してください。

  • Silk Central からテストを実行する場合、接続文字列を指定する代わりに、Silk Central の実行定義の 配置 タブにある モバイル デバイスの選択 領域でモバイル デバイスを指定します。詳細については、『Silk Central ヘルプ』を参照してください。
デバイス プールなどがある場合に、特定のモバイル デバイスを指定したり、利用可能なデバイス群のサブセットをフィルタするために接続文字列を使用できます。最初に一致したデバイスが再生に使用されます。特に指定がない場合には、次のルールに従って一致したモバイル デバイスが使用されます（高い優先度順）。
  • リモート ロケーションに接続されたモバイル デバイスよりも、ローカル マシンに接続されたモバイル デバイスが優先されます。
  • ブラウザーの種類が接続文字列で指定されている場合、古いバージョンのブラウザーよりも、新しいバージョンのブラウザーが優先されます。
  • 古いプラットフォームよりも、新しいプラットフォームが優先されます。
  • 物理デバイスがエミュレータやシミュレータよりも優先されます。
  • アルファベット順で後者のデバイス名のデバイスが優先されます。たとえば、"iphone 5"という名前のデバイスよりも、"iphone 6"という名前のデバイスが優先されます。

例：リモート マシンに接続されている Android デバイス上のアプリに対する接続文字列

リモート マシンに接続されている Android デバイス上で MyApp.apk アプリをテストするには、接続文字列は次のようになります。
"platformName=Android;deviceName=MotoG3;host=http://10.0.0.1;app=MyApp.apk"

例：Mac の iOS シミュレータ上のアプリに対する接続文字列

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;app=MyApp.ipa;isSimulator=true"
親トピック: モバイル アプリケーションのテスト
関連概念
テストを再生するブラウザーの選択
関連タスク
Sauce Labs デバイスの使用
Mobile Center デバイスの使用


Mobile Center デバイスの使用

Mobile Center は、モバイル デバイスのテストを管理するためのモバイル用ゲートウェイです。

Mobile Center によって管理されたデバイスに Silk Test Workbench からアクセスするには、次の手順を実行します。

  1. Silk Test Workbench と Silk Central を統合します。 詳細については、「Silk Test Workbench と Silk Central の統合」を参照してください。
  2. Mobile Center を使用するように Silk Central を設定します。
    注: Mobile Center のインストール時に、適切なバージョンの Android SDK が使用されていることを確認してください。Silk Test Workbench で同じバージョンを使用するように設定するには、環境変数 SILK_ANDROID_HOME に C:\Users\<ユーザー>\AppData\Local\Android\android-sdk などを指定します。詳細については、『Silk Central ヘルプ』を参照してください。
  3. iOS 上でテストする場合は、次の IPA ファイルがサインされていることを確認します。
    • HP4M-Agent.ipa
    • HPMC-AgentLauncher.ipa
    • WebDriverAgentRunner-Runner.ipa
    注: Silk Test Workbench は、Mobile Center を介した iOS シミュレータのテストをサポートしません。
以上により、アプリケーションの選択 ダイアログに Mobile Center デバイスが表示されます。テストするデバイスを選択してください。
注: Silk Test Workbench と Mobile Center の両方で同時に同じモバイル デバイスをテストできません。Silk Test Workbench を使用してテストしたモバイル デバイスを、Mobile Center から引き続きテストする場合は、そのデバイスを再起動します。
注: Mobile Center 上で管理されているデバイスをテストする場合は、Silk Test Workbench は TypeKeys メソッドや SetText メソッドを使用して Enter などのキー コードの入力をサポートしません。さらに、Silk Test Workbench は iOS デバイス上の ホーム ボタンの押下をサポートしません。
注: Android エミュレータ上でテストする場合は、GPU HW アクセラレーションを無効にしてください。
親トピック: モバイル アプリケーションのテスト
関連概念
テストを再生するモバイル デバイスの選択
関連タスク
Silk Test Workbench と Silk Central の統合


Sauce Labs デバイスの使用

Sauce Labs は、自動テスト プラットフォームを提供しており、さまざまなモバイル デバイスやモバイル プラットフォームのバージョン上でテストを行うことができます。 自分自身のインフラストラクチャとしてデバイスを購入、保守する必要はありません。

Sauce Labs デバイスには Silk Central を介してアクセスすることができます。 次の手順に従って設定してください。

  1. Silk Test Workbench が Silk Central と統合されていることを確認してください。 詳細については、「Silk Test Workbench と Silk Central の統合」を参照してください。
  2. Silk Central が Sauce Labs を使用するように設定されていることを確認してください。 詳細については、Silk Central ヘルプ を参照してください。
以上により、アプリケーションの選択 ダイアログに Sauce Labs デバイスが表示されます。テストするデバイスを選択してください。
親トピック: モバイル アプリケーションのテスト
関連概念
テストを再生するモバイル デバイスの選択
関連タスク
Silk Test Workbench と Silk Central の統合


モバイル デバイスの接続文字列

接続文字列 は、テストに使用するモバイル デバイスを指定します。モバイル テストを実行する場合、Silk Test Workbench は接続文字列を使用してモバイル デバイスに接続します。接続文字列は、アプリケーション構成の主要な一部です。テスト対象アプリケーションを構成するときに、接続文字列は設定されます。接続文字列を変更するには、アプリケーション構成の編集 ダイアログ ボックスを使用します。

注: Silk Central からテストを実行する場合、接続文字列を指定する代わりに、Silk Central の実行定義の 配置 タブにある モバイル デバイスの選択 領域でモバイル デバイスを指定します。詳細については、『Silk Central ヘルプ』を参照してください。
デバイス プールなどがある場合に、特定のモバイル デバイスを指定したり、利用可能なデバイス群のサブセットをフィルタするために接続文字列を使用できます。最初に一致したデバイスが再生に使用されます。特に指定がない場合には、次のルールに従って一致したモバイル デバイスが使用されます（高い優先度順）。
  • リモート ロケーションに接続されたモバイル デバイスよりも、ローカル マシンに接続されたモバイル デバイスが優先されます。
  • ブラウザーの種類が接続文字列で指定されている場合、古いバージョンのブラウザーよりも、新しいバージョンのブラウザーが優先されます。
  • 古いプラットフォームよりも、新しいプラットフォームが優先されます。
  • 物理デバイスがエミュレータやシミュレータよりも優先されます。
  • アルファベット順で後者のデバイス名のデバイスが優先されます。たとえば、"iphone 5"という名前のデバイスよりも、"iphone 6"という名前のデバイスが優先されます。

次のコンポーネントが接続文字列で使用できます。

コンポーネント | 説明
deviceName | モバイル デバイスの名前。物理モバイル デバイス上でテストをする場合、デバイス ID を代わりに使用します。ワイルドカードをサポートします。大文字と小文字は区別されません。
platformName | Android または iOS。必須。
deviceId | 省略可能：モバイル デバイスの ID。物理モバイル デバイスでテストをする場合に、デバイス名の代わりに使用します。ワイルドカードをサポートします。大文字と小文字は区別されません。
platformVersion | 省略可能：Android または iOS のバージョン。特定の Android または iOS のバージョンのモバイル デバイス上でのみテストする場合に、バージョンを指定します。ワイルドカードをサポートします。大文字と小文字は区別されません。
browserVersion | 省略可能：特定のブラウザーのバージョンでのみテストする場合に、ブラウザーの種類と共に使用します。ワイルドカードをサポートします。大文字と小文字は区別されません。
host | 省略可能：設定しない場合は、任意のリモート ロケーションがホストとして使用されます。ワイルドカードをサポートします。大文字と小文字は区別されません。
  • app
  • appActivity
  • appPackage
 Android 上のネイティブ モバイル アプリケーションのテストでは必須です。アプリへのフルパス、または appActivity と appPackage の組み合わせで指定します。たとえば、app=MyApp.apk、appActivity=.LoginActivity;appPackage=silktest.insurancemobile などです。
  • app
  • bundleId
 iOS 上のネイティブ モバイル アプリケーションのテストでは必須です。アプリへのフルパス、または bundleId で指定します。たとえば、app=MyApp.ipa、bundleId=silktest.InsuranceMobile などです。
noReset | 省略可能：ネイティブ モバイル アプリケーションをテストする場合に設定できます。app が指定されている場合にのみ有効です。テストの前にアプリを再インストールしない場合は True。テストの前にアプリを再インストールする場合は False を指定します。デフォルト値は、False です。
isSimulator | 省略可能：iOS シミュレータ上でのみテストを実行する場合に指定します。デバイス名を代わりに使用できます。
isPhysicalDevice | 省略可能：物理デバイス上でのみテストを実行する場合に指定します。デバイス名を代わりに使用できます。

デバイス プールを使用して、テストで実際に使用されるデバイスを確認するには、MobileDevice クラスの GenerateConnectionString メソッドの戻り値を使用できます。

モバイル デバイスまたは Android エミュレータ上のモバイル Web アプリケーションのテスト

モバイル デバイスまたは Android エミュレータ上でモバイル Web アプリケーションをテストする場合、接続文字列は次の要素から構成されます。

  1. モバイル デバイス名（MotoG3 など）、またはデバイス ID（11111111 など）。
    注: デバイス ID は可読性に欠けるため、デバイス名がユニークであれば、デバイス名を接続文字列に使用することを Micro Focus では推奨します。
  2. プラットフォーム名。
  3. ブラウザーのバージョン。ブラウザーの種類の設定との組み合わせでのみ使用されます。
  4. 特定のリモート マシンの IP アドレスまたはホスト名（10.0.0.1 など）。リモート ロケーションの編集 ダイアログ ボックスで指定したリモート ロケーションの名前をホスト名として使用することもできます（MyRemoteLocation など）。リモート ロケーション名を使用する場合に、ワイルドカードを使用することもできます。ローカル マシンに接続されている Android デバイスをテストする場合は、ローカル マシンの IP アドレスまたはホスト名を指定します。

例：利用可能な任意の Android デバイスの接続文字列

"platformName=Android"

例：ローカル マシンに接続されている Android デバイス上のブラウザーに対する接続文字列

ローカル マシンに接続されている Android デバイス上でモバイル ブラウザーをテストするには、接続文字列は次のようになります。
"deviceName=MotoG3;platformName=Android;host=localhost"
または
"platformName=Android;deviceId=11111111;host=localhost"

例：リモート マシンに接続されている Android デバイス上のブラウザーに対する接続文字列

リモート Android デバイス上のモバイル ブラウザーをテストするには、接続文字列は次のようになります。
"deviceName=MotoG3;platformName=Android;host=10.0.0.1"
"deviceName=MotoG3;platformName=Android;host=MyRemoteLocation*"

例：Mac に接続されている iOS デバイス上のブラウザーに対する接続文字列

リモート iOS デバイス上のモバイル ブラウザーをテストするには、接続文字列は次のようになります。
"deviceName=myiPhone6;platformName=iOS;host=10.0.0.1"

モバイル デバイスまたは Android エミュレータ上のネイティブ モバイル アプリケーションのテスト

モバイル デバイスまたは Android エミュレータ上でネイティブ モバイル アプリケーションをテストする場合、接続文字列は次の要素から構成されます。
  1. モバイル デバイス名（MotoG3 など）、またはデバイス ID（11111111 など）。
    注: デバイス ID は可読性に欠けるため、デバイス名がユニークであれば、デバイス名を接続文字列に使用することを Micro Focus では推奨します。
  2. プラットフォーム名。
  3. 特定のリモート マシンの IP アドレスまたはホスト名（10.0.0.1 など）。リモート ロケーションの編集 ダイアログ ボックスで指定したリモート ロケーションの名前をホスト名として使用することもできます（MyRemoteLocation など）。リモート ロケーション名を使用する場合に、ワイルドカードを使用することもできます。ローカル マシンに接続されている Android デバイスをテストする場合は、ローカル マシンの IP アドレスまたはホスト名を指定します。
  4. テストするアプリのファイルの名前または、ファイルが Web サーバー上にある場合には、ファイルの URL。たとえば、C:/MyApp.apk や MyApp.ipa など。
    • Android アプリは、常に .apk ファイルを指定します。
    • 物理デバイス上の iOS アプリは、常に .ipa ファイルを指定します。
    • シミュレータ上の iOS アプリは、ZIP ファイルまたは、app という名前のディレクトリを指定します。

例：リモート マシンに接続されている Android デバイス上のアプリに対する接続文字列

リモート マシンに接続されている Android デバイス上で MyApp.apk アプリをテストするには、接続文字列は次のようになります。
"platformName=Android;deviceName=MotoG3;host=http://10.0.0.1;app=MyApp.apk"

例：Mac に接続されている iOS デバイス上のアプリに対する接続文字列

リモート マシンに接続されている iOS デバイス上で MyApp.ipa アプリをテストするには、接続文字列は次のようになります。
"platformName=iOS;deviceName=MyiPhone;host=http://10.0.0.1;app=MyApp.ipa"

iOS シミュレータ上のモバイル Web アプリケーションのテスト

iOS シミュレータ上でモバイル Web アプリケーションをテストする場合、接続文字列は次の要素から構成されます。
  1. プラットフォーム名（iOS）。
  2. プラットフォームのバージョン（10.0 など）。
  3. モバイル デバイス名（iPhone6 など）。
  4. iOS シミュレータを実行している Mac の IP アドレスまたはホスト名。

例：Mac の iOS シミュレータ上のブラウザーに対する接続文字列

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;isSimulator=true"

iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト

Mac の iOS シミュレータ上でネイティブ モバイル アプリケーションをテストする場合、接続文字列は次の要素から構成されます。
  1. プラットフォーム名（iOS）。
  2. プラットフォームのバージョン（10.0 など）。
  3. モバイル デバイス名（iPhone6 など）。
  4. リモート マシンの IP アドレスまたはホスト名（10.0.0.1 など）。
  5. テストするアプリの名前（MyApp.ipa など）。

例：Mac の iOS シミュレータ上のアプリに対する接続文字列

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;app=MyApp.ipa;isSimulator=true"
親トピック: モバイル アプリケーションのテスト
関連概念
リモート デスクトップ ブラウザーの接続文字列
[アプリケーションの選択] ダイアログ ボックス
テストを再生するブラウザーの選択


モバイル デバイスの操作

モバイル デバイスを操作したり、テスト対象アプリケーションでスワイプのような操作を実行するには、次の手順を実行します。
  1. 記録 ウィンドウで、モバイル デバイス操作の表示 をクリックします。 モバイル デバイスに対して実行できるすべての操作がリストされます。
  2. リストからリストから実行したい操作を選択します。
  3. Android デバイスまたはエミュレータで、スワイプを記録するには、マウスの左ボタンを押したままマウスを動かします。
  4. テストの記録を続行します。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル アプリケーションの記録
関連タスク
スクリプトの記録
ビジュアル テストの記録


モバイル デバイスの開放

モバイル デバイスに対するテストを記録または再生する場合、Open Agent インスタンスはそのデバイスの所有権を確保します。これによって、Open Agent は、他の Silk Test ユーザーがそのデバイスを使用することを防止します。デバイス上でのテストの記録や再生が終了した後に、他の Silk Test ユーザーがデバイスを使用できるようにするために、Silk Test クライアントが閉じたとき、無人のテスト プロセスが完了したとき、または Open Agent が閉じたときに、Silk Test は自動的にデバイスを開放します。また、デバイスを手動で開放することもできます。

注: モバイル デバイスを開放すると、モバイル デバイス上のテスト対象アプリケーション (AUT) は閉じられます。
  • 記録後のモバイル デバイスの開放
    他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、記録後にデバイスを開放します。
  • 再生後のモバイル デバイスの開放
    他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、再生後にデバイスを開放します。
親トピック: モバイル アプリケーションのテスト


記録後のモバイル デバイスの開放

他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、記録後にデバイスを開放します。

記録が完了した後にモバイル デバイスを開放するには、次のいずれかを実行します。
  • システム トレイから Open Agent を停止する。
  • Silk Test Workbench を閉じる。並列テストが有効な場合には、この操作でのみデバイスが開放されます。
注: モバイル デバイスを開放すると、モバイル デバイス上のテスト対象アプリケーション (AUT) は閉じられます。
親トピック: モバイル デバイスの開放


再生後のモバイル デバイスの開放

他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、再生後にデバイスを開放します。

再生が完了した後に手動でモバイル デバイスを開放するために、次のいずれかを実行することもできます。
  • モバイル Web アプリケーションのテストを再生した場合、BrowserApplication クラスの Close メソッド、または CloseSynchron メソッド を使用します。これらのメソッド の詳細については、 API ドキュメントを参照してください。
    'VB .NET code
WebBrowser.Close()
  • モバイル ネイティブ アプリケーションのテストを再生した場合、MobileDevice クラスの CloseApp メソッドを使用します。
    たとえば、次のように入力します。
    'VB .NET code
Dim mobileDevice = _desktop.MobileDevice()
mobileDevice.CloseApp()
  • VB .NET テストの再生後にデバイスを開放するには、Agent.DetachAll() ステートメントをテスト スクリプトに追加します。
次の条件を満たしている場合は、モバイル デバイスは自動的に開放されます。
  • Open Agent を閉じる。
  • 無人テスト中にテスト プロセスが停止する。並列テストが有効な場合には、この操作でのみデバイスが開放されます。
  • Silk Test Workbench を閉じる。並列テストが有効な場合には、この操作でのみデバイスが開放されます。
注: モバイル デバイスを開放すると、モバイル デバイス上のテスト対象アプリケーション (AUT) は閉じられます。
親トピック: モバイル デバイスの開放


Silk Central によって管理されているデバイスの使用

モバイル テストを管理し、構成テストを実行するために、Silk Central を使用できます。
Silk Test Workbench と Silk Central を統合します。 Silk Test Workbench と Silk Central の統合についての詳細は、「Silk Test Workbench と Silk Central の統合」を参照してください。 Silk Central の特定のユーザーに対して構成されたデバイス プロバイダーが、アプリケーションの選択、ブラウザーの選択、モバイル デバイスの選択 ダイアログ ボックスで、リモート ブラウザーやモバイル デバイスのリストに表示されます。 Silk Test Workbench は、Silk Central によって管理されているデバイスを、その名前と、Silk Central で構成されたデバイス プロバイダーのホスト名/URL と共に表示します。
親トピック: モバイル アプリケーションのテスト


モバイル アプリケーションのテスト時のトラブルシューティング

[アプリケーションの選択] ダイアログにモバイル デバイスが表示されない理由

Silk Test Workbench がモバイル デバイスやエミュレータを認識できないと、アプリケーションの選択 ダイアログの モバイル タブにはデバイスやエミュレータが表示されません。さらに、アプリケーションの選択 ダイアログの Web タブにも、そのデバイスやエミュレータ上にインストールされているモバイル ブラウザーが表示されません。

Silk Test Workbench が、次の何れかが原因でモバイル デバイスまたはエミュレータを認識していない可能性があります。
原因 | 解決策
エミュレータが実行されていない。 | エミュレータを開始します。
Android Debug Bridge (adb) がモバイル デバイスを認識しない。 モバイル デバイスが adb によって認識されているかどうか確認するには：
  1. Android SDK をインストールしたフォルダで、Android Debug Bridge (adb) がある場所に移動します。Android SDK がインストールされていない場合、C:\Program Files (x86)\Silk\SilkTest\ng\Mobile\windows\AndroidTools\platform-tools に移動して、Silk Test Workbench がインストールした adb を使用します。
  2. Shift を押しながら、ファイル エクスプローラ ウィンドウで右クリックします。
  3. コマンド ウィンドウをここで開く を選択します。
  4. コマンド ウィンドウで、 adb devices を入力して、アタッチしたすべてのデバイスのリストを得ます。
  5. デバイスがリストされない場合、USB デバッグがデバイスで有効化されていること、および適切な USB ドライバがインストールされていることを確認します。
  6. 「adb server is out of date」のようなエラーが発生する場合は、C:\Program Files (x86)\Silk\SilkTest\ng\Mobile\windows\AndroidTools\platform-tools の adb のバージョンがローカルの Android SDKの adb のバージョンと一致していることを確認してください。詳細については、「Open Agent とデバイスとの接続が不安定な場合の対処方法」を参照してください。
デバイスのオペレーティング システムのバージョンを Silk Test Workbench がサポートしていない。 | サポートするモバイル オペレーティング システムのバージョンについては、リリース ノート を参照してください。
デバイスの USB ドライバがローカル マシンにインストールされていない。 | デバイスの USB ドライバをローカル マシンにインストールしてください。詳細については、「USB ドライバをインストールする」を参照してください。
USB デバッグがデバイスで有効化されていない。 | USB デバッグをデバイスで有効化してください。詳細については、「USB デバッグの有効化」を参照してください。
注: どの解決策を適用しても解決できない場合は、デバイスを再起動してみてください。

URL に移動せずに Silk Test Workbench が Chrome for Android で URL を検索する理由

アドレス バーに入力された URL を、Chrome for Android が検索として解釈する場合があります。回避策として、URL に移動するコマンドをスクリプトに手動で追加できます。

adb サーバーが正しく起動しない場合にすべきこと

Android Debug Bridge (adb) サーバーが開始するとき、ローカル TCP ポート 5037 にバインドし、adb クライアントから送信されてくるコマンドをリッスンします。すべての adb クライアントは、ポート 5037 を使用して、adb サーバーと通信します。adb サーバーは、5555 から 5585 の範囲 (エミュレータやデバイスで使用される範囲) で奇数のポートをスキャンしてエミュレータやデバイス インスタンスを探します。adb はこれらのポートの変更を許しません。adb 開始中に問題が発生した場合、これらの範囲のポートの 1 つが、他のプログラムによって既に使用されているかどうか確認します。

詳細については、http://developer.android.com/tools/help/adb.html を参照してください。

Open Agent とデバイスとの接続が不安定な場合の対処方法

Android SDK、または Android Debug Bridge (adb) を使用するその他のツールをインストールしている場合、Silk Test Workbench が使用する　adb サーバー以外のサーバーが実行中の可能性があります。バージョンの異なる adb サーバーが実行中の場合、Open Agent とデバイスとの接続が不安定になったり、接続できない場合があります。

このようなバージョンの不一致によるエラーを避けるには、環境変数 SILK_ANDROID_HOME に Android SDK ディレクトリへのパス（C:\Users\<ユーザー>\AppData\Local\Android\android-sdk など）を指定してください。Information Service が実行中の場合、Windows のサービス マネージャーを使用して、Silk Test Information Service を再起動して更新した環境変数を適用する必要があります。環境変数が設定されていない場合は、Silk Test Workbench は Silk Test Workbench に同梱されたバージョンの adb を使用します。

エラー「メモリの割り当てに失敗しました：8」が発生する理由

エミュレータを開始しているときに、システムが十分なメモリを割り当てることができない場合に、このエラーが表示されます。以下を行ってみてください。

  1. エミュレータのメモリ オプションの RAM サイズを下げる
  2. Intel HAXM の RAM サイズを下げるRAM サイズを下げるには、IntelHaxm.exe を再度実行して、Change を選択します。
  3. タスク マネージャ を開き、十分なフリー メモリが利用可能かどうかを確認します。不足している場合、プログラムを閉じてメモリを開放してください。

iOS デバイスのテスト時に「Silk Test は指定したアプリを開始できません」というエラーが発生する理由

このエラーが発生する原因として、以下の理由が考えられます。
原因 | 解決策
iOS デバイスがデベロッパ モードになっていない。 次の 2 種類の方法のいずれかで、デベロッパ モードを有効化できます。
  • Xcode がインストールされている Mac にデバイスを接続し、テストするアプリをデバイスで開始します。
  • プロビジョニング プロファイルをデバイスに追加します。
    1. Xcode を開きます。
    2. Window > Devices を選択します。
    3. iOS デバイスを右クリックします。
    4. Show Provisioning Profiles を選択します。
    5. プロビジョニング プロファイルを追加します。
デバイスの iOS のバージョンを最近更新した。
  1. Xcode を開きます。
  2. Window > Devices を選択します。
  3. Xcode がシンボル ファイルを処理するまで待機します。
UI オートメーションが iOS デバイスで有効化されていない。
  1. 設定 > デベロッパ を選択します。
  2. Enable UI Automation をオンにします。
Web インスペクタ が iOS デバイスで有効化されていない（モバイル Web アプリケーションのテストの場合）。
  1. 設定 > Safari > 詳細 をクリックします。
  2. Web インスペクタ をオンにします。
テストするアプリがテストしようとしている iOS デバイスの iOS バージョン用にビルドされていない。 | Xcode を使用してデバイスの iOS バージョン用にアプリをビルドします。
ソフトウェア・アップデート ダイアログ ボックスが iOS デバイス上で開いている。 ダイアログ ボックスを閉じ、ソフトウェアの自動アップデートを無効化します。
  1. 設定 > iTunes & App Store > 自動ダウンロード を選択します。
  2. アップデート をオフにします。

Android デバイスの動的ハードウェア コントロールに戻るボタンだけが表示される理由

テストの開始時に Android デバイスや Android エミュレータの画面がロックされると、デバイスやエミュレータが動的ハードウェア コントロールに 戻る ボタンだけを表示する場合があります。

この問題を解決するには、Open Agent を停止し、デバイスを再起動してから、デバイスの設定を画面のロックをしないように設定してください。

Android デバイスまたはエミュレータにキーボードが表示されなくなる理由

Unicode 文字列をサポートするために、Silk Test Workbench は標準キーボードをカスタム キーボードに置き換えます。そして、テストの完了時に元のキーボードに戻します。テスト中にエラーが発生すると、カスタム キーボードが設定されたまま、元に戻らない場合があります。

この問題を解決するには、設定 > 言語と入力 > 現在のキーボード を開き、手動で元のキーボードに戻してください。

テスト中にデバイスが応答しなくなる理由

テストの開始時に、デバイス、エミュレータ、シミュレータの画面がロックされると、Silk Test Workbench は画面のロックを解除できず、デバイス、エミュレータ、シミュレータが操作に応答しなくなる場合があります。

この問題を解決するには、Open Agent を停止し、デバイスの設定を画面のロックをしないように設定してください。

Information Service を Mac にインストールできない理由

システム環境設定の セキュリティとプライバシー で、一般 タブの ダウンロードしたアプリケーションの実行許可 設定が Mac App Store と確認済みの開発元からのアプリケーションを許可（デフォルト値）に設定されている場合、Information Service セットアップを開いているときに次のエラー メッセージが表示されます。
"SilkTestInformationService<バージョン>.pkg" は、開発元が未確認のため開けません。
この問題を解決するには、次のいずれかを行います。
  • セットアップ ファイルを右クリックして、開く を選択します。警告メッセージが表示されても、ファイルを開くことができます。
  • ダウンロードしたアプリケーションの実行許可 設定を すべてのアプリケーションを許可 に設定します。
  • ファイルを開いた後、システム環境設定の セキュリティとプライバシー の 一般 タブを開き、このまま開く をクリックします。

Android アプリの記録時に記録ウィンドウが真っ暗になる理由

金融取引を処理するアプリなど、高レベルなセキュリティを必要とする Android アプリでは、Silk Test Workbench がアプリのキャプチャをできないようにするために、FLAG_SECURE フラグが設定されている可能性があります。Silk Test Workbench は、記録時に Android デバイスのスクリーンショットやビデオを利用しますが、テストする Android アプリにこのフラグが設定されていると、記録中 ウィンドウにはデバイスの真っ黒な画面が表示されます。Silk Test でこのようなアプリをテストするには、テスト中に FLAG_SECURE フラグを設定しないよう、アプリの開発チームに依頼してください。

Android エミュレータでのテスト時に Silk Test Workbench がビデオを表示しない理由

エミュレータがレンダリングにコンピュータのグラフィック カードを使用している場合、Silk Test Workbench のビデオ キャプチャが機能しない場合があります。この問題を解決するには、ソフトウェアでグラフィックでエミュレートします。
  1. Android Virtual Device Manager を開きます。
  2. エミュレータの Actions 列の Edit をクリックします。
  3. Virtual Device Configuration ダイアログ Emulated Performance 領域で、リストから Software を選択します。

クラウド環境でのテスト時に Silk Test Workbench がビデオを表示しない理由

クラウド環境でテストする場合、必要なポートがオープンになっていないことなどが原因で、テストの記録や再生時にビデオの表示が機能しない場合があります。

この問題を解決するには、infoservice.properties ファイルに WebDriver ホストの URL リストを指定します。このプロパティ ファイルについての詳細は、「Silk Test Information Service プロパティの編集」を参照してください。infoservice.disableScreencastHosts オプションをファイルに追加し、次のように入力します。
infoservice.disableScreencastHosts=<URL_1>,<URL_2>, ...
例：
infoservice.disableScreencastHosts=http://my-webdriver-server-url.com:80/wd/hub
ワイルドカードとしてアスタリスク（*）を使用して、*my-webdriver-server-url.com のような URL パターンを指定することができます。

この設定により、指定したホストでの記録と再生時に、Silk Test Workbench はビデオの代わりに連続したスクリーンショットを表示するようになります。

Xcode のインストール バージョンを変更する方法

Xcode の最新版にアップグレードしてしまった場合など、使用している Xcode のバージョンを Silk Test Workbench がサポートしていない場合、iOS でテストする際にエラー メッセージが表示される場合があります。

インストールした Xcode のバージョンをサポートするバージョンで置換するには、サポートするバージョンの Xcode を https://developer.apple.com/download/more/ からダウンロードし、サポートされていないバージョンをダウンロードしたバージョンで置換します。サポートする Xcode のバージョンについての情報は、『リリース ノート』を参照してください。

Mac のディスクの空き容量がなくなった場合の対処

Silk Test Workbench は iOSデバイスの自動化に Instruments を使用します。このツールは、/Library/Caches/com.apple.dt.instruments ディレクトリに大きなログ ファイルを生成するため、Mac のディスクの空き容量を圧迫している場合があります。この問題を解決するために、手動であるいは cron ジョブを使用して、これらのログ ファイルを定期的に削除することを Micro Focus は推奨します。たとえば、毎日同じ時間にファイルを削除するには、次の手順を実行します。
  1. ターミナルで「sudo crontab -e」を入力します。crontab を root として編集できるエディタが開きます。
  2. 次の行を crontab に追加します。
    0 2 1 * * find /Library/Caches/com.apple.dt.instruments -mtime +10 -delete
  3. crontab を保存します。

この例では、10 日より前のすべてのログ ファイルが、毎日午前 2 時にディレクトリから削除されます。

「Xcode build failed with code 65」というエラー メッセージによりテストが失敗する理由

物理 iOS デバイス上でテストを行う場合、通常このエラーは WebDriverAgent アプリのビルド プロセス中に、プロビジョニング プロファイルでサインされていないか問題があったことを意味します。

デバイスが接続されている Mac マシンで次のコマンドを実行して、実際の問題を確認できます。
cd /Applications/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver
xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner -destination 'id=<udid>' test
/Applications/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver フォルダーにある Resources フォルダーが存在し、そのフォルダーに WebDriverAgent.bundle ファイルがあることを確認します。存在しない場合は、このフォルダーを作成し、空の WebDriverAgent.bundle ファイルを作成します。たとえば、次のコマンドを実行します。
mkdir -p Resources/WebDriverAgent.bundle

Developer Tools Access による他のプロセスの制御の要求を抑える方法

iOS 上でテストの実行を開始すると、つぎのメッセージようなメッセージ ボックスが表示される場合があります。
Developer Tools Access は、デバッグを続けるためにほかのプロセスを制御する必要があります。 これを許可するには、パスワードを入力してください。パスワードを入力して許可します。
このメッセージを抑制するには、ターミナルで次のコマンドを実行します。
sudo /usr/sbin/DevToolsSecurity --enable

iPad 上のモバイル Web アプリケーションのテスト時に矩形領域がずれる理由

iPad 上のモバイル Web アプリケーションのテスト時にコントロールを囲む矩形領域がずれている場合、複数のブラウザー タブが開いており、タブ バーが表示されている場合があります。この問題を回避するには、1 つを残して、ほかのすべてのタブを閉じてください。

Silk Test Workbench のアップデート後にデバイス上でテストの記録と再生が動作しない理由

Silk Test Workbench の新しいバージョンにアップデートすると、Silk Test Workbench の以前のバージョンでモバイル テスト用に使用してきた物理モバイル デバイス上の Appium アプリも自動的にアップデートされます。何らかの理由でこれらのアプリが自動的にアップデートされないと、そのデバイス上でテストの記録と再生が正常に動作しない場合があります。

Silk Test Workbench のアップデート後に、Android デバイスでこのような問題が発生した場合は、次のアプリをデバイスから手動でアンインストールしてください。
  • Appium Android Input Manager
  • Appium Settings
  • io.appium.uiautomator2.server
  • io.appium.uiautomator2.server.test
  • Unlock

Silk Test Workbench のアップデート後に、iOS デバイスでこのような問題が発生した場合は、WebDriverAgentRunner をデバイスから手動でアンインストールしてください。

  • テストの再生に Chrome for Android を使用する方法
    テストの再生に使用するブラウザとして Chrome for Android を設定する方法について説明します。
親トピック: モバイル アプリケーションのテスト
関連タスク
Android 上のモバイル アプリケーションのテスト
Silk Test Information Service プロパティの編集
関連資料
Android 上のモバイル アプリケーションのテストにおける前提条件


テストの再生に Chrome for Android を使用する方法

デフォルトでは、ブラウザーの選択 ダイアログ ボックスを使用して、再生に使用するブラウザーを選択できます。

スクリプトをコマンド ラインや CI サーバーから実行する場合は、スクリプトのアプリケーション構成で接続文字列を指定できます。アプリケーション構成で指定したブラウザーを上書きするには、silktest.configurationName 環境変数を使用します。

BrowserApplication クラスの browsertype プロパティを使用して、再生に使用するブラウザーの種類を設定することもできます。ただし、browsertype は Chrome for Androidの明示的な値を含みません。

テストを再生するブラウザーとして Chrome for Android を使用するように指定するには、browsertype に GoogleChrome を設定し、Android をプラットフォームとして指定します。Android が指定されると、デスクトップ マシン上の Google Chrome の代わりに Chrome for Android を使用して、Silk Test Workbench はテストを実行します。

使用例

次のサンプル コードは、silktest.configurationName を使用して Nexus 7 上の Chrome for Android を使用するテストの基本状態を設定する方法を示しています。
SET silktest.configurationName="platformName=Android;deviceName=Nexus 7;host=10.0.0.1 - Chrome"
次の のサンプル コードは、browsertype を使用して Chrome for Android を使用するテストの基本状態を設定する方法を示しています。
'VB .NET code
Dim baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS/")
baseState.SetConnectionString("platformName=Android")
baseState.Execute()
親トピック: モバイル アプリケーションのテスト時のトラブルシューティング


モバイル Web アプリケーションのテストにおける制限事項

モバイル ブラウザ上でのテストの再生とロケーターの記録のサポートは、サポートされている他のブラウザほど完全なものではありません。モバイル Web アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項を以下に示します。

  • 次のクラス、インターフェイス、メソッド、プロパティは、モバイル Web アプリケーションでは現時点ではサポートされません。
    • BrowserApplication クラス。
      • CloseOtherTabs メソッド
      • CloseTab メソッド
      • ExistsTab メソッド
      • GetActiveTab メソッド
      • GetSelectedTab メソッド
      • GetSelectedTabIndex メソッド
      • GetSelectedTabName メソッド
      • GetTabCount メソッド
      • ImageClick メソッド
      • OpenTab メソッド
      • SelectTab メソッド
    • DomElement クラス。
      • DomDoubleClick メソッド
      • DomMouseMove メソッド
      • GetDomAttributeList メソッド
    • IKeyable インターフェイス。
      • PressKeys メソッド
      • ReleaseKeys メソッド
  • Silk Test Workbench は、iOS 上の Apple Safari を使用した HTML フレームおよび iframe のテストをサポートしません。
  • 横固定モードでの記録はシステム バーに仮想ボタンを含むエミュレータに対してサポートされません。このようなエミュレータは、回転を正しく検出せずに、横固定モードのシステム バーを画面の下部ではなく画面の右側に配置します。ただし、このようなエミュレータは縦固定モードで記録することができます。
  • モバイル アプリケーションに対する XPath 式では、HTML DOM の HTML 属性だけがサポートされます。 Silk Test Workbench は、XPath 式のプロパティをサポートしません。
  • Android 上でのモバイル Web アプリケーションのテストでは、Silk Test Workbench は、拡大縮小をサポートしません。
  • BrowserWindow クラスの以下の JavaScript 警告処理メソッドが、Original Android Stock (AOSP) ブラウザー上でのテストでは機能しません。
    • AcceptAlert メソッド
    • DismissAlert メソッド
    • GetAlertText メソッド
    • IsAlertPresent メソッド
  • 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。
  • モバイル Web アプリケーションのテストを開始する前に、ブラウザーのタブが開いていないことを確認してください。
    ヒント: iPad 上で Apple Safari のタブを無効に出来ます。設定 > Safari を選択して、タブバーを表示 をオフにすると無効になります。
  • モバイル Web アプリケーションのテスト中に、ブラウザーのタブは 1 つだけ開くことができます。
  • Silk Test Workbench は、ネイティブ モバイル アプリケーションによって開かれたモバイル Web アプリケーションのテストをサポートしません。
親トピック: モバイル アプリケーションのテスト
関連概念
ネイティブ モバイル アプリケーションのテストにおける制限事項
XCUITest を使用した iOS 上の既存のスクリプトの実行
イメージ解決のサポート


ネイティブ モバイル アプリケーションのテストにおける制限事項

ネイティブ モバイル アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項は次の通りです。

  • 次のクラス、インターフェイス、メソッド、プロパティは、ネイティブ モバイル アプリケーションでは現時点ではサポートされません。
    • IKeyable インターフェイス。
      • PressKeys メソッド
      • ReleaseKeys メソッド
    • MobileDevice クラス。
      • iOS 上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドはサポートされません。
      • Android 6.0 より前のバージョンの Android 上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドを使用する場合は、擬似ロケーションを許可 を有効にする必要があります。設定は、Android デバイスまたはエミュレータの設定を開き、開発者向けオプション をタップします。
      • Android 6.0 以降上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドを使用する場合は、Appium Settings をアプリとして設定する必要があります。設定は、Android デバイスまたはエミュレータの設定を開き、開発者向けオプション > 仮の現在地情報アプリを選択 をタップします。そして、Appium Settings を選択します。
        注: Appium Settings という項目は、Android デバイスまたはエミュレータ上の Appium でテストを既に実行した場合にのみ表示されます。
      • iOS 上でのテスト時に、Find メソッドが次の状況では機能しません。
        • path 属性が設定されている場合。
        • 属性値が空の場合。
  • iOS 上でのテスト時に、XCUIElementTypeSwitch クラスの getValue メソッドがチェック状態に応じて、文字列 0、1 ではなく、文字列 false、true を返します。
  • 横固定モードでの記録はシステム バーに仮想ボタンを持つ Android エミュレータではサポートされません。このようなエミュレータは、回転を正しく検出せずに、横固定モードのシステム バーを画面の下部ではなく画面の右側に配置します。ただし、このようなエミュレータは縦固定モードで記録することができます。
  • モバイル アプリケーションに対する XPath 式では、HTML DOM の HTML 属性だけがサポートされます。Silk Test Workbench は、XPath 式のプロパティをサポートしません。
  • 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  • Silk Test Workbench は、Android と iOS の両方とも、ネイティブ モバイル アプリケーションのテスト時にテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk Test Workbench は、複数の Web ビューを持つネイティブ モバイル アプリケーションのテストをサポートしません。
  • iOS 上でのテスト時に、isVisible プロパティの状態は、要素が非表示であったとしても常に true になります。
  • iOS 上でのテスト時に、複数のステップを持つスワイプ操作は、あるポイントへスワイプし、マウス ポインタをリリースした後、次のポイントへスワイプします。iOS の以前のバージョンでは、この操作はスワイプ間でマウス ポインタをリリースしません。
  • iOS 上でのテスト時に、Silk Test Workbench はピンチ以外のマルチタッチ操作をサポートしません。
  • iOS 上でのテスト時に、Silk Test Workbench は PinchIn メソッドをサポートしません。
  • iOS 上でのテスト時に、警告ダイアログ ボックスに対して承認と解除のみを行えます。キャンセル ボタンは利用できないため、Silk Test Workbench はダイアログを解除できません。デフォルトの操作はダイアログの承認です。
  • Android 上でのテスト時に、Silk Test Workbenchは Animation クラスのコントロールに対する自動同期を行いません。

  • iOS 上でのテスト時に、Silk Test Workbench は UIView.animate 関数または UIView.animateWithDuration 関数を呼び出すコントロールに対する自動同期を行いません。

    アプリケーション デリゲートでアニメーションの速度を速くすることで、問題が回避できる可能性があります。
    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
  //...
  if NSProcessInfo.processInfo().environment["automationName"] == "Silk Test" {
    // Speed animations up (recommended)
    window!.layer.speed = 100;
  }
}
    このようなアニメーションを完全に無効にすることは、アプリケーションの挙動が変わってしまう可能性があるため、Micro Focus では推奨していません。しかし、アニメーションの速度を速めても同期問題が解決できない場合は、次のようにしてアプリケーション デリゲートでアニメーションを完全に無効化することもできます。
    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
  //...
  if NSProcessInfo.processInfo().environment["automationName"] == "Silk Test" {
    UIView.setAnimationsEnabled(false)
  }
}
  • iOS 上でのテスト時には、さらに次の制限事項があります。
    • テストの記録および再生時にパフォーマンスの低下を感じる場合があります。
    • iOS の内部的な変更の影響で一部のコントロールのロケーターが変ったため、既存のテストが動作しない場合があります。
    • フォーカスを持たないテキスト フィールドが、テキスト フィールドとして解決されない場合があります。テキスト フィールドを正しく解決するために、操作する前にテキスト フィールドのクリックなどを実行して、テキスト フィールドにフォーカスを移してください。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル Web アプリケーションのテストにおける制限事項
XCUITest を使用した iOS 上の既存のスクリプトの実行
イメージ解決のサポート


モバイル Web サイトでのオブジェクトのクリック

自動テストの記録と再生中にオブジェクトをクリックするとき、モバイル Web サイトではデスクトップ Web サイトと比較して、次のような困難があります。
  • 拡大/縮小率やデバイス ピクセル比が異なる
  • さまざまなモバイル デバイスによって画面サイズが異なる
  • モバイル デバイス間でのフォントとグラフィックサイズが異なる (通常、デスクトップ ブラウザの Web サイトよりも小さい)。
  • さまざまなモバイルデバイスによってピクセル サイズと解像度が異なる

Silk Test Workbench は、このような困難をものともせずに、モバイル Web サイトの適切なオブジェクトをクリックできます。

モバイル デバイスでテストを記録するときに、Silk Test Workbench は Click の記録時に座標を記録しません。ただし、クロス ブラウザ テストの場合、再生中に座標が許されています。また、Click に座標を手動で追加することもできます。Silk Test Workbench は、これらの座標をオブジェクトの HTML 座標として解釈します。モバイル デバイスのテストの再生時に BrowserWindow の内側の適切なオブジェクトをクリックするために、Silk Test Workbench はオブジェクトの HTML 座標に現在の拡大/縮小率を適用します。デバイスのピクセル座標は、オブジェクトの HTML 座標に現在の拡大/縮小率をかけた座標です。

モバイル Web サイトの現在表示されている領域にオブジェクトが表示されていない場合、Silk Test Workbench は Web サイトの適切な位置にスクロールします。

例

HTML ページで 100 x 20 ピクセルの固定サイズの DomButton をテストするコードを以下に示します。

VB
DomButton domButton = _desktop.Find(Of DomButton)("locator for the button");
domButton.Click(MouseButton.LEFT, new Point(50, 10));

異なるモバイル デバイスまたは異なる拡大/縮小率で再生すると、たとえば DomButton は、デバイス画面上では実際は 10 ピクセルの幅かもしれません。しかし、現在の拡大/縮小率の影響は受けず、上記のコードを使用したときに Silk Test Workbench は要素の中央をクリックします。これは、Silk Test Workbench が座標を HTML 座標として解釈し、現在の拡大/縮小率を適用するためです。

親トピック: モバイル アプリケーションのテスト


既存のモバイル Web テストの使用方法

Silk Test 17.0 以降では、モバイル Web テストの扱いが、前のバージョンの Silk Test とは異なります。この変更により、以前のモバイル Web テストが Silk Test 17.0 以降では動作しなくなる可能性があります。このトピックでは、Silk Test 17.0 で行われた変更について説明し、既存のモバイル Web テストを Silk Test 17.0 以降で使用できるように変更する方法を説明します。

Silk Test 17.0 でモバイル Web テストに対して行われた変更は、以下の通りです。

  • Silk Test の以前のバージョンでは、Windows マシンに USB で接続された iOS デバイスをテストすることができました。Silk Test 17.0 以降では、OS X マシン（Mac）に接続された iOS デバイスに対してのみテストすることができます。
  • 以前のバージョンの Silk Test を使用して Android デバイス上のモバイル Web アプリケーションをテストしていた場合、Silk Test 17.0 以降で Web アプリケーションをテストするには、Android デバイスのプロキシ設定を手動で削除する必要があります。Silk Test 17.0 以降では、プロキシは使用しません。プロキシが設定されていると、「プロキシ サーバーに接続できません」というメッセージがデバイスに表示されます。
親トピック: モバイル アプリケーションのテスト


.NET のサポート

Silk Test は、以下の .NET アプリケーションのテストを組み込みでサポートしています。

  • Windows Forms（Win Forms）アプリケーション
  • Windows Presentation Foundation (WPF) アプリケーション
  • Microsoft Silverlightアプリケーション

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

  • Windows Forms のサポート
    .NET スタンドアロン アプリケーションとノータッチ Windows Forms（Win Forms）アプリケーションをテストするための組み込みサポートについて説明します。
  • Windows Presentation Foundation（WPF）のサポート
    Windows Presentation Foundation（WPF）アプリケーションのサポートの概要について説明します。
  • Silverlight アプリケーションのサポート
    Silverlight アプリケーションをテストするための組み込みサポートについて説明します。
  • Visual COBOL のサポート
    Visual COBOL ベースのアプリケーションをテストするために Silk Test Workbench が提供するサポートについて説明します。
親トピック: 特定の環境のテスト


Windows Forms のサポート

Silk Test Workbench は、.NET スタンドアロン アプリケーションとノータッチ Windows Forms (Win Forms) アプリケーションのテストを組み込みでサポートしています。ただし、スタンドアロン アプリケーションでは、side-by-side 実行はサポートされていません。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

オブジェクト解決

アプリケーション中の要素に指定された name が使用可能な場合、ロケーターの automationId 属性として使用されます。この結果、多くのオブジェクトは、この属性のみを使用して一意に識別できます。

サポートするコントロール

Win Forms テストで使用可能な記録／再生コントロールの完全な一覧については、「Windows Forms クラス リファレンス」を参照してください。

  • Windows Forms クラス リファレンス
    Windows Forms をサポートするための Visual Basic クラスを一覧します。
  • Windows Forms アプリケーションの属性
    Windows Forms アプリケーションがサポートする属性の一覧を提供します。
  • Windows Forms アプリケーションのカスタム属性
    Windows Forms アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Windows Forms メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk Test Workbench が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
親トピック: .NET のサポート


Windows Forms クラス リファレンス

Windows Forms アプリケーションを設定すると、Silk Test Workbench は標準の Windows Forms コントロールのテストのサポートを組み込みで提供します。

親トピック: Windows Forms のサポート
関連資料
Windows Forms クラス リファレンス


Windows Forms アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Windows Forms アプリケーションがサポートする属性は次のとおりです。
  • automationid
  • caption
  • windowid
  • priorlabel（caption のないコントロールの場合、自動的に priorlabel が caption として使用されます。 caption のあるコントロールの場合、caption を使う方が簡単な場合があります。）
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Windows Forms のサポート
親トピック: サポートする属性の種類


Windows Forms メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk Test Workbench API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk Test Workbench API を通して公開されていない場合に特に便利です。

注: 動的呼び出しは、スクリプトで使用できます。ビジュアル テストでは使用できません。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

Invoke メソッド

Windows Forms または WPF コントロールでは、Invoke メソッドを使用して、以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

Invoke メソッドの最初の例

Silk Test Workbench の DataGrid 型のオブジェクトでは、MSDN が System.Windows.Forms.DataGrid 型に定義しているすべてのメソッドを呼び出すことができます。

System.Windows.Forms.DataGrid クラスのメソッド IsExpanded を呼び出すには、次のコードを使用します。
//VB .NET code
Dim isExpanded As Boolean = dataGrid.Invoke("IsExpanded", 3)

Invoke メソッドの 2 番目の例

AUT 内の静的メソッド String.Compare(String s1, String s2) を呼び出すには、次のコードを使用します。
//VB .NET code
Dim result as Integer = (Integer) mainWindow.Invoke("System.String.Compare", "a", "b")

Invoke メソッドの 3 番目の例

この例では、ユーザーが生成したメソッド GetContents を動的に呼び出す方法を示します。

テスト対象アプリケーション (AUT) のコントロールの操作に使用するコードを作成できます (この例では UltraGrid)。UltraGrid の内容を取得するために、複雑な動的呼び出しを作成するのではなく、新しいメソッド GetContents を生成し、この新しいメソッドを動的に呼び出すことができます。

Visual Studio で、AUT 内の次のコードによって GetContents メソッドを UltraGridUtil クラスのメソッドとして定義します。
//C# code, because this is code in the AUT
namespace UltraGridExtensions {
  public class UltraGridUtil {
    /// <summary>
    /// Retrieves the contents of an UltraGrid as nested list
    /// </summary>
    /// <param name="grid"></param>
    /// <returns></returns>
    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }
  }
}
UltraGridUtil クラスのコードを AUT に追加する必要があります。これは、次のようにして行います。
  • アプリケーション開発者は、クラスのコードを AUT にコンパイルできます。アセンブリがすでにロードされている必要があります。
  • テストの実行時に AUT にロードされる新しいアセンブリを作成できます。
アセンブリをロードするには、次のコードを使用します。
FormsWindow.LoadAssembly(String assemblyFileName)
次のようにして、フルパスで指定してアセンブリをロードします。
mainWindow.LoadAssembly("C:/temp/ultraGridExtensions.dll")
Location メソッドを使用してアセンブリの場所を見つけることもできます。
//VB.NET code
Dim assemblyLocation = GetType(UltraGridExtensions.UltraGridUtil).Assembly.Location
mainWindow.LoadAssembly(assemblyLocation)
UltraGridUtil クラスのコードが AUT 内にある場合は、次のコードをテスト スクリプトに追加して、GetContents メソッドを呼び出すことができます。
var contents = (IList) mainWindow.Invoke("UltraGridExtensions.UltraGridUtil.GetContents", ultraGrid);

Invoke メソッドを呼び出す mainWindow オブジェクトは、AUT を特定しているだけなので、同じ AUT の他のオブジェクトに置き換えてもかまいません。

InvokeMethods メソッド

Windows Forms または WPF コントロールでは、InvokeMethods メソッドを使用して、ネストされたメソッドのシーケンスを呼び出すことができます。以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

例：カスタム データ グリッドのセルの内容のテキストでの取得

Infragistics ライブラリのカスタム データ グリッドのセルの内容をテキストで取得するには、AUT で次の C# コードを使用できます。
string cellText = dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
次の C# コードのサンプルは、最初の行の 3 番目のセルの内容をテキストで取得します。
string cellText = dataGrid.Rows[0].Cells[2];
InvokeMethods メソッドを使用して同じ例をスクリプト化すると、比較的複雑なスクリプトになります。これは、対応するパラメータを持つ 5 つのメソッドを InvokeMethods メソッドに渡さなければならないためです。
' VB .NET code
Dim dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'")

' Get text contents of third cell in first row.
Dim rowIndex = 0
Dim column = 2

Dim methodNames = New List(Of String)()
methodNames.Add("Rows")                   ' Get the list of rows from the grid.
methodNames.Add("get_Item")               ' Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells")                  ' Get the list of cells from the the row.
methodNames.Add("get_Item")               ' Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text")                   ' Get the text of the cell.

Dim parameters = New List(Of List(Of Object))()
parameters.Add(New List(Of Object)())                  ' Parameters for the Rows property.
parameters.Add(New List(Of Object) From {rowIndex})    ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Cells property.
parameters.Add(New List(Of Object) From {columnIndex}) ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Text property.

Dim cellText As String = dataGrid.InvokeMethods(methodNames, parameters)
このような場合に、より簡単にするアプローチは、テスト対象アプリケーションにコードを追加して、InvokeMethods メソッドを使用することです。たとえば、GetCellText メソッドを AUT に追加します。
// C# code, if the AUT is implemented in C#.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
' VB code, if the AUT is implemented in VB.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
テスト スクリプトから GetCellText メソッドを動的に呼び出して、セルの内容をテキストで取得します。
'VB .NET code
Dim cellText As String = mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex)

詳細については、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」を参照してください。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk Test Workbench がサポートするコントロールのメソッドとプロパティー。
  • MSDN が定義するコントロールのパブリック メソッドとプロパティー。
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk Test Workbench 型

    Silk Test Workbench 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point や Rect など) が含まれます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合、次の文字列値を使用できます： Visible、Hidden、Collapsed。

  • .NET 構造体とオブジェクト

    .NET 構造体とオブジェクト パラメータはリストとして渡す必要があります。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • その他のコントロール

    コントロール パラメーターは、TestObject として渡したり、返したりできます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk Test Workbench 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: Windows Forms のサポート
関連概念
動的呼び出し
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする
カスタム コントロール
動的呼び出しに関するよくある質問


Windows Presentation Foundation（WPF）のサポート

Silk Test Workbench は、Windows Presentation Foundation (WPF) アプリケーションのテストを組み込みでサポートしています。Silk Test Workbench は、スタンドアロン WPF アプリケーションをサポートしており、.NET バージョン 3.5 以降に組み込まれているコントロールを記録し、再生できます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

WPF テストで使用可能なコントロールの完全な一覧については、「WPF クラス リファレンス」を参照してください。

Silk Test Workbench WPF がサポートするすべての WPF クラスは、WPFWindow や WPFListBox のように接頭辞 WPF で始まります。

WPF コントロールでサポートされるメソッドとプロパティは、実際の実装とランタイム状態によって異なります。メソッドとプロパティは、対応するクラスに対して定義されたリストと異なる場合があります。特定の状況でサポートされるメソッドとプロパティを判別するには、以下のコードを使用します。

  • GetPropertyList()
  • GetDynamicMethodList()

WPF の詳細については、MSDN を参照してください。

  • WPF クラス リファレンス
    WPF をサポートするための Visual Basic クラスを一覧します。
  • Windows Presentation Foundation (WPF) アプリケーションの属性
    Windows Presentation Foundation (WPF) アプリケーションがサポートする属性の一覧を提供します。
  • WPF アプリケーションのカスタム属性
    WPF アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • WPFItemsControl クラスから派生したクラス
    WPFItemsControl から派生したクラスを操作する方法について説明します。
  • カスタム WPF コントロール
    Silk Test Workbench がカスタム コントロールを認識する方法を説明します。
  • WPF メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk Test Workbench が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • 記録/再生の対象とする WPF クラスの設定
    記録、再生、検索、プロパティの検証など、すべてのサポートされる操作をクラスに対して実行するには、クラスを公開します。
  • 記録/再生時の事前読み込みの設定
    ビューにスクロールされないとアクセスできない項目にアクセスするには、記録/再生時の事前読み込みをオンにします。
親トピック: .NET のサポート


WPF クラス リファレンス

WPF アプリケーションを設定すると、Silk Test Workbench は標準の WPF コントロールのテストのサポートを組み込みで提供します。

親トピック: Windows Presentation Foundation（WPF）のサポート
関連資料
WPF クラス リファレンス


Windows Presentation Foundation (WPF) アプリケーションの属性

WPF アプリケーションがサポートする属性は次のとおりです。
  • automationId
  • caption
  • className
  • name
  • すべての動的ロケーター属性。
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

オブジェクト解決

WPF スクリプト内のコンポーネントを識別するために、automationId、caption、className、あるいは name を指定できます。 アプリケーション中の要素に指定された name が利用可能な場合、ロケーターの automationId 属性として使用されます。 この結果、多くのオブジェクトは、この属性のみを使用して一意に識別できます。 たとえば、automationId を持つロケーターは、以下のようになります：//WPFButton[@automationId='okButton']"

automationId や他の属性を定義した場合、再生中に automationId だけが使用されます。 automationId が定義されていない場合には、コンポーネントを解決するのに name が使用されます。 name も automationId もどちらも定義されていない場合には、caption 値が使用されます。 caption が定義されていない場合は、className が使用されます。 automationId は非常に役立つプロパティであるため、使用することを推奨します。

属性の種類 説明 例
automationId

テスト アプリケーションの開発者によって提供された ID

//WPFButton[@automationId='okButton']"
name コントロールの名前。 Visual Studio デザイナは、デザイナ上で作成されたすべてのコントロールに自動的に名前を割り当てます。 アプリケーション開発者は、アプリケーションのコード上でコントロールを識別するために、この名前を使用します。
//WPFButton[@name='okButton']"
caption

コントロールが表示するテキスト。 複数の言語にローカライズされたアプリケーションをテストする場合、caption の代わりに automationId や name 属性を使用することを推奨します。

//WPFButton[@automationId='Ok']"
className

WPF の .NET 単純クラス名 (名前空間なし)。 クラス名属性を使用すると、Silk Test Workbench が解決する標準 WPF コントロールから派生したカスタム コントロールを識別するのに役立ちます。

//WPFButton[@className='MyCustomButton']"

Silk Test Workbench は、automationId、name、caption、className 属性をこの表に示した順番に使用して WPF コントロールのロケーターを記録時に作成します。 たとえば、コントロールが automationId と name を持つ場合、Silk Test Workbench がロケーターを作成する際には automationId が使用されます。

以下の例では、アプリケーション開発者がアプリケーションの WPF ボタンに対して name と automationId を XAML コードに定義する方法を示します。
<Button Name="okButton" AutomationProperties.AutomationId="okButton"
Click="okButton_Click">Ok</Button>
親トピック: Windows Presentation Foundation（WPF）のサポート
親トピック: サポートする属性の種類


WPFItemsControl クラスから派生したクラス

Silk Test Workbench は、2 つの方法を使用して WPFItemsControl から派生したクラス (WPFListBox、WPFTreeView、WPFMenu など) を操作することができます。

  • コントロールでの作業

    ほとんどのコントロールには、標準的なユースケースのためのメソッドやプロパティがあります。 項目は、テキストや索引によって識別されます。

    例：
    listBox.Select("Banana")
listBox.Select(2)

tree.Expand("/Fruit/Banana")

  • WPFListBoxItem、WPFTreeViewItem、WPFMenuItem などの個々の項目での作業

    高度なユースケースの場合、個々の項目を使用します。 たとえば、リスト ボックスの特定の項目のコンテキスト メニューを開いたり、項目に相対的な場所をクリックしたりする場合に個々の項目を使用します。

    例：
    Dim item as WPFListBoxItem = listBox.WPFListBoxItem("banana")
item.OpenContextMenu()
親トピック: Windows Presentation Foundation（WPF）のサポート


カスタム WPF コントロール

一般的に、Silk Test Workbench では、すべての標準 WPF コントロールの記録と再生がサポートされています。

Silk Test Workbench は、カスタム コントロールが実装された方法を基にしてカスタム コントロールを処理します。 次の方法を使用してカスタム コントロールを実装することができます。
  • UserControl から派生したクラスを定義する

    複合コントロールを作成する典型的な方法です。 Silk Test Workbench は、これらのユーザー コントロールを WPFUserControl として認識し、含まれるコントロールを完全にサポートしています。

  • ListBox などの標準 WPF コントロールから派生したクラスを定義する

    Silk Test Workbench は、これらのコントロールを派生元の標準 WPF コントロールのインスタンスとして扱います。 ユーザー コントロールの振る舞いがその基底クラスの実装と大きく異なる場合には、子の記録、再生、解決は機能しない可能性があります。

  • テンプレートを使用して視覚デザインを変更した標準コントロールを使用する

    低レベルの再生が機能しない可能性があります。 その場合には、「高レベル」再生モードに切り替えます。 再生モードを変更するには、オプション ダイアログ ボックスを使用して、再生全般 設定リストで 再生モード を変更します。

Silk Test Workbench は、一般的に機能テストに無関係なコントロールは除外します。 たとえば、レイアウトを目的として使用されるコントロールは含まれません。 しかし、カスタム コントロールが除外されたクラスから派生している場合、除外されたコントロールを記録/再生の対象とするためには、関連する WPF クラスの名前を指定します。

親トピック: Windows Presentation Foundation（WPF）のサポート
関連タスク
記録/再生の対象とする WPF クラスの設定
全般再生オプションの設定


WPF メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk Test Workbench API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk Test Workbench API を通して公開されていない場合に特に便利です。

注: 動的呼び出しは、スクリプトで使用できます。ビジュアル テストでは使用できません。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

Invoke メソッド

Windows Forms または WPF コントロールでは、Invoke メソッドを使用して、以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

Invoke メソッドの最初の例

Silk Test Workbench の DataGrid 型のオブジェクトでは、MSDN が System.Windows.Forms.DataGrid 型に定義しているすべてのメソッドを呼び出すことができます。

System.Windows.Forms.DataGrid クラスのメソッド IsExpanded を呼び出すには、次のコードを使用します。
//VB .NET code
Dim isExpanded As Boolean = dataGrid.Invoke("IsExpanded", 3)

Invoke メソッドの 2 番目の例

AUT 内の静的メソッド String.Compare(String s1, String s2) を呼び出すには、次のコードを使用します。
//VB .NET code
Dim result as Integer = (Integer) mainWindow.Invoke("System.String.Compare", "a", "b")

Invoke メソッドの 3 番目の例

この例では、ユーザーが生成したメソッド GetContents を動的に呼び出す方法を示します。

テスト対象アプリケーション (AUT) のコントロールの操作に使用するコードを作成できます (この例では UltraGrid)。UltraGrid の内容を取得するために、複雑な動的呼び出しを作成するのではなく、新しいメソッド GetContents を生成し、この新しいメソッドを動的に呼び出すことができます。

Visual Studio で、AUT 内の次のコードによって GetContents メソッドを UltraGridUtil クラスのメソッドとして定義します。
//C# code, because this is code in the AUT
namespace UltraGridExtensions {
  public class UltraGridUtil {
    /// <summary>
    /// Retrieves the contents of an UltraGrid as nested list
    /// </summary>
    /// <param name="grid"></param>
    /// <returns></returns>
    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }
  }
}
UltraGridUtil クラスのコードを AUT に追加する必要があります。これは、次のようにして行います。
  • アプリケーション開発者は、クラスのコードを AUT にコンパイルできます。アセンブリがすでにロードされている必要があります。
  • テストの実行時に AUT にロードされる新しいアセンブリを作成できます。
アセンブリをロードするには、次のコードを使用します。
FormsWindow.LoadAssembly(String assemblyFileName)
次のようにして、フルパスで指定してアセンブリをロードします。
mainWindow.LoadAssembly("C:/temp/ultraGridExtensions.dll")
Location メソッドを使用してアセンブリの場所を見つけることもできます。
//VB.NET code
Dim assemblyLocation = GetType(UltraGridExtensions.UltraGridUtil).Assembly.Location
mainWindow.LoadAssembly(assemblyLocation)
UltraGridUtil クラスのコードが AUT 内にある場合は、次のコードをテスト スクリプトに追加して、GetContents メソッドを呼び出すことができます。
var contents = (IList) mainWindow.Invoke("UltraGridExtensions.UltraGridUtil.GetContents", ultraGrid);

Invoke メソッドを呼び出す mainWindow オブジェクトは、AUT を特定しているだけなので、同じ AUT の他のオブジェクトに置き換えてもかまいません。

InvokeMethods メソッド

Windows Forms または WPF コントロールでは、InvokeMethods メソッドを使用して、ネストされたメソッドのシーケンスを呼び出すことができます。以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

例：カスタム データ グリッドのセルの内容のテキストでの取得

Infragistics ライブラリのカスタム データ グリッドのセルの内容をテキストで取得するには、AUT で次の C# コードを使用できます。
string cellText = dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
次の C# コードのサンプルは、最初の行の 3 番目のセルの内容をテキストで取得します。
string cellText = dataGrid.Rows[0].Cells[2];
InvokeMethods メソッドを使用して同じ例をスクリプト化すると、比較的複雑なスクリプトになります。これは、対応するパラメータを持つ 5 つのメソッドを InvokeMethods メソッドに渡さなければならないためです。
' VB .NET code
Dim dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'")

' Get text contents of third cell in first row.
Dim rowIndex = 0
Dim column = 2

Dim methodNames = New List(Of String)()
methodNames.Add("Rows")                   ' Get the list of rows from the grid.
methodNames.Add("get_Item")               ' Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells")                  ' Get the list of cells from the the row.
methodNames.Add("get_Item")               ' Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text")                   ' Get the text of the cell.

Dim parameters = New List(Of List(Of Object))()
parameters.Add(New List(Of Object)())                  ' Parameters for the Rows property.
parameters.Add(New List(Of Object) From {rowIndex})    ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Cells property.
parameters.Add(New List(Of Object) From {columnIndex}) ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Text property.

Dim cellText As String = dataGrid.InvokeMethods(methodNames, parameters)
このような場合に、より簡単にするアプローチは、テスト対象アプリケーションにコードを追加して、InvokeMethods メソッドを使用することです。たとえば、GetCellText メソッドを AUT に追加します。
// C# code, if the AUT is implemented in C#.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
' VB code, if the AUT is implemented in VB.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
テスト スクリプトから GetCellText メソッドを動的に呼び出して、セルの内容をテキストで取得します。
'VB .NET code
Dim cellText As String = mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex)

詳細については、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」を参照してください。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk Test Workbench がサポートするコントロールのメソッドとプロパティー。
  • MSDN が定義するコントロールのパブリック メソッドとプロパティー。
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk Test Workbench 型

    Silk Test Workbench 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point や Rect など) が含まれます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合、次の文字列値を使用できます： Visible、Hidden、Collapsed。

  • .NET 構造体とオブジェクト

    .NET 構造体とオブジェクト パラメータはリストとして渡す必要があります。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • WPF コントロール

    WPF コントロール パラメータは TestObject として渡すことができます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk Test Workbench 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
  • すべてのその他の型の場合は文字列

    返された .NET オブジェクトに対して ToString を呼び出せば、文字列表現を取得できます。

例

たとえば、アプリケーション開発者が次のメソッドとプロパティを持つ Calculator カスタム コントロールを作成したとします。
public void Reset()
public int Add(int number1, int number2)
public System.Windows.Vector StrechVector(System.Windows.Vector vector, double
factor)
public String Description { get;}
テスト担当者は、テスト内からメソッドを直接呼び出すことができます。例：
customControl.Invoke("Reset")
Dim sum as Integer = customControl.Invoke("Add", 1, 2)
' the vector can be passed as list of integer
Dim vector = New List(Of Integer)
vector.Add(3)
vector.Add(4)
' returns "6;8" because this is the string representation of the .NET object
Dim strechedVector As String = customControl.Invoke("StrechVector", vector, 2.0)
Dim description As String = customControl.GetProperty("Description")
親トピック: Windows Presentation Foundation（WPF）のサポート
関連概念
動的呼び出し
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする
カスタム コントロール
動的呼び出しに関するよくある質問


記録/再生の対象とする WPF クラスの設定

Silk Test Workbench は、一般的に機能テストに無関係なコントロールは除外します。たとえば、レイアウトを目的として使用されるコントロールは含まれません。しかし、カスタム コントロールが除外されたクラスから派生している場合、除外されたコントロールを記録/再生の対象とするためには、関連する WPF クラスの名前を指定します。

記録や再生の対象にしたい WPF クラスの名前を指定します。たとえば、MyGrid というカスタム クラスが WPF Grid クラスから継承された場合、MyGrid カスタム クラスのオブジェクトは記録や再生に使用できません。Grid クラスはレイアウト目的のためにのみ存在し、機能テストとは無関係であるため、Grid オブジェクトは記録や再生に使用できません。この結果、Grid オブジェクトはデフォルトでは公開されません。機能テストに無関係なクラスに基づいたカスタム クラスを使用するには、カスタム クラス (この場合は MyGrid) を OPT_WPF_CUSTOM_CLASSES オプションに追加します。これによって、記録、再生、検索、プロパティの検証など、すべてのサポートされる操作を指定したクラスに対して実行できるようになります。
  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号 (+) をクリックします。
  3. WPF をクリックします。
  4. カスタム WPF クラス名 グリッドで、記録や再生中に公開するクラスの名前を入力します。 複数のクラス名を指定する場合にはカンマで区切ります。
  5. OK をクリックします。
親トピック: Windows Presentation Foundation（WPF）のサポート
親トピック: 記録オプション
関連概念
カスタム WPF コントロール


記録/再生時の事前読み込みの設定

記録および再生中に 、WPFComboBox や WPFListBox のような WPFItemsControl 内の項目を事前に入力するかどうかを定義します。WPF 自体が特定のコントロールの項目を遅延読み込みするため、項目がビューにスクロールされない場合、それらの項目は Silk Test Workbench では使用できません。ビューにスクロールされないとアクセスできない項目にアクセスするには、事前入力をオンにします。これはデフォルトの設定です。ただし、一部のアプリケーションでは Silk Test Workbench によってバックグランドで項目が事前入力されると問題が発生し、そのためアプリケーションがクラッシュすることがあります。この場合、事前入力をオフにします。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号 (+) をクリックします。
  3. WPF をクリックします。
  4. 項目の事前読み込み を はい に設定します。
  5. OK をクリックします。
親トピック: Windows Presentation Foundation（WPF）のサポート


Silverlight アプリケーションのサポート

Microsoft Silverlight (Silverlight) は、リッチ インターネット アプリケーションを記述し、実行するためのアプリケーション フレームワークで、Adobe Flash と同様の機能と目的を備えています。Silverlight の実行時環境は、大部分の Web ブラウザでプラグインとして使用できます。

Silk Test Workbench は、Silverlight アプリケーションのテストを組み込みでサポートしています。Silk Test Workbench は、ブラウザ内部と同様ブラウザ外部でも実行される Silverlight アプリケーションをサポートしており、.NET バージョン 3.5 以降でコントロールを記録し、再生できます。

Silverlight をベースとする以下のアプリケーションがサポートされます。
  • Internet Explorer で実行される Silverlight アプリケーション
  • ブラウザー外実行 Silverlight アプリケーション

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Silk Test Workbench は、Silverlight コントロールの記録と再生をサポートしています。

Silverlight テストで使用可能なコントロールの完全な一覧については、「Silverlight クラス リファレンス」を参照してください。

注: Silk Test 14.0 以降では、Silk Test Workbench は、画面上で操作可能でかつ表示されている Silverlight コントロールのみを認識します。この変更は、Silk Test 14.0 より前のバージョンの Silk Test を使用して記録されたテストの動作に影響を与える可能性があります。Silk Test 14.0 以降を使用してこのようなテストを実行するには、不可視な、または利用可能でないすべての Silverlight コントロールをテストから削除してください。

前提条件

Microsoft Windows XP で Silverlight アプリケーションをテストする場合、サービス パック 3 をインストールし、Windows 7 で提供される Microsoft User Interface Automation の Windows XP 用の更新プログラムを適用する必要があります。更新プログラムは、http://www.microsoft.com/download/en/details.aspx?id=13821 からダウンロードできます。

注: Microsoft User Interface Automation は、Silverlight サポート用にインストールする必要があります。Windows オペレーティング システムを使用していて、Silverlight サポートが機能しない場合は、使用しているオペレーティング システム用の Microsoft User Interface Automation の更新プログラムを http://support.microsoft.com/kb/971513 からダウンロードしてインストールしてください。
  • Silverlight クラス リファレンス
    Silverlight をサポートするための Visual Basic クラスを一覧します。
  • Silverlight コントロールを識別するためのロケーター属性
    Silverlight コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Silverlight メソッドの動的呼び出し
    動的呼び出し機能を使用して Silk Test Workbench が対象としないコントロールのメソッドを呼び出したり、プロパティを取得/設定する方法について説明します。
  • Silverlight でのスクロール
    Silverlight コントロールでのスクロールの処理方法を説明します。
  • Silverlight アプリケーションのテスト時のトラブルシューティング
    Silverlight アプリケーションのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
親トピック: .NET のサポート


Silverlight クラス リファレンス

Silverlight アプリケーションを設定すると、Silk Test Workbench は標準の Silverlight コントロールのテストのサポートを組み込みで提供します。

親トピック: Silverlight アプリケーションのサポート
関連資料
Silverlight クラス リファレンス


Silverlight コントロールを識別するためのロケーター属性

Silverlight コントロールでサポートされているロケーター属性は次のとおりです。
  • automationId
  • caption
  • className
  • name
  • すべての動的ロケーター属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

Silverlight スクリプト内のコンポーネントを識別するために、automationId、caption、className、name、または任意の動的ロケーター属性を指定できます。 automationId はアプリケーション開発者が設定します。 たとえば、automationId を持つロケーターは、以下のようになります：//SLButton[@automationId="okButton"]

automationId は一般に非常に有用で安定した属性であるため、使用することを推奨します。

属性の種類 | 説明 | 例
automationId | テスト対象アプリケーションの開発者によって設定される識別子。 Visual Studio デザイナは、デザイナ上で作成されたすべてのコントロールに自動的に automationId を割り当てます。 アプリケーション開発者は、アプリケーションのコード上でコントロールを識別するために、この ID を使用します。 | //SLButton[@automationId="okButton"]
caption | コントロールが表示するテキスト。 複数の言語にローカライズされたアプリケーションをテストする場合、caption の代わりに automationId や name 属性を使用することを推奨します。 | //SLButton[@caption="Ok"]
className | Silverlight コントロールの .NET 単純クラス名 (名前空間なし)。 className 属性を使用すると、Silk Test Workbench が解決する標準 Silverlight コントロールから派生したカスタム コントロールを識別するのに役立ちます。 | //SLButton[@className='MyCustomButton']
name | コントロールの名前。 テスト対象アプリケーションの開発者によって設定されます。 | //SLButton[@name="okButton"]
重要: XAML コードの name 属性は、ロケーター属性 name ではなく、ロケーター属性 automationId にマップされます。

Silk Test Workbench は、automationId、name、caption、className 属性をこの表に示した順番に使用して Silverlight コントロールのロケーターを記録時に作成します。 たとえば、コントロールが automationId と name を持つ場合、automationId が固有の場合は Silk Test Workbench がロケーターを作成する際に使用されます。

以下の表は、アプリケーション開発者がテキスト「Ok」を持つ Silverlight ボタンをアプリケーションの XAML コードに定義する方法を示しています。
オブジェクトの XAML コード | Silk Test からオブジェクトを検索するためのロケーター
<Button>Ok</Button> | //SLButton[@caption="Ok"]
<Button Name="okButton">Ok</Button> | //SLButton[@automationId="okButton"]
<Button AutomationProperties.AutomationId="okButton">Ok</Button> | //SLButton[@automationId="okButton"]
<Button AutomationProperties.Name="okButton">Ok</Button> | //SLButton[@name="okButton"]
親トピック: Silverlight アプリケーションのサポート
親トピック: サポートする属性の種類
関連概念
動的ロケーター属性


Silverlight メソッドの動的呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk Test Workbench API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk Test Workbench API を通して公開されていない場合に特に便利です。

注: 動的呼び出しは、スクリプトで使用できます。ビジュアル テストでは使用できません。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk Test Workbench 型。

    Silk Test Workbench 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point、Rect など) が含まれます。

  • 列挙型。

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合には、Visible、Hidden、Collapsed の文字列値を使用できます。

  • .NET 構造体とオブジェクト。

    .NET 構造体とオブジェクト パラメータはリストとして渡します。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • その他のコントロール。

    コントロール パラメータは TestObject として渡すことができます。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • MSDN が定義する AutomationElement クラスのすべてのパブリック メソッドとプロパティ。詳細については、http://msdn.microsoft.com/en-us/library/system.windows.automation.automationelement.aspx を参照してください。
  • MSUIA が公開するすべてのメソッドとプロパティ。利用可能なメソッドとプロパティは「パターン」で分類されます。パターンとは、MSUIA 固有の用語です。すべてのコントロールは、いくつかのパターンを実装します。一般的なパターンについての概要およびすべての利用可能なパターンについては、http://msdn.microsoft.com/en-us/library/ms752362.aspx を参照してください。カスタム コントロールの開発者は、MSUIA パターン セットを実装することによって、カスタム コントロールのテスト サポートを提供できます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk Test Workbench 型の場合は正しい値。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
  • すべてのその他の型の場合は文字列。

    この文字列表現を取得するには、テスト対象アプリケーションの返された .NET オブジェクトに対して ToString メソッドを呼び出します。

例

Silverlight の TabItem。 これは TabControl の項目です。
tabItem.Invoke("SelectionItemPattern.Select")
mySilverligtObject.GetProperty("IsPassword")
親トピック: Silverlight アプリケーションのサポート
関連概念
動的呼び出し
カスタム コントロール
動的呼び出しに関するよくある質問


Silverlight でのスクロール

Silk Test Workbench では、Silverlight コントロールに応じて、2 種類のスクロール方法とプロパティを提供します。
  • 1 つめの種類のコントロールには、それ自体でスクロール可能なコントロールが含まれ、スクロールバーは子として明示的に表示されません。 たとえば、コンボ ボックス、ペイン、リスト ボックス、ツリー コントロール、データ グリッド、オート コンプリート ボックスなどがあります。
  • 2 つめの種類のコントロールには、それ自体ではスクロール不可能なコントロールが含まれ、スクロール用にスクロールバーが子として表示されます。 たとえば、テキスト フィールドがあります。
Silk Test Workbench にこのような違いがあるのは、Silk Test Workbench のコントロールがこの 2 通りの方法でスクロールを実装するためです。

スクロールをサポートするコントロール

この場合、スクロール方法とプロパティは、スクロールバーを含むコントロールで使用できます。 したがって、 Silk Test Workbench ではスクロールバー オブジェクトは表示されません。

使用例

以下のコマンドでは、リスト ボックスが一番下までスクロールされます。
listBox.SetVerticalScrollPercent(100)
以下のコマンドでは、リスト ボックスが 1 ユニットずつ下方へスクロールされます。
listBox.ScrollVertical(ScrollAmount.SmallIncrement)

スクロールをサポートしないコントロール

この場合、スクロールバーが表示されます。 コントロール自体で可能なスクロール方法とプロパティはありません。 水平スクロールバーと垂直スクロールバーの各オブジェクトを使用すると、対応する API 関数でパラメータとして増分または減分、または最終位置を指定することでコントロール内をスクロールできます。 増分または減分として ScrollAmount 列挙の値を使用できます。 詳細については、Silverlight の製品マニュアルを参照してください。 最終位置は、オブジェクトの位置に関連し、アプリケーション設計者によって定義されます。

使用例

以下のコマンドでは、テキスト ボックス内の垂直スクロールバーが 15 の位置までスクロールされます。
 textBox.SLVerticalScrollBar().ScrollToPosition(15)
以下のコマンドでは、テキスト ボックス内の垂直スクロールバーが一番下までスクロールされます。
 textBox.SLVerticalScrollBar().ScrollToMaximum()
親トピック: Silverlight アプリケーションのサポート


Silverlight アプリケーションのテスト時のトラブルシューティング

Silk Test Workbench で Silverlight アプリケーションの内部を確認できず、記録時に緑色の矩形領域が描画されない

次の理由により、Silk Test Workbench は Silverlight アプリケーションの内部を確認できなくなっています。
原因 | 解決策
使用している Silverlight のバージョンが 3 以前である | Silverlight 3 (Silverlight Runtime 4) または Silverlight 4 (Silverlight Runtime 4) を使用します。
使用している Silverlight アプリケーションがウィンドウレス モードで実行されている Silk Test Workbench は、ウィンドウレス モードで実行される Silverlight アプリケーションをサポートしません。このようなアプリケーションをテストするには、Silverlight アプリケーションが実行されている Web サイトを変更する必要があります。つまり、Silverlight アプリケーションがホストされている HTML または ASPX ファイルのオブジェクト タグの windowless パラメータを false に設定する必要があります。
以下のコードは、windowless パラメータを false に設定する例を示します。
<object ...>
  <param name="windowless" value="false"/>
  ...
</object>
親トピック: Silverlight アプリケーションのサポート


Visual COBOL のサポート

Silk Test Workbench は、Visual COBOL アプリケーションに対するテストの記録と再生をサポートします。.NET COBOL から Silk Test Workbench API を使用して、次の Visual COBOL アプリケーションに対して自動テストのスクリプトを記述することもできます。
  • ダイアログ システム アプリケーション
  • CGI アプリケーション
  • COBOL Win32 アプリケーション
  • .NET COBOL - WPF および Windows Forms アプリケーション
  • COBOL JVM - Swing アプリケーション
  • バックエンドにある COBOL を呼び出す非 COBOL のフロントエンド アプリケーション
注: コントロールによっては、Silk Test Workbench は低レベルの記録のみをサポートします。

サポートする Visual COBOL のバージョンについての情報は、『リリース ノート』を参照してください。

親トピック: .NET のサポート


Rumba のサポート

Rumba は、世界トップクラスの Windows デスクトップ端末エミュレーション ソリューションです。Silk Test は、Rumba の記録および再生を組み込みでサポートしています。

Rumba でのテスト時には、以下の点を考慮してください。

  • Rumba のバージョンは、Silk Test のバージョンと互換性がある必要があります。バージョン 8.1 以前の Rumba はサポートされていません。
  • Rumba のグリーン スクリーンの周囲にあるコントロールはすべて WPF の基本機能 (または Win32) を使用しています。
  • サポートされている Rumba デスクトップ タイプは、以下のとおりです。
    • メインフレーム ディスプレイ
    • AS400 ディスプレイ
    • Unix ディスプレイ

Rumba テストで使用できる記録および再生のコントロールの完全な一覧については、「Rumba クラス リファレンス」を参照してください。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

  • Rumba クラス リファレンス
    Rumba をサポートするための Visual Basic クラスを一覧します。
  • Rumba の有効化と無効化
    Rumba を有効/無効にする方法について説明します。
  • Rumba コントロールを識別するためのロケーター属性
    Rumba コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Rumba での画面検証の使用
    Rumba に対する画面検証を実行する方法を説明します。
  • Unix ディスプレイのテスト
    Rumba で Unix ディスプレイでテストを再生する方法について説明します。
親トピック: 特定の環境のテスト


Rumba クラス リファレンス

Rumba アプリケーションを設定すると、Silk Test Workbench は標準の Rumba コントロールのテストのサポートを組み込みで提供します。

親トピック: Rumba のサポート
関連資料
Rumba クラス リファレンス


Rumba の有効化と無効化

Rumba は、世界トップクラスの Windows デスクトップ端末エミュレーション ソリューションです。 Rumba は、メインフレーム、ミッドレンジ、UNIX、Linux、および HP サーバーとの接続ソリューションを提供します。

サポートの有効化

Rumba スクリプトを記録および再生する前に、サポートを有効にする必要があります。

  1. Rumba デスクトップ クライアント ソフトウェア バージョン 8.1 以降をインストールします。
  2. (Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > Rumba プラグイン > Silk Test Rumba プラグインの有効化、または (Microsoft Windows 10) スタート > Silk > Silk Test Rumba プラグインの有効化 をクリックします。

サポートの無効化

(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > Rumba プラグイン > Silk Test Rumba プラグインの無効化、または (Microsoft Windows 10) スタート > Silk > Silk Test Rumba プラグインの無効化 をクリックします。

親トピック: Rumba のサポート


Rumba コントロールを識別するためのロケーター属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。 サポートされている属性は次のとおりです。

caption
コントロールが表示するテキスト。
priorlabel
フォームの入力フィールドには通常入力の目的を説明するラベルがあるため、priorlabel の目的は隣接するラベル フィールド RumbaLabel のテキストによってテキスト入力フィールド RumbaTextField を識別することです。 テキスト フィールドの同じ行の直前にラベルがない場合、または右側のラベルが左側のラベルよりテキスト フィールドに近い場合、テキスト フィールドの右側にあるラベルが使用されます。
StartRow
この属性は記録されていませんが、手動でロケーターに追加することができます。 StartRow を使用して、この行で始まるテキスト入力フィールド、RumbaTextField を識別します。
StartColumn
この属性は記録されていませんが、手動でロケーターに追加することができます。 StartColumn を使用して、この列で始まるテキスト入力フィールド、RumbaTextField を識別します。
すべての動的ロケーター属性。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Rumba のサポート
親トピック: サポートする属性の種類


Rumba での画面検証の使用

Rumba に対する画面検証を自動的に挿入するには、オプション ダイアログ ボックスで 記録 > 全般 > 画面検証を記録する をオンにします。

画面検証を手動で挿入するには、以下を実行します。

  1. テストで、検証タイプのロジックの作成 ボタンをクリックし、テスト ロジック デザイナ - 検証 を開きます。
  2. 次へ をクリックします。
  3. 画面のコンテンツ を選択します。 ツール > オプション > 記録 > Rumba > 除外オブジェクト で特定されるすべての除外オブジェクトが使用されます。 この手順を完了後に、テストの プロパティ ウィンドウでこれらをさらにカスタマイズできます。
  4. 次へ をクリックします。
  5. 識別 ボタンをクリックします。
  6. 識別する Rumba 画面でコントロールを選択します。 画面全体がキャプチャされます。
  7. 次へ をクリックします。
  8. 完了 をクリックします。
親トピック: Rumba のサポート


Unix ディスプレイのテスト

Rumba の Unix ディスプレイは完全にテキスト ベースで、メインの RUMBA 画面 コントロール以外に UI コントロールはありません。Unix ディスプレイ上のテストを再生するには、SendKeys メソッドを使用して、Unix ディスプレイにキーを送信します。Silk Test Workbench は、Unix ディスプレイ上での記録をサポートしません。

親トピック: Rumba のサポート


SAP のサポート

Silk Test Workbench は、Windows ベースの GUI モジュールを基にした SAP クライアント／サーバー アプリケーションのテストを組み込みでサポートしています。
注: Silk Test Workbench のプレミアム ライセンスを所有している場合にのみ、Silk Test Workbench で SAP アプリケーションをテストできます。ライセンス モードについての詳細は、「ライセンス情報」を参照してください。
注: Internet Explorer や Firefox 上から SAP NetWeaver を使用する場合、Silk Test Workbench は、xBrowser テクノロジ ドメインを使用してアプリケーションをテストします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

SAP のテストで利用可能な記録および再生コントロールの完全な一覧については、「SAP クラス リファレンス」を参照してください。

サポートされている属性の一覧については、「SAP アプリケーションの属性」を参照してください。

  • SAP クラス リファレンス
    SAP をサポートするための Visual Basic クラスを一覧します。
  • SAP アプリケーションの属性
    SAP アプリケーションがサポートする属性の一覧を提供します。
  • SAP メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk Test Workbench が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • SAP コントロールの動的呼び出し
    SAP コントロールのメソッドを動的に呼び出して、Silk Test Workbench で記録できない SAP コントロールに対する操作を再生します。
  • SAP の自動セキュリティ設定の構成
    SAP アプリケーションを起動する前に、セキュリティ警告設定を構成する必要があります。 このようにしないと、テストで SAP アプリケーションが再生されるたびにセキュリティ警告が表示されます。
  • SAP eCATT の操作
    Silk Test Workbench と SAP eCATT の統合の概要について説明します。
親トピック: 特定の環境のテスト
関連概念
ライセンス情報


SAP クラス リファレンス

SAP アプリケーションを設定すると、Silk Test Workbench は標準の SAP コントロールのテストのサポートを組み込みで提供します。

注: Silk Test Workbench が SAP コントロールを解決できるようにするには、サーバー上で SAP GUI Scripting を有効にします。SAP GUI Scripting の有効化についての情報は、『Introduction to SAP Gui Scripting』を参照してください。SAP GUI Scripting が有効になっていないと、Silk Test Workbench は、すべてのコントロールを Win32 コントロール、およびカスタム コントロールとして解決します。

SAP クラス リファレンスに含まれるクラス (インクルードしたプロパティとメソッドを含む)は、Silk Test Workbench から直接アクセス可能な SAP オートメーション モジュールの一部です。

注: インターフェイスに備わるアルゴリズムや動作を含み、インターフェイスは Silk Test Workbench のコントロール下にはありません。単純なデータ型が含まれているかぎり、ビジュアル テストはリストした SAP クラスのプロパティとメソッドを利用します。たとえば、SAPTable クラスの GetCell メソッドをビジュアル テストから呼び出すことはできませんが、VB .NET スクリプトからそのメソッドを呼び出すことができます。
親トピック: SAP のサポート
関連資料
SAP クラス リファレンス


SAP アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

SAP がサポートする属性は次のとおりです。
  • automationId
  • caption
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: SAP のサポート
親トピック: サポートする属性の種類


SAP メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk Test Workbench API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk Test Workbench API を通して公開されていない場合に特に便利です。

注: 動的呼び出しは、スクリプトで使用できます。ビジュアル テストでは使用できません。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk Test Workbench がサポートするコントロールのメソッドとプロパティー。
  • SAP オートメーション インターフェイスによって定義されているすべての public メソッド
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk Test Workbench 型

    Silk Test Workbench 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point や Rect など) が含まれます。

  • UI コントロール

    UI コントロールは、TestObject として渡したり、返したりできます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk Test Workbench 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。

例

以下の VB .NET スクリプトの例では、SAP メソッドを動的に呼び出す方法を示します。

Dim _desktop As Desktop = Agent.Desktop
Dim wnd As SapWindow = _desktop.SapWindow("wnd 0")
Dim result As Object

result = wnd.Invoke("IsVKeyAllowed", 8) ' boolean return value
Console.WriteLine(
  "invoke result='" & result & "' type=" & result.GetType().ToString())
wnd.Invoke("ShowMessageBox", "A Title", "Some text...", 1, 1)
親トピック: SAP のサポート
関連概念
動的呼び出し
カスタム コントロール
動的呼び出しに関するよくある質問


SAP コントロールの動的呼び出し

Silk Test Workbench で SAP コントロールに対する操作を記録できない場合、SAP で利用できるレコーダーで操作を記録してから、記録されたメソッドを Silk Test Workbench スクリプトで動的に呼び出すことができます。これによって、記録できない SAP コントロールに対する操作を再生できます。
  1. コントロールに対して実行する操作を記録するには、SAP で利用できる SAP GUI スクリプト作成 ツールを使用できます。 SAP GUI スクリプト作成 ツールの詳細については、SAP のドキュメントを参照してください。
  2. 記録された操作を SAP GUI スクリプト作成 ツールによって保存された場所から開き、記録されたメソッドを確認します。
  3. Silk Test Workbench で、記録されたメソッドをスクリプトから動的に呼び出します。

使用例

たとえば、SAP UI で Test というラベルが付いた、ボタンとリスト ボックスの組み合わせである特別なコントロールを押し、コントロールのサブメニュー subsub2 を選択する操作を再生したい場合、SAP で利用できるレコーダーでこの操作を記録できます。結果のコードは、以下のようになります。
session.findById("wnd[0]/usr/cntlCONTAINER/shellcont/shell").pressContextButton "TEST"
session.findById("wnd[0]/usr/cntlCONTAINER/shellcont/shell").selectContextMenuItem "subsub2"
ここで、メソッド pressContextButton と selectContextMenuItem を Silk Test Workbench のスクリプトから動的に呼び出すには、次のコードを使用できます。
.SapToolbarControl("shell ToolbarControl").Invoke("pressContextButton", "TEST")
.SapToolbarControl("shell ToolbarControl").Invoke("selectContextMenuItem", "subsub2")
このコードを再生すると、SAP UI のコントロールが押下され、サブメニューが選択されます。
親トピック: SAP のサポート


SAP の自動セキュリティ設定の構成

SAP アプリケーションを起動する前に、セキュリティ警告設定を構成する必要があります。 このようにしないと、テストで SAP アプリケーションが再生されるたびにセキュリティ警告 「スクリプトから GUI に接続しようとしています」が表示されます。

  1. Windows の コントロール パネル で SAP システム設定 を選択します。 SAP システム設定 ダイアログ ボックスが開きます。
  2. デザイン選択 タブで、スクリプトが実行中 SAP GUI に追加されるとき通知 をオフにします。
親トピック: SAP のサポート


SAP eCATT の操作

Silk Test Workbench は、SAP の eCATT (extended Computer Aided Test Tool) と統合することにより、HTML テクノロジに基づく製品について完全なテスト サポートを SAP ユーザーに提供します。これにより、eCATT テスト スクリプト開発者は、HTML 製品のあらゆるテストを一元管理できます。Silk Test Workbench では、ANSI または Unicode データベースのデータの操作と保存ができます。

Silk Test Workbench を eCATT のユーザー インターフェイス内で使用すると、Silk Test Workbench の資産は eCATT テストと共に取得され、SAP/R3 データベースに格納されます。テスト担当者は、自分の結果の概要を一元的に把握できます。eCATT と Silk Test Workbench テストの結果は結合され、eCATT で同じ画面に表示できます。

開発者は、eCATT と Silk Test Workbench との間でパラメータを受け渡すことによって、真の意味で統合されたテスト シナリオを作成できます。また、テスト担当者は、SAP テスト データ コンテナのデータを Silk Test Workbench で使用できるようになります。最も重要な利点は、同じ SAP システムにアクセスできるテスト担当者がそれぞれのテストを共有できるということです。

Silk Test Workbench では、スクリプト引数を使用して、eCATT と Silk Test Workbench との間でパラメータを渡します。

Silk Test Workbench と eCATT 間のインターフェイスには、COM と RFC という 2 種類の通信が使用されます。eCATT における Silk Test Workbench の GUI インターフェイスは COM 経由で行われます。RFC 通信は、Silk Test Workbench が SAP/R3 データベースとの間でデータの保存と読み込みを行うために使用されます。データには、1 つまたは複数の Silk Test Workbench プロジェクトと、SAP/R3 データベースにラージ オブジェクトとして格納される、関連する Silk Test Workbench 資産のすべてが含まれます。これらのラージ オブジェクトのことを BLOB と呼びます。

  • Silk Test Workbench と SAP eCATT の統合
    Silk Test Workbench を SAP eCATT と統合する方法について説明します。
  • Silk Test Workbench を eCATT から開始した場合の eCATT スクリプトの記録とテスト
    Silk Test Workbench を eCATT から開始した場合に eCATT スクリプトを記録およびテストする方法の概要を提供します。
  • スタンドアロン Silk Test Workbench を使用した eCATT スクリプトの作成
    スタンドアロン Silk Test Workbench を使用した eCATT スクリプトの作成方法について説明します。
  • BLOB の操作
    BLOB の操作方法について説明します。
  • Silk Test Workbench における eCATT スクリプト引数のサポート
    Silk Test Workbench で eCATT スクリプト引数をサポートする方法について説明します。
  • eCATT から Silk Test Workbench でテストを実行する
    eCATT でテスト結果を使用するために Silk Test Workbench でテストを実行します。
  • eCATT で Silk Test Workbench テスト結果を表示する
    Silk Test Workbench でテストを実行したときに eCATT で見ることのできるテスト結果について説明します。
親トピック: SAP のサポート


Silk Test Workbench と SAP eCATT の統合

Silk Test Workbench と SAP eCATT の統合によって、テスト プロセスを最初から最後まで管理できるようになります。一度 Silk Test Workbench と SAP eCATT を統合すれば、Silk Test Workbench と eCATT を次の 2 つの方法で使用することができます。
  • eCATT 内から Silk Test Workbench を起動して、テスト スクリプトの記録、再生、デバッグ、および編集を行うことができます。また、資産を BLOB に保存したり、SAP/R3 データベースから BLOB を読み込んだり、テスト スクリプト引数を管理したりできます。こちらの方法を推奨します。
  • Silk Test Workbench のスタンドアロン版を eCATT から別に開始します。Silk Test Workbench と eCATT 間で、データを BLOB で転送できます。
  • eCATT との統合のセットアップ
    基本のテスト管理ソリューションとして SAP eCATT を利用するために。、Silk Test Workbench と eCATT 間の統合を設定します。
  • eCATT への Silk Test Workbench の登録
    Silk Test Workbench と eCATT を統合するために、ECCUST_ET SAP テーブルに Silk Test Workbench を登録します。
  • 特定のユーザー アカウントの作成
    外部ツールを使用して eCATT 統合を利用するために各システム用の標準ユーザーを生成します。
  • Silk Test Workbench のスタンドアロン版の構成
    Silk Test Workbench のスタンドアロン版と eCATT 間で BLOB でデータを転送したい場合に、行わなければならない追加の構成について説明します。
親トピック: SAP eCATT の操作


eCATT との統合のセットアップ

Silk Test Workbench と eCATT 間の統合を設定するには、以下の手順を実行します。

  1. 永続的な変更を行うために、SAP サーバーに管理者としてログインします。
  2. アプリケーション サーバーでスクリプトを有効化します。追加の情報については、SAP ヘルプのトピック「アプリケーションサーバでのスクリプト有効化」を参照してください。
  3. SAP サーバー上で、eCATT の外部ツールとして Silk Test Workbench を登録します。追加の情報については、SAP ヘルプのトピック「eCATT での外部ツール使用準備 」を参照してください。
  4. 各クライアントに対して、クライアントのフロントエンドでスクリプトを有効化します。
    注: Silk Test Workbench が SAP アプリケーションに対して記録しようとするたびに確認ダイアログ ボックスが表示されることを避けるために、実行中の GUI にスクリプトが接続する時に通知する チェック ボックスをオフにします。
    追加の情報については、SAP ヘルプのトピック「フロントエンドでのスクリプト有効化」を参照してください。
  5. SAP サーバー上で、新しいユーザー アカウントを作成します。
  6. eCATT と組み合わせて Silk Test Workbench を使用しているクライアント マシンに、Silk Test Workbench と SAPGUI クライアントの両方をインストールします。
親トピック: Silk Test Workbench と SAP eCATT の統合
関連タスク
eCATT への Silk Test Workbench の登録
特定のユーザー アカウントの作成


eCATT への Silk Test Workbench の登録

Silk Test Workbench と eCATT を統合するには、ECCUST_ET SAP テーブルに Silk Test Workbench を登録する必要があります。SET_EXTERNAL_TOOL メソッドは、ECCUST_ET テーブルに必要な項目を作成します。SET_EXTERNAL_TOOL 汎用モジュールは SE37 トランザクションを使用して呼び出すことができます。

  1. 最初の画面で、汎用モジュール名 SET_EXTERNAL_TOOL. を入力します。
  2. 汎用モジュール メニューから、テスト > 単一テスト を選択します。
  3. 次のウィンドウで、次のパラメータと値を入力します。
    パラメータ | 値
    TOOL_NAME | Silk Test Workbench
    PROG_ID | SilkTest.STWEcattControl
    TOOL_DESC | Silk Test Workbench for eCATT
    TOOL_DATABASE | STW_EDIT
    TOOL_RUN_DB | STW_EXEC
    TOOL_NO_PWD | <blank>
    TOOL_NO_DB | <blank>
  4. 実行 ボタン (F8) を押します。
親トピック: Silk Test Workbench と SAP eCATT の統合
関連タスク
eCATT との統合のセットアップ


特定のユーザー アカウントの作成

外部ツールを使用して eCATT 統合を利用するために、システム管理者はシステムに標準ユーザーを生成する必要があります。これは、SE38 の ECATT_GENERATE_ET_USER プログラムを各システムに対して一度だけ実行することによって行われます。

レポートを実行した後に、新しく作成したユーザー ロールをアクティブにするには、次の手順を実行します。

  1. PFCG トランザクションでロール SAP_ECET を入力し、Change を選択します。 表示される警告は無視してかまいません。
  2. Authorizations タブに切り替えて、Change Authorization Data を選択します。
  3. SAP_ECET ツリーのトップ ノード上にカーソルを移動し、Authorizations > Generate を選択します。
  4. Back をクリックして、ロールのメンテナンス画面に戻ります。
  5. Save をクリックします。
親トピック: Silk Test Workbench と SAP eCATT の統合
関連タスク
eCATT との統合のセットアップ


Silk Test Workbench のスタンドアロン版の構成

このセクションのトピックでは、Silk Test Workbench のスタンドアロン版を eCATT からとは別に開始した場合に、Silk Test Workbench と eCATT 間で BLOB でデータを転送したい場合に、行わなければならない追加の構成について説明します。Silk Test Workbench を eCATT 内から開始した場合は、この設定を行う必要はありません。

  • SAP/R3 ログイン パラメータの設定
    SAP/R3 ログイン パラメータについて説明します。
  • RFC 接続パラメータの設定または変更
    RFC 接続パラメータの設定または変更の方法について説明します。
親トピック: Silk Test Workbench と SAP eCATT の統合


SAP/R3 ログイン パラメータの設定

SAP/R3 ログイン パラメータは、SAP/R3 データベースにログオンするために使用されます。 Silk Test Workbench を使用して SAP/R3 データベースにログオンし、Silk Test Workbench と eCATT の間で BLOB の取得や転送ができます。
  1. 以下のいずれかを実行します。
    1. BLOB の保存 ダイアログ ボックスから ログイン パラメータの変更 ボタンをクリックします。
    2. Silk Test Workbench のメニューから ツール > SAP eCATT > SAP/R3 ログイン パラメータ をクリックします。

    SAP/R3 ログイン ダイアログ ボックスが表示されます。 eCATT に接続している場合は、設定されたログオン パラメータが表示されます。 この場合、パスワードを再入力するだけでログオンできます。 すでに接続している場合は、ステップ 3 に進んでください。

    現在 eCATT に接続していない場合、SAP eCATT データベースにワンタイム ログオンを実行する必要があります。 SAP ではログオン情報が維持されるため、一度ログインしたあとは、パスワードを入力するだけで再接続してデータを転送できます。

  2. 3 桁の SAP 固有のクライアント セッション番号を クライアント フィールドに入力します。 クライアント番号の詳細については、SAP SDK のマニュアルを参照してください。
  3. SAP/R3 データベースのログオン ユーザー ID を ユーザー名 フィールドに入力します。
  4. SAP/R3 のパスワードを パスワード フィールドに入力します。
  5. 有効な SAP 言語コードを 言語 フィールドに入力します。
  6. OK をクリックして接続するか、キャンセル をクリックして接続せずに終了します。
親トピック: Silk Test Workbench のスタンドアロン版の構成


RFC 接続パラメータの設定または変更

RFC インターフェイスは、Silk Test Workbench と SAP/R3 データベース間で BLOB、引数コンテナ、および実行情報を転送するのに使用されます。 Silk Test Workbench と SAP eCATT の間で BLOB の保存と読み込みを行うには、接続情報が必要となります。 以下の手順に従って、RFC インターフェイスの接続パラメータを変更してください。
  1. eCATT インターフェイスを使用している場合は、Silk Test Workbench のアクティブ セッションに切り替えます。
  2. 以下のいずれかを実行します。
    1. BLOB の保存 ダイアログ ボックスから RFC パラメータの変更 ボタンをクリックします。
    2. Silk Test Workbench のメニューから ツール > SAP eCATT > RFC 接続パラメータ をクリックします。
    RFC 接続パラメータ ダイアログ ボックスが表示されます。
  3. 以下のいずれかを実行します。

    現在のセッションに対して RFC 接続をすでに確立してある場合は、RFC 接続パラメータ ダイアログ ボックスにパラメータが表示されます。 これらのパラメータを変更する必要がない場合は、ステップ 4 へ進んでください。

    現在のセッションに対して RFC 接続をまだ確立していない場合や、RFC 接続パラメータを変更する必要がある場合は、必要な接続情報を入力します。 接続情報は以下のとおりです。

    SAP ログオン ID を使用する
    すでに SAP GUI を使用して SAP ログオン ID を作成してある場合は、このボックスをオンにしてログオンを選択します。 SAP GUI に項目がない場合は、このチェック ボックスと SAP ログオン ID は無効になっています。
    SAP ログオン ID
    リストからログオンを選択します。
    AS ホスト
    RFC 接続に使用される SAP アプリケーション サーバーのホスト マシンの名前。 これには、ホスト名の前に付く SAP ルーティング文字列を含めることができます。
    RFC の種類
    Silk Test Workbench の SAP eCATT への RFC 接続に使用されるサーバーの種類。 R3 システムの場合、RFC の種類は 3 です。
    システム番号
    RFC 接続の SAP システム番号。
  4. SAP サーバーが SAP GUI クライアントおよび Silk Test Workbench 以外の別のネットワーク上にある場合は、SAP ルーター文字列を eCATT ABAB コードに手動で入力する必要があります。 以下のステップを実行します。
    1. トランザクション se80 を開始します。
    2. Class/Interface cl_apl_ecatt_extprog を編集します。
    3. メソッド Launch に移動して次のコードを追加します： ashost = '<ROUTER-STRING+IP>'。 ここで、<ROUTER-STRING+IP> は SAP ルーター文字列、IP は SAP サーバーのアドレスです。
  5. OK をクリックして変更を適用し、ダイアログ ボックスを閉じます。 BLOB の保存と SAP/R3 のログインが Silk Test Workbench と eCATT の間で行われると、BLOB が SAP/R3 データベースに転送されます。 BLOB が転送されたら、そのテスト スクリプトを eCATT で使用できるようになります。
親トピック: Silk Test Workbench のスタンドアロン版の構成


Silk Test Workbench を eCATT から開始した場合の eCATT スクリプトの記録とテスト

Silk Test Workbench を eCATT から開始した場合、eCATT を使用してテストを定義し、Silk Test Workbench を eCATT の外部テスト ツールとして使用してスクリプトを記録することができます。これにより、テストを一元管理でき、Silk Test Workbench 内のスクリプト作成機能を使用してターゲット アプリケーションの記録とテストを実行できるようになります。Silk Test Workbench で記録されるテストは、.NET スクリプトかビジュアル テストのいずれかになります。

  • eCATT でのテスト スクリプトの定義
    eCATT でのテスト スクリプトの定義方法について説明します。
  • eCATT でのテスト スクリプト属性の指定
    eCATT でテスト スクリプト属性を指定する方法について説明します。
  • Silk Test Workbench を使用したスクリプトの記録とテスト
    Silk Test Workbench を使用したスクリプトの記録とテストの方法について説明します。
親トピック: SAP eCATT の操作


eCATT でのテスト スクリプトの定義

  1. テスト スクリプトを eCATT で起動します。それには、eCATT の最初の画面で テスト スクリプト を選択し、名前として S_ECATT を入力し、バージョン番号を入力します。
  2. eCATT で、Silk Test Workbench を外部ツールとして指定します。
  3. ツールバーの オブジェクトの適用 ボタンをクリックします。SAP eCATT でスクリプト エディタが表示されます。
親トピック: Silk Test Workbench を eCATT から開始した場合の eCATT スクリプトの記録とテスト


eCATT でのテスト スクリプト属性の指定

  1. eCATT を使用してテスト スクリプト属性を指定します。詳細な手順については、http://help.sap.com にある eCATT ヘルプを参照してください。
  2. アプリケーション ツールバーの スクリプト ボタンをクリックします。 外部ツールのユーザエントリ ダイアログ ボックスが表示されます。
  3. ST_EDIT データベースのユーザー名とパスワードを入力します。 これは、Silk Test Workbench を外部ツールとして使用するために必要です。
  4. テスト スクリプトの作成場所とする外部ツール プロジェクトの名前を入力します。この名前は、Silk Test Workbench 内のプロジェクトの名前です。
  5. ST_EDIT データベースをクリアしたい場合は、チェック ボックスをオンにします

eCATT から Silk Test Workbench が起動され、eCATT で作成された新しいテスト スクリプトが コード ウィンドウに表示されます。これで、テスト スクリプトを記録してテストできます。または、コード ウィンドウを閉じて、ビジュアル テストを作成および記録して、ターゲット アプリケーションをテストすることができます。

親トピック: Silk Test Workbench を eCATT から開始した場合の eCATT スクリプトの記録とテスト


Silk Test Workbench を使用したスクリプトの記録とテスト

  1. ターゲット アプリケーションが実行されており、使用可能な状態であることを確認します。
  2. Silk Test Workbench で、.NET スクリプトを記録するか、ビジュアル テストを作成して記録します。
  3. 省略可能：任意の引数を作成します。 詳細については、Silk Test Workbench における eCATT スクリプト引数のサポート を参照してください。
  4. Silk Test Workbench を使用して .NET スクリプトまたはビジュアル テストを再生します。再生用に作成された結果を表示することもできます。
  5. テストおよび関係するすべての Silk Test Workbench 資産を BLOB に保存します。 保存された BLOB データは SAP/R3 データベースに転送され、eCATT で使用できます。
親トピック: Silk Test Workbench を eCATT から開始した場合の eCATT スクリプトの記録とテスト
関連概念
Silk Test Workbench における eCATT スクリプト引数のサポート


スタンドアロン Silk Test Workbench を使用した eCATT スクリプトの作成

Silk Test Workbench で eCATT スクリプトを作成し、追加の VB.NET コードを記録または記述してテストしたあと、そのテスト スクリプトを eCATT で使用できるように SAP/R3 データベースに転送できます。この場合は、BLOB でテスト スクリプト、プロジェクト、および関連資産が eCATT に渡されるまで、Silk Test Workbench はスタンドアロン環境で実行されます (eCATT から起動しません)。

  1. Silk Test Workbench を起動します。
  2. テスト スクリプトを作成して記録します。
    注: eCATT で作成したテスト スクリプトを BLOB で Silk Test Workbench データベースの一時記憶域に読み込み、使用することもできます。
  3. テスト スクリプトを再生します。
  4. テスト スクリプトの再生用に作成された結果をすべて表示します。
  5. eCATT でのテスト スクリプトに必要な引数をすべて作成します。
  6. テスト スクリプトとそのプロジェクト、および関連資産を eCATT に転送するには、テスト スクリプトを BLOB に保存します。 Silk Test Workbench はスタンドアロン モードで実行されているので、[SAP/R3 ログイン] ダイアログ ボックスが表示されます。
  7. SAP/R3 データベース ログイン パラメータを設定し、BLOB 転送を行うための SAP/R3 データベースに接続します。
    注: Silk Test Workbench では SAP/R3 データベースに接続するのに有効な SAP/R3 ログイン ユーザー名とパスワードが必要です。具体的な手順については「SAP/R3 ログイン パラメータの設定」を参照してください。
  8. 現在のセッションに対して RFC 接続を確立する必要があります。BLOB データを eCATT に転送するために RFC 接続パラメータを設定します。 接続が確立されると、eCATT でテスト スクリプトを使用できるようになります。
親トピック: SAP eCATT の操作


BLOB の操作

バイナリ ラージ オブジェクト (BLOB) は、SAP eCATT と Silk Test Workbench との間でテスト スクリプトまたはビジュアル テストを転送するのに使用されるコンテナです。BLOB 内の情報には、.NET スクリプトまたはビジュアル テストに属するすべての関連テスト資産 (結果を除く) が含まれ、他の .NET スクリプトまたはビジュアル テストも含まれます。

BLOB には、関連テスト資産以外に、テスト スクリプトまたはビジュアル テストに属するすべてのオプション設定も含まれます。

BLOB は XML ドキュメントです。BLOB の形式は、Silk Test Workbench の内部でのみ使用されます。BLOB のデータ自体は、外部のシステムによって解釈することはできません。

最後に保存したバージョンの BLOB だけが SAP eCATT データベースに保存されます。以前のバージョンは保持されません。BLOB がユーザーによる編集／デバッグのために開かれると、この BLOB はデータベースに再送信されるまで別のユーザーによってアクセスすることはできません。BLOB を再送信すると、以前のバージョンは上書きされます。

BLOB は、Silk Test Workbench で作成 (保存) されます。BLOB を保存すると、その BLOB は、Silk Test Workbench と eCATT 間の RFC インターフェイスを介して、Silk Test Workbench から SAP/R3 データベースに転送されます。

  • BLOB 追跡情報の入力
    BLOB 追跡情報の入力方法について説明します。
  • BLOB の内容の入力または変更
    BLOB の内容の入力または変更の方法について説明します。
親トピック: SAP eCATT の操作


BLOB 追跡情報の入力

  1. 開いているテスト スクリプトのオプションがすべて適切に設定されていることを確認します。 特に、Silk Test Workbench の再生オプションは eCATT での再生に影響を与えます。
  2. Silk Test Workbench のメニューから以下のいずれかをクリックします。
    1. BLOB を保存して Silk Test Workbench での作業を続けるには、ツール > SAP eCATT > BLOB の保存 > 保存して続行 をクリックします。
    2. BLOB を保存して BLOB が SAP/R3 データベースに転送されたときに eCATT に移動するには、ツール > SAP eCATT > BLOB の保存 > 保存して eCaTT へ移動 をクリックします。 保存が完了すると、Silk Test Workbench が閉じ、eCATT にフォーカスが設定されます。
    BLOB の保存 ダイアログ ボックスが表示されます。 このダイアログ ボックスには、最後に読み込まれた BLOB に関する情報が表示されます。 これらの情報を入力し直して、新しい BLOB を保存できます。
  3. BLOB の一意の名前を [BLOB ID] フィールドに入力します。
  4. BLOB のバージョン番号を [バージョン] フィールドに入力することもできます。 バージョンを指定しない場合は、「バージョン 1」が使用されます。
    注: バージョン番号は検証も増分もされません。 現在のバージョンの BLOB だけが SAP/R3 データベースに保存されます。
  5. 診断データをローカルの XML ファイルに保存する場合は、[ファイルにダンプ] チェック ボックスをオンにします。
  6. BLOB の内容を入力して BLOB の情報の入力を続けます。
親トピック: BLOB の操作


BLOB の内容の入力または変更

エクスポートするプロジェクト リストには、Silk Test Workbench データベースにあるプロジェクトのうち自分がアクセス権を持つものがすべて表示されます。
注: 接続情報 セクションは、スタンドアロン版の Silk Test Workbench を使用しているときのみ表示されます。 eCATT から Silk Test Workbench を開始した場合には表示されません。
  1. 該当するチェック ボックスをオンにして、BLOB に挿入するプライマリ テスト スクリプトを含むプロジェクトを選択します。他のテスト スクリプトに対する呼び出しがプライマリ スクリプトに含まれている場合は、それらのプロジェクトも選択します。 プロジェクトを選択すると、定義済みの記録および再生設定グループのすべてが [記録設定] および [再生設定] リストに表示されます。これらのグループは、Silk Test Workbench の記録および再生のオプションで設定されます。
  2. 定義済みの記録オプションのグループを BLOB に含めるには、記録設定 リスト ボックスからその記録設定グループを選択します。
  3. 定義済みの再生オプションのグループを BLOB に含めるには、再生設定 リスト ボックスからその再生設定グループを選択します。
  4. Silk Test Workbench のプライマリ プロジェクトを プライマリ プロジェクト ボックスから選択します。プライマリ プロジェクトとは、BLOB のプライマリ スクリプトが属する Silk Test Workbench プロジェクトのことです。
  5. 資産の種類 ボックスで、BLOB に保存されるテストの種類を決めます。.NET スクリプトまたはビジュアル テストをリストから選択します。
  6. プライマリ テスト スクリプト/ビジュアル テスト ボックスには、選択したプロジェクトにある使用可能なテスト スクリプトまたはビジュアル テストのすべてが表示され、現在読み込まれている BLOB からの .NET スクリプトまたはビジュアル テスト (これらは一時的に Silk Test Workbench データベースに保存されます) も表示されます。[資産の種類] での選択に応じて、.NET スクリプトまたはビジュアル テストがリストに表示されます。この BLOB のプライマリ .NET スクリプトまたはビジュアル テストをリストから選択します。
  7. 保存 をクリックして BLOB を SAP/R3 データベースに保存します。
    注:

    デフォルトでは、STW_EDIT および STW_EXEC の Silk Test Workbench の DSN は大文字ですが、SAP サーバーにインストールされている DSN の大文字/小文字と一致させる必要があります。たとえば、BLOB の保存時に「STW_Edit が使用できません」というエラーが表示された場合は、DSN 名の大文字/小文字を確認してください。場合によっては、Silk Test Workbench の DSN を「STW_EDIT」から「STW_Edit」に変更する必要があります。

    Silk Test Workbench のデフォルトの再生または記録オプションを変更する場合、設定の名前がなくなります。BLOB を保存するには、このような名前のない設定に対して名前を付けることが強制されます。再生と記録の設定は「プロファイル」に保存できます。詳細については、「再生オプションの保存」および「記録オプションの保存と再利用」を参照してください。

    Silk Test Workbench で [SAP/R3 ログイン] ダイアログ ボックスが表示され、データベース ログイン パラメータを設定でき、BLOB 転送を行うための SAP/R3 データベースに接続できます。

SAP/R3 データベースにすでに接続している場合は、Silk Test Workbench でデータベースのパスワードを入力するだけで済みます。まだ SAP/R3 データベースに接続していない場合は、Silk Test Workbench で初回接続時に SAP/R3 のログイン ユーザー名とパスワードを入力する必要があります。具体的な手順については「SAP/R3 ログイン パラメータの設定」を参照してください。

RFC 接続がすでに確立されている場合は、ASホストとクライアントの情報 が BLOB の保存 ダイアログ ボックスに表示されます。これらの情報が表示されない場合は、現在のセッションで RFC 接続は確立されていません。その場合、BLOB データを eCATT に転送するには、RFC 接続パラメータを設定する必要があります。「RFC 接続パラメータの設定または変更」を参照してください。

親トピック: BLOB の操作


Silk Test Workbench における eCATT スクリプト引数のサポート

eCATT スクリプト引数は、eCATT 環境における重要な概念の 1 つです。これらの引数は、eCATT と Silk Test Workbench テストとの間の「インターフェイス」となります。引数には、eCATT で BLOB テスト スクリプトまたはビジュアル テストを実行するために現在の BLOB で必要な追加のデータが含まれています。これらの引数によって、テスト スクリプトやビジュアル テストを eCATT 環境で使用できるようになります。

引数は、Silk Test Workbench または eCATT で作成することができ、両方の環境の間でインポートしたりエクスポートしたりできます。

Silk Test Workbench における引数のサポートは、以下の要素で構成されます。

Silk Test Workbench の引数メンテナンス機能

Silk Test Workbench の引数メンテナンス機能では、eCATT 引数コンテナ ダイアログ ボックスを使用して、新しい引数を作成したり、既存の引数を編集または削除したりできます。eCATT 引数コンテナ ダイアログ ボックスを使用して、BLOB を介して eCATT スクリプトとの間でインポートまたはエクスポートできる引数を定義します。定義した引数は、Silk Test Workbench/CATT COM インターフェイスを使用して、eCATT スクリプトと Silk Test Workbench .NET スクリプトまたはビジュアル テストとの間で受け渡すことができます。

Silk Test Workbench は、一度に 1 つの BLOB (引数と関連資産を持つメイン スクリプト) しか処理できないので、eCATT 引数コンテナ ダイアログ ボックスには常に現在の BLOB のスクリプト引数が表示されます。

Silk Test Workbench では、BLOB を SAP データベースに格納するとき、BLOB の引数に指定された値を読み取り、引数コンテナで転送して、BLOB と共に格納します。Silk Test Workbench の引数メンテナンス機能は文字列データ型スクリプト引数でのみ機能します。

eCATT スクリプト引数を使用する

Silk Test Workbench .NET スクリプトの場合は、Silk Test Workbench のスクリプト言語にある 2 つのメソッドを使用して、スクリプトとの間で引数値が受け渡されます。Workbench.SetECATTArg() メソッドは、SAP eCATT スクリプトに渡す引数値を作成します。Workbench.GetECATTArg() メソッドは、SAP eCATT 引数コンテナから渡された引数値を取得します。

ビジュアル テストの場合は、eCATT 引数の設定 変数ステップを作成して、定義された引数値を eCATT スクリプトにエクスポートします。eCATT 引数の内容の取得 変数ステップを作成して、定義された引数値を eCATT スクリプトからインポートしてローカル変数に保存し、その値をビジュアル テストで使用できます。

  • eCATT スクリプト引数の作成
    eCATT スクリプト引数の作成方法について説明します。
  • eCATT スクリプト引数の編集
    eCAT スクリプト引数の編集方法について説明します。
  • 引数コンテナからの eCATT 引数の削除
    引数コンテナから eCATT 引数を削除する方法について説明します。
  • eCATT スクリプトからビジュアル テストへの引数のインポート
    eCATT スクリプトから引数をインポートしてビジュアル テストで引数の値を使用します。
  • ビジュアル テストから eCATT スクリプトに引数をエクスポートする
    ビジュアル テストから eCATT スクリプトに引数をエクスポートして、eCATT で引数を使用できます。
  • eCATT スクリプトから .NET スクリプトへの引数のインポート
    引数コンテナから eCATT スクリプト引数を取得し、Silk Test Workbench の任意の VB .NET スクリプトで引数の値を使用します。
  • .NET スクリプトから eCATT スクリプトに引数をエクスポートする
    Silk Test Workbench の VB .NET スクリプトで使用した引数を eCATT スクリプトに渡して、スクリプトで引数を使用できます。
親トピック: SAP eCATT の操作
関連タスク
Silk Test Workbench を使用したスクリプトの記録とテスト


eCATT スクリプト引数の作成

  1. BLOB が読み込まれている間、ツール > SAP eCATT > 引数コンテナ をクリックします。 eCATT 引数コンテナ ダイアログ ボックスが表示されます。 現在読み込まれている BLOB に対して定義された引数がデータ テーブルに表示されます。
  2. 追加 をクリックします。 引数の追加 ダイアログ ボックスが表示されます。
  3. 名前 フィールドに、引数に付ける名前を入力します。
  4. 引数の転送の方向を選択します (方向 フィールドのリストから EXPORT または IMPORT を選択します)。
  5. デフォルト値 フィールドに、引数のデフォルト値を入力します。 デフォルト値は、eCATT でテスト スクリプトによって使用されるデータです。 デフォルト値の詳細については、eCATT のマニュアルを参照してください。
  6. 値 フィールドに、引数の実際の値を入力します。 この値はテスト スクリプトから取得でき、eCATT で表示可能です。
  7. 引数の説明を 説明 フィールドに入力することもできます。 説明は、引数の名前がわかりにくい場合にそれを識別しやすくするためのものです。
  8. 追加 をクリックして、現在の BLOB の引数コンテナに引数を追加します。 eCATT 引数コンテナ ダイアログ ボックスで、引数がコンテナ内の項目として表示されます。
  9. 他の引数を追加するには、ステップ 1 から 9 を繰り返します。
  10. 現在読み込まれている BLOB に対して必要な引数の作成をすべて終えたら、閉じる をクリックして eCATT 引数コンテナ ダイアログ ボックスに戻ります。
  11. OK をクリックします。
親トピック: Silk Test Workbench における eCATT スクリプト引数のサポート


eCATT スクリプト引数の編集

最近読み込まれた BLOB のプライマリ .NET スクリプトまたはビジュアル テストの引数は、まだ読み込まれている間に変更することができます。 現在読み込まれている BLOB の eCATT スクリプト引数を編集するには、Silk Test Workbench の eCATT 引数コンテナ ダイアログ ボックスを使用します。
  1. 引数を変更する BLOB が読み込まれている間、ツール > SAP eCATT > 引数コンテナ をクリックします。 eCATT 引数コンテナ ダイアログ ボックスが表示されます。 このダイアログ ボックスのデータ テーブルには、現在読み込まれている BLOB に対して定義された引数がすべて表示されます。
  2. パラメータを編集する引数を選択します。
  3. 編集 をクリックします。 引数の編集 ダイアログ ボックスが表示されます。
  4. 必要に応じて引数の値を変更します。
    名前
    引数の名前。
    方向
    引数が「IMPORT」 (eCATT から Silk Test Workbench へ) なのか「EXPORT」 (Silk Test Workbench から eCATT へ) なのかを決めます。
    デフォルト値
    引数のデータのデフォルト値です。 デフォルト値は、eCATT スクリプト引数に値が指定されていない場合に、eCATT でテスト スクリプトによって使用されるデータです。 デフォルト値の詳細については、eCATT のマニュアルを参照してください。
    値
    引数の実際の値を入力します。 この値はスクリプトから取得でき、eCATT で表示可能です。
    説明
    説明は、引数の名前がわかりにくい場合にそれを識別しやすくするためのものです。
  5. 編集 をクリックします。 引数のパラメータが eCATT 引数コンテナ ダイアログ ボックスに表示されます。
  6. 引数コンテナの他の引数を編集する場合は、ステップ 1 と 2 を繰り返します。
  7. 現在読み込まれている BLOB に対して必要な引数の編集をすべて終えたら、閉じる をクリックして eCATT 引数コンテナ ダイアログ ボックスに戻ります。
  8. OK をクリックします。
親トピック: Silk Test Workbench における eCATT スクリプト引数のサポート


引数コンテナからの eCATT 引数の削除

最近読み込まれた BLOB のスクリプト引数を、いつでもその引数コンテナから削除することができます。 ただし、Silk Test Workbench では、引数を削除する前に確認のメッセージが表示されないので注意してください。

  1. BLOB が読み込まれている間、ツール > SAP eCATT > 引数コンテナ をクリックします。 eCATT 引数コンテナ ダイアログ ボックスが表示されます。 このダイアログ ボックスのデータ テーブルには、最後に読み込んだ BLOB に対して定義された引数がすべて表示されます。 各引数が別々の行に表示されます。
  2. 削除する引数がある行を選択して 削除 をクリックします。 引数を含む行が引数コンテナから削除されます。
  3. 削除する他の引数に対してステップ 2 を繰り返します。
  4. OK をクリックします。
親トピック: Silk Test Workbench における eCATT スクリプト引数のサポート


eCATT スクリプトからビジュアル テストへの引数のインポート

引数コンテナから eCATT スクリプト引数をインポートして、任意のビジュアル テストで引数の値を使用できます。渡された引数の内容は、ビジュアル テストのローカル変数に保存されます。

ビジュアル テストで eCATT スクリプトから引数をインポートするには、以下を実行します。

  1. eCATT スクリプト引数をインポートするビジュアル テストを開きます。
  2. どの引数を eCATT スクリプトからインポートするかを決定します。
  3. Silk Test Workbench の eCATT 引数コンテナ ダイアログ ボックスで、ビジュアル テストで使用できる eCATT スクリプト インポート引数を作成します。
  4. ビジュアル テストで、インポートする引数を保存するローカル変数を作成します。 定義したローカル変数はビジュアル テストの <<開始>> ステップに表示されます。ただし、変数は任意のテスト ステップに挿入できます。
  5. ビジュアル テストでテスト ステップを選択し、挿入 > SAP eCATT > 引数の取得 をクリックします。 Silk Test Workbench によって、選択したステップの直後にステップが作成されます。この新しく作成されたステップは、eCATT 引数の値を取得し、この値を変数に格納するのに使用されます。これにより、この値をビジュアル テストで使用できるようになります。ステップのプロパティが プロパティ ペインに表示されます。
    ヒント: テスト ステップの最適な構成を保つため、このテスト ステップをビジュアル テストの開始またはその近くに配置します。
  6. テスト ステップの プロパティ ペインで、並べ替えカテゴリ アイコンをクリックして、プロパティをカテゴリごとにグループ化します。
  7. 割り当てカテゴリ プロパティを更新します。 ステップの 割り当て プロパティでは、インポートする eCATT 引数と、引数の値を格納するローカル変数を指定します。
    1. eCATT 変数名 プロパティに、ビジュアル テストで使用する値を持つ eCATT スクリプト引数の名前を入力します。 指定した eCATT スクリプト引数は、ビジュアル テストの eCATT 引数コンテナ で定義した引数名の 1 つと 一致しなければなりません。.
    2. Local variable name プロパティには、インポートした引数を格納するために作成した変数を含む、ビジュアル テストに対して定義されているすべてのローカル変数がリストされます。指定した eCATT スクリプト引数の値を格納するローカル変数をリストから選択します。

    eCATT 引数 '[eCATT スクリプト引数名]' の内容を取得して、ローカル変数 '[ローカル変数名]' に格納します

  8. 割り当てカテゴリ プロパティを更新してビジュアル テストを保存すると、テスト ステップの記述は次のようになります。
    Get contents of eCATT argument '[eCATT script argument name]' and put into local variable '[local variable name]'
  9. 省略可能：複数の eCATT スクリプト引数をビジュアル テストにインポートする場合は、手順を繰り返してください。
eCATT スクリプト引数がビジュアル テストにインポートされ、ローカル変数に保存されると、これらのローカル変数は自動ステップの入力値として使用できるようになります。たとえば、ログイン ID に対する eCATT スクリプト引数の値を、ログイン ID フィールドに対して値を入力する自動ステップのテキスト入力として使用することができます。
親トピック: Silk Test Workbench における eCATT スクリプト引数のサポート
関連タスク
ビジュアル テストでのパラメータへの値の割り当て


ビジュアル テストから eCATT スクリプトに引数をエクスポートする

ビジュアル テストで使用されている引数を eCATT スクリプトに渡すことができます。eCATT スクリプト引数は BLOB に保存する必要があり、ビジュアル テストの引数コンテナ内でエクスポート引数として定義する必要があります。

eCATT スクリプト引数をビジュアル テストから eCATT スクリプトにエクスポートするには、以下を実行します。

  1. 引数を eCATT スクリプトにエクスポートするビジュアル テストを開きます。
  2. どの引数を eCATT スクリプトにエクスポートするかを決定します。 Silk Test Workbench の eCATT 引数コンテナ ダイアログ ボックスで、eCATT スクリプト エクスポート引数を作成します。
  3. ビジュアル テストで <<開始>> ステップを選択し、挿入 > SAP eCATT > 引数の設定 をクリックします。 Silk Test Workbench は、eCATT 引数のエクスポート値を設定するステップを作成します。これにより、この値を eCATT スクリプトで使用できるようになります。ステップのプロパティが プロパティ ペインに表示されます。
    ヒント: テスト ステップの最適な構成を保つため、このテスト ステップをビジュアル テストの開始またはその近くに配置します。
  4. ステップの プロパティ ペインで、並べ替えカテゴリ アイコンをクリックして、プロパティをカテゴリごとにグループ化します。
  5. [割り当てカテゴリ] プロパティを更新して、eCATT 引数の名前とそれに割り当てる値を定義します。
    1. eCATT 変数名 プロパティで、値をエクスポートする eCATT スクリプト引数の名前を入力します。 指定する eCATT スクリプト引数は、ビジュアル テストの eCATT 引数コンテナ 内で定義されている引数名と一致している必要があります。
    2. 値 プロパティで、引数の値を入力するか、値の領域を右クリックしてリテラル、変数、式の結果、または ActiveData 値を割り当てます。
    [割り当てカテゴリ] プロパティを更新してビジュアル テストを保存すると、ステップは次のようになります。
    Set eCATT argument '[eCATT script argument name]' to '[value]'
  6. 省略可能：ビジュアル テストから eCATT スクリプトに複数の引数をエクスポートする場合は、この手順を繰り返してください。 引数がエクスポートされ、BLOB が保存されると、eCATT スクリプトで引数値を使用できます。
親トピック: Silk Test Workbench における eCATT スクリプト引数のサポート


eCATT スクリプトから .NET スクリプトへの引数のインポート

引数コンテナから eCATT スクリプト引数を取得し、Silk Test Workbench の任意の VB .NET スクリプトで引数の値を使用します。

eCATT スクリプトから Silk Test Workbench の VB .NET スクリプトへ引数をインポートするには、以下を実行します。

  1. eCATT スクリプト引数をインポートする VB .NET スクリプトを開きます。
  2. どの引数を eCATT スクリプトから VB .NET スクリプトにインポートするかを決定します。 Silk Test Workbench の eCATT 引数コンテナ ダイアログ ボックスで、VB .NET スクリプトで使用できる eCATT スクリプト インポート引数を作成します。
  3. .NET スクリプトで、インポートする引数を保存するローカル変数を作成します。 例：
    Dim argName As String
  4. Workbench クラスの GetECATTArg 関数を使用して、eCATT スクリプト引数を取得します。 例：
     ArgName = Workbench.GetECATTArg("NAME")
  5. 省略可能：GetECATTArg 関数は文字列を返します。.NET スクリプトで型キャストを使用して、日付など他の型に変更できます。
eCATT スクリプト引数が .NET スクリプトにインポートされると、引数は自動ステップの入力値として使用できるようになります。たとえば、ログイン ID に対する eCATT スクリプト引数の値を、ログイン ID フィールドに対して値を入力する自動ステップのテキスト入力として使用することができます。
親トピック: Silk Test Workbench における eCATT スクリプト引数のサポート
関連タスク
ビジュアル テストでのパラメータへの値の割り当て


.NET スクリプトから eCATT スクリプトに引数をエクスポートする

Silk Test Workbench の VB .NET スクリプトで使用した引数を eCATT スクリプトに渡して、スクリプトで引数を使用できます。

eCATT スクリプト引数を .NET スクリプトから eCATT スクリプトにエクスポートするには、以下を実行します。

  1. 引数を eCATT スクリプトにエクスポートする .NET スクリプトを開きます。
  2. どの引数を eCATT スクリプトにエクスポートするかを決定します。
  3. Silk Test Workbench の eCATT 引数コンテナ ダイアログ ボックスで、.NET スクリプトで使用できる eCATT スクリプト エクスポート引数を作成します。
  4. Workbench クラスの SetECATTArg 関数を使用して、eCATT スクリプト引数をエクスポートします。 例：
     Workbench.SetECATTArg("OUTPUTNAME","TestName")
    この例は、スクリプト引数 TestName を .NET スクリプトから eCATT のスクリプト引数 OUTPUTNAME にエクスポートしています。
    注: 指定した eCATT スクリプト引数は、eCATT 引数コンテナ で定義した引数名の 1 つと 一致しなければなりません。.
親トピック: Silk Test Workbench における eCATT スクリプト引数のサポート


eCATT から Silk Test Workbench でテストを実行する

ビジュアル テストまたは .NET スクリプトを eCATT で実行するには、ビジュアル テストまたは .NET スクリプトを含む BLOB を作成し保存する必要があります。BLOB の保存 ダイアログ ボックスの BLOB コンテンツ 領域にある プライマリ テスト スクリプト/ビジュアル テスト 設定によって、どのテストを実行するかを決定するために eCATT によって使用されます。
ビジュアル テストまたは .NET スクリプトを Silk Test Workbench で実行する eCATT でスクリプトを実行するには：
  1. テストを含んだ BLOB が保存されていない場合、BLOB を保存します。Silk Test Workbench で、ツール > SAP eCATT > BLOB の保存 > 保存して eCATT へ移動. BLOB の保存 ダイアログ ボックスの BLOB コンテンツ 領域にある プライマリ テスト スクリプト/ビジュアル テスト 設定によって、どのテストを実行するかを決定するために eCATT によって使用されます。
  2. eCATT で オブジェクト ディレクトリ エントリ登録 ダイアログ 僕巣が開きます。パッケージ の名前を入力し、保存 をクリックします。 以上でスクリトを eCATT UI で実行する準備が整いました。
  3. eCATT UI で 実行 をクリックします。 開始オプション ダイアログ ボックスが開きます。
  4. 外部ツール 領域で、Silk Test Workbench データベースの ユーザー名 と パスワード を入力します。
  5. 省略可能：テストが実行されている間に Silk Test Workbench の UI で何が起こっているのか確認したい場合は、外部ツールの開始モード リスト ボックスから外部ツールのユーザインタフェースを使用して実行 を選択します。 リスト ボックスから デバッグ モード を選択した場合、スクリプトは最初の行で停止します。
  6. 実行 をクリックします。 eCATT は Silk Test Workbench を開始し、情報を送信してスクリプトを実行します。
親トピック: SAP eCATT の操作


eCATT で Silk Test Workbench テスト結果を表示する

Silk Test Workbench でビジュアル テストまたは .NET スクリプトを実行して生成されたテスト結果を eCATT で表示することができます。eCATT が Silk Test Workbench でビジュアル テストまたは .NET スクリプトを実行すると、ログが eCATT に作成されます。このログには、Silk Test Workbench テストの結果が含まれています。

注: Silk Test Workbench テスト結果に含まれるスクリーンショットは、ログには含まれません。
親トピック: SAP eCATT の操作


Windows API ベースのアプリケーションのサポート

Silk Test Workbench は、Microsoft Windows API ベースのアプリケーションのテストを組み込みでサポートしています。アクセシビリティを有効にすると Microsoft のアプリケーションのいくつかのオブジェクトが Silk Test Workbench によってより詳細に認識されます。たとえば、アクセシビリティを有効にしないと、Silk Test Workbench は Microsoft Word のメニューバーおよび バージョン 7.0 より後の Internet Explorer に表示されるタブについて基本的な情報のみを記録します。ただし、アクセシビリティを有効にすると、Silk Test Workbench によってそれらのオブジェクトがすべて認識されます。必要な場合、新しいウィンドウを定義すると、Silk Test Workbench によるオブジェクトの認識を向上させることもできます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Windows ベースのテストで利用可能な記録および再生コントロールの完全な一覧については、「Win32 クラス リファレンス」を参照してください。

  • Win32 クラス リファレンス
    Win32 をサポートするための Visual Basic クラスを一覧します。
  • Windows API ベースのクライアント/サーバー アプリケーションの属性
    Windows API ベースのクライアント/サーバー アプリケーションがサポートする属性の一覧を提供します。
  • Win32 テクノロジ ドメインにおける priorLabel の決定方法
    Win32 テクノロジ ドメインで priorLabel が決定される方法について説明します。
  • 埋め込み Chrome アプリケーションのテスト
    Silk Test Workbench を使用して埋め込み Chrome アプリケーションをテストする方法について説明します。
親トピック: 特定の環境のテスト


Win32 クラス リファレンス

Win32 アプリケーションを設定すると、Silk Test Workbench は標準の Windows API ベースのコントロールのテストのサポートを組み込みで提供します。

親トピック: Windows API ベースのアプリケーションのサポート
関連資料
Win32 クラス リファレンス


Windows API ベースのクライアント/サーバー アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Windows API ベースのクライアント/サーバー アプリケーションがサポートする属性は次のとおりです。
  • caption
  • windowid
  • priorlabel：隣接するラベル フィールドのテキストによってテキスト入力フィールドを識別します。 通常、フォームのすべての入力フィールドに、入力の目的を説明するラベルがあります。 caption のないコントロールの場合、自動的に属性 priorlabel がロケーターに使用されます。 コントロールの priorlabel 値 (テキスト ボックスなど) には、コントロールの左側または上にある最も近いラベルの caption が使用されます。
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Windows API ベースのアプリケーションのサポート
親トピック: サポートする属性の種類


Win32 テクノロジ ドメインにおける priorLabel の決定方法

Win32 テクノロジ ドメインにおいて priorLabel を決定する場合、同じウィンドウ内のすべてのラベルとグループが対象のコントロールとみなされます。 以下の条件に従って、コントロールが決定されます。
  • コントロールの上または左側にあるラベル、およびコントロールを囲むグループが priorLabel の候補とみなされます。
  • 最も単純なケースでは、コントロールに最も近いラベルが priorLabel として使用されます。
  • コントロールからの距離が等しい 2 つのラベルが存在する場合、次の条件に基づいて priorLabel が決定されます。
    • 一方のラベルがコントロールの左側にあり、他方が上にある場合、左側のものが優先されます。
    • 両方のラベルがコントロールの左側にある場合、上にあるものが優先されます。
    • 両方のラベルがコントロールの上にある場合、左側のものが優先されます。
  • 最も近いコントロールがグループ コントロールである場合、まずグループ内のすべてのラベルが上記の規則に従って決定されます。 グループ内に適切なラベルが見つからない場合は、グループのキャプションが priorLabel として使用されます。
親トピック: Windows API ベースのアプリケーションのサポート


埋め込み Chrome アプリケーションのテスト

埋め込み Chrome アプリケーションは、Chromium コアをベースとした埋め込み Web ブラウザー エンジンを使用したデスクトップ アプリケーションです。このようなアプリケーションでは、デスクトップ アプリケーションに Web ブラウザーの機能を追加できます。Chromium Embedded Framework (CEF) や Electron フレームワークを使用して、このようなアプリケーションを作成できます。

Silk Test Workbench は、--remote-debugging-port コマンド ライン引数を指定してリモート デバッグを有効にした埋め込み Chrome アプリケーションのテストをサポートします。Silk Test Workbench では、Java（Java AWT や Swing アプリケーションなど）をベースにした埋め込み Chrome アプリケーションのテストをサポートしません。

Silk Test Workbench を使用して埋め込み Chrome アプリケーションをテストするには、アプリケーションの実行可能ファイルにデバッグ ポートを設定する必要があります。コマンド ラインからアプリケーションを開始して、リモート デバッグ ポートを設定します。

  • Silk Test Workbench は、-remote-debugging-port 引数が埋め込み Chrome アプリケーションのコマンド ライン引数に設定されているかどうかを確認します。引数が設定されている場合、Silk Test Workbench は 埋め込み Chrome サポートの有効化 フィールドに適切な実行可能ファイルとデバッグ用ポートを自動的に設定します。
  • -remote-debugging-port 引数が埋め込み Chrome アプリケーションのコマンド ライン引数に設定されていない場合は、実行可能ファイルとポートを 埋め込み Chrome サポートの有効化 フィールドに次の手順で指定する必要があります。
    1. Silk Test Workbench UI で、オプションの編集 を選択します。
    2. オプション ダイアログで、詳細設定 タブを選択します。
    3. 埋め込み Chrome サポートの有効化 オプションで、実行可能ファイルとポートの値ペアを、カンマ区切りで次のように指定します。
      <application name>.exe=<port number>
注: Silk Test Workbench によるリモート デバッグを許可しない埋め込み Chrome アプリケーションをテストすることはできません。
注: Silk Test Workbench では、Electron アプリの非ブラウザー メニューのテストをサポートしません。

例

たとえば、コマンド ラインから myApp アプリケーションを次のように実行します。
myApp.exe --remote-debugging-port=9222
この場合、埋め込み Chrome サポートの有効化 オプションに実行可能ファイルとポートの値ペアを次のように指定します。
myApp.exe=9222
親トピック: Windows API ベースのアプリケーションのサポート


クロス ブラウザ テスト

Silk Test Workbench を使用すると、単一のポータブルなビジュアル テストやテスト スクリプトでさまざまなブラウザに対して非常に高度な Web アプリケーションの機能を簡単に検証できます。 Silk Test Workbench は、最新の Web テクノロジを使用した、効率的でメンテナンスしやすいクロス ブラウザ テストのトップレベルのサポートを提供します。

テスト自動化における主要な困難のひとつが、テストの作成と保守にかかるコストの効率化です。ブラウザによって動作が異なるため、Web アプリケーションの検証を生産的に実行することは困難です。 Silk Test Workbench は、クロス ブラウザ テストにおける次の 3 つの領域をうまく扱うため、ユーザーはテストの記述に集中することができます。

組み込みの同期処理
これにより、サポートするすべてのブラウザ上で実行するスクリプトを、AJAX や HTML5 などの高度な動的 Web アプリケーションに特有の非同期イベントを手動で同期する必要なく、作成することができます。 Silk Test Workbench は、HTML や AJAX だけでなく、Apache Flex、Microsoft Silverlight、HTML5/AJAX など、すべての主要な Web 環境に対する同期モードをサポートします。詳細については、「xBrowser のページ同期」を参照してください。
統合オブジェクト モデル
Silk Test Workbench では、さまざまなブラウザ上で幅広く実行するテストを作成、保守できます。すべてのブラウザに対応する統合オブジェクト モデルにより、ユーザーはテストの作成と保守を単一のブラウザを中心に行うことができます。 Silk Test Workbench は、すべての他のブラウザ上のオブジェクトに同じ方法でアクセスできるようにすることで、さまざまなブラウザに対する回避策を探すことなく、時間を節約してテストの作成に集中できます。
クロス ブラウザ スクリプトの記録
スクリプトを記録すると、修正することなくすべての他のブラウザで再生できます。これにより、テスト スクリプトの作成と保守にかかる時間と労力は劇的に減少します。シミュレーションではなく、テストは実際のブラウザ上で実行されます。つまり、テストは、エンド ユーザーの動作とまったく同じように動作します。
Silk Test Workbench では、次のブラウザを使用して Web アプリケーションをテストできます。
  • Internet Explorer。
  • Mozilla Firefox。
  • Google Chrome。
  • Microsoft Edge。
  • Android デバイス上の Chrome for Android。
  • Mac および iOS デバイス上の Apple Safari。
  • 埋め込みブラウザ コントロール。
注: 次のブラウザのいずれかを使用して Web アプリケーションのテストを記録できます。
  • Internet Explorer。
  • Microsoft Edge。
  • Mozilla Firefox。
  • Google Chrome 50 以降。
  • モバイル デバイス上のモバイル ブラウザ。
他のサポートする任意のブラウザ上で、テストを再生したり、ロケーターを記録できます。
注: Web アプリケーションを記録または再生する前に、システムにインストールされているすべてのブラウザ アドオンを無効にします。Internet Explorer でアドオンを無効にするには、ツール > インターネット オプション をクリックし、プログラム タブをクリックし、アドオンの管理 をクリックし、アドオンを選択してから 無効にする をクリックします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サンプル アプリケーション

Silk Test のサンプル Web アプリケーションには、以下の URL からアクセスします。

  • http://demo.borland.com/InsuranceWebExtJS/
  • http://demo.borland.com/gmopost
  • http://demo.borland.com/gmoajax
  • テストを再生するブラウザーの選択
    テストを再生するために使用するブラウザーを定義する方法について説明します。
  • xBrowser でのテスト オブジェクト
    Silk Test Workbench が Web アプリケーションをモデル化するために使用するクラスについて説明します。
  • xBrowser オブジェクトに対するオブジェクト解決
    Silk Test Workbench が xBrowser オブジェクトを解決する方法について説明します。
  • xBrowser のページ同期
    ページ同期モードの概要とトラブルシューティングのヒントについて説明します。
  • xBrowser における API 再生とネイティブ再生の比較
    API 再生とネイティブ再生の違いを示します。
  • マウス移動の詳細設定
    マウスの移動操作を記録するかどうかを指定します。
  • xBrowser のブラウザ構成の設定
    xBrowser のブラウザ構成設定について説明します。
  • リモート デスクトップ ブラウザーの接続文字列
    リモート マシン上のデスクトップ ブラウザーに接続するために接続文字列を指定する方法について説明します。
  • WebDriver ベースのブラウザーのケイパビリティの設定
    基本状態にケイパビリティを設定して、WebDriver ベースのブラウザーの設定をカスタマイズします。
  • Mac 上の Apple Safari を使用したテスト
    Mac 上で Apple Safari を使用してテストする方法について説明します。
  • Google Chrome を使用したテスト
    Google Chrome を使用してテストする方法について説明します。
  • Mozilla Firefox を使用したテスト
    Mozilla Firefox を使用してテストする方法について説明します。
  • Microsoft Edge を使用したテスト
    Microsoft Edge を使用してテストする方法について説明します。
  • レスポンシブ Web デザインのテスト
    ブラウザー ウィンドウのサイズを指定して、レスポンシブ Web デザインのテストを実行する方法について説明します。
  • ビジュアル ブレークポイントの検出
    レスポンシブ Web アプリケーションのビジュアル ブレークポイントを検出して、特定のサイズのウィンドウで Web アプリケーションをテストできます。
  • 追加のブラウザーのバージョンでのテスト
    追加のドライバーのバージョンをインストールして、WebDriver ベースのブラウザーの追加のバージョンでテストを行うことができます。
  • クロス ブラウザ テスト:よくある質問
    さまざまなブラウザ上で Web アプリケーションをテストするときに発生することがある質問のコレクションを示します。
  • スクリプトからのブラウザの起動
    再生時にテスト スクリプトからブラウザを起動するために利用できる手順について説明します。
  • 非表示入力フィールドの検索
    非表示入力フィールドを検索するかどうかを指定する方法について説明します。
  • Web アプリケーションの属性
    Web アプリケーションがサポートする属性の一覧を提供します。
  • Web アプリケーションのカスタム属性
    Web アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • xBrowser クラス リファレンス
    xBrowser をサポートするための Visual Basic クラスを一覧します。
親トピック: 特定の環境のテスト


テストを再生するブラウザーの選択

テストを再生するために使用するブラウザーを定義できます。
  • Silk Test Workbench の UI からテストを実行する場合、ブラウザーの選択 ダイアログ ボックスが表示され、このダイアログ ボックスで選択したブラウザーが使用され、テスト スクリプトで設定されているブラウザーを Silk Test Workbench は無視します。
  • ブラウザーの選択 ダイアログ ボックスが無効の場合 (再び表示しない をチェックした場合)、個々のテスト スクリプトのアプリケーション構成によってテストを実行するために使用するブラウザーが決定されます。
    注: ブラウザーの選択 ダイアログ ボックスを再び有効にするには、ツール > オプション をクリックして、ブラウザー構成ダイアログの表示 オプションを はい に設定します。
  • スクリプトをコマンド ラインや CI サーバーから実行する場合は、スクリプトのアプリケーション構成で接続文字列を指定します。

    アプリケーション構成で指定したブラウザーは、silktest.configurationName 環境変数、または browser コマンドライン パラメータ を使用して上書き指定できます。

  • Silk Central からテストを実行する場合は、テストするブラウザーそれぞれの構成を持つ構成スイートを作成します。そして、適切な構成名を指定します。詳細については、『Silk Central ヘルプ』を参照してください。

silktest.configurationName 環境変数を使用したブラウザーの設定の例

  • ブラウザーとして Internet Explorer を使用する場合は、次のように入力します。
    SET silktest.configurationName=InternetExplorer
STW.exe –script MyScript
  • ブラウザーとして Microsoft Edge を使用する場合は、次のように入力します。
    SET silktest.configurationName=Edge
STW.exe –script MyScript
  • ブラウザーとして Mozilla Firefox を使用する場合は、次のように入力します。
    SET silktest.configurationName=Firefox
STW.exe –script MyScript
  • ブラウザーとして Google Chrome を使用する場合は、次のように入力します。
    SET silktest.configurationName=GoogleChrome
STW.exe –script MyScript
  • ブラウザーとして Mac 上の Apple Safari を使用する場合は、次のように入力します。
    SET silktest.configurationName=host=10.0.0.1  - Safari
STW.exe –script MyScript
    この例では、host は Apple Safari をテストする Mac です。ホストは、リモート ロケーションとして Silk Test Workbench がインストールされているマシンに接続されている必要があります。詳細については、「リモート ロケーションの編集」を参照してください。
  • ブラウザーとして Android デバイス上の Google Chrome を使用する場合は、次のような接続文字列を使用します。たとえば、デバイス ID が 11111111 で、デバイスが IP アドレス 10.0.0.1 のリモート マシンに接続されている場合は、次のように入力します。
    SET silktest.configurationName="platformName=Android;deviceName=MotoG3;deviceId=11111111;host=10.0.0.1 - Chrome"
STW.exe –script MyScript
  • ブラウザーとして iOS デバイス上の Apple Safari を使用する場合は、次のような接続文字列を使用します。たとえば、デバイス ID が 11111111 で、デバイスが IP アドレス 10.0.0.1 のリモート マシンに接続されている場合は、次のように入力します。
    SET silktest.configurationName="platformName=iOS;deviceName=iPad mini;deviceId=11111111;host=10.0.0.1"
STW.exe –script MyScript
    さらに、アプリケーション構成でブラウザーを指定する必要があります。
ヒント: すべての例で、環境変数 silktest.configurationName を設定する代わりに、Java システム プロパティ -Dsilktest.configurationName を設定して、ブラウザーを設定することもできます。たとえば、ブラウザーとして Mac 上の Apple Safari を使用する場合は、次のように入力することもできます。
-Dsilktest.configurationName=host=10.0.0.1 - Safari
STW.exe –script MyScript
ヒント: Silk Test Workbench の UI から再生または記録を開始すると、ブラウザーの選択 ダイアログ ボックスが開き、システムで現在利用可能なブラウザーのリストが表示されます。

browser パラメータを使用したブラウザーの設定の例

  • ブラウザーとして Internet Explorer を使用する場合は、次のように入力します。
    STW.exe –browser InternetExplorer –script MyScript
  • ブラウザーとして Microsoft Edge を使用する場合は、次のように入力します。
    STW.exe –browser Edge –script MyScript
  • ブラウザーとして Mozilla Firefox を使用する場合は、次のように入力します。
    STW.exe –browser Firefox –script MyScript
  • ブラウザーとして Google Chrome を使用する場合は、次のように入力します。
    STW.exe –browser GoogleChrome –script MyScript
  • ブラウザーとして Mac 上の Apple Safari を使用する場合は、次のように入力します。
    STW.exe -connectionstring host=10.0.0.1 - Safari –script MyScript
    この例では、host は Apple Safari をテストする Mac です。ホストは、リモート ロケーションとして Silk Test Workbench がインストールされているマシンに接続されている必要があります。詳細については、「リモート ロケーションの編集」を参照してください。
  • ブラウザーとして Android デバイス上の Google Chrome を使用する場合は、次のような接続文字列を使用します。たとえば、デバイス ID が 11111111 で、デバイスが IP アドレス 10.0.0.1 のリモート マシンに接続されている場合は、次のように入力します。
    STW.exe -connectionstring "platformName=Android;deviceName=MotoG3;host=10.0.0.1 - Chrome" –script MyScript
  • ブラウザーとして iOS デバイス上の Apple Safari を使用する場合は、次のような接続文字列を使用します。たとえば、デバイス ID が 11111111 で、デバイスが IP アドレス 10.0.0.1 のリモート マシンに接続されている場合は、次のように入力します。
    STW.exe -connectionstring "platformName=iOS;deviceName=iPad mini;host=10.0.0.1" –script MyScript
    さらに、アプリケーション構成でブラウザーを指定する必要があります。
親トピック: クロス ブラウザ テスト
関連概念
テストの並列実行
STW.EXE のパラメータ
モバイル デバイスの接続文字列
テストを再生するモバイル デバイスの選択
関連タスク
リモート ロケーションの編集


xBrowser でのテスト オブジェクト

Silk Test Workbench では、以下のクラスを使用して Web アプリケーションがモデル化されます。
クラス | 説明
BrowserApplication | Web ブラウザのメイン ウィンドウを公開し、タブ化するための方法を提供します。
BrowserObject | BrowserApplication に含まれるすべてのオブジェクトの基底クラスを表します。
BrowserWindow | タブおよび埋め込みブラウザ コントロールへのアクセスを提供し、異なるページに移動するための方法を提供します。
DomElement | Web アプリケーションの DOM ツリー (フレームを含む) を提供し、すべての DOM 属性へのアクセスを提供します。一部の DOM 要素では、特殊なクラスを使用できます。
DomButton | Web ページの最上位のコンテナを表します。DomElement を介して DOM ツリーを公開します。
DomCheckBox | <input type='checkbox'> タグを使用して指定された、すべての DOM 要素を表します。
DomForm | <form> タグを使用して指定された、すべての DOM 要素を表します。
DomLink | <a> タグを使用して指定された、すべての DOM 要素を表します。
DomListBox | <select> タグを使用して指定された、すべての DOM 要素を表します。
DomRadioButton | <input type='radio'> タグを使用して指定された、すべての DOM 要素を表します。
DomTable | <table> タグを使用して指定された、すべての DOM 要素を表します。
DomTableRow | <tr> タグを使用して指定された、すべての DOM 要素を表します。
DomTextField 次のタグのいずれかを使用して指定された、すべての DOM 要素を表します。
  • <input type='text'>
  • <input type='password'>
  • <input type='file'>
  • <textarea>
親トピック: クロス ブラウザ テスト


xBrowser オブジェクトに対するオブジェクト解決

xBrowser テクノロジ ドメインは動的オブジェクト解決をサポートします。

テストケースは、オブジェクトを検索し、識別するためにロケーター文字列を使用します。一般的なロケーターには、"//LocatorName[@locatorAttribute='value']" のようにロケーター名と少なくとも 1 つのロケーター属性が含まれます。

ロケーター名
Java SWT などの他の種類のテクノロジでは、テスト オブジェクトのクラス名を使用してロケーター名が作成されます。xBrowser では、DOM 要素のタグ名もロケーター名として使用できます。以下のロケーターは、同じ要素を示しています。
  1. タグ名を使用した場合："//a[@href='http://www.microfocus.com']"
  2. クラス名を使用した場合："//DomLink[@href='http://www.microfocus.com']"

再生速度を最適化するには、クラス名ではなくタグ名を使用します。

ロケーター属性
すべての DOM 属性は、ロケーター文字列属性として使用できます。たとえば、要素 <button automationid='123'>Click Me</button> はロケーター "//button[@automationid='123']" を使用して識別できます。
ロケーターの記録
Silk Test Workbench では、テストを記録したり、オブジェクトの識別 ダイアログ ボックス を使用したりするときに、組み込みロケーター生成プログラムが使用されます。特定のアプリケーションの結果を向上するように、ロケーター生成プログラムを構成することができます。
親トピック: クロス ブラウザ テスト


xBrowser のページ同期

同期は、すべてのメソッド呼び出しの前後に自動的に実行されます。メソッド呼び出しは、同期条件が満たされるまで開始せず、終了もしません。

注: プロパティのアクセスは同期されません。

同期モード

Silk Test Workbench には、HTML および AJAX 用の同期モードがあります。

HTML モードを使用すると、すべての HTML ドキュメントが対話的な状態になることが保証されます。このモードでは、単純な Web ページをテストすることができます。Java Script が含まれるより複雑なシナリオが使用される場合は、以下の同期関数を使用して、手動でスクリプトを記述することが必要になることがあります。
  • WaitForObject
  • WaitForProperty
  • WaitForDisappearance
  • WaitForChildDisappearance

AJAX モードでは、ブラウザがアイドル状態に類似した状態になるまで待機します。このことは、AJAX アプリケーションまたは AJAX コンポーネントを含むページに対して特に効果的です。AJAX モードを使用すると、同期関数を手動で記述する必要がなくなるため、スクリプト（オブジェクトの表示または非表示を待機したり、特定のプロパティ値を待機するなど）の作成処理が大幅に簡略化されます。また、この自動同期は、スクリプトを手動で適用しないで記録と再生を正常に行うための基礎となります。

トラブルシューティング

AJAX の非同期の特性のため、ブラウザが完全にアイドル状態になることはありません。このため、Silk Test Workbench でメソッド呼び出しの終了が認識されず、特定のタイムアウト時間が経過したあとで、タイムアウト エラーが発生することがまれにあります。この場合は、少なくとも、問題が発生する呼び出しに対して、同期モードを HTML に設定する必要があります。

注: 使用するページ同期メソッドにかかわらず、Flash オブジェクトがサーバーからデータを取得し、計算を実行してデータをレンダリングするテストでは、手動でテストに同期メソッドを追加する必要があります。メソッドを追加しないと、Silk Test Workbench は、Flash オブジェクトが計算を完了するまで待機しません。たとえば、ビジュアル テストでは Delay を使用し、スクリプトでは System.Threading.Thread.Sleep(millisecs) を使用します。

AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

URL を除外フィルタに追加するには、オプション ダイアログ ボックスの 同期除外リスト で URL を指定します。

監視ツールを使用して、同期の問題により再生エラーが発生するかどうかを判断します。たとえば、FindBugs（http://findbugs.sourceforge.net/）を使用して、AJAX 呼び出しが再生に影響を及ぼしているかどうかを判断できます。次に、問題が発生するサービスを 同期除外リスト に追加します。

注: URL を除外すると、指定した URL を対象とする各呼び出しに対して同期が無効になります。その URL に対して必要な同期は、手動で呼び出す必要があります。たとえば、WaitForObject をスクリプトまたはビジュアル テストに手動で追加する必要がある場合があります。手動で数多くの呼び出しを追加することを避けるために、可能なかぎり、最上位の URL ではなく、具体的に対象を絞って URL を除外します。

ページ同期設定の構成

オプション ダイアログ ボックスでは、各ビジュアル テストまたはスクリプトのページ同期設定を個別に構成したり、すべてのテストおよびスクリプトに適用するグローバル オプションを設定したりできます。これらのオプションを構成するには、ツール > オプション を選択し、再生 を展開し、xBrowser をクリックします。

ビジュアル テストの個別の設定を構成するには、ビジュアル テストを記録し、次に、グローバル再生値を上書きする 再生設定の設定 ステップを挿入します。設定には、同期除外リスト、同期モード、同期タイムアウト があります。

たとえば、ビジュアル テストでは、同期モード 再生設定を HTML に設定し、残りのステップでは必要に応じて 同期モード を AJAX に戻します。

スクリプトの個別の設定を構成するには、以下のいずれかを呼び出します。
  • Agent.SetOption(Options.XBrowserSynchronizationMode, mode)

    mode には、HTML を使用する場合は 1、AJAX を使用する場合は 2 を入力します。

  • Agent.SetOption(Options.XBrowserSynchronizationExcludes, URL)

    除外するサービスまたは Web ページの URL または URL の一部を指定します。たとえば、http://example.com/syncsample/timeService と入力します。

  • Agent.SetOption(Options.XBrowserSynchronizationTimeout, time)

    time をミリ秒で指定します。

親トピック: クロス ブラウザ テスト
関連概念
Silk Test Workbench がテストを同期する方法
関連タスク
xBrowser 同期オプションの設定
ビジュアル テスト内での再生設定値の設定
テスト実行の遅延
関連資料
Google Chrome を使用したテストの制限事項
WaitForObject メソッド (TestObject)
WaitForProperty メソッド (TestObject)
WaitForDisappearance メソッド (TestObject)
WaitForChildDisappearance メソッド (TestObject)
エージェント オプション


xBrowser における API 再生とネイティブ再生の比較

Silk Test Workbench では、Web アプリケーション用に API 再生とネイティブ再生がサポートされています。アプリケーションでプラグインまたは AJAX を使用している場合は、ユーザーの入力そのものを使用します。アプリケーションでプラグインまたは AJAX を使用していない場合は、API 再生を使用することをお勧めします。

ネイティブ再生には以下のような利点があります。
  • ネイティブ再生では、マウス ポインタを要素上に移動し、対応する要素を押すことによって、エージェントはユーザー入力をエミュレートします。この結果、再生はほとんどのアプリケーションで変更なしで動作します。
  • ネイティブ再生では、Flash や Java アプレットなどのプラグイン、および AJAX を使用するアプリケーションをサポートしていますが、高レベルの API 記録はサポートしていません。
API 再生には以下のような利点があります。
  • API 再生では、Web ページが onmouseover や onclick などの DOM イベントによって直接実行されます。
  • API 再生を使用するスクリプトでは、ブラウザをフォアグラウンドで実行する必要はありません。
  • API 再生を使用するスクリプトでは、要素をクリックする前に、要素が表示されるようにスクロールする必要はありません。
  • 一般的に、高レベルのユーザー入力は再生中にポップアップ ウィンドウやユーザー対話の影響を受けないため、API スクリプトの信頼性は高くなります。
  • API 再生は、ネイティブ再生よりも高速です。

オプション ダイアログ ボックスを使用して、記録する関数の種類を構成したり、ユーザーの入力そのものを使用するかどうかを指定したりできます。

API 再生とネイティブ再生の関数の違い

DomElement クラスには、API 再生とネイティブ再生に対して異なる関数が備えられています。

以下の表に、API 再生とネイティブ再生で使用する関数を示します。

 | API 再生 | ネイティブ再生
マウス操作 | DomClick DomDoubleClick DomMouseMove | Click DoubleClick MoveMouse PressMouse ReleaseMouse
キーボード操作 | 使用不可 | TypeKeys
特殊な関数 | Select SetText など | 使用不可
親トピック: クロス ブラウザ テスト
関連タスク
ブラウザの記録オプションの設定
関連資料
DomElement クラス


マウス移動の詳細設定

マウス移動イベントを使用する Web アプリケーション、Win32 アプリケーション、および Windows Forms アプリケーションでマウス移動操作を記録するかどうかを指定します。たとえば、Apache Flex や Swing など、xBrowser テクノロジ ドメインの子ドメインのマウス移動イベントを記録することはできません。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. 全般 をクリックします。
  4. マウス移動操作を記録するには、マウスの移動操作を記録する リスト ボックスから はいを選択します。 マウスの移動イベントを使用する Web ページをテストする場合は、はい を選択します。 Silk Test Workbench では、スクリプトを短くするために、マウスが置かれた要素またはその親が変化するマウスの移動イベントのみが記録されます。
  5. マウスの移動操作を記録する場合、MoveMouse 操作が記録される前に、どのくらいの間マウスが不動状態になければならないかを、マウスの移動記録遅延 テキスト ボックスにミリ秒単位で指定します。 デフォルト値は、200 に設定されています。 マウスの移動操作は、この時間、マウスが静止している場合にのみ記録されます。遅延を短くすると、予期しないマウスの移動操作が増加します。遅延を長くすると、操作を記録するためにマウスを静止しておく必要があります。
  6. OK をクリックします。
親トピック: クロス ブラウザ テスト
親トピック: 記録オプション


xBrowser のブラウザ構成の設定

いくつかのブラウザ設定は、テストを継続的に安定して実行するのに役立ちます。設定を変更しなくても Silk Test Workbench は動作しますが、ブラウザ設定を変更するにはいくつかの理由があります。

再生速度を向上させる
読み込みに時間を要する Web ページではなく、about:blank をホーム ページとして使用する
ブラウザの予期しない動作を回避する
  • ポップアップ ウィンドウや警告ダイアログ ボックスを無効にする
  • オート コンプリート機能を無効にする
  • パスワード ウィザードを無効にする
ブラウザの誤動作を防止する
不要なサードパーティ製プラグインを無効にする

以下のセクションでは、対応するブラウザにおけるこれらの設定場所について説明します。

Internet Explorer

ブラウザ設定は、ツール > インターネット オプション にあります。以下の表に、調整できるオプションの一覧を示します。

タブ | オプション | 設定 | コメント
全般 | ホーム ページ | about:blank に設定します。 | 新しいタブの起動時間を最小限に抑えます。
全般 タブ
  • 複数のタブを閉じるときの警告を無効にします。
  • 新しいタブを作成したとき、新しいタブに切り替えます。
  • 予期しないダイアログ ボックスが表示されないようにします。
  • このようにしないと、新しいタブを開くリンクが正しく再生されない場合があります。
プライバシー | ポップアップ ブロック | ポップアップ ブロックを無効にします。 | Web サイトで新しいウィンドウを開くことができることを確認します。
コンテンツ オートコンプリート 完全にオフにします。
  • 予期しないダイアログ ボックスが表示されないようにします。
  • キー入力するときに予期しない動作を回避します。
プログラム アドオンの管理 最低限必要なアドオンのみを有効にします。
  • サードパーティ製アドオンにはバグが含まれていることがあります。
  • Silk Test Workbench と互換性がない可能性があります。
詳細設定 設定
  • Internet Explorer の更新について自動的に確認する を無効にします。
  • スクリプトのデバッグを使用しない (Internet Explorer) を有効にします。
  • スクリプトのデバッグを使用しない (その他) を有効にします。
  • 自動クラッシュ回復機能を有効にする を無効にします。
  • スクリプト エラーごとに通知を表示する を無効にします。
  • すべての ...警告する 設定を無効にします。
 予期しないダイアログ ボックスが表示されないようにします。
注: 100% 以外の拡大レベルを使用して Internet Explorer で Web アプリケーションを記録すると、期待通り機能しない可能性があります。Internet Explorer で Web アプリケーションに対する操作を記録する前に、拡大レベルを 100% に設定してください。

Mozilla Firefox

Mozilla Firefox のブラウザ設定を変更する必要はありません。 Silk Test Workbench により、適切なコマンドライン パラメータが指定され、自動的に Mozilla Firefox が起動します。

注: Web アプリケーションのテスト時に予期しない動作を避けるため、Mozilla Firefox の自動更新を無効にします。詳細については、『Stop automatic updates』を参照してください。

Google Chrome

Google Chrome のブラウザ設定を変更する必要はありません。Silk Test Workbench により、適切なコマンドライン パラメータが指定され、自動的に Google Chrome が起動します。

注: Web アプリケーションのテスト時に予期しない動作を避けるため、Google Chrome の自動更新を無効にします。詳細については、『Turning Off Auto Updates in Google Chrome』を参照してください。
親トピック: クロス ブラウザ テスト
関連資料
Google Chrome を使用したテスト再生の前提条件


リモート デスクトップ ブラウザーの接続文字列

接続文字列 は、テストに使用するリモート デスクトップ ブラウザーを指定します。リモート ブラウザーで Web アプリケーションをテストする場合、Silk Test Workbench はリモート ロケーションに接続するために接続文字列を使用します。接続文字列は、アプリケーション構成の主要な一部です。テストする Web アプリケーションを構成するときに、接続文字列は設定されます。接続文字列を変更するには、アプリケーション構成の編集 ダイアログ ボックスを使用します。

リモート ブラウザーで Web アプリケーションをテストする場合、接続文字列にはリモート マシンの IP アドレスまたはホスト名を意味する host だけが含まれます（10.0.0.1 など）。正しいブラウザーを選択するために、Silk Test Workbench はブラウザーの種類と共に接続文字列を使用します。ブラウザーの種類は、アプリケーション構成の編集 ダイアログ ボックスでも指定できます。

ホスト名は、大文字と小文字は区別されません。

注: リモート デスクトップ ブラウザーのテストは、リモート Microsoft Windows マシン上の Microsoft Edge およびリモート Mac 上の Apple Safari に対してのみサポートされます。

接続文字列の例

"host=10.0.0.1"
親トピック: クロス ブラウザ テスト
関連概念
モバイル デバイスの接続文字列
[アプリケーションの選択] ダイアログ ボックス
関連タスク
WebDriver ベースのブラウザーのケイパビリティの設定


WebDriver ベースのブラウザーのケイパビリティの設定

WebDriver ベースのブラウザー上で Web アプリケーションをテストする場合は、ケイパビリティを設定してブラウザー セッションの設定をカスタマイズできます。

Silk Test Workbench では、次のブラウザーの種類に対する接続文字列で WebDriver ケイパビリティを指定できます。
  • Google Chrome
  • Mozilla Firefox

Mozilla Firefox 48 以降で利用可能なオプションとケイパビリティについての詳細は、『https://github.com/mozilla/geckodriver』を参照してください。Google Chrome で利用可能なオプションとケイパビリティについての詳細は、『Capabilities & ChromeOptions』を参照してください。

Silk Test Workbench でケイパビリティを設定するには：

  1. ケイパビリティを変更する Web アプリケーションのプロジェクトを選択します。
  2. プロジェクトの基本状態の接続文字列を編集します。 接続文字列は、次の方法で編集できます。
    • アプリケーション構成の編集 ダイアログ（カスタマイズしたブラウザーに対する操作を記録する場合など）
    • スクリプト（カスタマイズしたブラウザーに対してテスト スクリプトを実行するだけの場合）

    詳細については、「基本状態」を参照してください。

  3. スクリプトを実行して、指定したオプションとケイパビリティでブラウザーを開始します。

使用例

Mozilla Firefox から実行可能ファイルを自動的にダウンロードするには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code - No linebreaks, this is a single line of code.
 baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.folderList\": 2, \"browser.helperApps.neverAsk.saveToDisk\": \"application/octet-stream\"}};"
Mozilla Firefox のダウンロード フォルダーを指定するには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code
baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.dir\" : \"C:/Download\"}};"
Mozilla Firefox のコマンド ライン引数を設定するには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code
baseState.ConnectionString = "moz:firefoxOptions={\"args\":[\"--devtools\"]};")
Google Chrome から実行可能ファイルを指定したフォルダーに自動的にダウンロードするには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"prefs\": {\"profile.default_content_setting_values.automatic_downloads\":1, \"download.default_directory\":\"c:/Download\", \"download.prompt_for_download\":false}};"
Google Chrome のパスワード マネージャーにメッセージを表示させないようにするには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"args\": [\"--disable-save-password-bubble\"], \"prefs\": {\"profile.password_manager_enabled\":false, \"credentials_enable_service\":false}};"
親トピック: クロス ブラウザ テスト
関連概念
リモート デスクトップ ブラウザーの接続文字列
基本状態


Mac 上の Apple Safari を使用したテスト

このセクションでは、Silk Test Workbench がインストールされている Windows マシンと接続し、Mac マシン上の Apple Safari をテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

  • Mac 上の Apple Safari を使用したテストにおける前提条件
    Mac 上の Apple Safari を使用したテストにおける前提条件を示します。
  • Apple Safari のテストの準備
    Silk Test Workbench を使用して Web アプリケーションをテストするために、Apple Safari を準備します。
  • Silk Test Information Service を Mac にインストールする
    Information Service を Mac にインストールし、Silk Test Workbench を使用して iOS 上の Apple Safari やモバイル アプリケーションをテストできます。
  • Apple Safari を使用したテストの制限事項
    Apple Safari を使用したテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • 複数の Apple Safari テストの同時実行
    複数の Apple Safari テストを同じ Mac 上で同時に実行する方法について説明します。
  • Silk Test Information Service を Mac からアンインストールする
    Silk Test Workbench を使用して Apple Safari 上の iOS やモバイル アプリケーションをテストする必要がなくなった場合、Information Service を Mac からアンインストールできます。
親トピック: クロス ブラウザ テスト


Mac 上の Apple Safari を使用したテストにおける前提条件

Mac 上の Apple Safari を使用してテストを行う前に、次の前提条件を満たしていることを確認してください。
  • Mac がリモート ロケーションとして Silk Test Workbench がインストールされている Windows マシンに接続されている。詳細については、「リモート ロケーションの編集」を参照してください。
  • Apple Safari 9 でテストする場合、 Apple Safari 用の WebDriver 拡張である SafariDriver が Mac 上にインストールされている（SafariDriver は従来のクライアント/サーバーの関係を逆転し、WebSocket を使用して WebDriver クライアントと通信します）。Apple Safari 10.1 を使用する場合、Safari はドライバーの実装を組み込みで備えています。
  • Java JDK が Mac 上にインストールされている。
  • Information Service が Mac 上にインストールされている。Information Service に必要なファイルを取得するには、Silk Test インストーラを使用します。詳細については、「Silk Test Information Service を Mac にインストールする」を参照してください。
  • Apple Safari 上でテストを実行するには、Information Service をインストールしたユーザーが Mac にログインしている必要があります。
    ヒント: Micro Focus では、起動時に正しいユーザーで Mac に自動的にログインするように設定することを推奨します。詳細については、「起動時に自動的にログインするように Mac を設定する」を参照してください。
  • Mac 上の Apple Safari に対して無人テストを実行する場合は、システム環境設定 の 省エネルギー ペインで、次の設定を行います。
    • ディスプレイをオフにするまでの時間 を しない に設定します。
    • ディスプレイがオフのときにコンピュータを自動でスリープさせない チェック ボックスをオンにします。
    注: これらの設定は、Silk Test Configuration Assistant を使用すると簡単に行えます。
  • Mac 上の Apple Safari に対して無人テストを実行するには、スクリーン セーバーを無効にします。
    1. システム環境設定 > デスクトップとスクリーンセーバ を開きます。
    2. スクリーンセーバ タブをクリックします。
    3. 開始までの時間 を 開始しない に設定します。
    注: これらの設定は、Silk Test Configuration Assistant を使用すると簡単に行えます。
  • Apple Safari 10.1 を使用してテストする場合は、Safari 開発メニューを有効にします。Safari > 環境設定 を選択して、詳細 をクリックし、メニューバーに '開発' メニューを表示 をオンにします。
  • Apple Safari 10.1 を使用してテストする場合は、リモート オートメーションを有効にします。Safari 開発メニューから、リモート オートメーションを許可 をオンにします。
  • 初めて Apple Safari 10.1 でテストを実行する際に、パスワード入力が必要になる場合があります。
親トピック: Mac 上の Apple Safari を使用したテスト
関連タスク
Silk Test Information Service を Mac にインストールする
Apple Safari のテストの準備
iOS 上でのモバイル アプリケーションのテストのための Mac の準備
リモート ロケーションの編集


Apple Safari のテストの準備

Apple Safari 10.1 以降で Web アプリケーションをテストする場合、Silk Test Configuration Assistant を使用して簡単に Apple Safari を設定できます。または、「Mac 上の Apple Safari を使用したテストにおける前提条件」で示した要件に加えて、次の手順を実行して準備を行う必要があります。
  1. Apple Safari のリモート オートメーションを有効化するために、開発 メニューを開き、リモート オートメーションを許可 をオンにします。 開発 メニューは、デフォルトでは表示されません。このメニューを開くには：
    1. Safari メニューから 環境設定 を選択します。
    2. 環境設定 ウィンドウで、詳細 タブを選択します。
    3. メニュー バーに "開発" メニューを表示 チェック ボックスをオンにします。
    4. 環境設定 ウィンドウを閉じます。
  2. Apple Safari 上で最初にテストを実行すると、ブラウザー ウィンドウが自動テストによってリモート制御されていることを示すダイアログ ボックスが表示されます。セッションを続ける をクリックします。
Apple Safari と Selenium WebDriver についての詳細は、『https://webkit.org/blog/6900/webdriver-support-in-safari-10/』を参照してください。
親トピック: Mac 上の Apple Safari を使用したテスト
関連タスク
iOS 上でのモバイル アプリケーションのテストのための Mac の準備
関連資料
Mac 上の Apple Safari を使用したテストにおける前提条件


Apple Safari を使用したテストの制限事項

以下に、Mac 上の Apple Safari を使用してテストする際の既知の制限事項を一覧します。
  • 次のクラス、インターフェイス、メソッド、プロパティは、Mac 上の Apple Safari を使用した Web アプリケーションのテストでは現時点ではサポートされません：
    • BrowserApplication クラス。
      • ClearCache メソッド
      • CloseOtherTabs メソッド
      • CloseTab メソッド
      • ExistsTab メソッド
      • GetHorizontalScrollbar メソッド
      • GetNextCloseWindow メソッド
      • GetSelectedTab メソッド
      • GetSelectedTabIndex メソッド
      • GetSelectedTabName メソッド
      • GetTabCount メソッド
      • GetVerticalScrollbar メソッド
      • IsActive メソッド
      • Minimize メソッド
      • OpenContextMenu メソッド
      • OpenTab メソッド
      • Restore メソッド
      • SelectTab メソッド
      • SetActive メソッド
      • WindowState プロパティ
    • BrowserWindow クラス。
      • AcceptAlert メソッド
      • DismissAlert メソッド
      • GetAlertText メソッド
      • IsAlertPresent メソッド
      • MouseMove メソッド
      • PressKeys メソッド
      • PressMouse メソッド
      • ReleaseKeys メソッド
      • ReleaseMouse メソッド
    • IMoveable クラス。
      • GetFocusメソッド。
  • Silk Test Workbench は、Apache Flex のテストをサポートしません。
  • Silk Test Workbench は、Apple Safari 上の JavaScript ソースを使った iframe のテストをサポートしません。
  • Apple Safari 上で HTTPS を使用したセキュアな Web アプリケーションをテストするには、必要なすべてのサーバー証明書が信頼済みであることを確認ください。
  • Silk Test Workbench は、Apple Safari のネイティブ サポートは提供しません。内部 Apple Safari 機能をテストすることはできません。たとえば、テストで、ナビゲーション バーにテキストを追加して、現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。
  • Silk Test Workbench は、Apple Safari に対する JavaScript ダイアログ API 関数をサポートしません。回避策として、このような関数が無視されるようにパッチを当てることができます。詳細については、「https://groups.google.com/forum/#!topic/selenium-developer-activity/qsovJw93g9c」を参照してください。
  • Silk Test Workbench は、Apple Safari でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk Test Workbench は、Apple Safari のタブをサポートしません。
  • ビジュアル テストの再生速度が遅い場合は、ツール > オプション > 再生 > 結果 > ビジュアル テスト のオプション コントロールのキャプチャ を いいえ に設定します。そうしないと、リッチな Web ページでは再生速度が著しく低下し、通信がタイムアウトすることもあります。
  • 複数ウィンドウのアプリケーションをテストするには、Apple Safari のポップアップ ブロックを解除してください。解除する場合は、Apple Safari を起動し、Safari 環境設定 > セキュリティ > ポップアップウィンドウを開かない のチェックを外します。
  • Silk Test Workbench は、パスワードを保存するダイアログ ボックスのテストをサポートしません。このダイアログ ボックスを表示しないようにする場合は、Apple Safari を起動し、Safari 環境設定 > 自動入力 に移動して ユーザー名とパスワード チェック ボックスのチェックを外します。
  • Silk Test Workbench は、Apple Safari では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk Test Workbench は、Content-Security-Policy HTTP ヘッダーを含んだ Web アプリケーションのテストをサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk Test Workbench はブラウザーの前に戻る操作をサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk Test Workbench は TypeKeys メソッドでの Ctrl キーの使用をサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk Test Workbench は Frame および IFrame 内では DOM 操作のみをサポートします。
  • Apple Safari 10.1 を使用する場合、Silk Test Workbench は Frame および IFrame での移動操作をサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk Test Workbench は記録時の直接スクロールをサポートしません。回避策として、executeJavaScript メソッドを使用できます。
親トピック: Mac 上の Apple Safari を使用したテスト


複数の Apple Safari テストの同時実行

Apple Safari 上でテストを実行するには、Silk Test がインストールされた Windows マシンに接続された Mac が必要です。複数の Apple Safari テストを Apple Safari 上で実行する場合、これらのテストは同じ Mac 上で同時に実行されることになります。

注: Mac 上の Apple Safari に対して実行されるテストそれぞれが、Apple Safari のインスタンスを個々に開きます。数多くの Apple Safari のインスタンスが同時に実行すると、Mac のパフォーマンスが低下する可能性があります。
親トピック: Mac 上の Apple Safari を使用したテスト


Google Chrome を使用したテスト

このセクションでは、Google Chrome を使用してテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

Silk Test Workbench は、Google Chrome 50 以降で操作を記録したり、テストを再生することをサポートします。また、Google Chrome 50 より前のバージョンでテストを再生したり、ロケーターを記録することをサポートします。

  • Google Chrome 50 以降でテストを開始するときに、Google Chrome のインスタンスが実行していない場合、Silk Test Workbench は Google Chrome の新しいインスタンスを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。
  • Google Chrome 50 以降のインスタンス上でのテストを開始するときに、すでに実行中であれば、Silk Test Workbench はそのインスタンスが最初に開始されたときに使用されたコマンド ライン引数と同じ引数で Google Chrome を再起動します。この再起動は、Silk Test Workbench オートメーション サポートを有効化するために必要です。
  • Google Chrome 50 以降でテストするとき、Google Chrome インスタンスは、Open Agent のシャットダウン時または、Google Chrome 外のほかのアプリケーションのテストを開始するときに閉じられます。
ヒント: Google Chrome 50 以降を使用して既存のテスト スクリプトを実行する場合は、基本状態を使用して、URL へ移動するコマンドをテスト スクリプトに追加することを、Micro Focus はお勧めします。

例 1

Google Chrome 50 以降の実行中のインスタンスが、コマンド「C:/Program Files (x86)/Google/Chrome/Application/chrome.exe www.borland.com」で最初に起動されていた場合、Google Chrome は再起動後に www.borland.com を開きます。

例 2

Google Chrome 50 以降の実行中のインスタンスが、コマンド「C:/Program Files (x86)/Google/Chrome/Application/chrome.exe」で最初に起動されていた場合、Google Chrome は再起動後に about:blank を開きます。

  • Google Chrome を使用したテスト再生の前提条件
    Google Chrome 使用したテストの再生とロケーターの記録の前提条件について説明します。
  • Google Chrome 拡張のテスト
    Google Chrome 拡張をテストする方法について説明します。
  • ユーザー データ ディレクトリを使用した Google Chrome のテスト
    ユーザー データ ディレクトリを使用して Google Chrome をテストする方法について説明します。
  • Google Chrome を使用したテストの制限事項
    Google Chrome を使用したテストの再生とロケーターの記録の既知の制限事項を一覧します。
親トピック: クロス ブラウザ テスト


Google Chrome を使用したテスト再生の前提条件

コマンド ライン パラメータ

Google Chrome を使用してテストの再生やロケーターの記録を行うと、次のコマンドで Google Chrome が起動されます。
%LOCALAPPDATA%\Google\Chrome\Application\chrome.exe
  --enable-logging
  --log-level=1
  --disable-web-security
  --disable-hang-monitor
  --disable-prompt-on-repost
  --dom-automation
  --full-memory-crash-report
  --no-default-browser-check
  --no-first-run
  --homepage=about:blank
  --disable-web-resources
  --disable-preconnect
  --enable-logging
  --log-level=1
  --safebrowsing-disable-auto-update
  --test-type=ui
  --noerrdialogs
  --metrics-recording-only
  --allow-file-access-from-files
  --disable-tab-closeable-state-watcher
  --allow-file-access
  --disable-sync
  --testing-channel=NamedTestingInterface:st_42

ウィザードを使用してアプリケーションに追加する場合は、これらのコマンド ライン パラメータは、基本状態に自動的に追加されます。テストを開始したときに、適切なコマンド ライン パラメータなしで Google Chrome のインスタンスがすでに実行されている場合、Silk Test Workbench は Google Chrome を終了して、コマンド ライン パラメータを使用してブラウザを再起動しようとします。ブラウザを再起動できない場合は、エラー メッセージが表示されます。

注: クロスドメインのドキュメントを記録または再生する場合は、コマンド ライン パラメータ disable-web-security が必要です。
注: ローカル ファイル システムに保存された Web アプリケーションをテストするには、Google Chrome で chrome://extensions に移動し、Silk Test Chrome Extension の ファイルの URL へのアクセスを許可する チェックボックスをオンにします。
親トピック: Google Chrome を使用したテスト
関連概念
xBrowser のブラウザ構成の設定
関連タスク
ビジュアル テストの再生
スクリプトの再生
関連資料
Google Chrome を使用したテストの制限事項


Google Chrome 拡張のテスト

Google Chrome 拡張 (アドオン) を Silk Test Workbench を使ってテストするには、以下の 2 つの手段のいずれかを使用できます。
Google Chrome の起動時に .crx ファイルとして拡張をインストールする
.crx ファイルとしてインストールされた Google Chrome 拡張をテストするには、基本状態に次のコマンド ラインを追加します。
chrome.exe --load-extension=C:/myExtension/myExtension.crx
注: Google Chrome には単一の拡張のみを .crx ファイルとしてインストールできます。Google Chrome に複数の拡張をインストールするには、複数の .crx ファイルをカンマ区切りで指定します。例：
chrome.exe --load-extension=C:/myExtension/myExtension.crx,C:/myExtension2/myExtension2.crx

ブラウザーのコマンド ライン引数指定方法の詳細については、「基本状態の変更」を参照してください。

プロファイルに拡張を追加する
Google Chrome ユーザー データ ディレクトリに拡張を追加し、そのプロファイルをテストに使用します。詳細については、「ユーザー データ ディレクトリを使用した Google Chrome のテスト」を参照してください。
親トピック: Google Chrome を使用したテスト
関連タスク
ユーザー インターフェイスからの基本状態の変更


ユーザー データ ディレクトリを使用した Google Chrome のテスト

ホーム ページ、使用するツールバーの設定や保存したパスワード、ブックマークなど、Google Chrome で行ったすべての変更は、ユーザー データ ディレクトリと呼ばれる特別なフォルダに格納されます。

Silk Test Workbench を使用して、テスト対象アプリケーションの基本状態にユーザー データ ディレクトリへのパスを指定することによって、Google Chrome ユーザー データ ディレクトリをテストできます。次のコマンド ラインには、プロファイルへのパスが含まれています。
chrome.exe "--user-data-dir=C:/Users/MyUser/AppData/Local/Google/Chrome/User Data"
サンプル Web アプリケーションのプロファイル ディレクトリを設定するには、次のコードを使用できます。
' VB code
Dim baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS")
Dim myProfileDir = "--user-data-dir=D:\\temp\\SilkTest --profile-directory=Profile1"
baseState.CommandLineArguments = myProfileDir
baseState.Execute()
注: Google Chrome が Silk Test Workbench によって起動されるときには、空のユーザー データ ディレクトリが使用されます。これにより、クリーンな状態でテストが開始されることになります。
親トピック: Google Chrome を使用したテスト


Google Chrome を使用したテストの制限事項

Google Chrome を使用したテストの再生とロケーターの記録のサポートは、サポートされている他のブラウザほど完全なものではありません。以下のリストに、Google Chrome を使用したテストの再生とロケーターの記録の既知の制限事項をリストします。
  • Silk Test は、Google Chrome を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Google Chrome ではサポートされていません。
  • Silk Test Workbench は、HTTP 基本認証ダイアログのテストの記録をサポートしません。
  • Google Chrome 49 以前を使用する場合、Silk Test は Google Chrome のネイティブ サポートは提供しません。内部 Google Chrome 機能をテストすることはできません。たとえば、テストで、Win32 でナビゲーション バーにテキストを追加して現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。Silk Test は、Alert API を使用した警告および類似のダイアログ ボックスの処理をサポートします。
  • Silk Test Workbench は、Google Chrome でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk Test Workbench は Google Chrome を使用して Web アプリケーションをテストする際の列挙子をサポートしていません。
  • Silk Test Workbench は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk Test は、Google Chrome メニューを使用して Google Chrome の 印刷 ダイアログ ボックスが開かれたことは認識しません。Google Chrome でダイアログ ボックスを開く動作を追加してテストするには、TypeKeys メソッドを使用して Ctrl+Shift+P を送信する必要があります。Internet Explorer はこのショートカットを認識しません。したがって、最初に Internet Explorer でテストを記録してから、手動で Ctrl+Shift+P を押す操作をテストに追加する必要があります。
  • Google Chrome の複数ウィンドウの同時テストは、最初の Google Chrome ウィンドウから AUT 自身が追加のウィンドウを開いた場合にのみサポートされます。追加の Google Chrome ウィンドウを手動で開いた場合、Silk Test Workbench はこれらの Google Chrome ウィンドウ上の要素を解決できません。たとえば、記録中に AUT のリンクやボタンをクリックして開かれた Google Chrome ウィンドウ上の要素は Silk Test Workbench は解決できますが、記録中に CTRL+N を押して開かれた Google Chrome ウィンドウ上の要素は Silk Test Workbench は解決できません。
  • Google Chrome 49 以前を使用する場合、Google Chrome を使用して Web アプリケーションをテストしている場合に、Google Chrome を閉じた際にバックグラウンド アプリケーションの処理を続行する チェックボックスがチェックされていると、Silk Test は Google Chrome を再起動してオートメーション サポートを読み込むことができません。
  • ビジュアル テストの再生速度が遅い場合は、ツール > オプション > 再生 > 結果 > ビジュアル テスト のオプション コントロールのキャプチャ を いいえ に設定します。そうしないと、リッチな Web ページでは再生速度が著しく低下し、通信がタイムアウトすることもあります。
  • Google Chrome 50 より前のバージョンを使用してテストを再生するには、次のいずれかを実行する必要があります。
    • Google Chrome を起動して、Silk Test Chrome 拡張機能を有効にします。
      注: Silk Test Chrome 拡張を誤って削除した場合、Chrome ウェブストア から拡張機能を再インストールする必要があります。
    • Chrome ウェブストアへアクセスできず、Silk Test Chrome 拡張機能を有効にできない場合は、レジストリ キー「HKEY_LOCAL_MACHINE\SOFTWARE\[Wow6432Node\]Google\Chrome\Extensions\cjkcicfagnoafgjpgnpcdfllcnneidjj」を削除してください。
      1. スタート メニューの検索ボックスに regedit を入力し、Enter を押します。
      2. レジストリ エディター で、HKEY_LOCAL_MACHINE\SOFTWARE\[Wow6432Node\]Google\Chrome\Extensions に移動します。
      3. cjkcicfagnoafgjpgnpcdfllcnneidjj を右クリックして 削除 を選択します。
  • Google Chrome 49 以前を使用する場合、Internet Explorer を使用してテストを再生する場合、executeJavaScript をテストするために次のコードを使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("function foo() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("foo();");

    Google Chrome 上でテストを再生する場合、スクリプトはクロージャで実行され、グローバル コンテキスト (window) では実行されません。すべては関数内で実行されます。上記のサンプル コードの最初の ExecuteJavaScript 呼び出しは、Google Chrome では機能しません。これは、関数 foo が ExecuteJavaScript 呼び出しが存続する間だけ有効であるためです。

    Google Chrome 上で同じテストを再生する場合は、次のような関数式を使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo = function() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo();");

    前のサンプル コードは Silk4J では機能します。他の Silk Test クライアントに対するコードも同様です。詳細については、Silk Test クライアントのヘルプにある ExecuteJavaScript メソッドのドキュメントを参照してください。

注: Silk Test Chrome 拡張機能アイコンが赤色になっている場合は、Silk Test Chrome サポートにエラーがあることを示しています。
親トピック: Google Chrome を使用したテスト
関連概念
xBrowser のページ同期
関連資料
Google Chrome を使用したテスト再生の前提条件
Google Chrome


Mozilla Firefox を使用したテスト

このセクションでは、Mozilla Firefox を使用してテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

Silk Test Workbench は、Mozilla Firefox 上での操作の記録とテストの再生をサポートします。

  • Mozilla Firefox でテストを開始するときに、Mozilla Firefox のインスタンスが実行していない場合、Silk Test Workbench は Mozilla Firefox の新しいインスタンスを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。
  • Mozilla Firefox のインスタンス上でのテストを開始するときに、すでに実行中であれば、Silk Test Workbench はそのインスタンスが最初に開始されたときに使用されたコマンド ライン引数と同じ引数で Mozilla Firefox を再起動します。この再起動は、Silk Test Workbench オートメーション サポートを有効化するために必要です。
  • この Mozilla Firefox のインスタンスは、Open Agent のシャットダウン時または、Mozilla Firefox 外のほかのアプリケーションのテストを開始するときに閉じられます。
ヒント: Mozilla Firefox を使用して既存のテスト スクリプトを実行する場合は、基本状態を使用して、URL へ移動するコマンドをテスト スクリプトに追加することを、Micro Focus はお勧めします。

Mozilla Firefox 52 以降で Silk Test Workbench を使用して記録する場合、Mozilla Firefox は外部リンクを新しいウィンドウではなく新しいタブで開きます。外部リンクを新しいウインドウで開く場合は、詳細設定 オプションの Firefox のシングル ウィンドウ モードを使用する オプションを無効にします。

例 1

Mozilla Firefox の実行中のインスタンスが、コマンド「C:/program files/Mozilla/firefox.exe www.borland.com」で最初に起動されていた場合、Mozilla Firefox は再起動後に www.borland.com を開きます。

例 2

Mozilla Firefox の実行中のインスタンスが、コマンド「C:/program files/Mozilla/firefox.exe」で最初に起動されていた場合、Mozilla Firefox は再起動後に about:blank を開きます。

  • プロファイルを使用した Mozilla Firefox のテスト
    プロファイルを使用して Mozilla Firefox をテストする方法について説明します。
  • Mozilla Firefox 拡張機能のテスト
    Mozilla Firefox 拡張機能をテストする方法について説明します。
  • Mozilla Firefox を使用したテストの制限事項
    Mozilla Firefox 上の Web アプリケーションをテストする際の既知の制限事項を一覧します。
親トピック: クロス ブラウザ テスト


プロファイルを使用した Mozilla Firefox のテスト

ホーム ページ、使用するツールバーの設定や保存したパスワード、ブックマークなど、Mozilla Firefox で行ったすべての変更は、プロファイルと呼ばれる特別なフォルダに格納されます。

Mozilla Firefox プロファイルをテストするには、プロファイルの名前、またはプロファイルへのパスのどちらかをカスタム ブラウザー コマンド ライン引数として アプリケーション構成の編集 ダイアログ ボックス で指定します。
  1. Mozilla Firefox プロファイルをテストするプロジェクトを選択します。
  2. メニューから アプリケーション構成の編集 をクリックします。アプリケーション構成の編集 ダイアログ ボックスが表示されます。
  3. 編集 をクリックして、既存の ブラウザー：Firefox アプリケーション構成を編集します。
  4. ブラウザーの種類から カスタム を選択します。
  5. 実行可能ファイル フィールドに、Mozilla Firefox 実行可能ファイルへのパスを入力します。たとえば、C:\Program Files (x86)\Mozilla Firefox\firefox.exe など。
  6. コマンド ライン引数 フィールドに、Firefox プロファイル名または Firefox プロファイルへのパスを入力します。たとえば、-p myProfile または -profile C:/Temp など。
プロファイルの名前の使用
次のコマンド ライン引数では、プロファイル名を指定しています。
-p myProfile
プロファイル マネージャ で名前をつけてプロファイルを設定できます。プロファイル マネージャ を起動するには、コマンド ウィンドウで firefox.exe -P を入力します。
プロファイルへのパスの使用
次のコマンド ライン引数では、プロファイルへのパスを指定しています。
-profile C:/<path to profile folder>
注: Silk Test Workbench が Mozilla Firefox を起動する場合、空のプロファイルが使用されます。これにより、クリーンな状態でテストが開始されることになります。ユーザーが手動で Mozilla Firefox を起動した場合は、デフォルトのプロファイルが使用されます。
注: プロファイルはテス トマシンにデプロイする必要があり、メモリ消費量も大きいため、プロファイルのテスト時に問題が発生する可能性があります。いくつかのブラウザーの設定を変更するだけであれば、プロファイルの代わりにケイパビリティを使用できます。詳細については、「WebDriver ベースのブラウザーのケイパビリティの設定」を参照してください。
親トピック: Mozilla Firefox を使用したテスト
関連概念
Mozilla Firefox 拡張機能のテスト
関連タスク
ユーザー インターフェイスからの基本状態の変更


Mozilla Firefox 拡張機能のテスト

Silk Test Workbench を使って Mozilla Firefox 拡張機能（アドオン）をテストするには、Mozilla Firefox プロファイルに拡張機能を追加し、そのプロファイルをテストに使用します。詳細については、「プロファイルを使用した Mozilla Firefox のテスト」を参照してください。

親トピック: Mozilla Firefox を使用したテスト
関連概念
プロファイルを使用した Mozilla Firefox のテスト


Mozilla Firefox を使用したテストの制限事項

Silk Test Workbench を使用して Mozilla Firefox 上の Web アプリケーションをテストする際の既知の制限事項を以下に示します。

  • Silk Test Workbench は Mozilla Firefox 47、48、49、50、51 をサポートしません。ただし、Silk Test Workbench は Mozilla Firefox 47.0.1 および 47.0.2 をサポートします。
  • Mozilla Firefox の複数ウィンドウの同時テストは、最初の Mozilla Firefox ウィンドウから AUT 自身が追加のウィンドウを開いた場合にのみサポートされます。追加の Mozilla Firefox ウィンドウを手動で開いた場合、Silk Test Workbench はこれらの Mozilla Firefox ウィンドウ上の要素を解決できません。たとえば、記録中に AUT のリンクやボタンをクリックして開かれた Mozilla Firefox ウィンドウ上の要素は Silk Test Workbench は解決できますが、記録中に CTRL+N を押して開かれた Mozilla Firefox ウィンドウ上の要素は Silk Test Workbench は解決できません。
  • Silk Test Workbench は window.showmodaldialog コマンドを使って表示されるウィンドウであるモーダル ブラウザー ウィンドウのテストをサポートしません。これらのモーダル ブラウザー ウィンドウは、公式に廃止されており、Google Chrome 37 以降では無効化されています。さらに、Mozilla Firefox の今後のバージョンではサポートされる計画はありません。低レベルな操作を使ってこの問題を回避できます。たとえば、オブジェクトの座標を使用したネイティブなクリックやテキスト フィールドを typeKeys を使って入力する方法が利用できます。
  • Silk Test Workbench は、Mozilla Firefox を使用した Silverlight のテストをサポートしません。
  • Silk Test Workbench は Mozilla Firefox の バージョン情報 ダイアログなどの一部のブラウザー ダイアログのテストをサポートしません。
  • Silk Test Workbench は、Mozilla Firefox を使用した about:* ページのテストをサポートしません。
  • Silk Test Workbench は、Mozilla Firefox の 印刷 ボタンのクリックの記録をサポートしません。再生時にこのボタンをクリックする場合は、座標によるデスクトップのクリックをテスト スクリプトに手動で追加することにより行えます。例：
    'VB .NET code
_desktop.Click(printButton.GetRect(true).Center)
  • Silk Test Workbench は、Mozilla Firefox でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk Test Workbench は Mozilla Firefox の JavaScript 警告ボックスのロケーターの記録をサポートしません。ロケーターを手動で記述することで、この問題を回避できます。たとえば、ロケーターが //PushButton[@caption='OK'] の OK ボタンをクリックする場合、スクリプトに次のように入力します。
    ' VB .NET code
_desktop.PushButton("@caption='OK'").Click()
    JavaScript 警告ボックスを処理するために、次のメソッドを使用することもできます。
    • AcceptAlert
    • DismissAlert
    • GetAlertText
    • IsAlertPresent
  • Silk Test Workbench は、Mozilla Firefox 52 以降では Java アプレットをサポートしません。Silk Test Workbench は、Mozilla Firefox 47.0.1 以前では Java アプレットをサポートします。ただし、次のような制限事項があります。
    • Silk Test Workbench は ロケーター //AppletContainer をサポートしません。
    • アプレットがモーダル ダイアログを開くとき、//BrowserApplication//BrowserWindow/JDialog[@caption='Information']//JButton[@caption='OK'] のようなロケーターが機能しない場合があります。代わりに、//JDialog[@caption='Information']//JButton[@caption='OK'] のようなロケーターは使用できます。
  • Silk Test Workbench は、Mozilla Firefox では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk Test Workbench は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk Test は、Mozilla Firefox を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Mozilla Firefox ではサポートされていません。
  • Mozilla Firefox 52 以降を使用する場合、次のメソッドはサポートされません。
    • PressKeys
    • ReleaseKeys
  • Mozilla Firefox 52 以前を使用する場合、BrowserWindow クラスの SetViewportSize メソッドはサポートされません。
  • Mozilla Firefox 52 以降を使用する場合、次のネイティブ再生はサポートされません。
    • ダブルクリック。
    • マウス ボタンの右と中央のクリック。
  • Mozilla Firefox 52 以降を使用する場合、DomClick メソッドは、警告を開くコントロールではサポートされません。
  • Mozilla Firefox 55 を使用する場合、ファイルのアップロードは機能しません。詳細については、『 File upload no longer works with geckodriver 0.18.0 and Firefox 55』を参照してください。
親トピック: Mozilla Firefox を使用したテスト


Microsoft Edge を使用したテスト

このセクションでは、Microsoft Edge を使用してテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

  • Microsoft Edge を使用したテストの制限事項
    Microsoft Edge を使用したテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • リモート マシン上での Microsoft Edge のテスト
    Microsoft Edge をリモート マシンでテストするために、リモート マシン上で標準の整合性レベルで Information Service を開始します。
親トピック: クロス ブラウザ テスト


Microsoft Edge を使用したテストの制限事項

以下に、Microsoft Edge を使用してテストする際の既知の制限事項を一覧します。
  • 次のクラス、インターフェイス、メソッド、プロパティは、Microsoft Edge 上の Web アプリケーションのテストでは現時点ではサポートされません：
    • BrowserApplication クラス。
      • ClearCache メソッド
      • CloseOtherTabs メソッド
      • CloseTab メソッド
      • ExistsTab メソッド
      • GetHorizontalScrollbar メソッド
      • GetNextCloseWindow メソッド
      • GetSelectedTab メソッド
      • GetSelectedTabIndex メソッド
      • GetSelectedTabName メソッド
      • GetTabCount メソッド
      • GetVerticalScrollbar メソッド
      • IsActive メソッド
      • Minimize メソッド
      • OpenContextMenu メソッド
      • OpenTab メソッド
      • Restore メソッド
      • SelectTab メソッド
      • SetActive メソッド
      • WindowState メソッド
    • BrowserWindow クラスの次のメソッドは、Microsoft Edge のビルド 38.14393（Microsoft Windows 10 Anniversary Update のバージョンの Microsoft Edge）より前のバージョンではサポートされません。
      • PressKeys メソッド
      • ReleaseKeys メソッド
  • Silk Test Workbench は、Microsoft Edge に対する操作を記録するとき、ブラウザを自動的に最前面に表示しません。
  • Microsoft Edge を使用してテストすると、BrowserApplication の矩形領域は絶対値ではありません。
  • Silk Test Workbench は、Apache Flex のテストをサポートしません。
  • Silk Test Workbench は、Microsoft Edge のネイティブ サポートは提供しません。内部 Microsoft Edge 機能をテストすることはできません。たとえば、テストで、ナビゲーション バーにテキストを追加して、現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。
  • Silk Test Workbench は、Microsoft Edgeの警告ダイアログなどのダイアログ ボックスをサポートしません。
  • イメージ クリックは、Microsoft Edge Threshold 2 (ビルド 25.10586) 以降に対してのみサポートされます。Microsoft Edge の以前のバージョン上で Web アプリケーションをテストする場合は、イメージ検証のみ使用できます。
  • Silk Test Workbench は、Microsoft Edge でのテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk Test Workbench は、Microsoft Edge のタブをサポートしません。タブはウィンドウとして解決されます。
  • ビジュアル テストの再生速度が遅い場合は、ツール > オプション > 再生 > 結果 > ビジュアル テスト のオプション コントロールのキャプチャ を いいえ に設定します。そうしないと、リッチな Web ページでは再生速度が著しく低下し、通信がタイムアウトすることもあります。
  • Microsoft Edge 上の Web アプリケーションをテストするとき、Silk Test Workbench は http-equiv 属性などのメタタグを検索できません。たとえば、Silk Test Workbench は次のメタタグを検索できません：
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
  • Microsoft Edge を使用する場合、Silk Test Workbench は DOM 要素の currentStyle 属性の直接読み取りをサポートしません。DomElement クラスの GetCssStyle メソッドを使用して、指定したスタイル名の算出 CSS スタイルを取得できます。
  • Microsoft Edge 上の Web アプリケーションとのやり取りを開始するとき、Silk Test Workbench は Microsoft Edge のすべての開いているインスタンスを閉じ、新しくブラウザーを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。この Microsoft Edge のインスタンスは、Open Agent のシャットダウン時または、Microsoft Edge 外のほかのアプリケーションのテストを開始するときに閉じられます。
  • Microsoft Edge を使用する場合、Silk Test Workbench は操作やロケーターの記録中に textContents 属性を認識しません。しかし、オブジェクト マップで textContents 属性を使用して、Microsoft Edge 上でテストを再生するときに使用できます。
  • Silk Test Workbench は、Microsoft Edge では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk Test Workbench は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk Test Workbench は、Content-Security-Policy HTTP ヘッダーを含んだ Web アプリケーションのテストをサポートしません。
親トピック: Microsoft Edge を使用したテスト
関連タスク
スクリプトの記録
ビジュアル テストの記録
関連資料
Microsoft Edge


リモート マシン上での Microsoft Edge のテスト

リモート Microsoft Windows 10 マシン上で Microsoft Edge をテストするには、リモート マシン上に Silk Test Workbench をインストールする必要があります。
  1. Microsoft Edge のテストを実行するローカル マシン上で、リモート Microsoft Windows 10 マシンをリモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
  2. Silk Test Information Service がすでにリモート Microsoft Windows 10 マシン上で管理者権限でサービスとして実行されている場合、Silk Test Information Service を無効化します。
    1. Microsoft Windows 10 マシンに管理者としてログインします。
    2. コントロール パネル (アイコン表示) を開きます。
    3. 管理ツール をクリックします。
    4. サービス をダブルクリックします。
    5. Silk Test Information Service をダブルクリックします。
    6. サービスが実行中の場合、停止 をクリックして、サービスの状態が 停止 になるまで待機します。
    7. スタートアップの種類 を 無効 に変更します。
    8. OK をクリックします。
  3. Silk Test Information Service を標準の整合性レベル（管理者権限無し）で開始します。
    1. ファイル エクスプローラーを開き、%OPEN_AGENT_HOME%/InfoService に移動します。 たとえば、C:\Program Files (x86)\Silk\SilkTest\ng\InfoService になります。
    2. infoservice_start.bat をダブルクリックします。
  4. 以上で、リモート Microsoft Windows 10 マシン上の Microsoft Edge を アプリケーションの選択 ダイアログ ボックスで選択できるようになります。
注: Silk Test Information Service が、サービス セッションではなくユーザー セッションで実行されていることを確認します。Silk Test Information Service は、UI 操作が有効でなければなりません。セッション 0 であるサービス セッションは、UI 操作が有効ではありません。
親トピック: Microsoft Edge を使用したテスト


レスポンシブ Web デザインのテスト

レスポンシブ Web デザインに基づいて構築されたデスクトップ Web アプリケーションは、アプリケーションを表示する画面や Web ブラウザーのサイズに応じて、その外観が変化します。このようなテストでは、再生するウィンドウのサイズを適切に選択できないと、その安定性に多大な影響を与える可能性があります。

Silk Test Workbench では、次のタイミングでブラウザー ウィンドウの正確なサイズを指定することができます。
  • Web アプリケーションに対して新しいプロジェクトを作成する時点
  • 新しいビジュアル テストや .NET スクリプトを作成する時点
  • 新しいテストを記録する時点
  • 既存のテストに操作を記録する時点
  • Web アプリケーションに対するテストを再生する時点
次の設定を使用して、ブラウザー ウィンドウのサイズを指定することができます。
  • ブラウザー サイズ リストには、あらかじめ定義されたブラウザー ウィンドウのサイズとカスタマイズしたサイズの両方が表示され、ここからテストで使用するサイズを選択できます。
  • 向き リストでは、ブラウザー ウィンドウの向きが横向きか縦向きかを選択できます。
  • ブラウザー サイズの編集 をクリックすると、ブラウザー サイズ リストにカスタム ブラウザー サイズを追加したり、リストに表示するブラウザー サイズを選択することができます。
    • 新しいカスタム ブラウザー サイズをリストに追加するには、ブラウザー サイズの追加 をクリックします。
    • リストにサイズを表示しないようにするには、対応するチェック ボックスをオフにします。
    • 特定の Web アプリケーションのビジュアル ブレークポイントを ブラウザー サイズ リストに追加するには、ビジュアル ブレークポイントの検出 をクリックします。

コマンド ラインや Silk Central から Web アプリケーションに対するテストを再生する場合は、silktest.browserViewportSize 環境変数を設定してブラウザー ビューポートのサイズを指定できます。ブラウザー サイズ リストで定義したブラウザーの名前や特定のサイズを指定することができます。

例：自動再生するブラウザー サイズに名前を使用して指定する場合

ブラウザー サイズ リストの SVGA エントリを使用して、ブラウザー サイズを SVGA (800, 600) に設定するサンプル コードを以下に示します。
SET silktest.browserViewportSize=name=SVGA;orientation=landscape
STW.exe –script MyScript
次のコマンドを使用して、特定のブラウザーとビューポート サイズを指定することもできます。
STW –dsn silktest –browser InternetExplorer –script MyScript -viewportname SVGA

例：自動再生するブラウザー サイズに幅と高さを使用して指定する場合

width と height パラメータをを使用して、ブラウザー サイズを SVGA (800, 600) に設定するサンプル コードを以下に示します。
SET silktest.browserViewportSize=width=800;height=600;orientation=landscape
STW.exe –script MyScript
次のコマンドを使用して、特定のブラウザーとビューポート サイズを指定することもできます。
STW –dsn silktest –browser InternetExplorer –script MyScript -viewportwidth 800 -vieportheight 600
親トピック: クロス ブラウザ テスト
関連タスク
ユーザー インターフェイスからの基本状態の変更
アプリケーション構成の変更
ビジュアル ブレークポイントの検出


ビジュアル ブレークポイントの検出

レスポンシブ Web デザイン技術を使用して実装する多くの Web アプリケーションは、表示されるブラウザーやデバイスのサイズに応じて、そのレイアウトを変更します。レイアウトの変更が発生する特定の解像度を、ビジュアル ブレークポイント と言います。

Silk Test Workbench では、ビジュアル ブレークポイントを検出し、それを使用して特定のサイズに記録ウィンドウのサイズを変更することで、このようなアプリケーションのテストをサポートします。

Silk Test Workbench では、次のタイミングでブラウザー ウィンドウの正確なサイズを指定することができます。
  • Web アプリケーションに対して新しいプロジェクトを作成する時点
  • 新しいビジュアル テストや .NET スクリプトを作成する時点
  • 新しいテストを記録する時点
  • 既存のテストに操作を記録する時点
  • Web アプリケーションに対するテストを再生する時点

Web アプリケーションのビジュアル ブレークポイントを検出し、対応する解像度を ブラウザー サイズ リストに表示させるには、次の手順を実行します。

  1. ブラウザー サイズの編集 をクリックします。 ブラウザー サイズの編集 ダイアログ ボックスが表示されます。
  2. ビジュアル ブレークポイントの検出 をクリックします。 Web アプリケーションの URL がアプリケーション構成や基本状態で指定されていない場合は、ビジュアル ブレークポイント検出 URL ダイアログが表示されます。
  3. Web アプリケーションの URL がアプリケーション構成や基本状態で指定されていない場合は、ビジュアル ブレークポイント検出 URL ダイアログが表示されます。URL をテキスト フィールドに入力し、OK をクリックします。 Silk Test Workbench は Web アプリケーションのすべてのビジュアル ブレークポイントを検出し、ブラウザー サイズ リストに追加します。
  4. OK をクリックして ブラウザー サイズの編集 ダイアログを閉じます。
以上により、テストするブラウザー ウィンドウまたはモバイル デバイスのサイズに合わせて、ビジュアル ブレークポイントを選択できるようになります。
親トピック: クロス ブラウザ テスト
関連概念
レスポンシブ Web デザインのテスト


追加のブラウザーのバージョンでのテスト

このトピックでは、Silk Test Workbench のバージョンに自動的に含まれない WebDriver ベースのブラウザーの追加のバージョンでテストを行う方法について説明します。
注: Silk Test Workbench は、ブラウザーの最新のバージョンを自動的にサポートします。ただし、ブラウザーのベンダーが Silk Test Workbench のアップデートを必要とする変更を行った場合、このトピックに記述した手順を行っても、新しいブラウザーのバージョンでテストを行うことができない場合もあります。
このトピックで説明されている機能は、 次のブラウザーに対してサポートされます。
  • Google Chrome
  • Microsoft Edge
  • Mozilla Firefox
  1. テストするブラウザーのバージョンに対して適切なドライバーをダウンロードします。
    • Google Chrome の場合、追加の ChromeDriver のバージョンは Downloads - ChromeDriver からダウンロードできます。
    • Mozilla Firefox の場合、追加の geckodriver のバージョンは Releases - mozilla/geckodriver からダウンロードできます。
    • Microsoft Edge の場合、追加の Microsoft WebDriver のバージョンは WebDriver - Microsoft Edge からダウンロードできます。
  2. Silk Test Workbench インストール フォルダーで、\ng\WebDrivers\Windows\ フォルダーに移動します。
  3. ブラウザーに対して適切なフォルダーを開きます。
    • Google Chrome の場合、Chrome を開きます。
    • Mozilla Firefox の場合、Gecko を開きます。
    • Microsoft Edge の場合、Edge を開きます。
  4. 新しいドライバーのバージョン用に新しいフォルダを作成します。 たとえば、ドライバーが ChromeDriver 2.26 であれば、2.26 という新しいフォルダーを作成します。
  5. ダウンロードしたドライバーを新しいフォルダーで展開します。
  6. Silk Test Workbench インストール フォルダーで、\ng\WebDrivers\Common\Config\ フォルダーに移動します。
  7. ブラウザーに対して適切なフォルダーを開きます。
    • Google Chrome の場合、Chrome を開きます。
    • Mozilla Firefox の場合、Gecko を開きます。
    • Microsoft Edge の場合、Edge を開きます。
  8. プロパティ ファイルをテキスト エディターで開きます。 たとえば、Google Chrome の場合、Chrome.properties を開きます。
  9. 新しいブラウザーのバージョンと新しいドライバーのバージョンを次のように追加します。
    <browser version>=<driver version>
    たとえば、Google Chrome 53 でテストする場合、ChromeDriver 2.26 が必要であるため、Chrome.properties ファイルに次の行を追加する必要があります。
    53=2.26
  10. プロパティ ファイルを保存します。
親トピック: クロス ブラウザ テスト


クロス ブラウザ テスト:よくある質問

このセクションでは、さまざまなブラウザ上で Web アプリケーションをテストするときに発生することがある質問を示します。

  • 再生中にダイアログが認識されない
    再生中にブラウザが Dialog を認識しない場合に、スクリプトを編集する方法について説明します。
  • DomClick(x, y) が Click(x, y) のように動作しない
    DomClick(x, y) が Click(x, y) のように動作しない問題を解決する方法について説明します。
  • FileInputField.DomClick() でダイアログが開かない
    FileInputField.DomClick() でダイアログを開かない場合に、ダイアログを開く方法について説明します。
  • ブラウザをスクロールさせる方法
    再生時にブラウザでスクロールを処理する方法について説明します。
  • 現在使用しているブラウザの確認方法
    現在使用しているブラウザを確かめる方法、または、どのブラウザをスクリプトで使用するのかを決める方法について説明します。
  • 要素のテキストに使用されるフォント タイプの確認方法
    テキスト要素のフォント タイプを確認する方法について説明します。
  • innerText をカスタム クラス属性として構成したが、ロケーターで使用されない
    innerText がロケーター文字列に表示されない理由について説明します。
  • xBrowser API で公開されていない機能が必要な場合の対処方法
    スクリプトに機能を追加する方法について説明します。
  • Link.Select で、Internet Explorer で新しく開いたウィンドウにフォーカスが設定されない
    新しく開いたウィンドウをアクティブ化する方法について説明します。
  • アプリケーションのログ出力に正しくないタイムスタンプが含まれる
    ログで正しくないタイムスタンプを回避する方法について説明します。
  • 新しいページに移動したあと、スクリプトがハングする
    新しいページに移動したあとで発生するスクリプトの問題を回避する方法について説明します。
  • 正しくないロケーターが記録されている
    正しくないロケーターがどのように記録されるかについて説明します。
  • Internet Explorer で要素を囲む四角形の位置が正しくない
    Internet Explorer で四角形の位置が正しくない場合の解決方法について説明します。
  • マウス移動設定がオンになっているにもかかわらず、すべての操作が記録されない理由
    MoveMouse 操作がいつ記録されるかについて説明します。
  • textContents、innerText、および innerHtml の違い
    textContents、innerText、および innerHtml の違いについて説明します。
  • クロス ブラウザ スクリプトの作成時に必要な処置
    クロス ブラウザ スクリプトを作成するときに発生する場合がある問題について説明します。
  • 安定したクロス ブラウザ テストを実現するために最適なロケーター
    クロス ブラウザ テスト用の安定したロケーターを作成する方法を説明します。
  • ロケーターでクラスとスタイルの属性が使用されない理由
    どのような場合にクラスとスタイルの属性をロケーターで使用するかについて説明します。
  • Internet Explorer 10 で Click の記録が異なる理由
    Internet Explorer 10 で記録された Click の動作が前のバージョンの Internet Explorer で記録された Click と異なる場合がある理由について説明します。
  • ハンドル無効エラーが表示される理由
    ハンドル無効エラーが表示された場合の対処法について説明します。
親トピック: クロス ブラウザ テスト


再生中にダイアログが認識されない

スクリプトを記録するときに、 Silk Test Workbench はいくつかのウィンドウを Dialog として認識します。 スクリプトをクロス ブラウザ スクリプトとして使用する場合は、ブラウザによっては Dialog が認識されないため、 Dialog を Window に置き換える必要があります。
たとえば、スクリプトに以下の行があるとします。
/BrowserApplication//Dialog//PushButton[@caption='OK']
クロス ブラウザ テストを可能にするには、次のように行を書き換えます。
/BrowserApplication//Window//PushButton[@caption='OK']
親トピック: クロス ブラウザ テスト:よくある質問


DomClick(x, y) が Click(x, y) のように動作しない

アプリケーションで onclick イベントを使用しており、座標を必要とする場合、DomClick メソッドは動作しません。 代わりに、Click を使用します。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser における API 再生とネイティブ再生の比較


FileInputField.DomClick() でダイアログが開かない

代わりに、Click を使用します。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser における API 再生とネイティブ再生の比較


ブラウザをスクロールさせる方法

VB .NET の場合、Silk Test Workbench では、次のようにして再生中にブラウザの表示領域にコントロールをスクロールさせることができます。
ExecuteJavaScript メソッド (DomElement)
ScrollIntoView メソッドを使用して、特定の DOM 要素をブラウザ ウィンドウの表示領域にスクロールできます。
ExecuteJavaScript メソッド (BrowserWindow)
ExecuteJavaScript メソッドを使用して、範囲を指定してページ全体を上下にスクロールさせることができます。

使用例

次のコマンドは、１ ページ下にスクロールさせます。
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, window.innerHeight)")
次のコマンドは、１00 ピクセル下にスクロールさせます。
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, 100)")
次のコマンドは、１00 ピクセル上にスクロールさせます。
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, -100)")
親トピック: クロス ブラウザ テスト:よくある質問


現在使用しているブラウザの確認方法

BrowserApplication クラスには、ブラウザの種類を返すプロパティ "browsertype" があります。このプロパティをロケーターに追加することで、どのブラウザに一致させるかを定義できます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

使用例

ブラウザの種類を取得するには、次のコードをロケーターに入力します。
browserApplication.GetProperty("browsertype")

また、BrowserWindow には、現在のウィンドウのユーザー エージェント文字列を返すメソッド GetUserAgent があります。

親トピック: クロス ブラウザ テスト:よくある質問
関連資料
GetUserAgent メソッド (BrowserWindow)


要素のテキストに使用されるフォント タイプの確認方法

属性名を「:」で区切ると、DOM 要素の currentStyle 属性のすべての属性にアクセスできます。

Internet Explorer 8 以前
wDomElement.GetProperty("currentStyle:fontName")
Internet Explorer 9 またはそれ以降および Mozilla Firefox などの他のすべてのブラウザ
wDomElement.GetProperty("currentStyle:font-name")
親トピック: クロス ブラウザ テスト:よくある質問


innerText をカスタム クラス属性として構成したが、ロケーターで使用されない

ロケーター文字列に使用する属性には最大長があります。 InnerText は長くなりすぎる傾向があり、ロケーターで使用できない場合があります。 可能な場合は、textContents を代わりに使用してください。

親トピック: クロス ブラウザ テスト:よくある質問


xBrowser API で公開されていない機能が必要な場合の対処方法

ExecuteJavaScript() を使用して、JavaScript コードを Web アプリケーションから直接実行できます。 この方法は、ほとんどすべての問題の回避策となります。

親トピック: クロス ブラウザ テスト:よくある質問
関連資料
ExecuteJavaScript メソッド (BrowserWindow)


Link.Select で、Internet Explorer で新しく開いたウィンドウにフォーカスが設定されない

この制限は、ブラウザの構成設定を変更することで修正できます。 新しく開いたウィンドウが常にアクティブ化されるようにオプションを設定します。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser のブラウザ構成の設定


アプリケーションのログ出力に正しくないタイムスタンプが含まれる

この方法によって、同期に関して予期しない結果が発生する場合があります。この問題を回避するには、HTML 同期モードを指定します。

親トピック: クロス ブラウザ テスト:よくある質問


新しいページに移動したあと、スクリプトがハングする

この問題は、AJAX アプリケーションによりブラウザがビジー（サーバー プッシュ／ActiveX コンポーネントの接続が開いている）のままになっている場合に、発生することがあります。 HTML 同期モードを設定してください。 他のトラブルシューティングのヒントについては、「xBrowser のページ同期」のトピックを参照してください。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser のページ同期


正しくないロケーターが記録されている

マウスを要素上に移動したときに、要素の属性が変更することがあります。 Silk Test Workbench によってこのシナリオの追跡が試行されますが、失敗することがあります。 影響を受ける属性を特定し、それが Silk Test Workbench で無視されるように構成してください。

親トピック: クロス ブラウザ テスト:よくある質問
関連タスク
ブラウザの記録オプションの設定
テスト アプリケーションでのビジュアル テスト用コントロールの識別


Internet Explorer で要素を囲む四角形の位置が正しくない

  • 拡大率が 100% に設定されていることを確認します。 このようにしないと、四角形が正しく配置されません。
  • ブラウザ ウィンドウの上に通知バーが表示されていないことを確認します。 Silk Test Workbench では、通知バーを処理できません。
親トピック: クロス ブラウザ テスト:よくある質問


マウス移動設定がオンになっているにもかかわらず、すべての操作が記録されない理由

多くの無用な MoveMouse 操作がスクリプトに影響を及ぼさないように、Silk Test Workbench では以下の操作が行われます。

  • マウスが一定時間静止している場合にのみ、MoveMouse 操作が記録されます。
  • マウスを要素上に移動したあとで操作が行われていることが確認された場合にのみ、MoveMouse 操作が記録されます。 場合によっては、スクリプトに手動操作を追加することが必要となることがあります。
  • Silk Test Workbench は、Web アプリケーション、Win32 アプリケーション、および Windows Forms アプリケーションに対してのみ、マウス移動の記録をサポートします。 Silk Test Workbench は、Apache Flex や Swing など、xBrowser テクノロジ ドメインの子テクノロジ ドメインのマウス移動を記録することはできません。
親トピック: クロス ブラウザ テスト:よくある質問


textContents、innerText、および innerHtml の違い

  • textContents は、書式設定のみを目的とする要素およびその子要素に含まれるすべてのテキストです。
  • innerText は、要素およびその子要素に含まれるすべてのテキストを返します。
  • innerHtml は、要素に含まれるすべてのテキスト（html タグも含む）を返します。

以下の html コードについて検討します。

<div id="mylinks">
  This is my <b>link collection</b>:
  <ul>
    <li><a href="www.borland.com">Bye bye <b>Borland</b> </a></li>
    <li><a href="www.microfocus.com">Welcome to <b>Micro Focus</b></a></li>
  </ul>
</div>

以下の表に、返されるプロパティの詳細を示します。

コード 返される値
browser.DomElement("//div[@id='mylinks']").GetProperty("textContents")
This is my link collection:
browser.DomElement("//div[@id='mylinks']").GetProperty("innerText")
This is my link collection:Bye bye Borland Welcome to Micro Focus
browser.DomElement("//div[@id='mylinks']").GetProperty("innerHtml")
This is my <b>link collection</b>:
<ul>
  <li><a href="www.borland.com">Bye bye <b>Borland</b></a></li>
  <li><a href="www.microfocus.com">Welcome to <b>Micro Focus</b></a></li>
</ul>
注: Silk Test 13.5 以降で、要素の textContents プロパティを介して取得されるテキストの空白はサポートするブラウザすべてで一貫してトリムされます。ブラウザのバージョンによっては、この空白の処理方法が Silk Test 13.5 以前の Silk Test バージョンで異なる場合があります。以前の動作を有効にしたい場合、OPT_COMPATIBILITY オプションを 13.5.0 より低いバージョンに設定してください。たとえば、オプションを Silk Test 13.0 に設定するには、スクリプトで次のように入力します：
'VB .NET code
Agent.SetOption("OPT_COMPATIBILITY", "13.0.0")
親トピック: クロス ブラウザ テスト:よくある質問
関連概念
キャプチャされたデータのための変数の作成


クロス ブラウザ スクリプトの作成時に必要な処置

クロスブラウザ スクリプトを作成する場合は、以下の 1 つまたは複数の問題に遭遇する場合があります。
  • 属性値が異なる。 たとえば、 Internet Explorer の色が "# FF0000" として、 Mozilla Firefox の色が "rgb(255,0,0)" として返されます。
  • 属性名が異なる。 たとえば、 Internet Explorer 8 以前のバージョンではフォント サイズ属性が "fontSize" と呼ばれ、 Internet Explorer 9 以降および Mozilla Firefox などの他のすべてのブラウザでは "font-size" と呼ばれます。
  • 一部のフレームワークで 異なる DOM ツリーがレンダリングされることがある
親トピック: クロス ブラウザ テスト:よくある質問


安定したクロス ブラウザ テストを実現するために最適なロケーター

組み込みロケーター生成プログラムでは、安定したロケーターの作成が試みられます。ただし、情報を使用できない場合、高品質のロケーターを生成することは困難です。この場合、ロケーター生成プログラムでは、階層形式の情報およびインデックスが使用されます。その結果、直接的な記録／再生には適していても、安定した日常的な実行には適さない脆弱なロケーターが生成されます。さらに、クロス ブラウザ テストでは、いくつかの AJAX フレームワークで異なるブラウザに対して異なる DOM 階層がレンダリングされることがあります。

この問題を回避するには、アプリケーションの UI 要素にカスタム ID を使用します。

親トピック: クロス ブラウザ テスト:よくある質問
関連タスク
ブラウザの記録オプションの設定


ロケーターでクラスとスタイルの属性が使用されない理由

これらの属性は AJAX アプリケーションで頻繁に変更され、ロケーターの安定性が損なわれることがありため、無視リストに含まれています。 ただし、多くの場合、これらの属性を使用してオブジェクトを識別できるため、アプリケーションで使用することに意味がある場合があります。

親トピック: クロス ブラウザ テスト:よくある質問


Internet Explorer 10 で Click の記録が異なる理由

Internet Explorer 10 の DomElement で Click を記録し、DomElement が Click の後で破棄された場合、記録動作が予期したとおりにならないことがあります。 別の DomElement が最初の DomElement の下にある場合、Silk Test では、1 つの Click が記録されるのではなく、Click、MouseMove、および ReleaseMouse が記録されます。

予期しない記録動作を回避する方法は、テスト対象のアプリケーションによって異なります。 通常は、記録されたスクリプトから不必要な MouseMove イベントと ReleaseMouse イベントを削除すれば十分です。

親トピック: クロス ブラウザ テスト:よくある質問


ハンドル無効エラーが表示される理由

このトピックでは、Silk Test Workbench に「このオブジェクトのハンドルは無効になりました。」というエラー メッセージが表示された場合の対処法について説明します。

このメッセージは、たとえば WaitForProperty などのメソッドを呼び出したオブジェクトが何らかの理由で消失していることを示しています。たとえば、Web アプリケーションでメソッドを呼び出しているときに、何らかの理由でブラウザが 新しいページに移動した場合、以前のページのすべてのオブジェクトは自動的に無効になります。

Web アプリケーションのテストでは、組み込みの同期がこの問題の原因の場合があります。たとえば、テスト対象のアプリケーションにショッピング カートが含まれていて、このショッピング カートに品物を追加したとします。ユーザーは次のページが読み込まれ、ショッピング カートのステータスが 品物がある 状態に変わるまで待機しています。品物を追加するという操作からの戻り時間が短すぎた場合、最初のページのショッピング カートはステータスが変わるまで待機しますが、その間も新しいページは読み込まれています。したがって、最初のページのショッピング カートは無効になります。この動作によって、ハンドル無効エラーが発生します。

この問題を回避するには、2 番目のページでのみ有効なオブジェクトが表示されるまで待機してから、ショッピング カートのステータスを確認するようにしてください。このオブジェクトが有効になるとすぐに、ショッピング カートのステータスを確認できるようになり、2 番目のページで正しく検証されるようになります。

親トピック: クロス ブラウザ テスト:よくある質問


スクリプトからのブラウザの起動

テストの開始時に再生するブラウザを選択するのではなく、再生時にテスト スクリプトから特定のブラウザを起動することが必要になる場合があります。

BrowserBaseState クラスの使用

テスト スクリプトからブラウザを起動するために、BrowserBaseState クラスを使用すると、Executable プロパティで指定したブラウザが実行され、テストの準備ができている状態になります。さらに、基本状態としてUrl プロパティで指定した URL に移動され、ブラウザが最前面に表示されます。

次のサンプル コードは、BrowserBaseState を使用して Internet Explorer を起動します。
' VB . NET code
Dim MyBrowserBaseState As New BrowserBaseState(BrowserType.InternetExplorer, "http://www.borland.com")
MyBrowserBaseState.Execute()

ブラウザの複数インスタンスの使用

複数のブラウザ ウィンドウまたはタブが開かれている場合、Silk Test Workbench は各ブラウザ ウィンドウまたはタブを、ユニークなロケーターを持つ個別のオブジェクトとして処理します。ロケーターは、WebBrowser、WebBrowser[1]、WebBrowser[2] のように、インデックス付きで表されます。

親トピック: クロス ブラウザ テスト


非表示入力フィールドの検索

非表示入力フィールドは、タグに type="hidden" を指定した HTML フィールドです。Find で非表示入力フィールドを検索できるようにするために、OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS オプションを使用できます。このオプションのデフォルト値は、TRUE です。
'VB .NET code
Agent.SetOption("OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS", true)
// C# code
Agent.SetOption("OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS", true);
親トピック: クロス ブラウザ テスト


Web アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Web アプリケーションがサポートする属性は次のとおりです。
  • caption (次のワイルドカードをサポート：? および *)
  • すべての DOM 属性 (次のワイルドカードをサポート：? および *)
注: 各ブラウザによって、空のスペースの処理に違いがあります。 この結果、「textContent」および「innerText」属性は正規化されています。 空のスペースのあとに別の空のスペースが続く場合、空のスペースはスキップされるか、または 1 文字の空白で置き換えられます。 空のスペースとは、検出されたスペース、キャリッジ リターン、改行、タブのことです。 また、このような値に一致するものも正規化されます。 例：
<a>abc
abc</a>
以下のロケーターを使用します。
//A[@innerText='abc abc']
親トピック: クロス ブラウザ テスト
親トピック: サポートする属性の種類


xBrowser クラス リファレンス

xBrowser アプリケーションを設定すると、Silk Test Workbench は標準の xBrowser コントロールのテストのサポートを組み込みで提供します。

親トピック: クロス ブラウザ テスト
関連資料
xBrowser クラス リファレンス


Microsoft Windows 10 上のテストの制限事項

以下に、Microsoft Windows 10 (Windows 10) 上でテストする際の既知の制限事項を一覧します。
  • Silk Test は、Windows 10 上のユニバーサル Windows プラットフォーム (UWP) アプリのテストをサポートしません。
親トピック: 特定の環境のテスト


64 ビット アプリケーションのサポート

Silk Test Workbench では、以下のテクノロジについて、64 ビット アプリケーションのテストがサポートされています。
  • Windows Forms
  • Windows Presentation Foundation (WPF)
  • Microsoft Windows API ベース
  • Java AWT/Swing
  • Java SWT

サポートするバージョン、既知の問題、および回避策についての最新の情報は、リリース ノートを確認してください。

親トピック: 特定の環境のテスト


サポートする属性の種類

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。 必要に応じて、以下のいずれかの方法を使用して属性の種類を変更できます。
  • 他の属性の種類と値を手動で入力する。
  • 推奨属性リスト の値を変更して、デフォルトの属性の種類に対して別の設定を指定する。
  • Apache Flex アプリケーションの属性
    Apache Flex アプリケーションがサポートする属性の一覧を提供します。
  • Java AWT/Swing アプリケーションの属性
    Java AWT/Swing アプリケーションがサポートする属性を示します。
  • Java SWT アプリケーションの属性
    Java SWT アプリケーションがサポートする属性の一覧を提供します。
  • SAP アプリケーションの属性
    SAP アプリケーションがサポートする属性の一覧を提供します。
  • Silverlight コントロールを識別するためのロケーター属性
    Silverlight コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Rumba コントロールを識別するためのロケーター属性
    Rumba コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Web アプリケーションの属性
    Web アプリケーションがサポートする属性の一覧を提供します。
  • Windows Forms アプリケーションの属性
    Windows Forms アプリケーションがサポートする属性の一覧を提供します。
  • Windows Presentation Foundation (WPF) アプリケーションの属性
    Windows Presentation Foundation (WPF) アプリケーションがサポートする属性の一覧を提供します。
  • Windows API ベースのクライアント/サーバー アプリケーションの属性
    Windows API ベースのクライアント/サーバー アプリケーションがサポートする属性の一覧を提供します。
  • 動的ロケーター属性
    コントロールのプロパティを動的ロケーター属性として使用する方法について説明します。
親トピック: 特定の環境のテスト
関連タスク
カスタム属性の設定


動的ロケーター属性

再生中にコントロールを識別するために、事前に定義されたロケーター属性のセット (caption や automationId など。テクノロジ ドメインに依存します) をロケーターに使用できます。 しかし、動的プロパティを含む、コントロールのすべての属性をロケーター属性として使用することもできます。 特定のコントロールで使用可能なプロパティのリストを取得するには、GetPropertyList メソッドを使用します。 返されたプロパティはすべて、ロケーターを使用してコントロールを識別するのに使用できます。

注: 特定のプロパティの実際の値を取得するには、GetProperty メソッドを使用します。 この値はロケーターで使用できます。

例

Silverlight アプリケーションのダイアログ ボックスにあるボタンを識別する場合、以下のように入力します。
browser.Find("//SLButton[@IsKeyboardFocused=true]")
または
Dim button = dialog.SLButton("@IsKeyboardFocused=true")
これが機能するのは、Silk Test Workbench により Silverlight ボタン コントロールの IsDefault というプロパティが公開されるためです。

例

Silverlight アプリケーションのフォント サイズ 12 のボタンを識別する場合、以下のように入力します。
Dim button = browser.Find("//SLButton[@FontSize=12]")
または
Dim button = browser.SLButton("@FontSize=12")
これが機能するのは、テスト対象アプリケーションの基になるコントロール (この場合、Silverlight ボタン) が FontSize というプロパティを持つためです。
親トピック: サポートする属性の種類


キーワード駆動テスト

キーワード駆動テスト は、テスト開発からテスト設計を分離するソフトウェア テスト手法です。 このため、テスト自動化プロセスにビジネス アナリストなどの専門家を含めることができます。Silk Central と Silk Test はキーワード駆動テストをサポートしており、Silk Test のキーワードの形式での共有資産として構成されるメンテナンス可能な自動化フレームワークを自動化エンジニアが開発することによって、自動化エンジニアとビジネス アナリスト間で密接な共同作業を行うことができます。その後、これらのキーワードは、Silk Test で新しいキーワード駆動テストを作成したり、Silk Central で既存の手動テスト資産を自動テストに変換したり、新しいキーワード駆動テストを作成するために、ビジネス アナリストが使用することができます。

  • キーワード駆動テスト は、実行可能なキーワードのコレクションです。キーワード駆動テストは、他のテストと同様に再生することができます。
  • キーワード シーケンスは、他のキーワードを組み合わせたものです。キーワード シーケンスは、頻繁に使用するキーワードの組み合わせを 1 つのキーワードにまとめることにより、メンテナンスの労力を低減し、テストを理解しやすくすることができます。
  • キーワード は、テスト オブジェクトに対する複数の操作の組み合わせを定義したものです。キーワードの実装は、さまざまなツールとプログラム言語 (Java や .NET など) を使用して行えます。

キーワード駆動テストの作成には、次の 2 つのフェーズがあります。
  1. テストの設計
  2. キーワードの実装

キーワード駆動テストで利用可能な記録/再生コントロールの完全な一覧については、「キーワード駆動テスト クラス リファレンス」を参照してください。

  • キーワード駆動テストの利点
    機能テストおよび回帰テストを行うためにキーワード駆動テスト手法を使用する利点を次に示します。
  • キーワード
    キーワード、およびその使い方について説明します。
  • Silk Test Workbench でキーワード駆動テストを作成する
    キーワードを使用してテスト対象アプリケーションの機能をテストするために、キーワード有働テストを作成します。
  • Silk Test Workbench でのキーワード駆動テストの記録
    Recorder で操作を記録し、これらの操作をキーワードにまとめて新しいキーワード駆動テストを作成します。
  • Silk Test Workbench でのキーワード駆動テストの基本状態の設定
    キーワード駆動テストの記録時に、AUT の基本状態を Silk Test Workbench が作成する方法、および基本状態を手動で設定する方法について説明します。
  • Silk Test Workbench でのキーワードの実装
    キーワード駆動テストでキーワードを再利用するために、キーワード駆動テスト エディター からキーワードを実装します。
  • Silk Test Workbench でのキーワードの記録
    キーワード駆動テストでキーワードを使用するために、新しいキーワードに操作を記録します。
  • ビジュアル テストをキーワードとして指定
    既存のビジュアル テストをキーワードとして指定して、キーワード駆動テストに追加します。
  • スクリプトのテスト メソッドをキーワードとして指定
    VB .NET スクリプトの既存のテスト メソッドをキーワードとして指定して、キーワード駆動テストに追加します。
  • キーワード間でのデータの受け渡し
    キーワードの再利用性を高めるために、キーワード間でパラメータを受け渡すことができます。
  • キーワード駆動テストの編集
    キーワード駆動テスト エディター でキーワードを開き、キーワード駆動テストを編集します。
  • Silk Central でテストのキーワードを管理する
    キーワード駆動テストのキーワードを操作のシーケンスを指定するために管理します。
  • Silk Test Workbench のキーワード レコメンド機能
    Silk Test Workbench がキーワード駆動テストに対するキーワードを推薦するのに使用する、基本的なレコメンド アルゴリズムについて説明します。
  • キーワードでのパラメータの使用
    キーワードおよびキーワード シーケンスのパラメータの処理方法について説明します。
  • 例：パラメータを取るキーワード
    パラメータを取るキーワードを使用する方法について説明します。
  • キーワードのキーワード シーケンスへの結合
    キーワード駆動テスト エディター でキーワードを結合してキーワード シーケンスを作成します。
  • 変数を指定したキーワード駆動テストの再生
    変数の値を設定して、変数を取るキーワード駆動テストを実行します。
  • Silk Test Workbench と Silk Central の統合
    Silk Test Workbench と Silk Central を統合することによって、技術者と非技術者のユーザー間で共同作業を行えます。
  • Silk Central からキーワードを開く
    Silk Central から Silk Test Workbench でキーワードを開く方法について説明します。
  • Silk Test Workbench での Silk Central キーワードの実装
    Silk Test Workbench で Silk Central キーワードを実装して、Silk Central で実行可能なキーワード駆動テストを作成します。
  • Silk Central へのキーワード ライブラリのアップロード
    Silk Test Workbench から Silk Central にキーワード ライブラリをアップロードして、Silk Central で手動テストを自動化する際に、実装済みキーワードを使用できます。
  • コマンド ラインから Silk Central へのキーワード ライブラリの更新
    Java ベースのコマンド ラインから外部キーワード ライブラリを Silk Central にアップロードすることで、Silk Central とキーワード駆動テストを Jenkins などの継続的インテグレーション ビルド システムに統合することができます。
  • キーワードの検索
    キーワードウィンドウ で特定のキーワードを検索する方法について説明します。
  • キーワードのフィルタリング
    キーワード ウィンドウを使用して、現在のプロジェクトのキーワードを検索します。
  • キーワードのグループ化
    キーワードをライブラリで構造化するために、グループ化することができます。


キーワード駆動テストの利点

キーワード駆動テスト手法を使用する利点を次に示します。
  • キーワード駆動テストを使用すると、テスト自動化とテスト ケースのデザインが分離され、うまく分業できるようになり、キーワードを実装するテスト エンジニアとテスト ケースをデザインする専門家が共同作業できます。
  • テスト対象アプリケーションにアクセスすることなく、初期の段階からテストを開発でき、後からキーワードを実装できます。
  • プログラムの知識がなくてもテストを開発できます。
  • キーワード駆動テストは、長期的に見るとメンテナンス コストを低減できます。キーワードのメンテナンスが必要で、これらのキーワードを使用するすべてのキーワード駆動テストは自動的に更新されます。
  • テストケースが簡潔です。
  • 技術者でなくてもテスト ケースが読みやすく、理解しやすくなります。
  • テスト ケースの変更が簡単です。
  • 既存のキーワードを再利用して新しいテストを再利用できます。これにより、より広範囲なテスト カバレッジを実現しやすくなります。
  • キーワード実装の内部的な複雑性を、キーワード駆動テストを作成または実行するユーザーに対して隠蔽できます。
親トピック: キーワード駆動テスト


キーワード

キーワード は、テスト オブジェクトに対する複数の操作の組み合わせを定義したものです。キーワードの実装は、さまざまなツールとプログラム言語 (Java や .NET など) を使用して行えます。 Silk Test Workbench でのキーワードは、ビジュアル テストまたはメソッド名の前に Keyword 属性を持つメソッドです。キーワードは、キーワード資産として保存されます。

キーワード駆動テストの作成中にキーワードやキーワード シーケンスを定義し、後でそれらをテスト メソッド、またはビジュアル テストとして実装できます。既存のテスト メソッドまたはビジュアル テストに Keyword 属性を付けて、キーワードとしてマークすることもできます。キーワードは次のように定義されます：
'VB .NET code
<Keyword("keyword_name")>

キーワード シーケンスは、他のキーワードを組み合わせたものです。キーワード シーケンスは、頻繁に使用するキーワードの組み合わせを 1 つのキーワードにまとめることにより、メンテナンスの労力を低減し、テストを理解しやすくすることができます。

キーワードは入力パラメータと出力パラメータを持つことができます。キーワードを実装するテスト メソッドやビジュアル テストのパラメータは、キーワードのパラメータです。 キーワードのパラメータに違う名前を指定するために、次を使用できます：
'VB .NET code
Argument("parameter_name")

例

キーワードとしてマークされたテスト メソッドは、次のようになります。
'VB .NET code
<Keyword("Login")>
Public Sub Login()
    ...  // method implementation
End Sub
または
'VB .NET code
<Keyword("Login", Description:="Logs in with the given name and password.")>
Public Sub Login(<Argument("UserName")> username As String, <Argument("Password")> password As String)
    ... // method implementation
End Sub
このキーワードは、指定したユーザー名とパスワードを使ってテスト対象アプリケーションにログインします。
注: ヘルプ トピックを PDF で参照している場合、このサンプル コードは、実際のスクリプトでは許されない場所で改行されてしまっている場合があります。スクリプトでこのサンプル コードを使用する場合は、これらの改行を削除してください。
  • Keyword 属性 のキーワード名パラメータは、省略可能です。メソッドの名前とは異なる名前を指定する場合に、キーワード名パラメータを使用できます。パラメータが指定されていない場合、メソッドの名前がキーワード名として使用されます。
  • Argument属性も省略可能です。メソッドをキーワードとしてマークすると、自動的にすべての引数がキーワードの引数として使用されます。例のように、userName を UserName にしたい場合など、キーワードの引数とは異なる名前を指定する場合に、Argument属性を使用できます。
親トピック: キーワード駆動テスト


Silk Test Workbench でキーワード駆動テストを作成する

キーワード駆動テスト エディター を使って、新しいキーワードと既存のキーワードを新しいキーワード駆動テストに結合できます。新しいキーワードは、後のステップでビジュアル テストまたは VB .NET スクリプトのメソッドとして実装する必要があります。

  1. ファイル > 新規作成 を選択します。
    資産の新規作成 ダイアログ ボックスが開きます。
  2. 資産の種類のリストから キーワード駆動テスト を選択します。
  3. 新しい資産の名前を 資産名 フィールドに入力します。
  4. 新しい資産を追加したいプロジェクトを選択します。 デフォルトでは、プロジェクトがアクティブであれば、そのアクティブなプロジェクトに新しい資産が作成されます。
    注: Silk Test Workbench が提供する機能を最適に使用するには、同じテストで複数のアプリケーションをテストする場合を除き、テストするアプリケーションごとに個別のプロジェクトを作成します。
  5. OK をクリックします。
    キーワード駆動テスト エディター が開きます。
  6. 次のアクションのいずれかを実行します。
    • 新しいキーワードを追加する場合は、新しいキーワード フィールドにキーワードの名前を入力します。
    • 既存のキーワードを追加する場合は、リストを展開して追加するキーワードを選択します。
  7. Enter を押します。
  8. 実行するすべてのキーワードを追加するまで、上記の 2 つの手順を繰り返します。
  9. 保存 をクリックします。

続いて、キーワードを実装します。すべてのキーワードが実装されている場合は、テストを実行します。

親トピック: キーワード駆動テスト


Silk Test Workbench でのキーワード駆動テストの記録

単一のキーワードを記録する場合は、「キーワードの記録」を参照してください。

キーワード駆動テストを記録するには：

  1. ファイル > 新規作成 を選択します。
    資産の新規作成 ダイアログ ボックスが開きます。
  2. 資産の種類のリストから キーワード駆動テスト を選択します。
  3. 新しい資産の名前を 資産名 フィールドに入力します。
  4. 新しい資産を追加したいプロジェクトを選択します。 デフォルトでは、プロジェクトがアクティブであれば、そのアクティブなプロジェクトに新しい資産が作成されます。
    注: Silk Test Workbench が提供する機能を最適に使用するには、同じテストで複数のアプリケーションをテストする場合を除き、テストするアプリケーションごとに個別のプロジェクトを作成します。
  5. 記録をすぐに開始するために、記録の開始 チェック ボックスをオンにします。
  6. OK をクリックします。
  7. 記録対象 ダイアログ ボックスで、次のアクションを実行します。
    1. 資産の種類 フィールドで、キーワード駆動テストを .NET スクリプトとして保存するか、ビジュアル テストとして保存するかを選択します。
    2. 省略可能：キーワード駆動テストを .NET スクリプトとして保存するように選択した場合、資産名 フィールドに .NET スクリプトの名前を指定します。 デフォルトの名前は、最後に使用した .NET スクリプトの名前です。
    3. OK をクリックします。
  8. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  9. 開いているダイアログに応じて、次のいずれかを実行します。
    • アプリケーションの選択 ダイアログ ボックスで、OK をクリックします。
    • ブラウザーの選択 ダイアログ ボックスで、記録 をクリックします。
  10. テスト対象アプリケーションで、最初のキーワードに含める操作を実行します。
    記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  11. キーワードの名前を指定するには、記録中 ウィンドウでキーワードの名前の上にマウス カーソルを動かして、編集 をクリックします。
    注: Silk Test Workbench は、キーワード駆動テストの開始に アプリケーションの開始 キーワードを自動的に追加します。このキーワードで、アプリケーションの基本状態が実行され、テストを正しく再生できるようになります。基本状態についての詳細は、「基本状態」を参照してください。
  12. キーワードの名前を キーワードの名前 フィールドに入力します。
  13. OK をクリックします。
  14. 次のキーワードの操作を記録するには、新しいキーワードの名前 フィールドに新しいキーワードの名前を入力し、追加 をクリックします。 Silk Test Workbench は、新しいキーワードに新しい操作を記録します。
  15. キーワード駆動テスト全体を記録すまで、新しいキーワードを作成し、キーワードに対する操作を記録します。
  16. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
Silk Test Workbench は、すべての記録したキーワードを含む新しいキーワード駆動テストを作成します。
親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト


Silk Test Workbench でのキーワード駆動テストの基本状態の設定

Silk Test Workbench でキーワード駆動テストを実行すると、キーワード駆動テストは基本状態のキーワードを呼び出すことにより、Silk Test Workbench は AUT を基本状態から開始します。

キーワード駆動テストの記録時に、Silk Test Workbench は基本状態のキーワード (IsBaseState プロパティが True に設定されているキーワード) を現在のプロジェクトから検索します。

  • 基本状態のキーワードが現在のプロジェクトに存在した場合、Silk Test Workbench は、キーワード駆動テストの最初のキーワードとして、このキーワードを挿入します。
  • 基本状態のキーワードがプロジェクトに存在しない場合、Silk Test Workbench は、アプリケーションの開始 という名前の新しい基本状態のキーワードを作成し、キーワード駆動テストの最初のキーワードとして挿入します。
.NET メソッドとして実装されたキーワードを手動で基本状態のキーワードとしてマークするには、IsBaseState プロパティを Keyword属性に追加し、プロパティの値を True に設定します。
<Keyword( "Start application" , IsBaseState:= True )>
Public Sub Start_application()
End Sub

ビジュアル テストとして実装されたキーワードを手動で基本状態のキーワードとしてマークするには、ビジュアル テストの <<開始>> ステップのプロパティを開き、キーワード セクションの 基本状態 プロパティを はい に設定します。

キーワード駆動テストのアプリケーション構成は、現在のプロジェクトに保存されます。アプリケーション構成を管理するには、Silk Test Workbench のメニューから ツール > アプリケーション構成の編集 を選択します。これによって、プロジェクトの選択 ダイアログ ボックスが開き、アクセス可能なすべてのプロジェクトが表示されます。プロジェクトを選択し、編集 をクリックしてアプリケーション構成を編集します。

基本状態を含むキーワード駆動テストを実行すると、そのキーワード駆動テストが定義されているプロジェクトのアプリケーション構成が使用されます。

親トピック: キーワード駆動テスト
関連概念
基本状態


Silk Test Workbench でのキーワードの実装

キーワードを実装する前に、キーワード駆動テストの一部としてキーワードを定義します。

キーワード駆動テストで再利用するためにキーワードを実装するには：

  1. 実装するキーワードが含まれているキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、実装するキーワードの左側に表示される キーワードの実装 をクリックします。 キーワードの実装 ダイアログ ボックスが開きます。
  3. 新しいキーワードの資産の種類を選択します。
    • .NET メソッドとしてキーワードを実装するには、.NET スクリプト をクリックします。既存の .NET スクリプトに新しいキーワードを追加したり、資産名 フィールドに名前を入力して、キーワードに対して新しい .NET スクリプトを作成できます。
    • キーワード シーケンスとしてキーワードを実装するには、キーワード をクリックします。中間レベルのキーワードは、他のキーワードのシーケンスであるため、記録することはできません。
    • ビジュアル テストとしてキーワードを実装するには、ビジュアル テスト をクリックします。
  4. キーワードの名前を 資産名 フィールドに入力します。
  5. 省略可能：キーワードを記録するには、記録の開始 チェック ボックスをオンにします。
  6. OK をクリックします。
  7. 記録 をクリックします。
    記録の詳細については、「キーワードの記録」を参照してください。
親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト


Silk Test Workbench でのキーワードの記録

完全に新しいキーワードに対してではなく、キーワード駆動テストに既に存在するキーワードに対しては、操作の記録のみを行えます。新しいキーワード駆動テストを記録する場合は、「キーワード駆動テストの記録」を参照してください。
新しいキーワードの操作を記録するには：
  1. 記録するキーワードが含まれているキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、実装するキーワードの左側に表示される キーワードの実装 をクリックします。 キーワードの実装 ダイアログ ボックスが開きます。
  3. 新しいキーワードの資産の種類を選択します。
    • .NET メソッドとしてキーワードを実装するには、.NET スクリプト をクリックします。既存の .NET スクリプトに新しいキーワードを追加したり、資産名 フィールドに名前を入力して、キーワードに対して新しい .NET スクリプトを作成できます。
    • キーワード シーケンスとしてキーワードを実装するには、キーワード をクリックします。中間レベルのキーワードは、他のキーワードのシーケンスであるため、記録することはできません。
    • ビジュアル テストとしてキーワードを実装するには、ビジュアル テスト をクリックします。
  4. 記録の開始 チェック ボックスをチェックします。
  5. OK をクリックします。
  6. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  7. テスト対象アプリケーションで、テストする操作を実行します。
    記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  8. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。

記録した操作は、定義したビジュアル テストまたは .NET スクリプトに表示されます。

親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト


ビジュアル テストをキーワードとして指定

既存のビジュアル テストをキーワードとして指定して、キーワード駆動テストで使用することができます。
  1. キーワードとして指定するビジュアル テストを開きます。
  2. タスク ペインで <<開始>> ステップをクリックします。
  3. プロパティ ペインを開きます。
  4. キーワード を はい に設定します。
これで、ビジュアル テストをキーワード駆動テストでキーワードとして使用できるようになります。
親トピック: キーワード駆動テスト


スクリプトのテスト メソッドをキーワードとして指定

VB .NET スクリプトの既存のテスト メソッドをキーワードとして指定して、キーワード駆動テストのメソッドを再利用します。

  1. キーワードとして指定するテスト メソッドを含む VB .NET スクリプトを開きます。
  2. <Keyword()> をテスト メソッドの直前に追加します。 デフォルトでは、キーワード名はテスト メソッドの名前です。
  3. 省略可能：<Keyword("KeywordName")> をテスト メソッドの直前に追加すると、キーワードに他の名前を設定できます。
これで、テスト メソッドをキーワード駆動テストでキーワードとして使用できるようになります。

使用例

テスト メソッド Login を Login という名前で新しいキーワードとして指定するには、テスト メソッドの直前に以下を入力します。
'VB .NET code
<Keyword("Login")>
2 つの入力パラメータ UserName とPassWord を持つテスト メソッド Login を Login という名前で新しいキーワードとして指定するには、以下を入力します。
// VB .NET code
<Keyword("Login", Description="Logs in with the given name and password.")>
Public Sub Login(Argument("UserName") As String, Argument("PassWord") As String)
    ...    //
End Sub
注: ヘルプ トピックを PDF で参照している場合、このサンプル コードは、実際のスクリプトでは許されない場所で改行されてしまっている場合があります。スクリプトでこのサンプル コードを使用する場合は、これらの改行を削除してください。
親トピック: キーワード駆動テスト
関連資料
KeywordAttribute クラス


キーワード間でのデータの受け渡し

キーワード間でパラメータを受け渡し、ビジュアル テストまたは .NET スクリプトとして実装されているキーワードから値を戻すことができます。ビジュアル テストのグローバル変数の値をキーワードに戻すことはできません。これらの変数は、ビジュアル テストの実行エンジンによって管理されており、.NET スクリプトやキーワードからはアクセスできないためです。

  1. あるキーワードから他のキーワードにデータを渡したい場合：
    1. 出力パラメータをデータを渡したいキーワードに追加します。
    2. 同じパラメータを入力パラメータとしてデータを渡されたいキーワードに追加します。
  2. ビジュアル テストまたは .NET スクリプトとして実装されているキーワードからデータを戻したい場合：
    1. 出力パラメータをデータを戻したいキーワードに追加します。
    2. データを戻されたいビジュアル テストまたは .NET スクリプトで、戻されたデータを格納するローカル変数を作成します。
    3. ビジュアル テストまたは .NET スクリプトでローカル変数を使用します。
親トピック: キーワード駆動テスト


キーワード駆動テストの編集

注: Silk Test Workbench では、Silk Test Workbench にあるキーワード駆動テストの編集と実行を行うことができ、また、Silk Central に格納されているキーワード駆動テストを実行することができます。Silk Central に格納されているキーワード駆動テストを編集するには、キーワード駆動テスト エディター でキーワード駆動テストを開き、編集 をクリックします。

キーワード駆動テストを編集するには：

  1. キーワード駆動テスト エディター でキーワードを開きます。
    1. ウィンドウ > アセット ブラウザ をクリックします。 アセット ブラウザ が開きます。
    2. キーワード駆動テスト をクリックします。
    3. 編集するキーワード駆動テストをダブルクリックします。
  2. 新しいキーワードをキーワード駆動テストに追加するには：
    1. 新しいキーワード フィールドをクリックします。
    2. 新しいキーワードの名前を入力します。
    3. Enter を押します。
  3. 既存のキーワードを編集するには、キーワードの左側にある キーワードを開く をクリックします。
    注: Silk Central は、Silk Central で作成したすべてのキーワードの所有権を持ちます。このことは、このようなキーワードに対して行う変更は Silk Test Workbench でではなく、Silk Central で保存されることを意味します。
  4. キーワードをキーワード駆動テストにコピーするには：
    1. キーワードを選択します。
      ヒント: 行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
    2. Ctrl + C を押します。
    3. キーワードを挿入する上の行を選択します。
    4. Ctrl + V を押します。
  5. キーワード駆動テストのほかの場所にキーワードを移動するには、キーワードをクリックして他の場所にドラッグするか、または次の手順を実行します。
    1. キーワードを選択します。
      ヒント: 行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
    2. Ctrl + X を押します。
    3. キーワードを挿入する上の行を選択します。
    4. Ctrl + V を押します。
  6. キーワード駆動テストからキーワードを削除するには、キーワードの左側にある キーワードの削除 をクリックします。 キーワードは、キーワード ウィンドウでまだ利用可能なので、いつでもキーワード駆動テストに再度追加することができます。
  7. 変更を保存するには、新しいバージョンとして保存 をクリックします。
親トピック: キーワード駆動テスト


Silk Central でテストのキーワードを管理する

キーワード ページでは、選択したキーワード駆動テストのキーワードを管理できます。次のアクションを実行できます。
タスク | ステップ
テストまたはキーワード シーケンスを Silk Test で開く | Silk Test で開く をクリックして、選択したテストまたはキーワード シーケンスを Silk Test で開きます。
キーワードの追加
  1. キーワード リストの一番下にある 新しいキーワード をクリックするか、キーワードを右クリックして、コンテキスト メニューから キーワードを上に挿入 を選択します。
    注: キーワードの使用状況に基づいて、Silk Test にキーワードを推薦させることができます。推薦させるかどうかを切り替えるには、コンテキスト メニューの レコメンドの有効化 または レコメンドの無効化 を使用します。詳細については、「Silk Test Workbench が推薦するキーワード」を参照してください。
  2. 利用可能なキーワードのリストからキーワードを選択するか、新しいキーワードを作成します。
  3. 保存 をクリックします。
または、右側にある すべてのキーワード ペインから、既存のキーワードをダブル クリックするか、ドラッグ＆ドロップします。
ヒント: Ctrl + クリック を使用すると、複数のキーワードを選択できます。ドロップするとき、キーワードは選択した順番に並び替えられます。
キーワードの削除 | 削除するキーワードの アクション 列で 削除 をクリックします。保存 をクリックします。
キーワードの順序の変更 | キーワードを移動したい位置にドラッグ＆ドロップします。保存 をクリックします。
キーワード シーケンス (他のキーワードから構成されるキーワード) の作成
  1. キーワード リストから結合したいキーワードを選択します。行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
  2. 選択範囲を右クリックして、結合 をクリックします。
  3. 新しいキーワード シーケンスの 名前 と 説明 を指定します。
キーワード シーケンスからキーワードの抽出 | キーワード シーケンスを右クリックし、キーワードの抽出 を選択します。これによって、元のキーワード シーケンスがそれに含まれるキーワードによって置換されますが、ライブラリからは削除されません。保存 をクリックします。
テストまたはキーワード シーケンスへのキーワードのコピーと貼り付け
  1. キーワード リストからコピーしたいキーワードを選択します。行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
  2. Ctrl + C を押すと選択項目がコピーされます。キーワードを移動する場合には、Ctrl + X を押します。
  3. キーワードをコピーするテストまたはキーワード シーケンスを開き、キーワードを挿入する上の行を選択します。
  4. Ctrl + V を押します。
ヒント: 選択したキーワードを Excel に貼り付けて編集し、それをコピーしてテストまたはキーワード シーケンスに貼り付けることもできます。
キーワード シーケンスのパラメータの定義
  1. キーワード リスト上の パラメータ をクリックします。パラメータ ダイアログ ボックスが表示されます。
  2. パラメータの追加 をクリックします。
  3. 新しいパラメータに対して 名前 を指定します。パラメータが出力パラメータ (入力値を必要とするのではなく、値を戻します) の場合、出力 チェック ボックスをチェックします。
  4. OK をクリックします。
  5. 保存 をクリックします。
ドラフト キーワードの編集
  1. 編集するドラフト キーワードのアクション 列で、 編集 をクリックします。
  2. キーワードの グループ を選択するか、新しいグループを指定します。
  3. 説明 にキーワードの説明を入力します。この情報は、キーワードを実装するエンジニアにとって有益な情報です。
  4. OK をクリックします。
  5. 省略可能：パラメータ フィールドをクリックして、キーワードのパラメータを追加します。キーワードが Silk Test で実装されると、これらのパラメータは、生成されたコード スタブに現れます。
  6. 保存 をクリックします。
キーワードの検索
キーワード ウィンドウ の検索フィールドを使用して、特定のキーワードを検索します。文字を入力するとリストが更新され、その文字に一致する既存のキーワードが動的に表示されます。検索のヒント：
  • 検索では大文字小文字は区別されません。doAction を入力すると、doaction や DOAction が表示されます。
  • 大文字のみを入力すると、いわゆる キャメルケース検索が実行されます。ECD を入力すると、Enter Car Details、Enter Contact Details、EnterContactDetails が表示されます。
  • キーワード名とグループ名が検索対象になります。test を入力すると、test を含むすべてのキーワードと、グループ名に test を含むグループのすべてのキーワードが表示されます。
  • ? は、0 または 1 文字と一致します。user?test を入力すると、userTest や usersTest が表示されます。
  • * は、0 または n 文字と一致します。my*keyword を入力すると、myKeyword や myNewKeyword や my_other_keyword が表示されます。
  • <文字列>. はグループ名のみを検索します。group. を入力すると、グループ名に group を含むグループのすべてのキーワードが表示されます。
  • .<文字列> はキーワード名のみを検索します。.keyword を入力すると、keyword を含むすべてのキーワードが表示されます。
  • <string>.<string> は特定のグループのキーワードを検索します。group.word を入力すると、myGroup グループの myKeyword が表示されます。
  • 引用符を使用して完全一致のみを検索します。'Keyword' を入力すると、Keyword やMyKeyword は表示されますが、keyword は表示されません。
親トピック: キーワード駆動テスト


Silk Test Workbench のキーワード レコメンド機能

キーワード駆動テスト エディター でキーワード駆動テストにキーワードを追加するとき、Silk Test Workbench は、そのテストの次のキーワードとして使用する可能性のある既存のキーワードを推薦します。推薦するキーワードはキーワード リストの上位にリストされ、Silk Test Workbench がどの程度そのキーワードを推薦しているかが、棒グラフの塗りつぶした長さによって示されます。

Silk Test Workbench は、次のアルゴリズムに基づいてキーワードを推薦します。

  • キーワード駆動テストまたはキーワード シーケンスに最初のキーワードを追加する場合、Silk Test Workbench は他のキーワード駆動テストまたはキーワード シーケンスの最初のキーワードとして使用されているのと同様なキーワードを検索します。最も頻繁に使用されるキーワードがより上位に推薦されます。
  • 既に他のキーワードを含んでいるキーワード駆動テストまたはキーワード シーケンスに、さらにキーワードを追加する場合、Silk Test Workbench は次のようにしてキーワードを推薦します。
    • 新しいキーワードを追加するキーワード駆動テストまたはキーワード シーケンスの位置の前にキーワードがある場合、Silk Test Workbench は前のキーワード群と、すべてのほかのキーワード駆動テストとキーワード シーケンスのキーワードの組み合わせとを比較し、最も頻繁に使用されているキーワードの組み合わせに続いて現れるキーワードを推薦します。
    • キーワード駆動テストまたはキーワード シーケンスの位置の前にキーワードがないが、現在の位置の後にキーワードがある場合、Silk Test Workbench は後のキーワード群と、すべてのほかのキーワード駆動テストとキーワード シーケンスのキーワードの組み合わせとを比較し、最も頻繁に使用されているキーワードの組み合わせの前に現れるキーワードを推薦します。
  • さらに、Silk Test Workbench は見つかったキーワードの類似性も考慮します。たとえば、2 つのキーワードの名前とグループの両方が一致する場合、Silk Test Workbench は名前だけが一致するキーワードよりもこれらをより上位に推薦します。
  • Silk Central との接続が確立すると、現在のプロジェクトに対応するキーワード ライブラリに属したキーワード駆動テストに含まれるキーワードも考慮されます。
親トピック: キーワード駆動テスト


キーワードでのパラメータの使用

キーワードまたはキーワード シーケンスは、入力パラメータと出力パラメータを持つことができます。このトピックでは、VB .NET スクリプトとして実装されたキーワードで作業している場合に、Silk Test Workbench を使用してこれらのパラメータを処理する方法について説明します。

キーワード駆動テスト エディター で、キーワードまたはキーワード シーケンスに対して定義されたパラメータを表示し、パラメータの値を編集できます。

キーワード ウィンドウで、キーワードまたはキーワード シーケンス上にマウス カーソルを動かすと、キーワードまたはキーワード シーケンスに割り当てられているパラメータを確認できます。

注: キーワードがビジュアル テストとして実装されている場合、<<開始>> ステップの プロパティ ウィンドウの 入力パラメータ と 出力パラメータ セクションで入出力パラメータを指定できます。

単純なキーワードの入力パラメータ

他のテスト メソッドに対するものと同じ方法で、VB .NET スクリプトとして実装された キーワードの入力パラメータを定義して使用することができます。

次のサンプル コードでは、2 つの入力パラメータ userName と password を持つキーワード SetUserDetails を定義する方法を説明します。
' VB .NET code
<Keyword>
public Sub SetUserDetails(userName As String, password As String)
  ...
End Sub

単純なキーワードの出力パラメータ

VB .NET スクリプトとして実装されたキーワードの戻り値または 1 つ以上の出力パラメータを定義することができます。また、戻り値と 1 つ以上の出力パラメータを組み合わせて使用することもできます。

次のサンプル コードでは、文字列を返すキーワード GetText を定義する方法を説明します。
' VB .NET code
<Keyword>
public Function GetText As String
  Return "text"
End Function
次のサンプル コードでは、2 つの出力パラメータ userName と password を持つキーワード GetUserDetails を定義する方法を説明します。
' VB .NET code
<Keyword>
public Sub GetUserDetails(ByRef userName As String, ByRef password As String)
  userName="name"
  password="password"
End Sub

キーワード シーケンスのパラメータ

キーワード シーケンスのパラメータは、パラメータ ダイアログ ボックスで定義し、編集できます。このダイアログ ボックスは、キーワード シーケンス エディター の パラメータ をクリックして開くことができます。

親トピック: キーワード駆動テスト


例：パラメータを取るキーワード

このトピックでは、パラメータを取るキーワードを使用する方法の例を紹介します。

最初の手順として、使用するキーワードを含んだキーワード駆動テストを作成します。これは、キーワード駆動テスト全体を記録するか、新しいキーワード駆動テストを作成してからキーワード駆動テスト エディターでキーワードを追加することによって行います。

この例では、キーワード駆動テストは次のつのキーワードを含んでいます。
Start application
これは、AUT を開始して基本状態を設定する標準キーワードです。
Login
これは、ユーザー名とパスワードで識別される特定のユーザーで AUT にログインするキーワードです。
GetCurrentUser
このキーワードは、AUT に現在ログインしているユーザーの名前を返します。
AssertEquals
このキーワードは、2 つの値を比較します。
Logout
これは、AUT からユーザーをログアウトするキーワードです。

次のステップでは、パラメータをキーワードに追加します。これを行うには、キーワードのテスト スクリプトを開き、メソッドにパラメータを追加します。

入力パラメータ UserName と Password をキーワード Login に追加するには、
' VB .NET code
<Keyword>
public Sub Login()
  ...
End Sub
を、次のように変更します。
' VB .NET code
<Keyword>
public Sub Login(UserName As String, Password As String)
  ...
End Sub
出力パラメータ UserName をキーワード GetCurrentUser に追加するには、
' VB .NET code
<Keyword>
public Sub GetCurrentUser()
  ...
End Sub
を、次のように変更します。
' VB .NET code
<Keyword>
public Sub GetCurrentUser(ByRef CurrentUser As String)
  ...
End Sub

キーワード駆動テスト エディター 上のキーワード駆動テストは、次のようになります。

これで、キーワード駆動テスト エディター 上で入力パラメータの実際の値を指定できます。キーワード GetCurrentUser の出力パラメータ UserName の値を取得するには、${current user} のように、変数を指定します。その後のキーワードで、変数を指定して格納された値を渡すことができます。

親トピック: キーワード駆動テスト


キーワードのキーワード シーケンスへの結合

キーワード駆動テスト エディター を使って、複数のキーワード駆動テストで順番に実行したいキーワードを結合してキーワード シーケンスを作成できます。
  1. 結合するキーワードが含まれているキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、Ctrl キーを押しながら結合したいキーワードをクリックします。
  3. 選択範囲を右クリックして、結合 をクリックします。 キーワードの結合 ダイアログ ボックスが開きます。
  4. 名前 フィールドに、新しいキーワード シーケンスの名前を入力します。
  5. 省略可能：説明 フィールドに、新しいキーワード シーケンスの説明を入力します。
  6. 結合 をクリックします。
新しいキーワード シーケンスが開き、キーワード ウィンドウにも表示されます。キーワード駆動テストでキーワード シーケンスを使用できます。
注: 他のキーワードと同じように、キーワード シーケンス自身を実行することはできませんが、キーワード駆動テストの一部として実行することができます。
親トピック: キーワード駆動テスト


変数を指定したキーワード駆動テストの再生

キーワード駆動テスト用の変数の値を設定する前に、キーワード駆動テストを作成する必要があります。
  1. 変数を指定して実行するキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、グローバル変数 をクリックします。 グローバル変数 ダイアログ ボックスが開きます。
  3. 変数名 列で、最初の空のフィールドに新しい変数の名前を入力します。
  4. 変数の値を 値 列に入力します。
    注: 値フィールドを空のままにすると、誤ったテスト結果が生じる可能性があります。
  5. テストの実行に使用するすべての変数を指定するまで、前のステップを繰り返したます。
  6. OK をクリックします。

キーワード駆動テスト が Silk Test Workbench から実行されるときはいつでも、変数が使用されます。

親トピック: キーワード駆動テスト
関連タスク
キーワード駆動テストの再生結果オプションの設定


Silk Test Workbench と Silk Central の統合

Silk Test Workbench と Silk Central を統合することによって、技術者と非技術者のユーザー間で共同作業を行えます。
Silk Test Workbench と Silk Central が統合され、Silk Central に存在するライブラリとアクティブな Silk Test Workbench プロジェクトが同じ名前であれば、キーワード ビュー ( 表示 > キーワード から開く) には、アクティブな Silk Test Workbench プロジェクトで定義されたキーワードに加えて、Silk Central ライブラリのすべてのキーワードが表示されます。
注: Silk Central の接続情報は、すべての Silk Test Workbench ユーザーに別々に保存されるため、Silk Central のキーワードおよびキーワード シーケンスで作業するすべての Silk Test Workbench ユーザーは、Silk Test Workbench を Silk Central と統合する必要があります。
Silk Test Workbench と Silk Central を統合すると、次のメリットがあります。
  • テスト管理と実行を Silk Central で処理できる
  • キーワードが Silk Central データベースに格納され (ライブラリのアップロード)、Silk Central のすべてのプロジェクトで利用できる
  • 手動テストを Silk Central で直接自動化し、作成したキーワード駆動テストを Silk Central から Silk Test Workbench で実行できる
注: Silk Test Workbench では、Silk Test Workbench にあるキーワード駆動テストの編集と実行を行うことができ、また、Silk Central に格納されているキーワード駆動テストを実行することができます。Silk Central に格納されているキーワード駆動テストを編集するには、キーワード駆動テスト エディター でキーワード駆動テストを開き、編集 をクリックします。
  1. メニューから、ツール > オプション を選択します。 オプション ダイアログ ボックスが開きます。
  2. オプション ツリーで、Silk Central を選択します。
  3. URL フィールドに、 Silk Central サーバーの URL を入力します。 たとえば、Silk Central のサーバー名が sctm-server で、Silk Central のポート番号が 13450 の場合は、http://sctm-server:13450 と入力します。
  4. 有効な ユーザー名 と パスワード を、それぞれのフィールドに入力します。
  5. 検証 をクリックして、Silk Test Workbench が指定したユーザーで Silk Central サーバーにアクセスできるかどうか確認します。
  6. OK をクリックします。
親トピック: キーワード駆動テスト
関連タスク
Sauce Labs デバイスの使用
Mobile Center デバイスの使用


Silk Central からキーワードを開く

Silk Central から Silk Test Workbench でキーワードを開くには、Silk Central でキーワードの名前の左にあるアイコンをクリックします。これにより、キーワードを実装する資産が Silk Test Workbench で開きます。

Silk Test Workbench のインスタンスが実行されていない場合は、ユーザー名とパスワードを入力するか、Windows 認証を使用してログインする必要があります。Silk Test Workbench は DSN を作成し、ログイン ダイアログでそれを自動的に選択します。キーワードが Silk Central にアップロードされたときのデータベースについての接続情報が含まれています。

Silk Test Workbench のインスタンスが実行されており、キーワードが Silk Central にアップロードされたときのデータベースと接続されている場合、キーワードはこのインスタンスで開かれます。

注: キーワード ライブラリが Silk Test Workbench 16.0 から Silk Central にアップロードされたものである場合、Silk Test Workbench でキーワードを開く前にライブラリを再アップロードする必要があります。ライブラリを再アップロードしない場合、キーワードを使用する際に予期しない動作が発生する可能性があります。
親トピック: キーワード駆動テスト


Silk Test Workbench での Silk Central キーワードの実装

Silk Central キーワードを実装する前に、Silk Central でキーワード駆動テストの一部としてキーワードを定義します。

Silk Test Workbench で Silk Central キーワードを実装するには：

  1. Silk Test Workbench のプロジェクトをキーワード駆動テストを含んだ Silk Central のキーワード ライブラリと同じ名前で作成します。
  2. Silk Central のキーワード ライブラリにタイプが割り当てられていない場合、ツール > キーワード ライブラリのアップロード をクリックして、ライブラリ タイプを設定します。
  3. 省略可能：Silk Central の特定のキーワードを Silk Test Workbench で実装するには、ライブラリの キーワード タブを Silk Central で開き、キーワードの アクション 列からSilk Test で実装 をクリックします。
  4. Silk Test Workbench で、表示 > キーワード をクリックします。
  5. キーワード ウィンドウで、キーワード駆動テストをダブル クリックします。
    キーワード ウィンドウで Silk Central による変更を更新するには、更新 をクリックします。
  6. ツールバーで、操作の記録 をクリックします。
  7. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  8. 記録 をクリックします。
    記録の詳細については、「キーワードの記録」を参照してください。
  9. 最初の未実装のキーワードの操作を記録します。
  10. 現在のキーワードに対するすべての操作を記録し終わったら、次のキーワード をクリックします。
  11. 記録中 ウィンドウでキーワードを切り替えるには、前のキーワード と 次のキーワード をクリックします。
  12. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
注: Silk Central のキーワード駆動テストは、Silk Test Workbench では読み取り専用であるため、キーワードを削除したり、キーワードの順番を変更することはできません。
親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト


Silk Central へのキーワード ライブラリのアップロード

Silk Central で作業するためには、有効な Silk Central の場所が設定されている必要があります。詳細については、「Silk Test Workbench と Silk Central の統合」を参照してください。

Silk Central で自動テストを自動化するために、Silk Test Workbench プロジェクトで実装したキーワードをキーワード ライブラリとして Silk Central にアップロードできます。そして、キーワードを使用して手動テストを自動化できます。
  1. メニューで、ツール > キーワード ライブラリのアップロード を選択します。 現在の Silk Test Workbench データベースにあるすべてのプロジェクトが表示されます。
  2. Silk Central にアップロードするキーワードを含むプロジェクトを選択します。
    注: プロジェクトと同じ名前のキーワード ライブラリが Silk Central 存在していることを確認します。
  3. OK をクリックします。
  4. 省略可能：キーワード ライブラリに対する変更の説明を指定します。
  5. 省略可能：設定 をクリックして、Silk Central への接続を設定します。
  6. 省略可能：接続した Silk Central インスタンスで利用可能なライブラリを確認するには、リンクをクリックします。
  7. アップロード をクリックします。
    注意:
    Silk Central のキーワード ライブラリが既に他の自動化ツール、つまり他の Silk Test クライアントに割り当てられている場合、キーワード ライブラリのタイプを変更するかどうか確認されます。タイプの変更を行う場合にのみ、ライブラリはアップロードされます。
Silk Test Workbench は、プロジェクトで実装されたすべてのキーワードからキーワード ライブラリを作成します。その後、Silk Test Workbench は library.zip という名前で、キーワード ライブラリをプロジェクトの出力フォルダに保存します。ライブラリの整合性が検証され、Silk Central の既存のテストが影響を受ける変更が キーワード ライブラリを Silk Central にアップロード ダイアログ ボックスに一覧されます。最後に、Silk Test Workbench はライブラリを Silk Central にアップロードします。これで、Silk Centralでキーワードを使用できるようになります。キーワード ライブラリに含まれるキーワードを使用する Silk Central のキーワード駆動テストは、現在のキーワードの実装を自動的に使用します。

現在の Silk Test Workbench データベースが Access データベースの場合、アップロードしたキーワードは、Access データベースにアクセスしたマシン上でのみ実行することができます。Silk Central にアップロードされたキーワード ライブラリには、キーワードの実装は含まれず、キーワードがこの Silk Test Workbench データベースで利用可能であるという情報のみ含まれます。

親トピック: キーワード駆動テスト


コマンド ラインから Silk Central へのキーワード ライブラリの更新

Java ベースのコマンド ラインから外部キーワード ライブラリを Silk Central にアップロードすることで、Silk Central とキーワード駆動テストを Jenkins などの継続的インテグレーション ビルド システムに統合することができます。
Java ベースのコマンド ラインからキーワード ライブラリを Silk Central にアップロードするには：
  1. Silk Central で、ヘルプ > ツール を選択し、Java キーワード ライブラリ ツール をダウンロードします。
  2. ダウンロードした jarファイルに含まれるコマンド ライン ツールを次の引数で呼び出します。
    • java
    • -jar com.borland.silk.keyworddriven.jar
    • -upload
    • 更新または存在しない場合は作成される Silk Central のライブラリの ライブラリ名。
    • アップロードするライブラリ パッケージ (zip アーカイブ) の パッケージ名。
    • Silk Central フロントエンド サーバーのホスト名:ポート。
    • Silk Central ユーザーの ユーザー名。
    • Silk Central ユーザーの パスワード。
    • ライブラリに適用された変更を説明する 更新情報 (引用符で囲む)。
    • テストまたはキーワード シーケンスで使用されているキーワードの削除を許可するための [-allowUsedKeywordDeletion] フラグ (省略可能)。デフォルトでは、使用中のキーワードを削除しようとするとエラーが発生します。
    ライブラリを Silk Central にアップロードするコマンド ラインは次のようになります。
    java -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy:Implemented missing keywords"
親トピック: キーワード駆動テスト


キーワードの検索

キーワード ウィンドウ の検索フィールドを使用して、特定のキーワードを検索します。文字を入力するとリストが更新され、その文字に一致する既存のキーワードが動的に表示されます。検索のヒント：
  • 検索では大文字小文字は区別されません。doAction を入力すると、doaction や DOAction が表示されます。
  • 大文字のみを入力すると、いわゆる キャメルケース検索が実行されます。ECD を入力すると、Enter Car Details、Enter Contact Details、EnterContactDetails が表示されます。
  • キーワード名とグループ名が検索対象になります。test を入力すると、test を含むすべてのキーワードと、グループ名に test を含むグループのすべてのキーワードが表示されます。
  • ? は、0 または 1 文字と一致します。user?test を入力すると、userTest や usersTest が表示されます。
  • * は、0 または n 文字と一致します。my*keyword を入力すると、myKeyword や myNewKeyword や my_other_keyword が表示されます。
  • <文字列>. はグループ名のみを検索します。group. を入力すると、グループ名に group を含むグループのすべてのキーワードが表示されます。
  • .<文字列> はキーワード名のみを検索します。.keyword を入力すると、keyword を含むすべてのキーワードが表示されます。
  • <string>.<string> は特定のグループのキーワードを検索します。group.word を入力すると、myGroup グループの myKeyword が表示されます。
  • 引用符を使用して完全一致のみを検索します。'Keyword' を入力すると、Keyword やMyKeyword は表示されますが、keyword は表示されません。
親トピック: キーワード駆動テスト


キーワードのフィルタリング

現在のプロジェクトの特定のキーワードを検索すために、キーワード ウィンドウに表示されているキーワードをフィルタすることができます。Silk Central との統合が設定されている場合、結果には Silk Central に関連付けられたキーワードも含まれます。
  1. メニューで 表示 > キーワード をクリックします。 キーワード ウィンドウが開きます。
  2. キーワード ウィンドウで、検索フィールドに検索するキーワードの名前を入力します。 キーワード ウィンドウに、現在のプロジェクト内の指定した名前を持つすべてのキーワードが表示されます。
  3. 省略可能：キーワードを編集するには、キーワード ウィンドウでキーワード上にマウス カーソルを移動して、実装へ移動 をクリックします。
親トピック: キーワード駆動テスト


キーワードのグループ化

キーワードをライブラリで構造化するために、グループ化することができます。

このトピックでは、キーワードを特定のグループに追加する方法について説明します。 このグループ名は Silk Central でも使用され、キーワードはグループ名に従って分類されます。

キーワードを特定のグループに追加するには：

  1. キーワードの実装を開きます。
    1. キーワードを実装しているプロジェクトをアクティブ化します。
    2. キーワード ウィンドウを開きます。
    3. キーワード ウィンドウで、キーワードを選択します。
    4. 実装へ移動 をクリックします。
  2. キーワードが VB .NET スクリプトで実装されている場合は、キーワード グループをスクリプトの最初に追加します。 たとえば、キーワードを Calculator グループ追加するには、次のように入力します。
    <KeywordGroup("Calculator")>
  3. キーワードがビジュアル テストで実装されている場合は、キーワード グループをビジュアル テストのプロパティに追加します。
    1. ビジュアル テストの <<開始>> ステップを選択します。
    2. プロパティ ペインを開きます。
    3. キーワード グループ プロパティに、グループの名前を入力します。
キーワード ウィンドウで表示されるキーワード名にグループが含まれるようになります。たとえば、Addition キーワードが Calculator グループに属している場合は、Calculator.Addition として表示されます。
親トピック: キーワード駆動テスト
関連資料
KeywordGroupAttribute クラス


コマンド ライン

Silk Test Workbench には、テストを開いて実行するためのコマンド ライン プログラムが 2 つ含まれています。

  • SilkTest.Exe コマンド ライン
    ログイン ダイアログ ボックスをスキップして Silk Test Workbench を開くことができるようにする SilkTest.exe コマンド ライン プログラムについて説明します。
  • STW.EXE コマンド ライン
    バッチ スクリプト実行の 1 つ以上の .NET スクリプトまたはビジュアル テストを実行するために使用する STW.exe コマンド ライン プログラムについて説明します。
  • コマンド ラインからの資産のインポートとエクスポート
    コマンド ラインを使用して資産をインポートおよびエクスポートする方法について説明します。


SilkTest.Exe コマンド ライン

SilkTest.exe コマンド ライン プログラムを使用すると、ログイン ダイアログ ボックスをスキップしてSilk Test Workbench を開くことができます。 これは \Silk\Silk Test\ng\gui\ にあります。

パラメータ

パラメータの長い名前 | パラメータの短い名前 | 説明
userid または user | -u | ログインに使用するユーザー名。
pass または password | -p | ログイン ユーザーのパスワード。
dsn | -d | 使用する DSN。

例

SilkTest.exe -u admin -p mypassword -d mydsn
親トピック: コマンド ライン


STW.EXE コマンド ライン

Silk Test Workbench には、バッチ スクリプト実行の 1 つ以上の .NET スクリプトまたはビジュアル テストを実行するために使用できるコマンド ライン プログラムが含まれています。コマンド ラインはエラー情報を返し、オプションで結果の出力ファイルを作成します。

コマンド ライン プログラムの名前は stw.exe であり、次の場所にあります：\Silk\Silk Test\ng\gui\.

コマンド ラインの構文は次のとおりです：
STW -d DSN_Name -u User_Name -p User_Password -s Script_Name

このセクションのトピックでは、必須パラメータとオプション パラメータを指定してプログラムを実行する方法について説明します。

  • STW.EXE のパラメータ
    STW.EXE コマンド ライン プログラムのパラメータについて説明します。
  • 入力ファイル
    入力ファイルを使用してコマンド ラインにパラメーターを送信する方法について説明します。
  • 出力ファイル
    outputfile コマンド ライン パラメータについて説明します
  • エラー数
    コマンド ライン プログラムが返すエラーについて説明します。
  • Silk Central から STW.EXE を実行するための前提条件
    Silk Central 実行サーバーから STW.EXE を実行するために必要な前提条件を示します。
  • STW.EXE の使用例
    STW.EXE コマンド ライン プログラムの使用例をいくつか紹介します。
親トピック: コマンド ライン


STW.EXE のパラメータ

コマンド ライン プログラムには、必須パラメータとオプション パラメータの両方があります。パラメータは、長い形式と短い形式のどちらかの名前を使用して指定できます。一部のオプション パラメータでは、環境の変更、スクリプトに変数を渡したり、出力ファイルの作成などを指定できます。

注: パラメータ名、スクリプト、スクリプト パラメータでは、大文字と小文字が区別されません。ただし、スクリプト パラメータの値は、指定どおりにスクリプトに渡されます。
注: パラメータ名の前には、文字 - の代わりに文字 / を使用できます。
パラメータの長い名前 | パラメータの短い名前 | 必須かどうか | 説明
dsn -d はい

データベースへの接続に使用する DSN の名前。このパラメータは必須ですが、空にすると SilkTest が使用されます。
username -u はい

接続に使用されるユーザー名。空にすると Admin が使用されます。
password -p いいえ

接続に使用されるパスワード名。パスワードが Nothing の場合はオプション (お勧めできません)。
project -r いいえ

再生するスクリプトを含むプロジェクト。デフォルトでは、プロジェクトのすべてのスクリプトが実行されます。固有のスクリプトを指定するには、-script パラメータを使用します。スクリプトを指定せず、スクリプトで入力パラメータが必要である場合は、デフォルト値が使用されます。

.NET スクリプトが先に実行され、ビジュアル テストが次に実行されます。

プロジェクトが存在しない場合は、エラー メッセージが表示されます。

重要: プロジェクト パラメータが指定されていない場合、Common プロジェクトがデフォルトで使用されます。たとえば、「stw -d silktest -u admin -p admin -s Script1 -r OtherProject -s Script2」のように指定した場合は、Script1 は Common プロジェクトで実行され、Script2 は OtherProject という名前のプロジェクトで実行されます。
environment -e いいえ

スクリプトに使用する実行環境の名前。このパラメータを含めない場合は、デフォルトの再生環境が使用されます。

再生環境が存在しない場合、スクリプトは実行されません。

重要: 使用する場合は、このパラメータの次に project と script パラメータを指定する必要があります。
script -s はい

再生する .NET スクリプト、ビジュアル テスト、またはキーワード駆動テストの名前。

.NET スクリプト、ビジュアル テスト、またはキーワード駆動テストが存在しない場合、エラー メッセージが表示されます。
variable -m いいえ

このパラメータを使用すると、.NET スクリプト、ビジュアル テスト、キーワード駆動テストのパラメータを指定できます。たとえば、このパラメータを使用して、Silk Central からキーワード駆動テストにグローバル プロパティを渡すことができます。

指定すると、資産で定義されたグローバル プロパティは上書きされます。このパラメータを使用する場合は、script パラメータの次に指定する必要があります。

名前と値のペアは、二重引用符で囲む必要があります。変数に割り当てる値を表すには、文字 = を使用します。ブール値パラメータは、True または False として指定する必要があります。

パラメータは任意の順序で指定できますが、名前と数はスクリプトのパラメータと正確に一致する必要があります。渡す名前が多すぎたり、少なかったり、無効だったりすると、エラー メッセージが表示されてスクリプトは実行されません。
file -f いいえ

このオプションでは、コマンド ライン パラメータをテキスト ファイルで指定し、コマンド ライン プログラムに渡すことができます。再入力したくない長い引数がある場合にこれを使用できます。

使用法の詳細については、「入力ファイル」を参照してください。
outputfile -o いいえ

実行されたスクリプトに関する情報を含むファイルの名前を指定するには、このパラメータを使用します。実行されて、正常に完了したか再生エラーを生成したスクリプトのみが出力ファイルに表示されます。

パスや名前にスペースが含まれる場合は、出力ファイルの名前を引用符で囲む必要があります。

使用法の詳細については、「出力ファイル」を参照してください。
browser -b いいえ
ブラウザー アプリケーション構成を持つスクリプトが実行されるブラウザーを指定するには、このパラメータを使用します。パラメータには次の値を指定できます (文字小文字は区別されません)。
  • InternetExplorer
  • Firefox
  • GoogleChrome
  • Edge
  • AndroidBrowser
  • Safari
  • None

AndroidBrowser または Safari を使用する場合には、mobiledevice パラメータを指定します。

重要: 使用する場合は、このパラメータの次に project と script パラメータを指定する必要があります。
commandlineargs -cla いいえ

スクリプトの基本状態に渡すコマンド ライン引数を指定する場合には、このパラメータを使用します。コマンド ライン引数を使用する任意の基本状態に対して、このパラメータを使用できます。エージェントがコマンド ライン引数を使用する場合、この設定が渡されますが、それ以外の場合は、無視されます。

コマンド ライン引数の指定には、silktest.commandLineArgs 環境変数を使用することもできます。STW.exe のパラメータと環境変数の両方でコマンド ライン引数が指定された場合は、STW.exe のパラメータが使用されます。

重要: 使用する場合は、このパラメータの次に script パラメータを指定する必要があります。
viewportwidth | -vw | いいえ | ブラウザー ビューポートの幅をピクセルで指定する場合には、このパラメータを使用します。viewportwidth パラメータと viewportheight パラメータは同時に指定する必要があります。いずれか一方のパラメータだけを指定すると、エラーになります。viewportname パラメータを、このパラメータと同時に指定することはできません。
viewportheight | -vh | いいえ | ブラウザー ビューポートの高さをピクセルで指定する場合には、このパラメータを使用します。viewportheigth パラメータと viewportwidth パラメータは同時に指定する必要があります。いずれか一方のパラメータだけを指定すると、エラーになります。viewportname パラメータを、このパラメータと同時に指定することはできません。
viewportname | -vn | いいえ | UI であらかじめ定義したカスタム ブラウザー サイズのリストの名前を使用して、ビューポートの幅と高さを指定する場合には、このパラメータを使用します。このリストは、ブラウザーの選択 ダイアログ、アプリケーションの選択 ダイアログの Web タブ、ブラウザー アプリケーション構成の編集 ダイアログで、ブラウザーを選択するときに表示されます。viewportwidth パラメータと viewportheigth パラメータを、このパラメータと同時に指定することはできません。
orientation | -on | いいえ | orientation パラメータは、viewportname が指定されたときだけ有効になります。その値として、 portrait または landscape を指定できます。UI の 向き の設定に該当します。
mobiledevice -md いいえ

スクリプトを実行するモバイル デバイスの名前。この名前は、ブラウザーの選択 ダイアログ ボックスにも表示されます。

この値をリセットするには、二重引用符で囲んだ空の文字列 ("") を渡します。

重要: 使用する場合は、このパラメータの次に project と script パラメータを指定する必要があります。
append -a いいえ

結果を追加するには、このパラメータを使用します。オプション ダイアログ ボックスに表示されるものと同じ設定です。
increment -i いいえ

結果を増分するには、このパラメータを使用します。オプション ダイアログ ボックスに表示されるものと同じ設定です。
verbose -v いいえ

このパラメータでは、スクリプトの実行中にユーザーに出力が表示されます。コマンド ラインの任意の場所に表示されることがあります。

DSN、ユーザー名、パスワードは常に表示されます。出力ファイルを使用する場合は、それが表示されます。スクリプト名が表示される場所では、プロジェクト名が表示され、名前が括弧で囲まれて後に続きます。スクリプトの名前、プロジェクト、スクリプト ステータス、合計検証数、合格した検証数、失敗した検証数を含む行は、実行されたスクリプトごとに表示されます。
help または ? -h いいえ

コマンド ライン プログラムの使用可能パラメータを表示するには、「STW -?」と入力します。
resultdir -rd いいえ

実行したスクリプトのすべての結果ファイルを保存するディレクトリを指定するには、このパラメータを使用します。

次のファイルがこのディレクトリに保存されます。
  • XML 結果ファイル
  • XML 結果ファイルに対応する XSLT ファイル
  • エラー画面 (実行中にエラーが発生した場合)
connectionstring | -c | いいえ | リモート ロケーションに接続されているブラウザーやモバイル デバイスをテストするには、このパラメータを使用します。connectionstring パラメータを使用してテストを実行するとき、モバイル デバイスとパラメータの間で connectionstring は出力ファイルに書き出されます。

例 1

この例では、Internet Explorer でブラウザー スクリプトを実行するコマンドを示します。

STW –dsn silktest –browser InternetExplorer –script MyScript

例 2

この例では、 Internet Explorer と Google Chrome の両方でブラウザー スクリプトを実行するコマンドを示します。

STW –dsn silktest –browser InternetExplorer –script MyScript –browser GoogleChrome –script MyScript

例 3

この例では、まず、Android ブラウザーでスクリプトを実行し、それからスクリプトのアプリケーション構成で設定されたブラウザーで実行するコマンドを示します。

STW –dsn silktest –browser AndroidBrowser –mobiledevice Nexus_4 –script MyScript –browser None –mobiledevice "" –script MyScript

例 4

この例では、モバイル デバイス上の Chrome for Android で Common プロジェクトのすべてのスクリプトを実行するコマンドを示します。

STW –dsn silktest –browser GoogleChrome –mobiledevice Nexus_4 –project Common

例 5

この例では、Mac に接続されたモバイル デバイス上の Chrome for Android で Common プロジェクトのすべてのスクリプトを実行するコマンドを示します。

STW –dsn silktest -connectionstring "platformName=Android;deviceName=Moto G;host=http://MyMac - GoogleChrome" –project Common

例 6

この例では、ブラウザー ビューポート サイズ 800x600 の Internet Explorer でブラウザー スクリプトを実行するコマンドを示します。

STW –dsn silktest –browser InternetExplorer -viewportwidth 800 -vieportheight 600 –script MyScript

例 7

この例では、ブラウザー ビューポート サイズ SVGA (800, 600) の Internet Explorer でブラウザー スクリプトを実行するコマンドを示します。

STW –dsn silktest –browser InternetExplorer -viewportname SVGA –script MyScript

例 8

この例では、カスタム プロファイルを指定した Mozilla Firefox でブラウザー スクリプトを実行するコマンドを示します。
STW –dsn silktest -username admin -password admin -browser Firefox -commandLineArgs "-p MyProfile" -project Common -script BrowserTest
親トピック: STW.EXE コマンド ライン
関連概念
テストの並列実行
テストを再生するブラウザーの選択


入力ファイル

-file オプションを使用すると、テキスト ファイルでコマンド ライン パラメーターを指定して、コマンド ライン プログラムに送信することができます。

ファイルはコマンド ラインの任意の場所で指定できますが、指定した順番に処理され、その前後のコマンド ライン オプションに影響することがあります。 また、複数の -file コマンドを指定（後にファイル名を指定）することも、ファイル内で -f パラメーターを指定することもできます。 パラメーターは複数行で指定できます。

行をコメント アウトするには、# 文字を使用します。

ファイル内に別の -file パラメーターが含まれている場合は、再帰の使用について確認されます。 つまり、ファイル内の -file パラメーターが、同じ処理セット内の任意の場所で参照されているのと同じファイルを示すことがあってはなりません。

ファイルの有効な形式は、UTF-8、UTF-16、または Unicode です。

例 1：FileA.txt

# Execute my script
-script MyScript
# Change the environment and run again
-environment MyEnvironment
-script MyScript

例 2：FileB.txt

# Include contents of FileA.txt, twice
-file FileA.txt

# Reset the playback environment
-environment

# Include it again
-file FileA.txt
親トピック: STW.EXE コマンド ライン


出力ファイル

outputfile パラメータを使用すると、コマンド ラインは指定ファイルを作成して内容を上書きしようとします。ファイルにアクセスできない場合はエラー メッセージが表示されますが、実行は進みます。これが発生する可能性がある理由は次のとおりです。

  • パスが存在しない。
  • 別のプロセスによってロックされているか使用されている。
  • そのフォルダのアクセス権がユーザーにない。

出力ファイル形式

作成されるファイルはテキスト ファイルであり、各行は実行されたスクリプトを表します。各行には多くのフィールドが含まれ、フィールドはタブ文字 (0x9) で区切られます。これは TXT 形式であり、Microsoft Office Excel で使用できます。

出力ファイルのフィールド

フィールド | 説明
スクリプト名 | .NET またはビジュアル テスト スクリプトのどちらかになります。
プロジェクト | スクリプトが存在するプロジェクト。コマンド ラインにプロジェクトを指定しない場合は、ここに「Common」と表示されます。
実行環境 | スクリプトの実行に使用された実行環境の名前。デフォルトの実行環境が使用された場合、このフィールドは空です。
合計検証数 | スクリプトによって実行された検証の総数。
合格した検証数 | 合格した検証の数。
失敗した検証数 | 失敗した検証の数。
スクリプト ステータス | スクリプトのステータス。
再生エラー | 再生エラー メッセージが含まれます。再生エラーが検出されない場合は空です。
ブラウザー | スクリプトの実行に提供されたブラウザーの名前。
接続文字列 | モバイル デバイスまたはリモート ロケーションへの接続文字列。
スクリプト パラメータ | スクリプトがパラメータを取る場合は、パラメータがフィールドのペアでここにリストされます。最初のフィールドがパラメータ名、次のフィールドが値です。
親トピック: STW.EXE コマンド ライン


エラー数

コマンド ライン プログラムは ERRORLEVEL をオペレーティングシステムに返し、呼び出し側プログラムはこれを分析して、実行時に発生したことを判断できます。次の表ではエラーについて説明します。

コード | 説明 | スクリプトのステータスとして出力ファイルで返されるかどうか
0 | エラーはありません。すべてのスクリプトは正常に実行されました。 | はい
1 | 致命的なエラー。コマンド ライン プログラムをまったく実行できません。言語リソース ファイルがないことが理由の 1 つと考えられます。 | いいえ
2 | Silk Test COM オブジェクトを作成できませんでした。COM オブジェクトが登録されたことを確認してください。Silk Test.exe を実行すると COM オブジェクトが登録されることに注意してください。 | いいえ
3 | DSN、ユーザー名、パスワードのいずれかが正しくありません。詳細については、「Silk Central から STW.EXE を実行するための前提条件」を参照してください。 | いいえ
4 | スクリプト名が指定されていません。 | いいえ
5 | 指定プロジェクトが見つかりませんでした。 | いいえ
6 | 指定スクリプトが見つかりませんでした。 | いいえ
7 | 指定実行環境が見つかりませんでした。 | いいえ
8 | スクリプトのパラメータが無効です。指定したスクリプトのパラメータが少なすぎるか多すぎるか、パラメータが見つかりませんでした。 | いいえ
9 | スクリプトの実行が完了しませんでした。最後に達する前に停止した可能性がありますが、再生エラーという結果にはなっていません。 | はい
10 | スクリプトで再生エラーが発生しました。 | はい
11 | スクリプトが実行できなかったか、スクリプトの検証がエラーになりました。 | はい
12 | 複数の問題が発生しました。たとえば、スクリプトがエラーになり、スクリプト再生エラーが検出されました。 | いいえ
13 | -file オプションのためにコマンド ラインを処理できなかった場合、これが返されます。たとえば、ファイルが存在しないか、ファイルの再帰がある場合です。 | いいえ
14 | コマンド ライン ウィンドウの停止またはシャットダウンを行う方法はさまざまです。Ctrl+C、Ctrl+Break、Windows からのログアウト、Windows のシャットダウンのいずれかにより、コマンド ラインは閉じるか停止します。このような操作は捕えられて、このエラー コードが返されます。ウィンドウを閉じると、スクリプトの停止、製品のログアウト、SilkTest.EXE のアンロードも行われます。 | いいえ
15 | viewportwidth または viewportheight のいずれか一方だけが指定されました。 | いいえ
16 | viewportname が viewportwidth と viewportheight と同時に指定されました。 | いいえ

バッチ ファイルを使用して ERRORLEVEL を確認する

バッチ ファイルで ERRORLEVEL を確認する方法は多数あります。次の例で 1 つの方法について説明します。

@ECHO OFF
SETLOCAL

REM ----------------------------------------------------------------------------
REM Define the error codes that can be returned by STW.EXE
REM ----------------------------------------------------------------------------
SET eNoError=0
SET eFatalError=2
SET eUnableToCreateComObject=2
SET eLoginFailed=3
SET eNoScriptSpecified=4
SET eProjectNotFound=5
SET eScriptNotFound=6
SET eRunEnvNotFound=7
SET eInvalidScriptParameters=8
SET eScriptDidNotComplete=9
SET eScriptPlaybackError=10
SET eScriptFailed=11
SET eMultipleProblems=12
SET eCommandCouldNotBeProcessed=13
SET ePrograTerminatedByUser=14
SET eInvalidViewportSize=15
SET eInvalidViewportParameters=16

REM ----------------------------------------------------------------------------
REM Run STW.EXE
REM ----------------------------------------------------------------------------
@ECHO ON
STW.EXE -username Admin -dsn STW-Scratch -script ScriptNotFound
@ECHO.
@ECHO OFF

REM ----------------------------------------------------------------------------
REM Anything greater than 12 is unknown, can be caused if the command
REM processor cannot find STW.EXE.
REM ----------------------------------------------------------------------------
IF %ERRORLEVEL% GTR %eMultipleProblems% (
    ECHO STW.EXE returned an unknown return code %ERRORLEVEL%
    GOTO END
)

REM ----------------------------------------------------------------------------
REM Check the specific error codes here.
REM ----------------------------------------------------------------------------
IF %ERRORLEVEL% EQU %eMultipleProblems% (
    ECHO eMultipleProblems
    GOTO END
)

IF %ERRORLEVEL% EQU %eScriptFailed% (
    ECHO eScriptFailed
    GOTO END
)

IF %ERRORLEVEL% EQU %eScriptPlaybackError% (
    ECHO eScriptPlaybackError
    GOTO END
)

IF %ERRORLEVEL% EQU %eScriptDidNotComplete% (
    ECHO eScriptDidNotComplete
    GOTO END
)

IF %ERRORLEVEL% EQU %eInvalidScriptParameters% (
    ECHO eInvalidScriptParameters
    GOTO END
)

IF %ERRORLEVEL% EQU %eRunEnvNotFound% (
    ECHO eRunEnvNotFound
    GOTO END
)

IF %ERRORLEVEL% EQU %eScriptNotFound% (
    ECHO eScriptNotFound
    GOTO END
)

IF %ERRORLEVEL% EQU %eProjectNotFound% (
    ECHO eProjectNotFound
    GOTO END
)

IF %ERRORLEVEL% EQU %eNoScriptSpecified% (
    ECHO eNoScriptSpecified
    GOTO END
)

IF %ERRORLEVEL% EQU %eLoginFailed% (
    ECHO eLoginFailed
    GOTO END
)

IF %ERRORLEVEL% EQU %eUnableToCreateComObject% (
    ECHO eUnableToCreateComObject
    GOTO END
)

IF %ERRORLEVEL% EQU %eFatalError% (
    ECHO eFatalError
    GOTO END
)

IF %ERRORLEVEL% EQU %eNoError% (
    ECHO eNoError
    GOTO END
)

IF %ERRORLEVEL% EQU %eCommandCouldNotBeProcessed% (
    ECHO eCommandCouldNotBeProcessed
    GOTO END

IF %ERRORLEVEL% EQU %ePrograTerminatedByUser% (
    ECHO ePrograTerminatedByUser
    GOTO END
)

IF %ERRORLEVEL% EQU %eInvalidViewportSize% (
    ECHO eInvalidViewportSize
    GOTO END
)

IF %ERRORLEVEL% EQU %eInvalidViewportParameters% (
    ECHO eInvalidViewportParameters
    GOTO END
)

:END

ENDLOCAL
親トピック: STW.EXE コマンド ライン
関連資料
Silk Central から STW.EXE を実行するための前提条件


Silk Central から STW.EXE を実行するための前提条件

Silk Central 実行サーバーから STW.EXE を実行し、Silk Test Workbench データベースに正しく接続するには、次の前提条件を満たす必要があります。
  1. Silk Central 実行サーバーがサービスではなく、プロセスとして実行されている。
  2. Silk Test Workbench データベースへの接続にデータベース認証が使用されている。Silk Test Workbench では、Silk Test Workbench SQL Server データベースとの接続に Windows 認証とデータベース認証を使用できます。
  3. データベース サーバー インスタンスが静的ポートを使用するように構成されている。
これらの前提条件が満たされていない場合、Silk Test Workbench 実行サーバーから STW.EXE を実行しようとするときに Silk Central は次のエラーで終了する場合があります。
エラー 3：DSN、ユーザー名、パスワードのいずれかが正しくありません。
親トピック: STW.EXE コマンド ライン
関連概念
エラー数


STW.EXE の使用例

コマンド ラインでは、STW.EXE の 1 回の実行で任意の数のスクリプトを実行することがサポートされます。コマンド ラインでは、入力ファイルと出力ファイル、およびスクリプトごとにプロジェクトと実行環境を変えることもサポートされます。

注: このほとんどの例には、読みやすくするため、-d、-u、-p の各パラメータが含まれていません。

一般的なヘルプ

STW -help

単一プロジェクト、すべてのスクリプト

STW -project ProjectName

単一プロジェクト、単一スクリプト

STW -project ProjectName -script ScriptName

単一スクリプト、Common プロジェクト

STW -s scriptname

コマンド ラインでは、SilkTest を DSN として、Admin をパスワードがないユーザー名として使用します。

名前にスペースが含まれるスクリプト

STW -script "Script with spaces"

Common プロジェクトの特定スクリプト

STW -script Script1 -script Script2

Common プロジェクトのすべてのスクリプト

STW

さまざまなプロジェクトの特定スクリプト

この例では 2 つの別々のスクリプトを実行します。別々のプロジェクトでは同じスクリプト名を使用できるので、この 2 つは 2 つの固有なスクリプトを表します。

STW -project Project1 -script Script1 -project Project2 -script Script1

Common プロジェクトとユーザー プロジェクトの特定スクリプト

注: プロジェクト名を指定すると、それに続くすべてのスクリプトはそのプロジェクトに関連します。
STW -project Project1 -script Script1 -script Script2 -project Common -script Script1 -script Script2

入力ファイルの使用

STW –file FileA.txt

FileA.txt 内に以下が含まれる場合

# Execute my script
-script MyScript
# Change the environment and run again
-environment MyEnvironment
-script MyScript

環境

STW -environment PlaybackEnvironment -s ScriptName

複数の実行環境

この例では、ユーザーが定義した実行環境とデフォルトの実行環境で同一スクリプトを実行します。

STW -environment MyRunEnv -script Script1 -environment -script Script1

-environment の 2 回目の使用では名前を指定しません。環境はデフォルトにリセットされます。

変数

パラメータを必要とする .NET スクリプト、ビジュアル テスト、またはキーワード駆動テストをコマンド ラインから実行する場合、variable パラメータを使用して資産のパラメータを指定できます。指定すると、資産で定義されたグローバル プロパティは上書きされます。

STW -script ScriptWithParameters -variable "var1=1234" "var2=Hello" "var3=True"

詳細モード

STW -u Admin -verbose -d MyDsn -s MyScript

以下は、詳細モードの出力例です。

STW.exe
Copyright (c) 1996-2011, Micro Focus IP Development Limited. All Rights Reserved

DSN                   : STW-Scratch
Username              : admin
Password              :
Script(s)             : MyScript [Project3]

Append result         : False
Increment result      : False
Output file           : MyOutput.txt
Verbose Mode          : ON

Searching executable assets...

.NET Script ' MyScript' [Project3] found

Executing MyScript [Project3] ...

Script: MyScript [Project3], Status: Failed, Verifications: Total 5, Passed 0, Failed 5

出力ファイル

STW -outputfile C:\Temp\MyFile.txt

結果ディレクトリの指定

STW -s scriptname -resultdir C:\Temp\TestResults
または
STW -s scriptname -rd C:\Temp\TestResults
親トピック: STW.EXE コマンド ライン


コマンド ラインからの資産のインポートとエクスポート

Silk Test Workbench のインポート ユーティリティ (STWImport.exe) およびエクスポート ユーティリティ (STWExport.exe) をコマンド ライン プロンプトから直接実行して、データベースの資産をインポートまたはエクスポートできます。

再利用可能な構成ファイルを作成して、繰り返し使用するパラメータ値を保存することもできます。

注: Silk Test Workbench 18.5 以降を使用している場合、18.5 より前のバージョンの Silk Test Workbench でエクスポートした資産をインポートできません。このような資産をインポートする場合は、StwConvertExportedXML プログラムを使用してください。詳細については、「資産のインポート」を参照してください。
  • 資産のインポートのコマンド ライン パラメータ
    コマンド ラインを使用して資産をインポートするためのパラメータについて説明します。
  • 資産のエクスポートのコマンド ライン パラメータ
    コマンド ラインを使用して資産をエクスポートするためのパラメータについて説明します。
親トピック: コマンド ライン


資産のインポートのコマンド ライン パラメータ

STWImport.exe コマンド ライン ユーティリティを使用して、コマンド ラインから資産をインポートします。インポート パラメータは全部をコマンド ラインから指定することも、または特に記載のないかぎりは構成ファイルに指定することもできます。

ユーティリティは、\Silk\Silk Test\ng\gui\ にあります。

コマンド ライン インポート パラメータ

構文 | 値 | 必須かどうか | 説明
Username (-u) ユーザー定義 はい

接続に使用されるユーザー名。コマンド ラインでのみ指定できます。このパラメータを構成ファイルで指定しても無視されます。Windows 認証を使用する場合は、ユーザー名は省略します。
Password (-p) ユーザー定義 はい

接続に使用されるパスワード名。このパラメータはパスワードが Nothing 以外の場合に必要です。コマンド ラインでのみ指定できます。このパラメータを構成ファイルで指定しても無視されます。Windows 認証を使用する場合は、パスワードは省略します。
DSN (-d) ユーザー定義 はい

データベースへの接続に使用する DSN の名前。このパラメータは、「SilkTest」以外の DSN 名の場合に必要です。コマンド ラインでのみ指定できます。このパラメータを構成ファイルで指定しても無視されます。
ImportFile (-if) ユーザー定義

インポートする ZIP ファイルのファイル名または場所。
Execute (-ex) | Yes | No (下記の注意を参照) | はい | インポート操作をコミットします。デフォルト値は、「No」です。
Filename (-f) ユーザー定義 いいえ
コマンド ライン パラメータを格納する INI 構成ファイルです。コマンド ラインでのみ指定できます。
注: INI ファイル パラメータはコマンド ライン パラメータを上書きしますが、例外があります。INI ファイルで指定された Projects (-prj) および System (-s) パラメータの値は、コマンド ライン上に指定された同じパラメータを上書きしません。それぞれの値が両方とも使われます。
AllVersions (-av) | Yes | No (下記の注意を参照) | いいえ | 資産のすべてのバージョンをインポートします。デフォルト値は、「No」です。
ReportResult (-rr) ユーザー定義 いいえ

作成される要約レポート ファイルの名前と場所が含まれています。デフォルトの場所は現在のディレクトリです。
SilentMode (-sm) Yes | No (下記の注意を参照) いいえ

コンソール出力の表示を抑止します。
Projects (-prj) 資産のノード いいえ インポートする単一のプロジェクト資産またはプロジェクト資産のグループを指定します。このパラメータを指定しない場合、データベース内のすべての資産がインポートされます。ノードのグループは縦線文字 (|) で区切られます。形式は、{ProjectName}.{AssetType}.{AssetName}.{Ver#} です。例：-prj ProjectA.Script.SampleScript.1 縦線文字で区切る文字列は、二重引用符で囲む必要があります。 -prj "Common | ProjectB.Result"
注: 資産の種類を指定する際は、単数形を使用してください。たとえば、「results」ではなく、「result」を使用します。資産名が 2 語で構成される場合 (visual test) は、スペースを削除してください (visualtest)。ただし、テスト スクリプトだけは例外です。テスト スクリプトを指定する際は、「script」という単語のみを使用してください。
System (-s) | 資産のノード | いいえ | インポートする単一のシステム資産またはシステム資産のグループを指定します。このパラメータを指定しない場合、データベース内のすべてのシステム資産がインポートされます。ノードのグループは縦線文字 (|) で区切られます。形式は、{SystemName}.{SystemType}.{SystemAssetName} です。例：-s Options.Record.RecA 縦線文字で区切る文字列は、二重引用符で囲む必要があります。
ProjectAssetResolve- Conflict (-parc) s | a | p いいえ データベースにすでに存在しているプロジェクト資産について、競合の解決方法を指定します。
  • s を指定すると、インポートが中止されます。
  • a を指定すると、インポート時に資産にバージョンが追加されます。
  • p を指定した場合、競合する資産それぞれに対して、ユーザーに操作を選択するよう促すプロンプトを表示し、SilentMode パラメータを上書きします。デフォルトは p です。
SystemAssetResolve- Conflict (-sarc) s | p いいえ データベースにすでに存在しているシステム資産について、競合の解決方法を指定します。
  • s を指定すると、インポートが中止されます。
  • p を指定した場合、競合する資産それぞれに対して、ユーザーに操作を選択するよう促すプロンプトを表示し、SilentMode パラメータを上書きします。デフォルトは「p」です。
注: コマンド ライン パラメータのデフォルト値を指定するには、コマンドでパラメータの指定を省略します。デフォルト以外の値を指定するには、値なしでパラメータだけを含めます。たとえば、資産のすべてのバージョンをインポートするには、インポート コマンドで AllVersions (-av) パラメータを値「Yes」なしで指定します。資産の最新バージョンだけをインポートするには、単にこのパラメータを省略するとデフォルト値の「No」が適用されます。

インポート構成ファイルでパラメータ値を指定するとき、パラメータまたはパラメータ値を省略すると、デフォルト値が使用されます。デフォルト以外の値の場合は、値を明示的に指定する必要があります。たとえば、資産のすべてのバージョンをインポートするには、AllVersions (-av) パラメータを値の「Yes」と共に指定します。

注: Silk Test Workbench 18.5 以降を使用している場合、18.5 より前のバージョンの Silk Test Workbench でエクスポートした資産をインポートできません。このような資産をインポートする場合は、StwConvertExportedXML プログラムを使用してください。詳細については、「資産のインポート」を参照してください。

例

C:/>STWImport.exe -u Admin -p admin -d MyDBName -mt sf -mn "c:\MySTAssetFiles" -prj ProjectA -rr "c:\STImport.txt" -ex

上記の例では、MySTAssetFiles ディレクトリに含まれる ProjectA の資産ファイルの最新バージョンが MYDBName データベースにインポートされ、要約レポートを含むファイルが作成されます。

構成ファイルの例

C:/>STWImport.exe -u Admin -p admin -d MyDBName -f "C:\STimport.ini"

上記の例には、コマンド ライン上で指定する必要のあるインポート パラメータだけが含まれています。その他のすべてのパラメータは構成ファイルに保存されます。

  • コマンド ライン インポート構成ファイルの作成
    コマンド ライン資産インポートの構成ファイルを作成する方法について説明します。
親トピック: コマンド ラインからの資産のインポートとエクスポート


コマンド ライン インポート構成ファイルの作成

設定を永続的に保存するには、コマンド ライン インポート構成ファイルを作成します。インポート パラメータの大部分は、このファイルに保存できます。Username、Password、DSN、Filename などのいくつかのパラメータは、コマンド ライン上で指定する必要があります。

  1. オプションのインポート パラメータをすべて含めるための .INI ファイル (たとえば STimport.ini) を作成します。
  2. ファイルを必要な場所に保存します。
  3. 以下のインポート パラメータのリストをコピーして、構成ファイルに貼り付けます。
    [SilkTestImport]
Execute=
ImportFile=
AllVersions=
ReportResult=
SilentMode=
Projects=
System=
ProjectAssetResolveConflict=
SystemAssetResolveConflict=
  4. 各インポート パラメータの値を設定します。値は引用符で囲む必要はありません。値が設定されない場合、またはファイルでこのパラメータが省略された場合は、デフォルト値が使用されます。パラメータ値では大文字と小文字は区別されません。
  5. ファイルを保存します。
  6. コマンド ラインからファイルにアクセスするには、Filename (-f) パラメータとファイルの場所を指定します。例：
    C:\>STWImport.exe -u Admin -p admin -d YourDBName -f "C:\STimport.ini"
    注: 構成ファイルの見出し [SilkTestImport] は、ファイルで最初に指定されている必要がありますが、パラメータの順番は変更できます。パラメータをコメント アウトする必要がある場合、パラメータ名の前に円記号 (\) を入力します。構成ファイルに指定されたパラメータは、コマンド ライン上に指定されている同じパラメータを上書きしますが、例外が 1 つあります。構成ファイル内とコマンド ライン上の両方に Projects または System パラメータが指定されている場合、それぞれの値が使用されます。
親トピック: 資産のインポートのコマンド ライン パラメータ


資産のエクスポートのコマンド ライン パラメータ

STWExport.exe コマンド ライン ユーティリティを使用して、コマンド ラインから資産をエクスポートします。エクスポート パラメータは全部をコマンド ラインから指定することも、または特に記載のないかぎりは構成ファイルに指定することもできます。

ユーティリティは、\Silk\Silk Test\ng\gui\ にあります。

コマンド ライン エクスポート パラメータ

構文 | 値 | 必須かどうか | 説明
Username (-u) | ユーザー定義 | はい | 接続に使用されるユーザー名。コマンド ラインでのみ指定できます。このパラメータを構成ファイルで指定しても無視されます。Windows 認証を使用する場合は、ユーザー名は省略します。
Password (-p) | ユーザー定義 | はい | 接続に使用されるパスワード名。このパラメータはパスワードが Nothing 以外の場合に必要です。コマンド ラインでのみ指定できます。このパラメータを構成ファイルで指定しても無視されます。Windows 認証を使用する場合は、パスワードは省略します。
DSN (-d) | ユーザー定義 | はい | データベースへの接続に使用する DSN の名前。このパラメータは、「SilkTest」以外の DSN 名の場合に必要です。コマンド ラインでのみ指定できます。このパラメータを構成ファイルで指定しても無視されます。
ExportFile (-ef) | ユーザー定義 | はい | エクスポートする ZIP ファイルのファイル名または場所。
Execute (-ex) | Yes | No (下記の注意を参照) | はい | エクスポート操作をコミットします。デフォルト値は、「No」です。
Filename (-f) | ユーザー定義 | いいえ | コマンド ライン パラメータを格納する INI 構成ファイルです。コマンド ラインでのみ指定できます。 注: INI ファイル パラメータはコマンド ライン パラメータを上書きしますが、例外があります。INI ファイルで指定された Projects (-prj) および System (-s) パラメータの値は、コマンド ライン上に指定された同じパラメータを上書きしません。それぞれの値が両方とも使われます。
AllVersions (-av) | Yes | No (下記の注意を参照) | いいえ | 資産のすべてのバージョンをエクスポートします。デフォルト値は、「No」です。
ReportResult (-rr) | ユーザー定義 | いいえ | 作成される要約レポート ファイルの名前と場所が含まれています。デフォルトの場所は現在のディレクトリです。
SilentMode (-sm) | Yes | No (下記の注意を参照) | いいえ | コンソール出力の表示を抑止します。
Projects (-prj) | 資産のノード | いいえ | エクスポートする単一のプロジェクト資産またはプロジェクト資産のグループを指定します。このパラメータを指定しない場合、データベース内のすべての資産がエクスポートされます。ノードのグループは縦線文字 (|) で区切られます。形式は、{ProjectName}.{AssetType}.{AssetName}.{Ver#} です。例：-prj ProjectA.Visualtest.SampleTest.1。 縦線文字 (|) で区切る文字列は、二重引用符で囲む必要があります。例： -prj "Common | ProjectB.Result"。 注: 資産の種類を指定する際は、単数形を使用してください。たとえば、「results」ではなく、「result」を使用します。資産名が 2 語で構成される場合 (visual test) は、スペースを削除してください (visualtest)。ただし、テスト スクリプトだけは例外です。テスト スクリプトを指定する際は、「script」という単語のみを使用してください。
System (-s) | 資産のノード | いいえ | エクスポートする単一のプロジェクト資産またはプロジェクト資産のグループを指定します。このパラメータを指定しない場合、データベース内のすべてのシステム資産がエクスポートされます。ノードのグループは縦線文字 (|) で区切られます。形式は、{SystemName}.{SystemType}.{SystemAssetName} です。例：-s Options.Record.RecA。 縦線文字 (|) で区切る文字列は、二重引用符で囲む必要があります。
ExportAssociated (-ea) | Yes | No (下記の注意を参照) | いいえ | データベースのすべてのプロジェクトから、参照されるすべての資産がエクスポートされるようにします。デフォルト値は、「No」です。
OverwriteFile (-of) | Yes | No (下記の注意を参照) | いいえ | エクスポート時にファイル名が競合した場合、既存のファイル (読み取り専用ファイルを含む) を上書きします。デフォルト値は、「Yes」です。
注: コマンド ライン パラメータのデフォルト値を指定するには、エクスポート コマンドでパラメータの指定を省略します。デフォルト以外の値を指定するには、値なしでパラメータだけを含めます。たとえば、資産のすべてのバージョンをエクスポートするには、エクスポート コマンドで AllVersions (-av) パラメータを値「Yes」なしで指定します。資産の最新バージョンだけをエクスポートするには、単にこのパラメータを省略するとデフォルト値の「No」が適用されます。

エクスポート構成ファイルでパラメータ値を指定するとき、パラメータまたはパラメータ値を省略すると、デフォルト値が使用されます。デフォルト以外の値の場合は、値を明示的に指定する必要があります。たとえば、資産のすべてのバージョンをエクスポートするには、AllVersions (-av) パラメータを値「Yes」付きで指定します。

例

C:/>STWExport.exe -u Admin -p admin -d MyDBName -mn "c:\MySTAssetFiles" -mt ds -rr "c:\STExport.txt" -prj ProjectA -ex

上記の例では、ProjectA の資産ファイルの最新バージョンが C:\MySTAssetFiles にエクスポートされ、結果の要約レポートを含むファイルが作成されます。

構成ファイルの例

C:\>STWExport.exe -u Admin -p admin -d YourDBName -f "C:\STexport.ini"
  • コマンド ライン エクスポート構成ファイルの作成
    コマンド ライン資産エクスポートの構成ファイルを作成する方法について説明します。
親トピック: コマンド ラインからの資産のインポートとエクスポート


コマンド ライン エクスポート構成ファイルの作成

エクスポート設定を永続的に保存するには、コマンド ライン エクスポート構成ファイルを作成します。エクスポート パラメータの大部分は、このファイルに保存できます。Username、Password、DSN、Filename などのいくつかのパラメータは、コマンド ライン上で指定する必要があります。

  1. オプションのエクスポート パラメータをすべて含めるための .INI ファイル (たとえば STexport.ini) を作成します。
  2. ファイルを必要な場所に保存します。
  3. 以下のエクスポート パラメータのリストをコピーして、構成ファイルに貼り付けます。
    [SilkTestExport]
Execute=
ExportFile=
AllVersions=
ReportResult=
SilentMode=
Projects=
System=
ExportAssociated=
OverwriteFile=
  4. 各エクスポート パラメータの値を設定します。値は引用符で囲む必要はありません。値が設定されていない場合は、デフォルトが使用されます。パラメータ値では大文字と小文字は区別されません。
  5. ファイルを保存します。
  6. コマンド ラインからファイルにアクセスするには、FIlename (-f) パラメータとファイルの場所を指定します。例：
    C:\>STWExport.exe -u Admin -p admin -d YourDBName  -f "C:\STexport.ini"
    注: 構成ファイルの見出し [SilkTestExport] は、ファイルで最初に指定されている必要がありますが、パラメータの順番は変更できます。パラメータをコメント アウトする必要がある場合、パラメータ名の前に円記号 (\) を入力します。構成ファイルに指定されたパラメータは、コマンド ライン上に指定されている同じパラメータを上書きしますが、例外が 1 つあります。構成ファイル内とコマンド ライン上の両方に Projects または System パラメータが指定されている場合、それぞれの値が使用されます。
親トピック: 資産のエクスポートのコマンド ライン パラメータ


Silk Test Workbench のオプション

テスト環境とテスト方法を反映するには、デフォルト オプションを変更します。 オプションを変更するには、ツール > オプション をクリックします。

  • グローバル オプション
    すべてのプロジェクトのプロパティの設定方法について説明します。
  • 全般オプション
    Silk Test Workbench の全般的な動作を制御するオプションの設定方法について説明します。
  • 開始画面オプション
    アプリケーションの起動時に 開始画面 を非表示にし、開始画面 の フラグ ペインでのフラグ表示を制御するオプションの設定方法について説明します。
  • 記録オプション
    記録中の Silk Test Workbench の動作を制御するオプションの設定方法について説明します。
  • 再生オプション
    再生中の Silk Test Workbench の動作を制御するオプションの設定方法について説明します。
  • スクリプト作成オプション
    スクリプトのレイアウトを変更するオプションの設定方法について説明します。
  • 詳細オプションの設定
    詳細オプションでは、ハイブリッド アプリのフォールバック サポートを有効化したり、ロケーター属性名の大文字小文字を区別するかどうか、などを設定できます。
関連資料
ビジュアル テストの再生設定
エージェント オプション


グローバル オプション

すべてのプロジェクトのプロパティを設定するには、グローバル オプションを使用します。

グローバル オプションは、以下のとおりです。

資産管理
デフォルトの保存動作
ツール バーのボタン、資産のダイアログ ボックス、またはショートカット キーの組み合わせ (Ctrl+S) で資産を保存するときの、デフォルトの保存動作を設定します。動作は、資産の新しいバージョンを作成する、または資産の現在のバージョンを置き換える、のいずれかから選択します。
資産のバージョンの最大数
保持する資産のバージョンの最大数。0 を指定すると、すべてのバージョンが保持されます。バージョンの最大数に到達すると、資産の新しいバージョンが保存され、最も古いバージョンが削除されます。資産をインポートする場合、バージョンの数が最大数を超えていたとしても、すべてのバージョンがインポートされます。このようにしてインポートされた資産に対して新しいバージョンが保存されるとき、指定した資産の最大数と一致するように、最も古いバージョンの資産から削除されます。
パージの実行に必要なアクセス権
プロジェクトの資産をパージするために最低限必要なユーザー アクセス権を設定します。デフォルト値は、スクリプト作成者 です。フル アクセス も選択できます。このオプションは、管理者権を持つ Silk Test Workbench ユーザーだけが変更できます。現在のユーザーがパージを実行できるアクセス権を持つプロジェクトがない場合、Silk Test Workbench メニューの ファイル > 資産のバージョンをパージ... 項目は無効になります。それ以外の場合、資産のバージョンをパージ ダイアログの プロジェクト ツリーに、ユーザーが資産をパージできるプロジェクトが表示されます。
[資産のバージョンをパージ] のプロジェクトの選択状態を保持
はい に設定すると、資産のバージョンをパージ ダイアログ ボックスで、前回実行時のプロジェクトの選択状態が保持されます。いいえ に設定すると、ダイアログ ボックスを開いたときに、プロジェクトは選択されません。
  • eCATT
    eCATT の統合オプションについて説明します。
親トピック: Silk Test Workbench のオプション
関連タスク
資産保存時のデフォルト動作の設定
資産のバージョンの最大数の設定
Silk Test Workbench と Silk Central の統合


eCATT

ツール > オプション > グローバル > 統合

注: これらのオプションは、Silk Test Workbench が eCATT と統合されている場合にのみ利用できます。
RFC のトレース
Silk Test Workbench の RFC 呼び出しの診断トレースを有効にするには オン に設定します。診断トレースは、トレース ファイルに保存されます。
注: RFC は、librfc32.dll という SAP .dll に実装されている SAP API です。トレース ファイルはこの .dll 内のコードによって作成され、トレース ファイルの保存場所もこのコードによって設定されます。デフォルトの場所はシステム フォルダです。

RFC トレース ファイルをダンプするパスの Windows 環境変数を設定します。変数は RFC_TRACE_DIR で、その値はパスにする必要があります。これについては、SAP が提供している RFCSDK のヘルプで説明されています。

親トピック: グローバル オプション


全般オプション

ツール > オプション > 全般

全般オプションは、以下のとおりです。
Common プロジェクト資産に接頭辞を追加する
リスト ボックスから対応する項目を選択して、Silk Test Workbench が、Common プロジェクトに追加するすべての資産に Common の接頭辞を追加するかどうかを指定します。
資産名と 'Common' を使用する
Silk Test Workbench は Common プロジェクトに追加するすべての資産に Common の接頭辞を追加します。
資産名のみを使用する
Silk Test Workbench は接頭辞を追加しません。
デフォルトの結果表示
Silk Test Workbench によって 結果 ウィンドウに表示されるタブを選択します。
デフォルトの待機タイムアウト (ミリ秒)
Silk Test Workbench がオブジェクトを待機する期間を指定します。デフォルトは 5000 です。
記録時にフラッシュする
テストの記録中に、Silk Test Workbench がタスクバーの Silk Test Workbench ウィンドウをフラッシュするかどうかを指定します。
検索時に最小化
検索 ボタンをクリックしたときに、Silk Test Workbench が Silk Test Workbench ウィンドウを最小化するかどうかを指定します。
再生時に最小化
テストの再生中に、Silk Test Workbench が Silk Test Workbench ウィンドウを最小化するかどうかを指定します。
記録時に最小化
テストの記録中に、Silk Test Workbench が Silk Test Workbench ウィンドウを最小化するかどうかを指定します。
結果を自動的に開く
テストの再生後に Silk Test Workbench が結果を自動的に表示するかどうかを指定します。
再生時にすべて保存
テストの再生中に、Silk Test Workbench がすべてのファイルを保存するかどうかを指定します。
ブラウザー構成ダイアログの表示
資産にブラウザー構成がある場合にブラウザーを選択できるように、Silk Test Workbench が ブラウザー構成 ダイアログを表示するかどうかを指定します。この値を いいえ に設定すると、Silk Test Workbench はアプリケーション構成で指定したブラウザーの種類を使用します。
ローカル変数ウィンドウの表示
再生中に Silk Test Workbench が ローカル変数 ウィンドウを表示し、再生終了時に非表示にするかどうかを指定します。
[テスト ロジック デザイナ] の [ロジック ステップ] ページを表示する
Silk Test Workbench が テスト ロジック デザイナ ウィザードに ロジック ステップ ペインを表示するかどうかを指定します。ウィザードの ロジックのステップ ペインのタイトルの横にある矢印ボタンをクリックして、このペインの表示／非表示を切り替えることもできます。
[再生完了] ダイアログの表示
テスト再生が終了しときに、Silk Test Workbench が 再生完了 ダイアログ ボックスを表示するかどうかを指定します。
[再生] ダイアログの表示
テストを開始する前に、Silk Test Workbench が 再生 ダイアログ ボックスを表示するかどうかを指定します。
[記録完了] ダイアログの表示
Silk Test Workbench が 記録完了 ダイアログ ボックスを表示するかどうかを指定します。
[状態の記録] ダイアログの表示
記録を開始するときに、Silk Test Workbench が 状態の記録 ダイアログ ボックスを表示するかどうかを指定します。
[テスト ロジック デザイナ] の [要約] ページを表示する
Silk Test Workbench が テスト ロジック デザイナ ウィザードに 要約 ペインを表示するかどうかを指定します。この設定は、テスト ロジック デザイナ ウィザードの 要約 ペインで変更することもできます。
ウィザードの [ようこそ] 画面の表示
Silk Test Workbench のウィザードごとに ようこそ ページを表示するかどうかを指定します。この設定は、各ウィザードの ようこそ ページで変更することもできます。
  • 全般オプションの変更
    起動やビジュアル テストまたはスクリプトの記録および再生を行う際の全般的な動作の変更方法について説明します。
親トピック: Silk Test Workbench のオプション


全般オプションの変更

全般 オプションは、起動やビジュアル テストまたはスクリプトの記録および再生を行う際の全般的な動作を制御します。
  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーで 全般 をクリックします。 全般オプションが右側のパネルに表示されます。
  3. 最初の列でオプションの名前を選択し、2 番めの列で新しい値を選択または入力して、オプションを変更します。 オプションを選択すると、簡単な説明が下のパネルに表示されます。
  4. Common プロジェクトに追加するすべての資産に接頭辞 Common を追加するには、Common プロジェクト資産に接頭辞を追加する リスト ボックスから 資産名と 'Common' を使用する を選択します。
  5. デフォルトの結果表示 リスト ボックスから、結果 ウィンドウに表示するタブを選択します。
  6. Silk Test Workbench がオブジェクトを待機する時間を指定するには、使用する時間を デフォルトの待機タイムアウト (ミリ秒) テキスト ボックスに入力します。
  7. テストの記録中にタスクバーの Silk Test Workbench ウィンドウをフラッシュするには、記録時にフラッシュする リスト ボックスから はい を選択します。
  8. 検索 ボタンをクリックしたときに Silk Test Workbench ウィンドウを最小化するには、検索時に最小化 リスト ボックスから はい を選択します。
  9. テストの再生時に Silk Test Workbench ウィンドウを最小化するには、再生時に最小化 リスト ボックスから はい を選択します。
  10. テストの記録時に Silk Test Workbench ウィンドウを最小化するには、記録時に最小化 リスト ボックスから はい を選択します。
  11. テストの再生後に結果を自動的に表示するには、結果を自動的に開く リスト ボックスから はい を選択します。
  12. テストの再生時にすべてのファイルを保存するには、再生時にすべて保存 リスト ボックスから はい を選択します。
  13. 資産にブラウザ構成があるときに、ブラウザを選択するために、ブラウザー構成 ダイアログを開くには、ブラウザー構成ダイアログの表示 リスト ボックスから はい を選択します。
  14. 再生中に ローカル変数 ウィンドウを表示して、再生が終わったら非表示にするには、ローカル変数ウィンドウの表示 リスト ボックスから はい を選択します。
  15. テスト ロジック デザイナ ウィザードで ロジック ステップ ペインを表示するには、[テスト ロジック デザイナ] の [ロジック ステップ] ページを表示する リスト ボックスから はい を選択します。 ウィザードの ロジックのステップ ペインのタイトルの横にある矢印ボタンをクリックして、このペインの表示／非表示を切り替えることもできます。
  16. テスト再生の終了時に 再生完了 ダイアログを表示するには、[再生完了] ダイアログの表示 リスト ボックスから はい を選択します。
  17. テストの開始前に 再生 ダイアログを表示するには、[再生] ダイアログの表示 リスト ボックスから はい を選択します。 再生 ダイアログ ボックスでは、結果名、説明、およびオプション ファイルの詳細を割り当てることができます。
  18. テストの開始前に 記録完了 ダイアログを表示するには、[記録完了] ダイアログの表示 リスト ボックスから はい を選択します。 記録完了 ダイアログ ボックスでは、テストの再生、ビジュアル テストへの移動、またはテストの保存を行うことができます。
  19. 記録の開始時に 状態の記録 ダイアログ ボックスを表示するには、[状態の記録] ダイアログの表示 リスト ボックスから はい を選択します。
  20. テスト ロジック デザイナ ウィザードで 要約 ペインを表示するには、[テスト ロジック デザイナ] の [要約] ページを表示する リスト ボックスから はい を選択します。 この設定は、テスト ロジック デザイナ ウィザードの 要約 ページで変更することもできます。
  21. 各ウィザードで [ようこそ] ページを表示するには、ウィザードの [ようこそ] 画面の表示 リスト ボックスから はい を選択します。 この設定は、各ウィザードの ようこそ 画面で変更することもできます。
  22. OK をクリックします。
親トピック: 全般オプション
関連タスク
ビジュアル テストへのオブジェクトの待機ステップの挿入


開始画面オプション

ツール > オプション をクリックしてから 開始画面 をクリックします。

このオプションを使用し、開始画面 の設定を制御します。

注: いつでも Ctrl+Alt+S を押すか、または 表示 > 開始画面 をクリックして、開始画面を表示できます。
Silk Test Workbench の開始時に開始画面を表示する
Silk Test Workbench の開始時に 開始画面 を表示するには、はい に設定します。
[最近使った資産] に表示する数
最近使った資産 リストに表示する項目の数を選択します。
フラグ
割り当て先

選択されたユーザーに割り当てられているフラグを表示するには、このオプションを使用します。 現在のユーザーに割り当てられているフラグを表示するには、現在のユーザー に設定します。 プロジェクト管理者に割り当てられているフラグを表示するには、Admin に設定します。 このオプションを Admin に設定するには、管理者権限が必要です。

注: ユーザーがシステムから削除されると、そのユーザーの名前は 割り当て先 リストから削除され、そのユーザーに割り当てられていたフラグはプロジェクト管理者に再割り当てされます。
最終更新者
すべてのユーザーによって変更されたフラグを表示するか、または特定のユーザーによって変更されたフラグのみを表示するには、このオプションを設定します。 現在のデータベースでビジュアル テストに対してフラグを最後に入力または変更したユーザーがリストに表示されます。
日付順
更新日時が最も古いフラグをリストの最上部に表示するには、昇順 に設定します。 更新日時が最も新しいフラグをリストの最上部に表示するには、降順 に設定します。
プロジェクト
選択されたプロジェクトで作成されたフラグのみを表示するには、このオプションを使用します。 デフォルト設定では、すべてのプロジェクトのフラグが表示されるようになっています。 Common プロジェクトまたは別のプロジェクトをリストから選択します。
作成したフラグの表示
ビジュアル テストで作成されたフラグ、結果で作成されたフラグ、またはビジュアル テストと結果の両方で作成されたフラグを表示するよう、リストからオプションを選択します。
  • 開始画面オプションの変更
    開始画面 オプションを使用して、Silk Test Workbench が起動したときに 開始画面 を非表示にします。また、開始画面 の フラグ ペインで、フラグの表示方法を指定することもできます。
親トピック: Silk Test Workbench のオプション


開始画面オプションの変更

開始画面 オプションを使用して、Silk Test Workbench が起動したときに 開始画面 を非表示にします。また、開始画面 の フラグ ペインで、フラグの表示方法を指定することもできます。また、いつでも Ctrl+Alt+S を押すか、または 表示 > 開始画面 を選択して、開始画面を表示できます。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 開始画面 の隣にあるプラス記号（+）をクリックします。 開始画面 オプションが右側のパネルに表示され、フラグ サブカテゴリが 開始画面 の下のアウトライン ビューに表示されます。Silk Test Workbench の開始時に開始画面を表示する を はい に設定して、Silk Test Workbench の開始時に 開始画面 を表示できます。開始画面 では、ユーザーは、ビジュアル テストを記録し、開いてクイック テストを実行する、管理タスク、テストの記録タスク、編集タスクを実行する、フラグを使用して、プロジェクト協業を実施する、アプリケーション テストを迅速に作成するためのアシスタンスを利用するといった作業が可能です。
  3. アウトライン ビューで、フラグ をクリックしてオプションを設定します。
  4. 環境に適したオプションを設定します。
    割り当て先

    選択されたユーザーに割り当てられているフラグを表示するには、このオプションを使用します。 現在のユーザーに割り当てられているフラグを表示するには、現在のユーザー に設定します。 プロジェクト管理者に割り当てられているフラグを表示するには、Admin に設定します。 このオプションを Admin に設定するには、管理者権限が必要です。

    注: ユーザーがシステムから削除されると、そのユーザーの名前は 割り当て先 リストから削除され、そのユーザーに割り当てられていたフラグはプロジェクト管理者に再割り当てされます。
    最終更新者
    すべてのユーザーによって変更されたフラグを表示するか、または特定のユーザーによって変更されたフラグのみを表示するには、このオプションを設定します。 現在のデータベースでビジュアル テストに対してフラグを最後に入力または変更したユーザーがリストに表示されます。
    日付順
    更新日時が最も古いフラグをリストの最上部に表示するには、昇順 に設定します。 更新日時が最も新しいフラグをリストの最上部に表示するには、降順 に設定します。
    プロジェクト
    選択されたプロジェクトで作成されたフラグのみを表示するには、このオプションを使用します。 デフォルト設定では、すべてのプロジェクトのフラグが表示されるようになっています。 Common プロジェクトまたは別のプロジェクトをリストから選択します。
    作成したフラグの表示
    ビジュアル テストで作成されたフラグ、結果で作成されたフラグ、またはビジュアル テストと結果の両方で作成されたフラグを表示するよう、リストからオプションを選択します。
  5. OK をクリックします。
親トピック: 開始画面オプション
関連概念
開始画面


記録オプション

記録オプションは、以下のカテゴリに分けられます。
全般
資産とマウスの移動の設定、オブジェクト マップの場所、無視するクラス、および、記録時にテスト対象アプリケーション (AUT) のサイズを変更して、AUT の隣に Silk Recorder を表示するかを設定します。
ロケーター
記録を一時停止するためのホット キーの組み合わせ、およびロケーターの記録に使用するモードを指定します。
出力
記録中にコントロールをキャプチャするかどうか、プロパティを記録するかどうか、画面のキャプチャ方法、個別の画面をキャプチャするかどうかを指定します。
ホット キー
どのキーの組み合わせが記録中に検証を挿入するか、または記録を開始および停止するかを指定します。
xBrowser
カスタム属性、記録中に無視するブラウザ属性、DOM 関数の代わりに、ユーザーの入力そのものを記録するかどうかを指定します。
WPF
カスタム属性、および記録や再生の対象にする WPF クラスの名前を指定します。
Rumba
画面検証を作成するときに無視する Rumba 画面上のオブジェクトを指定します。... をクリックして、除外オブジェクトの編集 ダイアログ ボックスを開きます。最初の行にある + を押すと、新しい除外オブジェクトが追加されます。各オブジェクトの行 ("オブジェクト 1"、"オブジェクト 2" など) にある x ボタンを使用すると、個々の除外オブジェクトを削除できます。この設定では、画面検証が記録されるたびに、設定内の除外オブジェクトがその画面検証に設定されます。個々の画面検証内の除外オブジェクトは手動で編集できますが、これによって、(必要に応じて、個々の検証に合わせて除外オブジェクトが調整されるようにして) 設定が更新されることはありません。
JavaSWT
ロケーター生成中に使用するカスタム属性を指定します。
SAP
ロケーター生成中に使用するカスタム属性を指定します。
Swing
ロケーター生成中に使用するカスタム属性を指定します。
Win32
ロケーター生成中に使用するカスタム属性を指定します。
WinForms
ロケーター生成中に使用するカスタム属性を指定します。
Open Agent の設定
エージェントに直接送信されるカスタム設定を行います。サポートに勧められた場合など、非常に特殊なテスト シナリオでのみ設定されるべきです。
  • イメージ資産記録設定の設定
    イメージのクリックまたは画面検証を記録するかどうか、およびイメージ資産の精度レベルにデフォルト値を設定するかどうかを指定します。
  • オブジェクト マップの詳細設定の設定
    記録設定を変更して、オブジェクト マップの記録方法を指定します。
  • マウス移動の詳細設定
    マウスの移動操作を記録するかどうかを指定します。
  • 無視するクラスの設定
    記録や再生中に無視したいクラスの名前を指定します。
  • ロケーターの詳細設定の設定
    記録を一時停止するためのホット キーの組み合わせ、およびロケーターの記録に使用するモードを指定します。
  • ブラウザの記録オプションの設定
    カスタム属性、記録中に無視するブラウザ属性、DOM 関数の代わりに、ユーザーの入力そのものを記録するかどうかを指定します。
  • カスタム属性の設定
    頻繁には変更されない属性を利用して、適切に定義されたロケーターでは、メンテナンス作業が少なく抑えられます。カスタム属性を使用すると、caption や index などの他の属性を使用するよりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は他のオブジェクトが追加されると変更される可能性があるためです。
  • 記録/再生の対象とする WPF クラスの設定
    記録、再生、検索、プロパティの検証など、すべてのサポートされる操作をクラスに対して実行するには、クラスを公開します。
  • 記録の出力オプションの設定
    記録の出力 オプションを変更して、記録中にコントロールをキャプチャするかどうか、プロパティを記録するかどうか、画面のキャプチャ方法、個別の画面をキャプチャするかどうかを指定します。
  • 記録のホットキー オプションの設定
    ホット キー オプションを変更して、記録の開始および停止に使用するキーの組み合わせ、または記録中に検証を挿入するキーの組み合わせを指定します。
  • 記録オプション プロファイルの作成
    プロファイルに記録オプションのセットを保存して、それらをあとでまとめて適用します。 この機能を使用すると、特定の環境に対してそれぞれ異なる記録オプション セットを維持できます。
  • 保存済み記録オプションの適用
    プロファイルに記録オプションのセットを保存して、それらをあとでまとめて適用します。この機能を使用すると、特定の環境に対してそれぞれ異なる記録オプション セットを維持できます。
親トピック: Silk Test Workbench のオプション


イメージ資産記録設定の設定

イメージのクリックまたは画面検証を記録するかどうか、およびイメージ資産の精度レベルにデフォルト値を設定するかどうかを指定します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. 全般 をクリックします。
  4. イメージ資産のデフォルト精度レベル リスト ボックスから、1 (低精度) から 10 (高精度) までの値を選択し、新しいイメージ資産のデフォルト精度レベルを設定します。
  5. オブジェクト クリックを記録するには、'ImageClick' を記録する リスト ボックスから はい を選択します。
  6. 画面検証を記録するには、画面検証を記録する リスト ボックスから はい を選択します。
  7. OK をクリックします。
親トピック: 記録オプション


オブジェクト マップの詳細設定の設定

オブジェクト マップを記録するかどうか、オブジェクト マップを記録するプロジェクト、ロックされたオブジェクト マップの処理方法を指定します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. ロケーター をクリックします。
  4. オブジェクト マップ エントリを記録するか、XPath ロケーターを記録するかを定義するには、オブジェクト マップ エントリを記録する リストから適切な記録モードを選択します。
    • オブジェクト マップ エントリ (新しいオブジェクトと既存のオブジェクト)。これはデフォルトのモードです。
    • XPath ロケーター (新しいオブジェクトと既存のオブジェクト)。
    • XPath ロケーター (新しいオブジェクトのみ)。オブジェクト マップに既に存在するオブジェクトに対しては、オブジェクト マップ エントリが再利用されます。この設定を選択すると、AUT のメイン コントロールに対するオブジェクト マップを作成し、AUT に対して追加のテストを作成する間、これらのオブジェクト マップを保持することができます。
  5. オプション メニュー ツリーで 全般 をクリックします。
  6. ロックされたオブジェクト マップのロケーターを記録するには、ロック済みのオブジェクト マップに対してロケーターを記録する リスト ボックスから はい を選択します。 はい を選択した場合、オブジェクト マップがロックされていると、以前に識別されたオブジェクト マップ項目が適用可能な場合に使用され、新しいオブジェクトを記録する場合にはロケーターが使用されます。 いいえ を選択した場合、記録する前に、オブジェクト マップがロック解除されるのを待機する必要があります。
  7. Silk Test Workbench がオブジェクト マップ項目を検索し、一致した項目が見つからない場合に項目を作成するプロジェクトを指定するには、オブジェクト マップの場所 リスト ボックスからオプションを選択します。 デフォルトでは、Silk Test Workbench は現在のプロジェクトを検索して、記録時に使用する一致したオブジェクト マップ項目が決まります。 一致する項目が見つからない場合、Silk Test Workbench は Common プロジェクトを検索します。 一致する項目が Common プロジェクトで見つかると、その項目が使用されます。 一致する項目が Common プロジェクトで見つからない場合、Silk Test Workbench によって、現在のプロジェクトに新しい項目が作成されます。 現在のプロジェクト を選択した場合、オブジェクト マップ項目は、ビジュアル テストまたはスクリプトが格納されているプロジェクトを使用します。
  8. OK をクリックします。
親トピック: 記録オプション
関連概念
オブジェクト マップ
関連タスク
オブジェクト マップ項目名の変更
オブジェクト マップのロケーターの変更
オブジェクト マップ項目のコピー


無視するクラスの設定

オブジェクト階層を単純化し、テスト スクリプトや関数のコードの行の長さを短くするために、次のテクノロジの確実に不要なクラスに対するコントロールを抑制できます。
  • Win32
  • Java AWT/Swing
  • Java SWT/Eclipse
  • Windows Presentation Foundation (WPF)
  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. 全般 をクリックします。
  4. 無視するクラス グリッドで、記録や再生中に無視するクラスの名前を入力します。 複数のクラス名を指定する場合にはカンマで区切ります。
  5. OK をクリックします。
親トピック: 記録オプション


ロケーターの詳細設定の設定

記録を一時停止するためのホット キーの組み合わせ、およびロケーターの記録に使用するモードを指定します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. ロケーター をクリックします。
  4. 記録を一時停止するために使用するホット キーの組み合わせを設定するには、ロケーター識別ホット キー リスト ボックスからキーの組み合わせを選択します。 デフォルトのホット キーの組み合わせは、Ctrl+Shift です。ただし、Silk Test Classic のユーザーは Ctrl+Alt を使用することを好む場合があります。
  5. ロケーター識別モード リスト ボックスから、ロケーターの記録に使用するモードを選択します。
    • クリック：記録するオブジェクトをクリックで識別するには、このモードを使用します。デフォルトでは、最適なパフォーマンスを提供するこのモードが、Silk Test Workbench がロケーターをキャプチャする際に使用されます。ただし、ロケーターをキャプチャするときにアプリケーションは停止しません。この結果、このモードはテスト対象アプリケーションの画面の変化が急激でない場合に最適に機能します。たとえば、複数のオブジェクトが同時に表示される Web サイトをテストしている場合には、ホット キー モードを使用してテストを記録します。
    • ホット キー：記録するオブジェクトをホット キーの組み合わせを押して識別するには、このモードを使用します。このモードでは、ロケーターをキャプチャするときにアプリケーションは一時停止します。たとえば、複数のウィンドウを開いたり閉じたりする Web サイトをテストしている場合には、正しいウィンドウをキャプチャすることを確実にするためにアプリケーションを一時停止するこのモードを使用すると良いでしょう。デフォルトのホット キーの組み合わせは、Ctrl+Shift です。
  6. オブジェクト マップ エントリを記録するか、XPath ロケーターを記録するかを定義するには、オブジェクト マップ エントリを記録する リストから適切な記録モードを選択します。
    • オブジェクト マップ エントリ (新しいオブジェクトと既存のオブジェクト)。これはデフォルトのモードです。
    • XPath ロケーター (新しいオブジェクトと既存のオブジェクト)。オブジェクト マップ エントリは記録されません。
    • XPath ロケーター (新しいオブジェクトのみ)。オブジェクト マップに既に存在するオブジェクトに対しては、オブジェクト マップ エントリが再利用されます。この設定を選択すると、AUT のメイン コントロールに対するオブジェクト マップを作成し、AUT に対して追加のテストを作成する間、これらのオブジェクト マップを保持することができます。
  7. OK をクリックします。
親トピック: 記録オプション


ブラウザの記録オプションの設定

カスタム属性、記録中に無視するブラウザ属性、DOM 関数の代わりに、ユーザーの入力そのものを記録するかどうかを指定します。

Silk Test Workbench には、ロケーターが記録時に一意となり、メンテナンスが容易になるようにする、高度なロケーター生成メカニズムが備えられています。使用するアプリケーションやフレームワークに応じて、最適な結果を得るためにデフォルト設定を変更できます。それぞれのテクノロジで使用できる任意のプロパティ (整数や倍精度の数値、文字列、項目識別子、列挙値) を、カスタム属性として使用できます。

xBrowser アプリケーションでは、任意のプロパティを取得し、カスタム属性として使用することもできます。最適な結果を得るために、テストで利用する要素にカスタム オートメーション ID を追加します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. xBrowser をクリックします。
  4. Web アプリケーションのカスタム属性を追加するには、カスタム属性 テキスト ボックスに、使用する属性を入力します。 カスタム属性を使用すると、caption や index のような他の属性よりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は定義済みのウィジェットより前に他のオブジェクトが追加されると変更される可能性があるためです。
    注: Web アプリケーションにカスタム属性を含めるためには、HTML タグとして追加します。たとえば、MyAutomationID という属性を追加するには、<input type='button' MyAutomationID='abc' value='click me' /> と入力します。

    複数のオブジェクトに同じカスタム属性の値が割り当てられた場合は、そのカスタム属性を呼び出したときにその値を持つすべてのオブジェクトが返されます。たとえば、一意の ID として loginName を 2 つの異なるテキスト フィールドに割り当てた場合は、loginName 属性を呼び出したときに、両方のフィールドが返されます。

    注: 属性名の長さは、62 文字までという制限があります。
  5. ロケーター属性名除外リスト テキスト ボックスで、記録中に無視する属性名を入力します。 このリストを使用して、サイズ、幅、高さ、スタイルなどの頻繁に変更される属性を指定します。ワイルドカード '*' および '?' を ロケーター属性名除外リスト で使用できます。 たとえば、height という名前の属性を記録しない場合には、height 属性名をリストに追加します。 複数の属性名を指定する場合にはカンマで区切ります。
  6. ロケーター属性値除外リスト テキスト ボックスで、記録中に無視する属性値を入力します。 たとえば、x-auto という値を持つ属性を記録しない場合には、x-auto 属性値をリストに追加します。 一部の AJAX フレームワークでは、ページが再読み込みされるたびに変わる属性値が生成されます。このリストを使用して、そのような値を無視します。このリストでワイルドカードを使用することもできます。 複数の属性名を指定する場合にはカンマで区切ります。
  7. DOM 関数の代わりにユーザーの入力そのものを記録するには、ネイティブなユーザー入力を記録する リスト ボックスから、はい を選択します。 たとえば、DomClick の代わりに Click を記録し、SetText の代わりに TypeKeys を記録するには、はい を選択します。 アプリケーションでプラグインまたは AJAX を使用している場合は、はい を指定して、ユーザーの入力そのものを使用します。アプリケーションでプラグインまたは AJAX を使用していない場合は、再生中にブラウザにフォーカスを設定したりブラウザをアクティブにしたりする必要がない高レベル DOM 関数を使用することをお勧めします。テストで DOM 関数を使用すると、より高速になり、信頼性も高まります。
  8. OK をクリックします。
親トピック: 記録オプション
関連概念
xBrowser における API 再生とネイティブ再生の比較


カスタム属性の設定

Silk Test Workbench には、ロケーターが記録時に一意となり、メンテナンスが容易になるようにする、高度なロケーター生成メカニズムが備えられています。使用するアプリケーションやフレームワークに応じて、最適な結果を得るためにデフォルト設定を変更できます。それぞれのテクノロジで使用できる任意のプロパティ (整数や倍精度の数値、文字列、項目識別子、列挙値) を、カスタム属性として使用できます。

頻繁には変更されない属性を利用して、適切に定義されたロケーターでは、メンテナンス作業が少なく抑えられます。カスタム属性を使用すると、caption や index などの他の属性を使用するよりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は他のオブジェクトが追加されると変更される可能性があるためです。

カスタム属性 タブのリスト ボックスに一覧表示されているテクノロジ ドメインの場合、任意のプロパティー (myCustomProperty を定義する WPFButton など) を取得し、それらのプロパティーをカスタム属性として使用することもできます。最適な結果を得るために、テストで利用する要素にカスタム オートメーション ID を追加します。Web アプリケーションでは、操作する要素に <div myAutomationId= "my unique element name" /> などの属性を追加できます。また、Java SWT では、GUI を実装する開発者が属性 (testAutomationId など) をウィジェットに対して定義することによって、アプリケーション内でそのウィジェットを一意に識別できます。テスト担当者は、その属性をカスタム属性 (この場合は testAutomationId) のリストに追加し、その一意の ID によってコントロールを識別できます。この手法によって、ロケーターの変更に伴うメンテナンス作業を回避することができます。

caption のように、複数のオブジェクトで同じ属性値が共有されている場合、Silk Test Workbench は、複数の利用可能な属性を "and" 操作で結合してロケーターを一意にするよう試み、一致したオブジェクトのリストを単一のオブジェクトになるまで絞り込んでいきます。それができなくなった場合には、索引を付加します。つまり、ロケーターは caption が xyz である n 番め のオブジェクトを探すことを意味します。

複数のオブジェクトに同じカスタム属性の値が割り当てられた場合は、そのカスタム属性を呼び出したときにその値を持つすべてのオブジェクトが返されます。たとえば、一意の ID として loginName を 2 つの異なるテキスト フィールドに割り当てた場合は、loginName 属性を呼び出したときに、両方のフィールドが返されます。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. テストするアプリケーションのテクノロジ ドメインをクリックします。 たとえば、SAP アプリケーションをテストする場合は、メニュー ツリーで SAP をクリックします。
    注: Flex または Windows API ベースのクライアント／サーバー (Win32) アプリケーションには、カスタム属性を設定できません。
  4. カスタム属性 テキスト ボックスに、使用する属性を入力します。 カスタム属性が利用可能な場合は、ロケーター生成プログラムは、他の属性の前にそれらの属性を使用します。リストの順番は、ロケーター生成プログラムが使用する属性の優先順位を表しています。指定した属性が選択したオブジェクトに対して利用可能ではなかった場合には、Silk Test Workbench はテストしているアプリケーションのデフォルトの属性を使用します。

    複数の属性名を指定する場合にはカンマで区切ります。

    注: Web アプリケーションにカスタム属性を含めるためには、HTML タグとして追加します。たとえば、bcauid という属性を追加するには、<input type='button' bcauid='abc' value='click me' /> と入力します。
    注: Java SWT コントロールにカスタム属性を含めるには、org.swt.widgets.Widget.setData(String key, Object value) メソッドを使用します。
    注: Swing コントロールにカスタム属性を含めるには、putClientProperty("propertyName", "propertyValue") メソッドを使用します。
  5. OK をクリックします。
親トピック: 記録オプション
関連概念
Java SWT カスタム属性
関連資料
サポートする属性の種類


記録の出力オプションの設定

記録の出力 オプションを変更して、記録中にコントロールをキャプチャするかどうか、プロパティを記録するかどうか、画面のキャプチャ方法、個別の画面をキャプチャするかどうかを指定します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. 出力 の隣にあるプラス記号（+）をクリックします。 ビジュアル テスト サブカテゴリが表示されます。
  4. ビジュアル テスト をクリックします。
  5. オプション パネルの最初の列でオプションの名前を選択し、2 番めの列で新しい値を選択または入力して、これらのオプションを変更します。 オプションを選択すると、その簡単な説明が下のパネルに表示されます。 以下の出力オプションを設定できます。
    画面キャプチャ

    Silk Test Workbench で記録中にテスト アプリケーションの画面をキャプチャする方法を指定します。

    テスト アプリケーションおよびテスト アプリケーション内のすべてのウィンドウをキャプチャする場合は、アプリケーション に設定します。

    テスト アプリケーションのウィンドウのうち、記録時にアクティブなウィンドウのみをキャプチャするには、アクティブ ウィンドウ に設定します。

    すべてのアプリケーション (テスト アプリケーションを含む) の画面のうち、記録時にデスクトップに表示される画面をキャプチャするには、デスクトップ に設定します。

    記録時に画面をキャプチャしない場合は、なし に設定します。

    画面キャプチャ (テスト ステップ)

    画面プレビュー に表示される個別の画面をキャプチャする場合は、はい に設定します。これによって、テスト ステップ ペインの個々のテスト ステップと連動して、画面プレビュー の個々の画面で発生する操作を表示できるようになります。また、再生時に記録される画面を、ビジュアル テストを最初に記録したときにキャプチャされた画面と比較できます (再生時にもテスト ステップの画面がキャプチャされる場合)。

    記録中に個別のテスト ステップをキャプチャしない場合は、いいえ に設定します。画面キャプチャ 設定が なし 以外に設定された場合、ダイアログ ボックスまたは Web ページで発生する操作のグループのメイン コンテキストに対して画面がキャプチャされます。この結果、各テスト ステップは 画面プレビュー でグループ画面に関連付けられます。

    コントロールのキャプチャ

    記録中にコントロールとそのプロパティをキャプチャするには、はい に設定します。コントロールは、テスト アプリケーションにアクセスしなくても 画面プレビュー を使用して選択できます。再生のパフォーマンスを向上させるには、このオプションを いいえ に設定します。

    Web アプリケーションの記録中は、キャプチャされたコントロールとともに以下の属性が格納されます。
    • id
    • class
    • name
    • value
    • href
    • innerText
    属性を追加するには、ツール > オプション > 記録 > xBrowser の カスタム属性 フィールドを使用します。
    注: 属性のテキスト値は、ツール > オプション > 記録 > xBrowser の 属性値の最大の長さ フィールドで指定した長さに切り詰められます。
    ブラウザ コントロールのキャプチャ
    Web ブラウザの記録中にコントロールとそのプロパティをキャプチャするかどうかを定義します。デフォルト値は、いいえ です。はい に設定すると、Web ブラウザにアクセスすることなく、プレビュー画面 でコントロールとそのプロパティを扱うことができます。 コントロールのキャプチャ オプションが いいえ に設定されていると、Silk Test Workbench はこのオプションを無視します。
    警告: このオプションを はい に設定すると、テストの再生に時間がかかることがあります。再生のパフォーマンスを向上させるには、このオプションを いいえ のままにしてください。
    ヒント: これらのオプションを 再生結果：ビジュアル テスト オプションと組み合わせて使用して、再生結果を、ビジュアル テストを最初に記録したときにキャプチャした画面と比較できます。
  6. 省略可能：名前を付けて保存 をクリックして、再生 オプションの設定をまとめて保存します。
  7. OK をクリックします。
  • 記録の出力：ビジュアル テスト オプション
    記録の出力： ビジュアル テスト オプションを使用して、ビジュアル テストでコントロールおよび画面を記録する場合の動作を制御します。
親トピック: 記録オプション
関連概念
ビジュアル テストにおける画面プレビューとステップの同期
関連タスク
ビジュアル テストの再生結果オプションの設定
画面プレビューを使用したコントロールの自動ステップの作成
ビジュアル テストの記録
開始画面からのビジュアル テストの記録
画面プレビューでのビジュアル テスト用コントロールの識別


記録の出力：ビジュアル テスト オプション

記録の出力： ビジュアル テスト オプションを使用して、ビジュアル テストでコントロールおよび画面を記録する場合の動作を制御します。これらのオプションの使用の詳細については、「データベースの膨張の抑制」を参照してください。

以下の出力オプションを設定できます。

画面キャプチャ

Silk Test Workbench で記録中にテスト アプリケーションの画面をキャプチャする方法を指定します。

テスト アプリケーションおよびテスト アプリケーション内のすべてのウィンドウをキャプチャする場合は、アプリケーション に設定します。

テスト アプリケーションのウィンドウのうち、記録時にアクティブなウィンドウのみをキャプチャするには、アクティブ ウィンドウ に設定します。

すべてのアプリケーション (テスト アプリケーションを含む) の画面のうち、記録時にデスクトップに表示される画面をキャプチャするには、デスクトップ に設定します。

記録時に画面をキャプチャしない場合は、なし に設定します。

画面キャプチャ (テスト ステップ)

画面プレビュー に表示される個別の画面をキャプチャする場合は、はい に設定します。これによって、テスト ステップ ペインの個々のテスト ステップと連動して、画面プレビュー の個々の画面で発生する操作を表示できるようになります。また、再生時に記録される画面を、ビジュアル テストを最初に記録したときにキャプチャされた画面と比較できます (再生時にもテスト ステップの画面がキャプチャされる場合)。

記録中に個別のテスト ステップをキャプチャしない場合は、いいえ に設定します。画面キャプチャ 設定が なし 以外に設定された場合、ダイアログ ボックスまたは Web ページで発生する操作のグループのメイン コンテキストに対して画面がキャプチャされます。この結果、各テスト ステップは 画面プレビュー でグループ画面に関連付けられます。

コントロールのキャプチャ

記録中にコントロールとそのプロパティをキャプチャするには、はい に設定します。コントロールは、テスト アプリケーションにアクセスしなくても 画面プレビュー を使用して選択できます。再生のパフォーマンスを向上させるには、このオプションを いいえ に設定します。

Web アプリケーションの記録中は、キャプチャされたコントロールとともに以下の属性が格納されます。
  • id
  • class
  • name
  • value
  • href
  • innerText
属性を追加するには、ツール > オプション > 記録 > xBrowser の カスタム属性 フィールドを使用します。
注: 属性のテキスト値は、ツール > オプション > 記録 > xBrowser の 属性値の最大の長さ フィールドで指定した長さに切り詰められます。
ブラウザ コントロールのキャプチャ
Web ブラウザの記録中にコントロールとそのプロパティをキャプチャするかどうかを定義します。デフォルト値は、いいえ です。はい に設定すると、Web ブラウザにアクセスすることなく、プレビュー画面 でコントロールとそのプロパティを扱うことができます。 コントロールのキャプチャ オプションが いいえ に設定されていると、Silk Test Workbench はこのオプションを無視します。
警告: このオプションを はい に設定すると、テストの再生に時間がかかることがあります。再生のパフォーマンスを向上させるには、このオプションを いいえ のままにしてください。
親トピック: 記録の出力オプションの設定
関連概念
データベースの膨張の抑制
ブラウザの記録オプションの設定
関連タスク
画面プレビューを使用したコントロールの自動ステップの作成


記録のホットキー オプションの設定

ホット キー オプションを変更して、記録の開始および停止に使用するキーの組み合わせ、または記録中に検証を挿入するキーの組み合わせを指定します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. ホット キー をクリックします。 次のようなホットキーの組み合わせを設定できます。
    検証の挿入
    記録を一時的に停止するキーの組み合わせを指定し、テスト ロジック デザイナ ウィザードを表示します。 ウィザードが開いたあと、検証するオブジェクトを選択します。
    現在のオブジェクトを使用して検証を挿入
    記録を一時的に停止するキーの組み合わせを指定し、現在ハイライトされているオブジェクトを検証用に選択します。 このキーの組み合わせでは、テスト ロジック デザイナ ウィザードが開き、選択されたオブジェクト セットが検証対象のコントロールとなります。
    記録の開始/停止
    記録のオン／オフを切り替えるために使用するキーの組み合わせを指定します。
  4. ホット キーの組み合わせを変更するには、以下のステップを実行します。
    1. 右側のオプション パネルで、変更するホットキー オプションを選択します。
    2. 選択した操作の横にある省略記号ボタンをクリックします。 ホット キーの定義 ダイアログ ボックスが開きます。
    3. 修飾キーを使用するには、該当するチェック ボックスをオンにします。
    4. キー リストから、ホット キーとして使用するキーを選択します。 キーの値は、A から Z、0 から 9、F1 から F12 です。 Silk Test Workbench により、このキー シーケンスがテキスト ボックスに入力されます。
    5. OK をクリックします。
  5. OK をクリックします。
親トピック: 記録オプション


記録オプション プロファイルの作成

記録環境をすばやく構成できるように、記録オプションのデフォルト値を変更したあと、各オプションへの変更を記録オプション プロファイルに保存できます。 プロファイルを作成すると、テスト スクリプトまたはビジュアル テストを実行する前に、保存した記録オプションを適用できます。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. 全般、ロケーター、xBrowser、SWT、出力、または ホット キー をクリックし、記録 オプションを変更して、Silk Test Workbench が記録中にアプリケーションの動作を識別してキャプチャする方法を変更します。
  4. 名前を付けて保存 をクリックします。 記録設定 ダイアログ ボックスが開きます。
  5. 名前 テキスト ボックスで、記録オプション設定の現在のセットの名前を入力するか、リストから既存のグループを選択します。 既存のグループを選択すると、この名前で以前に保存した設定が現在の設定によって置換されます。
  6. 所有者 テキスト ボックスで、これらの設定のユーザーを選択します。
  7. OK をクリックします。
親トピック: 記録オプション


保存済み記録オプションの適用

記録オプション プロファイルを適用するには、記録オプション プロファイルを事前に作成します。
プロファイルに記録オプションのセットを保存して、それらをあとでまとめて適用します。この機能を使用すると、特定の環境に対してそれぞれ異なる記録オプション セットを維持できます。
  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. 全般、ロケーター、xBrowser、SWT、出力、または ホット キー をクリックします。
  4. 記録設定 リストから、適用する保存済みオプションの名前を選択します。元の設定を復元する場合は、システム デフォルト を選択します。
    注: 既存のオプション プロファイルを変更する場合は、オプション プロファイルを正しく更新してください。既存のオプション プロファイルを変更するには、使用する値にオプションを設定して 名前を付けて保存 をクリックし、適切なオプション プロファイル名を指定する必要があります。このようにしない場合、選択したオプションはダイアログ ボックスに保存されますが、オプション プロファイルには適用されません。
    Silk Test Workbench では、保存済みプロファイルの設定によって、現在の 記録 オプションが更新されます。
  5. OK をクリックします。
親トピック: 記録オプション


再生オプション

再生オプションは、以下のとおりです。
全般
オブジェクトが呼び出されるタイミング、再生中にオブジェクトをハイライトするかどうか、応答のないアプリケーションを閉じるかどうか、再生モード、出力 ウィンドウにスクリプトのオートメーション呼び出しを表示するかどうか、アプリケーションがアクティブになるまで待機する時間を指定します。
タイミング
アプリケーションが準備完了状態になるまで待機する時間（ミリ秒）、ウィンドウのスクリーン ショットを取得する前に待機する時間（ミリ秒）、2 つの列挙をキャプチャする間に経過可能な時間、再生中のキー入力間の遅延、スクリプトの各マウス イベントの前の遅延、再生中にオブジェクトが解決されるまで待機する時間、および応答のない再生操作をキャンセルするまでの時間を指定します。
結果
デフォルトの結果名、結果の番号付け方式、合格条件のパーセンテージ、すべての情報を保存するかどうか、再生中にビジュアル テストのコントロールおよび画面をキャプチャするかどうかを設定します。
ホット キー
ツール バーのボタン、資産のダイアログ ボックス、またはショートカット キーの組み合わせ (Ctrl+S) で資産を保存するときの、デフォルトの保存動作を設定します。動作は、資産の新しいバージョンを作成する、または資産の現在のバージョンを置き換える、のいずれかから選択します。
xBrowser
同期から除外する URL、同期モード、および Web アプリケーションのタイムアウト値を指定します。
閉じる
ウィンドウやダイアログ ボックスを閉じるボタン、メニュー項目、確認ダイアログ ボックス、キー入力のリストを指定します。
再生ステータス ダイアログ
テストの再生時に、再生ステータス ダイアログ ボックスを表示するかどうか、および、ダイアログ ボックスにスクリーンショットを表示するかどうかを指定します。
Open Agent の設定
エージェントに直接送信されるカスタム設定を行います。サポートに勧められた場合など、非常に特殊なテスト シナリオでのみ設定されるべきです。
  • 全般再生オプションの設定
    オブジェクトが呼び出されるタイミング、再生中にオブジェクトをハイライトするかどうか、応答のないアプリケーションを閉じるかどうか、再生モード、出力 ウィンドウにスクリプトのオートメーション呼び出しを表示するかどうか、アプリケーションがアクティブになるまで待機する時間を指定します。
  • xBrowser 同期オプションの設定
    Web アプリケーションの同期およびタイムアウトの値を指定します。
  • 再生のタイミング オプションの設定
    アプリケーションが準備完了状態になるまで待機する時間（ミリ秒）、ウィンドウのスクリーン ショットを取得する前に待機する時間（ミリ秒）、2 つの列挙をキャプチャする間に経過可能な時間、再生中のキー入力間の遅延、スクリプトの各マウス イベントの前の遅延、再生中にオブジェクトが解決されるまで待機する時間、および応答のない再生操作をキャンセルするまでの時間を指定します。
  • 閉じるオプションの設定
    ウィンドウやダイアログ ボックスを閉じるためのボタン、メニュー項目、キー入力のリストを指定します。確認ダイアログ ボックスを閉じるためのボタンのリストも指定します。また、ウィンドウのクローズ方法を試行するまでの間隔も指定します。
  • 再生結果オプションの設定
    デフォルトの結果名、結果の番号付け方式、合格条件のパーセンテージ、すべての情報を保存するかどうかを設定します。
  • 再生ホットキーの変更
    Silk Test Workbench が最小化されているときに再生を停止するための再生ホット キーを変更します。
  • 再生オプション プロファイルの作成
    プロファイルに再生オプションのセットを保存して、それらをあとでまとめて適用します。 この機能を使用すると、特定の環境に対してそれぞれ異なる再生オプション セットを維持できます。
  • 保存済み再生オプションの適用
    テスト基準に適合するように、デフォルトの再生オプションを復元するか、またはテスト再生用に作成した新規プロファイルを適用します。
親トピック: Silk Test Workbench のオプション
関連タスク
再生ステータス ダイアログ ボックスの有効化


全般再生オプションの設定

オブジェクトが呼び出されるタイミング、再生中にオブジェクトをハイライトするかどうか、応答のないアプリケーションを閉じるかどうか、再生モード、出力 ウィンドウにスクリプトのオートメーション呼び出しを表示するかどうか、アプリケーションがアクティブになるまで待機する時間を指定します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  3. 全般 をクリックします。
    例外がスローされたときにキャッチする

    この設定の目的は、発生した例外にステップインできるようにすることです。スクリプトの作成とテストを行っている場合は、これを はい に設定して問題の場所を確認できるようにします。自動スクリプトを実行している場合は、独自のエラー処理を備える必要があるので、この設定を いいえ にします。エラー処理をスクリプトでオンに切り替えた場合は、続行 をクリックしてそれにアクセスします。この設定を いいえ にして独自のエラー処理を備えていない場合は、スクリプトを 終了 することしかできません。

    自動 に設定したとき、Silk Test から普通に実行している場合は、この設定は はい に設定したかのように動作します。Silk Central Test Manager によって実行されたスクリプトを Silk Test が実行している場合は、いいえ に設定したかのように動作します。よって、スクリプトが独自のエラー処理を持ち、オートメーションから実行されている場合は、スクリプトは動作し続けます。

    無応答のアプリケーションを閉じる
    Silk Test エージェントとアプリケーションとの間の通信がエラーになったかタイム アウトになった場合、アプリケーションをシャットダウンします。

    インスタンスを複数実行することができないアプリケーションをテストする場合は、はい を指定します。

    オブジェクトがアクティブであることを保証する
    呼び出しの実行前にオブジェクトがアクティブであることを保証します。
    画面検証を実行する
    Rumba 用の画面検証が記録/再生されるかどうかを制御します。
    再生中にオブジェクトをハイライトする
    再生選択中に現在のオブジェクトをハイライトします。
    再生モード
    以下のオプションのいずれかを選択します。
    デフォルト
    このモードを使用すると、最も信頼できる結果が得られます。デフォルトでは、各コントロールそれぞれが、マウスやキーボード (低レベル)、あるいは API (高レベル) モードのどちらかを使用します。デフォルト モードを使用すると、各コントロールがコントロールの種類に応じて適切なモードが使用されます。
    高レベル
    このモードを使用すると、API を使用して各コントロールが再生されます。
    低レベル
    このモードを使用すると、マウスとキーボードを使用して各コントロールが再生されます。
    出力ウィンドウにオートメーション操作を表示する
    スクリプトのオートメーション呼び出しを 出力 ウィンドウに表示します。

    出力 ウィンドウを開いて結果を確認する必要があります。表示 > 出力 をクリックします。

    ローカル変数ウィンドウにプロパティを表示する
    この設定では、通常メンバの変数とパラメータとともに、クラスのプロパティを ローカル変数 ウィンドウに表示するかどうかを制御します。クラスのプロパティには実装コード (計算) が含まれることがあるので、これにエラーが含まれて、その値が問題を示すことがあります。また、プロパティの計算にはメンバの変数の取得よりも長い時間がかかることがあります。デフォルト値は はい です。
  4. OK をクリックします。
親トピック: 再生オプション


xBrowser 同期オプションの設定

Web アプリケーションの同期およびタイムアウトの値を指定します。 同期は、すべてのメソッド呼び出しの前後に自動的に実行されます。メソッド呼び出しは、同期条件が満たされるまで開始せず、終了もしません。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  3. xBrowser をクリックします。
  4. 同期除外リスト テキスト ボックスに、除外するサービスまたは Web ページの URL 全体あるいは URL の一部を入力します。

    AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

    たとえば、クライアントからデータをポーリングすることによってサーバー時間を表示するウィジェットを Web アプリケーションで使用する場合は、このウィジェットのトラフィックが永続的にサーバーに送信されます。このサービスを同期から除外するには、サービス URL を判別し、除外リストに入力します。 たとえば、以下のように入力します。
    • http://example.com/syncsample/timeService
    • timeService
    • UICallBackServiceHandler
    複数のエントリをカンマで区切って指定します。
    注: アプリケーションで 1 つのサービスのみが使用されている場合、そのサービスでテストを無効にするには、サービス URL を除外リストに追加するのではなく、HTML 同期モードを使用する必要があります。
    ヒント: 除外リストには、URL 全体ではなく URL の部分文字列を追加することを、Micro Focus ではお勧めしています。たとえば、http://example.com/syncsample/timeService ではなく、/syncsample を除外リストに追加します。ブラウザは相対 URL のみをSilk Test Workbench に返す場合があるため、URL 全体を指定すると機能しない場合があります。たとえば、ブラウザは /syncsample/timeService だけを返すのに対して、除外リストに http://example.com/syncsample/timeService を追加していると、Silk Test Workbench は返された URL を除外しません。
  5. 同期モード リスト ボックスから、Web アプリケーションを準備可能状態にするための同期アルゴリズムを選択します。 同期アルゴリズムは、呼び出しが可能になる状態までの待機時間を設定します。 HTML モードを使用すると、すべての HTML ドキュメントが対話的な状態になることが保証されます。 このモードでは、単純な Web ページをテストすることができます。 Java Script が含まれる、より複雑なシナリオが使用される場合は、同期関数を手動で記述することが必要になる可能性があります。 AJAX モードを使用すると、同期関数を手動で記述する必要がなくなるため、スクリプト（オブジェクトの表示または非表示を待機したり、特定のプロパティ値を待機するなど）の作成処理が大幅に簡略化されます。また、この自動同期は、スクリプトを手動で適用しないで記録と再生を正常に行うための基礎となります。
  6. 同期タイムアウト テキスト ボックスで、オブジェクトが準備可能状態になるまで待機する最大時間をミリ秒で入力します。 デフォルト値は、300000 に設定されています。
  7. OK をクリックします。
親トピック: 再生オプション
関連概念
Silk Test Workbench がテストを同期する方法


再生のタイミング オプションの設定

再生 オプションを使用して、再生中のタイミングを制御できます。

  1. ツール > オプション をクリックします。
    オプション ダイアログ ボックスが開きます。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 オプションが右側のパネルに表示され、タイミング サブカテゴリが 再生 の下のアウトライン ビューに表示されます。
  3. タイミング をクリックします。
  4. アプリケーション準備完了タイムアウト テキスト ボックスで、アプリケーションが準備完了状態になるまで待機する時間をミリ秒で指定します。 指定したタイムアウト時間内にアプリケーションの準備が整わない場合は、Silk Test Workbench によって例外がスローされます。
  5. キーボード イベント遅延 テキスト ボックスで、再生中のキー入力間の遅延をミリ秒で指定します。 テストするアプリケーションに応じて、選択する最適な値は異なります。たとえば、Web アプリケーションをテストする場合、1 ミリ秒に設定すると、ブラウザが極端に遅くなります。ただし、この値を 0 (ゼロ) に設定すると、基本的なアプリケーション テストに失敗する可能性があります。
  6. マウス イベント遅延 テキスト ボックスで、スクリプトの各マウス イベントの前に使用される遅延をミリ秒で指定します。 この遅延は、マウスを移動したり、ボタンを押したり離したりする操作に影響します。
  7. オブジェクト有効化タイムアウト テキスト ボックスで、再生中にオブジェクトが有効になるまで待機する時間をミリ秒で指定します。
  8. オブジェクト解決タイムアウト テキスト ボックスで、再生中にオブジェクトが解決されるまで待機する時間をミリ秒で指定します。
  9. スクリーンショット遅延 の値を指定します。
    新しいウィンドウにフォーカスを設定してからウィンドウのスクリーンショットを取得するまで待機する時間をミリ秒単位で入力します。

    デフォルト値は、300 ミリ秒に設定されています。

  10. 無応答のアプリケーションのタイムアウト テキスト ボックスで、応答のない再生操作をキャンセルするまでの時間をミリ秒で入力します。
  11. 省略可能：名前を付けて保存 をクリックして、再生 オプションの設定をまとめて保存します。
  12. OK をクリックします。
親トピック: 再生オプション
関連概念
ビジュアル テストにおける画面プレビューとステップの同期
Silk Test Workbench がテストを同期する方法


閉じるオプションの設定

ウィンドウやダイアログ ボックスを閉じるためのボタン、メニュー項目、キー入力のリストを指定します。確認ダイアログ ボックスを閉じるためのボタンのリストも指定します。また、ウィンドウのクローズ方法を試行するまでの間隔も指定します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  3. 閉じる をクリックします。
  4. ウィンドウを閉じるためのボタン テキスト ボックスで、Close、CloseWindows、および Exit で閉じられるウィンドウを閉じるために使用するボタンのリストを指定します。
  5. 確認ダイアログに対するボタン テキスト ボックスで、確認ダイアログ ボックス（Close、CloseWindows、および Exit でウィンドウを閉じるときに表示されるダイアログ ボックス）を閉じるために使用するボタンのリストを指定します。
  6. ダイアログを閉じるためのキー テキスト ボックスで、ダイアログ ボックス（Close、CloseWindows、および Exit で使用される）を閉じるために使用するキー シーケンスを指定します。
  7. ウィンドウを閉じるためのメニュー項目 テキスト ボックスで、Close、CloseWindows、および Exit でウィンドウを閉じるために使用するメニュー項目のリストを指定します。
  8. ウィンドウを閉じるためのタイムアウト の値を指定します。 ウィンドウ閉じるための次の方式を試行する前に待機する時間をミリ秒で入力します。 最終的に失敗と判断する前に、4 種類の方式が実行されます。つまり、閉じるのに失敗するまでにかかる合計時間は、指定した値の 4 倍の時間になります。
  9. OK をクリックします。
親トピック: 再生オプション


再生結果オプションの設定

再生結果 オプションを変更して、デフォルトの結果名、結果の番号付け方式、合格条件のパーセンテージ、すべての情報を保存するかどうかを設定します。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  3. 結果 をクリックします。
    結果 オプションが右側のペインに表示されます。
  4. 環境に適したオプションを設定します。
    デフォルトの結果名

    各結果の結果名として使用する名前を入力します。ビジュアル テストまたはテスト スクリプトの名前を結果名として使用する場合は、このフィールドを空のままにします。

    結果オプション

    以下のリストから選択します。

    • 新しい実行番号で結果を保存：ビジュアル テストまたはテスト スクリプトの再生の結果は、新しいインクリメント実行番号で保存されます。たとえば、新規の結果は実行番号 1 で保存されます。同じビジュアル テストまたはテスト スクリプトの後続の結果は、実行番号 2、3、4 などで保存されます。これはデフォルトの選択です。

    • 現在の実行番号に結果を追加：現在の再生の結果は、最新の既存の実行番号の結果に追加されます。新しい実行番号は作成されません。このオプションは、結果が存在している場合にのみ表示されます。

    • 既存の実行番号を新しい結果で上書き：現在の再生の結果で、最新の既存の実行番号の結果が上書きされます。新しい実行番号は作成されません。このオプションは、結果が存在している場合にのみ表示されます。

    • この結果を保存しない：ビジュアル テストまたはテスト スクリプトを再生したときに結果は作成されません。

    結果合格条件 (パーセンテージ)

    今後すべての実行の合格基準として、検証の合格の割合を設定します。たとえば、結果の合格条件を 90% に設定した場合は、ビジュアル テストにおける 10 件の検証のうち 9 件以上に合格しないと、再生の結果が合格になりません。

    すべての情報を保存

    結果に、ビジュアル テストの再生に関するすべての情報を保存するか、要約情報とエラー情報のみを保存するかを決定します。

  5. 省略可能：名前を付けて保存 をクリックして、再生 オプションの設定をまとめて保存します。
  6. OK をクリックします。
  • ビジュアル テストの再生結果オプションの設定
    再生結果： ビジュアル テスト オプションを使用して、再生中にビジュアル テストでキャプチャするコントロールおよび画面を設定します。
  • .NET スクリプトの再生結果オプションの設定
    再生結果： .NET スクリプト オプションを使用して、.NET スクリプトの再生時の画面キャプチャを設定できます。
  • キーワード駆動テストの再生結果オプションの設定
    再生結果： キーワード駆動テスト オプションを使用して、キーワード駆動テストの再生中に画面をキャプチャを設定できます。
親トピック: 再生オプション
関連タスク
スクリプトの再生


ビジュアル テストの再生結果オプションの設定

再生結果： ビジュアル テスト オプションを使用して、再生中にビジュアル テストでキャプチャするコントロールおよび画面を設定します。これらのオプションの使用の詳細については、「データベースの膨張の抑制」を参照してください。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  3. 結果 の隣にあるプラス記号（+）をクリックし、ビジュアル テスト をクリックします。 ビジュアル テスト オプションが右側のペインに表示されます。
  4. 環境に適したオプションを設定します。
    コントロールのキャプチャ

    再生中にコントロールとそのプロパティをキャプチャします。

    ビジュアル テストを記録したときに 記録の出力 オプションで設定されていた コントロールのキャプチャ 設定と同じ設定を使用するには、記録と同じ に設定します。

    再生中にコントロールとそのプロパティをキャプチャするには、はい に設定します。コントロールは 画面プレビュー を使用して選択できます。
    注: 記録の 画面キャプチャ 設定を なし に設定した場合は、コントロールのキャプチャ を はい、再生の 画面キャプチャ 設定を なし 以外の値に設定して、再生時にコントロールをキャプチャする必要があります。

    再生のパフォーマンスを向上させるには、いいえ に設定します。

    画面キャプチャ

    Silk Test Workbench で再生中にテスト アプリケーションの画面をキャプチャする方法を指定します。

    ビジュアル テストを記録したときに各画面に設定されていた 画面キャプチャ 設定と同じ設定を使用するには、記録と同じ に設定します。たとえば、アプリケーション と アクティブ ウィンドウ の両方が設定された状態で記録された画面が含まれるビジュアル テストは、ビジュアル テストで各画面に適用されたように、これらの設定を使用して再生されます。

    テスト アプリケーションおよびテスト アプリケーション内のすべてのウィンドウをキャプチャする場合は、アプリケーション に設定します。

    テスト アプリケーションのウィンドウのうち、再生時にアクティブなウィンドウのみをキャプチャするには、アクティブ ウィンドウ に設定します。

    すべてのアプリケーション (テスト アプリケーションを含む) の画面のうち、再生時にデスクトップに表示される画面をキャプチャするには、デスクトップ に設定します。

    再生時に画面のキャプチャを無効にするには、なし に設定します。
    注: この設定を なし に設定すると、コントロールのキャプチャ および 画面キャプチャ (テスト ステップ) 設定に指定した値に関係なく、コントロールまたは画面は 結果 ウィンドウにキャプチャされません。
    画面キャプチャ (テスト ステップ)

    画面プレビュー に表示される個別の画面をキャプチャする場合は、はい に設定します。これによって、テスト ステップ ペインの個々のテスト ステップと連動して、画面プレビュー の個々の画面で発生する操作を表示できるようになります。また、再生時に記録される画面を、ビジュアル テストを最初に記録したときにキャプチャされた画面と比較できます (記録時にもテスト ステップの画面がキャプチャされた場合)。

    再生中に個別のテスト ステップをキャプチャしない場合は、いいえ に設定します。画面キャプチャ 設定が なし 以外に設定された場合、個別のテスト ステップに関連付けられたグループ画面が 画面プレビュー に表示されます。

    ヒント: これらのオプションを 記録の出力 オプションと組み合わせて使用して、再生結果を、ビジュアル テストを最初に記録したときにキャプチャした画面と比較できます。
  5. 省略可能：名前を付けて保存 をクリックして、再生 オプションの設定をまとめて保存します。
  6. OK をクリックします。
親トピック: 再生結果オプションの設定
関連概念
ビジュアル テストにおける画面プレビューとステップの同期
データベースの膨張の抑制
関連タスク
ビジュアル テストの再生
記録の出力オプションの設定
再生中に記録された画面を使用したキャプチャ画面の更新


.NET スクリプトの再生結果オプションの設定

再生結果： .NET スクリプト オプションを使用して、.NET スクリプトの再生時の画面キャプチャを設定できます。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  3. 結果 の隣にあるプラス記号（+）をクリックし、.NET スクリプト をクリックします。 .NET スクリプト オプションが右側のペインに表示されます。
  4. 画面キャプチャ リストから、再生中にテスト アプリケーションの画面を Silk Test Workbench がキャプチャする方法を選択します。
    • 再生時に画面のキャプチャを無効にするには、なし に設定します。
    • テスト アプリケーションおよびテスト アプリケーション内のすべてのウィンドウをキャプチャする場合は、アプリケーション に設定します。
    • テスト アプリケーションのウィンドウのうち、再生時にアクティブなウィンドウのみをキャプチャするには、アクティブ ウィンドウ に設定します。
    • すべてのアプリケーション (テスト アプリケーションを含む) の画面のうち、再生時にデスクトップに表示される画面をキャプチャするには、デスクトップ に設定します。
  5. 省略可能：名前を付けて保存 をクリックして、再生 オプションの設定をまとめて保存します。
  6. OK をクリックします。
親トピック: 再生結果オプションの設定


キーワード駆動テストの再生結果オプションの設定

再生結果： キーワード駆動テスト オプションを使用して、キーワード駆動テストの再生中に画面をキャプチャを設定できます。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  3. 結果 の隣にあるプラス記号（+）をクリックし、キーワード駆動テスト をクリックします。 キーワード駆動テスト オプションが右側のペインに表示されます。
  4. 画面キャプチャ リストから、再生中にテスト アプリケーションの画面を Silk Test Workbench がキャプチャする方法を選択します。
    • 再生時に画面のキャプチャを無効にするには、なし に設定します。
    • テスト アプリケーションおよびテスト アプリケーション内のすべてのウィンドウをキャプチャする場合は、アプリケーション に設定します。
    • テスト アプリケーションのウィンドウのうち、再生時にアクティブなウィンドウのみをキャプチャするには、アクティブ ウィンドウ に設定します。
    • すべてのアプリケーション (テスト アプリケーションを含む) の画面のうち、再生時にデスクトップに表示される画面をキャプチャするには、デスクトップ に設定します。
  5. 省略可能：名前を付けて保存 をクリックして、再生 オプションの設定をまとめて保存します。
  6. OK をクリックします。
親トピック: 再生結果オプションの設定
関連タスク
変数を指定したキーワード駆動テストの再生


再生ホットキーの変更

Silk Test Workbench が最小化されているときに再生を停止するための再生ホット キーを変更します。

[オプション] メニュー ツリーで、再生 の隣にあるプラス記号（+）をクリックし、ホット キー をクリックします。 再生の停止 を選択して、キーの指定を編集します。 デフォルトでは、再生を停止するホット キーは Alt+F12 です。

親トピック: 再生オプション


再生オプション プロファイルの作成

プロファイルに再生オプションのセットを保存して、それらをあとでまとめて適用できます。 この機能を使用すると、特定の環境に対してそれぞれ異なる再生オプション セットを維持できます。

  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  3. タイミング、結果、ビジュアル テスト、または ホット キー をクリックし、再生 オプションを変更して、Silk Test Workbench が再生中にアプリケーションの動作を識別してキャプチャする方法を変更します。
  4. 名前を付けて保存 をクリックします。 再生設定 ダイアログ ボックスが開きます。
  5. 名前 テキスト ボックスで、再生オプション設定の現在のセットの名前を入力するか、ドロップダウン リストから既存のグループを選択します。 既存のグループを選択すると、この名前で以前に保存した設定が現在の設定によって置換されます。
  6. 所有者 テキスト ボックスで、これらの設定のユーザーを選択します。
  7. OK をクリックします。
親トピック: 再生オプション


保存済み再生オプションの適用

再生記録オプション プロファイルを適用するには、再生オプション プロファイルを事前に作成する必要があります。
テスト基準に適合するように、デフォルトの再生オプションを復元するか、またはテスト再生用に作成した新規プロファイルを適用します。
  1. ツール > オプション をクリックします。
  2. オプション メニュー ツリーの 再生 の隣にあるプラス記号 (+) をクリックします。 再生 のサブカテゴリが表示されます。
  3. タイミング、結果、ビジュアル テスト、または ホット キー をクリックします。
  4. パネル最下部の 再生設定 リストから、適用する保存済みオプションの名前を選択します。Silk Test Workbench の元の設定を復元する場合は、システム デフォルト を選択します。
    注: 既存のオプション プロファイルを変更する場合は、オプション プロファイルを正しく更新してください。既存のオプション プロファイルを変更するには、使用する値にオプションを設定して 名前を付けて保存 をクリックし、適切なオプション プロファイル名を指定する必要があります。このようにしない場合、選択したオプションはダイアログ ボックスに保存されますが、オプション プロファイルには適用されません。
    Silk Test Workbench では、保存済みプロファイルの設定によって、現在の 再生 オプションが更新されます。
  5. OK をクリックして、新しいオプション設定をアクティブにします。
親トピック: 再生オプション


スクリプト作成オプション

スクリプト作成 オプションによって、フォントの種類やサイズなどのスクリプトのレイアウトを制御します。
  1. ツール > オプション をクリックします。
  2. オプション ツリーで スクリプト作成 をクリックします。 スクリプト作成オプションが右側のパネルに表示されます。
  3. フォント テキスト ボックスで、省略記号ボタンをクリックします。 フォント ダイアログ ボックスが開きます。
  4. スクリプトで使用するフォントの種類、スタイル、サイズを選択し、OK をクリックします。
  5. OK をクリックします。
親トピック: Silk Test Workbench のオプション


詳細オプションの設定

詳細オプションでは、ハイブリッド アプリのフォールバック サポートを有効化したり、ロケーター属性名の大文字小文字を区別するかどうか、などを設定できます。詳細設定 > アクティブ データ オプションを変更することにより、アクティブ データ資産の設定 ウィンドウを使用してテキストベース (.csv または .txt) のアクティブ データ ファイルを編集する際に、そのファイルに Silk Test Workbench からデータを書き込む方法を制御することができます。
  1. ツール > オプション をクリックします。 オプション ダイアログ ボックスが表示されます。
  2. 詳細設定 タブをクリックします。 詳細オプション ページが表示されます。
  3. 埋め込み Chrome アプリケーションをテストするには、埋め込み Chrome サポートの有効化 フィールドに実行可能ファイルとポートを値ペア形式で指定します。 たとえば、myApp.exe=9222 のように指定します。 複数の埋め込み Chrome アプリケーションを指定する場合は、複数の値ペアをカンマで区切って指定します。
  4. デフォルトのブラウザー サポートではテストできないハイブリッド モバイル アプリケーションに対するフォールバック サポートを使用するには、Android と iOS 上で Web ビューのフォールバック サポート を有効化します。
  5. 標準の Win32 コントロールの解決に加えて、Microsoft ユーザー補助を有効にするには、Microsoft ユーザー補助 を有効化にします。
  6. テキストをキャプチャする前にウィンドウからフォーカスを外すには、テキストのキャプチャ時にフォーカスを外す を有効化します。 テキストのキャプチャは、次のメソッドによる記録および再生中に実行されます。
    • TextClick
    • TextCapture
    • TextExists
    • TextRect
  7. ロケーター属性名の大文字と小文字が区別されるように設定するには、ロケーター属性の大文字小文字を区別する を有効化します。モバイル Web アプリケーションのロケーター属性の名前は、常に大文字と小文字の区別はされません。つまり、モバイル Web アプリケーションの記録や再生時に、このオプションは無視されます。
  8. Mozilla Firefox で外部リンクを新しいウィンドウではなく新しいタブで開く場合は、Firefox のシングル ウィンドウ モードを使用する をオンにします。
    注: このオプションは、Mozilla Firefox 52 以降を使用している場合にのみ動作します。
  9. オプション メニュー ツリーの 詳細設定 の隣にあるプラス記号 (+) をクリックし、アクティブ データ をクリックします。 アクティブ データ のオプションが右側のパネルに表示されます。
  10. 環境に適したオプションを設定します。
    フィールドを常に引用符で囲む

    新しいアクティブ データ ファイルの各セル内のデータを引用符で囲むには、はい を選択します。このオプションは新しいアクティブ データ ファイルにのみ関連します。このオプションを はい に設定しても、既存のファイルには影響しません。

    アクティブ データ ファイルから使用する予定のデータに引用符が必要な場合に、このオプションを はい に設定します。

    注: はい に設定しても、編集中は、新しいアクティブ データ ファイルのデータに引用符は表示されません。ファイルの元のアプリケーションを使ってアクティブ データ ファイルを編集する場合に、引用符が表示されます。
    空の後続フィールドを追加する

    各データ項目に対して文字の後ろに後続スペースを入力する場合は、はい に設定します。たとえば、フィールドに必要なデータが「data 」の場合にこのオプションを はい に設定すると、後続のスペースはデータの一部として含まれるため、アクティブ データ ファイルのフィールドには「data」と書き込まれます。いいえ を選択すると、後続スペースを除いた文字のみが含められます。たとえば、いいえ に設定した場合に「data 」がフィールドに書き込まれると、アクティブ データ ファイルには「data」として保存されます。

    アクティブ データ テストで使用されるデータで、アプリケーションを正しくテストするために後続スペースが必要な場合、このオプションを はい に設定してください。

  11. OK をクリックします。
  • アクティブ データ詳細設定オプション
    アクティブ データ資産の設定 ウィンドウを使用してテキストベース（.csv または .txt）のアクティブ データ ファイルを編集する際に、そのファイルに Silk Test からデータを書き込む方法を制御するオプションについて説明します。
親トピック: Silk Test Workbench のオプション
関連概念
ユーザー補助の使用
Android 上のハイブリッド アプリケーションのテスト
iOS 上のハイブリッド アプリケーションのテスト


アクティブ データ詳細設定オプション

詳細設定アクティブ データ オプションを変更することにより、アクティブ データ資産の設定 ウィンドウを使用してテキストベース (.csv または .txt) のアクティブ データ ファイルを編集する際に、そのファイルに Silk Test Workbench からデータを書き込む方法を制御することができます。

アクティブ データに対して以下のオプションを設定できます。

フィールドを常に引用符で囲む

新しいアクティブ データ ファイルの各セル内のデータを引用符で囲むには、はい を選択します。このオプションは新しいアクティブ データ ファイルにのみ関連します。このオプションを はい に設定しても、既存のファイルには影響しません。

アクティブ データ ファイルから使用する予定のデータに引用符が必要な場合に、このオプションを はい に設定します。

注: はい に設定しても、編集中は、新しいアクティブ データ ファイルのデータに引用符は表示されません。ファイルの元のアプリケーションを使ってアクティブ データ ファイルを編集する場合に、引用符が表示されます。
空の後続フィールドを追加する

各データ項目に対して文字の後ろに後続スペースを入力する場合は、はい に設定します。たとえば、フィールドに必要なデータが「data 」の場合にこのオプションを はい に設定すると、後続のスペースはデータの一部として含まれるため、アクティブ データ ファイルのフィールドには「data」と書き込まれます。いいえ を選択すると、後続スペースを除いた文字のみが含められます。たとえば、いいえ に設定した場合に「data 」がフィールドに書き込まれると、アクティブ データ ファイルには「data」として保存されます。

アクティブ データ テストで使用されるデータで、アプリケーションを正しくテストするために後続スペースが必要な場合、このオプションを はい に設定してください。

親トピック: 詳細オプションの設定


Silk Test Workbench の管理

Silk Test Workbench データベース、プロジェクト、およびユーザーの管理手順について説明します。

  • Silk Test Workbench の実行に必要な管理者権限
    Silk Test Workbench の実行に必要な権限について説明します。
  • Silk Test Workbench データベースの構成
    Silk Test Workbench データベースを構成する方法について説明します。
  • データベース メンテナンス
    Silk Test Workbench データベースのメンテナンスの概要について説明します。
  • データベースの膨張の抑制
    Silk Test Workbench データベースに格納されるオブジェクト数を削減するための考慮事項について説明します。
  • プロジェクトの管理
    プロジェクトの概要について説明します。
  • ユーザーの管理
    ユーザー リストのメンテナンスの概要について説明します。
  • グループの管理
    グループリストのメンテナンスの概要について説明します。


Silk Test Workbench の実行に必要な管理者権限

Silk Test Workbench のインストールまたは実行には、次の権限が必要です。

  • Silk Test Workbench のインストールには、ローカル管理者権限が必要です。
  • Windows サーバー上への Silk Test Workbench のインストールには、ドメイン レベルの管理者権限が必要です。
  • Silk Test Workbench を実行するには、次のフォルダとそのすべてのサブフォルダに対するフルアクセス権が必要です。
    • C:\ProgramData\Silk\SilkTest
    • %APPDATA%\Roaming\Silk\SilkTest
    • %APPDATA%\Local\Silk\SilkTest
    • %TEMP%
親トピック: Silk Test Workbench の管理


Silk Test Workbench データベースの構成

Silk Test Workbench は、資産や設定を格納するためにデータベースを必要とします。デフォルトの Silk Test Workbench インストールでは、単一ユーザーによる運用用に Microsoft Access データベースが含まれています。本格的なエンタープライズでの運用には、Silk Test Workbench は Microsoft SQL Server および Oracle データベースをサポートします。Microsoft SQL Server または Oracle データベースを Silk Test Workbench で使用するには、中央サーバー マシン上にデータベースを作成して構成し、各クライアント マシン上で中央データベースを対象としたデータ ソース名 (DSN) を作成します。同じプロジェクトに複数のユーザーが関与する長期間にわたる自動化プロジェクトには、Microsoft SQL Server を使用することを Micro Focus は推奨しています。

サポートするデータベースについての情報は、『リリース ノート』を参照してください。

注: Silk Test Workbench の新しいバージョンをインストールしたときにデータベースが更新された場合、このデータベースを使用するすべての Silk Test Workbench ユーザーが、Silk Test Workbench の新しいバージョンにアップグレードする必要があります。
注: Silk Test では、64 ビットの DSN は使用できません。64 ビット マシンのデフォルトの DSN と ODBC ドライバは、C:\Windows\SysWow64 にある WOW64 ツールを使用して確認できます。
  • SQL Server データベースの構成
    Silk Test Workbench を使用するための SQL Server データベースの設定の概要を示します。
  • Oracle データベースの構成
    Silk Test Workbench を使用するための Oracle データベースの設定の概要を示します。
  • ドメインなしでの SQL Server または Oracle データベースの設定
    ドメインを使用して SQL Server または Oracle データベースを設定する方法について説明します。
  • データ ソース名の作成
    ODBC ユーティリティを使用してデータ ソース名を作成する方法について説明します。
  • データベースへ接続する
    Silk Test Workbench データベースに接続する方法を説明するトピックを示します。
親トピック: Silk Test Workbench の管理


SQL Server データベースの構成

重要: データベースの設定と構成は、データベース管理者またはデータベースの管理に関する一般的な知識を持つ方が行うことをお勧めします。

Silk Test Workbench は、Silk Test Workbench で使用するために構成されたデータベースにテスト資産を格納してアクセスします。このセクションでは、以下の SQL Server データベースを Silk Test Workbench データベースとして使用する場合の構成方法について説明します。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

SQL Server の要件

Silk Test Workbench で使用するように SQL Server データベースを構成する場合は、以下の要件があります。

  • Silk Test Workbench を実行するすべてのコンピュータは、SQL Server データベースが常駐するコンピュータにアクセスでき、新しいデータ ソースが構成されている必要があります。
  • Silk Test Workbench は、データベースにアクセスするすべてのコンピュータにインストールされている必要があります。
  • Silk Test Workbench データベース接続ファイルが、SQL Server データベースを指すように構成されている必要があります。
  • SQL Server データベースとの接続に使用するユーザーは、データベースの VIEW_SERVER_STATE 権限を持つ必要があります。
注: Silk Test では、64 ビットの DSN は使用できません。64 ビット マシンのデフォルトの DSN と ODBC ドライバは、C:\Windows\SysWow64 にある WOW64 ツールを使用して確認できます。

Silk Test Workbench データベースの保守の詳細については、Silk Test Workbench のヘルプを参照してください。

  • SQL Server データベースの新規作成
    SQL Server Management Studio を使用して SQL Server データベースを作成します。
  • SQL Server 管理ユーザーの新規作成
    Silk Test Workbench の SQL Server 管理者を作成します。
  • SQL Server におけるユーザーの設定
    SQL Server データベースに接続するようにユーザーを設定します。
  • SQL Server Silk Test Workbench データベースの準備
    データベース メンテナンス ユーティリティを使用して、データベースに Silk Test Workbench テーブルを入力します。
親トピック: Silk Test Workbench データベースの構成
関連概念
データベースへ接続する
関連タスク
SQL Server データベース用のデータ ソース名の作成


SQL Server データベースの新規作成

このセクションでは、SQL Server Management Studio を使用して SQL Server データベースを作成する方法について説明します。 以下の手順以外に、Silk Test Workbench データベース メンテナンス ユーティリティを使用して、データベースに Silk Test Workbench テーブルを入力する必要もあります。

  1. SQL Server Management Studio のオブジェクト エクスプローラで、データベース フォルダを右クリックして 新しいデータベース を選択します。 新しいデータベース ダイアログ ボックスが開きます。
  2. データベース名 テキスト ボックスにデータベースの名前を入力します。
  3. OK をクリックします。
親トピック: SQL Server データベースの構成


SQL Server 管理ユーザーの新規作成

これ以降の設定手順を実行するには、システム管理者権限を持つ SQL Server ユーザーが必要です。

このユーザーには次のアクセス許可が必要です。
  • sysadmin または、db_ddladmin と db_owner の両方
  • db_datareader
  • db_datawriter

これらのアクセス許可は、CREATE INDEX (Transact-SQL) 文を使用してインデックスを作成するために必要になります。Silk Test Workbench データベースが作成された後は、データベースに接続するすべてのユーザーに対して、db_datareader と db_datawriter アクセス許可だけが必要になります。

  1. システム管理者権限を持つユーザーを新規作成するには、以下のステップを実行します。
    1. SQL Server Management Studio のオブジェクト エクスプローラで、セキュリティ フォルダに移動して、展開します。
    2. ログイン フォルダを右クリックして、新しいログイン をクリックします。 ログイン - 新規作成 ダイアログ ボックスが開きます。
    3. 全般 ページを選択し、ログイン名 テキスト ボックスにユーザー名を入力します。
    4. [SQL Server 認証] を選択し、パスワードを入力します。
    5. 既定のデータベース リストから、デフォルト データベースを選択します。
    6. サーバー ロール ページを選択し、サーバー ロール リストで sysadmin のチェック ボックスをオンにします。
    7. ユーザー マッピング ページを選択します。
    8. マップ 列で、新しいログインでアクセスできるデータベースのチェック ボックスをオンにします。 デフォルトで、ユーザー 列にログイン名が表示されています。この値はそのままにします。
    9. データベース ロールのメンバシップ リストで、db_owner のチェック ボックスをオンにします。
    10. OK をクリックします。
  2. 新しいユーザーのスキーマを新規作成するには、以下のステップを実行します。
    1. オブジェクト エクスプローラ で、スキーマを作成するデータベースに移動します。
    2. データベース オブジェクト ツリーを展開して、スキーマ フォルダを表示します。 スキーマ フォルダは、データベースの セキュリティ フォルダの子です。 たとえば、スキーマをマスタ データベースに追加する場合は、データベース > システム データベース > マスタ > セキュリティ フォルダを展開して スキーマ フォルダを表示します。
    3. スキーマ フォルダを右クリックして、新しいスキーマ を選択します。
    4. スキーマ名 テキスト ボックスに、新しいスキーマの名前を入力します。 新しいスキーマ名は、以前にシステム管理者権限を使用して作成したユーザー名と一致する必要があります。
    5. スキーマの所有者として新しいユーザーにシステム管理者権限を割り当てます。
    6. OK をクリックします。
  3. データベースにスキーマを追加するには、次の操作を実行します。
    1. データベース オブジェクト ツリーを展開して、ユーザー フォルダを表示します。 ユーザー フォルダは、データベースの セキュリティ フォルダの子です。 たとえば、master データベースにスキーマを追加する場合は、データベース > システム データベース > master > セキュリティ > ユーザー をクリックします。
    2. 作成した管理ユーザーをダブルクリックします。 データベース ユーザー ダイアログ ボックスが表示されます。
    3. 所有されているスキーマ ページを選択し、作成したスキーマが新しいデータベースに割り当てられるようにチェックします。
親トピック: SQL Server データベースの構成


SQL Server におけるユーザーの設定

以下の手順は、SQL Server データベースに接続する必要がある各ユーザーに対し、データベース サーバー コンピュータで実行してください。

  1. SQL Server Management Studio のオブジェクト エクスプローラで、セキュリティ フォルダに移動して、展開します。ログイン フォルダを右クリックして、新しいログイン をクリックします。 ログイン - 新規作成 ダイアログ ボックスが開きます。
  2. 全般 ページを選択し、ログイン名 テキスト ボックスにデータベースの名前を入力します。
  3. Windows 認証 または SQL Server 認証 を選択します。
  4. 既定のデータベース リストから、デフォルト データベースを選択します。
  5. ユーザー マッピング ページを選択します。
  6. マップ 列で、ユーザーのログインでアクセスできるデータベースのチェック ボックスをオンにします。 デフォルトで、ユーザー 列にログイン名が表示されています。この値はそのままにします。
  7. 既定のスキーマ 列に、既定のスキーマを入力します。 Silk Test Workbench で既定のスキーマを使用するには、既定のスキーマが、以前にシステム管理者権限を使用して作成したユーザーのスキーマと一致する必要があります。
  8. データベース ロールのメンバシップ リストで、デフォルト オプション public を選択したままにしておきます。
  9. db_datareader および db_datawriter チェック ボックスをオンにします。
  10. OK をクリックします。
重要: 複数のユーザーが SQL Server Express を使用するには、各 SQL Server Express インストールでリモート接続が有効になっている必要があります。SQL Server Express でリモート接続を有効にする方法については、Microsoft のサポート技術情報『How to enable remote connections on SQL Server』を参照してください。
親トピック: SQL Server データベースの構成


SQL Server Silk Test Workbench データベースの準備

注: SQL Server 認証モードをSQL Server と Windows（混合モード）に設定して、データベース メンテナンス ユーティリティを使用して SQL Server データベースに接続できるようにする必要があります。この設定は、データベース メンテナンス タスクを実行したあと変更できます。
注: SQL Server データベースが空の場合は、このトピックで説明しているタスクのみ実行できます。

Silk Test Workbench で使用する新しい SQL Server データベースを準備する必要があります。このセクションでは、データベース メンテナンス ユーティリティを使用してデータベースに Silk Test Workbench テーブルを入力する方法について説明します。

  1. (Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > データベース メンテナンス、または (Microsoft Windows 10) スタート > Silk > データベース メンテナンス をクリックします。 データベース メンテナンス ユーティリティが起動されます。
  2. ファイル > 新規作成 > SQL Server をクリックします。 SQL Server データ ソースの接続 ダイアログ ボックスが開きます。
  3. 新しい SQL Server データ ソースの名前を入力するか、参照 をクリックして ODBC データ ソースの選択 ダイアログ ボックスからデータ ソース名を選択します。
  4. 該当するテキスト ボックスにデータベースの所有者の名前と、SQL Server のユーザー ID およびパスワードを入力し、作成 をクリックします。データベースの所有者は、db_owner ロールを持つユーザーです。
    注: 各 DSN 名に関連付けることができるスキーマは 1 つだけです（ODBC 接続）。選択した DSN 名がすでにスキーマに関連付けられている場合は、置換 をクリックして DSN 名の関連付けを現在のスキーマから新しいスキーマに変更するか（ユーザーは、古いスキーマの Silk Test Workbench テーブルにはアクセスできなくなります）、エイリアス をクリックして DSN 名のエイリアスを作成します。

これで、Silk Test Workbench を起動してログオンする準備が整いました。

親トピック: SQL Server データベースの構成


Oracle データベースの構成

このセクションでは、Silk Test Workbench で使用する Oracle データベースを設定する方法について説明します。

注: 以下の手順は、その実行者が Oracle データベース管理システムに精通していることを前提としています。データベースの設定と構成は、データベース管理者またはデータベースの管理に関する一般的な知識を持つ方が行うことをお勧めします。

各クライアント コンピュータでは、データベースに接続するためにODBCデータ ソースが必要となります。この結果、Silk Test Workbench 用の Oracle データベースに接続するには、以下の条件を満たす必要があります。

  • Silk Test Workbench を実行するすべてのコンピュータは、データベースが常駐するコンピュータにアクセスでき、新しいデータ ソースが構成されている必要があります。

  • Silk Test Workbench は、データベースにアクセスするすべてのコンピュータにインストールされている必要があります。

  • Silk Test Workbench を実行するすべてのコンピュータに、適切なデータベース クライアント接続ソフトウェアがインストールされている必要があります。

  • データベース接続は、Silk Test Workbench で使用するために構成する必要があります。

  • 認証方式の選択
    使用できる Oracle 認証方式を示します。
  • Oracle データベースの新規作成
    新しい Oracle データベースを作成します。
  • Oracle OS 認証の設定
    この手順は、Oracle OS 認証を使用する場合にのみ必要です。
  • Oracle クライアントの設定
    Oracle データベース認証を使用する場合は、Oracle クライアントを設定する必要があります。
  • クライアント接続用の Oracle データベースの準備
    この手順は、Oracle OS 認証および Oracle クライアントを使用して Silk Test Workbench データベースを設定する場合にのみ必要です。 Oracle データベース認証を使用する場合は、ユーザーの設定を開始することができます。
  • Oracle における Silk Test Workbench のユーザーの設定
    ユーザーを作成してユーザーの接続権限を付与する方法について説明します。
  • Oracle データベースの準備
    データベース メンテナンス ユーティリティを使用して、データベースに Silk Test Workbench テーブルを入力します。
親トピック: Silk Test Workbench データベースの構成
関連概念
データベースへ接続する
関連タスク
Oracle データベース用のデータ ソース名の作成


認証方式の選択

Silk Test Workbench では、Oracle OS 認証（Windows NT）と Oracle データベース認証のいずれかを使用することができます。 Oracle OS 認証を使用する場合、追加のインストール手順が必要になります。

  • Oracle OS 認証
    Oracle OS 認証を使用する場合に、ユーザーを作成して接続権限を付与します。
  • Oracle データベース認証
    Oracle データベース認証を使用する場合に、ユーザーを作成して接続権限を付与します。
親トピック: Oracle データベースの構成


Oracle OS 認証

このトピックでは、Oracle OS 認証を使用する場合に、ユーザーを作成して接続権限を付与する方法について説明します。これらのステップを実行する前に、以下の点を考慮してください。

  • ORA_DBA グループのメンバであり、かつ、SYSDBA 権限がある必要があります。

  • ユーザーを作成する際は、ユーザーが DOMAIN コントローラによって認証されていることを Oracle が認識できるようにする必要があります。

  • ユーザーの作成には SQL*Plus または SQL*Plus Worksheet を使用します。SQL*Plus を使い慣れていない場合は、Oracle のマニュアルを参照してください。

  • ユーザーは Windows NT ドメイン内に作成し、ORA_DBA グループに追加する必要があります。Windows ドメインの使用の詳細については、Microsoft Windows のマニュアルを参照してください。

  • Oracle で Silk Test Workbench のユーザーを設定する場合、リモートで認証されるユーザーに加え、実際のテーブルを格納するためのスキーマを作成します。このスキーマはドメインで認証されず、パスワードで認証されます。

  1. SQL*Plus または SQL*Plus Worksheet を起動します。
  2. SYSTEM としてログオンし、SYSDBA として接続します。
  3. 各ユーザーを "DOMAIN\USERNAME" IDENTIFIED EXTERNALLY として作成し、接続権限およびシステム権限を付与するコマンドを、以下の例に示すように入力します。 各ユーザーは "DOMAIN\USERNAME" のように入力します。DOMAIN\USERNAME は大文字で入力し、二重引用符で囲みます。DOMAIN\USERNAME は各ユーザーのドメインとユーザー名です。 例：
    CREATE USER "NT-DOMAIN\JEFF" IDENTIFIED EXTERNALLY;
GRANT SELECT ANY SEQUENCE TO "NT-DOMAIN\JEFF";
GRANT UNLIMITED TABLESPACE TO "NT-DOMAIN\JEFF";
GRANT "CONNECT" TO "NT-DOMAIN\JEFF";
GRANT "RESOURCE" TO "NT-DOMAIN\JEFF";
GRANT "SELECT_CATALOG_ROLE" TO "NT-DOMAIN\JEFF";
    重要: Microsoft のオペレーティング システムでは、ユーザーを照会すると DOMAIN\USERNAME が返されます。この値がデータベースの定義と一致しない場合は、Oracle OS 認証で ORA-1017 のエラーが発生します。
  4. SQL*Plus を使用してデータベースに接続することにより、Oracle OS 認証が正しく設定されているかどうかをテストします。
    1. ユーザー名には「/」と入力します。
    2. [パスワード] テキスト ボックスは空のままにし、ホスト文字列を正しく入力します。
    3. OK をクリックします。 ログオンできた場合は、Oracle OS 認証が正しく機能していることを意味します。
親トピック: 認証方式の選択


Oracle データベース認証

このトピックでは、Oracle データベース認証を使用する場合に、ユーザーを作成して接続権限を付与する方法について説明します。これらのステップを実行する前に、以下の点を考慮してください。

  • ORA_DBA グループのメンバであり、かつ、SYSDBA 権限がある必要があります。

  • ユーザーの作成には SQL*Plus または SQL*Plus Worksheet を使用します。SQL*Plus を使い慣れていない場合は、Oracle のマニュアルを参照してください。

  • Oracle で Silk Test Workbench のユーザーを設定する場合、リモートで認証されるユーザーに加え、実際のテーブルを格納するためのスキーマを作成します。このスキーマはドメインで認証されず、パスワードで認証されます。

  1. SQL*Plus または SQL*Plus Worksheet を起動します。
  2. SYSTEM としてログオンし、SYSDBA として接続します。
  3. 各ユーザーを "USERNAME" IDENTIFIED BY “ORACLEPASSWORD” として作成し、接続権限およびシステム権限を付与するコマンドを、以下の例に示すように入力します。 各ユーザーは "USERNAME" のように入力します。USERNAME は大文字で入力し、二重引用符で囲みます。DOMAIN\USERNAME は各ユーザーのユーザー名です。 例：
    CREATE USER "JEFF" IDENTIFIED BY “ORACLEPASSWORD”;
GRANT SELECT ANY SEQUENCE TO "JEFF";
GRANT UNLIMITED TABLESPACE TO "JEFF";
GRANT "CONNECT" TO "JEFF";
GRANT "RESOURCE" TO "JEFF";
GRANT "SELECT_CATALOG_ROLE" TO "JEFF";
親トピック: 認証方式の選択


Oracle データベースの新規作成

次の文字セットを使用する新しい Oracle データベースを作成します。
  • UTF8： Oracle 12 より前のバージョンの Oracle
  • AL32UTF8： Oracle 12 以降

詳細については、Oracle の製品マニュアルを参照してください。

親トピック: Oracle データベースの構成


Oracle OS 認証の設定

注: この手順は、Oracle OS 認証を使用する場合にのみ必要です。Oracle データベース認証を使用する場合は、Oracle クライアントをセットアップする必要があります。
  1. データベースがあるサーバーで、Oracle をインストールしたディレクトリにある Oracle 初期化ファイルを探します。
  2. Oracle 初期化ファイルで、以下のパラメータの値を設定します。

    • remote_login_passwordfile = none

    • remote_os_authent = true

    • os_authent_prefix = ““

    注: パラメータと値のうち存在しないものがある場合は、追加する必要があります。Oracle 11g では、remote_os_authent および os_authent_prefix パラメータはデフォルトで設定されています。
  3. Oracle をインストールしたディレクトリで、SQLNET.ORA ファイルを探します。 このファイルは、Oracle のメイン インストール ディレクトリの下の ORACLE_HOME\Network\Admin ディレクトリにあります。ORACLE_HOME は、インストール時に Oracle ホームに割り当てた名前です。
  4. SQLNET.ORA を開いて、以下のようにパラメータの値を設定します。
    sqlnet.authentication_services = (NTS)
    注: このパラメータの行頭が # でコメントアウトされていないことを確認します。このパラメータは、追加する必要がある場合があります。
  5. スタート メニューから、ファイル名を指定して実行 ダイアログ ボックスにアクセスします。
  6. 名前 テキスト ボックスに「regedit」と入力して OK をクリックします。 レジストリ エディタ ダイアログ ボックスが開きます。
  7. HKEY_LOCAL_MACHINE\SOFTWARE\ORACLE\HOMEn（n は Oracle インストールに関連付けられた番号）パスで、HOMEn を右クリックして、新規 > 文字列値 を選択します。 レジストリ エディタの右側のウィンドウに、新しい文字列の値が表示されます。
  8. デフォルト名の 新しい値 #1 を OSAUTH_PREFIX_DOMAIN に置き換えます。
  9. 作成した文字列の値をダブルクリックします。 文字列の編集 ダイアログ ボックスが開きます。
  10. 値のデータ テキスト ボックスに「TRUE」と入力して OK をクリックします。
親トピック: Oracle データベースの構成


Oracle クライアントの設定

接続元として使用するクライアント コンピュータで、以下を実行します。

  1. Oracle をインストールしたディレクトリで、SQLNET.ORA ファイルを探します。 このファイルは、Oracle のメイン インストール ディレクトリの下の ORACLE_HOME\Network\Admin ディレクトリにあります。ORACLE_HOME は、インストール時に Oracle ホームに割り当てた名前です。
  2. SQLNET.ORA を開いて、以下のようにパラメータの値を設定します。

    sqlnet.authentication_services = (NTS)

    注: このパラメータの行頭が # でコメントアウトされていないことを確認します。 このパラメータは、追加する必要がある場合があります。
  3. Oracle をインストールしたディレクトリで、TNSNAMES.ORA ファイルを開きます。 このファイルは ORACLE_HOME\Network\Admin ディレクトリにあります。
  4. サーバーのデータベース エントリをクライアント コンピュータ上の TNSNAMES.ORA ファイルにコピーします。 例：
    ORACLE_SID.DOMAIN.COM=
(DESCRIPTION=
(ADDRESS_LIST=
(ADDRESS=(PROTOCOL=TCP)(HOST=SERVERNAME)(PORT=1521))
)
(CONNECT_DATA=
(SERVICE_NAME=ORACLE_SID)
)
)
親トピック: Oracle データベースの構成


クライアント接続用の Oracle データベースの準備

注: この手順は、Oracle OS 認証および Oracle クライアントを使用して Silk Test Workbench データベースを設定する場合にのみ必要です。 Oracle データベース認証を使用する場合は、ユーザーの設定を開始することができます。
  1. ドメイン ユーザー マネージャがインストールされているコンピュータで、Windows の コントロール パネル にアクセスし、管理ツール > コンピュータの管理を選択します。

    コンピュータの管理 ユーティリティが開きます。

  2. ツリー ビューで、ローカル ユーザーとグループ をクリックします。
  3. グループ をクリックします。 Oracle がインストールされている場合、ORA_DBA という名前のグループが表示されます。 表示されない場合は、追加する必要があります。

次に、ユーザーに対してサーバー アクセスを作成します。

  • ORA_DBA グループの作成
    ORA_DBA グループを作成します。
  • ユーザーに対するサーバー アクセスの作成
    ユーザー アカウントを個別に作成します。
親トピック: Oracle データベースの構成


ORA_DBA グループの作成

  1. コンピュータの管理 ユーティリティのツリー ビューで、グループ を右クリックして 新しいグループ を選択します。 新しいグループ ダイアログ ボックスが開きます。
  2. グループ名 テキスト ボックスに「ORA_DBA」と入力します。
  3. 作成 をクリックします。
  4. 閉じる をクリックします。
親トピック: クライアント接続用の Oracle データベースの準備


ユーザーに対するサーバー アクセスの作成

ユーザー アカウントを個別に作成するには、以下の手順に従います。

  1. コンピュータの管理 ユーティリティのツリー ビューで、ローカル ユーザーとグループ をクリックします。
  2. グループ をクリックします。
  3. 右側のペインで、ORA_DBA をダブルクリックします。 ORA_DBA のプロパティ ダイアログ ボックスが開きます。
  4. 追加 をクリックします。 ユーザー、コンピュータ、またはグループの選択 ダイアログ ボックスが開きます。
  5. 詳細設定 をクリックし、共通クエリ タブを使用してユーザーを検索し、今すぐ検索 をクリックして、リストからユーザーを選択します。

    または、選択するオブジェクト名を入力してください テキスト ボックスをクリックし、domain name\user ID を入力します。

    domain name はユーザーが所属するドメインの名前であり、user ID はアクセス権を付与する対象ユーザーのネットワーク ID です。

  6. OK をクリックしてユーザー情報を保存し、ORA_DBA のプロパティ ダイアログ ボックスに戻ります。

    ステップ 4 から 6 を繰り返して、その他のユーザー アカウントを作成します。

  7. Users のプロパティ ダイアログ ボックスで OK をクリックし、コンピュータの管理 ユーティリティに戻ります。
親トピック: クライアント接続用の Oracle データベースの準備


Oracle における Silk Test Workbench のユーザーの設定

このセクションでは、ユーザーを作成してユーザーの接続権限を付与する方法について説明します。この手順は Oracle OS 認証または Oracle データベース認証のどちらを使用する場合にも必要です。手順は認証タイプによって異なります。

Oracle OS 認証

ユーザーを作成する際は、ユーザーが DOMAIN コントローラによって認証されていることを Oracle が認識できるようにする必要があります。

重要:

Oracle で Silk Test Workbench のユーザーを設定する場合、リモートで認証されるユーザーに加え、実際のテーブルを格納するためのスキーマも作成する必要があります。このスキーマはドメインで認証されず、パスワードで認証されます。詳細については、「パスワード認証スキーマの作成」を参照してください。

ユーザーは Windows NT ドメイン内に作成する必要があります。Windows ドメインの使用の詳細については、Microsoft Windows のマニュアルを参照してください。

ユーザーは ORA_DBA グループに追加する必要があります。ユーザーの作成には SQL*Plus または SQL*Plus Worksheet を使用します。SQL*Plus を使い慣れていない場合は、Oracle のマニュアルを参照してください。

以下の手順を実行するユーザーは、ORA_DBA グループのメンバーであり、SYSDBA 権限を持っている必要があります。Oracleデータベースにアクセスできるユーザーを指定するには、以下を実行します。

  1. SQL*Plus または SQL*Plus Worksheet を起動します。
  2. SYSTEM としてログオンし、SYSDBA として接続します。
  3. 各ユーザーを作成するコマンドを "DOMAIN\USERNAME" IDENTIFIED EXTERNALLY として入力し、各ユーザーの接続権限を "DOMAIN\USERNAME" として付与します。DOMAIN\USERNAME は大文字で入力し、二重引用符で囲みます。DOMAIN\USERNAME は各ユーザーのドメインとユーザー名です。例：
    SQL> create user "NT-DOMAIN\JEFF" IDENTIFIED EXTERNALLY;
SQL> grant connect, resource to "NT-DOMAIN\JEFF";
    注: SELECT_ANY_SEQUENCE と SELECT_CATALOG_ROLE もユーザーに付与する必要があります。例：
    SQL> grant select any sequence to "JEFF";
SQL> grant select_catalog_role to "JEFF";
    Microsoft のオペレーティング システムでは、ユーザーを照会すると DOMAIN\USERNAME が返されます。この値がデータベースの定義と一致しない場合は、NT認証でORA-1017のエラーが発生します。
  4. SQL*Plusを使用してデータベースに接続することにより、Windows NT認証が正しく設定されているかどうかをテストします。ユーザー名には「/」と入力します。パスワード フィールドは空のままにし、ホスト文字列を正しく入力します。OK をクリックします。ログオンできた場合は、Windows NT認証が正しく機能していることを意味します。

Oracle データベース認証

重要: Oracle で Silk Test Workbench のユーザーを設定する場合、リモートで認証されるユーザーに加え、実際のテーブルを格納するためのスキーマも作成する必要があります。スキーマはパスワード認証されます。詳細については、「パスワード認証スキーマの作成」を参照してください。

ユーザーの作成にはSQL*Plusを使用します。SQL*Plus を使い慣れていない場合は、Oracle のマニュアルを参照してください。以下の手順を実行するユーザーは、ORA_DBA グループのメンバーであり、SYSDBA 権限を持っている必要があります。

Oracleデータベースにアクセスできるユーザーを指定するには、以下を実行します。

  1. SQL*Plus または SQL*Plus Worksheet を起動します。
  2. SYSTEM としてログオンし、SYSDBA として接続します。
  3. 各ユーザーを作成するコマンドを "USERNAME" IDENTIFIED BY "ORACLEPASSWORD" として入力し、各ユーザーの接続権限を "USERNAME" として付与します。USERNAME は大文字で入力し、二重引用符で囲みます。DOMAIN\USERNAME は各ユーザーのユーザー名です。例：
    SQL> create user "JEFF" IDENTIFIED BY "ORACLEPASSWORD";
SQL> grant connect, resource to "JEFF";
    注: SELECT_ANY_SEQUENCE、 SELECT_CATALOG_ROLE、SELECT_ANY_DICTIONARY もユーザーに付与する必要があります。例：
    SQL> grant select any sequence to "JEFF";
SQL> grant select_catalog_role to "JEFF";
SQL> grant select any dictionary to "JEFF";
  • パスワード認証スキーマの作成
    Silk Test Workbench テーブルが格納されるパスワード認証スキーマを設定します。
親トピック: Oracle データベースの構成


パスワード認証スキーマの作成

Silk Test Workbench テーブルが格納されるパスワード認証スキーマを設定するには、以下のステップを実行します。

注: SQL シリーズにおける Oracle の文字数制限のため、パスワード認証スキーマは 5 文字以下で指定する必要があります。
  1. SQL*Plus または SQL*Plus Worksheet を起動します。
  2. SYSTEM としてログオンし、SYSDBA として接続します。
  3. 各ユーザーを作成するコマンドを "USERNAME" IDENTIFIED BY "ORACLEPASSWORD" として入力し、各ユーザーの接続権限を "USERNAME" として付与します。 USERNAME は大文字で入力し、二重引用符で囲みます。USERNAME は各ユーザーのユーザー名です。 例：
    SQL> create user "TOM" IDENTIFIED BY "ORACLEPASSWORD";
SQL> grant connect, resource to "TOM";
親トピック: Oracle における Silk Test Workbench のユーザーの設定


Oracle データベースの準備

Silk Test Workbench で使用する新しい Oracle データベースを準備する必要があります。 このセクションでは、データベース メンテナンス ユーティリティを使用してデータベースに Silk Test Workbench テーブルを入力する方法について説明します。

  1. (Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > データベース メンテナンス、または (Microsoft Windows 10) スタート > Silk > データベース メンテナンス をクリックします。 データベース メンテナンス ユーティリティが起動されます。
  2. ファイル > 新規作成 > Oracle をクリックします。 Oracle データ ソースの接続 ダイアログ ボックスが開きます。
  3. 新しい Oracle データ ソースの名前を入力するか、参照 をクリックして ODBC データ ソースの選択 ダイアログ ボックスからデータ ソース名を選択します。
  4. 該当するボックスに、Oracle ユーザー ID の名前、パスワードを入力し、作成 をクリックします。 スキーマ ボックスには、ユーザー ID に入力した値が自動的に入力されます。

これで、Silk Test Workbench を起動してログオンする準備が整いました。

親トピック: Oracle データベースの構成


ドメインなしでの SQL Server または Oracle データベースの設定

Silk Test Workbench で使用する Oracle または SQL Server のデータベースを設定する際は、ドメイン内の認証を使用することを強くお勧めします。 ただし、ドメインに所属しない場合でも、これらのデータベースを設定することは可能です。

このセクションでは、ドメインを使用して SQL Server または Oracle データベースを設定する具体的な方法について説明します。

  • ドメインなしでのユーザーの作成
    クライアント コンピュータとサーバー コンピュータの両方でユーザー アカウントを作成します。
  • ドメインなしでの SQL Server の設定
    ユーザーがドメインなしでデータベースにアクセスできるように SQL Server を設定します。
  • ドメインなしでの Oracle データベースの設定
    この手順を完了して、ドメインなしで Oracle データベースを設定します。
親トピック: Silk Test Workbench データベースの構成


ドメインなしでのユーザーの作成

ドメインがない場合に SQL Server または Oracle データベースを設定するには、最初にクライアント コンピュータとサーバー コンピュータの両方でユーザー アカウントを作成する必要があります。

注: この手順はWindows NT認証を使用する場合にのみ適用されます。
  1. Windows の コントロール パネル にアクセスし、管理ツール > コンピュータの管理 を選択します。

    コンピュータの管理 ユーティリティが開きます。

  2. 左側のペインで、ローカル ユーザーとグループ をクリックします。
  3. ローカル ユーザーとグループ で、ユーザー フォルダを右クリックし、新しいユーザー を選択します。 新しいユーザー ダイアログ ボックスが開きます。
  4. ユーザー名 テキスト ボックスに有効なユーザー名を入力し、フル ネーム テキスト ボックスにそのユーザーのフル ネームを入力します。
  5. パスワード と パスワードの確認入力 の両方のテキスト ボックスに有効なパスワードを入力し、作成 をクリックします。
  6. 各クライアント コンピュータでそのユーザー名とパスワードを使用して、上記の手順を繰り返します。
親トピック: ドメインなしでの SQL Server または Oracle データベースの設定


ドメインなしでの SQL Server の設定

ドメインがない場合に SQL Server を設定するには：

  1. Windows の コントロール パネル にアクセスし、管理ツール > コンピュータの管理 を選択します。

    コンピュータの管理 ユーティリティが開きます。

  2. 左側のペインで、ローカル ユーザーとグループ を展開し、グループ をクリックします。
  3. 右側のペインで、Users をダブルクリックします。

    Users のプロパティ ダイアログ ボックスが開きます。

  4. 追加 をクリックします。

    ユーザー、コンピュータ、またはグループの選択 ダイアログ ボックスが開きます。

  5. 詳細設定 をクリックし、共通クエリ タブを使用してユーザーを検索します。
  6. 今すぐ検索 をクリックして、リストからユーザーを選択します。 または、選択するオブジェクト名を入力してください テキスト ボックスをクリックし、アクセス権を付与する対象ユーザーの [user ID] を入力します。[user ID]：
  7. OK をクリックしてユーザー情報を保存し、Users のプロパティ ダイアログ ボックスに戻ります。
  8. 上記のステップを繰り返して、その他のユーザー アカウントを作成します。
  9. OK をクリックします。
親トピック: ドメインなしでの SQL Server または Oracle データベースの設定


ドメインなしでの Oracle データベースの設定

ドメインがない場合に Oracle を設定するには、個別のユーザー アカウントに対してサーバー アクセスを作成する手順に従います。ただし、ドメインなしでユーザーを作成する手順で作成したユーザー名を置き換えます。

  1. 選択するオブジェクト名を入力してください テキスト ボックスに、[domain name]\[user ID] や [domain name]\[group name] ではなくユーザー名を入力します。

    コンピュータの管理 ユーティリティが表示されます。

  2. ユーザーを設定します。 SQL*Plus を使用してユーザーを作成する場合は、以下の例に示すように [domain name\user name] を [computer name\user name] に置き換えます。
    SQL> create user "FH0002RED\USER1" IDENTIFIED EXTERNALLY;
SQL> grant connect, resource to "FH0002RED\USER1";
    注:

    [computer name\user name] の場合、大文字を使用して引用符で囲みます。

親トピック: ドメインなしでの SQL Server または Oracle データベースの設定


データ ソース名の作成

Silk Test Workbench 用にセットアップしたデータベースにアクセスするために、データベースに接続する各マシン上で、ODBC ユーティリティを使用して Silk Test Workbench データベースに対するデータ ソース名 (DSN) を作成します。

注: このステップは、Silk Test Workbench インストーラによってインストールされたデフォルトの Access データベースには適用されません。これらのデータベースでは、データ ソース名が自動的に作成されます。
  • Access データベース用のデータ ソース名の作成
    Access データベースに接続する各クライアント コンピュータで、ODBC ユーティリティを使用してデータ ソース名（DSN）を作成します。
  • SQL Server データベース用のデータ ソース名の作成
    SQL Server データベースに接続する各クライアント コンピュータで、ODBC ユーティリティを使用してデータ ソース名（DSN）を作成します。
  • Oracle データベース用のデータ ソース名の作成
    Oracle データベースに接続する各クライアント コンピュータで、ODBC ユーティリティを使用してデータ ソース名 (DSN) を作成します。
親トピック: Silk Test Workbench データベースの構成


Access データベース用のデータ ソース名の作成

Accessデータベースに接続する各クライアント コンピュータで、以下の手順に従ってDSNを設定します。

  1. スタート > Silk > Silk Test > 管理 > データソース (ODBC) に移動します。 ODBC データ ソース アドミニストレータ ダイアログ ボックスが開きます。
  2. システム DSN タブをクリックし、追加 をクリックします。 データ ソースの新規作成 ダイアログ ボックスが開きます。このダイアログ ボックスには、使用可能なODBCドライバがリストされます。
  3. ドライバのリストから Microsoft Access Driver を選択し、完了 をクリックします。 ODBC Microsoft Access セットアップ ダイアログ ボックスが開きます。
  4. データ ソース名 テキスト ボックスに、データ ソース名を入力します。

    この名前はログオン ダイアログ ボックスでデータベース名として表示されるため、論理名を入力します。

  5. 説明 テキスト ボックスに、データ ソースの説明を入力します。 たとえば、「Silk Test Workbench データベースへの接続」です。
  6. 選択 をクリックして、Access データベースを参照します。
  7. ODBC Microsoft Access セットアップ ダイアログ ボックスで、OK をクリックします。
  8. ODBC アドミニストレータ ダイアログ ボックスで、OK をクリックしてプロセスを完了します。
親トピック: データ ソース名の作成
関連概念
アクティブ データ


SQL Server データベース用のデータ ソース名の作成

注: Silk Test Workbench では、64 ビットの DSN は使用できません。64 ビット マシンで DSN を作成するには、スタート > Silk > Silk Test > 管理 > データ ソース (ODBC) をクリックして、32 ビット DSN を作成します。C:\WINDOWS\SysWOW64\odbcad32.exe にある WOW64 ツールを使用することもできます。

SQL Server データベースに接続する各クライアント コンピュータで、以下の手順に従って DSN を設定します。

  1. スタート > Silk > Silk Test > 管理 > データソース (ODBC) に移動します。 ODBC データ ソース アドミニストレータ ダイアログ ボックスが開きます。
  2. システム DSN タブをクリックし、追加 をクリックします。 データ ソースの新規作成 ダイアログ ボックスが開きます。このダイアログ ボックスには、使用可能なODBCドライバがリストされます。
  3. ドライバのリストから DBC Driver 11 for SQL Server を選択し、完了 をクリックします。 SQL Server に接続するための新規データ ソースを作成する ダイアログ ボックスが開きます。
  4. 名前 ボックスに、データ ソース名を入力します。

    この名前はログオン画面でデータベース名として表示されるため、論理名を入力します。

  5. 説明 テキスト ボックスに、データ ソースの説明を入力します。 たとえば、「Silk Test Workbench データベースへの接続」です。
  6. サーバー名を サーバー テキスト ボックスに入力するか、ドロップダウン リストから選択します。
  7. 次へ をクリックします。
  8. 以下のいずれかを実行します。

    • DSN を使用して SQL Server データベースにアクセスするユーザーが非ネイティブのアカウント情報によって接続している場合、ネットワークへのログイン ID で、Windows の認証メカニズムを使う オプションを選択します。

    • DSN を使用して SQL Server データベースにアクセスするユーザーがネイティブ認証によって接続している場合、ユーザーが入力する SQL Server 用のログイン ID とパスワードを使う オプションを選択します。SQL Server に接続して追加の構成オプションの既定設定を取得する チェック ボックスがオンになっていることを確認してください。ユーザーのネイティブ SQL Server ログオン情報を、ログイン ID と パスワード の各テキスト ボックスに入力します。

  9. 次へ をクリックします。
  10. 既定のデータベースを以下のものに変更する チェック ボックスをオンにして、リストからデータベースの名前を選択します。
  11. その他のエントリはすべてそのままにし、ウィザードの最後のパネルが表示されるまで 次へ をクリックします。
  12. デフォルトをそのまま使用し、完了 をクリックします。
  13. 接続をテストするには、データ ソースのテスト をクリックします。 SQL Server ODBC データ ソース テスト ダイアログ ボックスが開きます。
  14. OK をクリックします。

    ODBC データ ソース アドミニストレータ ダイアログ ボックスが再表示されます。新しく作成したデータ ソースが システム データ ソース リストに表示されます。

  15. OK をクリックします。
親トピック: データ ソース名の作成
関連概念
アクティブ データ


Oracle データベース用のデータ ソース名の作成

注: Silk Test Workbench では、64 ビットの DSN は使用できません。64 ビット マシンで DSN を作成するには、スタート > Silk > Silk Test > 管理 > データ ソース (ODBC) をクリックして、32 ビット DSN を作成します。C:\WINDOWS\SysWOW64\odbcad32.exe にある WOW64 ツールを使用することもできます。

Oracle データベースに接続する各クライアント コンピュータで、以下の手順に従って DSN を設定します。

  1. スタート > Silk > Silk Test > 管理 > データソース (ODBC) に移動します。 ODBC データ ソース アドミニストレータ ダイアログ ボックスが開きます。
  2. システム DSN タブをクリックし、追加 をクリックします。 データ ソースの新規作成 ダイアログ ボックスが開きます。このダイアログ ボックスには、使用可能なODBCドライバがリストされます。
  3. ドライバのリストから、使用する Oracle データベースのバージョンに適した Oracle ODBC ドライバ (Microsoft ODBC for Oracle ドライバではない) を選択し、完了 をクリックします。 Oracle ODBC ドライバ構成 ダイアログ ボックスが開きます。
  4. Oracle データ ソース名 テキスト ボックスに、データ ソース名を入力します。

    この名前はログオン ダイアログ ボックスでデータベース名として表示されるため、論理名を入力します。

  5. 説明 テキスト ボックスに、データ ソースの説明を入力します。 たとえば、「Silk Test Workbench データベースへの接続」です。
  6. TNS サービス名 テキスト ボックスで、接続するデータベースのサービス名を ORACLE_TNS.DOMAIN の形式で選択してください。大抵の場合、 ORACLE_TNS は、作成時にデータベースに割り当てられた Oracle SID であり、DOMAIN は、接続するドメインになります。
    注: ODBC を使用して Silk Test Workbench に接続するには、TNS サービス名は必須です。
  7. Oracle 認証を使用する場合は、接続先のデータベースの有効なユーザー ID を ユーザー ID テキスト ボックスに入力します。 それ以外の場合は、ユーザー ID テキスト ボックスは空のままにします。
  8. 接続をテストするには、接続テスト をクリックします。
    注: Oracle データベース認証を使用する場合、ユーザー名を入力してから、パスワードを入力します。 Oracle OS 認証では、ユーザー名を指定しないでください。

    正常に接続されたことを示すメッセージが表示されます。

  9. OK をクリックします。
親トピック: データ ソース名の作成
関連概念
アクティブ データ


データベースへ接続する

Silk Test Workbench をインストールしてデータベースを構成したあと、データベース接続を作成する必要があります。この接続によって、Silk Test Workbench データベースと Silk Test Workbench インストールとの関係を定義します。このセクションでは、ログオンしてデータベース接続を作成する方法について説明するトピックを示します。

  • ログオン
    ログオンしてテストを記録および再生します。
  • ログオン パスワードの変更
    セキュリティを確保するために定期的にパスワードを変更します。
  • データベース接続の構成
    Silk Test Workbench でデータベースを使用する前に、データベース接続を構成する必要があります。
親トピック: Silk Test Workbench データベースの構成


データベース接続の構成

Silk Test Workbench でデータベースを使用する前に、データベース接続を構成する必要があります。構成処理には、データベース接続の構成 ダイアログ ボックスを使用した以下のタスクの実行が含まれています。

  • データベース接続を開始するために必要なデータベース接続データを指定します。

  • データベースへの接続を検証します。

  • データベース接続のデータを保存します。

既存のすべての構成済みデータベース接続は、Silk Test Workbench ダイアログ ボックスにある データベース リストに表示されます。

データベース接続の構成 ダイアログ ボックスは、既存の構成済みデータベース接続の表示、編集、および削除に使用することもできます。

注: Silk Test Workbench で使用するデータベース接続を構成する前に、データベース インスタンスと ODBC データ ソース名（DSN）を作成および構成しておく必要があります。
注: Silk Test Workbench では、64 ビットの DSN は使用できません。64 ビット マシンで DSN を作成するには、スタート > Silk > Silk Test > 管理 > データ ソース (ODBC) をクリックして、32 ビット DSN を作成します。C:\WINDOWS\SysWOW64\odbcad32.exe にある WOW64 ツールを使用することもできます。
  1. Silk Test Workbench にログイン ダイアログ ボックスで、構成 をクリックします。
    データベース接続の構成 ダイアログ ボックスが開きます。
  2. データ ソースの種類 セクションで、データ ソースの種類を選択します。
  3. データ ソースの選択 リストで、使用可能な DSN のリストから選択します。
  4. 選択した DSN を Silk Test Workbench にログイン ダイアログ ボックスの データベース リストに表示される構成済みデータベース接続のリストに追加するには、 Silk Test Workbench データベースとして使用 チェック ボックスをオンにします。 データベース接続をはじめて構成するときは、必ずこのチェック ボックスをオンにしてください。既存の構成済みデータベース接続に対して Silk Test Workbench データベースとして使用 チェック ボックスをオフにして 適用 をクリックすると、選択した DSN がダイアログ ボックスの データベース リストから削除されます。Silk Test Workbench は関連するデータベース接続のデータを保持しません。
  5. データベースの設定 セクションで、選択した DSN に対して適切な情報を指定します。 Access では、データベース ボックスは読み取り専用で、データベース ファイルの場所を示します。この値はODBC DSNから直接読み取られます。他の データベースの設定 テキスト ボックスは、Access には適用されず、無効になっています。Oracle では、サーバー テキスト ボックスは読み取り専用で、データベース名のみが表示されます。この値はODBC DSNから直接読み取られます。
  6. データベース ボックスに、適切な値を入力します。 SQL Server/MSDE では、データベース テキスト ボックスは編集可能で、適切なデータベース名を入力することができます。
  7. 所有者 ボックスに、適切な値を入力します。
  8. 認証の種類を選択します。 認証 オプションは、Oracle データベースまたは SQL Server/MSDE データベースにのみ適用されます。Windows NT認証を使用するか、データベースのネイティブ認証機能を使って認証するかを選択できます。データベース認証を選択する場合、適切なテキスト ボックスにユーザー名とパスワードを入力する必要があります。
  9. 検証 をクリックして、指定したデータベース接続データを使用してデータベースに接続できることを確認します。
  10. 適用 をクリックして、データベース接続データを保存します。
  11. 閉じる をクリックして、ダイアログ ボックスを閉じます。
親トピック: データベースへ接続する


データベース メンテナンス

データベース メンテナンス ユーティリティは、データベース スキーマの更新、データベースのレコードのロック解除、データベースのコンパクト化など、いくつかのメンテナンス タスクを実行します。

メンテナンス タスクを実行する前に、Silk Test Workbench データベース接続を構成する必要があります。 また、Silk Test インストーラを使用せずにインストールされたデータベースでは、データベース メンテナンス ユーティリティを使用して新しい Silk Test Workbench ODBC データベースを作成する前に、システム管理者が新しい ODBC データ ソースを作成する必要があります。 詳細については、『Silk Test インストール ガイド』を参照してください。

  • Silk Test Workbench データベースを開く
    サポートされているデータベースの種類、およびデータベースを開いたあとに実行するタスクの概要について説明します。
  • データベース バージョンの更新
    Silk Test Workbench を最新バージョンにアップグレードする場合、データベース スキーマが最新の Silk Test Workbench のデータベース スキーマと一致しないときは、既存のデータベースを変換する必要があります。
  • データベース レコードのコピー
    アーカイブの目的で、データベース間でレコードをコピーできます。
  • データベースのレコードのロック解除
    Silk Test Workbench の使用中にシステムがクラッシュした場合は、使用していたレコードが起動時にロックされたままになっている可能性があります。
  • Access データベースのコンパクト化
    データベースが日常的に使用されている場合は、最適なパフォーマンスを得るために定期的にデータベースのコンパクト化を行います。
  • データベース メンテナンス設定の構成
    データベース メンテナンス ユーティリティでは、コンパクト化、変換、およびコピーの各処理中に使用される設定を構成できます。
  • 接続ユーザーがいるデータベースのメンテナンスの実行
    接続ユーザーがいるデータベースでメンテナンスを実行する場合の考慮事項について説明します。
  • データベース整合性チェックの実行
    データベース エラーを修正する必要があるかどうかを検証するために、データベースに対して整合性チェックを実行できます。
親トピック: Silk Test Workbench の管理


Silk Test Workbench データベースを開く

すでに作成されている Access、SQL Server、または Oracle Silk Test Workbench データベースを開いて、データベース スキーマの更新、データベースのレコードのロック解除、データベースのコンパクト化などのメンテナンス タスクを実行できます。

  • Microsoft SQL Server データベースを開く
    データベース メンテナンス タスクを実行する前に、データベースを開く必要があります。
  • Oracle データベースを開く
    データベース メンテナンス タスクを実行する前に、データベースを開く必要があります。
  • Accessデータベースを開く
    データベース メンテナンス タスクを実行する前に、データベースを開く必要があります。
親トピック: データベース メンテナンス


Microsoft SQL Server データベースを開く

データベース メンテナンス ユーティリティを起動して Microsoft SQL Server データベースを開くには、以下の手順に従います。

  1. (Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > データベース メンテナンス、または (Microsoft Windows 10) スタート > Silk > データベース メンテナンス をクリックします。 データベース メンテナンス ユーティリティが起動されます。
  2. ファイル > データベースを開く > SQL Server をクリックします。 SQL Server データ ソースの接続 ダイアログ ボックスが開きます。
  3. 参照 をクリックします。 ODBC データ ソースの選択 ダイアログ ボックスが開きます。
  4. 目的の Microsoft SQL Server DSN を選択して、選択 をクリックします。 SQL Server データ ソースの接続 ダイアログ ボックスが開き、SQL Server データ ソース名 テキスト ボックスに選択した DSN が表示されます。
    注: デフォルトの Silk Test Microsoft SQL Server 2008 Express データベースの DSN は Silk Test_SQL です。
  5. 所有者、ユーザー ID、および パスワード テキスト ボックスに、Silk Test Microsoft SQL Server データベース インスタンスに関する適切な情報を入力します。
    注: デフォルトの Silk Test Microsoft SQL Server 2008 Express データベースの所有者は Silk Test DB であり、管理者権限を持つユーザーのユーザー名は SilkTestAdmin、パスワードは SilkTestAdmin です。
  6. 開く をクリックします。 データベースが開き、データベース メンテナンス ユーティリティの ツール メニュー オプションが使用可能になります。 選択したベータベースに現在接続しているユーザーがいる場合は、メッセージが表示されます。 詳細については、「接続ユーザーがいるデータベースのメンテナンスの実行」を参照してください。
親トピック: Silk Test Workbench データベースを開く
関連概念
接続ユーザーがいるデータベースのメンテナンスの実行


Oracle データベースを開く

データベース メンテナンス ユーティリティを起動して Oracle データベースを開くには、以下の手順に従います。

  1. (Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > データベース メンテナンス、または (Microsoft Windows 10) スタート > Silk > データベース メンテナンス をクリックします。 データベース メンテナンス ユーティリティが起動されます。
  2. ファイル > データベースを開く > Oracle をクリックします。 Oracle データ ソースの接続 ダイアログ ボックスが開きます。
  3. 参照 をクリックします。 ODBC データ ソースの選択 ダイアログ ボックスが開きます。
  4. 目的の Oracle DSN を選択して、選択 をクリックします。 Oracle データ ソースの接続 ダイアログ ボックスが開き、Oracle データ ソース名 テキスト ボックスに選択した DSN が表示されます。
  5. スキーマ、ユーザー ID、および パスワード テキスト ボックスに、Silk Test Oracle データベース インスタンスに関する適切な情報を入力します。
  6. 開く をクリックします。 データベースが開き、データベース メンテナンス ユーティリティの ツール メニュー オプションが使用可能になります。 選択したベータベースに現在接続しているユーザーがいる場合は、Silk Test Workbench によってメッセージが表示されます。
詳細については、「接続ユーザーがいるデータベースのメンテナンスの実行」を参照してください。
親トピック: Silk Test Workbench データベースを開く
関連概念
接続ユーザーがいるデータベースのメンテナンスの実行


Accessデータベースを開く

データベース メンテナンス ユーティリティを起動して Microsoft Access データベースを開くには、以下の手順に従います。

  1. (Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > データベース メンテナンス、または (Microsoft Windows 10) スタート > Silk > データベース メンテナンス をクリックします。 データベース メンテナンス ユーティリティが起動されます。
  2. ファイル > データベースを開く > Access をクリックします。 Access データベースの接続 ダイアログ ボックスが開きます。
  3. 参照 をクリックします。 ODBC データ ソースの選択 ダイアログ ボックスが開きます。
  4. 目的の Access DSN を選択して、選択 をクリックします。
  5. 開く をクリックします。 詳細については、「接続ユーザーがいるデータベースのメンテナンスの実行」を参照してください。 データベースが開き、データベース メンテナンス ユーティリティの ツール メニュー オプションが使用可能になります。 選択したベータベースに現在接続しているユーザーがいる場合は、Silk Test Workbench によってメッセージが表示されます。
親トピック: Silk Test Workbench データベースを開く
関連概念
接続ユーザーがいるデータベースのメンテナンスの実行


データベース バージョンの更新

Silk Test Workbench を最新のバージョンにアップグレードする場合、既存のデータベースを変換して新しいソフトウェアと互換性を持たせる必要があります。Silk Test Workbench では、データベースを読み込んだときに自動的にデータベース スキーマのバージョンがチェックされ、データベースのアップグレードが必要な場合は警告が表示されます。この警告は、データベース スキーマが現在の Silk Test Workbench スキーマと一致しない場合には必ず表示されます。データベースは、データベース メンテナンス ユーティリティを使用して変換できます。

変換速度は、変換するデータ量に関係しています。大量のデータを含むデータベースは変換に時間がかかる場合があります。変換後、現在のデータベース バージョン番号が表示されます。

注: データベースを新しいスキーマに変換する場合、Silk Test Workbench の古いバージョンでデータベースにアクセスできなくなります。つまり、すべての Silk Test Workbench ユーザーが新しいバージョンの Silk Test Workbench　にアップグレードする必要があります。
  1. 必要に応じて、Silk Test Workbench のログイン要求を取り消し、ユーザーがデータベースにログオンしないようにします。
  2. データベース メンテナンス ユーティリティを起動して、データベースを開きます。 データベース メンテナンス ユーティリティのメイン ウィンドウが表示されます。
  3. ファイル > データベースを開く をクリックし、データベースの種類を選択します。 データベース接続 ダイアログ ボックスが表示されます。
  4. データベース名とパスワードを入力するか、参照 をクリックします。
  5. 開く をクリックします。 データベースの更新が必要な場合は、ツール > 変換 をクリックしてデータベースを更新するよう求めるメッセージ ボックスが表示されます。
  6. OK をクリックします。 データベースが開き、データベース メンテナンス ユーティリティの ツール メニュー オプションが有効になります。
  7. 変換 をクリックします。 データベースの変換 ダイアログ ボックスが開き、変換前に現在のデータベースをバックアップするかどうかを尋ねられます。データベースのバックアップを選択します。
  8. 今すぐ変換 をクリックして、データベースを現在のスキーマ バージョンに更新します。
  9. 変換が完了したら、閉じる をクリックします。
親トピック: データベース メンテナンス


データベース レコードのコピー

データベース メンテナンス ユーティリティでは、1 つのデータベースから別のデータベースにレコードをコピーすることによって、データベースの複製コピーを作成できます。たとえば、あるサイトで Silk Test Workbench 資産リポジトリとして Microsoft Access を使用しており、Silk Test Workbench のデータを Oracle データベースに格納する場合は、データベース メンテナンス ユーティリティを使用して、Access データベースに格納されているデータを Oracle データベースにコピーします。コピー ユーティリティを使用すると、Silk Test Workbench のすべてのデータがターゲット データベースで読み取り可能な形式に自動的にコピーされます。

ネットワーク データベースではコピー操作を実行しないでください。ネットワーク データベースをローカルのワークステーションにコピーし、コピー機能を実行してからネットワークの元の場所にデータベースを戻してください。これによって、ネットワークの障害や中断によるコピー作業への影響を防ぐことができます。

  1. ユーザーがデータベースに接続していないことを確認してください。
  2. データベース メンテナンス ユーティリティを起動して、コピー元データベースを開きます。
  3. コピー ツール バー ボタンをクリックします。 コピー先 ダイアログ ボックスが開きます。
  4. コピー先データベースの種類を選択して、OK をクリックします。
    • Access データベースへのコピー
      1. DSN テキスト ボックスで、参照 をクリックして、コピー先データベースの DSN を選択します。Access テキスト ボックスに、データベースのパスと名前が表示されます。
      2. コピー をクリックします。テーブルのコピー中 ダイアログ ボックスが開き、データベース コピー処理の進行状況が表示されます。
    • Microsoft SQL Server データベースのコピー
      1. Microsoft SQL Server データ ソースの名前を入力するか、または 参照 をクリックしてデータ ソース名を選択します。所有者名はデフォルトで dbo になります。
      2. ユーザー ID を入力します。ユーザーは、dbo 権限を持っている必要があります。
      3. データベース サーバー上の Silk Test Workbench データベース インスタンスのパスワードを入力します。このユーザー ID とパスワードは、データベース サーバー上の Silk Test Workbench データベース インスタンスへの接続に使用されます。
      4. コピー をクリックします。所有者名、ユーザー ID、パスワードがデータベース サーバーで承認された場合は、データ ソースの作成 ダイアログ ボックスが開き、データベース コピー処理の進行状況が表示されます。
    • Oracle データベースへのコピー
      1. 新しい Oracle データ ソースの名前を入力するか、または 参照 をクリックして既存のデータ ソース名を選択します。スキーマ および ユーザー ID テキスト ボックスのデフォルトは システム であるため、デフォルト設定を使用する場合は、システム管理者または該当するパスワードを把握しているユーザーのみがメンテナンスを実行できます。
      2. コピー をクリックします。スキーマ名、ユーザー ID、パスワードがデータベース サーバーで承認された場合は、データ ソースの作成 ダイアログ ボックスが開き、コピー処理の進行状況が表示されます。データベース メンテナンス ユーティリティによって、Silk Test Workbench データベース インスタンスへの必要な Silk Test Workbench テーブルのコピーが開始されます。
親トピック: データベース メンテナンス


データベースのレコードのロック解除

資産が開いているとき、他のユーザーが同じ資産を同時に編集しないように、そのレコードはロックされます。 リソースを保存するかシステムを終了すると、ロックが解除されます。 システムがクラッシュした場合は、使用していたレコードが起動時にロックされたままになっている可能性があります。システムのクラッシュ後に、誤ってロックされたままになっているレコードがあると、 Silk Test Workbench はロック解除を試みます。

プログラムを使用する前に、すべてのユーザーがシステムからログオフしていることを確認してください。 接続しているユーザーがいる場合は、メッセージが表示されます。

  1. データベース メンテナンス ユーティリティを起動して、データベースを開きます。
  2. レコードのロック解除 をクリックします。 データベースに接続しているユーザーがいる場合は、データベース メンテナンス ユーティリティでデータベースのロック ダウンの際に接続ユーザーが発見されました。 というメッセージが表示されます。
  3. OK をクリックします。 接続ユーザー ダイアログ ボックスが開きます。 ユーザー リストに、現在接続しているユーザーのマシン名が表示されます。
  4. 送信 をクリックして、これらのユーザーにログオフするよう勧告する通知を送ります。 これらのユーザーがログオフしたら、ステップ 1 と 2 を繰り返し、データベース レコードのロックを解除します。
    注: 接続しているユーザーにメッセージを送信するには、オペレーティング システムの Messenger サービスを有効にする必要があります。 Messenger サービスを有効にするには、コントロール パネル > 管理ツール > サービス をクリックし、Messenger を選択して、サービスを開始します。
親トピック: データベース メンテナンス


Access データベースのコンパクト化

データベースが日常的に使用されている場合は、最適なパフォーマンスを得るために定期的にデータベースのコンパクト化を行います。リソースの更新や削除を繰り返すうちに、データベース ファイルの断片化が進みます。断片化はディスク スペースを浪費し、パフォーマンスを低下させることがあります。Access データベースの場合、この手順を実行するまでは、データベースから資産が削除されてもファイル サイズの減少は登録されません。データベース メンテナンス ユーティリティを使用すると、不要なレコードを削除してデータをディスクの連続的な領域に書き込み直すことで、Microsoft Access データベースをコンパクト化できます。

ネットワーク データベースにはデータベースのコンパクト化処理を実行しないでください。ネットワーク データベースをローカルのワークステーションにコピーしてからデータベースのコンパクト化処理を行い、作業が終わったらネットワークの元の場所に戻してください。これによって、ネットワークの障害や中断によるデータベース メンテナンス作業への影響を防ぐことができます。

  1. すべてのユーザーがシステムからログオフしていることを確認し、Silk Test Workbench を終了します。
  2. データベース メンテナンス ユーティリティを起動して、データベースを開きます。
  3. コンパクト化 をクリックします。 確認のためのダイアログ ボックスが開きます。
  4. はい をクリックして続行します。 処理が完了すると、データベースが正しくコンパクト化されたことを知らせるダイアログ ボックスが表示されます。
  5. OK をクリックします。 これで、データベースを使用できます。
親トピック: データベース メンテナンス


データベース メンテナンス設定の構成

データベース メンテナンス ユーティリティでは、コンパクト化、変換、およびコピーの各処理中に使用される設定を構成できます。

メンテナンス システムの操作の設定 ダイアログ ボックスのバックアップ設定は、Microsoft Access データベースにのみ適用されます。Silk Test Workbench データベースとして使用する他の種類のデータベースに対してバックアップ設定を構成するには、各データベースの製品ドキュメントを参照してください。

データベースのコンパクト化や変換を行うときに、現在のバージョンをバックアップできます。メンテナンス システムの操作の設定 ダイアログ ボックスを使用して、保持する最大バックアップ コピー数を指定します。コンパクト化または変換のバックアップ数を3つと指定した場合、データベースを変換またはコンパクト化するたびに、新しいバックアップが1つ作成されます。バックアップが3つ作成されたあとにもう一度変換またはコンパクト化を実行すると、一番古いバックアップが削除されて新しいバックアップが追加されます。

トランザクション中にバッファに入れるレコードの数を選択します。トランザクションとは、パフォーマンスを向上させるために大量のデータをデータベースにサイクルで書き込むプロセスです。トランザクションがデータベースにコミットされるまで、各データベース処理がバッファに入れられます。ただし、1つでも処理が失敗すると、そのトランザクションのすべての処理が失敗します。データをデータベースに保存する前にバッファに入れる処理の数を指定できます。

  1. すべてのユーザーがシステムからログオフしていることを確認し、Silk Test Workbench を終了します。
  2. データベース メンテナンス ユーティリティを起動して、データベースを開きます。
  3. オプション > 構成 を選択します。 メンテナンス システムの操作の設定 ダイアログ ボックスが開きます。
  4. コンパクト化および変換時に維持するバックアップ数の指定、コミットするレコード数の設定、および何秒経過するとクエリを失敗とみなすかを示す秒数の指定を行うには、設定 タブでオプションをダブルクリックします。
親トピック: データベース メンテナンス


接続ユーザーがいるデータベースのメンテナンスの実行

選択したデータベースに接続しているユーザーがいる場合、データベース メンテナンス ユーティリティにメッセージが表示されます。また、接続ユーザー ダイアログ ボックスに接続ユーザーのリストが表示され、ここからこれらのユーザーに通知を送ることができます。デフォルトのメッセージを使用するか、または固有のメッセージを作成し、送信 をクリックして、データベースからログオフするように接続ユーザーに通知します。

接続ユーザーのいるデータベースでメンテナンスを実行すると、ローカル マシンのシステムが不安定になるので、これは行わないでください。接続ユーザーがいなくなるまで待機する場合は、一覧情報を更新 ボタンを使用して、接続ユーザーの最新のビューを表示できます。

注: ユーザーがメッセージを受信するには、すべてのユーザーが Windows のメッセンジャー機能を有効にしている必要があります。それには、ユーザーがクライアント マシンの[サービス]にアクセスし、[Messenger]サービスをオンにします。メッセージの送信に使用されるWindowsのメカニズムによって複数のメッセージが送られる場合があります。
親トピック: データベース メンテナンス


データベース整合性チェックの実行

データベース整合性チェックを正しく実行するには、Silk Test インストール ディレクトリの書き込み権が必要です。データベース整合性チェックに、Silk Test Workbench はこのディレクトリにデータベース整合性チェックの結果を書き込みます。書き込み件がない場合は、データベースがメンテナンスのためにロックされてしまう可能性があります。

データベース メンテナンス ユーティリティを使用すると、データベースの整合性を検証して、検出されたエラーを修正できます。

  1. データベースを開き、ツール > 整合性チェックの実行 を選択します。 資産の検証中 メッセージ ボックスが表示され、整合性チェックの進行状況が示されます。エラーがない場合は、メッセージ ボックスが閉じます。エラーが見つかると、メッセージ ボックスが表示され、結果を確認するように求められます。
  2. はい をクリックして、整合性チェックの結果を確認します。 結果はデフォルトのテキスト エディタで表示されます。整合性チェックの結果が記録されたファイルは、Silk Test の logs ディレクトリ（通常は %LOCALAPPDATA%\Silk\Silk Test\logs）に IntegrityCheck.log という名前で保存されます。
親トピック: データベース メンテナンス


データベースの膨張の抑制

ビジュアル テストの記録と再生中、Silk Test Workbench は記録と再生の各段階で、テスト アプリケーションの画面とコントロールをキャプチャし、格納します。 多数のイメージやコントロールがキャプチャされる可能性があるため、データベースのサイズが急速に増えることがあります。

データベース サイズの増加を抑えるには、記録と再生の設定で 画面キャプチャ および コントロールのキャプチャ を無効にします。 詳細については、「記録出力オプションの設定」および「再生結果のビジュアル テスト オプションの設定」を参照してください。

注: コントロールをキャプチャすると、画面プレビュー からコントロールを更新したり、記録したビジュアル テストにテスト アプリケーションのコントロールを挿入したりできます。 また、この機能を無効にすると、選択したステップと関連するコントロールを示す強調ボックスが 画面プレビュー で表示されなくなります。
たとえば、XML 形式にエクスポートしたとき、一般的なテスト アプリケーションの再生結果のサイズは、キャプチャ設定によって以下のようになります。

  • 画面とコントロールの両方をキャプチャした場合：7.8MB

  • 画面だけをキャプチャした場合：5.9MB

  • 画面とコントロールのキャプチャを無効にした場合：382KB

親トピック: Silk Test Workbench の管理
関連タスク
記録の出力オプションの設定
ビジュアル テストの再生結果オプションの設定


プロジェクトの追加

プロジェクトを Silk Test Workbench データベースに追加するには、管理者としてログインする必要があります。プロジェクトを作成する場合、新しいプロジェクトのアクセス権には、デフォルトのアクセス権が設定されます。

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. プロジェクト タブをクリックします。
  3. 追加 をクリックします。 プロジェクトの追加 ダイアログ ボックスが開きます。
  4. 名前 テキスト ボックスに、新しいプロジェクトの名前を入力します。
  5. OK をクリックします。
親トピック: プロジェクトの管理


プロジェクト名の変更

Silk Test Workbench データベースのプロジェクト名を変更するには、管理者としてログインする必要があります。

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. プロジェクト タブをクリックします。
  3. 名前を変更するプロジェクトを選択し、名前の変更 をクリックして、プロジェクト名の変更 ダイアログ ボックスを開きます。
  4. 名前 テキスト ボックスに、プロジェクトの新しい名前を入力します。
  5. OK をクリックします。
親トピック: プロジェクトの管理


プロジェクトの複製

プロジェクトのベースラインを作成する場合など、プロジェクトを複製して、プロジェクトの完全なコピーを作成することができます。Silk Test Workbench データベースのプロジェクトを複製するには、管理者としてログインする必要があります。

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. プロジェクト タブをクリックします。
  3. 複製するプロジェクトを選択し、複製 をクリックします。 プロジェクトの複製 ダイアログ ボックスが表示されます。
  4. 名前 フィールドに、プロジェクトの新しいコピーの名前を入力します。
  5. 省略可能：すべての資産のバージョンをコピーする チェック ボックスをオンにします。 デフォルトでは、このチェック ボックスはオフになっているため、元のプロジェクトの各資産のアクティブなバージョンだけがコピーされます。
  6. OK をクリックします。
注: 元のプロジェクトにある結果はコピーされません。
親トピック: プロジェクトの管理


プロジェクトの削除

Silk Test Workbench データベースからプロジェクトを削除するには、管理者としてログインする必要があります。

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. プロジェクト タブをクリックします。
  3. 削除するプロジェクトを選択します。
  4. 削除 をクリックします。 プロジェクトの削除を確認するメッセージ ボックスが表示されます。
  5. OK をクリックして、プロジェクトを完全に削除します。
親トピック: プロジェクトの管理


ユーザーの管理

管理者は、Silk Test Workbench のリソースや情報にアクセスすることを許可されたユーザーのリストを管理する必要があります。

  • ユーザーの追加
    Silk Test Workbench データベースにアクセスするには、固有のユーザー プロファイルがそのデータベースに存在する必要があります。
  • ユーザーの削除
    Silk Test Workbench データベース内のデータのサイズを抑制するために、不要なユーザー プロファイルを削除できます。
  • ユーザー プロファイルの編集
    ユーザー プロファイルを編集することによって、ユーザーの名前およびパスワードを変更できます。
  • プロジェクトに対するユーザーのアクセス権の変更
    ユーザー プロファイルを編集することによって、既存のプロジェクトに対するユーザーのアクセス権を変更できます。
親トピック: Silk Test Workbench の管理


ユーザーの追加

Silk Test Workbench データベースにユーザーを追加するには、管理者としてログインする必要があります。ユーザー プロファイルを編集すると、プロジェクトに対するユーザーのデフォルト権限をいつでも上書きできます。

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. ユーザー タブをクリックします。
  3. 追加 をクリックします。 ユーザーの追加 ダイアログ ボックスが開きます。
  4. ユーザーの認証情報を Silk Test Workbench が保存できる Windows 認証をこのユーザーに対して使用したい場合は、ドメイン フィールドにドメインを入力します。Silk Test Workbench 認証を使用したい場合は、ドメイン フィールドを空のままにします。
  5. ユーザー ID テキスト ボックスに、ユーザーのログオン ID を入力します。
  6. パスワード テキスト ボックスに、ユーザーのパスワードを入力します。
  7. パスワードの確認入力 テキスト ボックスに、同じパスワードを入力します。
  8. フルネーム テキスト ボックスに、ユーザーの名前を入力します。
  9. 種類 リストを使用して、ユーザーが管理者であるかどうかを指定します。
  10. デフォルトの権限 リストを使用して、ユーザーに対して新しい Silk Test Workbench プロジェクトに対するデフォルトのアクセス レベルを割り当てます。 以下の種類の権限から選択します。
    • アクセス不可

      ユーザーは、プロジェクト情報の表示または変更、あるいは記録および再生の実行ができません。

    • 読み取り専用

      ユーザーは、プロジェクト情報を表示できますが、資産を変更したり、記録および再生を実行したりできません。

    • 実行者

      ユーザーは、プロジェクト情報を表示して結果を変更できますが、他の資産は変更できません。

    • スクリプト作成者

      ユーザーは、プロジェクト情報の表示と資産の変更を実行できます。

    • フル アクセス

      ユーザーは、すべての資産に対する完全な読み取り／書き込みアクセス権を持ちます。

  11. OK をクリックします。
親トピック: ユーザーの管理


ユーザーの削除

Silk Test Workbench データベースから他のユーザーを削除するには、管理者としてログインする必要があります。

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. ユーザー タブをクリックします。
  3. 削除するユーザーを選択します。
    注: 管理権を持つ他のユーザーが存在する場合だけ、デフォルトのユーザー Admin を削除することができます。
  4. 削除 をクリックします。 選択したユーザーの削除を確認するメッセージ ボックスが表示されます。
  5. OK をクリックして、ユーザーを完全に削除します。
親トピック: ユーザーの管理


ユーザー プロファイルの編集

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. ユーザー タブをクリックします。
  3. 変更するユーザー プロファイルを選択して、変更 をクリックします。 ユーザーの変更 ダイアログ ボックスが開きます。
  4. 適切なテキスト ボックスに新しい情報を入力します。
  5. OK をクリックして、変更内容を保存します。
親トピック: ユーザーの管理


プロジェクトに対するユーザーのアクセス権の変更

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. ユーザー タブをクリックします。
  3. アクセス権限を変更するユーザーを選択します。 管理 ダイアログ ボックスの右側のパネルには、ユーザーがアクセスできるプロジェクト、および各プロジェクトに対するユーザーのアクセス レベルがリストされます。
  4. プロジェクトの ユーザー アクセス リストを使用して、ユーザーに割り当てる新しいアクセス権限レベルを選択します。
  5. OK をクリックします。
親トピック: ユーザーの管理


グループの管理

Windows ドメイン アカウントのグループを同じ権限でデータベースにログインできるようにします。

グループが共有データベースを持つ場合、単にそのグループを追加して、すべてのグループ メンバが同じ権限でデータベースにログインすることができます。新しいメンバがグループに追加されると、データベースへのアクセス権が自動的に与えられ、メンバがグループから削除されると、データベースへのアクセス権がなくなります。

ローカルマシンのすべてのユーザーがデータベースにアクセスできるようにするには、BUILTIN\All Users をグループ リストに追加します。新しい Access データベースには、デフォルトでこのグループがグループ リストが追加され、新しいユーザーが簡単に開始できるようになっています。

  • グループの追加
    同じ資格情報でデータベースにアクセスするために、Silk Test Workbench データベースを共有するグループを有効化するには、グループ プロファイルがデータベースに存在する必要があります。
  • グループの削除
    Silk Test Workbench データベースのデータのサイズを範囲内に収めるため、不要なグループ プロファイルを削除します。
  • グループの変更
    どのグループのメンバがデータベースを操作できるかを変更するためにグループの設定を変更します。
親トピック: Silk Test Workbench の管理


グループの追加

同じ資格情報でデータベースにアクセスするために、Silk Test Workbench データベースを共有するグループを有効化するには、グループ プロファイルを追加します。

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. グループ タブをクリックします。
  3. 追加 をクリックします。 グループの追加 ダイアログ ボックスが開きます。
  4. グループの認証情報を Silk Test Workbench が保存できる Windows 認証をこのグループに対して使用したい場合は、ドメイン フィールドにドメインを入力します。Silk Test Workbench 認証を使用したい場合は、ドメイン フィールドを空のままにします。
  5. 種類 リストを使用して、グループが管理者グループであるかどうかを指定します。
  6. デフォルトの権限 リストを使用して、グループに対して新しい Silk Test Workbench プロジェクトに対するデフォルトのアクセス レベルを割り当てます。 以下の種類の権限から選択します。
    • アクセス不可

      ユーザーは、プロジェクト情報の表示または変更、あるいは記録および再生の実行ができません。

    • 読み取り専用

      ユーザーは、プロジェクト情報を表示できますが、資産を変更したり、記録および再生を実行したりできません。

    • 実行者

      ユーザーは、プロジェクト情報を表示して結果を変更できますが、他の資産は変更できません。

    • スクリプト作成者

      ユーザーは、プロジェクト情報の表示と資産の変更を実行できます。

    • フル アクセス

      ユーザーは、すべての資産に対する完全な読み取り／書き込みアクセス権を持ちます。

  7. OK をクリックします。
親トピック: グループの管理


グループの削除

Silk Test Workbench データベースからグループを削除するには、管理者としてログインする必要があります。

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. グループ タブをクリックします。
  3. 削除するグループを選択します。
  4. 削除 をクリックします。 選択したグループの削除を確認するメッセージ ボックスが表示されます。
  5. OK をクリックして、グループを完全に削除します。
親トピック: グループの管理


グループの変更

  1. ツール > 管理 を選択します。 または、開始画面 の タスク ペインで 管理 をクリックします。 管理 ダイアログ ボックスが開きます。
  2. グループ タブをクリックします。
  3. 変更したいグループを選択し、変更 をクリックします。 グループの変更 ダイアログ ボックスが開きます。
  4. 適切なテキスト ボックスに新しい情報を入力します。
  5. ユーザーの種類と権限を適切なリスト ボックスから選択します。
  6. OK をクリックして、変更内容を保存します。
親トピック: グループの管理


UI トピック

Silk Test Workbench のデスクトップは、テストにかかわるすべての操作の開始点になります。メニューバーを除き、デスクトップに表示されるウィンドウやペインをはじめとする各種機能の表示と外観を制御することができます。

  • 開始画面
    開始画面 の内容を定義します。
  • Silk Test Workbench のメニュー
    Silk Test Workbench のメニューを示します。
  • ツール バー
    利用可能なツール バーと各ツール バーで利用可能なアクションを示します。
  • ビジュアル ナビゲータ
    ビジュアル ナビゲータ の概要について説明します。
  • [結果] ウィンドウ
    結果 ウィンドウのコントロールについて説明します。
  • アセット ブラウザ
    アセット ブラウザ にアクセスして使用する方法の概要について説明します。
  • [オブジェクトの識別] ダイアログ ボックス
    オブジェクトの識別 ダイアログ ボックスにアクセスして使用する方法の概要について説明します。
  • [コード] ウィンドウ
    コード ウィンドウについて説明します。
  • 出力ウィンドウ
    出力 ウィンドウの内容について説明します。
  • インクルード ウィンドウ
    インクルード ウィンドウを使用して、選択した資産に関するインクルード情報を表示します。選択した資産に含まれる資産と選択した資産を含む資産を表示します。


Silk Test Workbench のメニュー

このセクションでは Silk Test Workbench メニューについて説明します。

メニュー コマンドは、現在使用しているウィンドウ、資産、またはテスト モードの種類に応じて、有効または無効にできます。

  • [ファイル] メニュー
    ファイル メニューのコマンドを一覧して説明します。
  • [編集] メニュー
    編集 メニューのコマンドを一覧して説明します。
  • [操作] メニュー
    操作 メニューのコマンドを一覧して説明します。
  • [表示] メニュー
    表示 メニューのコマンドを一覧して説明します。
  • [挿入] メニュー
    挿入 メニューのコマンドを一覧して説明します。
  • [デバッグ] メニュー
    デバッグ メニューのコマンドを一覧して説明します。
  • [ツール] メニュー
    ツール メニューのコマンドを一覧して説明します。
  • [ウィンドウ] メニュー
    ウィンドウ メニューのコマンドをリストして説明します。
  • [ヘルプ] メニュー
    ヘルプ メニューのコマンドを一覧して説明します。
親トピック: UI トピック


[ファイル] メニュー

ファイル メニューには以下のコマンドがあります。

コマンド (ショートカット) | 説明
新規作成 (Ctrl+N) | 新規作成 ウィンドウを表示し、任意の種類の資産を作成することができます。
開く (Ctrl+O) | アセット ブラウザ を開き、資産を開くことができます。前回作業した資産の種類が強調表示されます。
閉じる | 現在フォーカスが設定されているデスクトップのウィンドウを閉じます。
新しいバージョンとして保存 (Ctrl+S)
  • 資産の現在の状態を資産の新しいバージョンとして保存し、増分の数値識別子をそのバージョンに割り当てます。ショートカット キーの組み合わせは、デフォルトの保存動作が 新しいバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。
  • 資産の現在の状態を資産の現在のバージョンとして保存します。ショートカット キーの組み合わせは、デフォルトの保存動作が 現在のバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。このコマンドは、資産を最初に保存するときは無効です。
現在のバージョンとして保存 (Ctrl+S) | 資産の現在の状態を資産の現在のバージョンとして保存します。ショートカット キーの組み合わせは、デフォルトの保存動作が 現在のバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。このコマンドは、資産を最初に保存するときは無効です。
名前を付けて保存 | 名前を付けて保存 ダイアログ ボックスを開いて、現在の資産を別の名前で保存します。
すべて保存 (Ctrl+Shift+L)
  • 開いているすべての資産の現在の状態を資産の新しいバージョンとして保存し、各資産のバージョン識別子をインクリメントします。ショートカット キーの組み合わせは、デフォルトの保存動作が 新しいバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。
  • 開いているすべての資産の現在の状態を資産の現在のバージョンとして保存します。ショートカット キーの組み合わせは、デフォルトの保存動作が 現在のバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。このコマンドは、資産を最初に保存するときは無効です。
複製 | アセット ブラウザ で資産を選択してからこのメニュー項目を選択し、新しい名前を使って資産を複製します。
名前の変更 | アセット ブラウザ で資産を選択してからこのメニュー項目を選択し、選択した資産の名前を変更します。
削除 (Del) | 選択した資産を削除します。
すべてのバージョンを表示 | アセット ブラウザ で資産を選択してからこのメニュー項目を選択し、資産のすべてのバージョンを表示します。
要約情報 (Alt+Enter) | ビジュアル テストまたはスクリプトから 要約情報 ダイアログ ボックスを表示します。
ページ設定 | ブラウザ コントロールの ページ設定 を表示します。このダイアログ ボックスでの設定は、現在選択されている資産に適用され、[印刷プレビュー] ダイアログに表示されます。
印刷プレビュー | 印刷プレビュー ダイアログ ボックスを表示して、現在の資産を印刷する前にそのレイアウトを確認できます。
印刷 (Ctrl+P) | [印刷] ダイアログ ボックスを表示して、選択した資産を印刷できます。
資産のエクスポート | 資産のデータベース間でのエクスポートは、資産エクスポート ウィザードを使用して行います。 詳細については、「資産のエクスポート」を参照してください。
資産のインポート | 資産のデータベース間でのインポートは、資産インポート ウィザードを使用して行います。 詳細については、「資産のインポート」を参照してください。
最近使った資産 | 最近アクセスしたテスト資産のサブメニューを表示します。
終了 | Silk Test Workbench を終了します。
親トピック: Silk Test Workbench のメニュー
関連タスク
資産保存時のデフォルト動作の設定


[編集] メニュー

編集 メニューには以下のコマンドがあります。

コマンド | 説明
元に戻す (Ctrl+Z) | テスト スクリプトで直前に加えた編集内容を元に戻します。ビジュアル テストでは利用できません。
やり直し (Ctrl+Y) | テスト スクリプトの直前の 元に戻す 操作を無効にします。ビジュアル テストでは利用できません。
切り取り (Ctrl+X) | 選択した項目を切り取って、クリップボードに貼り付けます。
コピー (Ctrl+C) | 選択した項目をコピーします。
貼り付け (Ctrl+V) | 選択した項目を貼り付けます。
すべて選択 (Ctrl+A) | 現在のビジュアル テストのすべてのテスト ステップ、または現在のテスト スクリプトのコード行を選択します。
検索と置換 | スクリプト内の特定のコードを検索し、必要に応じて置換します。
指定行へ移動 (Ctrl+G) | スクリプト内の特定の行へ移動します。
ブックマーク | ブックマークのオンとオフの切り替え、前のブックマークまたは次のブックマークへの移動、またはスクリプト内のブックマークのクリアを実行します。
行コメント (Ctrl+K) | スクリプトで現在選択されている行 (複数) をコメント アウトして無効化します。コード ブロック全体をコメント アウトするために、このショートカットを使用できます。また、Ctrl+F11 を使用することもできます。
行コメント解除 (Ctrl+Shift+K) | スクリプトで現在選択されている行 (複数) のコメントを解除して有効化します。
フラグ | 現在選択されているフラグを編集または削除します。
画面の更新 | 選択したテスト ステップについてテスト アプリケーションから画面情報を更新します。テスト アプリケーションの画面が実行されており、更新が必要なステップが選択されている必要があります。
条件 | 条件 ダイアログ ボックスを表示して、検証全体の合格基準とする、再生での検証の合格の割合を設定できます。
フィルタの管理 | 結果に表示するデータをフィルタ処理するための フィルタの管理 ダイアログ ボックスを表示します。フィルタは、現在表示されているビューにかかわらず、要約 ビューと 詳細 ビューの両方に適用されます。
親トピック: Silk Test Workbench のメニュー


[操作] メニュー

操作 メニューには以下のコマンドがあります。

コマンド | 説明
記録 | すべてのユーザー操作を、アクティブなビジュアル テストまたはテスト スクリプトの現在の位置に記録します。
一時停止 | 現在再生中のビジュアル テストまたはテスト スクリプトを一時停止して、実行が中断された地点を強調表示します。
再生 (F5) | アクティブなビジュアル テストまたはスクリプトを再生します。
停止 | 現在アクティブなビジュアル テストまたはスクリプトの再生を中止します。
基本状態の実行 | テスト対象アプリケーションを基本状態に戻します。基本状態とは、テストの実行を始める前にアプリケーションがあるべき既知の安定した状態を言います。詳細については、「基本状態」を参照してください。
相違点の表示 | 選択した 2 つの資産の違いを比較します。
画面の更新 | 選択したテスト ステップに対して、テスト アプリケーションから画面情報を更新します。テスト アプリケーションの画面が実行されており、更新が必要なステップが選択されている必要があります。
親トピック: Silk Test Workbench のメニュー


[表示] メニュー

表示 メニューには以下のコマンドがあります。

コマンド | 説明
移動 | 以下に挙げる1つまたは複数の項目に移動するためのコマンドを示すサブメニューを表示します。 [詳細] ページ：結果の 合格 タブまたは 失敗 タブで選択したステップから、結果の 詳細 タブの同じステップに移動します。 ビジュアル テストのウィンドウ：結果ウィンドウからビジュアル テスト ウィンドウに移動します。 結果ウィンドウ：ビジュアル テスト ウィンドウから結果ウィンドウに移動します。
ロジック ツールボックス | テスト ロジック デザイナ へのリンクを表示する [テスト ロジック ツールボックス] を表示します。
新しいウィンドウで開く | 選択したイメージを 画面プレビュー に表示するか、または選択した結果を新しいウィンドウに表示します。
テスト ステップ | ビジュアル ナビゲータ の テスト ステップ ウィンドウまたは 結果 ウィンドウで、特定のステップの表示を切り替えます。 ステップのみ：テスト アプリケーションに対してテスト操作を実行するステップを表示します。 画面のみ：テストに関連付けられた画面を表示するステップを表示します。 ステップと画面：操作を実行するステップと画面を表示するステップの両方を表示します。 ステップの説明：表示されるテスト ステップに入力されている説明を表示します。
列 | 結果 ウィンドウの 詳細 タブに結果情報を表示します。 基本表示：標準的な テスト ステップ ペインの情報、および 結果 と 結果の詳細 の追加の列を表示します。 詳細表示：各ステップの詳細情報を表示します。
開始画面 (Ctrl+Alt+S) | 開始画面 を表示します。
アセット ブラウザ (Ctrl+Alt+A) | アセット ブラウザ を開きます。
エラー リスト | テスト ステップ ペインで、エラーを赤色で表示します。
出力 | 出力 ウィンドウを表示します。
インクルード | インクルード ウィンドウを表示します。
キーワード | 作業中のプロジェクトと Common プロジェクトのすべてのキーワード、および統合した Silk Central インスタンスで定義されたキーワードを一覧する キーワード エディタ を表示します。
更新 | ウィンドウを更新します。
ズーム | 画面プレビュー の現在のイメージのサイズを拡大／縮小します。アプリケーション ウィンドウがアクティブな場合に有効になります。
ツール バー | ツール バーの表示/非表示を切り替えます。
ステータス バー | 現在のセッション情報を表示するステータス バーを表示します。
レイアウトの復元 | ビジュアル ナビゲータ のレイアウトを元の表示設定に戻します。
親トピック: Silk Test Workbench のメニュー


[挿入] メニュー

挿入 メニューには以下のコマンドがあります。

コマンド | 説明
テスト ロジック | 現在のビジュアル テストに対してロジックを作成します。詳細については、「ツールバー」または「テスト ロジック」を参照してください。
コントロール 次のひとつからビジュアル テストにコントロールを挿入します。
  • テスト対象アプリケーション。
  • 画面プレビュー。
  • オブジェクトの識別 ダイアログ。
ファイル | 外部ファイルをスクリプトに挿入します。スクリプトがアクティブな場合に有効になります。
ビジュアル テスト | ビジュアル テストの参照 ダイアログ ボックスを開いて、ビジュアル テストをアクティブなビジュアル テストに追加します。ビジュアル テストがアクティブな場合に有効になります。
.NET スクリプト | .NET スクリプトの参照 ダイアログ ボックスを開いて、.NET スクリプトをアクティブなビジュアル テストに追加します。ビジュアル テストがアクティブな場合に有効になります。
外部プログラム | アクティブなビジュアル テストの再生中に、選択したポイントでアプリケーションまたはプログラムを開始します。
式 | 式デザイナ を表示して、アクティブなビジュアル テストに式を挿入できます。
検証資産 | ビジュアル テストの現在のステップに既存の検証資産を挿入します。現時点では、イメージ検証のみが検証資産としてサポートされています。詳細については、「イメージ検証」を参照してください。
結果コメント | ビジュアル テストの現在のステップに結果のコメントを挿入します。詳細については、「ビジュアル テストへのコメントの挿入」を参照してください。
ラベル | 空白の編集可能なステップを、プロパティ値を指定せずにビジュアル テストに挿入します。
エラー処理 | ビジュアル テストの現在のステップにエラー処理を挿入します。
メッセージ ボックス | メッセージ ボックスのテスト ステップを挿入します。
コメント | ビジュアル テストの現在のステップにコメントを挿入します。
再生設定 | 再生設定とその値を現在のテストに設定するか、または現在のテストから取得します。
コントロールのプロパティ | 空のステップを挿入し、そのステップを使用してテスト アプリケーションのコントロールからプロパティをキャプチャして、変数に設定します。ステップの プロパティ ペインで、ロケーター フィールドの識別 ボタンを使用してコントロールをキャプチャし、コントロールの特定のプロパティを選択します。
プログラム フロー | テスト フローを制御するステップを挿入するか、またはテストの信頼性を高めます。
同期とタイミング | オブジェクトを待機するテスト ステップ、指定した時間だけビジュアル テストの再生を遅らせるテスト ステップ、または再生のタイマーを作成するテスト ステップを挿入します。
SAP eCATT
  • 引数の取得
  • 引数の設定

ビジュアル テストと SAP eCATT 資産の間で変数を受け渡しできるようにします。SAP が Silk Test Workbench と同じコンピュータにインストールされている場合に有効になります。詳細については、「SAP eCATT の操作」を参照してください。
アクティブ データ 次の操作があります。
新規作成
新しいアクティブ データ資産を作成して、ビジュアル テストに関連付けます。詳細については、「アクティブ データ資産のビジュアル テストへの関連付け」を参照してください。
既存の関連付け
既存のアクティブ データ資産をビジュアル テストに関連付けます。詳細については、「アクティブ データ資産のビジュアル テストへの関連付け」を参照してください。
直ちに保存
アクティブ データ ファイルを直ちに保存するステップをビジュアル テストに挿入します。詳細については、「ビジュアル テスト内で更新されたアクティブ データの即時保存」を参照してください。
保存のキャンセル
アクティブ データ ファイルを保存する前の要求をキャンセルします。
変数 | ビジュアル テストに対して、ローカル変数の追加や、グローバル パラメータの設定または取得を行います。詳細については、「ビジュアル テストにおける変数」を参照してください。
フラグ | 選択したテスト ステップにフラグまたはメモを設定します。詳細については、「フラグ」を参照してください。
画面の更新 | 選択したテスト ステップに対して、テスト アプリケーションから画面情報を更新します。テスト アプリケーションの画面が実行されており、更新が必要なステップが選択されている必要があります。
親トピック: Silk Test Workbench のメニュー


[デバッグ] メニュー

テストのデバッグの詳細ついては、「テストのデバッグ」を参照してください。デバッグ メニューには以下のコマンドがあります。

コマンド (ショートカット) 使用可能な資産 説明
コンパイル (F7)
  • スクリプト
 スクリプトの構文がコンパイルのすべての条件を満たしているかをチェックし、コードをコンパイルし、エラーが発生した場合は表示します。
ステップイン (F8)
  • スクリプト
  • ビジュアル テスト
 ビジュアル ステップの場合、テスト ステップを一度に 1 つずつ再生します。スクリプトの場合、ステートメントを一度に 1 つずつ再生します。
ステップ オーバー (Shift+F8)
  • スクリプト
  • ビジュアル テスト
 埋め込まれているビジュアル テストまたはスクリプト全体を再生し、元のビジュアル テストまたはスクリプト内の次のステップで停止してデバッグ モードになります。VB .NET スクリプトで押下された場合は、関数呼び出しのステップ オーバーも行います。
ステップ アウト (Ctrl+Shift+F8)
  • スクリプト
  • ビジュアル テスト
 別のビジュアル テストから再生しているビジュアル テスト内の残りのステップをすべて実行したあと、元のビジュアル テスト内の次のステップで再生が一時停止します。スクリプトの場合は、プロシージャ内の残りすべてのコードを 1 つのステートメントのように実行し、そのプロシージャを最初に呼び出したプロシージャ内の次のステートメントに移ります。
カーソルまで実行 (Ctrl+F8)
  • スクリプト
  • ビジュアル テスト
 現在選択されているテスト ステップまでビジュアル テストを再生するか、または現在選択されているステートメントまでスクリプトを再生します。
カーソルから実行
  • ビジュアル テスト
 現在選択されているテスト ステップからビジュアル テストを再生します。
ブレークポイントの設定/クリア (F9)
  • スクリプト
  • ビジュアル テスト
 選択したステップまたはコード行にブレークポイントを設定するか、または選択したステップまたはコード行に設定されているブレークポイントをクリアします。
すべてのブレークポイントのクリア (Ctrl+Shift+F9)
  • スクリプト
  • ビジュアル テスト
 すべての開いているビジュアル テストと VB .NET スクリプトのすべてのブレークポイントをクリアします。
実行ポインタ/次のステートメントの設定 (Ctrl+F9)
  • スクリプト
  • ビジュアル テスト
 次のステートメントまたはポインタまで再生を実行します。デバッグ モードの場合に有効になります。
ローカル変数
  • スクリプト
  • ビジュアル テスト
 現在のビジュアル テストまたはスクリプト、および埋め込まれているビジュアル テストまたはスクリプトについて、すべての変数とその値をリストするウィンドウを表示します。
親トピック: Silk Test Workbench のメニュー


[ツール] メニュー

ツール メニューには以下のコマンドがあります。

コマンド | 説明
データベースの変更 | ログオン ダイアログ ボックスを表示して、別のデータベースにログオンします。
パスワードの変更 | パスワードの変更 ダイアログ ボックスを表示して、現在のユーザーのログオン パスワードを変更します。
オブジェクトの識別 (Ctrl+Shift+I) | 選択したオブジェクトのロケーターを記録できる オブジェクトの識別 ダイアログ ボックスを開きます。
管理 | ユーザーを管理し、プロジェクトにアクセスします。
オプション | 構成設定を表示し、それらの設定をカスタマイズできます。
キーワード ライブラリのアップロード | キーワード ライブラリを Silk Central にアップロードします。Silk Test Workbench が Silk Central と統合されている場合にのみ有効になります。詳細については、「Silk Central へのキーワード ライブラリのアップロード」を参照してください。
カスタム コントロールの管理 | カスタム コントロールの管理 ダイアログ ボックスを表示します。
アプリケーション構成の編集 | アプリケーション構成の編集 ダイアログ ボックスを表示して、特定のプロジェクトでキーワード駆動テストによってテストされるアプリケーションを指定したり、アプリケーションの起動方法を設定することができます。詳細については、「アプリケーション構成の編集」を参照してください。
リモート ロケーションの編集 | リモート ロケーション ダイアログ ボックスを表示して、ブラウザーやデバイスにアクセスするリモート ロケーションを指定することができます。詳細については、「リモート ロケーションの編集」を参照してください。
ツールのカスタマイズ | ツール メニューにメニュー項目を追加します。
SAP eCATT | SAP eCATT で作業するためのコマンドにアクセスできます。Silk Test Workbench が SAP eCATT と統合されている場合にのみ有効になります。詳細については、「SAP eCATT の操作」を参照してください。
  • [ツール] メニューのカスタマイズ
    メニュー項目の追加は、頻繁に使用するプログラムやドキュメントにすばやくアクセスする方法を提供するという点で、ショートカットの使用に似ています。
親トピック: Silk Test Workbench のメニュー


[ツール] メニューのカスタマイズ

Silk Test Workbench では、ツール メニューにメニュー項目を追加できます。 これらのメニュー項目により、頻繁に使用するプログラムを簡単に開くことができるようになります。 メニュー項目の追加は、頻繁に使用するプログラムやドキュメントにすばやくアクセスする方法を提供するという点で、ショートカットの使用に似ています。 たとえば、メモ帳用のカスタム メニュー項目を作成すると、Silk Test Workbench での作業を中断せずに、ツール メニューからメモ帳を起動できるようになります。

新しいコマンドに関する情報を入力したあとは 追加 をクリックしないでください。 クリックすると、別の空白エントリが (新しいツール) として追加され、ツール メニューの項目として表示されてしまいます。

  1. ツール > ツールのカスタマイズ をクリックします。 カスタマイズ ダイアログ ボックスが開きます。
  2. 新しい項目を作成するには、追加 をクリックします。 メニュー内容 リストに空白エントリが (新しいツール) として表示されます。 (新しいツール) エントリは、メニュー テキスト テキスト ボックスにも表示されます。
  3. メニュー テキスト テキスト ボックスで、メニュー項目の名前を入力します。 この名前は、ツール メニューに表示されるようになります。 たとえば、このメニュー項目によってメモ帳を起動する場合は、「メモ帳」と入力します。
  4. コマンド テキスト ボックスで、参照 をクリックして、メニュー項目を実行するファイルに移動して選択します。 ファイルを選択するには、プログラムの選択 ダイアログ ボックスでそれを強調表示して、開く をクリックします。 ファイルのパスと名前がわかっている場合は、コマンド テキスト ボックスにそれを入力することもできます。
  5. 引数 テキスト ボックスに、コマンド テキスト ボックスのファイルを実行するために必要なパラメータを入力します。 コマンドが必要ない場合は、このテキスト ボックスを空のままにします。
  6. 初期ディレクトリ テキスト ボックスに、元の項目を含むパスとディレクトリ、またはメニュー項目によって実行されるファイルに必要なすべての関連ファイルを入力します。 プログラムによっては、複数の場所のファイルを使用する必要があります。 メニュー項目によって実行されるファイルがこれらのファイルを見つけられるように、これらのファイルが置かれているフォルダを指定する必要があります。
  7. OK をクリックします。 カスタマイズ ダイアログ ボックスが閉じ、項目が ツール メニューに追加されます。
親トピック: [ツール] メニュー


[ウィンドウ] メニュー

ウィンドウ メニューには以下のコマンドがあります。

コマンド | 説明
上下に並べて表示 | 開いているすべてのウィンドウを上下に並べて表示します。
左右に並べて表示 | 開いているすべてのウィンドウを左右に並べて表示します。
重ねて表示 | 開いているすべてのウィンドウを重ねて表示します。
アイコンの整列 | 最小化したスクリプト、ビジュアル テストなどをウィンドウの最下部に整列します。
開いているファイルのリスト | 開いているビジュアル テスト、結果、スクリプト、またはウィンドウのサブメニューを表示します（アセット ブラウザ や 開始画面 など）。
親トピック: Silk Test Workbench のメニュー


[ヘルプ] メニュー

ヘルプ メニューには以下のコマンドがあります。

コマンド | 説明
目次 | ヘルプの目次を表示します。
検索 | ヘルプの 検索 タブを開きます。
索引 | ヘルプの 索引 タブを開きます。
チュートリアル | Silk Test Workbench のチュートリアルを開きます。
製品更新の確認 | Silk Test Workbench の新しいバージョンが利用可能かどうかを確認します。
Silk Test Workbench のバージョン情報 | Silk Test Workbench の製品情報を表示します。
親トピック: Silk Test Workbench のメニュー


ツール バー

メニューの 表示 > ツール バー を開き、ツール バーの左側にあるチェック ボックスのオン/オフを切り替えて、ツール バーを表示/非表示します。Silk Test Workbench では、以下のツール バーを利用できます。
ファイル
資産管理を行うための以下のアクションが提供されます。
ボタン | 説明
新規作成 (Ctrl+N) | 新規作成 ウィンドウを表示し、任意の種類の資産を作成することができます。
開く (Ctrl+O) | アセット ブラウザ を開き、資産を開くことができます。前回作業した資産の種類が強調表示されます。
新しいバージョンとして保存 (Ctrl+S)
  • 資産の現在の状態を資産の新しいバージョンとして保存し、増分の数値識別子をそのバージョンに割り当てます。ショートカット キーの組み合わせは、デフォルトの保存動作が 新しいバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。
  • 資産の現在の状態を資産の現在のバージョンとして保存します。ショートカット キーの組み合わせは、デフォルトの保存動作が 現在のバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。このコマンドは、資産を最初に保存するときは無効です。
すべて保存 (Ctrl+Shift+L)
  • 開いているすべての資産の現在の状態を資産の新しいバージョンとして保存し、各資産のバージョン識別子をインクリメントします。ショートカット キーの組み合わせは、デフォルトの保存動作が 新しいバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。
  • 開いているすべての資産の現在の状態を資産の現在のバージョンとして保存します。ショートカット キーの組み合わせは、デフォルトの保存動作が 現在のバージョンとして保存 に設定されている場合に有効です。詳細については、「資産保存時のデフォルト動作を設定する」を参照してください。このコマンドは、資産を最初に保存するときは無効です。
印刷 (Ctrl+P) | [印刷] ダイアログ ボックスを表示して、選択した資産を印刷できます。
印刷プレビュー | 印刷プレビュー ダイアログ ボックスを表示して、現在の資産を印刷する前にそのレイアウトを確認できます。
索引 | ヘルプの 索引 タブを開きます。
編集
編集を行うための以下のアクションが提供されます。
ボタン | 説明
切り取り (Ctrl+X) | 選択した項目を切り取って、クリップボードに貼り付けます。
コピー (Ctrl+C) | 選択した項目をコピーします。
貼り付け (Ctrl+V) | 選択した項目を貼り付けます。
元に戻す (Ctrl+Z) | テスト スクリプトで直前に加えた編集内容を元に戻します。ビジュアル テストでは利用できません。
やり直し (Ctrl+Y) | テスト スクリプトの直前の 元に戻す 操作を無効にします。ビジュアル テストでは利用できません。
行コメント (Ctrl+K) | スクリプトで現在選択されている行 (複数) をコメント アウトして無効化します。コード ブロック全体をコメント アウトするために、このショートカットを使用できます。また、Ctrl+F11 を使用することもできます。
行コメント解除 (Ctrl+Shift+K) | スクリプトで現在選択されている行 (複数) のコメントを解除して有効化します。
アクション
記録操作を行うための以下のアクションが提供されます。
ボタン | 説明
記録 | すべてのユーザー操作を、アクティブなビジュアル テストまたはテスト スクリプトの現在の位置に記録します。
再生 (F5) | アクティブなビジュアル テストまたはスクリプトを再生します。
一時停止 | 現在再生中のビジュアル テストまたはテスト スクリプトを一時停止して、実行が中断された地点を強調表示します。
停止 | 現在アクティブなビジュアル テストまたはスクリプトの再生を中止します。
オブジェクトの識別 (Ctrl+Shift+I) | 選択したオブジェクトのロケーターを記録できる オブジェクトの識別 ダイアログ ボックスを開きます。
表示
アセット ブラウザ や 開始画面 を表示します。
テスト ロジック
ビジュアル テストにロジックを追加するための以下のアクションが提供されます。
ボタン | 説明
判断タイプのロジックの作成 | 判断ロジックでは、ユーザー定義の条件を評価して、その条件の戻り値に応じて一連のテスト ステップを実行します。
繰り返しタイプのロジックの作成 | 繰り返しロジックは、指定した回数、またはユーザー定義の条件が true になるまで、一連のテスト ステップを繰り返します。
検証タイプのロジックの作成 (Ctrl+Alt) | 検証ロジックは、ユーザー定義の条件を評価して、合格／失敗メッセージをビジュアル テストまたはスクリプトの結果に送信します。
再生エラー処理ロジックの作成 | エラー処理ロジックを設定すると、再生エラーをデバッグする必要がなくなります。エラー処理を設定するには、ビジュアル テストでエラーの検出ステップとその処理方法を設定します。
If タイプのロジック項目の挿入 | 作業中のビジュアル テストに条件ロジックを追加します。選択中のテスト ステップが、If と End If テスト ステップで囲まれます。テスト ステップは、条件に合致した場合にのみ実行されます。
Else If タイプのロジック項目の挿入 | ビジュアル テストの If または Else If テスト ステップと End If テスト ステップ間でのみ使用できます。先行する If または Else If テスト ステップの条件が合致せず、この Else If テスト ステップの条件に合致した場合に、Else If と End If の間のテスト ステップが実行されます。
Else タイプのロジック項目の挿入 | ビジュアル テストの If または Else If テスト ステップと End If テスト ステップ間でのみ使用できます。先行する If または Else If テスト ステップの条件が合致しない場合に、Else と End If の間のテスト ステップが実行されます。
親トピック: UI トピック


[ビジュアル ナビゲータ]：[テスト ステップ] ペイン

テスト ステップ ペインは、ビジュアル テスト、およびビジュアル テストとスクリプトの結果を表示したり、管理したりするための中央の領域です。 テスト ステップ ペインには、ビジュアル テストを構成する、記録または挿入された操作が 1 行ずつ表示されます。 各操作はステップと呼ばれる個別の行で表されます。 ステップは、テスト アプリケーションをテストするために行われる操作を、技術的でない明確な言語で表します。 各ステップは、テスト アプリケーションに対して実行される操作またはテストを管理するために使用される操作に対応しています。

テスト アプリケーションと対話するステップは、画面プレビュー で、対応するアプリケーション画面要素のイメージによって表されます。 また、各ステップは ストーリーボード のサムネイルに対応するようにグループ化されています。

各ステップには、ステップの操作に関する詳細を決定するプロパティが含まれています。 ステップのプロパティは プロパティ ペインに表示されます。

ビジュアル テストの テスト ステップ ペインから、記録したビジュアル テストを確認し、以下の操作を追加して、テストの信頼性、柔軟性を向上させたり、検証、機能、およびフローを改良したりすることができます。

  • テスト ロジックの追加
  • ビジュアル テストの再生方法の指定
  • 他のビジュアル テストおよびスクリプトの実行
  • ビジュアル テストのデバッグ
  • エラー処理の提供

テスト ステップ ペインをカスタマイズして、ビジュアル テスト内の必要なステップのみを表示できます。

結果 ウィンドウに表示される テスト ステップ ペインには、テスト結果に固有の追加情報が表示されます。 テスト ステップ ペインが表示されない 要約 タブを除き、この情報は 基本表示 と 詳細表示 に表示されます。

テスト ステップ ペインの標準ビューには以下の列があります。

列 | 説明
番号アイコン （番号）*

ステップが記録され、再生される順番を表します。 デフォルトでは、ステップはこの順番で表示されます。

ステップにデバッグのためのブレークポイントが追加されている場合は、この列の隣の列にブレークポイントが表示されます。

デフォルトのビュー（ステップと画面）から画面のみのビューまたはステップのみのビューにビューを変更した場合、番号付けの方法では、記録の順序で間隔が示されるようにステップまたは画面は順番にスキップされます。

ロジック アイコン （ロジック）* | ステップにロジックが含まれている場合、ステップのロジックのタイプを表すアイコンを表示します。
ステップ アイコン （ステップ タイプ）* | ステップで実行される操作のタイプを表すアイコンを表示します。
ステップ | ステップで実行される操作について説明します。
フラグ アイコン （フラグ）*

割り当てられたフラグ のアイコンを表示します。

割り当てられたフラグ のアイコンは、関連付けられたステップが割り当て先のユーザーの テスト ステップ ペインおよびオプションで 開始画面 ペインに表示されるように、フラグが付けられていることを示します。 さらに、ポインタをアイコンの上に移動すると、フラグの説明、更新日、および割り当て日を示すツール ヒントを表示できます。

ステップの説明アイコン （ステップの説明）*

ユーザー定義のステップの説明を表示します。 この列はデフォルトのビューには表示されません。テスト ステップ ペインのタイトル バーから 操作 をクリックし、次に 表示 > ステップの説明 をクリックすると表示できます。

ステップの説明を作成するには、ステップを選択します。 プロパティ ペインで、ステップの説明 プロパティを更新します。 ステップの説明 アイコンがこの列に表示され、ステップに説明があることが示されます。 ポインタをアイコンの上に移動して説明を含むツール ヒントを表示するか、ステップを選択して プロパティ ペインの説明を読みます。

* この列はサイズ変更できません。

[結果] ウィンドウの [基本表示]

列 | 説明
結果 | ビジュアル テストのステップまたはスクリプトのコード行について、実行ステータスを表示します。
結果の詳細 | ビジュアル テストのステップまたはスクリプトのコード行について、実行ステータスの詳細を表示します。

[結果] ウィンドウの [詳細表示]

列 | 説明
行番号 | スクリプトのコード行の行番号またはビジュアル テストのステップ番号を示します。 [コマンドの詳細] と組み合わせて使用すると、特定のコード行またはステップ番号を見つけることができます。
コマンドの詳細 | 実際のコード行テキストを表示します。 [行番号] と組み合わせて使用すると、テスト スクリプトの特定のコード行またはビジュアル テストのステップ番号を見つけることができます。
日付／時刻 | テスト ステップまたはコード行が実行されたときのタイムスタンプを表示します。
ミリ秒 | テスト ステップまたはコード行の実行時間を表示します。
名前 | ビジュアル テストまたはスクリプトの名前を表示します。
ユーザー名 | テスト実行者のログオン識別子を表示します。
マシン名 | テストを実行するために使用したデバイスの固有の識別子を表示します。
  • テスト ステップ アイコン
    一般的に使用される操作とそのアイコンを示します。
  • テスト ステップの種類
    ビジュアル テストに含まれ、かつテスト アプリケーションのコントロールに対して操作を実行しないテスト ステップの種類を一覧します。
親トピック: ビジュアル ナビゲータ
関連概念
ビジュアル テストにおける画面プレビューとステップの同期
関連資料
[結果] ウィンドウのビジュアル ナビゲータ


テスト ステップ アイコン

アイコンは、ビジュアル テストのテスト ステップで一般的に実行される操作をグラフィカルに表したものです。 グラフィックは、テスト ステップ ウィンドウの テスト ステップ 列に表示されます。 以下の表は、一般的に使用される操作とそのアイコンを示しています。

ステップ タイプ | アイコン | 説明
画面キャプチャ | 画面アイコン | 再生中にこのステップに対して画面キャプチャが行われることを示します。
オブジェクト クラス | 各種 | 各 UI オブジェクト クラスには固有のテスト ステップ アイコンがあります。 たとえば、Window クラスのアイコンは Window アイコン であり、TextField クラスは TextField クラス アイコン です。
オブジェクトの待機 | オブジェクトの待機アイコン | 待機 プロパティが挿入されたことを示します。
判断ロジック | If ステートメント アイコン | If ステートメント、Else If ステートメント、または End If ステートメントを実行します。
繰り返しテスト ロジック | 繰り返しアイコン | 一連のステップを指定した回数だけ実行します。
検証ロジック | 検証アイコン | ステップの 条件 プロパティに規定された条件を検証します。
エラー処理ロジック | エラー処理アイコン | エラー処理を実行します。
ビジュアル テスト | ビジュアル テスト内のビジュアル テスト アイコン | 指定したビジュアル テストを再生します。
外部プログラム | プログラムの起動アイコン | 指定した外部プログラムをステップの属性に従って起動します。
式 | 式アイコン | 式を含みます。
結果コメント | 結果コメント アイコン | 結果コメントを含みます。
ラベル | ラベル アイコン | ラベルを含みます。
親トピック: [ビジュアル ナビゲータ]：[テスト ステップ] ペイン


テスト ステップの種類

ビジュアル テストの各ステップでは、テスト アプリケーションのコントロールに対する操作の実行、複合条件の評価、または単にビジュアル テストへのブックマークの挿入など、特定の操作が実行されます。テスト ステップ ペインの ステップ 列では、対応するステップが実行する操作の説明が記述されています。

一般的なテスト ステップは、テスト アプリケーションのコントロールに対して操作を実行しないテスト ステップです。ビジュアル テストで利用できる一般的なテスト ステップの種類を以下の表に示します。

ステップ テキストの内容 | 説明
<<開始>>および<<終了>> | ビジュアル テストの最初のステップと最後のステップです。ビジュアル テストで使用される受け渡し変数のプロパティは、<<開始>> ステップのプロパティに表示されます。
検証 | ステップの 条件 プロパティに規定された条件を検証します。
If／Else／Else If／End If | ユーザー定義の条件を評価して条件の戻り値に応じて一連のテスト ステップを実行する判断ロジックを実行します。 If テスト ステップがビジュアル テストに挿入されると、対応する End If テスト ステップも挿入されます。
ビジュアル テストの再生 | ステップに関連付けられている再生設定プロパティを使用して、指定されたビジュアル テストを再生します。
.NET スクリプトの再生 | ステップに関連付けられている再生設定プロパティを使用して、指定されたスクリプトを再生します。
プログラムの実行 | ステップの コマンド プロパティの設定に基づいて、外部プログラムを起動します。
式 | 式を実行して評価し、その結果を変数に設定します。
結果コメント | ビジュアル テストの再生時に指定されたコメントを作成して、結果に送信します。コメントには、テキスト、式の値、アクティブ データ ファイル、または式の結果を使用でき、テストの 結果の詳細 タブの コマンドの詳細 列に表示されます。
ラベル'ラベル名' | ステップをラベルとして設定します。ステップのテキストは、ステップの ラベル プロパティに設定されるラベルの名前です。 ラベルを使用すると、テスト内の特定の領域やステップをブックマークし、テスト フローや再生を制御できます。
エラー処理 | エラー処理を実行します。ステップの 実行する操作 プロパティによって、エラー処理が有効になっているときにエラーが発生した場合のテストの動作が決まります。エラー処理が有効になっているときにエラーが発生した場合、ステップの 資産 プロパティを使用して、別のテストを再生することができます。
メッセージ ボックス | 再生中にテスト担当者に対してメッセージ ボックスを表示します。メッセージ ボックスの内容は、ステップに設定されているプロパティ値で決まります。
再生設定の設定 | 実行環境の再生設定を特定の値に変更します。この値は、テスト ステップの 再生設定 プロパティで設定されます。値は、そのビジュアル テストの再生に対してのみ、値がリセットされるまで有効です。
再生設定の取得 | 実行環境の再生設定を取得して、取得した設定を変数に設定できるようにします。
コントロールの "" プロパティの取得 | 空のステップを挿入し、そのステップを使用してテスト アプリケーションのコントロールからプロパティをキャプチャして、変数に設定します。プロパティ ペインの 識別 ボタンを使用してコントロールをキャプチャし、コントロールの特定のプロパティを選択します。
ラベルへ移動します | 指定されたラベル ステップにジャンプして、再生します。
待機 | コントロールの存在または消滅を監視します。監視するコントロールは、リテラル、変数、式、またはアクティブ データとして表すことができます。タイムアウト プロパティで待機時間を指定します。
停止 | 再生を完全に停止します。通常、停止は「If」ステップなどの条件ロジックで使用されます。
遅延 | ステップの 遅延時間 プロパティで指定されている時間だけ再生を一時停止します。ステップの 遅延タイプ プロパティは、時間の単位（秒またはミリ秒）を決定します。
タイマー番号の開始 | タイマーを作成して開始します。 タイマーを使用して、ビジュアル テスト全体またはその一部の再生に要する時間を測ります。1 つのビジュアル テストで複数のタイマーを使用できます。
タイマー番号の停止 | ステップの タイマー番号 プロパティで指定されたタイマーを停止します。 タイマーを使用して、ビジュアル テスト全体またはその一部の再生に要する時間を測ります。1 つのビジュアル テストで複数のタイマーを使用できます。
タイマーの再開 | ステップの タイマー番号 プロパティで指定された、停止中のタイマーを再開します。
eCATT 引数の取得 | SAP eCATT 引数コンテナから引数の値を取得します。この値は、eCATT スクリプトからビジュアル テストに渡されます。 このステップでは、SAP eCATT スクリプトから渡される、事前定義のインポート引数に変数を渡します。 Silk Test Workbench がインストールされているコンピュータに SAP eCATT をインストールすると、eCATT 変数値が取得可能になります。
eCATT 引数の設定 | SAP eCATT スクリプトに渡す引数の値を設定します。 このステップでは、SAP eCATT スクリプトに渡すことのできる、事前定義のエクスポート引数に変数を渡します。 Silk Test Workbench がインストールされているコンピュータに SAP eCATT をインストールすると、eCATT 変数値が設定可能になります。
アクティブ データ ファイル " に値をに直ちに保存します | ステップの実行時に、指定されたアクティブ データ資産に対して更新された関連データを保存します。
アクティブ データ ファイル '' に値を保存しません | 指定されたアクティブ データ ファイルから更新されたデータが、ステップの実行時点でファイルに保存されないようにします。このステップのあとで、「アクティブ データファイルの"に値を直ちに保存します」ステップが同じアクティブ データ ファイルに対して実行されると、このステップのあとで更新されたデータがファイルに保存されます。
グローバル変数の設定 | グローバル変数名を指定し、値を初期化することによって、グローバル変数を定義します。
グローバル変数の内容の取得 | グローバル変数の値を取得して、ビジュアル テストで使用するローカル変数に設定します。
親トピック: [ビジュアル ナビゲータ]：[テスト ステップ] ペイン


[ビジュアル ナビゲータ]：[画面プレビュー]

画面プレビュー には、テスト ステップ ペインに表示された、コントロールと対話する各ステップについてキャプチャされたテスト アプリケーションのイメージが表示されます。キャプチャされたイメージとして、デスクトップ全体、アプリケーション ウィンドウ、またはアクティブなウィンドウのみを示すことができます。キャプチャされたイメージは、関連するステップが実行される前のアプリケーションの状態を示します。

画面プレビュー と テスト ステップ ペインは同期されています。コントロールと対話するステップを選択すると、画面プレビュー にテスト アプリケーション画面のイメージが表示され、選択したステップで自動処理されるコントロールが強調表示されます。強調表示されたステップがイメージにあるコントロールと対話すると、そのコントロールの周りに四角形が表示されます。また、キャプチャされたイメージ内のコントロールをクリックすると、そのコントロールと対話する連続ステップが存在する場合は、その最初のステップが強調表示されます。

ビジュアル ナビゲータ でビジュアル テストを操作する場合、テスト アプリケーションにアクセスしなくても、画面プレビュー のイメージを使用してステップを作成できます。

ビジュアル ナビゲータ の テスト ステップ ペインに何も表示されていない場合、画面プレビュー には記録の開始方法を示すイメージが透かし表示されます。

  • キャプチャされたテスト アプリケーション画面の表示
    テスト アプリケーションのキャプチャ イメージを 画面プレビュー で表示します。
親トピック: ビジュアル ナビゲータ
関連概念
ビジュアル テストにおける画面プレビューとステップの同期


キャプチャされたテスト アプリケーション画面の表示

テスト アプリケーションのキャプチャ イメージを 画面プレビュー で表示するには、表示するキャプチャ イメージを含むステップを テスト ステップ ペインで選択します。キャプチャ イメージが表示されたら、イメージのサイズを変更したり、別のウィンドウにイメージを表示したりできます。

  1. 別のサイズで表示するキャプチャ イメージに対応するステップを選択します。
  2. 画面プレビュー から、操作 をクリックして以下のコマンドのいずれかをクリックします。
    • ズーム：既存の 画面プレビュー ペインでキャプチャ イメージを表示します。割合（キャプチャされたサイズの 10%から300%）を選択するか、ウィンドウに合わせる をクリックしてイメージを 画面プレビュー の現在のサイズに合わせます。
    • 新しいウィンドウで開く：キャプチャされた画面を 画面プレビュー ペインとは別の、サイズ変更可能なウィンドウに表示します。
親トピック: [ビジュアル ナビゲータ]：[画面プレビュー]


[ビジュアル ナビゲータ]：[プロパティ]

ビジュアル ナビゲータ の プロパティ ペインには、ビジュアル テストの テスト ステップ ペインで選択したステップのプロパティか、ビジュアル テストまたはテスト スクリプトの結果が表示されます。プロパティは名前と値のペアとして表示されます。プロパティの値は、リテラル値、変数、またはアクティブ データ値です。

ビジュアル テストの プロパティ ペインを使用して、選択したステップのプロパティに値を割り当てることができます。これにより、Silk Test Workbench によるテスト アプリケーションとの対話、再生の管理、変数の使用、他の機能テストの呼び出しの方法について、正確な情報を調整できます。結果の プロパティ ペインは読み取り専用です。

プロパティ ペインには、以下のオプションを含むツールバーがあります。
カテゴリ
プロパティをプロパティ カテゴリ別にグループ化します。
アルファベット
プロパティをアルファベット順に表示します。
説明
プロパティ ペインの下部にヘルプの説明パネルを表示します。
結果の プロパティ ペインには追加のツールバー ボタンがあります。
再生前のビジュアル テストのステップ プロパティを表示/非表示
再生前にビジュアル テストに設定されていたステップのプロパティを表示します。

テスト ステップに関して表示されるプロパティは、ステップのタイプに基づきます。

  • ビジュアル テストの [プロパティ] ペインの表示
    プロパティ ペインを使用して資産のプロパティ値を変更します。
親トピック: ビジュアル ナビゲータ


ビジュアル テストの [プロパティ] ペインの表示

プロパティ ペインには、資産に関連付けられたプロパティと各プロパティの現在の設定がリストされます。プロパティ ペインを使用して、資産のプロパティ値を変更できます。複数の資産またはオブジェクトを選択すると、プロパティ ペインには、選択したすべての資産またはオブジェクトに共通のプロパティがリストされます。

プロパティの値を変更するには、プロパティ名に隣接するテキスト ボックスでプロパティの値を変更します。値が事前に定義されているプロパティの場合は、該当するリスト ボックスに表示される値の 1 つを選択します。

  1. テスト ステップ ペインから、表示するプロパティが含まれるステップを選択し、操作 > プロパティ をクリックします（または F4 を押します）。
  2. アルファベット ツールバー ボタンをクリックしてプロパティをアルファベット順で表示するか、カテゴリ ツールバー ボタンをクリックしてプロパティをカテゴリ タイプ別に表示します。
親トピック: [ビジュアル ナビゲータ]：[プロパティ]


[ビジュアル ナビゲータ]：[ストーリーボード]

ストーリーボード ペインでは、テキストまたはイメージを一連のサムネイルで表示することによって、現在のビジュアル テストの全般構造がグラフィカルに表示されます。 ストーリーボード ペインは、ビジュアル テストの概要を視覚的に表示し、ビジュアル テストのフローの概要を示します。

サムネイルとは、テスト アプリケーションからキャプチャされた画面か、1 つのステップまたは一連のステップを説明するテキストを表す縮小サイズのイメージのことです。 サムネイルは、アプリケーション画面をキャプチャするテスト ステップに関連付けられています。 テキスト サムネイルは、テスト アプリケーションと直接対話を実行しないテスト ステップを表します。 例として、<<開始>> と <<終了>> のステップや、他のビジュアル テストまたはスクリプトが呼び出されるステップがあります。

テスト ステップ ペインに表示されるステップは、論理グループを示す濃い青の実線で区切られています。 このようにグループ化されたステップは、ストーリーボード ペインの各サムネイルに対応します。

サムネイルのサイズは、サイズ変更可能な ビジュアル ナビゲータ ウィンドウのサイズに対して相対的になっています。

ストーリーボード ペインには、以下の情報の要素が表示されます。

要素 | 説明
サムネイル イメージ

ビジュアル テストのフローをグラフィカルに表します。 イメージは、対応するテスト ステップを表す、テスト アプリケーションからキャプチャされたビットマップを表します。

ビジュアル テストの開始と終了を示すために、各 [ストーリーボード] には、最初のステップとして <<開始>> サムネイル、最後のステップとして <<終了>> サムネイルが表示されます。

ビットマップがないステップまたはステップのグループについては、サムネイルに説明テキストが表示されます。 サムネイルにテスト アプリケーションのビットマップが含まれていない場合があります。対応する 1 つまたは複数のステップがテスト アプリケーションと直接対話しない（スクリプトを開くステップなど）場合や、テスト アプリケーションがビットマップでキャプチャされていない場合です。 Silk Test Workbench でテスト アプリケーションから画面をキャプチャする方法をカスタマイズできます。 詳細については、「記録の出力：テスト オプション」を参照してください。

[ストーリーボード] のサムネイルをクリックして、それをアクティブなストーリーボード項目にします。 アクティブなストーリーボード項目に対応するステップが テスト ステップ ペインで強調表示されます。 対応する画面が 画面プレビュー に表示されます。 プロパティ ペインのプロパティ情報も、アクティブなサムネイルを反映して変更されます。

ステップ番号 | 各サムネイルの上に対応するステップ番号が表示されます。 たとえば、番号5 から 8がサムネイルの上に表示された場合、そのサムネイルは現在のビジュアル テストのステップ5 から 8を表します。
アイコン

以下のアイコンは、サムネイルに関連付けられたステップまたはステップのグループについての情報を提供します。

フラグ付きステップ

ユーザーに割り当てられたフラグ付きステップ

ロジックまたはエラー処理ステップ

検証ロジック ステップ

さらに、結果 ウィンドウの [ストーリーボード] には以下のアイコンが表示されます。

合格した検証ロジック ステップ

失敗した検証ロジック ステップ

注: [ストーリーボード] のサムネイルに同じタイプのステップが複数含まれている場合は、そのサムネイルに下にフラグが 1 つだけ表示されます。
  • ストーリーボードでのサムネイルの移動
    ストーリーボードでサムネイルを移動するためのキーボード操作を示します。
親トピック: ビジュアル ナビゲータ
関連資料
記録の出力：ビジュアル テスト オプション


ストーリーボードでのサムネイルの移動

ストーリーボードでサムネイルを移動するには、以下のキーボード操作を使用します。

  • ストーリーボードで次のサムネイルに移動するには、右矢印 キーまたは 下矢印 キーを使用します。

  • ストーリーボードで前のサムネイルに戻るには、左矢印 キーまたは 上矢印 キーを使用します。

  • 最初のステップに戻るには、Page Up キーを使用します。

  • 最後のステップに戻るには、Page Down キーを使用します。

  • ビジュアル テストの先頭にある <<開始>> サムネイルに移動するには、Home キーまたは Ctrl+Home キーを使用します。

  • ビジュアル テストの最後にある <<終了>> サムネイルに移動するには、End キーまたは Ctrl+End キーを使用します。

親トピック: [ビジュアル ナビゲータ]：[ストーリーボード]


ビジュアル ナビゲータのレイアウトのカスタマイズ

ビジュアル ナビゲータ の 画面プレビュー ペイン、プロパティ ペイン、および ストーリーボード ペインは、ドッキングしたり、非表示にしたり、サイズを変更したりできます。

  1. ビジュアル ナビゲータのそれぞれのペインおよび関連ウィンドウには、右上隅に押しピンが表示されます。 押しピンをクリックするとペインが非表示になります。 ペインは非表示になり、ビジュアル ナビゲータ ウィンドウの境界線にタブとしてドッキングされます。
  2. ポインタをタブの上に置くと、ペインが一時的に表示されます。
  3. タブをクリックすると、ペインが一時的に再ドッキングされます。
  4. ペインを再表示して、押しピンをクリックすると、ペインが永続的に再ドッキングされます。
  5. ビジュアル ナビゲータ 内でペインのサイズを調整するには、サイズ変更するペインの間にカーソルを置きます。 マウスのカーソルが横方向または縦方向の分割カーソルに変わります。 分割カーソルをクリックし、ドラッグして2つのペインのサイズを調整します。
  6. 表示 > レイアウトの復元 をクリックすると、ビジュアル ナビゲータ のレイアウトはデフォルト ビューに戻ります。
親トピック: ビジュアル ナビゲータ


アセット ブラウザ

アセット ブラウザ を使用してテスト資産を管理します。アセット ブラウザ では、データベース内の各種類の資産を一元的に作成、管理、表示できます。任意の時点で Ctrl+Alt+A を押すか、開始画面 の タスク ペインから アセット ブラウザ をクリックして、アセット ブラウザ を表示します。

ある種類の既存の資産項目を表示するには、資産の種類 でその種類をクリックします。関連する資産のリストが右側に表示されます。資産の名前変更、削除、または複製を行うには、資産を右クリックして、適切なコマンドを選択します。資産プロパティを表示するには、資産を選択して ファイル > 要約情報 を選択します。

新しい資産を作成するには、資産の種類を右クリックして 新規作成 を選択します。新しい資産が、現在アクティブなプロジェクトに追加されます。

テストの開発中に多数の資産が作成される可能性があります。必要な項目を見つけられるように、資産のビューをさまざまな方法で変更できます。

アセット ブラウザ のコントロールには以下のものがあります。

アクティブ プロジェクト
アクティブ プロジェクトを設定します。これは、新しいテスト資産が追加されるデフォルトのプロジェクトです。アクティブ プロジェクトを変更すると、新しいアクティブ プロジェクトの資産が自動的に表示されます。
表示
表示したい資産のプロジェクト名のチェック ボックスをオンまたはオフにして選択します。アクティブ プロジェクトの資産が常に表示されます。
フィルタ
資産の作成者、最終更新者、作成日時、最終更新日時などの設定した条件に基づいて、資産のフィルタ処理を行います。
資産の種類
リストから資産の種類を選択し、適用されたフィルタ処理に基づいて、選択されているプロジェクトで使用可能なテスト資産を表示します。詳細については、「資産の種類」を参照してください。
資産リスト
適用されたフィルタ処理に基づいて、選択されているプロジェクトの選択された種類の資産を表示します。
項目を開く
開く資産の名前を入力します。

アセット ブラウザ ではこれらのコントロールを使用して資産を管理する他、以下の処理を行うことができます。

  • 項目のリストでカテゴリ別に資産を並べ替えるには、基準とする列見出しをクリックします。並べ替えの順序を逆にするには、列見出しを再びクリックします。
  • 表示する列を選択したり、列の順序を変更したりするには、列見出しを右クリックし、列のカスタマイズ を選択します。
  • 項目に直接アクセスするには、項目を開く テキスト ボックスにその項目の名前を入力します。
注: 多数の資産を管理するために、アセット ブラウザ のインスタンスを複数開くことができます。開ける アセット ブラウザ のインスタンス数は、最大 32 です。
親トピック: UI トピック
関連資料
資産の種類


[オブジェクトの識別] ダイアログ ボックス

オブジェクトの識別 ダイアログ ボックスを使用して、テスト対象アプリケーション (AUT) のオブジェクト (コンテナなどの表示されないオブジェクトを含む) のロケーターを識別できます。テスト中にオブジェクト マップ エントリーを使用しているかどうかによって、ロケーターは、オブジェクト マップ項目の名前か、選択したオブジェクトの XPath ロケーターのいずれかになります。テスト中にオブジェクト マップ エントリーを使用している場合、オブジェクト マップの名前がオブジェクトの XPath ロケーターの別名として使用されます。オブジェクトの識別 ダイアログ ボックスを使用してオブジェクトのロケーターを識別した場合、そのロケーターはビジュアル テストと VB .NET スクリプトで使用できます。また、XPath ロケーターまたはオブジェクト マップ エントリーが有効で、期待するオブジェクトに対応していることを検証するために、オブジェクトの識別 ダイアログ ボックスを使用することもできます。

オブジェクトの識別 ダイアログ ボックスは、次のように複数の方法で起動できます。
  • ツールバーで、オブジェクトの識別 をクリックします。
    注: テスト アプリケーションを指定していない場合、アプリケーションの選択 ダイアログ ボックスが開き、オブジェクトを識別するアプリケーションを指定できます。
  • メニューで、ツール > オブジェクトの識別 をクリックします。
    注: テスト アプリケーションを指定していない場合、アプリケーションの選択 ダイアログ ボックスが開き、オブジェクトを識別するアプリケーションを指定できます。
  • 開始画面 で、入門ガイド タブを選択して オブジェクトの識別 をクリックします。
    注: アプリケーションの選択 ダイアログ ボックスが開き、オブジェクトを識別するアプリケーションを指定できます。
  • 既存のビジュアル テストで、変更するオブジェクトを参照するテスト ステップを選択します。プロパティ ペインを開き、ロケーター フィールドをクリックして、コントロールの識別 > オブジェクトの識別ダイアログ を選択します。
オブジェクトの識別 ダイアログ ボックスには、以下のコントロールがあります。
識別の開始
識別の開始 をクリックして、テスト アプリケーションでオブジェクト情報の記録を開始します。ロケーターを記録する前に、テスト対象アプリケーションを特定の状態にするには、識別の停止 をクリックします。
選択モード
識別するオブジェクトを選択する方法として、選択モードを定義します。クリック モードの場合は、識別するオブジェクトをクリックします。ホット キー モードの場合は、識別するオブジェクトにマウス カーソルを移動して、キー入力 リスト ボックスで指定したキー入力の組み合わせを使用します。大抵は、メニューやコンボ ボックスなど、ユーザーがクリックしたときにのみ表示されるオブジェクトをキャプチャする場合に ホット キー モードを選択します。ホット キー モードでは、オブジェクトを選択し、ホット キー入力の組み合わせを押すことによって、オブジェクトを閉じることなくロケーターをキャプチャできます。
選択済みロケーター
キャプチャしたロケーターが表示されます。識別の開始 をクリックすると、選択済みロケーター フィールドには、現在マウス カーソルが指している AUT 上のオブジェクトのロケーターが表示されます。
注: ブラウザーでテストしている場合、選択済みロケーター フィールドに実際にキャプチャするとロケーターのみが表示される。
テスト
このボタンをクリックすると、テスト対象アプリケーションで選択したオブジェクトがハイライトされます。このボタンを使用すると、正しいオブジェクトが選択されることを検証します。
ロケーターの詳細の非表示／ロケーターの詳細の表示
このリンクをクリックして、ロケーターの詳細 テーブルを表示または非表示にします。
[ロケーターの詳細] テーブル
ロケーターの詳細 テーブルには、テストしているアプリケーションのオブジェクトとその関連するクラス タイプ、ロケーター値、および属性が一覧表示され、アプリケーションの階層を確認できます。このテーブルを使用して、選択やオブジェクトに割り当てる属性を絞り込むことができます。たとえば、自動生成されたロケーターは与えられたテストで使用するのに最適なロケーターではない場合があります。ロケーターの詳細 テーブルを使用すると、ロケーターで利用するのに、より関係のあるプロパティを見つけることができます。
オブジェクト マップの表示
オブジェクト マップ項目名を ロケーター 列に表示するには、このチェック ボックスをオンにします。オブジェクト マップ項目名は、コントロールまたはウィンドウに対して、コントロールやウィンドウのロケーターではなく論理名 (エイリアス) を関連付けます。デフォルトでは、オブジェクト マップ項目名が表示されます。ロケーターを使用するには、このチェック ボックスをオフにします。
完全ロケーターの表示
完全ロケーター名を表示するには、このチェック ボックスをオンにします。オブジェクトに関連付けられた属性のみを表示するには、このチェック ボックスをオフにします。
プロパティの表示
ロケーターの詳細 テーブルで選択したオブジェクトの属性および属性値を表示するには、このチェック ボックスをオンにします。このテーブルの属性を選択して、ロケーターの識別に使用できます。[プロパティ] サブツリーを非表示にし、ロケーターの詳細のみを表示するには、このチェック ボックスをオフにします。
貼り付け
このボタンをクリックして、選択済みロケーター を適切なビジュアル テスト、スクリプト、またはオブジェクト マップにコピーします。
オブジェクトの識別 ダイアログ ボックスを使用してオブジェクトをキャプチャすると、以下のことを実行できます。
  • ロケーターの詳細 ツリーを展開し、コンテキスト メニューを使用してアプリケーションの階層を表示します。
  • コンテキスト メニューを使用してサブツリーにあるオブジェクトのロケーターを取得します。
  • サブツリーのリンクをクリックして、追加のロケーターの属性を表示します。
  • サブツリーにあるオブジェクトを選択して、選択済みロケーター テキスト ボックスに表示されている既存のオブジェクトを置き換えます。
  • ビジュアル テストの プロパティ ペインで、ロケーターを既存のロケーターにコピーします。
  • ロケーターを .NET スクリプトに直接コピーします。

    スクリプトで、ロケーターと共に使用するコードを指定する必要があります。ロケーターだけがコピーされます。

  • ロケーターをオブジェクト マップのオブジェクト マップ項目にコピーします。
親トピック: UI トピック
関連概念
オブジェクト マップ
関連タスク
スクリプトのオブジェクト マップ項目またはロケーターの手動による記録
ビジュアル テストのオブジェクト マップ項目またはロケーターの手動による記録
オブジェクト マップ項目の追加


[コード] ウィンドウ

コード ウィンドウでは、スクリプトの記録、設計、および変更を行います。

コード ウィンドウにアクセスするには、既存のスクリプトを開くか、スクリプトを作成します。

Main ページ

コード ウィンドウを開くと、Main ページに基本テンプレートが入力されます。スクリプトの記録後、Main ページには記録したすべてのステップが表示されます。このページにコードを手動で入力することもできます。Main ページは、ファイル カテゴリの プロパティ ペインにも表示されます。

[プロパティ] ペイン

プロパティ ペインを使用して、アプリケーション構成、ファイル、パラメータ、およびスクリプト参照を追加、表示、または変更します。プロパティ ペインには以下のカテゴリがあります。
  • アプリケーション構成：スクリプトのアプリケーション構成を表示するには、このカテゴリを展開します。
  • ファイル：コード ウィンドウの Main ページと、追加したその他のファイルを表示するには、このカテゴリを展開します。Main ページには、記録したすべてのステップが表示されます。
  • パラメータ：スクリプトの入力パラメータと出力パラメータを表示するには、このカテゴリを展開します。必要に応じて、入力パラメータと出力パラメータを追加、編集、および削除できます。
  • 参照：スクリプト ライブラリの参照を表示するには、このカテゴリを展開します。必要に応じて、参照を追加および削除できます。
  • スクリプトの [プロパティ] ペインの表示
    プロパティ ペインを使用して、アプリケーション構成、ファイル、およびスクリプト参照を追加、表示、または変更します。
親トピック: UI トピック


スクリプトの [プロパティ] ペインの表示

プロパティ ペインを使用して、アプリケーション構成、ファイル、およびスクリプト参照を追加、表示、または変更します。 コード ウィンドウの プロパティ ペインは、ドッキング、非表示、またはサイズ変更が可能です。

  1. スクリプトを開きます。 コード ウィンドウが開きます。
  2. プロパティ ペインには、右上隅に押しピンが表示されます。 押しピンをクリックするとペインが非表示になります。 ペインは非表示になり、コード ウィンドウの境界線にタブとしてドッキングされます。
  3. ポインタをタブの上に置くと、ペインが一時的に表示されます。
  4. タブをクリックすると、ペインが一時的に再ドッキングされます。
  5. ペインを再表示して、押しピンをクリックすると、ペインが永続的に再ドッキングされます。
  6. ペインのサイズを調整するには、サイズ変更するペインの間にカーソルを置きます。 マウスのカーソルが横方向または縦方向の分割カーソルに変わります。 分割カーソルをクリックし、ドラッグして2つのペインのサイズを調整します。
親トピック: [コード] ウィンドウ


出力ウィンドウ

出力 ウィンドウには、スクリプトの再生中に見つかったエラーに関する情報、スクリプトで実行された検索の結果、スクリプトによって書き込まれたテキストなどが表示されます。

出力 ウィンドウには、参照されているオブジェクト マップ エントリが実行中の資産の範囲内にない場合、再生に関する警告メッセージも表示されます。

注: Pushbutton.Select などの NTF メソッド（呼び出し）の結果のみがログに記録されます。 したがって、with ステートメントなどの VB.NET コマンドを実行した場合、VB.NET 呼び出しも _desktop.Window() 呼び出しもログに記録されません。
親トピック: UI トピック


インクルード ウィンドウ

テスト資産は、複数のスクリプトに含めて再利用できます。 各スクリプトには、使用する他のテスト資産を明示的に含める必要があります。 Silk Test Workbench は非 VB.NET 資産については自動的にインクルード参照を作成しますが、VB.NET 資産については、それを使用する各スクリプトにユーザーが明示的に含める必要があります。

インクルード ウィンドウを使用すると、選択した資産に関するインクルード情報を表示できます。選択した資産に含まれる資産と選択した資産を含む資産を表示できます。

  1. 表示 > インクルード を選択します。 インクルード情報 ウィンドウが開きます。
  2. アセット ブラウザ ウィンドウで、インクルード情報を表示する資産を選択します。
  3. インクルード情報 ウィンドウで、インクルード タブをクリックして選択した資産に含まれる資産を表示するか、インクルード元 タブをクリックして選択した資産を含む資産を表示します。
親トピック: UI トピック


既知の問題

このセクションでは、Silk Test Workbench の既知の問題とその解決策を示します。

  • 全般的な問題
    全般的な既知の問題について説明します。
  • モバイル Web アプリケーション
    モバイル Web アプリケーションのテストに関連する既知の問題について説明します。
  • Web アプリケーション
    Web アプリケーションに関連する既知の問題について説明します。
  • SAP アプリケーション
    SAP アプリケーションに関連する既知の問題について説明します。
  • Oracle Forms
    Oracle Forms を使って構築したアプリケーションに関連した既知の問題を説明します。
  • Silk Test Workbench
    Silk Test Workbench に関連する既知の問題について説明します。


全般的な問題

オブジェクト マップを開くのに時間がかかる

.NET 4 を使用している場合、大規模なオブジェクト マップ資産があると読み込みに時間がかかります。.NET 4.5 をインストールすると、この問題を解決できます。

リモート デスクトップまたはリモート デスクトップ接続 (RDC) が最小化されると、Silk Test が機能しない

リモート デスクトップ プロトコル (RDP) 経由でデスクトップに接続している場合、マウスとキーボードを使ってデスクトップに接続することにより、デスクトップの所有権を獲得します。デスクトップの所有権を解放せずにデスクトップを最小化すると、マウス クリックまたはキーストロークの再生がすべて未定義になります。

回避策として、VNC ベースのリモート操作ツールを使用することができます。この場合、クライアントが最小化された場合でも再生を継続できます。

Check Point ファイアウォールがインストールされている場合に Open Agent が起動しない

システムに Check Point ファイヤウォールまたは Check Point ZoneAlarm ファイヤウォールをインストールしている場合は、ファイヤウォールが Agent と infoservice 間の通信を中断するために Open Agent を起動できません。

Open Agent を起動するには、システムから Check Point ファイヤウォールをアンインストールする必要があります。

domDoubleClick メソッドの modifiers パラメータが無視される

domDoubleClick メソッドのオーバーロードで修飾キーを指定できません。パラメータが指定されている場合でも、修飾キーはダブルクリックされません。修飾キーを指定できる domDoubleClick メソッドのオーバーロードは、非推奨です。修飾キーを指定するには、doubleClick メソッド (modifiers パラメータを取るオーバーロード メソッドをサポートするクライアントを使用している場合)、または PressKeys および ReleaseKeys メソッドを使用します。

Silk Test が Metro スタイル アプリのテストをサポートしない

Silk Test は、Microsoft Windows 8、Microsoft Windows 8.1、Microsoft Windows 10 上の Metro スタイル アプリのテストをサポートしません。Metro スタイル アプリは、Windows 8 スタイル、Modern UI スタイル、Windows ストア スタイル、ユニバーサル Windows プラットフォーム (UWP) アプリとも呼ばれます。

Microsoft Windows 8 の組み込みスペル チェックがテストの再生に干渉する

Microsoft Windows 8 の組み込みスペル チェックは、Internet Explorer 10 などのアプリケーションで有効にできます。

記録中に単語のスペルを間違え、この単語の入力を再生すると、スペル チェッカーはこの単語をマークするか、間違われやすい単語の場合は自動的に修正します。これは、実際のユーザーに対して行われる動作と同じです。スペル チェック機能が含まれていないオペレーティング システムでテストを作成した場合、Microsoft Windows 8 でテストを再生すると、予期せぬ結果が生じることがあります。スペル チェックを無効にするには、次の手順を実行します。
  1. Windows キー + C を押します。
  2. チャーム バーで 設定 をクリックします。
  3. PC 設定の変更 を選択します。
  4. 全般 を選択すると、スペル チェック セクションが表示されます（使用中の言語によってスペル チェック機能の有無は異なります）。
    注: これはシステム全体の設定で、Internet Explorer 固有の設定ではありません。
  5. スペル ミスの語句を自動修正する (Autocorrect misspelled words) をオフに設定します。
  6. スペル ミスの語句を強調表示する (Highlight misspelled words) をオフに設定します。

.NET アプリケーションを DevPartner Studio (DPS) から起動すると、Silk Test で認識されないことがある

この問題を解決するには、以下のステップを実行します。

  1. Silk Test のインストール フォルダに移動します (デフォルトではC:\Program Files\Silk\SilkTest)。
  2. Windows Forms アプリケーションの場合は、ng\agent\plugins\com.borland.fastxd.techdomain.windowsforms.agent_<バージョン番号> へ移動します。
  3. Windows Presentation Foundation (WPF) の場合は、ng\agent\plugins\com.microfocus.silktest.techdomain.wpf.agent_<バージョン番号> へ移動します。
  4. メモ帳で、plugin.xml ファイルを開いて、<loadparameters> セクションに以下の行を追加します。
    <param name="frameworkAssembly">mscoree.dll</param>
  5. コンピュータからログアウトして、再びログインします。 DevPartner Studio によって起動されたアプリケーションに対して、Silk Test が期待どおりの動作をします。

イメージ領域に対するクリックの記録時に矩形領域によってハイライトされる位置がずれる

エリア マップのような複雑なイメージの一部に対するクリックを記録する場合、イメージの適切な領域が緑色の矩形領域によってハイライトされません。ただし、再生時にクリックは正しく実行されます。

Silk Test のインストール中に Windows Defender が有効になっていると Open Agent が起動しない

Silk Test のインストール中にシステムの Windows Defender が有効になっていると、インストールが完了した後に Open Agent を起動できなくなる場合があります。Windows Defender は、ホットフィックス セットアップに必要な操作を妨げる場合があります。回避策として、Silk Test のインストール中は Windows Defender を無効にしてください。

IME エディタが特定の場所から開かれたときにポップアップする

IME エディタを開くと、テキスト フィールド内に開くのではなく、現在の画面の左上隅にポップアップして開きます。

この動作は、次の場所から IME エディタを開いたときに発生します。
  • Silk Recorder
  • キーワード駆動テスト エディター
  • キーワード ウィンドウ

検索ボックスに文字を入力すると Silk Test ヘルプがフリーズする

Microsoft Windows 8.1、Microsoft Windows RT 8.1、または Microsoft Windows Server 2012 R2 上のコンパイルされた HTML ヘルプ (.CHM) ファイルで、キーワード タブの 検索 ボックスに文字を入力すると、Silk Test ヘルプがフリーズする場合があります。この問題を解決するには、Windows Update をインストールする必要があります。このアップデートは https://support.microsoft.com/en-us/kb/3080042 から利用できます。

Num Lock キーがオンの状態で Shift + Insert を使用できない

Left Shift + Insert や Right Shift + Insert を使用して TypeKeys メソッドでクリップボードの内容を貼り付ける操作は、Num Lock キーがオンの場合に機能しません。

TypeKeys メソッドを呼び出す前にテスト スクリプトで Num Lock キーをオフにすることで、この問題を回避できます。

親トピック: 既知の問題


モバイル Web アプリケーション

Apple Safari のフレームを Silk Test Workbench がサポートしない

Silk Test Workbench は、iOS 上の Apple Safari を使用した HTML フレームおよび iframe のテストをサポートしません。

Chrome for Android 43 以降： 拡大縮小とスクロールを同時にSilk Test Workbench がサポートしない

Chrome for Android 43 以降でモバイル Web アプリケーションを記録しているとき、モバイル Web アプリケーションが拡大されて左上隅が画面から見えなくなると、期待通り機能しない場合があります。モバイル Web アプリケーションのコントロールに対して緑の矩形領域が記録時に正しく表示されない場合、モバイル Web アプリケーションを完全に縮小し、モバイル Web アプリケーションの左上隅にスクロールして、記録 ウィンドウを更新してください。

親トピック: 既知の問題


Web アプリケーション

100% 以外の拡大レベルを使用して記録すると期待通り機能しない可能性がある

100% 以外の拡大レベルを使用して Web アプリケーションを記録すると、期待通り機能しない可能性があります。Web アプリケーションに対する操作を記録する前に、ブラウザの拡大レベルを 100% に設定してください。

  • Google Chrome
    Google Chrome の Web アプリケーションのテストに関連する既知の問題について説明します。
  • Internet Explorer
    Internet Explorer に関連する既知の問題について説明します。
  • Microsoft Edge
    Microsoft Edge に関連する既知の問題について説明します。
  • Mozilla Firefox
    Mozilla Firefox の Web アプリケーションのテストに関連する既知の問題について説明します。
親トピック: 既知の問題


Google Chrome

Windows で記録中のロケーターが Google Chrome で失敗する

Google Chrome で Web アプリケーションをテストするときに、アプリケーションを実行している Google Chrome インスタンスのアプリケーション構成中に複数のウィンドウが開いていると、Windows で記録中のロケーターが失敗します。アプリケーション構成中に他の Google Chrome ウィンドウを閉じると、エラーは発生しなくなります。

Google Chrome のバックグラウンド アプリケーションでオートメーション サポートを読み込むことができない

Google Chrome を使用して Web アプリケーションをテストしている場合に、Google Chrome を閉じた際にバックグラウンド アプリケーションの処理を続行する チェックボックスがチェックされていると、Silk Test は Google Chrome を再起動してオートメーション サポートを読み込むことができません。

Windows Aero が無効なときにモーダル ダイアログのロケーターを Silk Test が記録できない

Windows Aero が無効化されている場合、モーダル ダイアログが認識されないため、このようなダイアログのロケーターを選択できません。回避策として、モーダル ダイアログが表示されているときには、Locator Spy または オブジェクトの識別 ダイアログ ボックスを使用して、ロケーターを手動で作成および検証してください。

Silk Test が埋め込み PDFを表示しない

Google Chrome 42 以降を使用すると、Google Chrome は、埋め込み PDF を表示するために使用する NPAPI プラグインをデフォルトでブロックします。このため、Silk Test は埋め込み PDF を Google Chrome 42 以降に表示する代わりに、埋め込み PDF をダウンロードします。

  • Google Chrome 44 以前を使用している場合、アドレス バーに以下を入力することにより、Google Chrome での NSAPI プラグインのブロックを解除できます。
    chrome://flags/#enable-npapi
  • Google Chrome 45 以降を使用している場合、NPAPI プラグインは Google Chrome から完全に削除されており、再有効化するオプションも無いため、すべての PDF はダウンロードされます。

テストの実行時に Google Chrome (49 以前) との接続がタイムアウトする

低速なマシンで Google Chrome (49 以前) に対するテストを実行すると、接続タイムアウトが発生し、テストが失敗する場合があります。以下のエラー メッセージが表示されます。
'*' の実行中にエラーが発生しました。ブラウザー オートメーションとの通信がタイムアウトしました。

このような接続タイムアウトを回避するために、十分な処理速度を持つテスト マシンを使用してください。たとえば、低速の仮想マシン (VM) 上でテストしている場合には、VM に CPU コアを追加することで処理速度を向上させることができます。

親トピック: Web アプリケーション
関連資料
Google Chrome を使用したテストの制限事項


Internet Explorer

Google ツールバーを使用すると、Web アプリケーションの記録に支障をきたす

Internet Explorer 8 で Google ツールバーを使用すると、Web アプリケーションのロケーターの記録に支障をきたします。

Google ツールバーをオフにしてから、Web アプリケーションを記録してください。

Microsoft Silverlight アプリケーション

一部の Microsoft Silverlight アプリケーションで、Silk Test との通信の際に Internet Explorer がハングします。32 ビット プラットフォームでは、問題の防止に役立つ MS KB 2564958 (Active Accessibility の更新プログラム) を参照してください。

Silk Test 13.5 より前のバージョンの Silk Test を使用して記録したロケーターが Internet Explorer で動作しない

Silk Test 13.5 で、Internet Explorer の textContents 属性における空白文字の標準化を改良しました。この変更は、Silk Test のクロスブラウザ機能を改善するための措置で、textContents 属性を利用しているロケーターに影響を与える可能性があります。この属性は、Silk Test 13.5 以前のリリースを使用して記録されたスクリプトで使用されています。

UAC が Microsoft Windows 8 以降および Internet Explorer 11 で有効化されているとき、Open Agent に対して高い昇格を有効化できない

UAC が有効化され、Internet Explorer と Open Agent の両方を高い昇格で実行するとき、Microsoft Windows 8 以降で Internet Explorer 11 上の Web アプリケーションをテストできません。

入力方式エディター (IME) における既知の問題

  • Silk Test は、Internet Explorer 11 での日本語入力において、半角スペースを記録しません。
  • Silk Test は、Internet Explorer 11 の互換モードでの IME 入力を記録しません。
  • 日本語 IME モードで、スペース を押すと、Silk Test は現在の IME の候補を記録することがあります。この問題を避けるには、変換 を使用してください。

Java 1.7 update 71 よりも新しいバージョンを使ったアプレットのテスト時に Internet Explorer が動作を停止する場合がある

Java 1.7 update 71 (7u71) よりも新しいバージョンを使ってアプレットをテストすると、Internet Explorer が動作を停止する場合があります。

テストの実行中に Internet Explorer が応答しなくなる

Internet Explorer 10 以降でテストを実行していると、Internet Explorer のスレッドが中断され、デッドロックが発生したことが原因で、応答しなくなる場合があります。この問題は、Internet Explorer の新しいセキュリティ機能が原因です。

この問題を解決するには、セキュリティ機能を無効化します。

  1. レジストリ エディタ が開きます。
  2. OverrideMemoryProtectionSetting エントリが HKEY_CURRENT_USER\SOFTWARE\Microsoft\Internet Explorer\Main キーに存在しない場合は、エントリを作成します。
  3. レジストリ キー HKEY_CURRENT_USER\SOFTWARE\Microsoft\Internet Explorer\Main::OverrideMemoryProtectionSetting の値を 2 に設定します。

JavaScript 警告処理 API メソッドが埋め込み Internet Explorer で機能しない

BrowserWindow クラスの以下の JavaScript 警告処理メソッドが、埋め込み Internet Explorer のテスト時に機能しません。
  • AcceptAlert メソッド
  • DismissAlert メソッド
  • GetAlertText メソッド
  • IsAlertPresent メソッド
親トピック: Web アプリケーション


Microsoft Edge

Microsoft Edge から開いたウィンドウがサポートされない

タブではなく、Microsoft Edge の新しいウィンドウとして開いたウィンドウはサポートされません。Silk Test Workbench は、このようなウィンドウを正しく閉じることができず、このようなウィンドウを閉じると、エージェントの状態が不正になります。

iframe または frame で開いた JavaScript 警告を閉じることができない

JavaScript 警告 alert()、prompt()、confirm() が、iframe または frame で開かれた場合、Microsoft Edge は閉じることができません。

ネイティブ ブラウザーのコンテキスト メニューを開けない

Microsoft Edge を右クリックして、ネイティブ ブラウザーのコンテキスト メニューを開く操作がテストに含まれていると、そのテストはハングします。Microsoft Edge によって開かれた HTML メニューでは、この問題は発生しません。

UAC を無効にした状態で Microsoft Edge に対するテストを実行できない

UAC を無効にした状態で Microsoft Edge に対してテストを実行すると、次のエラー メッセージが表示されます。
Failed to start application 'Edge'. Unable to parse remote response: Unknown error

この問題を解決するには、UAC を有効にしてください。

親トピック: Web アプリケーション
関連資料
Microsoft Edge を使用したテストの制限事項


Mozilla Firefox

Adobe FlashPlayer を使用したアプリケーションの呼び出しが Mozilla Firefox を使用した場合に正しく同期されない

最近のバージョンの Adobe FlashPlayer を Mozilla Firefox で使用している場合、呼び出しが正しく同期されないことがあります。次の問題が発生する可能性があります。
  • Mozilla Firefox がスクリプトの実行がハングしたものと誤って認識し、スクリプトが正しく実行されているにも関わらず、スクリプトの実行を続けるかどうかを確認するダイアログ ボックスが表示される場合があります。
  • SetFocus が正しく機能しないため、文字の入力が機能しない場合があります。
  • UI には新しい値が表示されているにも関わらず、Adobe オートメーションが古い値を返す場合があります。

Adobe FlashPlayer を使用するアプリケーションでこのような問題に遭遇した場合は、Adobe FlashPlayer の ProtectedMode をオフにしてください。詳細については、http://forums.adobe.com/thread/1018071 を参照し、Last Resort に記述された情報をお読みください。

親トピック: Web アプリケーション


SAP アプリケーション

SAPTree クラスの HierarchyHeaderWidth および ColumnOrder プロパティが書き込み専用になっている

自動化に関するドキュメントに記載されている場合を除いて、SAPTree の HierarchyHeaderWidth および ColumnOrder プロパティは書き込み専用で、読み込むことはできません。

これらのプロパティを使用する場合、スクリプトで、読み込みではなく、書き込みが使用されていることを確認します。

SAPTree クラスの GetColumnIndexFromName() が「特定できないエラー」により失敗する

SapTree クラスの GetColumnIndexFromName() は「特定できないエラー」により失敗することがあります。これは SAP オートメーションの既知の問題です。

SAP Web サイトでこの問題が解決されているかどうか確認してください。

コンテキスト メニュー項目の SAPTree クラスの Select() メソッドの呼び出しに失敗する

コンテキスト メニュー項目の SAPTree クラスの Select() メソッドの呼び出しに失敗することがあります。

代わりに親コントロールの SelectContextMenuItem を呼び出します。これは SAP オートメーションの既知の問題です。

水平スクロールバーの Position プロパティが常に 1 を返す

水平スクロールバーの Position プロパティは常に 1 を返します。これは SAP オートメーションの既知の問題です。

SAP Web サイトでこの問題が解決されているかどうか確認してください。

SAPNetPlan クラスがサポートされていない

この問題は今後のリリースで解決される予定です。

SAP スクリプトを実行すると、再生エラーが発生する

ある状況下で、SAP テストを記録して再生すると、次のエラーが発生する場合があります：この操作を完了するのに必要なデータは、まだ利用できません。このエラーは、Silk Test Workbench が記録した操作の実行が速すぎたことを意味しています。

この問題を解決するには、テスト スクリプトにスリープを追加したり、関数の呼び出しやプロパティの設定の後に Silk Test Workbench が待機する時間を増やすために、再生後の遅延を増やしてください。このオプションについての詳細は、「エージェント オプション」を参照してください。また、xBrowser テクノロジ ドメインではなく、SAP オートメーションを使用して問題が発生する操作を再生するように、スクリプトを変更します。たとえば、その操作を DomLink.Select から SapHTMLViewer.SapEvent に変更します。

SAPGUI クライアント 7.30 を使用するとメソッド getCurrentRow が誤った値を返す

SAPGUI クライアント 7.30 を使用しているときに、メソッド getCurrentRow を呼び出すと、メソッドは行番号ではなく誤った値 -1 を返す場合があります。

メソッド resizeWorkingPane が SAPGUI クライアント 7.30 で正しく機能しない

SAPGUI クライアント 7.30 を使用しているときに、メソッド resizeWorkingPaneEx を呼び出すと、 メソッドは workingPane のサイズを変更せずに、getSapWindow().getWidth() の呼び出し結果は、ウィンドウの幅と異なる値を返します。

Silk Test Workbench をeCATT から開始すると仮想マシン上で記録を開始できない

SAPGUI から eCATT スクリプトを作成したとき、記録 ボタンを押して仮想マシンの操作を記録しようとしても、VB .NET スクリプト、ビジュアル テスト、キーワード駆動テストが Silk Test Workbench エディタで開いていると、動作しません。物理マシン上での記録操作は動作します。

eCATT から Silk Test Workbench データベースに資産インポートするとき、エクスポートした資産の XML よりも新しいバージョンの Silk Test Workbench で作成された eCATT BLOB を使用してもエラーが表示されない

eCATT から Silk Test Workbench データベースに資産をインポートするときに、Silk Test Workbench のバージョンが eCATT BLOB の資産を含む XML のバージョンよりも古い場合、インポート処理はエラーを表示せずに失敗します。

インポートが失敗すると、次に BLOB を編集しようとしたときに、「
eCATT に戻る前に現在の BLOB を保存しますか?
」というメッセージが表示されます。 この場合、BLOB は空のため保存してはいけません。保存せずに、いいえ をクリックして eCATT に戻ってください。
ヒント: eCATT を使用して Silk Test Workbench の複数のインスタンスを使用している場合、Micro Focus では、すべてのインスタンスを同じ Silk Test Workbench のバージョンに合わせることを推奨しています。
親トピック: 既知の問題
関連資料
エージェント オプション


Oracle Forms

Java 1.7 update 60 よりも新しいバージョンを使った Oracle Forms のテストを Silk Test Workbench がサポートしない

Silk Test Workbench は、Java 1.7 update 60 よりも新しいバージョンを使った Oracle Forms のテストをサポートしません。

親トピック: 既知の問題


Silk Test Workbench

大規模サイトでのビジュアル テストの再生

xBrowser の使用中に大規模サイトでビジュアル テストを実行すると、パフォーマンス問題が発生することがあります。この問題を回避するには、再生 > 結果 > ビジュアル テスト > コントロールのキャプチャ オプションを いいえ に設定します。

スクリプトの再生時にバックグランドにメッセージ ボックスが表示される (31314)

メッセージ ボックスのステートメント (MsgBox ("Hello") など) を .NET スクリプトに含めた場合、スクリプトの再生時にバックグランドにメッセージ ボックスが表示されます。

メッセージ ボックスをフォアグラウンドに表示するには、MsgBoxStyle.MsgBoxSetForeground ステートメントに MsgBox を含めます。例：
MsgBox ("Hello", MsgBoxStyle.MsgBoxSetForeground)

インストーラが SQL Server Native Client のインストールと COM サーバーとしての Silk Test Workbench の登録に失敗する

Silk Test のインストール中またはインストール前に、オペレーティング システムが自動更新を実行するか、またはユーザーが Windows アップデートを行った場合、インストーラは SQL Server Native Client のインストールと COM サーバーとしての Silk Test Workbench の登録に失敗します。

これらの問題は共に、Silk Central Test Manager (SCTM) の統合に影響を与えます。それは、SCTM では SQL Server Express によってインストールされたネイティブ クライアント ドライバを使用して Silk Test Workbench DSN を作成するためです。さらに SCTM は、自動化に COM インターフェイスを使用するには、COM サーバーとして登録された Silk Test Workbench を必要とするためです。

以下の解決策のいずれかを選択します。
  1. Windows アップデートの実行中に Silk Test をインストールしない。
  2. 使用しているマシンに Windows アップデートが自動的にインストールされないようにする。
  3. 保留中の Windows アップデートを Silk Test より先にインストールしてから、システムを再起動し Silk Test をインストールする。

複数の修飾キーを含めるようホット キーの組み合わせを変更すると、追加のキーが記録される

検証の挿入用または記録の開始/停止用に複数の修飾キーを含むホットキーを構成している場合は、修飾キーを押す操作が記録されることがあります。たとえば、Alt+Ctrl+F9 というホット キーの組み合わせを指定した場合、Alt は、ホット キーの組み合わせの一部として無視されるのではなく、キーを押す操作として記録されることがあります。これは、キーから手を離すという対応する操作がないため、再生時に問題になります。

修飾キーに関連するこの操作を手動で削除するか、ホット キーの修飾キーを 1 つだけ使用します。

データ ソース名 (DNS) が 64 ビット システムで動作しない

SQL Server または Oracle の 64 ビット DSN を Silk Test Workbench に使用することはできません。64 ビット マシンで DSN を作成するには、スタート > Silk > Silk Test > 管理 > データ ソース (ODBC) をクリックして、32 ビット DSN を作成します。C:\WINDOWS\SysWOW64\odbcad32.exe にある WOW64 ツールを使用することもできます。

Silk Test Workbench を起動するのにネットワーク アダプタが必要になる

Silk Test Workbench を開始するときに、Silk Test Workbench と Open Agent の間で通信できるようにするため、Silk Test Workbench をインストールしたマシンでネットワーク アダプタが使用可能である必要があります。ネットワーク アダプタが使用できない場合、エラー「Open Agent との接続に失敗しました」が発生します。他のクライアント (Silk Test Classic や Silk4J など) を起動する場合には、ネットワーク接続は必要ありません。

Silk Test Workbench を起動する前に、ネットワーク アダプタが使用可能であることを確認してください。

SQL Server Express を Windows Vista SP1 マシンにインストールできない

Windows Vista SP1 マシンでは、SQL Server 2008 Express をインストールしようとする場合、.NET 3.5 SP1 の完全バージョンがインストールされていることを確認してください。.NET 3.5 SP1 の完全バージョンをインストールするには、Microsoft の Web サイトからダウンロードします。

[画面プレビューから識別] により、移行されたデータベースに不正なオブジェクト マップ項目が作成される

Silk Test Workbench 2010 から Silk Test Workbench 2010 R2 に移行したあと、画面プレビューから識別 を使用すると不正なオブジェクト マップ項目が作成されます。

画面プレビューから識別 を使用する前に、画面の更新 コマンドを使用して、画面を再キャプチャします。

子スクリプトが親スクリプトから呼び出されると、子スクリプトはスコープ外のオブジェクト マップにアクセスできる

親スクリプトと子スクリプトが異なるプロジェクトに含まれており、異なるオブジェクト マップを使用している場合、オブジェクト マップが子スクリプトのスコープ外であっても、子スクリプトは正常に実行されます。

スクリプトが正常に実行されるため、解決策は必要ありません。ただし、この動作は今後のリリースでは正常に実行されなくなります。

複数ユーザーが SQL 2008 データベース上で同じ資産を同時に編集しようとすると、資産のロック機構に関する問題が発生する可能性がある

問題かどうかをテストするには、ビジュアルテストなどの資産を開いて、Silk Test Workbench で編集できるようにします。資産が開いている間に、Silk Test Workbench の別のインスタンスから同じ資産を開きます。問題が発生した場合は、Silk Test Workbench の 2 番めのインスタンスで同じ資産を同時に編集できるか、または 2 番めのインスタンスが不完全なデータに関するメッセージを受け取ります。このときユーザー名とマシン名は共に空白になります。

SQL Server で、データベースの管理者権限を、このデータベースを使用する SQL データベース ユーザーに割り当てます。

SQL データベースで資産のエクスポート中に予期しないエラーが発生する

SQL データベースで資産のエクスポート中に予期しないエラー「文字列から uniqueidentifier に変換中、変換に失敗しました」が発生します。

エクスポートしたデータベースをインポートし、何らかのエラー メッセージが表示された場合 OK を押します。インポートは正常に終了し、資産を使用できます。

Access データベースの使用中に予期しないエラーが発生する

Silk Test データベース メンテナンス ツールを使用してデータベースをコンパクト化します。(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > データベース メンテナンス、または (Microsoft Windows 10) スタート > Silk > データベース メンテナンス をクリックします。次に、データベースを開き、ツール > データベースのコンパクト化 をクリックします。

構成中に UAC が有効な状態で Silk Test Workbench が SQL Server へ接続できない

構成中に管理者権限を持たずに Silk Test Workbench を使用している場合、UAC が有効な状態で SQL Server へ接続できません。

構成中に SQL Server へ接続するには、管理者として実行 オプションを使用して Silk Test Workbench を起動する必要があります。

リモートの SQL データベースとの接続が失われたときに Silk Test Workbench が異常終了する場合がある

リモートの SQL データベースを使用している場合、データベースが Silk Test Workbench から切断されると (サーバーを再起動した場合など)、Silk Test Workbench がデータベースとの通信を行おうとする際に異常終了する場合があります。

Silk Test Workbench を再起動して、データベースと再接続してください。

[コントロールのキャプチャ ] オプションが設定されているとビジュアル テストの再生速度が著しく低下する場合がある

再生のパフォーマンスを向上させるには、[コントロールのキャプチャ ] を いいえ に設定します。

Microsoft Windows 7 クラシック テーマ：ビジュアル テストの画面プレビューに 記録中 ウィンドウが含まれる場合がある

クラシック テーマを使用した Microsoft Windows 7 マシンで記録したビジュアル テストの画面プレビューに 記録中 ウィンドウが含まれる場合があります。Microsoft Windows 7 で 記録中 ウィンドウを含まずにビジュアル テストを記録するには、クラシック テーマを使用しないでください。

親トピック: 既知の問題


Silk Test Workbench 言語リファレンス

このセクションでは、Silk Test Workbench がサポートする各テクノロジ ドメインのクラス、メソッド、およびプロパティを示します。

Silk Test Workbench のスクリプト言語は Visual Basic .NET です。

Visual Basic .NET のネイティブのクラス、メソッド、プロパティの詳細については、http://msdn.microsoft.com/ja-jp/library/2x7h1hfk を参照してください。

  • 共通クラス リファレンス
    Win32、Java SWT、および Windows Forms をサポートする共通のクラスを一覧します。
  • コア クラス リファレンス
    エージェントのクラスおよびテスト オブジェクトのサポートを示します。
  • データ型
    さまざまなデータ型を示します。
  • Flex クラス リファレンス
    Flex をサポートするクラスを一覧します。
  • Java SWT クラス リファレンス
    Java SWT をサポートするクラスを一覧します。
  • キーワード駆動テスト クラス リファレンス
    キーワード駆動テストで利用可能なクラスを一覧します。
  • Mobile クラス リファレンス
    Mobile をサポートするクラスを一覧します。
  • Rumba クラス リファレンス
    Rumba をサポートするクラスを一覧します。
  • SAP クラス リファレンス
    SAP をサポートするクラスを一覧します。
  • Silverlight クラス リファレンス
    Silverlight をサポートするクラスを一覧します。
  • Java AWT および Swing クラス リファレンス
    Java AWT および Swing をサポートするクラスを一覧します。
  • Win32 クラス リファレンス
    Win32 をサポートするクラスを一覧します。
  • Windows Forms クラス リファレンス
    Windows Forms をサポートするクラスを一覧します。
  • WPF クラス リファレンス
    WPF をサポートするクラスを一覧します。
  • xBrowser クラス リファレンス
    xBrowser をサポートするクラスを一覧します。
関連概念
ビジュアル テストでの項目識別子の使用


共通クラス リファレンス

Win32、Java SWT、および Windows Forms コントロールのテストに利用可能なクラスを一覧します。

  • BaseGuiTestObject クラス
    コンテキスト メニューを持つことのできる GUI オブジェクトの基本クラスです。
  • CharSet 列挙
    ファイルを読み込む際に使用する文字セットを指定します。
  • CheckBox クラス
    チェック ボックス コントロールのクラスです。
  • CheckBoxToolItem クラス
    ツールバー コントロール内のチェック ボックス要素のクラスです。
  • ComboBox クラス
    ポップアップ リストとテキスト フィールドの両方を兼ね備えたコントロールのクラスです。 ユーザーがリストから項目を選択すると、テキスト フィールドにはその文字列が入力されます。 また、ユーザーがテキスト フィールドに文字列を直接入力することもできます。
  • Control クラス
    ウィンドウの任意のコントロールのクラスです。
  • Desktop クラス
    Desktop は画面全体を表すクラスです。
  • Dialog クラス
    ダイアログのクラスです。
  • DropDownToolItem クラス
    ツールバー コントロール内のドロップ ダウン要素のクラスです。
  • FileInfo クラス
    ディレクトリ エントリについての情報の構造体。
  • FileSizeUnit 列挙
    ファイル サイズを計算する際に使用する単位を定義します。
  • Group クラス
    コントロールを結合するために使用するクラスで、複数のコントロールが 1 つになっていることを視覚的にユーザーに表現します。 このため、グループ コントロールはメソッドで表すことができる他の機能を持ちません。
  • GuiTestObject クラス
    すべての GUI オブジェクトの基本クラスです。
  • HorizontalScrollBar クラス
    水平方向のスクロール バーのクラスです。
  • IClickable インターフェイス
    クリックできるオブジェクトのインターフェイスです。
  • IFocusable インターフェイス
    フォーカスを持つことのできるオブジェクトのインターフェイスです。
  • IKeyable インターフェイス
    キーストロークを使用するオブジェクトのインターフェイスです。 このインターフェイスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。
  • IMoveable インターフェイス
    ウィンドウなど、移動可能なオブジェクトのインターフェイスです。
  • INativeWindow インターフェイス
    ネイティブ ウィンドウ ハンドルを提供するオブジェクトのインターフェイスです。
  • IScrollable インターフェイス
    スクロール バーを持つことのできるオブジェクトのインターフェイスです。
  • Item クラス
    項目の基本クラス。
  • Label クラス
    静的テキスト文字列のクラスです（たとえば、ラベルのようなユーザーが変更できないテキスト）。
  • Link クラス
    ソースで参照したトピックの場所を開きます。
  • ListBox クラス
    リスト ボックスのクラスです。
  • Menu クラス
    メニューのクラスです。
  • MenuItem クラス
    メニュー項目のクラスです。
  • PushButton クラス
    ボタンのクラスです。
  • PushToolItem クラス
    ツールバー コントロール内のプッシュ ボタン要素のクラスです。
  • RadioList クラス
    テキスト エディター アプリケーションの検索ダイアログの検索方向を指定するために使用される 2 つのラジオ ボタンのような、ラジオ ボタンのグループのクラスです。 ラジオ リスト内の 1 つのボタンだけがある時点で選択状態になることができます。
  • RadioListToolItem クラス
    RadioListToolItem はツールバー コントロール上のラジオ ボタン要素のクラスです。
  • RegistryCategory 列挙
    レジストリのルート キーを指定します。
  • RegistryView 列挙
    32 ビットまたは 64 ビット レジストリのどちらを使うか定義します。
  • Scale クラス
    スケールのクラスです。
  • ScrollBar クラス
    スクロール バーのクラスです。リスト ボックス上のスクロール バーなどのコントロールの一部のスクロール バーも含みます。
  • SeparatorItem クラス
    メニュー セパレーターのクラスです。
  • TabControl クラス
    タブ付きまたは複数ページのダイアログ、およびボタン バーのクラスです。
  • Table クラス
    テーブルのクラスです。
  • TableColumn クラス
    テーブルにおける列のクラスです。
  • TableRow クラス
    テーブルにおける行のクラスです。
  • TestObject クラス
    すべての UI オブジェクトの基本クラスです。
  • TextField クラス
    ユーザーが変更可能なテキストを保持する、単一行および複数行フィールドのクラスです。 このクラスは、Windows RichEdit コントロールもサポートします。
  • ToggleButton クラス
    ボタンを選択することで変更できる状態を持つボタンのクラスです。
  • ToolBar クラス
    ツールバー コントロールのクラスです。 ツールバーはボタンや他のコントロールの集合のコンテナーです。
  • ToolItem クラス
    ツールバー コントロール内のツール項目のクラスです。
  • Tree クラス
    図式的階層に構成された項目のクラスです。
  • VerticalScrollBar クラス
    垂直方向のスクロール バーのクラスです。
  • Window クラス
    移動可能な典型的なウィンドウのクラスです。
  • ExecutionMode 列挙
    関数が実行するコマンドの完了を待機するかどうかを 定義します。
  • ExecutionResult クラス
    SystemFunctions.Execute の呼び出し結果をカプセル化します。
  • FileHandle クラス
    論理ファイル ハンドル。
  • FileOpenMode 列挙
    ファイルを開く方法を定義します。
  • FilePointerMode 列挙
    ファイルの読み書き時に使用する位置を指定します。
  • FileShareMode 列挙
    Silk Test がファイルを開いている間に、他のプログラムに与えるアクセス許可 の種類を定義します。
  • SystemFunctions クラス
    さまざまなオペレーションを（リモート）Open Agent のホスト上で 実行できます。
親トピック: Silk Test Workbench 言語リファレンス


BaseGuiTestObject クラス

説明

コンテキスト メニューを持つことのできる GUI オブジェクトの基本クラスです。

継承階層

  • GuiTestObject
    • BaseGuiTestObject
      • AccessibleControl
      • Control
      • Window

構文

'Declaration
Public Class BaseGuiTestObject _
Inherits GuiTestObject _
Implements IScrollable

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


CharSet 列挙

説明

ファイルを読み込む際に使用する文字セットを指定します。

継承階層

  • SystemFunctions
    • CharSet

構文

Public Enumeration CharSet {
  Undefined = 100,
  ANSI = 101,
  UTF8 = 102,
  Unicode = 103
}

メンバー

名前 | 説明
Undefined | 文字セットが指定されていません。
ANSI | ANSI 文字セットが使用されています。
UTF8 | UTF8 文字セットが使用されています。
Unicode | Unicode 文字セットが使用されています。
親トピック: 共通クラス リファレンス


CheckBox クラス

説明

チェック ボックス コントロールのクラスです。

継承階層

  • Control
    • CheckBox

構文

'Declaration
Public Class CheckBox _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsChecked | チェック ボックスがチェックされている場合は true を、それ以外の場合は false を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | チェック ボックスを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetUndecided | チェック ボックスを未設定の状態に設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | チェック ボックスの状態を切り替えます。 チェック ボックスがチェックされている場合は、チェックを外し、そうでない場合はチェックします。 チェック ボックスが未設定の状態にある場合は、未設定のままになります。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


CheckBoxToolItem クラス

説明

ツールバー コントロール内のチェック ボックス要素のクラスです。

継承階層

  • ToolItem
    • CheckBoxToolItem

構文

'Declaration
Public Class CheckBoxToolItem _
Inherits ToolItem

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ComboBox クラス

説明

ポップアップ リストとテキスト フィールドの両方を兼ね備えたコントロールのクラスです。 ユーザーがリストから項目を選択すると、テキスト フィールドにはその文字列が入力されます。 また、ユーザーがテキスト フィールドに文字列を直接入力することもできます。

継承階層

  • Control
    • ComboBox

構文

'Declaration
Public Class ComboBox _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | コンボ ボックス リストの項目の数。
Items | コンボ ボックス リストの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。
SelectedItem | 選択する項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | コンボ ボックスからすべてのテキストを削除します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | コンボ ボックスから項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | コンボ ボックスのテキスト フィールド内のテキストを置換します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Control クラス

説明

ウィンドウの任意のコントロールのクラスです。

継承階層

  • BaseGuiTestObject
    • Control
      • CBanner
      • CheckBox
      • ComboBox
      • CoolBar
      • CTabFolder
      • DataGrid
      • DomainUpDown
      • ElementHost
      • ExpandBar
      • FormsHost
      • Group
      • Header
      • Label
      • Link
      • ListBox
      • ListView
      • MenuStrip
      • MonthCalendar
      • Pager
      • ProgressBar
      • PushButton
      • RadioList
      • Sash
      • SashForm
      • Scale
      • ScrollableControl
      • ScrollBar
      • ScrolledComposite
      • Spinner
      • StatusBar
      • SWTBrowser
      • SWTDateTime
      • TabControl
      • Table
      • TextField
      • ToggleButton
      • ToolBar
      • Tree
      • UpDown
      • ViewForm

構文

'Declaration
Public Class Control _
Inherits BaseGuiTestObject

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Desktop クラス

説明

Desktop は画面全体を表すクラスです。

継承階層

  • TestObject
    • Desktop

プロパティ

Desktop は TestObject のすべてのプロパティを継承します。

メソッド

Desktop は TestObject のすべてのメソッドを継承します。

親トピック: 共通クラス リファレンス


Dialog クラス

説明

ダイアログのクラスです。

継承階層

  • Window
    • Dialog

構文

'Declaration
Public Class Dialog _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


DropDownToolItem クラス

説明

ツールバー コントロール内のドロップ ダウン要素のクラスです。

継承階層

  • ToolItem
    • DropDownToolItem

構文

'Declaration
Public Class DropDownToolItem _
Inherits ToolItem

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Open | 項目を開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


FileInfo クラス

説明

ディレクトリ エントリについての情報の構造体。

継承階層

  • SystemFunctions
    • FileInfo

プロパティ

名前 | 説明
Attributes | ファイルの属性を取得します。
CreationDate | ファイルまたはディレクトリが作成された日時を取得します。
IsDirectory | インスタンスがディレクトリについての情報を保持しているかどうかを取得します。
ModificationTime | ファイルまたはディレクトリが最後に変更された 日時を取得します。
Name | ファイルの名前を取得します。
Size | ファイルのサイズを取得します。
親トピック: 共通クラス リファレンス


FileSizeUnit 列挙

説明

ファイル サイズを計算する際に使用する単位を定義します。

継承階層

  • SystemFunctions
    • FileSizeUnit

構文

public enum FileSizeUnit

メンバー

名前 | 説明
Byte | 1 バイト。
KiloByte | 2^10 バイト。
MegaByte | 2^20 バイト。
GigaByte | 2^30 バイト。
TeraByte | 2^40 バイト。
親トピック: 共通クラス リファレンス


Group クラス

説明

コントロールを結合するために使用するクラスで、複数のコントロールが 1 つになっていることを視覚的にユーザーに表現します。 このため、グループ コントロールはメソッドで表すことができる他の機能を持ちません。

継承階層

  • Control
    • Group

構文

'Declaration
Public Class Group _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


GuiTestObject クラス

説明

すべての GUI オブジェクトの基本クラスです。

継承階層

  • TestObject
    • GuiTestObject
      • BaseGuiTestObject
      • Item
      • Menu

構文

'Declaration
Public Class GuiTestObject _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable, INativeWindow

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。
Enabled | GUI オブジェクトが有効かどうか。
Font | GUI オブジェクトのフォントの種類。
Foreground | GUI オブジェクトの前景色。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


HorizontalScrollBar クラス

説明

水平方向のスクロール バーのクラスです。

継承階層

  • ScrollBar
    • HorizontalScrollBar

構文

'Declaration
Public Class HorizontalScrollBar _
Inherits ScrollBar

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーの内部ページ サイズです。 (ScrollBar から継承されました)
Position | スクロール バー キャレットの実際の位置です。 (ScrollBar から継承されました)
Range | スクロール バーの範囲です。 (ScrollBar から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PageLeft | スクロール バーをページ単位に左方向にスクロールします。
PageRight | スクロール バーをページ単位に右方向にスクロールします。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーをスクロールします。 (ScrollBar から継承されました)
ScrollLeft | スクロール バーを左方向にスクロールします。
ScrollRight | スクロール バーを右方向にスクロールします。
ScrollToMax | スクロール バーをその最大の位置にスクロールします。 (ScrollBar から継承されました)
ScrollToMin | スクロール バーをその最小の位置にスクロールします。 (ScrollBar から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


IClickable インターフェイス

説明

クリックできるオブジェクトのインターフェイスです。

構文

'Declaration
Public Class IClickable

メソッド

名前 | 説明
Click | オブジェクトをクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
親トピック: 共通クラス リファレンス


IFocusable インターフェイス

説明

フォーカスを持つことのできるオブジェクトのインターフェイスです。

構文

'Declaration
Public Class IFocusable

メソッド

名前 | 説明
IsFocused | コントロールがフォーカスを持つかどうかを返します。
SetFocus | コントロールにフォーカスを与えます。
親トピック: 共通クラス リファレンス


IKeyable インターフェイス

説明

キーストロークを使用するオブジェクトのインターフェイスです。 このインターフェイスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。

構文

'Declaration
Public Class IKeyable

メソッド

名前 | 説明
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。
親トピック: 共通クラス リファレンス


IMoveable インターフェイス

説明

ウィンドウなど、移動可能なオブジェクトのインターフェイスです。

構文

'Declaration
Public Class IMoveable

プロパティ

名前 | 説明
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。

メソッド

名前 | 説明
Close | ウィンドウを閉じます。
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。
GetFocus | 入力フォーカスを持つオブジェクトを返します。
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。
Maximize | ウィンドウを最大化します。
Minimize | ウィンドウを最小化します。
Move | ウィンドウを移動します。
Restore | ウィンドウを元のサイズに戻します。
SetActive | ウィンドウをアクティブにします。
Size | ウィンドウのサイズを変更します。
親トピック: 共通クラス リファレンス


INativeWindow インターフェイス

説明

ネイティブ ウィンドウ ハンドルを提供するオブジェクトのインターフェイスです。

構文

'Declaration
Public Class INativeWindow

プロパティ

名前 | 説明
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。
親トピック: 共通クラス リファレンス


IScrollable インターフェイス

説明

スクロール バーを持つことのできるオブジェクトのインターフェイスです。

構文

'Declaration
Public Class IScrollable

メソッド

名前 | 説明
GetHorizontalBar | このコントロールの水平スクロール バーを返します。
GetVerticalBar | このコントロールの垂直スクロール バーを返します。
親トピック: 共通クラス リファレンス


Item クラス

説明

項目の基本クラス。

継承階層

  • GuiTestObject
    • Item
      • CoolItem
      • CTabItem
      • DataGridColumn
      • DataGridItem
      • DataGridRow
      • ExpandItem
      • MenuItem
      • SeparatorItem
      • SWTTabItem
      • SWTTreeColumn
      • TableColumn
      • TableRow
      • ToolItem

構文

'Declaration
Public Class Item _
Inherits GuiTestObject

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Label クラス

説明

静的テキスト文字列のクラスです（たとえば、ラベルのようなユーザーが変更できないテキスト）。

継承階層

  • Control
    • Label

構文

'Declaration
Public Class Label _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Link クラス

説明

ソースで参照したトピックの場所を開きます。

継承階層

  • Control
    • Link

構文

'Declaration
Public Class Link _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ListBox クラス

説明

リスト ボックスのクラスです。

継承階層

  • Control
    • ListBox
      • CheckedListBox

構文

'Declaration
Public Class ListBox _
Inherits Control

プロパティ

名前 | 説明
AllowsMultiSelect | コントロールが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | リスト ボックスの項目の数。
Items | リスト ボックスの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 最初の選択された項目のインデックス。
SelectedIndices | 選択した項目の索引。
SelectedItem | 最初の選択された項目の名前。
SelectedItems | 選択した項目の名前。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | リスト ボックスの項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelect | リスト ボックスの選択範囲を拡張して項目の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | 複数または拡張選択リスト ボックスの項目を選択します。
MultiUnselect | 複数または拡張選択リスト ボックスの項目の選択を解除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト ボックスから項目を選択します。
SelectRange | 拡張選択リスト ボックスの項目の範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Menu クラス

説明

メニューのクラスです。

継承階層

  • GuiTestObject
    • Menu

構文

'Declaration
Public Class Menu _
Inherits GuiTestObject

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemCount | このメニューのメニュー項目の数を返します。 メニュー項目のセパレーターも含みます。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニューを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


MenuItem クラス

説明

メニュー項目のクラスです。

継承階層

  • Item
    • MenuItem

構文

'Declaration
Public Class MenuItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Checked | メニュー項目がチェックされているかどうか。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニューから項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


PushButton クラス

説明

ボタンのクラスです。

継承階層

  • Control
    • PushButton

構文

'Declaration
Public Class PushButton _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Pressed | プッシュ ボタンが押されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | プッシュ ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


PushToolItem クラス

説明

ツールバー コントロール内のプッシュ ボタン要素のクラスです。

継承階層

  • ToolItem
    • PushToolItem

構文

'Declaration
Public Class PushToolItem _
Inherits ToolItem

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


RadioList クラス

説明

テキスト エディター アプリケーションの検索ダイアログの検索方向を指定するために使用される 2 つのラジオ ボタンのような、ラジオ ボタンのグループのクラスです。 ラジオ リスト内の 1 つのボタンだけがある時点で選択状態になることができます。

継承階層

  • Control
    • RadioList

構文

'Declaration
Public Class RadioList _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | ラジオ リストの項目の数。
Items | ラジオ リストの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。
SelectedItem | 選択する項目。
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ラジオ リストから項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


RadioListToolItem クラス

説明

RadioListToolItem はツールバー コントロール上のラジオ ボタン要素のクラスです。

継承階層

  • ToolItem
    • RadioListToolItem

構文

'Declaration
Public Class RadioListToolItem _
Inherits ToolItem

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


RegistryCategory 列挙

説明

レジストリのルート キーを指定します。 詳細については、 「Predefined Keys」を参照してください。

継承階層

  • SystemFunctions
    • RegistryCategory

構文

public enum RegistryCategory

メンバー

名前 | 説明
HKEY_CLASSES_ROOT | このキーの下位にあるレジストリ エントリは、 ドキュメントやプロパティの種類（またはクラス）とそれに関連するタイプを定義します。
HKEY_CURRENT_USER | このキーの下位にあるレジストリ エントリは、 現在のユーザーの設定を定義します。
HKEY_LOCAL_MACHINE | このキーの下位にあるレジストリ エントリは、 コンピュータの物理的な状態を定義します。
HKEY_USERS | このキーの下位にあるレジストリ エントリは、 ローカル コンピュータ上の新しいユーザーに対するデフォルトのユーザー設定と、 現在のユーザーに対するユーザー設定を定義します。
親トピック: 共通クラス リファレンス


RegistryView 列挙

説明

32 ビットまたは 64 ビット レジストリのどちらを使うか定義します。

継承階層

  • SystemFunctions
    • RegistryView

構文

public enum RegistryView

メンバー

名前 | 説明
RegistryView_32Bit | 32 ビット レジストリを使用します。
RegistryView_64Bit | 64 ビット レジストリを使用します。
親トピック: 共通クラス リファレンス


Scale クラス

説明

スケールのクラスです。

継承階層

  • Control
    • Scale

構文

'Declaration
Public Class Scale _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スケール キャレットの実際の位置です。
Range | スケールの範囲です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | スケールの位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetToMax | スケールをその最大の位置に設定します。
SetToMin | スケールをその最小の位置に設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ScrollBar クラス

説明

スクロール バーのクラスです。リスト ボックス上のスクロール バーなどのコントロールの一部のスクロール バーも含みます。

継承階層

  • Control
    • ScrollBar
      • HorizontalScrollBar
      • VerticalScrollBar

構文

'Declaration
Public Class ScrollBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーの内部ページ サイズです。
Position | スクロール バー キャレットの実際の位置です。
Range | スクロール バーの範囲です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーをスクロールします。
ScrollToMax | スクロール バーをその最大の位置にスクロールします。
ScrollToMin | スクロール バーをその最小の位置にスクロールします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


SeparatorItem クラス

説明

メニュー セパレーターのクラスです。

継承階層

  • Item
    • SeparatorItem

構文

'Declaration
Public Class SeparatorItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


TabControl クラス

説明

タブ付きまたは複数ページのダイアログ、およびボタン バーのクラスです。

継承階層

  • Control
    • TabControl
      • SWTTabControl

構文

'Declaration
Public Class TabControl _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | タブ コントロールの項目の数。
Items | タブ コントロールの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。
SelectedItem | 選択する項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 現在のページを指定したページに設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Table クラス

説明

テーブルのクラスです。

継承階層

  • Control
    • Table
      • SWTTable

構文

'Declaration
Public Class Table _
Inherits Control

プロパティ

名前 | 説明
AllowsCheck | コントロールがチェック マークを表示できるかどうか。
AllowsMultiSelect | テーブルが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | テーブルの列の数。
ColumnItems | 列のすべての項目のリスト。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | テーブルの行の数。
RowItems | テーブルのすべての行のリスト。
SelectedIndices | 選択した項目の索引。
SelectedItems | 選択した項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | テーブルの定義された行のチェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelectRow | 行の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FocusRow | テーブルの行にフォーカスを設定します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelectRow | テーブルの行を選択行の集合に追加します。
MultiUnselectRow | 行を選択行の集合から削除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectRow | テーブルの行を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | テーブルの定義された行のチェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


TableColumn クラス

説明

テーブルにおける列のクラスです。

継承階層

  • Item
    • TableColumn
      • SWTTableColumn

構文

'Declaration
Public Class TableColumn _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Width | 列の幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列のサイズを変更します。
Select | 列を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


TableRow クラス

説明

テーブルにおける行のクラスです。

継承階層

  • Item
    • TableRow
      • SWTTableRow

構文

'Declaration
Public Class TableRow _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Checked | 行のチェックボックスがチェックされているかどうか。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | 行の項目の数。
Items | 行の項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


TestObject クラス

説明

すべての UI オブジェクトの基本クラスです。

構文

'Declaration
Public Class TestObject

プロパティ

名前 | 説明
Text | コントロールのテキスト。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。
Find | XPath ロケーターで指定したオブジェクトを検索します。
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。
GenerateLocator | このオブジェクトのロケーターを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。
GetProperty | 指定したプロパティの値を返します。
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。
HighlightObject | このオブジェクトをハイライトします。
ImageClick | 指定したイメージ資産をクリックします。
ImageClickFile | 指定したイメージをクリックします。
ImageExists | 指定したイメージが存在するかどうかを返します。
ImageExistsFile | 指定したイメージが存在するかどうかを返します。
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。
SetProperty | 指定したプロパティの値を設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。
TextClick | 指定したテキストの中央をクリックします。
TextExists | 指定したテキストが存在するかどうかを返します。
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。
親トピック: 共通クラス リファレンス


TextField クラス

説明

ユーザーが変更可能なテキストを保持する、単一行および複数行フィールドのクラスです。 このクラスは、Windows RichEdit コントロールもサポートします。

継承階層

  • Control
    • TextField
      • StyledText

構文

'Declaration
Public Class TextField _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
IsPassword | コントロールがパスワード テキスト フィールドであるかどうか。
MultiLine | コントロールが複数行かどうか。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | テキスト フィールド内のキャレットの位置。
SelectedRange | テキスト フィールド内の選択範囲。
SelectedText | テキスト フィールド内の選択テキスト。 テキストが選択されていない場合は空の文字列。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | すべてのテキストをテキスト フィールドから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetMultiText | 複数行テキスト フィールドの指定された行のテキストを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetMultiText | 複数行テキスト フィールドの行のすべて、または一部を置換します。
SetPosition | テキスト フィールド内の挿入位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 単一行または複数行フィールドの指定した範囲を選択します。
SetText | テキスト フィールド内のテキストのすべて、または一部を新しいテキストに置換します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ToggleButton クラス

説明

ボタンを選択することで変更できる状態を持つボタンのクラスです。

継承階層

  • Control
    • ToggleButton

構文

'Declaration
Public Class ToggleButton _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
State | トグル ボタンの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ToolBar クラス

説明

ツールバー コントロールのクラスです。 ツールバーはボタンや他のコントロールの集合のコンテナーです。

継承階層

  • Control
    • ToolBar

構文

'Declaration
Public Class ToolBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ToolItem クラス

説明

ツールバー コントロール内のツール項目のクラスです。

継承階層

  • Item
    • ToolItem
      • CheckBoxToolItem
      • DropDownToolItem
      • PushToolItem
      • RadioListToolItem

構文

'Declaration
Public Class ToolItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Tree クラス

説明

図式的階層に構成された項目のクラスです。

継承階層

  • Control
    • Tree
      • SWTTree

構文

'Declaration
Public Class Tree _
Inherits Control

プロパティ

名前 | 説明
AllowsCheck | コントロールがチェック マークを表示できるかどうか。
AllowsMultiSelect | コントロールが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | ツリー上の項目数（すべての子を含む）。
ItemPaths | ツリー上の項目のリスト（すべての子を含む）。
Items | ツリー上の項目のリスト（すべての子を含む）。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 最初の選択された項目のインデックス。
SelectedIndices | 選択した項目の索引。
SelectedItem | 最初の選択された項目の名前。
SelectedItems | 選択した項目の名前。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
VisibleItemPaths | ツリー上の可視の項目のリスト（すべての子を含む）。
VisibleItems | ツリー上の可視の項目のリスト（すべての子を含む）。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | ツリービュー コントロール上で項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | ツリー ビュー コントロール上でオブジェクトを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetItemPaths | ツリーのすべての項目を項目パスのリストとして返します。
GetItemRect | TreeView コントロールに対して相対的な項目のサイズと位置を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsExpandable | 指定した項目が展開可能かどうかを検査します。
IsExpanded | 指定した項目が展開されているかどうかを検査します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ツリーから項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


VerticalScrollBar クラス

説明

垂直方向のスクロール バーのクラスです。

継承階層

  • ScrollBar
    • VerticalScrollBar

構文

'Declaration
Public Class VerticalScrollBar _
Inherits ScrollBar

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーの内部ページ サイズです。 (ScrollBar から継承されました)
Position | スクロール バー キャレットの実際の位置です。 (ScrollBar から継承されました)
Range | スクロール バーの範囲です。 (ScrollBar から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PageDown | スクロール バーをページ単位に下方向にスクロールします。
PageUp | スクロール バーをページ単位に上方向にスクロールします。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーをスクロールします。 (ScrollBar から継承されました)
ScrollDown | スクロール バーを下に移動します。
ScrollToMax | スクロール バーをその最大の位置にスクロールします。 (ScrollBar から継承されました)
ScrollToMin | スクロール バーをその最小の位置にスクロールします。 (ScrollBar から継承されました)
ScrollUp | スクロール バーを上に移動します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Window クラス

説明

移動可能な典型的なウィンドウのクラスです。

継承階層

  • BaseGuiTestObject
    • Window
      • BrowserApplication
      • Dialog
      • FlexStandalonePlayer
      • FormsWindow
      • Shell

構文

'Declaration
Public Class Window _
Inherits BaseGuiTestObject _
Implements IMoveable

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ExecutionMode 列挙

説明

関数が実行するコマンドの完了を待機するかどうかを 定義します。

継承階層

  • SystemFunctions
    • executionMode

構文

public enum ExecutionMode

メンバー

名前 | 説明
WaitUntilFinished | Execute の実行をプログラムの終了まで 待機します。
ContinueRunning | 実行可能ファイルを開始したら直ちに戻ります。 ExecutionResult.ExitCode は常に 0 で、 ExecutionResult.RawOutput には何も 出力されません。
親トピック: 共通クラス リファレンス


ExecutionResult クラス

説明

SystemFunctions.Execute の呼び出し結果をカプセル化します。

継承階層

  • SystemFunctions
    • ExecutionResult

メソッド

名前 | 説明
GetExitCode | Execute の 呼び出し結果を返します。 エラーが発生していない 場合は 0。
GetRawOutput | stdout と stderr の内容を返します。
GetOutput | stdout と stderr の内容を文字列で返します。
ToString | 終了コードを文字列で返します。
親トピック: 共通クラス リファレンス


FileHandle クラス

説明

論理ファイル ハンドル。

継承階層

  • SystemFunctions
    • FileHandle

メソッド

名前 | 説明
GetHandle | ハンドルの内部値を返します。
GetName | ハンドルに対応するファイルまたはディレクトリ の名前を返します。
親トピック: 共通クラス リファレンス


FileOpenMode 列挙

説明

ファイルを開く方法を定義します。 ファイルのモードは、FileOpen 関数 の必須パラメータです。

継承階層

  • SystemFunctions
    • FileOpenMode

構文

public enum FileOpenMode

メンバー

名前 | 説明
Read | ファイルを読み取り用に開きます。
Write | ファイルを書き込み用に開きます。 ファイルが 存在しない場合は作成します。 ファイルが存在する場合は、内容は削除され、 0 バイトのファイルとして扱われます。
ReadWrite | ファイルを読み書き用に開きます。
Update | ファイルを書き込み用に開きますが、ファイルの内容は 削除されません。 デフォルトで、ほかのユーザーからの書き込みアクセスは禁止されます。 ファイルのポインターは、ファイルの先頭を指します。
親トピック: 共通クラス リファレンス


FilePointerMode 列挙

説明

ファイルの読み書き時に使用する位置を指定します。

継承階層

  • SystemFunctions
    • FilePointerMode

構文

public enum FilePointerMode

メンバー

名前 | 説明
Start | ファイルの先頭にポインターを設定します。
Relative | ファイルの現在の位置にポインターを設定します。
End | ファイルの終端にポインターを設定します。
親トピック: 共通クラス リファレンス


FileShareMode 列挙

説明

Silk Test がファイルを開いている間に、他のプログラムに与えるアクセス許可 の種類を定義します。

継承階層

  • SystemFunctions
    • FileShareMode

構文

public enum FileShareMode

メンバー

名前 | 説明
DenyNone | 他のプログラムは Open Agent と同時に ファイルを読み書きできます。
DenyWrite | 他のプログラムは Open Agent と同時に ファイルを読み込めますが、書き込みはできません。
DenyAll | 他のプログラムは Open Agent と同時に ファイルにアクセスできません。
親トピック: 共通クラス リファレンス


SystemFunctions クラス

説明

さまざまなオペレーションを（リモート）Open Agent のホスト上で 実行できます。

継承階層

  • SystemFunctions
    • CharSet
    • ExecutionMode
    • ExecutionResult
    • FileHandle
    • FileInfo
    • FileOpenMode
    • FilePointerMode
    • FileShareMode
    • FileSizeUnit
    • RegistryCategory
    • RegistryView

構文

'Declaration
Public Class SystemFunctions _

プロパティ

名前 | 説明
AgentDirectory | Open Agent を実行しているディレクトリを取得します。
AgentVersion | Open Agent のバージョンを取得します。
ClipboardText | テキストをクリップボードから取得または設定します。
CurrentDrive | Open Agent をホストしているマシンの現在のドライブを 取得または設定します。
CurrentRegistryView | 現在のレジストリ ビューを取得または設定します。
CurrentWorkingDirectory | Open Agent の現在の作業ディレクトリを取得または設定します。
CursorPosition | Open Agent を実行しているマシンの現在のカーソルの位置を 取得します。
CursorType | Open Agent を実行しているマシンの現在のカーソルの種類を 取得します。
FreeMemory | Open Agent をホストしているマシンの 空きメモリーの割合を取得します。
HostName | Open Agent をホストしているマシンの ホスト名を取得します。
Locale | Open Agent をホストしているマシンのロケールを 取得します（en-US など）。
OSName | Open Agent をホストしているマシンの OS の名前を 取得します。
OSVersionType | Open Agent をホストしているマシンの OS のバージョンの種類 （サーバーまたはクライアント）を取得します。
OSVersion | Open Agent をホストしているマシンの OS のメジャー バージョンと マイナー バージョンを取得します。

メソッド

名前 | 説明
CompareBinaryFiles | 2 つのファイルのバイナリ比較を実行します。
CompareBitmaps | 2 つのビットマップを比較します。
CompareTextFiles | 2 つのファイルを辞書的に比較します。
CopyFile | ファイルをコピーします。
CreateDirectory | 指定した名前の新しいディレクトリを作成します。
CreateRegistryKey | レジストリに新しいキーを作成します。 指定した keyPath に存在しない すべてのレジストリ キーを再帰的に作成します。
CreateRegistryValue | 新しい値を作成します。
DeleteRegistryKey | レジストリからキーを削除します。
DeleteRegistryValue | 値を削除します。
DirectoryExists | 指定したディレクトリが存在するかどうかを確認します。
Execute | Open Agent のホスト上で指定したコマンドを実行します。
ExistsRegistryKey | 指定したキーがレジストリに存在するかどうかを確認します。
ExistsRegistryValue | レジストリに値が存在するかどうかを確認します。
FileClose | 開いたファイルを閉じます。
FileExists | 指定したファイルが存在するかどうかを確認します。
FileOpen | ファイルを開きます。 ファイルが 存在しない場合は作成します。
FileReadLine | ファイルから 1 行読み込みます。 ファイル ポインターがある現在の位置から読み込みます。
FileSetPointer | 読み書きオペレーション用にファイル内のポインター位置を設定します。
FileWriteLine | ファイル ポインターがある現在の位置に 1 行書き込みます。
GetBitmapCRC | Open Agent を実行しているディレクトリを取得します。
GetDirectoryContents | ディレクトリの内容を取得します。
GetEnvironmentVariable | 指定した環境変数の値を取得します。
GetFileInfo | 指定したファイルについての情報を取得します。
GetFreeDiskSpace | 指定したドライブで利用可能な空き容量を返します。
GetRegistryKeyNames | 指定したキー以下のすべてのレジストリ キーの名前を返します。
GetRegistryValueNames | 指定したキー以下のすべてのレジストリ キーの値を返します。
GetRegistryValue | 指定したレジストリ キーの値を返します。
MoveFile | ファイルを移動します。
RemoveDirectory | 指定したディレクトリを削除します。
RemoveFile | 指定したファイルを削除します。
SetEnvironmentVariable | 指定した環境変数の値を設定します。
SetRegistryValue | 指定したレジストリ キーの値を設定します。
親トピック: 共通クラス リファレンス


コア クラス リファレンス

アプリケーションを設定すると、Silk Test Workbench は標準のエージェントおよびテスト オブジェクト コントロールのテストの組み込みサポートを自動的に提供します。

  • ActiveData クラス
    ActiveData は、ActiveData オブジェクトをスクリプトで使用するための機能を提供するクラスです。
  • ActiveDataRow クラス
    ActiveDataRow は、アクティブ データ オブジェクトの行を使用するための機能を提供するクラスです。
  • Agent クラス
    Agentは、グラフィカル ユーザー インターフェイスを操作する Silk Test Workbench のコンポーネントである Open Agent のクラスです。
  • BaseState クラス
    BaseState クラスを使用すると、テスト対象アプリケーションが実行中でテストの準備ができていることが保証されます。また、テスト対象アプリケーションが前面に配置されます。
  • BrowserBaseState クラス
    BrowserBaseState クラスを使用すると、ブラウザが実行中でテストの準備ができていることが保証されます。
  • ConsoleWindow クラス
    コンソールのクラスです。
  • DllCall クラス
    DllCall クラスを使用すると、NTF ユーザーはエージェントまたは AUT のいずれかで、任意の DLL の公開された DLL 機能を呼び出すことができます。
  • IBaseState インターフェイス
    基本状態のインターフェイスです。
  • Timer クラス
    Timer クラスを使用すると、経過時間を正確に計測できます。
  • Workbench クラス
    Workbench は、検証を追加したり、子スクリプトを実行するための機能を提供するクラスです。
親トピック: Silk Test Workbench 言語リファレンス


ActiveData クラス

説明

ActiveData は、ActiveData オブジェクトをスクリプトで使用するための機能を提供するクラスです。このクラスは内部コンストラクターです。ActiveData を呼び出すには、このクラスを使用する代わりに、Workbench.LoadActiveData を呼び出します。

継承

ActiveData はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

'Declaration
Public Class ActiveData

プロパティ

名前 | 説明
ColumnCount | 基になる ActiveData オブジェクトの列の数。
Count | ActiveData 行の列の数。

メソッド

名前 | 説明
AddColumn | 基になる ActiveData オブジェクトに列を追加します。
AddRow | 基になる ActiveData オブジェクトに行を追加します。
Dispose | オブジェクトで使用されるリソースをクリーン アップします。
GetEnumerator | 行の列挙子を返します。
Item | ActiveDataRow をインデックス別に返します。
RemoveColumn | 基になる ActiveData オブジェクトから列を削除します。
RemoveRow | 基になる ActiveData オブジェクトから行を削除します。
RenameColumn | ActiveData オブジェクトの列の名前を変更します。
Reset | フォーカスを ActiveData ファイルの先頭行に移動します。
Save | ActiveData オブジェクトを保存します。
親トピック: コア クラス リファレンス


AddColumn メソッド (ActiveData)

クラス

ActiveData。

処理

基になる ActiveData オブジェクトに列を追加し、成功または失敗を示す値を返します。

構文

AddColumn (defaultValue, columnName)
変数 | 説明
defaultValue | 新しい列のデフォルト値。 Double。
columnName | 列の名前。 String。

使用例

PhoneBookData 資産に「Occupation」という新しい列を追加するには、以下のように入力します。
Public Sub Main()

        AddColumnToDataFile( "occupation" )

End Sub

Public Sub AddColumnToDataFile( name As String )
        Dim data As ActiveData = Workbench.LoadActiveData( "PhoneBookData" )
        data.AddColumn( "Occupation", name )
        data.Save()
    End Sub
End Module
関連資料
LoadActiveData メソッド
AddRow メソッド (ActiveData)


AddRow メソッド (ActiveData)

クラス

ActiveData。

処理

基になる ActiveData オブジェクトに行を追加し、成功または失敗を示す値を返します。

構文

AddRow ()

使用例

特定の ID 番号の新しいデータ行を追加するには、以下のように入力します。
Public Sub Main()

        InsertNewNumberToDataFileWithOccupation( 108, "Jay", "Jones", "5551219", _
    "QA Analyst" )

End Sub

Public Sub InsertNewNumberToDataFileWithOccupation( id As Integer, _
    firstName As String, lastName As String, phoneNumber As String, _
    occupation As String )
        Dim data As ActiveData = Workbench.LoadActiveData( "PhoneBookData" )
        Dim row As ActiveDataRow = data.AddRow()

        row.SetLong( "id", id )
        row.SetString( "fname", firstName )
        row.SetString( "lname", lastName )
        row.SetString( "number", phoneNumber )
        row.SetString( "occupation", occupation )

        data.Save()

End Sub
End Module
関連資料
LoadActiveData メソッド
AddColumn メソッド (ActiveData)


Dispose メソッド (ActiveData)

クラス

ActiveData。

処理

オブジェクトで使用されるリソースをクリーン アップします。

構文

Dispose ()

メモ

このメソッドは、複数のスクリプトからファイルを読み書きしている場合のみ使用する必要があります。

注意:
上記以外のどの場合でも、このメソッドは使用しないでください。Silk Test Workbench は必要に応じてこのメソッドを自動的に呼び出します。

例

Dim a As ActiveData
a = Workbench.LoadActiveData("ActiveDataAsset")
' Do your work here
a.Dispose()


GetEnumerator メソッド (ActiveData)

クラス

ActiveData。

処理

行の列挙子を返します。

構文

GetEnumerator ()


Item メソッド (ActiveData)

クラス

ActiveData。

処理

ActiveDataRow をインデックス別に返します。

構文

Item(index)
変数 | 説明
index | 返す行のインデックス。 Integer。


RemoveRow メソッド (ActiveData)

クラス

ActiveData。

処理

基になる ActiveData オブジェクトから行を削除します。

構文

RemoveRow (rowNumber)
変数 | 説明
rowNumber | 削除する行の数 (1から始まる)。 Integer。


RemoveColumn メソッド (ActiveData)

クラス

ActiveData。

処理

基になる ActiveData オブジェクトから列を削除し、成功または失敗を示す値を返します。

構文

RemoveColumn (columnName)
変数 | 説明
columnName | 削除する行の数 (1 から始まる)。Integer。


RenameColumn メソッド (ActiveData)

クラス

ActiveData。

処理

ActiveData オブジェクトの列の名前を変更し、列の名前が正常に変更されたかどうかを示す値を返します。

構文

RenameColumn (columnIndex, newColumnName)
変数 | 説明
columnIndex | 削除する列のインデックス (1から始まる)。 Integer。
newColumnName | 列の新しい名前。 String。


Reset メソッド (ActiveData)

クラス

ActiveData。

処理

フォーカスを ActiveData ファイルの先頭行に移動します。

構文

Reset ()


Save メソッド (ActiveData)

クラス

ActiveData。

処理

ActiveData オブジェクトを保存します。

構文

Save ()


ColumnCount プロパティ

クラス

ActiveData。

処理

基になる ActiveData オブジェクトの列の数を返します。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


Count プロパティ

クラス

ActiveData。

処理

ActiveData 行の列の数を返します。

構文

'Declaration
Protected Read Property Count As Integer

アクセス

読み取り専用。


ActiveDataRow クラス

説明

ActiveDataRow は、ActiveData オブジェクトの行を使用するための機能を提供するクラスです。 このクラスは内部コンストラクターです。

継承

ActiveDataRow はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

'Declaration
Public Class ActiveDataRow

プロパティ

名前 | 説明
Count | ActiveData 行の列の数。
ExternalRowNumber | 読み込まれた一連の行における現在のオブジェクト行番号を取得します。
RowNumber | ActiveData ファイル内における現在のオブジェクトの行番号を取得します。

メソッド

名前 | 説明
Dispose | 行で使用されるリソースをクリーン アップします。
GetDouble | 列の double 値を取得します。
GetLong | 列の integer 値を取得します。
GetLongLong | 列の long 値を取得します。
GetString | 列の string 値を取得します。
SetDouble | 列の double 値を設定します。
SetLong | 列の integer 値を設定します。
SetLongLong | 列の long 値を設定します。
SetString | 列の string 値を設定します。
親トピック: コア クラス リファレンス


Dispose メソッド (ActiveDataRow)

クラス

ActiveDataRow。

処理

行で使用されるリソースをクリーン アップします。

構文

Dispose ()

メモ

注意:
このメソッドは使用しないでください。 Silk Test Workbench は必要に応じてこのメソッドを自動的に呼び出します。


GetDouble メソッド (ActiveDataRow)

クラス

ActiveDataRow。

処理

列の double 値を取得します。

構文

GetDouble (columnIndex)
または
GetDouble (columnName)
変数 | 説明
columnIndex | 列のインデックス (1 から開始)。Integer.。
columnName | 列の名前。String。


GetLong メソッド (ActiveDataRow)

クラス

ActiveDataRow。

処理

列の integer 値を取得します。

構文

GetLong (columnIndex)
または
GetLong (columnName)
変数 | 説明
columnIndex | 列のインデックス (1 から開始)。Integer。
columnName | 列の名前。String。


GetLongLong メソッド (ActiveDataRow)

クラス

ActiveDataRow。

処理

列の long 値を取得します。

構文

 GetLongLong (columnIndex)
または
GetLongLong (columnName)
変数 | 説明
columnIndex | 列のインデックス (1 から開始)。Integer。
columnName | 列の名前。String。


GetString メソッド (ActiveDataRow)

クラス

ActiveDataRow。

処理

列の string 値を取得します。

構文

GetString (columnIndex)
または
GetString (columnName)
変数 | 説明
columnIndex | 列のインデックス (1 から開始)。Integer。
columnName | 列の名前。String。


SetDouble メソッド (ActiveDataRow)

クラス

ActiveDataRow。

処理

列の double 値を設定します。

構文

SetDouble (columnIndex, value)
または
SetDouble (columnName, value)
変数 | 説明
columnIndex | 列のインデックス (1 から開始)。Integer。
columnName | 列の名前。String。
value | 新しい値。Integer または Double。


SetLong メソッド (ActiveDataRow)

クラス

ActiveDataRow。

処理

列の integer 値を設定します。

構文

SetLong (columnIndex, value)
または
SetLong (columnName, value)
変数 | 説明
columnIndex | 列のインデックス (1 から開始)。Integer。
columnName | 列の名前。String。
value | 新しい値。Integer。


SetLongLong メソッド (ActiveDataRow)

クラス

ActiveDataRow。

処理

列の long 値を設定します。

構文

SetLongLong (columnIndex, value)
または
SetLongLong (columnName, value)
変数 | 説明
columnIndex | 列のインデックス (1 から開始)。Integer。
columnName | 列の名前。String。
value | 新しい値。Long。


SetString メソッド (ActiveDataRow)

クラス

ActiveDataRow。

処理

列の string 値を設定します。

構文

SetString (columnIndex, value)
または
SetString (columnName, value )
変数 | 説明
columnIndex | 列のインデックス (1 から開始)。Integer。
columnName | 列の名前。String。
value | 新しい値。String。


ExternalRowNumber プロパティ

クラス

ActiveDataRow。

処理

読み込まれた一連の行における現在のオブジェクトの行番号を取得します。

構文

'Declaration
Protected Read Property ExternalRowNumber As Integer

アクセス

読み取り専用。


RowNumber プロパティ

クラス

ActiveDataRow。

処理

実際のファイル内の現在のオブジェクトの行番号を取得します。

構文

'Declaration
Protected Read Property RowNumber As Integer

アクセス

読み取り専用。


Agent クラス

説明

Agentは、グラフィカル ユーザー インターフェイスを操作する Silk Test Workbench のコンポーネントである Open Agent のクラスです。

Agent では識別子 Agent が事前に定義されています。Agent のメソッドを呼び出すには、以下の構文を使用します。

Agent.method()

継承

Agent はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

'Declaration
Public Class Agent

[プロパティ]

名前 | 説明
Desktop | ルート GUI オブジェクトを取得します。

メソッド

名前 | 説明
Attach | 指定したアプリケーションにアタッチします。コマンド ライン パターンおよびテクノロジ ドメインを追加で指定することができます。
Connect | 指定したホストとポートを使用して指定したマシン上のエージェントに接続します。
Decrypt | 指定された文字列を復号化します。Encrypt メソッドで暗号化された文字列のみを復号化することができます。
DetachAll | 現在アタッチされているすべてのアプリケーションを解除します。
Encrypt | 指定された文字列を暗号化します。
ExecuteBaseState | テスト対象アプリケーションが実行中でテストの準備ができていることを保証します。
GetOption | エージェント オプションの値を取得します。
ResetOptions | エージェントのすべてのオプションをデフォルト値に戻します。
SetOption | エージェント オプションを設定します。このオプションは、すべてのテクノロジ ドメインに対して利用されます。
Shutdown | エージェントを停止します。テスト実行が完了したときにのみ呼び出されるべきです。
親トピック: コア クラス リファレンス


Attach メソッド

クラス

Agent。

処理

指定したアプリケーションにアタッチします。コマンド ライン パターンおよびテクノロジ ドメインを追加で指定することができます。

構文

Attach (executablePattern, commandLinePattern, techDomains)
変数 | 説明
executablePattern | アプリケーションの実行可能名。パターンには、ワイルドカード '?' および '*' を使用できます (それぞれ、1 文字、または複数文字に一致)。例： myApplication.exe、myApplica?ion.exe、myApp*.exe。 String。
commandLinePattern | 省略可能：このパターンはアプリケーションのコマンド ライン引数に対して照合します。これは、アプリケーションの複数のインスタンスが実行中で、その中のいくつかだけがテスト対象である場合に有効です。Java アプリケーションの場合、特徴的な jar や main クラスの名前をコマンド ライン パターンに含めることができます。例： *org.MyMainClass。特定のテクノロジ ドメインをロードしたいときに、コマンド ライン パターンが無いことを指定する場合には、"" を使用できます。 String。
techDomains | 省略可能：アプリケーションに読み込むテクノロジ ドメイン。通常は、このパラメータはテクニカル サポートによってのみ使用されます。テクノロジ ドメインを指定しないことをお勧めします。テクノロジ ドメインを指定しない場合は、すべての利用可能なテクノロジ ドメインが読み込まれます。 TechDomain。

使用例

次の例では、メモ帳にアタッチします。

Agent.Attach("notepad.exe")

次の例では、アプリケーションの複数のインスタンスが実行されている場合に、コマンドライン パターンを使用してプロセスの特定のインスタンスにアタッチする方法を示します。

Agent.Attach("javaw.exe", “*org.MyMainClass”)
以下の例は、Internet Explorer にアタッチして Win32 テクノロジ ドメインをロードする方法を示しています。
Agent.Attach("iexplore.exe", "", {"WIN32"})


Connect メソッド

クラス

Agent。

処理

指定したホストとポートを使用して指定したマシン上のエージェントに接続します。

エージェントが実行されていない場合、またはエージェントがこのマシンに到達できない場合は、例外がスローされます。

指定したホストがローカル ホストの場合は、エージェントが起動します。

このエージェントとの接続を最初に確立した後に、すべてのエージェント オプションをデフォルト値にリセットするには、Agent.ResetOptions() を呼び出します。

構文

Connect (host, [port])
変数 | 説明
host | Open Agent のホスト。String。
port | 省略可能：Open Agent のポート。ポートが指定されていない場合、デフォルトのポートが使用されます。このポートは、Information Service のポートで、デフォルト値は 22901 です。たとえば、別の Information Service のポートでエージェントに接続するには、「Agent.Connect("myRemoteMachine", portnumber) 」と入力します。 リモート エージェントに接続している場合に、ローカル エージェントに接続するには、「Agent.Connect("localhost")」と入力します。Integer。


Decrypt メソッド

クラス

Agent。

処理

指定された文字列を復号化します。Encrypt メソッドで暗号化された文字列のみ復号化することができます。

構文

Decrypt(toDecrypt)
変数 | 説明
toDecrypt | 復号化する文字列。String。


DetachAll メソッド

クラス

Agent。

処理

現在アタッチされているすべてのアプリケーションを解除します。

構文

DetachAll( )


Encrypt メソッド

クラス

Agent。

処理

指定された文字列を暗号化します。

構文

Encrypt (toEncrypt)
変数 | 説明
toEncrypt | 暗号化する文字列。String。


ExecuteBaseState メソッド

クラス

Agent。

処理

テスト対象アプリケーションが実行中でテストの準備ができていることを保証します。

構文

TestObject ExecuteBaseState(baseState)
変数 | 説明
baseState | 基本状態を実行するために必要なすべての情報を含みます。IBaseState。


GetOption メソッド

クラス

Agent。

処理

エージェント オプションの値を取得します。

構文

GetOption(name)
変数 | 説明
name | オプションの名前。使用できるオプションのリストは Options クラスで定義されています。String。

例

たとえば、以下のように入力します。
desktop.getOption(Options.ObjectResolveTimeout)
関連資料
SetOption メソッド
エージェント オプション


ResetOptions メソッド

クラス

Agent。

処理

エージェントのすべてのオプションをデフォルト値に戻します。

構文

ResetOptions()


SetOption メソッド

クラス

Agent。

処理

エージェント オプションを設定します。このオプションは、すべてのテクノロジ ドメインに対して利用されます。

構文

SetOption(name, value)
変数 | 説明
name | オプションの名前。使用できるオプションのリストは Options クラスで定義されています。String。
value | オプションの値。Object。

例

たとえば、以下のように入力します。
Agent.setOption(Options.ObjectResolveTimeout, true)
関連資料
GetOption メソッド
エージェント オプション


Shutdown メソッド (Agent)

クラス

Agent。

処理

夜間テスト実行後などのテスト実行後に Open Agent を停止する場合にこのメソッドを呼び出します。このメソッドは、テスト実行の最後にのみ呼び出されるべきで、テストの操作が実行される前に呼び出されるべきではありません。シャットダウン後に操作が実行されると、エージェントは再起動します。

構文

VB
Shutdown()

例

// VB code
<AssemblyCleanup()>
Public Shared Sub ShutdownAgentAfterTestRun()
  Agent.Shutdown()
End Sub


Desktop プロパティ

クラス

Agent。

処理

ルート GUI オブジェクトを取得します。

構文

'Declaration
Protected Read Property Desktop As Desktop

アクセス

読み取り専用。


BaseState クラス

説明

BaseState クラスを使用すると、テスト対象アプリケーションが実行中でテストの準備ができていることが保証されます。また、テスト対象アプリケーションが前面に配置されます。

エージェントをアプリケーションにアタッチしようとした場合に、BaseState.Locator で指定されたテスト オブジェクトが見つかると、基本状態としてこのテスト オブジェクトを含むウィンドウが前面に配置され、見つかったテスト オブジェクトが即座に返されます。テスト オブジェクトが見つからない場合、baseStateInfo で指定したとおりにアプリケーションがコマンド ラインから起動し、エージェントがブラウザにアタッチされます。テスト オブジェクトが見つかるまで、エージェントは待機します。待機するためのタイムアウトは、オプション Options.ObjectResolveTimeout.タイムアウトのデフォルト値は、30 秒です。タイムアウトを変更するには、Desktop.SetOption (String, Object) を参照してください。オプション ダイアログ ボックスの 再生 > タイミング にある アプリケーション準備完了タイムアウト を編集して UI 上からタイムアウトを変更することもできます。指定したタイムアウト内にテスト オブジェクトが見つかると、このテスト オブジェクトを含むウィンドウが前面に配置され、見つかったテスト オブジェクトが返されます。テスト オブジェクトが見つからずにタイムアウトした場合は、例外がスローされます。

継承

BaseState はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

'Declaration
Public Class BaseState _
Implements IBaseState

プロパティ

名前 | 説明
CommandLineArguments | コマンド ライン引数を取得または設定します。
CommandLinePattern | コマンド ライン パターンを取得または設定します。
ExecutablePattern | 実行可能パターンを取得または設定します。
Executable | 実行可能ファイルの名前を取得します
Locator | 実行可能ファイルのロケーターを返します
TechDomains | テストに使用するテクノロジ ドメインのリストを取得または設定します
WorkingDirectory | 作業ディレクトリを取得または設定します。
親トピック: コア クラス リファレンス


CommandLineArguments プロパティ

クラス

BaseState。

処理

コマンド ライン引数を取得または設定します。

構文

'Declaration
Public ReadWrite Property CommandLineArguments As String

アクセス

読み書き。


CommandLinePattern プロパティ

クラス

BaseState。

処理

コマンド ライン パターンを取得または設定します。

構文

'Declaration
Public ReadWrite Property CommandLinePattern As String

アクセス

読み書き。


ExecutablePattern プロパティ

クラス

BaseState。

処理

実行可能パターンを取得または設定します。

構文

'Declaration
Public ReadWrite property ExecutablePattern As String

アクセス

読み書き。


Executable プロパティ

クラス

BaseState。

処理

実行可能ファイルの名前を返します。

構文

'Declaration
Public Read Property CommandLineArguments As String

アクセス

読み取り専用。


Locator プロパティ

クラス

BaseState。

処理

実行可能ファイルのロケーターを取得します

構文

'Declaration
Public Read Property Locator As String

アクセス

読み取り専用。


TechDomains プロパティ

クラス

BaseState。

処理

実行可能ファイルに必要なテクノロジ ドメインを取得します。

構文

'Declaration
Public Read Property TechDomains As List of TechDomain

アクセス

読み取り専用。


WorkingDirectory プロパティ

クラス

BaseState。

処理

作業ディレクトリを取得または設定します。Windows 環境変数を含めることができます。

構文

'Declaration
Public ReadWrite Property WorkingDirectory As String

アクセス

読み書き。


BrowserBaseState クラス

説明

Executable で指定されたブラウザが適切に実行されていて、テストの準備ができていることを保証します。さらに、基本状態として Url によって指定された URL に移動し、ブラウザを前面に持ってきます。ブラウザの基本状態は、以下のように実行されます。
  • エージェントをブラウザにアタッチします。
    • Locator で適切に指定されたテスト オブジェクトが見つかると、基本状態として所定の URL に移動し、ブラウザが前面に配置され、見つかったテスト オブジェクトが返されます。
    • テスト オブジェクトが見つからない場合、browserBaseStateInfo で指定したとおりにブラウザがコマンド ラインから起動し、エージェントがブラウザにアタッチされます。
  • テスト オブジェクトが見つかるまで、エージェントは待機します。タイムアウトは、オプション Options.ObjectResolveTimeout.タイムアウトを変更するには、Desktop クラスの SetOption メソッドを参照してください。
    • 指定したタイムアウト内にテスト オブジェクトが見つかると、基本状態として所定の URL に移動し、ブラウザが前面に配置され、見つかったテスト オブジェクトが返されます。
    • テスト オブジェクトが見つからずにタイムアウトした場合は、例外がスローされます。

継承

BrowserBaseState はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

'Declaration
Public Class BrowserBaseState _
Implements IBaseState

プロパティ

名前 | 説明
CommandLineArguments | コマンド ライン引数を取得または設定します。(BaseState から継承)。
CommandLinePattern | コマンド ライン パターンを取得または設定します。(BaseState から継承)。
ExecutablePattern | 実行可能パターンを取得または設定します。(BaseState から継承)。
Executable | 実行可能ファイルの名前を取得します(BaseState から継承)。
Locator | 実行可能ファイルのロケーターを返します(BaseState から継承)。
TechDomains | テストに使用するテクノロジ ドメインのリストを取得または設定します(BaseState から継承)。
Url | 移動する URL を取得します。
WorkingDirectory | 作業ディレクトリを取得または設定します。(BaseState から継承)。
親トピック: コア クラス リファレンス


URL プロパティ

クラス

BrowserBaseState。

処理

移動する URL を取得します。

構文

'Declaration
Public Read Property Url As String

アクセス

読み取り専用。


ConsoleWindow クラス

説明

ConsoleWindow はコンソールのクラスです。

継承

ConsoleWindow はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

'Declaration
Public Class ConsoleWindow

メソッド

名前 | 説明
Close | コンソールを閉じます。
CloseAll | すべての開いているコンソールまたは特定のキャプションを持つすべてのコンソールを閉じます。
GetContents | コンソールの内容を返します。
Open | 新しいコンソールを開きます。
TypeKeys | 一連のキーストロークをコンソールに送信します。
親トピック: コア クラス リファレンス


Close メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

コンソールを閉じます。

構文

consoleWindow.Close ([sItemIdentifier])
変数 | 説明
sItemIdentifier | コンソール ウィンドウのインデックスまたはウィンドウのキャプション。このパラメータが指定されていない場合、Silk Test Workbench は最初に見つけたコンソール ウィンドウを閉じます。 STRING。

例 1

次の例では、インデックスを使用して 2 番目のコンソール ウィンドウを閉じる方法を示します。
consoleWindow.Close(2)

例 2

次の例では、コンソール ウィンドウの完全識別子を使用してコンソール ウィンドウを閉じる方法を示します。
consoleWindow.Close("C:\\Windows\\system32\\cmd.exe[1]")


CloseAll メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

すべての開いているコンソールまたは特定のキャプションを持つすべてのコンソールを閉じます。

構文

VB
consoleWindow.CloseAll ([sCaption])
変数 | 説明
sCaption | このパラメータを設定すると、このキャプションを持つコンソールだけが閉じられます。STRING

例

次の例では、キャプション MyCommandWindow を持つすべてのコンソール ウィンドウを閉じる方法を示します：
// VB
consoleWindow.CloseAll("MyCommandWindow")


GetContents メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

コンソールの内容を返します。

構文

lsContents = consoleWindow.GetContents ([sItemIdentifier])
変数 | 説明
lsContents | コンソールの内容。LIST OF STRING。
sItemIdentifier | コンソール ウィンドウのインデックスまたはウィンドウのキャプション。このパラメータが指定されていない場合、Silk Test Workbench は最初に見つけたコンソール ウィンドウの内容を返します。STRING。

メモ

  • 返された文字列リスト内の各文字列は、コンソール内の 1 行に対応しています。

例 1

次の例では、インデックスを使用して 2 番目のコンソール ウィンドウの内容を取得する方法を示します。
lsContents = consoleWindow.GetContents(2)

例 2

次の例では、コンソール ウィンドウの完全識別子を使用してコンソール ウィンドウの内容を取得する方法を示します。
lsContents = consoleWindow.GetContents("C:\\Windows\\system32\\cmd.exe[1]")


Open メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

新しいコンソールを開きます。

使用可能な資産

この機能がサポートされるのは、Open Agent を使用している場合のみです。

構文

VB
ConsoleWindow.Open ([caption])
変数 | 説明
caption | 新しいコンソール ウィンドウのキャプション。String。

例

次の例では、キャプション "My Console" の新しいコンソールを開く方法について示します。
// VB
ConsoleWindow.Open("My Console")


TypeKeys メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

一連のキーストロークをコンソールに送信します。

構文

ConsoleWindow.TypeKeys (sEvents [, nDelay, ensureFocus, sItemIdentifier])
変数 | 説明
sEvents | 入力するキーストローク。STRING。
nDelay | 省略可能：キーストローク間の遅延 (秒単位、小数可)。NUMBER。
ensureFocus | 省略可能：アプリケーションを自動的に前面に移動し、メソッドを実行したコントロールにキーボードのフォーカスを設定するかどうか。この処理は、最初のキーを入力する前に実行されるため、入力するキーを複数指定した場合、キーストロークごとに再確認されることはありません。この変数は、デフォルトで TRUE に設定されています。BOOLEAN。
sItemIdentifier | コンソール ウィンドウのインデックスまたはウィンドウのキャプション。このパラメータが指定されていない場合、Silk Test Workbench は最初に見つけたコンソール ウィンドウにキーストロークを送信します。STRING。

メモ

  • 開いているコンソールがない場合は、TypeKeys によってコンソールが開きます。
  • Windows の場合は、入力する前に TypeKeys によってコンソールに入力フォーカスが設定されます。
  • nDelay を指定した場合、この値は、SetOption で設定された、OPT_KEYBOARD_DELAY オプションを使用した設定値よりも優先します。
  • キーストロークが認識されない場合は、使用する遅延の値を大きくすることができます。
  • キーの後に、そのキーの入力頻度を定義するカウンターを配置できます。カウンターは遅延と組み合わせることができます。
  • 遅延時間中は画面がロックされ、マウスおよびキーボードとの対話は不可能になります。
  • DOM に拡張機能を使用して記録している場合、TypeKeys("<Tab>") はキャプチャされません。入力するオブジェクトはスクリプトで直接参照されているため、この手動の Tab を記録する必要はありません。必要に応じて、スクリプトに TypeKeys("<Tab>") を手動で入力できますが、この Tab は記録されません。
  • Ctrl-Shift などのキー グループを指定した場合、プラスおよびマイナス記号はサポートされます。

例

次のサンプル コードは、コンソール ウィンドウで dir コマンドを実行し、ディレクトリのファイルとフォルダをリストします。

// VB
ConsoleWindow.TypeKeys ("dir<Enter>")


DllCall クラス

説明

DllCall クラスを使用すると、NTF ユーザーはエージェントまたは AUT のいずれかで、任意の DLL の公開された DLL 機能を呼び出すことができます。

継承

DllCall はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

'Declaration
Public Class Agent

メソッド

名前 | 説明
UnloadAllDllsFromAgent | エージェントからすべての DLL をアンロードします。
UnloadDllFromAgent | 指定した DLL をエージェントからアンロードします。
親トピック: コア クラス リファレンス


UnloadAllDllsFromAgent メソッド

クラス

DllCall。

処理

エージェントからすべての DLL をアンロードします。

構文

Agent.UnloadAllDllsFromAgent ()


UnloadDllFromAgent メソッド

クラス

DllCall。

処理

指定した DLL をエージェントからアンロードします。

構文

bSuccessful = Agent.UnloadDll (sDllName)
変数 | 説明
bSuccessful | DLL が正常にアンロードされた場合は true、失敗した場合は false。BOOLEAN。
sDllName | DLL ファイルの名前。STRING。

メモ

UnloadDllFromAgent は、標準 DLL をアンロードする場合のみ使用できます。混在アセンブリをアンロードする場合は,使用できません。混在アセンブリをアンロードするには、UnloadAllDllsFromAgent を使用します。


IBaseState インターフェイス

説明

基本状態のインターフェイスです。基本状態は、アプリケーションをテスト可能な状態にします。必要に応じてアプリケーションを起動して、あるロケーターが見つかるまで待機し、アプリケーションを前面に持ってきます。

構文

'Declaration
Public Interface IBaseState

メソッド

名前 | 説明
Execute | デスクトップで指定したマシン上で基本状態を実行します。
親トピック: コア クラス リファレンス


Execute メソッド

クラス

BaseState。

処理

デスクトップで指定したマシン上で基本状態を実行します。

構文

TestObject = BaseState.Execute()
変数 | 説明
TestObject | ロケーターが待機するオブジェクト。

例：基本状態でのブラウザーと Web アプリケーションの URL の指定

Web アプリケーションをテストするブラウザーとして Internet Explorer を、Web アプリケーションの URL として www.borland.com を指定するには、次のコードを使用できます。

Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
baseState.Execute()

さらに、基本状態を変数に格納するには：

Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
Dim browserApplication As BrowserApplication = baseState.Execute()

モバイル デバイス上のモバイル ブラウザー (iOS デバイス上の Safari など) を指定するには、次のコードを使用できます。

Dim baseState = New BrowserBaseState(BrowserType.Safari, "www.borland.com")
baseState.MobileDeviceName = "My iPhone"
baseState.Execute()

例：実行可能ファイルへのパスと AUT のメイン ウィンドウのロケーターの指定

AUT の実行可能ファイルへのパスとして C:/windows/system32/notepad.exe を、AUT のメイン ウィンドウのロケーターとして //Window[@caption='*Notepad*'] を指定するには、次のコードを使用できます。

Dim baseState = New BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']")
baseState.Execute()

さらに、基本状態を変数に格納するには：

Dim baseState = New BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']")
Dim mainWindow As Window = baseState.Execute()


Timer クラス

説明

Timer クラスを使用すると、経過時間を正確に計測できます。

特に、 Timer クラスのメソッドとプロパティは、Silk Performer から呼び出されるテスト実行の計測に使用できるという利点があります。Silk Test Workbench と Silk Performer の統合についての詳細は、『Silk Performer ヘルプ』を参照してください。

継承

BaseState はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

'Declaration
Public Class Timer

メソッド

名前 | 説明
Pause | タイマーの計測を一時停止します。
Resume | タイマーの計測を再開します。
Start | タイマーの計測を開始または再開します。
StartNew | 新しい Timer インスタンスを初期化し、経過時間を 0 に設定してから、経過時間の計測を開始します。
Stop | タイマーの計測を停止します。

プロパティ

名前 | 説明
Elapsed | タイマーの経過時間を取得します。
ElapsedMilliseconds | タイマーの経過時間をミリ秒で取得します。
IsRunning | タイマーが現在実行されているかどうかを取得します。
Name | Silk Performer とのやり取りに使用するタイマーの名前を取得または設定します。
親トピック: コア クラス リファレンス


Pause メソッド (Timer)

クラス

Timer。

処理

タイマーの計測を一時停止します。

構文

timer.Pause ()


Resume メソッド (Timer)

クラス

Timer。

処理

タイマーの計測を再開します。

構文

timer.Resume ()


Start メソッド (Timer)

クラス

Timer。

処理

タイマーが現在停止している場合、タイマーの計測を開始します。タイマーが現在一時停止している場合、タイマーの計測を再開します。

構文

timer.Start ()


StartNew メソッド (Timer)

クラス

Timer。

処理

新しい Timer インスタンスを初期化し、経過時間を 0 に設定してから、経過時間の計測を開始します。名前は Silk Performer とやり取りするために提供されます。

構文

timer=StartNew ([timerName])
変数 | 説明
timer | 経過時間の測定を開始した新しい Timer インスタンス。Timer。
timerName | 省略可能：新しいタイマーの名前。名前は Silk Performer とやり取りするために提供されます。String.


Stop メソッド (Timer)

クラス

Timer。

処理

タイマーの計測を停止します。

構文

timer.Stop()


Elapsed プロパティ (Timer)

クラス

Timer。

処理

タイマーの経過時間を取得します。

構文

'Declaration
Public Read Property Elapsed As TimeSpan

アクセス

読み取り


ElapsedMilliseconds プロパティ (Timer)

クラス

Timer。

処理

タイマーの経過時間をミリ秒で取得します。

構文

'Declaration
Public Read Property ElapsedMilliseconds As Long

アクセス

読み取り


IsRunning プロパティ (Timer)

クラス

Timer。

処理

タイマーが現在実行されているかどうかを取得します。タイマーが実行している場合は True を返します。

構文

'Declaration
Public Read Property IsRunning As Boolean

アクセス

読み取り


Name プロパティ (Timer)

クラス

Timer。

処理

Silk Performer とのやり取りに使用するタイマーの名前を取得または設定します。

構文

'Declaration
Public ReadWrite Property Name As String

アクセス

読み書き。


Workbench クラス

説明

Workbench は、検証を追加したり、子スクリプトを実行するための機能を提供するクラスです。

継承

Workbench はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

'Declaration
Public Class Workbench
Workbench のメソッドを呼び出すには、以下の構文を使用します。
Workbench.method()

メソッド

名前 | 説明
LoadActiveData | ActiveData オブジェクトを読み込んで、スクリプトで使用します。
ResultComment Method | 結果 ウィンドウの 詳細 タブに、コメントをステップとして追加します。
RunScript | 名前によって識別される子スクリプトを、パラメータを渡して実行します。
Verify | 予想した値と実際の値が等しいかどうかを検証します。コメントを指定することもできます。
VerifyAsset | 検証資産を実行します。
親トピック: コア クラス リファレンス


LoadActiveData メソッド

クラス

Workbench。

処理

スクリプトで使用する ActiveData 資産を読み込みます。

構文

Workbench.LoadActiveData("activeDataName", [sheetName, startRow, endRow, randomCount, readOnly])
変数 | 説明
activeDataName | スクリプトで使用する ActiveData 資産の名前。 STRING。 注: 環境内で複数のプロジェクトを使用する場合、Common プロジェクト内にある、名前が一意でない ActiveData 資産を挿入するには、プロジェクト修飾子を使用します。詳細については、例を参照してください。
sheetName | 省略可能：使用するシートの名前。ここで指定したシートは、ActiveData 資産で指定したシートを上書きします。デフォルトでは、資産で指定したシートが使用されます。STRING
startRow | 省略可能：最初に読み込む ActiveData 資産内の行のインデックスです。INTEGER。
endRow | 省略可能：最後に読み込む ActiveData 資産内の行のインデックスです。INTEGER。
randomCount | 省略可能：資産に関連付けられた ActiveData ファイルのレコードを ActiveData テストで使用するかどうか、およびその方法を決定します。値が 0 または False の場合は、ランダム モードがオフになります。値が -1 または True の場合は、値が StartRow から EndRow のすべての行が ActiveData テストでランダムな順番で使用されます。値が 1 から N (N はテスト データ資産の行数) の場合は、StartRow から EndRow の範囲でのランダムな行数として使用されます。RandomCount パラメータの許容値とともに、さまざまな StartRow 値および EndRow 値を使用する場合の詳細については、「アクティブ データに使用するデータの指定」を参照してください。INTEGER。
readOnly | 省略可能：ActiveData 資産を読み取り/書き込み可能で開くか、読み取り専用で開くかを決定します。読み取り/書き込み可能で ActiveData 資産を開くには、False に設定します。ActiveData 資産を読み取り専用として開くには、True に設定します。読み取り専用に設定すると、スクリプトの ActiveData テストの部分で ActiveData 資産に書き込みを行おうとした場合に実行時エラーが生成されます。デフォルトでは、ActiveData 資産は読み取り/書き込み可能で開かれます。BOOLEAN。

使用例

スクリプトに ActiveData 内のランダムな行を含めるには、次のように入力します。
Public Sub Main()
  AddRandomToPhoneBook( 3 )	'Reads 3 rows in a random order
End Sub

Public Sub AddRandomToPhoneBook( howMany As Integer )
  Dim data As ActiveData = Workbench.LoadActiveData( "PhoneBookData", 1, -1, howMany )
  Dim row As ActiveDataRow

  With _desktop.BrowserWindow("/BrowserApplication//BrowserWindow")
    For Each row In data
      Dim FirstName As String = row.GetString("fname")
      Dim LastName As String = row.GetString("lname")
      Dim PhoneNumber As String = row.GetString("number")

      .DomTextField("@id='txtFirstName'").SetText(FirstName)
      .DomTextField("@id='txtLastName'").SetText(LastName)
      .DomTextField("@id='txtPhoneNumber'").SetText(PhoneNumber)

      .DomButton("@id='btnAdd'").Select()
    Next
  End With
End Sub
スクリプトに ActiveData ファイル内のデータの一部を含めるには、次のように入力します。
Public Sub Main()
  AddSomeToPhoneBook( 3, 5 )	'Reads rows 3, 4 and 5 only
End Sub

Public Sub AddSomeToPhoneBook( firstToAdd As Integer, lastToAdd As Integer )
  Dim data As ActiveData = Workbench.LoadActiveData( "PhoneBookData", firstToAdd, lastToAdd )
  Dim row As ActiveDataRow

  With _desktop.BrowserWindow("/BrowserApplication//BrowserWindow")
    For Each row In data
      Dim FirstName As String = row.GetString("fname")
      Dim LastName As String = row.GetString("lname")
      Dim PhoneNumber As String = row.GetString("number")

      .DomTextField("@id='txtFirstName'").SetText(FirstName)
      .DomTextField("@id='txtLastName'").SetText(LastName)
      .DomTextField("@id='txtPhoneNumber'").SetText(PhoneNumber)

      .DomButton("@id='btnAdd'").Select()
    Next
  End With
End Sub
スクリプトに ActiveData ファイル内のすべてのデータを読み取り専用として含めるには、次のように入力します。
Public Sub Main()
  AddAllToPhoneBookReadOnly()	'Opens the data file as read only
End Sub

Public Sub AddAllToPhoneBookReadOnly()
  Dim data As ActiveData = Workbench.LoadActiveData( "PhoneBookData", 1, -1, 0, True )
  Dim row As ActiveDataRow

  With _desktop.BrowserWindow("/BrowserApplication//BrowserWindow")
    For Each row In data
      Dim FirstName As String = row.GetString("fname")
      Dim LastName As String = row.GetString("lname")
      Dim PhoneNumber As String = row.GetString("number")

      .DomTextField("@id='txtFirstName'").SetText(FirstName)
      .DomTextField("@id='txtLastName'").SetText(LastName)
      .DomTextField("@id='txtPhoneNumber'").SetText(PhoneNumber)

      .DomButton("@id='btnAdd'").Select()
    Next
  End With
End Sub
環境内で複数のプロジェクトを使用する場合、Common プロジェクト内にある、名前が一意でない ActiveData ファイルを挿入するには、プロジェクト修飾子を使用します。たとえば、以下のように入力します。
Public Sub Main()
  AddAllToPhoneBookReadOnly()	'Opens the data file as read only
End Sub

Public Sub AddAllToPhoneBookReadOnly()
  Dim data As ActiveData = Workbench.LoadActiveData( "Common.PhoneBookData", 1, -1, 0, True )
  Dim row As ActiveDataRow

  With _desktop.BrowserWindow("/BrowserApplication//BrowserWindow")
    For Each row In data
      Dim FirstName As String = row.GetString("fname")
      Dim LastName As String = row.GetString("lname")
      Dim PhoneNumber As String = row.GetString("number")

      .DomTextField("@id='txtFirstName'").SetText(FirstName)
      .DomTextField("@id='txtLastName'").SetText(LastName)
      .DomTextField("@id='txtPhoneNumber'").SetText(PhoneNumber)

      .DomButton("@id='btnAdd'").Select()
    Next
  End With
End Sub
注: 任意のプロジェクト内の資産から、Common プロジェクト内の資産にアクセスできます。ただし、その逆はできません。現在処理中のプロジェクト内の ActiveData ファイルを使用する場合、プロジェクト修飾子を指定する必要はありません。別のプロジェクト内の Common プロジェクトにある ActiveData ファイルを使用する場合は、「Common」プロジェクト修飾子を指定します。
関連概念
アクティブ データに使用するデータの指定
関連タスク
VB .NET スクリプトでアクティブ データに使用するシートを指定する
関連資料
AddColumn メソッド (ActiveData)
AddRow メソッド (ActiveData)


RunScript メソッド

クラス

Workbench。

処理

名前によって識別される子スクリプトを、パラメータを渡して実行します。

構文

Workbench.RunScript("scriptname", [parameters])
変数 | 説明
scriptname | 実行する子スクリプトの名前。STRING。 注: 任意のプロジェクト内の資産から、Common プロジェクト内の資産にアクセスできます。ただし、その逆はできません。現在処理中のプロジェクト内のスクリプトを使用する場合、プロジェクト修飾子を指定する必要はありません。別のプロジェクト内の Common プロジェクトにある スクリプトを使用する場合は、「Common」プロジェクト修飾子を指定します。
パラメータ | 省略可能：子スクリプトからメイン スクリプトに渡すパラメータ?。STRING または OBJECT。
注: Oracle データベースに格納されるスクリプト名では、大文字と小文字が区別されます。 Oracle データベースから挿入するスクリプトの名前は、データベースでの名前と正確に一致する必要があります。一致していないと、Silk Test Workbench でスクリプトの読み込みに失敗します。

使用例

環境内で複数のプロジェクトを使用する場合、Common プロジェクト内にある、名前が一意でないスクリプトを挿入するには、プロジェクト修飾子を使用します。たとえば、以下のように入力します。
Workbench.RunScript("Common.AddAccount")
ここで、AddAccount は Common プロジェクトおよび現在使用中のプロジェクト内にあるスクリプトです。ユーザーは現在のプロジェクトでなく、Common プロジェクト内のスクリプトを使用することができます。
関連タスク
ドライバ スクリプトの作成
スクリプト間でのパラメータの作成と受け渡し


Verify メソッド

クラス

Workbench。

処理

予想した値と実際の値が等しいかどうかを検証します。コメントを指定することもできます。

構文

result = Workbench.Verify(expected, actual, [comment])
変数 | 説明
result | 検証が成功したかどうか。BOOLEAN。
expected | スクリプトから返されると予測される値。OBJECT。
actual | スクリプトから実際に返される値。OBJECT。
comment | 省略可能：追加するコメント。STRING。

使用例

期待値と実際の値を比較して、コメントを追加するには、以下のように入力します。
Workbench.Verify(expected As Object, actual As Object, comment As String)

たとえば、 Workbench.Verify("red", "green", "checking colors") は検証に失敗し、メッセージ「 checking colors - 実際： [green]; 予想： [red] 」が表示されます。

予想結果によって返された値を検証して、コメントを追加するには、以下のように入力します。
Workbench.Verify(condition As Boolean, comment As String)

たとえば、 Workbench.Verify(True, "Test Passed") は検証に合格します。 一方、 Workbench.Verify(False, "Test Failed") は検証に失敗します。

IEnumerable オブジェクト (リストや配列など) について実際の値と期待値を比較するには、以下のように入力します。
Workbench.Verify(expectedEnumerable, actualEnumerable)
例：
Dim selectedItemsList = listBox.SelectedItems ' we assume that a list with the items "red" and "blue" is returned
Dim expectedItemsList = New List(Of String)()
expectedItemsList.Add("red")
expectedItemsList.Add("blue")

Workbench.Verify(selectedItemsList, expectedItemsList)  ' verification passes

Dim expectedItemsArray = New String() { "red", "blue" }
Workbench.Verify(selectedItemsList, expectedItemsArray) ' verification passes
注: 2 つの IEnumerable オブジェクトは、要素の数が同じであり、それらの要素が等しく、かつ順序が同じである場合に、等しいとみなされます。
注: 浮動小数点数を含む数学演算では、2 つの数値が、ユーザーの視点では等しいにもかかわらず、内部表現のために完全には同一ではないとみなされる場合があります。 このため、浮動小数点数 (単精度、倍精度) は、差異が 0.00001 未満である場合は等しいとみなされます。 この値は、状況によっては正しくない場合があります。 その場合は、代わりに Verify(result As Boolean) を使用して 2 つの値を比較します。
関連タスク
コーディングによるスクリプトへの検証の追加


VerifyAsset メソッド (Workbench)

クラス

Workbench。

処理

検証資産を実行します。 検証する UI オブジェクトが見つからない場合は、ObjectNotFoundException をスローします。

構文

result = Verification.VerifyAsset(verificationAsset)
変数 | 説明
result | 検証が成功したかどうか。 BOOLEAN。
verificationAsset | 実行する検証資産の名前。 STRING。

使用例

イメージ資産 myImageAsset の検証を実行するには、次を入力します：
Workbench.VerifyAsset("myImageAsset")


ResultComment メソッド

クラス

Workbench。

処理

結果 ウィンドウの 詳細 タブに、コメントをステップとして追加します。結果コメントを使用して、テストに関する情報をテスト結果に追加できます。テストを再生すると、結果 ウィンドウの 詳細 タブにコメントがステップとして表示されます。

構文

Workbench.ResultComment(comment)
変数 | 説明
comment | 結果に追加されるコメント。STRING。

使用例

テストでいくつかの挿入された値のフォーマット検証が実行されなかったという結果を指摘する場合、次のような行をスクリプトに追加できます：
Workbench.ResultComment("Note: This test did not verify that the format of the inserted value was correct.")


データ型

このセクションでは、さまざまなデータ型を示します。

注: .NET Framework のデータ型についての情報は、MSDN を参照してください（たとえば、 Integer、 Boolean、 String など）。 ビジュアル テストで使用することのできるデータ型についての情報は、 「ビジュアル テストにおける変数」を参照してください。.
  • ClickType 列挙
    TextClick の再生中にテキストをクリックする方法を指定します。
  • Color クラス
    レッド、グリーン、ブルー、アルファ チャンネルの点から色について説明します。
  • ItemIdentifier データ型
    リスト ボックス、タブ コントロール、コンボ ボックスなどのコントロール内の項目を指定します。
  • ItemPath データ型
    ツリーの項目パスの文字列表現です。
  • ModifierKeys 列挙
    再生中に押下するキー修飾子を指定します。
  • MouseButton 列挙
    マウス デバイスのボタンを指定する値を定義します。
  • Point クラス
    画面上のポイントを指定します。
  • Range クラス
    最小値と最大値を持つ範囲を指定します。
  • Rectangle クラス
    画面上の矩形領域を指定します。
  • TextPosition クラス
    テキスト フィールド内の位置を指定します。
  • TextRange クラス
    テキスト フィールド内の範囲を指定します。
  • TreeContent クラス
    ツリー コントロールの内容を表します。ツリー内のすべての項目が TreeNode として表現されます。
  • TreeNode クラス
    TreeContent 内のノードを表します。
親トピック: Silk Test Workbench 言語リファレンス


ClickType 列挙

説明

TextClick の再生中にテキストをクリックする方法を指定します。

構文

Public Enumeration ClickType

メンバー

名前 | 説明
Left | 左マウス ボタンを1回クリックします。
Right | 右マウス ボタンを1回クリックします。
Middle | 中央マウス ボタンを1回クリックします。
LeftDouble | 左マウス ボタンをダブル クリックします。
Press | 左マウス ボタンをクリックして、その状態を保持します。
Release | 左マウス ボタンを離します。
親トピック: データ型


Color クラス

説明

レッド、グリーン、ブルー、アルファ チャンネルの点から色について説明します。

継承階層

Color はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

Public Class Color

フィールド

名前 | 説明
BLACK | #FF000000 の ARGB 値を持つ色を取得します。
WHITE | #FFFFFFFF の ARGB 値を持つ色を取得します。
GREEN | #FF00FF00 の ARGB 値を持つ色を取得します。
RED | #FFFF0000 の ARGB 値を持つ色を取得します。
BLUE | #FF0000FF の ARGB 値を持つ色を取得します。
YELLOW | #FFFFFF00 の ARGB 値を持つ色を取得します。
MAGENTA | #FFFF00FF の ARGB 値を持つ色を取得します。
CYAN | #FF00FFFF の ARGB 値を持つ色を取得します。

プロパティ

名前 | 説明
R | 色のレッド ARGB チャンネルの値を取得します。 Integer
G | 色のグリーン ARGB チャンネルの値を取得します。 Integer
B | 色のブルー ARGB チャンネルの値を取得します。 Integer
A | 色のアルファ ARGB チャンネルの値を取得します。 Integer
親トピック: データ型


ItemIdentifier データ型

説明

リスト ボックス、タブ コントロール、コンボ ボックスなどのコントロール内の項目を指定します。 項目は次のようにして指定することができます。
  • テキスト (String)。
  • インデックス (Integer)。
  • テキストとインデックスの組み合わせ (String)。

文字列値は項目の名前を指定します。文字列には、ワイルドカード文字を含めることができます。 また、文字列として項目のインデックスを "[n]" という形式で指定することもできます。ここで、n は項目のインデックス番号です。

例

次の例では、 ListBox 内の項目を選択する方法を示します。
listbox.select(0)  ' Selects the first item, which has the index 0.
listbox.select("[0]")  ' Also selects the first item.
listbox.select("apple")   ' Selects the first item with text "apple".
listbox.select("apple[1]")   'Selects the second item with the text "apple".
親トピック: データ型


ItemPath データ型

説明

ツリーのルートから特定の項目への階層的パスです。 常に階層全体を指定する必要があります。項目パスの階層の各部分は、名前、インデックス、または両方の組み合わせで指定できます。 複数の属性を指定することによって、階層パス内の各項目を一意に指定することができます。

ツリー内のパスは次の属性を持ちます。
  • 項目と他の項目間の階層的関係。
  • 項目のタイトルまたはキャプション。
  • 同レベルの項目に関して項目の順序を表す 0 ベースの数。

例

次の例では、パス、インデックス、またはパスとインデックスの組み合わせによって、ツリー内の項目を 一意に指定する方法を示します。
指定方法 | 項目
"/Desktop/Applications/Games" | ツリーの外部レベルにある一意な項目 "Desktop" の下の、 一意な項目 "Applications"、さらにその下の一意な項目 "Games"。
"/Desktop/[2]/[4]" | ツリーの外部レベルにある一意な項目 "Desktop" の下の、 3 番目の項目の下の 5 番目の項目。
"/Desktop/Applications[2]/Games" | ツリーの外部レベルにある一意な項目 "Desktop" の下の、 テキスト "Applications" を持つ 3 番目の項目、さらにその下の一意な項目 "Games"。
親トピック: データ型


ModifierKeys 列挙

説明

再生中に押下するキー修飾子を指定します。

構文

Public Enumeration ModifierKeys

メンバー

名前 | 説明
None | キー修飾子はありません。
Shift | Shift 修飾子。
Alt | Alt 修飾子。
コントロール | Ctrl 修飾子。
ControlAlt | Ctrl+Alt 修飾子。
ShiftControl | Shift+Ctrl 修飾子。
ShiftAlt | Shift+Alt 修飾子。
ShiftControlAlt | Ctrl+Shift+Alt 修飾子。
親トピック: データ型


MouseButton 列挙

説明

マウス デバイスのボタンを指定する値を定義します。

構文

Public Enumeration MouseButton

メンバー

名前 | 説明
Left | 左マウス ボタン。 Left = 1。
Middle | 中央マウス ボタン。 Middle = 3。
Right | 右マウス ボタン。 Right = 2。
親トピック: データ型


Point クラス

説明

画面上のポイントを指定します。

継承階層

Point はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

Public Class Point

プロパティ

名前 | 説明
X | X 座標を取得します。
Y | Y 座標を取得します。
親トピック: データ型


Range クラス

説明

最小値と最大値を持つ範囲を指定します。

継承階層

Range はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

Public Class Range

プロパティ

名前 | 説明
Minimum | 最小値を取得します。
Maximum | 最大値を取得します。
親トピック: データ型


Rectangle クラス

説明

画面上の矩形領域を指定します。

継承階層

Rectangle はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

Public Class Rectangle

プロパティ

名前 | 説明
X | 矩形領域の X 座標を取得します。
Y | 矩形領域の Y 座標を取得します。
Width | 矩形領域の幅を取得します。
Height | 矩形領域の高さを取得します。
Center | 矩形領域の中央を取得します。
IsEmpty | 矩形が空かどうかを判定します。

メソッド

名前 | 説明
Contains(Rectangle) | 現在の Rectangle が、指定した Rectangle を含むかどうかを調べます。 Boolean
Contains(Point) | 現在の Rectangle が、指定した Point を含むかどうかを調べます。 Boolean
Contains(X,Y) | 現在の Rectangle が、指定した座標を含むかどうかを調べます。 Boolean
親トピック: データ型


TextPosition クラス

説明

テキスト フィールド内の位置を指定します。

継承階層

TextPosition はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

Public Class TextPosition

プロパティ

名前 | 説明
Line | 行を取得します。
Column | 列を取得します。
親トピック: データ型


TextRange クラス

説明

テキスト フィールド内の範囲を指定します。

継承階層

TextRange はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

Public Class TextRange

プロパティ

名前 | 説明
StartLine | 範囲の最初の行を取得します。
StartColumn | 範囲の最初の列を取得します。
EndLine | 範囲の最後の行を取得します。
EndColumn | 範囲の最後の列を取得します。
親トピック: データ型


TreeContent クラス

説明

ツリー コントロールの内容を表します。 ツリー内のすべての項目が TreeNode として表現されます。

継承階層

TreeContent はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

Public Class TreeContent

プロパティ

名前 | 説明
RootNodes | 対応するツリーのルート子ノードを取得します。
親トピック: データ型


TreeNode クラス

説明

TreeContent 内のノードを表します。

継承階層

TreeNode はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

Public Class TreeNode

プロパティ

名前 | 説明
Children | TreeNode の子ノードを取得します。
Text | TreeNode のテキストを取得します。
親トピック: データ型


Flex クラス リファレンス

Flex コントロールのテストに利用可能なクラスを一覧します。 さらに、カスタム コントロールをテストするために Silk Test をカスタマイズすることもできます。

クラスの詳細については、『Apache Flex 開発者ガイド』を参照してください。
注: Flex および Flex クラス使用時の既知の問題は、Silk Test でも再現します。 たとえば、FlexChart クラスを使用した要素のドラッグ＆ドロップは、要素のドラッグを開始する前にグラフ要素の端近くをクリックすると機能しない場合があります。 これによって、ドラッグの開始座標が無効になるため、再生に失敗します。 これは Flex のドラッグ＆ドロップの既知の問題です。 Flex の既知の問題の詳細については、『Apache Flex リリース ノート』を参照してください。
注: FlexTitleWindow クラスは、Silk Test によって FlexPanel として識別され記録されます（別のクラスとして定義されていますが）。 これは Flex の既知の問題です。 Flex の既知の問題の詳細については、『Apache Flex リリース ノート』を参照してください。
  • FlexAccordion クラス
    Accordion ナビゲーター コンテナーは子コンテナーのコレクションを持ちますが、その 1 つだけを一度に可視にすることができます。 子の間を移動するために使用するナビゲーター ボタン（アコーディオン ヘッダー）を作成および管理します。
  • FlexAdvancedDataGrid クラス
    標準の DataGrid コントロールの機能を拡張したもので、Apache Flex アプリケーションにデータ視覚化機能が追加されます。 これらの機能によって、データ表示やデータ集計、データ フォーマットについて、より高度な操作が可能になります。
  • FlexAlert クラス
    メッセージ、タイトル、ボタン（「OK」、「キャンセル」、「はい」、「いいえ」の任意の組み合わせ）およびアイコンを含むことができるポップアップ ダイアログ ボックスです。
  • FlexApplication クラス
    デフォルトのコンテナー（Application コンテナー）が定義されるため、別のコンテナーを明示的に定義することなく、アプリケーションにコンテンツを追加することができます。
  • FlexAreaChart クラス
    データ内の値をつなぐ線で囲まれた面としてデータを表します。 AreaChart コントロールを使用すると、単純面グラフ、積み上げ面グラフ、構成比面グラフ、高低面グラフなど、各種の面グラフを表すことができます。
  • FlexAreaSeries クラス
    AreaChart コントロールのデータ系列を定義します。
  • FlexAxisRenderer クラス
    グラフの水平軸および垂直軸を表すために使用します。 軸は、その長さに沿って、ラベル、目盛り、およびタイトルを表示する役割を持ちます。
  • FlexBarChart クラス
    データ内の値によって長さが決まる一連の横棒でデータを表します。 BarChart コントロールは、単純横棒グラフ、集合横棒グラフ、積み上げ横棒グラフ、構成比横棒グラフ、高低横棒グラフなど、各種の横棒グラフを表すことができます。
  • FlexBarSeries クラス
    BarChart コントロールのデータ系列を定義します。
  • FlexBox クラス
    Box コンテナーでは、子が単一の垂直列または水平行にレイアウトされます。
  • FlexBubbleChart クラス
    各データ ポイントにつき 3 つの値でデータを表します。 各データ ポイントは、水平軸に沿った位置を決定する値、垂直軸に沿った位置を決定する値、およびグラフ上の他のデータ ポイントとの比較でグラフ要素のサイズを決定する値で定義されます。
  • FlexBubbleSeries クラス
    BubbleChart コントロールのデータ系列を定義します。
  • FlexButton クラス
    Button コントロールはきわめて使用頻度の高い四角形のボタンです。 Button コントロールは押し下げ可能に見えます。 表面には、テキスト ラベル、アイコンのいずれか、または両方を表示できます。
  • FlexButtonBar クラス
    共通の外観と操作性を持つ論理的に関連するプッシュ ボタンの水平または垂直方向のグループを定義します。
  • FlexCandlestickChart クラス
    データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。
  • FlexCandlestickSeries クラス
    データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。
  • FlexCanvas クラス
    Canvas レイアウト コンテナーは、子コンテナーおよびコントロールを配置する矩形領域を定義します。 このコンテナーは、その内部における子の位置を、各子の x および y プロパティを使用して明示的に指定できる唯一のコンテナーです。
  • FlexCartesianChart クラス
    一般的なグラフ タイプの基本クラスです。 CartesianChart は、標準的な長方形の 2 次元グラフの基本的なレイアウト動作を定義します。
  • FlexChart クラス
    Flex コンポーネント アーキテクチャと DualStyleObject アーキテクチャの間のリンクです。 ChartBase クラスは Flex UIComponent の基本クラスを拡張しますが、DualStyleObject の各クラスは ChartBase クラスに含まれています。
  • FlexChartLegend クラス
    グラフに凡例を追加できます。凡例にはグラフ内の各データ系列のラベルや、データ系列のグラフ要素を示すキーが表示されます。
  • FlexChartSeries クラス
    グラフ コントロールのデータ系列を指定するクラスの基本クラスです。
  • FlexCheckBox クラス
    CheckBox コントロールは、オプションのラベルと、チェック マークの表示と非表示の状態を保持する小さなボックスから構成されます。
  • FlexColorPicker クラス
    ユーザーが色見本リストから色を選択する手段を提供します。
  • FlexColumnChart クラス
    データ内の値によって高さが決まる一連の縦棒でデータを表します。
  • FlexColumnSeries クラス
    ColumnChart コントロールのデータ系列を定義します。
  • FlexComboBase クラス
    テキストを表示するフィールドのほか、ユーザーが選択するテキストを表示するドロップダウン リストを表示するためのボタンを持つコントロールの基本クラスです。
  • FlexComboBox クラス
    ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。
  • FlexContainer クラス
    コンポーネントの抽象基本クラスであり、子コンポーネントのレイアウト特性を制御します。
  • FlexContainerMovieClip クラス
    Adobe Flash CS3 Professional で Flex 用に作成するコンテナー コンポーネントは、mx.flash.ContainerMovieClip クラスのサブクラスになります。
  • FlexDataGrid クラス
    DataGrid コントロールは、List コントロールに似ていますが、複数の列のデータを表示でき、複数のプロパティを持つオブジェクトの表示に適している点が異なります。
  • FlexDateChooser クラス
    DateChooser コントロールは、月の名前、年、および月の各日を示すグリッドを表示し、そのグリッドの列ラベルとして曜日を表示します。
  • FlexDateField クラス
    右側にカレンダ アイコンを持った日付を表示するテキスト フィールドです。
  • FlexDisplayObject クラス
    表示リストに含めることのできるすべてのオブジェクトに関する基本クラスです。 表示リストは、Flash Player または Adobe AIR に表示されるすべてのオブジェクトを管理します。
  • FlexDividedBox クラス
    Box コンテナーと同じ方法で子を水平方向または垂直方向に測定して配置しますが、子の間にはドラッグ可能な仕切りが挿入されます。 ユーザーは、任意の側の仕切りをドラッグして子のサイズを変更できます。
  • FlexForm クラス
    フォームのレイアウトを制御し、フォーム フィールドが必須かオプションであるかを明示し、エラー メッセージを処理し、フォーム データを Flex データ モデルにバインドしてデータのチェックと検証を実行することができます。 また、スタイルシートを使用してフォームの外観を設定することもできます。
  • FlexFormItem クラス
    ラベル、および水平方向または垂直方向に配置されている子を定義します。 フォームの子には、コントロールやその他のコンテナーなどがあります。 1 つの Form コンテナーで複数の FormItem コンテナーを保持できます。
  • FlexHLOCChart クラス
    HLOCChart（高値、安値、始値、終値）コントロールは、データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。
  • FlexHLOCSeries クラス
    データ系列の高値、安値、終値、および始値（オプション）などの財務データを一連の要素で示します。
  • FlexHLOCSeriesBase クラス
    データ系列の高値、安値、終値、および始値（オプション）などの財務データを一連の要素で示します。
  • FlexImage クラス
    実行時に、JPEG、PNG、GIF および SWF のファイルをインポートできます。
  • FlexLabel クラス
    編集できないテキストの単一行を表示します。
  • FlexLineChart クラス
    連続する 1 本の線でつながれた点としてデータ系列を表します。
  • FlexLineSeries クラス
    LineChart コントロールのデータ系列を定義します。
  • FlexLinkBar クラス
    一連のリンク先を指定する LinkButton コントロールの水平方向または垂直方向の行を定義します。
  • FlexList クラス
    項目のリストを水平方向、垂直方向、またはタイル状に並べて表示します。
  • FlexListBase クラス
    ListBase クラスは、項目のリストを表すコントロールの基本クラスです。項目リストでは、1 つまたは複数の項目を選択したり、項目をスクロールしたりできます。
  • FlexListLabel クラス
    コントロールのデフォルトの項目レンダラを定義します。 デフォルトでは、項目レンダラはリスト中の各項目に関連付けられたテキストとオプションでアイコンを描画します。
  • FlexLoader クラス
    指定した SWF ファイルをロードし表示します。 通常、ある Flex アプリケーションをホストする Flex アプリケーションにロードする場合に SWFLoader を使用します。
  • FlexMenu クラス
    大部分のソフトウェア アプリケーションに見られるファイル メニューや編集メニューのような、個別に選択可能な選択肢を含むポップアップ メニューを作成します。 ポップアップ メニューには、必要に応じて複数のサブメニューのレベルを設定できます。
  • FlexMenuBar クラス
    1 つ以上のメニューを含む水平な最上位メニュー バーを定義します。 最上位メニュー項目をクリックすると、Menu コントロールのインスタンスであるポップアップ サブメニューが開きます。
  • FlexNavigationBar クラス
    LinkBar コントロールや TabBar コントロールなどのナビゲーター コントロールに対するスーパークラスです。 このクラスは直接インスタンス化できません。
  • FlexNumericStepper クラス
    順序化された集合から数値を選択することができます。
  • FlexObject クラス
    対話型と非対話型の両方のすべてのビジュアル コンポーネントの基本クラスです。
  • FlexOLAPDataGrid クラス
    AdvancedDataGrid コントロールの機能を拡張したもので、OLAP クエリの結果表示のサポートが追加されています。
  • FlexPanel クラス
    タイトル バー、キャプション、境界線、および子のコンテンツ領域から構成されています。
  • FlexPieChart クラス
    標準的な円グラフでデータ系列を表します。
  • FlexPieSeries クラス
    PieChart コントロールのデータ系列を定義します。
  • FlexPlotChart クラス
    各データ ポイントにつき 2 つの値でデータを表します。 1 つの値は水平方向の軸に沿ったデータ ポイントの位置を、もう 1 つの値は垂直方向の軸に沿った位置を決定します。
  • FlexPlotSeries クラス
    PlotChart コントロールのデータ系列を定義します。
  • FlexPopUpButton クラス
    PopUpButton コントロールは、Button コントロールにポップアップ コントロールのインターフェイスを追加します。 メイン ボタンとポップアップ ボタンと呼ばれる小さなボタンを持ち、ユーザーがポップアップ ボタンをクリックすると、任意の UIComponent オブジェクトをポップアップします。
  • FlexProgressBar クラス
    ProgressBar コントロールは、時間の経過に伴うタスクの進捗状況を視覚的に表示します。 ProgressBar コントロールには、確定モードと不確定モードの 2 つの種類があります。
  • FlexRadioButton クラス
    RadioButton コントロールを使用すると、一連の相互排他的な選択肢の中から 1 つだけをユーザーに選択させることができます。
  • FlexRepeater クラス
    リピータ コントロールを識別し、そのサブコンポーネントの複数のインスタンスを作成します。
  • FlexRule クラス
    単一の水平方向または垂直方向の線を作成します。 通常、このコントロールはコンテナーの内部を分割する線を作成するために使用します。
  • FlexScrollBar クラス
    表示領域に対してデータが多すぎる場合に表示するデータの部分を制御するために使用します。
  • FlexScrollBase クラス
    ScrollControlBase クラスは、スクロール バーを持つコントロールの基本クラスです。
  • FlexSlider クラス
    スライダー トラックの両端の間でスライダー サムを移動することで値を選択できます。
  • FlexStandalonePlayer クラス
    Flex スタンドアロン プレイヤー。
  • FlexTabNavigator クラス
    子コンテナー間での移動のために TabBar コンテナーを取り込むことで、ViewStack コンテナーを拡張します。
  • FlexTextArea クラス
    複数行のテキストフィールドで、境界線とオプションのスクロールバーが含まれます。
  • FlexTitleWindow クラス
    タイトル バー、キャプション、境界線、および子のコンテンツ領域から構成されています。
  • FlexToggleButtonBar クラス
    選択状態または選択解除状態を維持しているボタンが水平方向に並んだグループまたは垂直方向に並んだグループを定義します。
  • FlexTree クラス
    Tree コントロールを使用すると、展開可能なツリー形式で階層データを表示できます。
  • FlexUIMovieClip クラス
    Adobe Flash CS3 Professional で Flex 用に作成するコンポーネントは、mx.flash.UIMovieClip クラスのサブクラスになります。
  • FlexVideoDisplay クラス
    Flex アプリケーションで FLV ファイルを再生できます。 HTTP を介したプログレッシブ ダウンロード、Flash Media Server からのストリーミング、および Camera オブジェクトからのストリーミングをサポートします。
  • FlexViewStack クラス
    ViewStack ナビゲーターのコンテナーは、積み重ねられた一連の子コンテナーから成ります。子コンテナーは一度に 1 つのみ表示されます。 別の子コンテナーが選択されると、同じ場所に表示されるため、このコンテナーによって既存のコンテナーが置き換えられたように見えます。 ただし、それまでの子コンテナーもまだ存在しており、単に見えなくなっただけです。
  • FlexWindow クラス
    Window は、AIR デスクトップ アプリケーションの追加ウィンドウに対する最上位のコンテナーです。
  • FlexWindowedApplication クラス
    WindowedApplication は、AIR アプリケーション用の Flex アプリケーションを作成するために使用するアプリケーション コンテナーを定義します。
  • SparkAirHTML クラス
    アプリケーションの HTML コンテンツを表示する HTML コントロール。
  • SparkApplication クラス
    Flex は、デフォルトのコンテナー（Application コンテナー）を定義するため、別のコンテナーを明示的に定義することなく、アプリケーションにコンテンツを追加することができます。
  • SparkBorderContainer クラス
    BorderContainer クラスは、コンテナーの境界線と背景の塗りつぶしの外観を制御する一連の CSS スタイルを定義します。
  • SparkButton クラス
    SparkButton コンポーネントはきわめて使用頻度の高い四角形のボタンです。 SparkButton コンポーネントは、押すことができるような外観をしています。
  • SparkButtonBar クラス
    ButtonBar コントロールは、共通の外観と操作性を持つ論理的に関連するボタンの水平または垂直方向のグループを定義します。
  • SparkButtonBarButton クラス
    ButtonBarButton クラスは、ButtonBar コントロールによって使用されるカスタム項目レンダラを定義します。
  • SparkButtonBase クラス
    SparkButtonBase クラス はすべての Spark ボタン コンポーネントの基本クラスです。
  • SparkCheckBox クラス
    CheckBox コンポーネントは、オプションのラベルと、チェック マークの表示と非表示の状態を保持する小さなボックスから構成されます。
  • SparkComboBox クラス
    ComboBox コントロールは、DropDownListBase コントロールの子クラスです。 DropDownListBase コントロールと同様に、ComboBox コントロールのドロップダウン リストからユーザーが項目を選択すると、コントロールのプロンプト領域にデータ項目が表示されます。
  • SparkComplexDisplay クラス
    複雑なレンダリング オブジェクトです。
  • SparkDataGrid クラス
    Spark DataGrid コントロールを識別します。
  • SparkDataGridLabel クラス
    Spark DataGridLabel コントロールを識別します。
  • SparkDataGroup クラス
    DataGroup クラスはデータ項目の基本コンテナー クラスです。
  • SparkDataRenderer クラス
    SparkDataRenderer クラス は Spark のデータ コンポーネントの基本クラスです。
  • SparkDropDownList クラス
    SparkDropDownList コントロールには、ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。
  • SparkDropDownListBase クラス
    SparkDropDownListBase コントロールには、ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。
  • SparkForm クラス
    Spark Form コントロールを識別します。
  • SparkFormItem クラス
    Spark FormItem コントロールを識別します。
  • SparkGroup クラス
    視覚的な子である、ビジュアル コンポーネントとグラフィック コンポーネントの両方を管理する場合に、このコンテナーを使用します。
  • SparkGroupBase クラス
    GroupBase クラス はビジュアル要素を表示するコンポーネントの基本クラスです。
  • SparkImage クラス
    Spark Image コントロールを識別します。
  • SparkLabel クラス
    Label は、単一行または複数行のテキストを均一のフォーマットでレンダリングできる低レベルの UIComponent です。
  • SparkList クラス
    List コントロールでは、項目を垂直方向に並べて表示します。
  • SparkListBase クラス
    ListBase クラス は選択をサポートするすべてのコンポーネントの基本クラスです。
  • SparkListLabel クラス
    単純なレンダリング オブジェクトです。
  • SparkMuteButton クラス
    MuteButton クラスは、VideoPlayer コントロールによって使用されるミュート ボタンを定義します。
  • SparkNavigatorContent クラス
    NavigatorContent クラスは、ViewStack、TabNavigator、Accordion などの MX ナビゲーター コンテナーで使用できる Spark コンテナーを定義します。
  • SparkNumericStepper クラス
    NumericStepper コントロールを使用すると、一定の間隔で増減する数値を選択できます。 NumericStepper は Spinner コンポーネントと同じ機能を提供しますが、コンポーネントの値を、コントロールの矢印ボタンを使用して変更するのではなく直接編集できるように、TextInput コントロールを追加します。
  • SparkObject クラス
    SparkObject クラス はすべての Spark コンポーネントの基本クラスを定義します。
  • SparkPanel クラス
    Panel クラスは、タイトル バー、キャプション、境界線、および子のコンテンツ領域を含むコンテナーを定義します。
  • SparkPopUpAnchor クラス
    Spark PopUpAnchor コントロールを識別します。
  • SparkRadioButton クラス
    RadioButton コンポーネントを使用すると、一連の相互排他的な選択肢の中から 1 つだけをユーザーに選択させることができます。 RadioButtonGroup は、同じ groupName プロパティを持つ複数の RadioButton コンポーネントで構成されます。
  • SparkRange クラス
    Range クラスは、値と minimum および maximum プロパティで定義された許可された範囲を保持します。
  • SparkRichEditableText クラス
    RichEditableText は、リッチ フォーマット テキストの表示、スクロール、選択および編集を行うための低レベルの UIComponent です。
  • SparkRichText クラス
    RichText は、単一行または複数行のリッチ フォーマット テキストや埋め込み画像を表示する低レベルの UIComponent です。
  • SparkScrollBar クラス
    ScrollBarBase クラスは、表示領域に対してデータが多すぎる場合に表示するデータの部分を制御するために使用します。
  • SparkSkinnableContainer クラス
    SkinnableContainer クラスは、ビジュアル コンテンツを格納するスキン可能コンテナーの基本クラスです。
  • SparkSkinnableContainerBase クラス
    Spark のコンテナー コンポーネントの基本クラスです。
  • SparkSkinnableDataContainer クラス
    SkinnableDataContainer クラスはデータ項目の基本コンテナー クラスです。
  • SparkSkinnablePopUpContainer クラス
    SparkSkinnablePopUpContainer コントロールを識別します。
  • SparkSkinnableTextBase クラス
    Spark TextInput や TextArea などのスキン可能なコンポーネントの基本クラスです。このようなコンポーネントは、リッチ テキスト表示、スクロール、選択、および編集などの機能を提供するために、スキン内に RichEditableText のインスタンスを含みます。
  • SparkSlider クラス
    スライダー トラックの両端の間でスライダー サムを移動することで値を選択できます。
  • SparkSpinner クラス
    Spinner コンポーネントは順序化された集合から値を選択します。 stepSize プロパティの現在の値に基づいて、現在の値を増減させる 2 つのボタンを使用します。
  • SparkTabBar クラス
    TabBar クラスは同じようなタブのセットを表示します。 1 回に 1 つのタブを選択でき、デフォルトでは最初のタブが選択されます。
  • SparkTextArea クラス
    TextArea は、ユーザーが複数行のリッチ フォーマット テキストを入力および編集するときに使用するテキスト入力コントロールです。 テキストをスクロールするための水平方向と垂直方向のスクロール バーを表示し、マウス ホイールによる垂直スクロールをサポートします。
  • SparkTextBase クラス
    デフォルト形式の CSS スタイルを使用してテキストを表示する Label や RichText などの Spark テキスト コントロール用の基本クラスです。
  • SparkTextInput クラス
    TextInput は、単一行のテキストを均一のフォーマットで入力および編集するときに使用するテキスト入力コントロールです。
  • SparkTileGroup クラス
    TileGroup コンテナーは、TileLayout クラスを使用する Group コンテナーのインスタンスです。
  • SparkTitleWindow クラス
    TitleWindow クラスは Panel を拡張し、閉じるボタンと移動領域をサポートします。
  • SparkToggleButton クラス
    ToggleButton コンポーネントはトグル ボタンを定義します。 このボタンをクリックすると、アップ状態とダウン状態が切り替わります。
  • SparkToggleButtonBase クラス
    ToggleButtonBase コンポーネントは、selected プロパティをサポートする Spark ボタン コンポーネントの基本クラスです。
  • SparkTrackBase クラス
    TrackBase クラスは、Slider や ScrollBar などの、トラックと 1 つ以上のサム ボタンを持つコンポーネントの基本クラスです。
  • SparkVideoDisplay クラス
    Spark VideoDisplay コントロールを識別します。
  • SparkVideoPlayer クラス
    VideoPlayer コントロールは、プログレッシブ ダウンロード、マルチビットレート ストリーミング、およびストリーミング ビデオをサポートするスキン可能ビデオ プレーヤです。
  • SparkVolumeBar クラス
    VolumeBar クラスは、VideoDisplay コントロールのボリュームを制御するドロップダウン スライダーを定義します。
  • SparkWindow クラス
    Window は、AIR デスクトップ アプリケーションの追加ウィンドウに対する最上位のコンテナーです。
  • SparkWindowedApplication クラス
    WindowedApplication は、AIR アプリケーション用の Flex アプリケーションを作成するために使用するアプリケーション コンテナーを定義します。
親トピック: Silk Test Workbench 言語リファレンス
関連概念
Apache Flex のサポート


FlexAccordion クラス

説明

Accordion ナビゲーター コンテナーは子コンテナーのコレクションを持ちますが、その 1 つだけを一度に可視にすることができます。 子の間を移動するために使用するナビゲーター ボタン（アコーディオン ヘッダー）を作成および管理します。

子のコンテナーそれぞれに 1 つのナビゲーター ボタンが関連付けられており、それぞれのナビゲーター ボタンは、子ではなく Accordion コンテナーに属しています。 ナビゲーター ボタンをクリックすると、関連付けられた子のコンテナーが表示されます。 新しい子への切り替えは、ある子が非表示になり、別の子が表示されたことをユーザーにわかりやすくするためのアニメーションが使用されます。

Accordion コンテナーは ViewStack コンテナーを形容しませんが、selectedIndex や selectedChild などの ViewStack コンテナーのすべてのプロパティ、メソッド、スタイル、およびイベントを実装します。

継承階層

  • FlexContainer
    • FlexAccordion

構文

'Declaration
Public Class FlexAccordion _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
headerHeight | Accordion ヘッダーの高さ（ピクセル単位）。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalGap | 子同士の水平方向の間隔を示すピクセル数。 デフォルト値は 8 です。
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
paddingBottom | コンテナーの下境界線とコンテンツ領域との間にあるピクセル数。
paddingTop | コンテナーの上境界線とコンテンツ領域との間にあるピクセル数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChild | 現在表示されている子コンテナーへの参照。
selectedIndex | 現在表示されている子コンテナーの 0 を基準としたインデックス。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textSelectedColor | 選択したテキストの色。 デフォルト値は 0x2B333C です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalGap | 子同士の垂直方向の間隔を示すピクセル数。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | 選択した子コンテナーが変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAdvancedDataGrid クラス

説明

標準の DataGrid コントロールの機能を拡張したもので、Apache Flex アプリケーションにデータ視覚化機能が追加されます。 これらの機能によって、データ表示やデータ集計、データ フォーマットについて、より高度な操作が可能になります。

AdvancedDataGrid コントロールは、List コントロールに似ていますが、複数の列のデータを表示でき、複数のプロパティを持つオブジェクトの表示に適している点が異なります。

継承階層

  • FlexListBase
    • FlexAdvancedDataGrid
      • FlexOLAPDataGrid

構文

'Declaration
Public Class FlexAdvancedDataGrid _
Inherits FlexListBase

プロパティ

名前 | 説明
allowDragSelection | ドラッグによる選択が有効かどうか。 通常の選択では、選択する項目上にマウスを移動させてもマウス ボタンを押すことはできませんが、ドラッグによる選択では、項目にドラッグすることによって、その項目を選択できます。
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
depthColors | AdvancedDataGrid コントロールのナビゲーション ツリーの各レベルの行で使用する色の配列（降順）。 デフォルト値は未定義です。
disabledColor | コンポーネントが無効な場合のテキストの色。
displayItemsExpanded | ナビゲーション ツリーが展開されてすべての項目が表示されているかどうか。
editable | データ プロバイダーの項目を編集できるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
headerColors | ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。
headerHeight | 列のヘッダー セルの高さ（ピクセル単位）。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalGridLineColor | 水平グリッド線の色。
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
indentation | ナビゲーション ツリーの各ノードのインデント（ピクセル単位）。 デフォルト値は 17 です。
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
minColumnWidth | 列の最小幅（ピクセル単位）。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
openDuration | ナビゲーション ツリーの開いた状態や閉じた状態への遷移にかかる時間の長さ（ミリ秒単位）。 デフォルト値は 250 です。
paddingBottom | 行の下端と行内のレンダラの下端との間のピクセル数。
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。
paddingTop | 行の上端と行内のレンダラの上端との間のピクセル数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizableColumns | 列のサイズをユーザーが変更できるかどうか。
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedCells | 行インデックスおよび列インデックスとしてセル位置の配列。
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
selectionMode | コントロールの選択モード。
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
verticalGridLineColor | 垂直グリッド線の色。 デフォルト値は 0x666666 です。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | AdvancedDataGrid の分岐を閉じるまたは折りたたみます。
ColumnGroupedADGHeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。
ColumnStretch | ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellData | グリッド内のセルのデータを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetGroupedItemChildrenCount | グループの最初の項目内にある子の数を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetRowData | データ プロバイダーの項目の行のデータを返します。
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HeaderClick | 列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。
HeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsGroupedItem | 項目がグループのメンバーかどうかを指定する値を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Open | AdvancedDataGrid の分岐を開くまたは展開します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAlert クラス

説明

メッセージ、タイトル、ボタン（「OK」、「キャンセル」、「はい」、「いいえ」の任意の組み合わせ）およびアイコンを含むことができるポップアップ ダイアログ ボックスです。

Alert コントロールはモーダルです。これは、ユーザーが閉じるまでフォーカスを保持することを意味します。

継承階層

  • FlexPanel
    • FlexAlert

構文

'Declaration
Public Class FlexAlert _
Inherits FlexPanel

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
defaultButtonFlag | デフォルト ボタンを指定する Alert.OK、Alert.CANCEL、Alert.YES または Alert.NO を含むビット フラグ。 デフォルト値は Alert.OK です。
dropShadowEnabled | Panel コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexPanel から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
footerColors | フッター（ControlBar コンテナーの領域）の背景の描画に使用される 2 色の配列。 (FlexPanel から継承されました)
headerColors | ヘッダーを描画するために使用する 2 色の配列。 (FlexPanel から継承されました)
headerHeight | ヘッダーの高さ。 デフォルト値はタイトル テキストのスタイルに基づいて計算されます。 (FlexPanel から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
status | タイトル バーのステータス領域に表示されるテキスト。 デフォルト値は "" です。 (FlexPanel から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | この警告ダイアログ ボックスに表示するテキスト。 デフォルト値は "" です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。 デフォルト値は "" です。 (FlexPanel から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexApplication クラス

説明

デフォルトのコンテナー（Application コンテナー）が定義されるため、別のコンテナーを明示的に定義することなく、アプリケーションにコンテンツを追加することができます。

継承階層

  • FlexContainer
    • FlexApplication
      • FlexWindowedApplication

構文

'Declaration
Public Class FlexApplication _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
url | このアプリケーションの SWF ファイルがロードされた URL。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAreaChart クラス

説明

データ内の値をつなぐ線で囲まれた面としてデータを表します。 AreaChart コントロールを使用すると、単純面グラフ、積み上げ面グラフ、構成比面グラフ、高低面グラフなど、各種の面グラフを表すことができます。

継承階層

  • FlexCartesianChart
    • FlexAreaChart

構文

'Declaration
Public Class FlexAreaChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAreaSeries クラス

説明

AreaChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexAreaSeries

構文

'Declaration
Public Class FlexAreaSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
form | 領域の境界のタイプ。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
minField | 領域の下部の境界を決定する dataProvider のフィールド。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
radius | データ ポイントのグラフ要素の半径（ピクセル単位）。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 水平軸上のデータ ポイントの位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 垂直軸上のデータ ポイントの位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAxisRenderer クラス

説明

グラフの水平軸および垂直軸を表すために使用します。 軸は、その長さに沿って、ラベル、目盛り、およびタイトルを表示する役割を持ちます。

AxisRenderer オブジェクトは、それを囲んでいるグラフ オブジェクトからビジュアル プロパティの一部を継承します。 ラベルおよびタイトルのテキスト フォーマットには、レンダラの CSS テキストのプロパティがデフォルトとして設定されます。 これとは別に、軸のタイトルのフォーマットは、AxisRenderer または囲んでいるグラフで axisTitleStyleName を指定することで制御できます。

継承階層

  • FlexObject
    • FlexAxisRenderer

構文

'Declaration
Public Class FlexAxisRenderer _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
canDropLabels | AxisRenderer が正しくレイアウトすることが必要な場合にラベルを落とすかどうか。
canStagger | 2 つのラベル行でラベルを交互に配置するかどうか。 この設定を使用すると、ラベルに必要な領域が最小化されます。 デフォルト値は true で、ラベルは交互に配置されます。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
heightLimit | 軸レンダラがグラフから取得するスペースの最大値（ピクセル単位）。
id | コンポーネントの ID。 (FlexObject から継承されました)
labelGap | 目盛りの末端からラベルの上端までの間隔の幅（ピクセル単位）。 デフォルト値は 3 です。
labelRotation | ラベルの回転。
lastVisibleRow | 最後の可視の子のインデックス。
length | 軸の長さ（スクリーン座標）。
minorTickLength | 軸上の小さな目盛りの長さ（ピクセル単位）。 デフォルト値は 0 です。
minorTickPlacement | 小さな目盛りを描画する場所を示す値。 有効な値は、inside、outside、cross、および none です。
minorTicks | 軸に沿った小さな目盛りの描画位置を指定する配列。 各配列要素には、0 から 1 までの値が含まれています。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
placement | グラフで axisRenderer が表示される側。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showLabels | ラベルを軸に沿って表示するかどうか。 デフォルト値は true です。
showLine | 軸を表示するかどうか。 デフォルト値は true です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
tickLength | 軸上の目盛りの長さ（ピクセル単位）。 デフォルト値は 3 です。
tickPlacement | 目盛りを描画する場所を示す値。 有効な値は、inside、outside、cross、および none です。
ticks | 軸に沿った目盛りの描画位置を指定する配列。 各配列要素には、0 から 1 までの値が含まれています。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBarChart クラス

説明

データ内の値によって長さが決まる一連の横棒でデータを表します。 BarChart コントロールは、単純横棒グラフ、集合横棒グラフ、積み上げ横棒グラフ、構成比横棒グラフ、高低横棒グラフなど、各種の横棒グラフを表すことができます。

継承階層

  • FlexCartesianChart
    • FlexBarChart

構文

'Declaration
Public Class FlexBarChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
barWidthRatio | 棒グラフを描く際のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maxBarWidth | 描画する横棒の幅（ピクセル単位）。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBarSeries クラス

説明

BarChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexBarSeries

構文

'Declaration
Public Class FlexBarSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
barWidthRatio | カテゴリ幅に相対的な棒グラフをレンダリングするための幅。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxBarWidth | 横棒の幅（ピクセル単位）。
minField | 各横棒の下部を決定する データ プロバイダーのフィールド。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
offset | 使用可能な領域の中心から横棒の中心をずらす度合い（カテゴリの幅に対する割合）。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 各横棒の先端の x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | グラフ内の各横棒の終端の y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBox クラス

説明

Box コンテナーでは、子が単一の垂直列または水平行にレイアウトされます。

継承階層

  • FlexContainer
    • FlexBox
      • FlexDividedBox
      • FlexNavigationBar

構文

'Declaration
Public Class FlexBox _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBubbleChart クラス

説明

各データ ポイントにつき 3 つの値でデータを表します。 各データ ポイントは、水平軸に沿った位置を決定する値、垂直軸に沿った位置を決定する値、およびグラフ上の他のデータ ポイントとの比較でグラフ要素のサイズを決定する値で定義されます。

継承階層

  • FlexCartesianChart
    • FlexBubbleChart

構文

'Declaration
Public Class FlexBubbleChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBubbleSeries クラス

説明

BubbleChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexBubbleSeries

構文

'Declaration
Public Class FlexBubbleSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxRadius | この系列にレンダリングされる最大の項目の半径。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
radiusField | グラフ内の他のデータ ポイントを基準にして各シンボルの半径を決定するデータ プロバイダーのフィールド。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexButton クラス

説明

Button コントロールはきわめて使用頻度の高い四角形のボタンです。 Button コントロールは押し下げ可能に見えます。 表面には、テキスト ラベル、アイコンのいずれか、または両方を表示できます。

通常、ボタンはイベント リスナを使用して、ユーザーがコントロールを選択したときのアクションを実行します。 Button コントロール上でマウスをクリックしたときに Button コントロールが有効である場合は、click イベントと buttonDown イベントがディスパッチされます。 ボタンは、有効か無効かにかかわらず、mouseMove、mouseOver、mouseOut、rollOver、rollOut、mouseDown、mouseUp などのイベントを必ずディスパッチします。

Button コントロールは、外観のカスタマイズや、プッシュ ボタンからトグル ボタンへの機能変更などが可能です。 ボタンの各状態に対応するスキンを使用することによって、ボタンの外観を変更できます。

Button コントロールのラベルには太字の書体が使用されます。 Button コントロールのラベルに使用するフォントを埋め込む場合は、太字の書体を埋め込む必要があります。

継承階層

  • FlexObject
    • FlexButton
      • FlexCheckBox
      • FlexPopUpButton
      • FlexRadioButton

構文

'Declaration
Public Class FlexButton _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。
fillColors | コントロールの背景を濃淡色化するのに使用する色。
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | Button コントロールに表示されるテキスト。
labelPlacement | 指定されたアイコンを基準にしたラベルの向き。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | トグルボタンがオン（true）またはオフ（false）のどちらであるか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。
textSelectedColor | ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toggle | Button を toggle 状態にするかどうか。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexButtonBar クラス

説明

共通の外観と操作性を持つ論理的に関連するプッシュ ボタンの水平または垂直方向のグループを定義します。

継承階層

  • FlexNavigationBar
    • FlexButtonBar
      • FlexToggleButtonBar

構文

'Declaration
Public Class FlexButtonBar _
Inherits FlexNavigationBar

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。 (FlexNavigationBar から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexNavigationBar から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexNavigationBar から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCandlestickChart クラス

説明

データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。

各ローソク足の垂直線の上部と下部は、データ ポイントの高値と安値を示しています。一方、塗りつぶされたボックスの上部と下部は始値と終値を示しています。 ローソク足の塗りつぶされ方は、データ ポイントの終値が始値よりも高いかどうかによって異なります。

継承階層

  • FlexCartesianChart
    • FlexCandlestickChart

構文

'Declaration
Public Class FlexCandlestickChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
columnWidthRatio | ロウソク足グラフを描く際の水平軸のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maxColumnWidth | 描画するロウソク足の幅（ピクセル単位）。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCandlestickSeries クラス

説明

データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。

各ローソク足の垂直線の上部と下部は、データ ポイントの高値と安値を示しています。一方、塗りつぶされたボックスの上部と下部は始値と終値を示しています。 ローソク足の塗りつぶされ方は、データ ポイントの終値が始値よりも高いかどうかによって異なります。

継承階層

  • FlexHLOCSeriesBase
    • FlexCandlestickSeries

構文

'Declaration
Public Class FlexCandlestickSeries _
Inherits FlexHLOCSeriesBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
columnWidthRatio | カテゴリ幅に相対的な要素の幅。 (FlexHLOCSeriesBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxColumnWidth | 要素の幅（ピクセル単位）。 (FlexHLOCSeriesBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 要素の x 軸の位置を決定するデータ プロバイダーのフィールド。 (FlexHLOCSeriesBase から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCanvas クラス

説明

Canvas レイアウト コンテナーは、子コンテナーおよびコントロールを配置する矩形領域を定義します。 このコンテナーは、その内部における子の位置を、各子の x および y プロパティを使用して明示的に指定できる唯一のコンテナーです。

Canvas レイアウト コンテナーの子は、それぞれの推奨されている幅および高さに設定されます。 子の width プロパティを固定ピクセル値またはコンテナー サイズのパーセント値に設定することにより、その子の推奨幅の値をオーバーライドできます。 推奨高さも同様の方法で設定できます。

Canvas コンテナー内でパーセントによるサイズ指定を使用している場合、コンポーネントの一部が重なり合う場合があります。 これが期待する状況でない場合は、コンポーネントの位置とサイズを慎重に計画してください。

継承階層

  • FlexContainer
    • FlexCanvas

構文

'Declaration
Public Class FlexCanvas _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCartesianChart クラス

説明

一般的なグラフ タイプの基本クラスです。 CartesianChart は、標準的な長方形の 2 次元グラフの基本的なレイアウト動作を定義します。

継承階層

  • FlexChart
    • FlexCartesianChart
      • FlexAreaChart
      • FlexBarChart
      • FlexBubbleChart
      • FlexCandlestickChart
      • FlexColumnChart
      • FlexHLOCChart
      • FlexLineChart
      • FlexPlotChart

構文

'Declaration
Public Class FlexCartesianChart _
Inherits FlexChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexChart クラス

説明

Flex コンポーネント アーキテクチャと DualStyleObject アーキテクチャの間のリンクです。 ChartBase クラスは Flex UIComponent の基本クラスを拡張しますが、DualStyleObject の各クラスは ChartBase クラスに含まれています。

通常、ChartBase クラスを直接使用することはありません。 代わりに、そのサブクラス（PlotChart または BubbleChart など）の 1 つを使用します。 このクラスは、mx.charts パッケージで提供される一般的なグラフ タイプの基本クラスとして機能します。

このクラスは、フレームワークの一般的な機能に簡単にアクセスするための CSS スタイルおよび CSS プロパティの数を定義します。

グラフの最小サイズは 20 × 20 ピクセルです。 グラフの最大サイズに制限はありません。 グラフの推奨サイズは 400 × 400 ピクセルです。

継承階層

  • FlexObject
    • FlexChart
      • FlexCartesianChart
      • FlexPieChart

構文

'Declaration
Public Class FlexChart _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。
description | グラフのデータの簡単な説明。
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。
selectionMode | ChartItem オブジェクトが選択できるかどうか。
showDataTips | グラフの DataTip コントロールが表示されるかどうか。
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexChartLegend クラス

説明

グラフに凡例を追加できます。凡例にはグラフ内の各データ系列のラベルや、データ系列のグラフ要素を示すキーが表示されます。

継承階層

  • FlexObject
    • FlexChartLegend

構文

'Declaration
Public Class FlexChartLegend _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | 凡例要素の隣に表示するテキスト。
labelPlacement | 凡例要素のラベルの配置。 有効な阿多灰、top、bottom、right、および left です。
lastVisibleRow | 最後の可視の子のインデックス。
markerAspectRatio | この凡例項目に関連付けられたマーカーのアスペクト比。
markerHeight | 凡例要素の高さ。
markerWidth | 凡例要素の幅。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalGap | 子同士の垂直方向の間隔を示すピクセル数。 デフォルト値はコンポーネントのクラスに応じて異なります。クラスでオーバーライドされない場合のデフォルト値は 6 です。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LegendItemClick | ユーザーが Legend コントロール内の LegendItem をクリックしたときにディスパッチされます。ユーザーが凡例項目の上でマウス ボタンをクリックしたことを示します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexChartSeries クラス

説明

グラフ コントロールのデータ系列を指定するクラスの基本クラスです。

Series クラスのサブクラスは、関連付けられたグラフ コントロールと共に使用します。 Series クラスを使用すると、データ系列に関連するグラフ要素の塗りつぶしパターンや線の属性を指定できます。

継承階層

  • FlexObject
    • FlexChartSeries
      • FlexAreaSeries
      • FlexBarSeries
      • FlexBubbleSeries
      • FlexColumnSeries
      • FlexHLOCSeriesBase
      • FlexLineSeries
      • FlexPieSeries
      • FlexPlotSeries

構文

'Declaration
Public Class FlexChartSeries _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。
selectedItem | 系列内で選択されたグラフ項目。
selectedItems | 系列内で選択されたグラフ項目の配列。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCheckBox クラス

説明

CheckBox コントロールは、オプションのラベルと、チェック マークの表示と非表示の状態を保持する小さなボックスから構成されます。

オプションのテキスト ラベルは、CheckBox の左、右、上、または下に配置できます。 ユーザーが CheckBox コントロールまたは対応するテキストをクリックすると、チェック マークが表示された状態から表示されていない状態へ、またはチェック マークが表示されていない状態から表示された状態へ変化します。 CheckBox コントロールは、相互排他的でない一連のブール値（true または false）を収集します。

継承階層

  • FlexButton
    • FlexCheckBox

構文

'Declaration
Public Class FlexCheckBox _
Inherits FlexButton

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。 (FlexButton から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexButton から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexButton から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexButton から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexButton から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexButton から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexButton から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexButton から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexButton から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | Button コントロールに表示されるテキスト。 (FlexButton から継承されました)
labelPlacement | 指定されたアイコンを基準にしたラベルの向き。 (FlexButton から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | トグルボタンがオン（true）またはオフ（false）のどちらであるか。 (FlexButton から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexButton から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexButton から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexButton から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexButton から継承されました)
textSelectedColor | ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。 (FlexButton から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toggle | Button を toggle 状態にするかどうか。 (FlexButton から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexColorPicker クラス

説明

ユーザーが色見本リストから色を選択する手段を提供します。

コンポーネントのデフォルトのモードでは、正方形のボタンに単一の色見本が表示されます。 ユーザーが色見本のボタンをクリックすると、色見本パネルが開き、色見本リスト全体が表示されます。

継承階層

  • FlexComboBase
    • FlexColorPicker

構文

'Declaration
Public Class FlexColorPicker _
Inherits FlexComboBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 (FlexComboBase から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexComboBase から継承されました)
backgroundImage | コンポーネントの背景画像。 (FlexComboBase から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexComboBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 (FlexComboBase から継承されました)
columnCount | 色見本グリッドの列の数。 デフォルト値は 20 です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合の背景色。 (FlexComboBase から継承されました)
dropShadowEnabled | ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexComboBase から継承されました)
editable | コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。 (FlexComboBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexComboBase から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexComboBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexComboBase から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexComboBase から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexComboBase から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexComboBase から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
highlightColor | ドロップダウン リストのハイライト色。 (FlexComboBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。 (FlexComboBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedColor | SwatchPanel オブジェクト内で現在選択されている色の値。
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexComboBase から継承されました)
showTextField | カラー ラベルまたは 16 進数のカラー値を示すテキスト ボックスを表示するかどうか。 デフォルト値は true です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | テキスト フィールドの内容。 (FlexComboBase から継承されました)
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。 (FlexComboBase から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexComboBase から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexComboBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として選択した色が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | close イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。 (FlexComboBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | open イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
SelectText | テキスト フィールド内の選択範囲を追跡します。 (FlexComboBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexComboBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexColumnChart クラス

説明

データ内の値によって高さが決まる一連の縦棒でデータを表します。

ColumnChart を使用すると、単純縦棒グラフ、集合縦棒グラフ、積み上げ縦棒グラフ、構成比縦棒グラフ、高低縦棒グラフなど、各種の縦棒グラフを表すことができます。

継承階層

  • FlexCartesianChart
    • FlexColumnChart

構文

'Declaration
Public Class FlexColumnChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
columnWidthRatio | 縦棒グラフを描く際のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maxColumnWidth | 描画する縦棒の幅（ピクセル単位）。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexColumnSeries クラス

説明

ColumnChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexColumnSeries

構文

'Declaration
Public Class FlexColumnSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
columnWidthRatio | カテゴリ幅に相対的な縦棒グラフの幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxColumnWidth | 縦棒の幅（ピクセル単位）。
minField | 縦棒下端の y 軸の位置を決定するデータ プロバイダーのフィールド。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
offset | 使用可能な領域の中心から縦棒の中心をずらす度合い（カテゴリの幅に対する割合）。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
sortOnXField | レンダリングの前に縦棒を左から右にソートするかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 縦棒の x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 縦棒上端の y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexComboBase クラス

説明

テキストを表示するフィールドのほか、ユーザーが選択するテキストを表示するドロップダウン リストを表示するためのボタンを持つコントロールの基本クラスです。

継承階層

  • FlexObject
    • FlexComboBase
      • FlexColorPicker
      • FlexComboBox
      • FlexDateField

構文

'Declaration
Public Class FlexComboBase _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。
backgroundColor | コンポーネントの背景色。
backgroundImage | コンポーネントの背景画像。
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合の背景色。
dropShadowEnabled | ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。
editable | コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。
fillColors | コントロールの背景を濃淡色化するのに使用する色。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
highlightColor | ドロップダウン リストのハイライト色。
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | テキスト フィールドの内容。
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | close イベントのイベント オブジェクトの type プロパティの値を定義します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | open イベントのイベント オブジェクトの type プロパティの値を定義します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。
SelectText | テキスト フィールド内の選択範囲を追跡します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexComboBox クラス

説明

ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。

ComboBox は編集可能にできます。この場合、リストに含まれないエントリを、ユーザーが ComboBox の TextInput 部分に入力できます。

継承階層

  • FlexComboBase
    • FlexComboBox

構文

'Declaration
Public Class FlexComboBox _
Inherits FlexComboBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | ドロップダウン リストの背景色の代替パターン配列。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 (FlexComboBase から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexComboBase から継承されました)
backgroundImage | コンポーネントの背景画像。 (FlexComboBase から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexComboBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 (FlexComboBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合の背景色。 (FlexComboBase から継承されました)
dropShadowEnabled | ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexComboBase から継承されました)
editable | コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。 (FlexComboBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexComboBase から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexComboBase から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexComboBase から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexComboBase から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexComboBase から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexComboBase から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
highlightColor | ドロップダウン リストのハイライト色。 (FlexComboBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。 (FlexComboBase から継承されました)
rollOverColor | ドロップダウン リストの rollOverColor。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexComboBase から継承されました)
selectionColor | ドロップダウン リストの selectionColor。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | テキスト フィールドの内容。 (FlexComboBase から継承されました)
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。 (FlexComboBase から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexComboBase から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexComboBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | close イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。 (FlexComboBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | open イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
SelectText | テキスト フィールド内の選択範囲を追跡します。 (FlexComboBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexComboBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexContainer クラス

説明

コンポーネントの抽象基本クラスであり、子コンポーネントのレイアウト特性を制御します。

アプリケーションでは、Container のインスタンスを作成しません。 代わりに、Container のいずれかのサブクラス（Canvas や HBox など）のインスタンスを作成します。

Container クラスには、スクロール、切り取り、およびダイナミックなインスタンス化のためのロジックが含まれています。 また、子コンテナーを追加および削除するためのメソッドや、コンテナーの背景と境界を描画するためのロジックも含まれています。

継承階層

  • FlexObject
    • FlexContainer
      • FlexAccordion
      • FlexApplication
      • FlexBox
      • FlexCanvas
      • FlexForm
      • FlexFormItem
      • FlexPanel
      • FlexViewStack
      • FlexWindow

構文

'Declaration
Public Class FlexContainer _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。
backgroundColor | コンポーネントの背景色。
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
creationIndex | このコンテナーの子をインスタンス化および描画する順番。
creationPolicy | このコンテナーの子の作成ポリシー。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexContainerMovieClip クラス

説明

Adobe Flash CS3 Professional で Flex 用に作成するコンテナー コンポーネントは、mx.flash.ContainerMovieClip クラスのサブクラスになります。

ContainerMovieClip のサブクラスは、Flex コンテナーとして使用したり、子を保持したりできます。また、このサブクラスを使用すると、Flex コンポーネントと同じ方法で、イベントに対する応答、ビューの状態や遷移の定義およびエフェクトの操作を行うことができます。

Flash コンテナーは、1 つの Flex の子のみを保持できます。 ただし、この子は、別の子を追加できる Flex コンテナーにすることができます。

継承階層

  • FlexUIMovieClip
    • FlexContainerMovieClip

構文

'Declaration
Public Class FlexContainerMovieClip _
Inherits FlexUIMovieClip

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexUIMovieClip から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexUIMovieClip から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexUIMovieClip から継承されました)
className | "Button" のようなこのインスタンスのクラスの名前。 (FlexUIMovieClip から継承されました)
currentState | このコンポーネントの現在の状態。 (FlexUIMovieClip から継承されました)
enabled | ムービー クリップが有効かどうか。 (FlexUIMovieClip から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexUIMovieClip から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexUIMovieClip から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexUIMovieClip から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexUIMovieClip から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexUIMovieClip から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。 (FlexUIMovieClip から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。 (FlexUIMovieClip から継承されました)
scaleX | 基準点から適用されるオブジェクトの水平倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。 (FlexUIMovieClip から継承されました)
scaleY | オブジェクトの基準点から適用されるオブジェクトの垂直倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。 (FlexUIMovieClip から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexUIMovieClip から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexUIMovieClip から継承されました)
useHandCursor | buttonMode プロパティが true に設定されたスプライト上にポインターが移動したときに、指差しハンド ポインター（ハンド カーソル）を表示するかどうか。 (FlexUIMovieClip から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | keyFocusChange イベント オブジェクトの type プロパティの値を定義します。 (FlexUIMovieClip から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コンポーネントがフォーカスを受け取ったときに FocusManager によって呼ばれます。 コンポーネントはその内部のコンポーネントに順々にフォーカスを設定できます。 (FlexUIMovieClip から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDataGrid クラス

説明

DataGrid コントロールは、List コントロールに似ていますが、複数の列のデータを表示でき、複数のプロパティを持つオブジェクトの表示に適している点が異なります。

継承階層

  • FlexListBase
    • FlexDataGrid

構文

'Declaration
Public Class FlexDataGrid _
Inherits FlexListBase

プロパティ

名前 | 説明
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
editable | データ プロバイダーの項目を編集できるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
headerColors | ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。
headerStyleName | 列ヘッダーの他の外観要素を制御する CSS スタイル宣言の名前。 デフォルト値は dataGridStyles です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalGridLineColor | 水平グリッド線の色。
horizontalGridLines | 行の間に水平グリッド線を表示するかどうか。
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
minColumnWidth | 列の最小幅（ピクセル単位）。 NaN ではない場合、DataGrid コントロールではこの値がすべての列の最小幅として適用されます。 それ以外の場合は、個々の列に最小幅を指定できます。 デフォルト値は NaN です。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizableColumns | 列のサイズをユーザーが変更できるかどうか。
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
sortableColumns | ユーザーが列ヘッダー セルをクリックすることでデータ プロバイダー項目をソートできるかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
verticalGridLineColor | 垂直グリッド線の色。 デフォルト値は 0x666666 です。
verticalGridLines | 列の間に垂直グリッド線を表示するかどうか。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ColumnStretch | ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Edit | 項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HeaderClick | 列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。
HeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDateChooser クラス

説明

DateChooser コントロールは、月の名前、年、および月の各日を示すグリッドを表示し、そのグリッドの列ラベルとして曜日を表示します。

ユーザーはある日付、日付の範囲、または複数の日付を選択できます。 このコントロールには、月と年を前後に移動するための矢印ボタンがあります。

ユーザーが複数の日付を選択できるようにしたり、特定の日付を選択できないようにしたり、表示される日付を一定の範囲に制限したりすることができます。

継承階層

  • FlexObject
    • FlexDateChooser

構文

'Declaration
Public Class FlexDateChooser _
Inherits FlexObject

プロパティ

名前 | 説明
allowDisjointSelection | DateChooser コントロールで非連続した選択が許可されているかどうか。
allowMultipleSelection | DateChooser コントロールで複数選択が許可されているかどうか。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
disabledDays | 無効にする曜日。
disabledRanges | 無効にする 1 日または複数の日。
displayedMonth | DateChooser コントロールに表示される月。
displayedYear | DateChooser コントロールに表示される年。 デフォルト値は現在の年です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。
firstDayOfWeek | DateChooser コントロールの最初の列に表示される曜日を表す数値。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
headerColors | DateChooser コントロールの上部にある帯状の領域の色。 デフォルト値は [ 0xE6EEEE, 0xFFFFFF ] です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maxYear | コントロール内で選択可能な最後の年。
minYear | コントロール内で選択可能な最初の年。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | DateChooser コントロール内の日付にマウス ポインターを合わせたときの日付のハイライト領域の色。 デフォルト値は 0xE3FFD6 です。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedDate | DateChooser コントロールで選択された日付。
selectedRanges | 選択された日付の範囲。
selectionColor | DateChooser コントロールで現在選択されている日付のハイライト領域の色。 デフォルト値は 0xCDFFC1 です。
showToday | DataChooser コントロールで今日の日付がハイライトされているかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | テキストがボールド体かどうか。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
todayColor | DateChooser コントロールで今日の日付のハイライトの色。 デフォルト値は 0x2B333 です。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yearNavigationEnabled | 年ナビゲーションを有効かどうか。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | 日付が選択または変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollDate | DateChooserEvent.SCROLL 定数は、scrollevent イベントのイベント オブジェクトの type プロパティの値を定義します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDateField クラス

説明

右側にカレンダ アイコンを持った日付を表示するテキスト フィールドです。

ユーザーがこのコントロールの境界ボックス内をクリックすると、DateChooser コントロールがポップアップし、現在の日付の月に含まれる日が一覧表示されます。 日が選択されない場合、このテキスト フィールドは空になり、DateChooser コントロールには現在の日付の月が表示されます。

継承階層

  • FlexComboBase
    • FlexDateField

構文

'Declaration
Public Class FlexDateField _
Inherits FlexComboBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 (FlexComboBase から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexComboBase から継承されました)
backgroundImage | コンポーネントの背景画像。 (FlexComboBase から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexComboBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 (FlexComboBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合の背景色。 (FlexComboBase から継承されました)
disabledDays | 無効にする曜日。
disabledRanges | 無効にされた 1 日または複数の日。
displayedMonth | DateChooser コントロールに表示される月。
displayedYear | DateChooser コントロールに表示される年。
dropShadowEnabled | ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexComboBase から継承されました)
editable | コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。 (FlexComboBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexComboBase から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexComboBase から継承されました)
firstDayOfWeek | DateChooser コントロールの最初の列に表示する曜日（0-6、ここで 0 は dayNames 配列の最初の要素）。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexComboBase から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexComboBase から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexComboBase から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexComboBase から継承されました)
headerColors | DateChooser コントロールの上部にある帯状の領域の色。 デフォルト値は [ 0xE6EEEE, 0xFFFFFF ] です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
highlightColor | ドロップダウン リストのハイライト色。 (FlexComboBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maxYear | コントロール内で選択可能な最後の年。
minYear | コントロール内で選択可能な最初の年。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。 (FlexComboBase から継承されました)
rollOverColor | DateChooser コントロール内の日付にマウス ポインターを合わせたときの日付のハイライト領域の色。 デフォルト値は 0xE3FFD6 です。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedDate | DateChooser コントロールで選択された日付。
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexComboBase から継承されました)
showToday | DateChooser コントロールにハイライトされる日。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | テキスト フィールドの内容。 (FlexComboBase から継承されました)
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。 (FlexComboBase から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexComboBase から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexComboBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
todayColor | DateChooser コントロールで今日の日付のハイライトの色。 デフォルト値は 0x2B333 です。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yearNavigationEnabled | 年のナビゲーション用上下ボタンが利用可能かどうか。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | 日付が選択または変更され、DateChooser コントロールが閉じられたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | close イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。 (FlexComboBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | open イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
ScrollDate | DateChooserEvent.SCROLL 定数は、scrollevent イベントのイベント オブジェクトの type プロパティの値を定義します。
SelectText | テキスト フィールド内の選択範囲を追跡します。 (FlexComboBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexComboBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDisplayObject クラス

説明

表示リストに含めることのできるすべてのオブジェクトに関する基本クラスです。 表示リストは、Flash Player または Adobe AIR に表示されるすべてのオブジェクトを管理します。

継承階層

  • TestObject
    • FlexDisplayObject
      • FlexListLabel
      • FlexObject
      • FlexUIMovieClip

構文

'Declaration
Public Class FlexDisplayObject _
Inherits TestObject _
Implements IClickable, IKeyable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。
height | 表示オブジェクトの高さ（ピクセル単位）。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。
tabIndex | SWF ファイル内のオブジェクトのタブ順序。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。
width | 表示オブジェクトの幅（ピクセル単位）。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDividedBox クラス

説明

Box コンテナーと同じ方法で子を水平方向または垂直方向に測定して配置しますが、子の間にはドラッグ可能な仕切りが挿入されます。 ユーザーは、任意の側の仕切りをドラッグして子のサイズを変更できます。

DividedBox クラスは HDividedBox および VDividedBox クラスの基本クラスです。

継承階層

  • FlexBox
    • FlexDividedBox

構文

'Declaration
Public Class FlexDividedBox _
Inherits FlexBox

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeToContent | DividedBox が自動的に子のサイズに変更されるかどうか。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Dragged | ユーザーが分割線をドラッグするときに複数回ディスパッチされます。 dividerDrag イベントは、dividerPress イベントの後、および dividerRelease イベントの前にディスパッチされます。
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Pressed | ユーザーがこのコンテナーの分割線を押したときにディスパッチされます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Released | ユーザーが分割線を離したときにディスパッチされます。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexForm クラス

説明

フォームのレイアウトを制御し、フォーム フィールドが必須かオプションであるかを明示し、エラー メッセージを処理し、フォーム データを Flex データ モデルにバインドしてデータのチェックと検証を実行することができます。 また、スタイルシートを使用してフォームの外観を設定することもできます。

継承階層

  • FlexContainer
    • FlexForm

構文

'Declaration
Public Class FlexForm _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexFormItem クラス

説明

ラベル、および水平方向または垂直方向に配置されている子を定義します。 フォームの子には、コントロールやその他のコンテナーなどがあります。 1 つの Form コンテナーで複数の FormItem コンテナーを保持できます。

継承階層

  • FlexContainer
    • FlexFormItem

構文

'Declaration
Public Class FlexFormItem _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexHLOCChart クラス

説明

HLOCChart（高値、安値、始値、終値）コントロールは、データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。

各要素の垂直線の上端および下端が、データ ポイントの高値および安値になります。 右向きの目盛りが終値になり、始値を指定した場合には左向きの目盛りが始値になります。

継承階層

  • FlexCartesianChart
    • FlexHLOCChart

構文

'Declaration
Public Class FlexHLOCChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
columnWidthRatio | HLOC 線を描く際の水平軸のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maxColumnWidth | 描画する HLOC 線の幅（ピクセル単位）。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexHLOCSeries クラス

説明

データ系列の高値、安値、終値、および始値（オプション）などの財務データを一連の要素で示します。

各要素の垂直線の上端および下端が、データ ポイントの高値および安値になります。 右向きの目盛りが終値になり、始値を指定した場合には左向きの目盛りが始値になります。

継承階層

  • FlexHLOCSeriesBase
    • FlexHLOCSeries

構文

'Declaration
Public Class FlexHLOCSeries _
Inherits FlexHLOCSeriesBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
columnWidthRatio | カテゴリ幅に相対的な要素の幅。 (FlexHLOCSeriesBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxColumnWidth | 要素の幅（ピクセル単位）。 (FlexHLOCSeriesBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 要素の x 軸の位置を決定するデータ プロバイダーのフィールド。 (FlexHLOCSeriesBase から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexHLOCSeriesBase クラス

説明

データ系列の高値、安値、終値、および始値（オプション）などの財務データを一連の要素で示します。

各要素の垂直線の上端および下端が、データ ポイントの高値および安値になります。 右向きの目盛りが終値になり、始値を指定した場合には左向きの目盛りが始値になります。

継承階層

  • FlexChartSeries
    • FlexHLOCSeriesBase
      • FlexCandlestickSeries
      • FlexHLOCSeries

構文

'Declaration
Public Class FlexHLOCSeriesBase _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
columnWidthRatio | カテゴリ幅に相対的な要素の幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxColumnWidth | 要素の幅（ピクセル単位）。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 要素の x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexImage クラス

説明

実行時に、JPEG、PNG、GIF および SWF のファイルをインポートできます。

@Embed(source='filename') を使用して、これらのファイルと SVG ファイルをコンパイル時に埋め込むこともできます。

メモ： Flex には、Flex アプリケーションをロードする SWFLoader コントロールもあります。 静止グラフィック ファイルと SWF ファイルのロードには、通常 Image コントロールを使用し、Flex アプリケーションのロードには、SWFLoader コントロールを使用します。 Image コントロールは、カスタム項目レンダラと項目エディターでも使用できるように設計されています。

継承階層

  • FlexLoader
    • FlexImage

構文

'Declaration
Public Class FlexImage _
Inherits FlexLoader

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
source | コンテンツとしてロードする URL、オブジェクト、クラス、または暮らすの文字列名。 (FlexLoader から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLabel クラス

説明

編集できないテキストの単一行を表示します。

継承階層

  • FlexObject
    • FlexLabel

構文

'Declaration
Public Class FlexLabel _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
htmlText | Label コントロールによって表示されるテキスト（そのテキストのスタイルを表現する HTML マークアップを含む）。
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコントロールで表示されるプレーン テキスト。 その外観は、この Label コントロールの CSS スタイルによって決定されます。
textAlign | コンテナー内のテキストの配置。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLineChart クラス

説明

連続する 1 本の線でつながれた点としてデータ系列を表します。

アイコンやシンボルを使用して線上の各データ ポイントを表すことも、アイコンなしの単純な線を表示することもできます。

継承階層

  • FlexCartesianChart
    • FlexLineChart

構文

'Declaration
Public Class FlexLineChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLineSeries クラス

説明

LineChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexLineSeries

構文

'Declaration
Public Class FlexLineSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
form | グラフの線のタイプ。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
radius | データ ポイントのグラフ要素の半径（ピクセル単位）。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
sortOnXField | レンダリングの前に線データポイントを左から右にソートするかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLinkBar クラス

説明

一連のリンク先を指定する LinkButton コントロールの水平方向または垂直方向の行を定義します。

LinkBar コントロールは通常、ViewStack コンテナーのアクティブな子コンテナーを制御するため、またはリンクの単独のセットを作成するために使用します。

継承階層

  • FlexNavigationBar
    • FlexLinkBar

構文

'Declaration
Public Class FlexLinkBar _
Inherits FlexNavigationBar

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。 (FlexNavigationBar から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexNavigationBar から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexNavigationBar から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexList クラス

説明

項目のリストを水平方向、垂直方向、またはタイル状に並べて表示します。

継承階層

  • FlexListBase
    • FlexList
      • FlexTree

構文

'Declaration
Public Class FlexList _
Inherits FlexListBase

プロパティ

名前 | 説明
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Edit | 項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexListBase クラス

説明

ListBase クラスは、項目のリストを表すコントロールの基本クラスです。項目リストでは、1 つまたは複数の項目を選択したり、項目をスクロールしたりできます。

項目は、dataProvider プロパティを使用して指定され、項目レンダラによって表示されます。

モデル/ビュー アーキテクチャでは、ListBase から派生したクラスはビューを表し、dataProvider オブジェクトはモデルを表します。

継承階層

  • FlexScrollBase
    • FlexListBase
      • FlexAdvancedDataGrid
      • FlexDataGrid
      • FlexList

構文

'Declaration
Public Class FlexListBase _
Inherits FlexScrollBase

プロパティ

名前 | 説明
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。
columnNames | データ内のすべての列の名前を含むリスト。
columnWidth | コントロールの列の幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。
lastVisibleRow | 最後の可視の子のインデックス。
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。
lockedRowCount | スクロールするコントロールの最初の行のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。
rowCount | 表示する行の数。
rowHeight | 行の高さ（ピクセル単位）。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。
selectedIndex | データ プロバイダー内で選択された項目のインデックス。
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。
selectedItem | データ プロバイダー内で選択された項目への参照。
selectedItems | データ プロバイダーで選択された項目への参照の配列。
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。
verticalAlign | 行のレンダラの垂直方向の配置。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexListLabel クラス

説明

コントロールのデフォルトの項目レンダラを定義します。 デフォルトでは、項目レンダラはリスト中の各項目に関連付けられたテキストとオプションでアイコンを描画します。

継承階層

  • FlexDisplayObject
    • FlexListLabel

構文

'Declaration
Public Class FlexListLabel _
Inherits FlexDisplayObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。
automationName | このオブジェクトの識別子として使用することのできる名前。
automationValue | オブジェクトのレンダリング表示に対応する値。また、アプリケーションでの視覚表示と同じにするために、識別子とオブジェクトを関連付けるのに使用できます。
className | "Button" のようなこのインスタンスのクラスの名前。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLoader クラス

説明

指定した SWF ファイルをロードし表示します。 通常、ある Flex アプリケーションをホストする Flex アプリケーションにロードする場合に SWFLoader を使用します。

継承階層

  • FlexObject
    • FlexLoader
      • FlexImage

構文

'Declaration
Public Class FlexLoader _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
source | コンテンツとしてロードする URL、オブジェクト、クラス、または暮らすの文字列名。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexMenu クラス

説明

大部分のソフトウェア アプリケーションに見られるファイル メニューや編集メニューのような、個別に選択可能な選択肢を含むポップアップ メニューを作成します。 ポップアップ メニューには、必要に応じて複数のサブメニューのレベルを設定できます。

継承階層

  • FlexObject
    • FlexMenu

構文

'Declaration
Public Class FlexMenu _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | メニューまたはサブメニューのメニュー項目に使用する背景色の代替パターン配列。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目の背景色。 デフォルト値は 0xB2E1FF です。
rowCount | 表示する行の数。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。
selectionColor | メニュー項目が選択されたときのメニュー項目の背景色。 デフォルト値は 0x7FCEFF です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目のテキスト色。 デフォルト値は 0x2B333C です。
textSelectedColor | メニュー項目が選択されたときのメニュー項目のテキスト色。 デフォルト値は 0x2B333C です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
Hide | メニューまたはサブメニューが閉じたときにディスパッチされます。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニュー項目が選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Show | メニューまたはサブメニューが開いたときにディスパッチされます。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexMenuBar クラス

説明

1 つ以上のメニューを含む水平な最上位メニュー バーを定義します。 最上位メニュー項目をクリックすると、Menu コントロールのインスタンスであるポップアップ サブメニューが開きます。

継承階層

  • FlexObject
    • FlexMenuBar

構文

'Declaration
Public Class FlexMenuBar _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundColor | コンポーネントの背景色。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このオブジェクトの子の数。
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目の背景色。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 現在開いている Menu、または現在開いている Menu がない場合は最後に開いていた Menu の MenuBar コントロールのインデックス。
selectionColor | メニュー項目が選択されたときのメニュー項目の背景色。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
Hide | メニューまたはサブメニューが閉じたときにディスパッチされます。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Show | メニューまたはサブメニューが開いたときにディスパッチされます。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexNavigationBar クラス

説明

LinkBar コントロールや TabBar コントロールなどのナビゲーター コントロールに対するスーパークラスです。 このクラスは直接インスタンス化できません。

継承階層

  • FlexBox
    • FlexNavigationBar
      • FlexButtonBar
      • FlexLinkBar

構文

'Declaration
Public Class FlexNavigationBar _
Inherits FlexBox

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexNumericStepper クラス

説明

順序化された集合から数値を選択することができます。

NumericStepper コントロールは、単一行のテキスト入力フィールドと、使用できる値を増減するための 2 つの矢印ボタンから構成されます。 上矢印キーと下矢印キーを使用して増減する値を循環させることもできます。

継承階層

  • FlexObject
    • FlexNumericStepper

構文

'Declaration
Public Class FlexNumericStepper _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。 有効な値は、normal および bold です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | NumericStepper の最大値。
minimum | NumericStepper の最小値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
nextValue | value プロパティの現在値の 1 つ後の値。maximum プロパティの値より大きくなることはありません。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
previousValue | value プロパティの現在値の 1 つ前の値。maximum プロパティの値より小さくなることはありません。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
stepSize | 値間の 0 でない変化単位。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。
textDecoration | テキストに下線を表示するかどうか。 有効な値は none と underline です。 デフォルト値は none です。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | NumericStepper コントロールのテキスト領域に表示される値。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキスト フィールド内の選択範囲を追跡します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexObject クラス

説明

対話型と非対話型の両方のすべてのビジュアル コンポーネントの基本クラスです。

継承階層

  • FlexDisplayObject
    • FlexObject
      • FlexAxisRenderer
      • FlexButton
      • FlexChart
      • FlexChartLegend
      • FlexChartSeries
      • FlexComboBase
      • FlexContainer
      • FlexDateChooser
      • FlexLabel
      • FlexLoader
      • FlexMenu
      • FlexMenuBar
      • FlexNumericStepper
      • FlexProgressBar
      • FlexRule
      • FlexScrollBar
      • FlexScrollBase
      • FlexSlider
      • FlexVideoDisplay
      • SparkDataGridLabel
      • SparkGroupBase
      • SparkObject
      • SparkPopUpAnchor
      • SparkTextBase
      • SparkVideoDisplay

構文

'Declaration
Public Class FlexObject _
Inherits FlexDisplayObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。
automationName | このオブジェクトの識別子として使用することのできる名前。
className | Button のようなこのインスタンスのクラスの名前。
currentState | コンポーネントの現在の表示状態。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。
scaleX | 水平方向の倍率を指定する係数。
scaleY | 垂直方向の倍率を指定する係数。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexOLAPDataGrid クラス

説明

AdvancedDataGrid コントロールの機能を拡張したもので、OLAP クエリの結果表示のサポートが追加されています。

すべての Flex データ グリッド コントロールと同様、OLAPDataGrid はデータを行と列の 2 次元で表現するように設計されています。

継承階層

  • FlexAdvancedDataGrid
    • FlexOLAPDataGrid

構文

'Declaration
Public Class FlexOLAPDataGrid _
Inherits FlexAdvancedDataGrid

プロパティ

名前 | 説明
allowDragSelection | ドラッグによる選択が有効かどうか。 通常の選択では、選択する項目上にマウスを移動させてもマウス ボタンを押すことはできませんが、ドラッグによる選択では、項目にドラッグすることによって、その項目を選択できます。 (FlexAdvancedDataGrid から継承されました)
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
defaultCellString | IOLAPResult インスタンスから返されたセルのデータが Nothing または NaN の場合に、そのセルに表示される文字列。
depthColors | AdvancedDataGrid コントロールのナビゲーション ツリーの各レベルの行で使用する色の配列（降順）。 デフォルト値は未定義です。 (FlexAdvancedDataGrid から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 (FlexAdvancedDataGrid から継承されました)
displayItemsExpanded | ナビゲーション ツリーが展開されてすべての項目が表示されているかどうか。 (FlexAdvancedDataGrid から継承されました)
editable | データ プロバイダーの項目を編集できるかどうか。 (FlexAdvancedDataGrid から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
headerColors | ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。 (FlexAdvancedDataGrid から継承されました)
headerHeight | 列のヘッダー セルの高さ（ピクセル単位）。 (FlexAdvancedDataGrid から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalGridLineColor | 水平グリッド線の色。 (FlexAdvancedDataGrid から継承されました)
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
indentation | ナビゲーション ツリーの各ノードのインデント（ピクセル単位）。 デフォルト値は 17 です。 (FlexAdvancedDataGrid から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
minColumnWidth | 列の最小幅（ピクセル単位）。 (FlexAdvancedDataGrid から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
openDuration | ナビゲーション ツリーの開いた状態や閉じた状態への遷移にかかる時間の長さ（ミリ秒単位）。 デフォルト値は 250 です。 (FlexAdvancedDataGrid から継承されました)
paddingBottom | 行の下端と行内のレンダラの下端との間のピクセル数。 (FlexAdvancedDataGrid から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexAdvancedDataGrid から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexAdvancedDataGrid から継承されました)
paddingTop | 行の上端と行内のレンダラの上端との間のピクセル数。 (FlexAdvancedDataGrid から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizableColumns | 列のサイズをユーザーが変更できるかどうか。 (FlexAdvancedDataGrid から継承されました)
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedCells | 行インデックスおよび列インデックスとしてセル位置の配列。 (FlexAdvancedDataGrid から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
selectionMode | コントロールの選択モード。 (FlexAdvancedDataGrid から継承されました)
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
verticalGridLineColor | 垂直グリッド線の色。 デフォルト値は 0x666666 です。 (FlexAdvancedDataGrid から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | AdvancedDataGrid の分岐を閉じるまたは折りたたみます。 (FlexAdvancedDataGrid から継承されました)
ColumnGroupedADGHeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。 (FlexAdvancedDataGrid から継承されました)
ColumnStretch | ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。 (FlexAdvancedDataGrid から継承されました)
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellData | グリッド内のセルのデータを返します。 (FlexAdvancedDataGrid から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetGroupedItemChildrenCount | グループの最初の項目内にある子の数を返します。 (FlexAdvancedDataGrid から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetRowData | データ プロバイダーの項目の行のデータを返します。 (FlexAdvancedDataGrid から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HeaderClick | 列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。 (FlexAdvancedDataGrid から継承されました)
HeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。 (FlexAdvancedDataGrid から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsGroupedItem | 項目がグループのメンバーかどうかを指定する値を返します。 (FlexAdvancedDataGrid から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Open | AdvancedDataGrid の分岐を開くまたは展開します。 (FlexAdvancedDataGrid から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPanel クラス

説明

タイトル バー、キャプション、境界線、および子のコンテンツ領域から構成されています。

通常、Panel コンテナーは最上位のアプリケーション モジュールをラップするために使用します。 例えば、Panel コンテナーにショッピング カートを含めることもできます。

継承階層

  • FlexContainer
    • FlexPanel
      • FlexAlert
      • FlexTitleWindow

構文

'Declaration
Public Class FlexPanel _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dropShadowEnabled | Panel コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
footerColors | フッター（ControlBar コンテナーの領域）の背景の描画に使用される 2 色の配列。
headerColors | ヘッダーを描画するために使用する 2 色の配列。
headerHeight | ヘッダーの高さ。 デフォルト値はタイトル テキストのスタイルに基づいて計算されます。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
status | タイトル バーのステータス領域に表示されるテキスト。 デフォルト値は "" です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。 デフォルト値は "" です。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPieChart クラス

説明

標準的な円グラフでデータ系列を表します。

円グラフ内の各区分の大きさは、データ プロバイダーのデータにより、他の区分との関連で決定されます。 PieSeries クラスを使用すると、標準的な円グラフ、ドーナツ グラフ、および積み上げ円グラフを作成できます。

継承階層

  • FlexChart
    • FlexPieChart

構文

'Declaration
Public Class FlexPieChart _
Inherits FlexChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
innerRadius | 円グラフの中心の空洞のサイズ。
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPieSeries クラス

説明

PieChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexPieSeries

構文

'Declaration
Public Class FlexPieSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
calloutGap | 引き出し線をレンダリングする際に円グラフの縁とラベルの間にどの程度のスペースが挿入されるか。 デフォルト値は 10 です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
explodeRadius | 0 から 1 までの数値。円系列の全区分をグラフの中心からどのくらい分離するかを全半径のパーセンテージで指定します。
field | PieChart コントロールの各区分のデータを決定するデータ プロバイダーのフィールド。 デフォルト値は Nothing です。
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontSize | テキストの高さ（ピクセル単位）。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
innerRadius | 系列の中心からレンダリング済み区分の内側エッジまでの距離を、系列に割り当てられた全半径のパーセンテージで指定する、0 ? 1 の数。
insideLabelSizeLimit | フォントサイズのしきい値（ポイント）。これ以下のサイズの内部ラベルは判読不能と見なされます。
labelPosition | 値のラベルのレンダリング方法。
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxLabelRadius | ラベルに割り当て可能な PieSeries の半径の最大値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
nameField | PieChart コントロールの各区分の名前を決定するデータ プロバイダーのフィールド。 デフォルト値は Nothing です。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
outerRadius | 領域全体のうち PieSeries が系列の内容をレンダリングする場合に使用可能な領域の割合。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
startAngle | PieChart コントロールの最初の区分の開始角度。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPlotChart クラス

説明

各データ ポイントにつき 2 つの値でデータを表します。 1 つの値は水平方向の軸に沿ったデータ ポイントの位置を、もう 1 つの値は垂直方向の軸に沿った位置を決定します。

継承階層

  • FlexCartesianChart
    • FlexPlotChart

構文

'Declaration
Public Class FlexPlotChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPlotSeries クラス

説明

PlotChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexPlotSeries

構文

'Declaration
Public Class FlexPlotSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
radius | 半径のスタイル
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPopUpButton クラス

説明

PopUpButton コントロールは、Button コントロールにポップアップ コントロールのインターフェイスを追加します。 メイン ボタンとポップアップ ボタンと呼ばれる小さなボタンを持ち、ユーザーがポップアップ ボタンをクリックすると、任意の UIComponent オブジェクトをポップアップします。

PopUpButton コントロールには、テキスト ラベル、アイコンのいずれか、または両方を表示できます。 PopUpButton コントロールのメイン ボタンをユーザーがクリックすると、click イベントがディスパッチされます。

PopUpButton コントロールの一般的な使用法の 1 つとして、ポップアップ ボタンで、メイン ボタンの機能やラベルを変更する List コントロールや Menu コントロールを開くことが挙げられます。

継承階層

  • FlexButton
    • FlexPopUpButton

構文

'Declaration
Public Class FlexPopUpButton _
Inherits FlexButton

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。 (FlexButton から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexButton から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexButton から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexButton から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexButton から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexButton から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexButton から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexButton から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexButton から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | Button コントロールに表示されるテキスト。 (FlexButton から継承されました)
labelPlacement | 指定されたアイコンを基準にしたラベルの向き。 (FlexButton から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | トグルボタンがオン（true）またはオフ（false）のどちらであるか。 (FlexButton から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexButton から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexButton から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexButton から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexButton から継承されました)
textSelectedColor | ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。 (FlexButton から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toggle | Button を toggle 状態にするかどうか。 (FlexButton から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | 指定した UIComponent が閉じるときにディスパッチされます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | 指定した UIComponent が開くときにディスパッチされます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexProgressBar クラス

説明

ProgressBar コントロールは、時間の経過に伴うタスクの進捗状況を視覚的に表示します。 ProgressBar コントロールには、確定モードと不確定モードの 2 つの種類があります。

確定モードの ProgressBar コントロールは、時間の経過に伴うタスクの進捗状況を直線的に表示します。 タスクの範囲がわかっている場合は、確定モードの ProgressBar を使用します。 タスクの終了までユーザーが長時間待たなければならないときに表示します。

不確定モードの ProgressBar コントロールは、範囲が不明な時間ベースのプロセスを表示します。 処理の規模が明らかな場合は、確定モードの ProgressBar コントロールを使用することをお勧めします。

継承階層

  • FlexObject
    • FlexProgressBar

構文

'Declaration
Public Class FlexProgressBar _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
barColor | ProgressBar の色。
borderColor | 3D 境界線の黒セクションまたは 2D 境界線の色セクション。 デフォルト値は 0xB7BABC です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
conversion | 読み込んだ値の現在のバイト数と合計バイト数を変換するために使用する数値。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | タスクの完了に向かって ProgressBar が伸びていく方向。 MXML での有効な値は "right" と "left" です。
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
indeterminate | ProgressBar コントロールの外観が確定モードか不確定モードか。
label | 進捗バーの近くに表示するテキスト。
labelPlacement | ラベルの配置位置。
labelWidth | ラベルの幅（ピクセル単位）。
maximum | ProgressBar の最大進捗量を示す値。 このプロパティは手動モードでのみ使用できます。
minimum | ProgressBar の最小進捗量を示す値。 このプロパティは、開発者が手動モードでのみ設定します。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentComplete | 完了した処理のパーセンテージ。 0 から 100 の範囲の値です。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | 最小値と最大値の間で進行した進捗量。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexRadioButton クラス

説明

RadioButton コントロールを使用すると、一連の相互排他的な選択肢の中から 1 つだけをユーザーに選択させることができます。

継承階層

  • FlexButton
    • FlexRadioButton

構文

'Declaration
Public Class FlexRadioButton _
Inherits FlexButton

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。 (FlexButton から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexButton から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexButton から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexButton から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexButton から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexButton から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexButton から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexButton から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexButton から継承されました)
groupName | この RadioButton コントロールが属するグループの名前。または、この RadioButton が RadioButtonGroup コントロールによって定義されたグループの一部の場合は、RadioButtonGroup コントロールの id プロパティの値を指定します。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | Button コントロールに表示されるテキスト。 (FlexButton から継承されました)
labelPlacement | 指定されたアイコンを基準にしたラベルの向き。 (FlexButton から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | トグルボタンがオン（true）またはオフ（false）のどちらであるか。 (FlexButton から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexButton から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexButton から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexButton から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexButton から継承されました)
textSelectedColor | ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。 (FlexButton から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toggle | Button を toggle 状態にするかどうか。 (FlexButton から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexRepeater クラス

説明

リピータ コントロールを識別し、そのサブコンポーネントの複数のインスタンスを作成します。

継承階層

  • TestObject
    • FlexRepeater

構文

'Declaration
Public Class FlexRepeater _
Inherits TestObject _
Implements IClickable, IKeyable

プロパティ

名前 | 説明
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。
automationName | このオブジェクトの識別子として使用することのできる名前。
className | コントロールの開発者によって割り当てられた、要素のクラス名を含んだ文字列。
columnNames | データ内のすべての列の名前を含むリスト。
count | この Repeater が実行される回数。
firstVisibleRow | 最初の可視の子のインデックス。
id | 要素に対するオートメーション識別子（ID）を含んだ文字列。
lastVisibleRow | 最後の可視の子のインデックス。
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
recycleChildren | この Repeater が前に作成した子を再使用するのか、新しい子を作成するのかどうか。
startingIndex | この Repeater が子の作成を開始する dataProvider へのインデックス。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexRule クラス

説明

単一の水平方向または垂直方向の線を作成します。 通常、このコントロールはコンテナーの内部を分割する線を作成するために使用します。

継承階層

  • FlexObject
    • FlexRule

構文

'Declaration
Public Class FlexRule _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | 行の色。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
strokeWidth | 罫線の太さです（ピクセル単位）。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexScrollBar クラス

説明

表示領域に対してデータが多すぎる場合に表示するデータの部分を制御するために使用します。

継承階層

  • FlexObject
    • FlexScrollBar

構文

'Declaration
Public Class FlexScrollBar _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lineScrollSize | 矢印ボタンが押されたときにスクロールする量（ピクセル単位）。 デフォルト値は 1 です。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
pageScrollSize | スクロール バーのトラックが押されたときのスクロール サムの移動量（ピクセル単位）。 デフォルト値は 0 です。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
scrollPosition | 現在のスクロール位置を表す数値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
trackColors | トラックの色（2 色の配列として）。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollBar コントロールがユーザーによる動作やプログラムによってスクロールされた場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexScrollBase クラス

説明

ScrollControlBase クラスは、スクロール バーを持つコントロールの基本クラスです。

スクロール バーはユーザーが操作し、表示可能領域を変更するメソッドおよびプロパティには開発者がアクセスします。 ScrollControlBase が持つ子オブジェクトは 1 つのみで、そのオブジェクトを配置およびマスクするか、またはサイズ変更して、表示可能なコンテンツを表示します。 スクロールするすべての項目は、このコンテンツ　オブジェクトの子であることが必要です。

継承階層

  • FlexObject
    • FlexScrollBase
      • FlexListBase
      • FlexTextArea
      • SparkAirHTML

構文

'Declaration
Public Class FlexScrollBase _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexSlider クラス

説明

スライダー トラックの両端の間でスライダー サムを移動することで値を選択できます。

スライダーの現在の値は、スライダーの最小値と最大値に対応するスライダーの両終点の間におけるサムの相対位置によって決定されます。

継承階層

  • FlexObject
    • FlexSlider

構文

'Declaration
Public Class FlexSlider _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipPrecision | データ ヒント テキストで使用する小数点以下の桁数。
direction | スライダー コントロールの向き。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labels | スライダーのラベルに使用する文字列の配列。
labelStyleName | スライダーのラベルに使用するスタイルの名前。 デフォルト値は未定義です。
liveDragging | スライダーのライブ ドラッグを有効にするかどうか。
maximum | スライダーに対して許可された最大値。 デフォルト値は 10 です。
minimum | スライダー コントロールに対して許可された最小値。 デフォルト値は 0 です。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showDataTip | ユーザーが操作している間、データ ヒントを表示するかどうか。
snapInterval | ユーザーがスライダー サムを移動したときの増分値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
thumbCount | スライダー上に配置できるサムの数。
tickColor | 目盛りの色。
tickLength | 目盛りの長さ（ピクセル単位）。
tickThickness | 目盛りの太さ（ピクセル単位）。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
trackColors | トラックの色（2 色の配列として）。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | サムの位置。これは、minimum プロパティと maximum プロパティの間の値です。
values | thumbCount が 1 より大きい場合に、各サムの値を格納する配列。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | マウスまたはキーボード操作によってスライダーの値が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexStandalonePlayer クラス

説明

Flex スタンドアロン プレイヤー。

継承階層

  • Window
    • FlexStandalonePlayer

構文

'Declaration
Public Class FlexStandalonePlayer _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexTabNavigator クラス

説明

子コンテナー間での移動のために TabBar コンテナーを取り込むことで、ViewStack コンテナーを拡張します。

継承階層

  • FlexViewStack
    • FlexTabNavigator

構文

'Declaration
Public Class FlexTabNavigator _
Inherits FlexViewStack

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | この TabNavigator コンテナーの上部にあるタブの水平位置。
horizontalGap | ピクセル単位で表したタブ間の間隔。 デフォルト値は -1 で、この場合、隣接するタブの境界線が重なります。
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChild | 現在表示されている子コンテナーへの参照。 (FlexViewStack から継承されました)
selectedIndex | 現在表示されている子コンテナーの 0 を基準としたインデックス。 (FlexViewStack から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabHeight | 各タブの高さ（ピクセル単位）。
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
tabWidth | 各タブの幅（ピクセル単位）。
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexViewStack から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexTextArea クラス

説明

複数行のテキストフィールドで、境界線とオプションのスクロールバーが含まれます。

TextArea コントロールは、Flash Player と AIR の HTML レンダリング機能をサポートします。

継承階層

  • FlexScrollBase
    • FlexTextArea

構文

'Declaration
Public Class FlexTextArea _
Inherits FlexScrollBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントの背景色。
displayAsPassword | このコントロールがパスワード入力用であるかどうか。
editable | このコントロールでテキストを編集できるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPolicy | 水平スクロール バーが表示されるかどうか（常に表示： ScrollPolicy.ON、常に非表示： ScrollPolicy.OFF、必要に応じて表示： ScrollPolicy.AUTO）。
htmlText | TextInput コントロールによって表示されるテキスト（そのテキストのスタイルを表現する HTML マークアップを含む）。
id | コンポーネントの ID。 (FlexObject から継承されました)
length | TextArea に表示されるテキストの文字数。
maxChars | テキスト フィールドにユーザーが入力できる最大文字数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがコントロールに入力できる文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectionBeginIndex | 現在の選択範囲の最初の文字を示す 0 を基準としたインデックス値。
selectionEndIndex | 現在の選択範囲の最後の文字の直後の位置を示す 0 を基準としたインデックス。つまり、最後の文字の位置を示す 1 を基準としたインデックスと同じです。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | コントロールに表示されるプレーン テキスト。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。
SelectText | テキスト フィールド内の選択範囲を追跡します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexTitleWindow クラス

説明

タイトル バー、キャプション、境界線、および子のコンテンツ領域から構成されています。

通常 TitleWindow コンテナーは、必要な機能をすべて備えたアプリケーション モジュールをラップするために使用します。 例えば、TitleWindow コンテナーにフォームを含めることができます。 TitleWindow コンテナーは、ユーザーがフォームへの入力を完了したら、プログラムによって閉じることも、ユーザーが閉じるボタンを押して閉じるようにすることもできます。

継承階層

  • FlexPanel
    • FlexTitleWindow

構文

'Declaration
Public Class FlexTitleWindow _
Inherits FlexPanel

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dropShadowEnabled | Panel コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexPanel から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
footerColors | フッター（ControlBar コンテナーの領域）の背景の描画に使用される 2 色の配列。 (FlexPanel から継承されました)
headerColors | ヘッダーを描画するために使用する 2 色の配列。 (FlexPanel から継承されました)
headerHeight | ヘッダーの高さ。 デフォルト値はタイトル テキストのスタイルに基づいて計算されます。 (FlexPanel から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showCloseButton | TitleWindow コンテナー内に閉じるボタンを表示するかどうか。 デフォルト値は false です。
status | タイトル バーのステータス領域に表示されるテキスト。 デフォルト値は "" です。 (FlexPanel から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。 デフォルト値は "" です。 (FlexPanel から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexToggleButtonBar クラス

説明

選択状態または選択解除状態を維持しているボタンが水平方向に並んだグループまたは垂直方向に並んだグループを定義します。

ToggleButtonBar コントロールで 1 つのボタンだけが選択状態になることができます。 つまり、ToggleButtonBar コントロールでいずれかのボタンを選択すると、別のボタンを選択するまでそのボタンは選択状態を維持します。

継承階層

  • FlexButtonBar
    • FlexToggleButtonBar

構文

'Declaration
Public Class FlexToggleButtonBar _
Inherits FlexButtonBar

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。 (FlexNavigationBar から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexNavigationBar から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexNavigationBar から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexTree クラス

説明

Tree コントロールを使用すると、展開可能なツリー形式で階層データを表示できます。

ツリー内の各項目はリーフかブランチのいずれかになります。 リーフ項目とは、ツリー内の各末端にあるノードです。 ブランチ項目とは、リーフ項目またはブランチ項目を含んだノードです。また、空になる場合もあります。

デフォルトでは、リーフは、ファイル アイコンの横のテキスト ラベルで表されます。 ブランチは、フォルダー アイコンの横のテキスト ラベルで表されます。ブランチにはユーザーが開いて子を表示できる展開用矢印が付いています。

継承階層

  • FlexList
    • FlexTree

構文

'Declaration
Public Class FlexTree _
Inherits FlexList

プロパティ

名前 | 説明
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
depthColors | Tree コントロールで使用する色の配列（降順）。 デフォルト値は未定義です。
disabledColor | リストの項目が無効な場合の色。 デフォルト値は 0xDDDDDD です。
editable | データ プロバイダーの項目を編集できるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
indentation | 各ツリー レベルのインデント（ピクセル単位）。 デフォルト値は 17 です。
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ツリーの分岐を閉じるまたは折りたたみます。
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Edit | 項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexList から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Open | ツリーの分岐を開くまたは展開します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexUIMovieClip クラス

説明

Adobe Flash CS3 Professional で Flex 用に作成するコンポーネントは、mx.flash.UIMovieClip クラスのサブクラスになります。

UIMovieClip クラスは、Flash コンポーネントを通常の Flex コンポーネントのように使用するために必要なインターフェイスを実装しています。 したがって、UIMovieClip のサブクラスは、Flex コンテナーの子として使用したり、スキンとして使用したりできます。また、このサブクラスを使用すると、Flex コンポーネントと同じ方法で、イベントに対する応答、ビューの状態や遷移の定義およびエフェクトの操作を行うことができます。

継承階層

  • FlexDisplayObject
    • FlexUIMovieClip
      • FlexContainerMovieClip

構文

'Declaration
Public Class FlexUIMovieClip _
Inherits FlexDisplayObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。
automationName | このオブジェクトの識別子として使用することのできる名前。
className | "Button" のようなこのインスタンスのクラスの名前。
currentState | このコンポーネントの現在の状態。
enabled | ムービー クリップが有効かどうか。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。
scaleX | 基準点から適用されるオブジェクトの水平倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。
scaleY | オブジェクトの基準点から適用されるオブジェクトの垂直倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。
useHandCursor | buttonMode プロパティが true に設定されたスプライト上にポインターが移動したときに、指差しハンド ポインター（ハンド カーソル）を表示するかどうか。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | keyFocusChange イベント オブジェクトの type プロパティの値を定義します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コンポーネントがフォーカスを受け取ったときに FocusManager によって呼ばれます。 コンポーネントはその内部のコンポーネントに順々にフォーカスを設定できます。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexVideoDisplay クラス

説明

Flex アプリケーションで FLV ファイルを再生できます。 HTTP を介したプログレッシブ ダウンロード、Flash Media Server からのストリーミング、および Camera オブジェクトからのストリーミングをサポートします。

継承階層

  • FlexObject
    • FlexVideoDisplay

構文

'Declaration
Public Class FlexVideoDisplay _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
source | ストリーミングする FLV ファイルの相対パスおよびファイル名。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
totalTime | メディアの全体の長さ（秒）。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
volume | ボリューム レベル。0 から 1 の範囲の値で指定します。 デフォルト値は 0.75 です。
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexViewStack クラス

説明

ViewStack ナビゲーターのコンテナーは、積み重ねられた一連の子コンテナーから成ります。子コンテナーは一度に 1 つのみ表示されます。 別の子コンテナーが選択されると、同じ場所に表示されるため、このコンテナーによって既存のコンテナーが置き換えられたように見えます。 ただし、それまでの子コンテナーもまだ存在しており、単に見えなくなっただけです。

継承階層

  • FlexContainer
    • FlexViewStack
      • FlexTabNavigator

構文

'Declaration
Public Class FlexViewStack _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChild | 現在表示されている子コンテナーへの参照。
selectedIndex | 現在表示されている子コンテナーの 0 を基準としたインデックス。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexWindow クラス

説明

Window は、AIR デスクトップ アプリケーションの追加ウィンドウに対する最上位のコンテナーです。

継承階層

  • FlexContainer
    • FlexWindow

構文

'Declaration
Public Class FlexWindow _
Inherits FlexContainer _
Implements IMoveable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alwaysInFront | 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
closed | 基になるウィンドウが閉じられているかどうかを示す値。
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isAIRWindow | このウィンドウが AIR ウィンドウかどうかを示す値。
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
maxHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。
maximizable | ウィンドウを最大化できるかどうかを示す値。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
minHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。
minimizable | ウィンドウを最小化できるかどうかを示す値。
minWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizable | ウィンドウをサイズ変更できるかどうかを示す値。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showStatusBar | ステータス バーが可視かどうかを示す値。
status | ステータス バーに表示される文字（表示されている場合）。
systemChrome | ウィンドウが持っているシステム クロム（存在する場合）のタイプ。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | ウィンドウのタイトル バーとタスク バーに表示されるタイトル。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
transparent | ウィンドウを透明にするかどうか。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (IMoveable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StateChange | ウィンドウの displaystatus が変更されたときにディスパッチされます。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexWindowedApplication クラス

説明

WindowedApplication は、AIR アプリケーション用の Flex アプリケーションを作成するために使用するアプリケーション コンテナーを定義します。

継承階層

  • FlexApplication
    • FlexWindowedApplication

構文

'Declaration
Public Class FlexWindowedApplication _
Inherits FlexApplication _
Implements IMoveable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alwaysInFront | 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。
applicationID | AIR がアプリケーションを識別するために使用する識別子。
autoExit | 最後のウィンドウを閉じたときに AIR アプリケーションが終了するか、バックグランドで実行を続けるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
closed | 基になるウィンドウが閉じられているかどうかを示す値。
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
maxHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。
maximizable | ウィンドウを最大化できるかどうかを示す値。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
minHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。
minimizable | ウィンドウを最小化できるかどうかを示す値。
minWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizable | ウィンドウをサイズ変更できるかどうかを示す値。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showStatusBar | ステータス バーが可視かどうかを示す値。
status | ステータス バーに表示される文字（表示されている場合）。
systemChrome | ウィンドウが持っているシステム クロム（存在する場合）のタイプ。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | ウィンドウのタイトル バーとタスク バーに表示されるタイトル。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
transparent | ウィンドウを透明にするかどうか。
url | このアプリケーションの SWF ファイルがロードされた URL。 (FlexApplication から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (IMoveable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkAirHTML クラス

説明

アプリケーションの HTML コンテンツを表示する HTML コントロール。

継承階層

  • FlexScrollBase
    • SparkAirHTML

構文

'Declaration
Public Class SparkAirHTML _
Inherits FlexScrollBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkApplication クラス

説明

Flex は、デフォルトのコンテナー（Application コンテナー）を定義するため、別のコンテナーを明示的に定義することなく、アプリケーションにコンテンツを追加することができます。

継承階層

  • SparkSkinnableContainer
    • SparkApplication
      • SparkWindowedApplication

構文

'Declaration
Public Class SparkApplication _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
colorCorrection | ステージの colorCorrection プロパティの値。
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
controlBarVisible | コントロール バーが可視かどうか。
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
url | このアプリケーションの SWF ファイルがロードされた URL。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
viewSourceURL | アプリケーションのソースを参照できる URL。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkBorderContainer クラス

説明

BorderContainer クラスは、コンテナーの境界線と背景の塗りつぶしの外観を制御する一連の CSS スタイルを定義します。

継承階層

  • SparkSkinnableContainer
    • SparkBorderContainer

構文

'Declaration
Public Class SparkBorderContainer _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkButton クラス

説明

SparkButton コンポーネントはきわめて使用頻度の高い四角形のボタンです。 SparkButton コンポーネントは、押すことができるような外観をしています。

継承階層

  • SparkButtonBase
    • SparkButton
      • SparkMuteButton

構文

'Declaration
Public Class SparkButton _
Inherits SparkButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
emphasized | フォーカス マネージャーによって要求さたとおりのデフォルト ボタンかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkButtonBar クラス

説明

ButtonBar コントロールは、共通の外観と操作性を持つ論理的に関連するボタンの水平または垂直方向のグループを定義します。

継承階層

  • SparkListBase
    • SparkButtonBar

構文

'Declaration
Public Class SparkButtonBar _
Inherits SparkListBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkButtonBarButton クラス

説明

ButtonBarButton クラスは、ButtonBar コントロールによって使用されるカスタム項目レンダラを定義します。

継承階層

  • SparkToggleButton
    • SparkButtonBarButton

構文

'Declaration
Public Class SparkButtonBarButton _
Inherits SparkToggleButton

プロパティ

名前 | 説明
allowDeselection | 現在選択したボタンをユーザーがクリックすると選択解除されるかどうかを示す値。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。 (SparkToggleButtonBase から継承されました)
showsCaret | 項目レンダラがそれ自身をフォーカスありとして表示できるかどうかを示す値。
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。 (SparkToggleButton から継承されました)
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。 (SparkToggleButton から継承されました)
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。 (SparkToggleButton から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkButtonBase クラス

説明

SparkButtonBase クラス はすべての Spark ボタン コンポーネントの基本クラスです。

継承階層

  • SparkObject
    • SparkButtonBase
      • SparkButton
      • SparkToggleButtonBase

構文

'Declaration
Public Class SparkButtonBase _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkCheckBox クラス

説明

CheckBox コンポーネントは、オプションのラベルと、チェック マークの表示と非表示の状態を保持する小さなボックスから構成されます。

継承階層

  • SparkToggleButtonBase
    • SparkCheckBox

構文

'Declaration
Public Class SparkCheckBox _
Inherits SparkToggleButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。 (SparkToggleButtonBase から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkComboBox クラス

説明

ComboBox コントロールは、DropDownListBase コントロールの子クラスです。 DropDownListBase コントロールと同様に、ComboBox コントロールのドロップダウン リストからユーザーが項目を選択すると、コントロールのプロンプト領域にデータ項目が表示されます。

継承階層

  • SparkDropDownListBase
    • SparkComboBox

構文

'Declaration
Public Class SparkComboBox _
Inherits SparkDropDownListBase

プロパティ

名前 | 説明
allowMultipleSelection | 複数選択が可能かどうか。 (SparkList から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragEnabled | このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。 (SparkList から継承されました)
dragMoveEnabled | ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。 (SparkList から継承されました)
dropEnabled | ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。 (SparkList から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isDropDownOpen | ドロップダウンが開いているかどうか。 (SparkDropDownListBase から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
maxChars | ユーザーが入力するときに、プロンプト領域に入る最大の文字数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
restrict | ユーザーがプロンプト領域に入力できる文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedIndices | 現在選択されている項目のインデックスを表すリスト。 (SparkList から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
selectedItems | 現在選択されている項目を表すオブジェクトのリスト。 (SparkList から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。 (SparkDropDownListBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。 (SparkList から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkComplexDisplay クラス

説明

複雑なレンダリング オブジェクトです。

継承階層

  • SparkListLabel
    • SparkComplexDisplay

構文

'Declaration
Public Class SparkComplexDisplay _
Inherits SparkListLabel

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
automationValue | この項目を一意に識別するのに使用できる値。 (SparkListLabel から継承されました)
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。 (SparkGroup から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragging | SparkListLabel がドラッグ モード中かどうかの値。 (SparkListLabel から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | SparkListLabel のラベル。 (SparkListLabel から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。 (SparkGroup から継承されました)
scaleGridLeft | スケール グリッドの左座標。 (SparkGroup から継承されました)
scaleGridRight | スケール グリッドの右座標。 (SparkGroup から継承されました)
scaleGridTop | スケール グリッドの上座標。 (SparkGroup から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | SparkListLabel が選択されているかどうか。 (SparkListLabel から継承されました)
showsCaret | キャレットが表示されるかどうか。 (SparkListLabel から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDataGrid クラス

説明

Spark DataGrid コントロールを識別します。

継承階層

  • SparkSkinnableContainerBase
    • SparkDataGrid

構文

'Declaration
Public Class SparkDataGrid _
Inherits SparkSkinnableContainerBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
columnsLength | 列の数。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rowHeight | 行の高さ。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedCell | 選択されているセル。
selectedCells | 選択されているセル。
selectedIndex | 選択されている行のインデックス。
selectedIndices | 選択されている行のインデックス。
selectedItem | 選択されている行の項目。
selectedItems | 選択されている行の項目。
selectionLength | 選択されている行の数。
selectionMode | 選択モード (singlerow、multiplerows、singlecells、または multiplecells)。
showDataTips | データ ヒントが表示されるかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ColumnStretch | データ グリッドの指定した列のサイズを変更します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
EditNext | 次のデータ グリッド セルを編集モードに設定します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HeaderClick | 指定した列ヘッダーをクリックします。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 指定したデータ グリッド セルを選択します
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDataGridLabel クラス

説明

Spark DataGridLabel コントロールを識別します。

継承階層

  • FlexObject
    • SparkDataGridLabel

構文

'Declaration
Public Class SparkDataGridLabel _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
automationValue | この項目を一意に識別するのに使用できる値。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDataGroup クラス

説明

DataGroup クラスはデータ項目の基本コンテナー クラスです。

継承階層

  • SparkGroupBase
    • SparkDataGroup

構文

'Declaration
Public Class SparkDataGroup _
Inherits SparkGroupBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
Select | 1 つ以上の項目がリストから選択解除されたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDataRenderer クラス

説明

SparkDataRenderer クラス は Spark のデータ コンポーネントの基本クラスです。

継承階層

  • SparkGroup
    • SparkDataRenderer
      • SparkListLabel

構文

'Declaration
Public Class SparkDataRenderer _
Inherits SparkGroup

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。 (SparkGroup から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。 (SparkGroup から継承されました)
scaleGridLeft | スケール グリッドの左座標。 (SparkGroup から継承されました)
scaleGridRight | スケール グリッドの右座標。 (SparkGroup から継承されました)
scaleGridTop | スケール グリッドの上座標。 (SparkGroup から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDropDownList クラス

説明

SparkDropDownList コントロールには、ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。

継承階層

  • SparkDropDownListBase
    • SparkDropDownList

構文

'Declaration
Public Class SparkDropDownList _
Inherits SparkDropDownListBase

プロパティ

名前 | 説明
allowMultipleSelection | 複数選択が可能かどうか。 (SparkList から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragEnabled | このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。 (SparkList から継承されました)
dragMoveEnabled | ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。 (SparkList から継承されました)
dropEnabled | ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。 (SparkList から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isDropDownOpen | ドロップダウンが開いているかどうか。 (SparkDropDownListBase から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
prompt | DropDownList コントロールのプロンプト。
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedIndices | 現在選択されている項目のインデックスを表すリスト。 (SparkList から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
selectedItems | 現在選択されている項目を表すオブジェクトのリスト。 (SparkList から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。 (SparkDropDownListBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。 (SparkList から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDropDownListBase クラス

説明

SparkDropDownListBase コントロールには、ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。

継承階層

  • SparkList
    • SparkDropDownListBase
      • SparkComboBox
      • SparkDropDownList

構文

'Declaration
Public Class SparkDropDownListBase _
Inherits SparkList

プロパティ

名前 | 説明
allowMultipleSelection | 複数選択が可能かどうか。 (SparkList から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragEnabled | このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。 (SparkList から継承されました)
dragMoveEnabled | ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。 (SparkList から継承されました)
dropEnabled | ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。 (SparkList から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isDropDownOpen | ドロップダウンが開いているかどうか。
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedIndices | 現在選択されている項目のインデックスを表すリスト。 (SparkList から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
selectedItems | 現在選択されている項目を表すオブジェクトのリスト。 (SparkList から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。 (SparkList から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkForm クラス

説明

Spark Form コントロールを識別します。

継承階層

  • SparkSkinnableContainer
    • SparkForm

構文

'Declaration
Public Class SparkForm _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkFormItem クラス

説明

Spark FormItem コントロールを識別します。

継承階層

  • SparkSkinnableContainer
    • SparkFormItem

構文

'Declaration
Public Class SparkFormItem _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | FormItem のテキスト ラベルです。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
required | FormItem がフォームを送信する値を持たなければならないかどうか。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
sequenceLabel | フォーム内のフォーム項目の数です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkGroup クラス

説明

視覚的な子である、ビジュアル コンポーネントとグラフィック コンポーネントの両方を管理する場合に、このコンテナーを使用します。

継承階層

  • SparkGroupBase
    • SparkGroup
      • SparkDataRenderer
      • SparkTileGroup

構文

'Declaration
Public Class SparkGroup _
Inherits SparkGroupBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。
scaleGridLeft | スケール グリッドの左座標。
scaleGridRight | スケール グリッドの右座標。
scaleGridTop | スケール グリッドの上座標。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkGroupBase クラス

説明

GroupBase クラス はビジュアル要素を表示するコンポーネントの基本クラスです。

継承階層

  • FlexObject
    • SparkGroupBase
      • SparkDataGroup
      • SparkGroup

構文

'Declaration
Public Class SparkGroupBase _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。
columnNames | データ内のすべての列の名前を含むリスト。
contentHeight | ビューポートの内容の高さ。
contentWidth | ビューポートの内容の幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。
maskType | マスクの種類。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numElements | このコンテナーに含まれるビジュアル要素の数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkImage クラス

説明

Spark Image コントロールを識別します。

継承階層

  • SparkObject
    • SparkImage

構文

'Declaration
Public Class SparkImage _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
bytesLoaded | 既にロードされたイメージのバイト数です。
bytesTotal | ロード済みまたはロード保留中のイメージ データの総バイト数です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clearOnLoad | 新しいコンテンツをロードする前に、前のイメージ コンテンツをクリアするかどうかを示します。
contentLoaderGrouping | 関連付けられた IContentLoader インスタンスの load() メソッドに渡される、オプショナル コンテンツのグループ化識別子です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillMode | 次元内でのビットマップ塗りつぶしの方法を決定します。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | 縦横比が 1 対 1 でなく、scaleMode が BitmapScaleMode.LETTERBOX に設定されているときの、コンテンツの水平方向の配置です。
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
preliminaryHeight | イメージの境界が "measured" となるようレイアウトで要求されているものの、イメージ データのロードがまだ完了していない場合に、高さに使用する予測を示します。
preliminaryWidth | イメージの境界が "measured" となるようレイアウトで要求されているものの、イメージ データのロードがまだ完了していない場合に、幅に使用する予測を示します。
scaleMode | fillMode が BitmapFillMode.SCALE. に設定されている場合にイメージを伸縮する方法を指定します。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
smooth | ビットマップ イメージにスムージング アルゴリズムを適用するかどうかを指定します。
source | コンテンツの場所です。
sourceHeight | 伸縮されていない元のイメージ データの高さを示します。
sourceWidth | 伸縮されていない元のイメージ データの幅を示します。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
trustedSource | 現在ロードされているコンテンツを、セキュリティ ポリシーでクロス ドメインのイメージ アクセスが許可されているソースからロードされたものと見なすかどうかを示すフラグです。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | 縦横比が 1 対 1 でなく、scaleMode が BitmapScaleMode.LETTERBOX に設定されているときの、コンテンツの垂直方向の配置です。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkLabel クラス

説明

Label は、単一行または複数行のテキストを均一のフォーマットでレンダリングできる低レベルの UIComponent です。

継承階層

  • SparkTextBase
    • SparkLabel

構文

'Declaration
Public Class SparkLabel _
Inherits SparkTextBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isTruncated | テキストが切り詰められたかどうか。 (SparkTextBase から継承されました)
maxDisplayedLines | テキストが切り詰められるかどうか、および切り詰められる位置を指定する整数。 (SparkTextBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このテキスト コンポーネントによって表示されるテキスト。 (SparkTextBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。 (SparkTextBase から継承されました)
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。 (SparkTextBase から継承されました)
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。 (SparkTextBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTextBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkList クラス

説明

List コントロールでは、項目を垂直方向に並べて表示します。

継承階層

  • SparkListBase
    • SparkList
      • SparkDropDownListBase

構文

'Declaration
Public Class SparkList _
Inherits SparkListBase

プロパティ

名前 | 説明
allowMultipleSelection | 複数選択が可能かどうか。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragEnabled | このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。
dragMoveEnabled | ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。
dropEnabled | ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedIndices | 現在選択されている項目のインデックスを表すリスト。
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
selectedItems | 現在選択されている項目を表すオブジェクトのリスト。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkListBase クラス

説明

ListBase クラス は選択をサポートするすべてのコンポーネントの基本クラスです。

継承階層

  • SparkSkinnableDataContainer
    • SparkListBase
      • SparkButtonBar
      • SparkList
      • SparkTabBar

構文

'Declaration
Public Class SparkListBase _
Inherits SparkSkinnableDataContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。
selectedItem | 現在選択されている項目。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkListLabel クラス

説明

単純なレンダリング オブジェクトです。

継承階層

  • SparkDataRenderer
    • SparkListLabel
      • SparkComplexDisplay

構文

'Declaration
Public Class SparkListLabel _
Inherits SparkDataRenderer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
automationValue | この項目を一意に識別するのに使用できる値。
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。 (SparkGroup から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragging | SparkListLabel がドラッグ モード中かどうかの値。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | SparkListLabel のラベル。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。 (SparkGroup から継承されました)
scaleGridLeft | スケール グリッドの左座標。 (SparkGroup から継承されました)
scaleGridRight | スケール グリッドの右座標。 (SparkGroup から継承されました)
scaleGridTop | スケール グリッドの上座標。 (SparkGroup から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | SparkListLabel が選択されているかどうか。
showsCaret | キャレットが表示されるかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkMuteButton クラス

説明

MuteButton クラスは、VideoPlayer コントロールによって使用されるミュート ボタンを定義します。

継承階層

  • SparkButton
    • SparkMuteButton

構文

'Declaration
Public Class SparkMuteButton _
Inherits SparkButton

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
emphasized | フォーカス マネージャーによって要求さたとおりのデフォルト ボタンかどうか。 (SparkButton から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
muted | コントロールがミュートされているかどうか。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
volume | コントロールのボリューム。
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MuteChange | コントロールのミュートを切り替えます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkNavigatorContent クラス

説明

NavigatorContent クラスは、ViewStack、TabNavigator、Accordion などの MX ナビゲーター コンテナーで使用できる Spark コンテナーを定義します。

継承階層

  • SparkSkinnableContainer
    • SparkNavigatorContent

構文

'Declaration
Public Class SparkNavigatorContent _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkNumericStepper クラス

説明

NumericStepper コントロールを使用すると、一定の間隔で増減する数値を選択できます。 NumericStepper は Spinner コンポーネントと同じ機能を提供しますが、コンポーネントの値を、コントロールの矢印ボタンを使用して変更するのではなく直接編集できるように、TextInput コントロールを追加します。

継承階層

  • SparkSpinner
    • SparkNumericStepper

構文

'Declaration
Public Class SparkNumericStepper _
Inherits SparkSpinner

プロパティ

名前 | 説明
allowValueWrap | 現在の値が最大または最小値のいずれかの場合のステップに対するコントロールの動作。 (SparkSpinner から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかの値。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。
maxChars | フィールドに入力できる最大文字数。
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。 (SparkSpinner から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkSpinner から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkObject クラス

説明

SparkObject クラス はすべての Spark コンポーネントの基本クラスを定義します。

継承階層

  • FlexObject
    • SparkObject
      • SparkButtonBase
      • SparkImage
      • SparkRange
      • SparkRichEditableText
      • SparkSkinnableContainerBase
      • SparkSkinnableTextBase
      • SparkVideoPlayer

構文

'Declaration
Public Class SparkObject _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkPanel クラス

説明

Panel クラスは、タイトル バー、キャプション、境界線、および子のコンテンツ領域を含むコンテナーを定義します。

継承階層

  • SparkSkinnableContainer
    • SparkPanel
      • SparkTitleWindow

構文

'Declaration
Public Class SparkPanel _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
controlBarVisible | コントロール バーが可視かどうか。
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkPopUpAnchor クラス

説明

Spark PopUpAnchor コントロールを識別します。

継承階層

  • FlexObject
    • SparkPopUpAnchor

構文

'Declaration
Public Class SparkPopUpAnchor _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayPopUp | ポップアップが表示されるかどうかを指定します。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
popUpHeightMatchesAnchorHeight | ポップアップ コントロールの高さが PopUpAnchor の高さと同じ値に設定されるかどうかを指定します。
popUpPosition | ポップアップ コントロールが開かれるときの、PopUpAnchor コンポーネントに対する相対的な位置です。
popUpWidthMatchesAnchorWidth | ポップアップ コントロールの幅が PopUpAnchor の幅と同じ値に設定されるかどうかを指定します。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkRadioButton クラス

説明

RadioButton コンポーネントを使用すると、一連の相互排他的な選択肢の中から 1 つだけをユーザーに選択させることができます。 RadioButtonGroup は、同じ groupName プロパティを持つ複数の RadioButton コンポーネントで構成されます。

継承階層

  • SparkToggleButtonBase
    • SparkRadioButton

構文

'Declaration
Public Class SparkRadioButton _
Inherits SparkToggleButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
groupName | この RadioButton コンポーネントが属するグループの名前。または、この RadioButton が RadioButtonGroup コンポーネントによって定義されたグループの一部の場合は、RadioButtonGroup コンポーネントの id プロパティの値を指定します。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。 (SparkToggleButtonBase から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkRange クラス

説明

Range クラスは、値と minimum および maximum プロパティで定義された許可された範囲を保持します。

継承階層

  • SparkObject
    • SparkRange
      • SparkSpinner
      • SparkTrackBase

構文

'Declaration
Public Class SparkRange _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。
minimum | 有効な最小値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkRichEditableText クラス

説明

RichEditableText は、リッチ フォーマット テキストの表示、スクロール、選択および編集を行うための低レベルの UIComponent です。

継承階層

  • SparkObject
    • SparkRichEditableText

構文

'Declaration
Public Class SparkRichEditableText _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。
columnNames | データ内のすべての列の名前を含むリスト。
contentHeight | テキストの高さ。
contentWidth | テキストの幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayAsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
editable | このコントロールのテキストの編集が許可されているかどうかを示すフラグ。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
heightInLines | 行数で表したコントロールのデフォルトの高さ
horizontalScrollPosition | テキストを横にスクロールするピクセル数。
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。
lastVisibleRow | 最後の可視の子のインデックス。
maxChars | ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
multiline | 複数行のテキストを入力できるかどうか。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。
selectionActivePosition | 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。
selectionAnchorPosition | 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。
selectionHighlighting | テキスト選択がハイライトされるかどうかを示す値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコンポーネントによって表示されるテキスト文字列。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | テキストを縦にスクロールするピクセル数。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
widthInChars | em 単位で測定されたコントロールのデフォルトの幅。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkRichText クラス

説明

RichText は、単一行または複数行のリッチ フォーマット テキストや埋め込み画像を表示する低レベルの UIComponent です。

継承階層

  • SparkTextBase
    • SparkRichText

構文

'Declaration
Public Class SparkRichText _
Inherits SparkTextBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isTruncated | テキストが切り詰められたかどうか。 (SparkTextBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値を計算するかどうか。
maskType | コンポーネントにマスクを適用する方法。 有効な値は、MaskType.CLIP、MaskType.ALPHA、および MaskType.LUMINOSITY です。 クリップ マスク。 クリップ モードでマスクを適用すると、クリップ マスクが 1 ビットに減らされます。
maxDisplayedLines | テキストが切り詰められるかどうか、および切り詰められる位置を指定する整数。 (SparkTextBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このテキスト コンポーネントによって表示されるテキスト。 (SparkTextBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。 (SparkTextBase から継承されました)
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。 (SparkTextBase から継承されました)
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。 (SparkTextBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTextBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkScrollBar クラス

説明

ScrollBarBase クラスは、表示領域に対してデータが多すぎる場合に表示するデータの部分を制御するために使用します。

継承階層

  • SparkTrackBase
    • SparkScrollBar

構文

'Declaration
Public Class SparkScrollBar _
Inherits SparkTrackBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
pageSize | changeValueByPage() メソッドを呼び出したときに value プロパティの値における変更。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。 (SparkTrackBase から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTrackBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnableContainer クラス

説明

SkinnableContainer クラスは、ビジュアル コンテンツを格納するスキン可能コンテナーの基本クラスです。

継承階層

  • SparkSkinnableContainerBase
    • SparkSkinnableContainer
      • SparkApplication
      • SparkBorderContainer
      • SparkForm
      • SparkFormItem
      • SparkNavigatorContent
      • SparkPanel
      • SparkSkinnablePopUpContainer
      • SparkWindow

構文

'Declaration
Public Class SparkSkinnableContainer _
Inherits SparkSkinnableContainerBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnableContainerBase クラス

説明

Spark のコンテナー コンポーネントの基本クラスです。

継承階層

  • SparkObject
    • SparkSkinnableContainerBase
      • SparkDataGrid
      • SparkSkinnableContainer
      • SparkSkinnableDataContainer

構文

'Declaration
Public Class SparkSkinnableContainerBase _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnableDataContainer クラス

説明

SkinnableDataContainer クラスはデータ項目の基本コンテナー クラスです。

継承階層

  • SparkSkinnableContainerBase
    • SparkSkinnableDataContainer
      • SparkListBase

構文

'Declaration
Public Class SparkSkinnableDataContainer _
Inherits SparkSkinnableContainerBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnablePopUpContainer クラス

説明

SparkSkinnablePopUpContainer コントロールを識別します。

継承階層

  • SparkSkinnableContainer
    • SparkSkinnablePopUpContainer

構文

'Declaration
Public Class SparkSkinnablePopUpContainer _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isOpen | コンテナーが開いているかどうか。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnableTextBase クラス

説明

Spark TextInput や TextArea などのスキン可能なコンポーネントの基本クラスです。このようなコンポーネントは、リッチ テキスト表示、スクロール、選択、および編集などの機能を提供するために、スキン内に RichEditableText のインスタンスを含みます。

継承階層

  • SparkObject
    • SparkSkinnableTextBase
      • SparkTextArea
      • SparkTextInput

構文

'Declaration
Public Class SparkSkinnableTextBase _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayAsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
editable | このコントロールのテキストの編集が許可されているかどうかを示すフラグ。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。
lastVisibleRow | 最後の可視の子のインデックス。
maxChars | ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。
selectionActivePosition | 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。
selectionAnchorPosition | 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。
selectionHighlighting | テキスト選択がハイライトされるかどうかを示す値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコンポーネントによって表示されるテキスト文字列。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSlider クラス

説明

スライダー トラックの両端の間でスライダー サムを移動することで値を選択できます。

継承階層

  • SparkTrackBase
    • SparkSlider
      • SparkVolumeBar

構文

'Declaration
Public Class SparkSlider _
Inherits SparkTrackBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。 (SparkTrackBase から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTrackBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSpinner クラス

説明

Spinner コンポーネントは順序化された集合から値を選択します。 stepSize プロパティの現在の値に基づいて、現在の値を増減させる 2 つのボタンを使用します。

継承階層

  • SparkRange
    • SparkSpinner
      • SparkNumericStepper

構文

'Declaration
Public Class SparkSpinner _
Inherits SparkRange

プロパティ

名前 | 説明
allowValueWrap | 現在の値が最大または最小値のいずれかの場合のステップに対するコントロールの動作。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTabBar クラス

説明

TabBar クラスは同じようなタブのセットを表示します。 1 回に 1 つのタブを選択でき、デフォルトでは最初のタブが選択されます。

継承階層

  • SparkListBase
    • SparkTabBar

構文

'Declaration
Public Class SparkTabBar _
Inherits SparkListBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTextArea クラス

説明

TextArea は、ユーザーが複数行のリッチ フォーマット テキストを入力および編集するときに使用するテキスト入力コントロールです。 テキストをスクロールするための水平方向と垂直方向のスクロール バーを表示し、マウス ホイールによる垂直スクロールをサポートします。

継承階層

  • SparkSkinnableTextBase
    • SparkTextArea

構文

'Declaration
Public Class SparkTextArea _
Inherits SparkSkinnableTextBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableTextBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayAsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。 (SparkSkinnableTextBase から継承されました)
editable | このコントロールのテキストの編集が許可されているかどうかを示すフラグ。 (SparkSkinnableTextBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。 (SparkSkinnableTextBase から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableTextBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
heightInLines | 行数で表したコントロールのデフォルトの高さ
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。 (SparkSkinnableTextBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableTextBase から継承されました)
maxChars | ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。 (SparkSkinnableTextBase から継承されました)
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。 (SparkSkinnableTextBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableTextBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableTextBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字のセット。 (SparkSkinnableTextBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。 (SparkSkinnableTextBase から継承されました)
selectionActivePosition | 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。 (SparkSkinnableTextBase から継承されました)
selectionAnchorPosition | 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。 (SparkSkinnableTextBase から継承されました)
selectionHighlighting | テキスト選択がハイライトされるかどうかを示す値。 (SparkSkinnableTextBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコンポーネントによって表示されるテキスト文字列。 (SparkSkinnableTextBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
widthInChars | em 単位で測定されたコントロールのデフォルトの幅。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableTextBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。 (SparkSkinnableTextBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTextBase クラス

説明

デフォルト形式の CSS スタイルを使用してテキストを表示する Label や RichText などの Spark テキスト コントロール用の基本クラスです。

継承階層

  • FlexObject
    • SparkTextBase
      • SparkLabel
      • SparkRichText

構文

'Declaration
Public Class SparkTextBase _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isTruncated | テキストが切り詰められたかどうか。
maxDisplayedLines | テキストが切り詰められるかどうか、および切り詰められる位置を指定する整数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このテキスト コンポーネントによって表示されるテキスト。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTextInput クラス

説明

TextInput は、単一行のテキストを均一のフォーマットで入力および編集するときに使用するテキスト入力コントロールです。

継承階層

  • SparkSkinnableTextBase
    • SparkTextInput

構文

'Declaration
Public Class SparkTextInput _
Inherits SparkSkinnableTextBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableTextBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayAsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。 (SparkSkinnableTextBase から継承されました)
editable | このコントロールのテキストの編集が許可されているかどうかを示すフラグ。 (SparkSkinnableTextBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。 (SparkSkinnableTextBase から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableTextBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。 (SparkSkinnableTextBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableTextBase から継承されました)
maxChars | ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。 (SparkSkinnableTextBase から継承されました)
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。 (SparkSkinnableTextBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableTextBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableTextBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字のセット。 (SparkSkinnableTextBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。 (SparkSkinnableTextBase から継承されました)
selectionActivePosition | 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。 (SparkSkinnableTextBase から継承されました)
selectionAnchorPosition | 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。 (SparkSkinnableTextBase から継承されました)
selectionHighlighting | テキスト選択がハイライトされるかどうかを示す値。 (SparkSkinnableTextBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコンポーネントによって表示されるテキスト文字列。 (SparkSkinnableTextBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
widthInChars | em 単位で測定されたコントロールのデフォルトの幅。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableTextBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。 (SparkSkinnableTextBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTileGroup クラス

説明

TileGroup コンテナーは、TileLayout クラスを使用する Group コンテナーのインスタンスです。

継承階層

  • SparkGroup
    • SparkTileGroup

構文

'Declaration
Public Class SparkTileGroup _
Inherits SparkGroup

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。 (SparkGroup から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。 (SparkGroup から継承されました)
scaleGridLeft | スケール グリッドの左座標。 (SparkGroup から継承されました)
scaleGridRight | スケール グリッドの右座標。 (SparkGroup から継承されました)
scaleGridTop | スケール グリッドの上座標。 (SparkGroup から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTitleWindow クラス

説明

TitleWindow クラスは Panel を拡張し、閉じるボタンと移動領域をサポートします。

継承階層

  • SparkPanel
    • SparkTitleWindow

構文

'Declaration
Public Class SparkTitleWindow _
Inherits SparkPanel

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
controlBarVisible | コントロール バーが可視かどうか。 (SparkPanel から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。 (SparkPanel から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkPanel から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkToggleButton クラス

説明

ToggleButton コンポーネントはトグル ボタンを定義します。 このボタンをクリックすると、アップ状態とダウン状態が切り替わります。

継承階層

  • SparkToggleButtonBase
    • SparkToggleButton
      • SparkButtonBarButton

構文

'Declaration
Public Class SparkToggleButton _
Inherits SparkToggleButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。 (SparkToggleButtonBase から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkToggleButtonBase クラス

説明

ToggleButtonBase コンポーネントは、selected プロパティをサポートする Spark ボタン コンポーネントの基本クラスです。

継承階層

  • SparkButtonBase
    • SparkToggleButtonBase
      • SparkCheckBox
      • SparkRadioButton
      • SparkToggleButton

構文

'Declaration
Public Class SparkToggleButtonBase _
Inherits SparkButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTrackBase クラス

説明

TrackBase クラスは、Slider や ScrollBar などの、トラックと 1 つ以上のサム ボタンを持つコンポーネントの基本クラスです。

継承階層

  • SparkRange
    • SparkTrackBase
      • SparkScrollBar
      • SparkSlider

構文

'Declaration
Public Class SparkTrackBase _
Inherits SparkRange

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkVideoDisplay クラス

説明

Spark VideoDisplay コントロールを識別します。

継承階層

  • FlexObject
    • SparkVideoDisplay

構文

'Declaration
Public Class SparkVideoDisplay _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoDisplayFirstFrame | source が設定されている場合、ビデオをロードするかどうかを指定します。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoPlay | source プロパティが設定されている場合に、ビデオの再生をすぐに開始するかどうかを指定します。
autoRewind | 再生が停止したときに、FLV ファイルを最初のフレームまで巻き戻すかどうかを指定します。
bytesLoaded | 既にアプリケーションにダウンロードされているデータのバイト数です。
bytesTotal | アプリケーションにダウンロードされるデータの総バイト数です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
currentTime | ビデオの再生開始以降の再生ヘッドの現在時間（秒単位）です。
duration | ビデオの再生時間（秒単位）です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
loop | 再生が完了した後でメディアを再び再生する必要があるかどうかを示します。
mediaPlayerState | ビデオの現在の状態です。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
muted | ビデオをミュートするかどうかを指定します。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
pauseWhenHidden | ビデオが非表示になっても再生を続行するかどうかを制御します。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
playing | ビデオが再生中である場合、または再生試行中であるかどうか。
scaleMode | ビデオ コンテンツの様々なサイズ変更の方法を示します。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
volume | ボリューム レベル。0 から 1 の範囲の値で指定します。
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkVideoPlayer クラス

説明

VideoPlayer コントロールは、プログレッシブ ダウンロード、マルチビットレート ストリーミング、およびストリーミング ビデオをサポートするスキン可能ビデオ プレーヤです。

継承階層

  • SparkObject
    • SparkVideoPlayer

構文

'Declaration
Public Class SparkVideoPlayer _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
muted | コントロールがミュートされているかどうか。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
playing | ビデオが再生中である場合、または再生試行中であるかどうか。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
volume | ボリューム レベル。0 から 1 の範囲の値で指定します。
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkVolumeBar クラス

説明

VolumeBar クラスは、VideoDisplay コントロールのボリュームを制御するドロップダウン スライダーを定義します。

継承階層

  • SparkSlider
    • SparkVolumeBar

構文

'Declaration
Public Class SparkVolumeBar _
Inherits SparkSlider

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isDropDownOpen | VolumeBar が開いているかどうか。
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
muted | コントロールがミュートされているかどうか。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。 (SparkTrackBase から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MuteChange | ユーザーによる操作の結果としてミュートの状態が変更されたときにディスパッチされます。
Open | ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTrackBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkWindow クラス

説明

Window は、AIR デスクトップ アプリケーションの追加ウィンドウに対する最上位のコンテナーです。

継承階層

  • SparkSkinnableContainer
    • SparkWindow

構文

'Declaration
Public Class SparkWindow _
Inherits SparkSkinnableContainer _
Implements IMoveable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alwaysInFront | 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
closed | 基になるウィンドウが閉じられているかどうかを示す値。
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isAIRWindow | このウィンドウが AIR ウィンドウかどうかを示す値。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
maxHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。
maximizable | ウィンドウを最大化できるかどうかを示す値。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
minHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。
minimizable | ウィンドウを最小化できるかどうかを示す値。
minWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizable | ウィンドウをサイズ変更できるかどうかを示す値。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showStatusBar | ステータス バーが可視かどうかを示す値。
status | ステータス バーに表示される文字（表示されている場合）。
systemChrome | ウィンドウが持っているシステム クロム（存在する場合）のタイプ。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | ウィンドウのタイトル バーとタスク バーに表示されるタイトル。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
transparent | ウィンドウを透明にするかどうか。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (IMoveable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StateChange | ウィンドウの displaystatus が変更されたときにディスパッチされます。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkWindowedApplication クラス

説明

WindowedApplication は、AIR アプリケーション用の Flex アプリケーションを作成するために使用するアプリケーション コンテナーを定義します。

継承階層

  • SparkApplication
    • SparkWindowedApplication

構文

'Declaration
Public Class SparkWindowedApplication _
Inherits SparkApplication _
Implements IMoveable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alwaysInFront | 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。
applicationID | AIR がアプリケーションを識別するために使用する識別子。
autoExit | 最後のウィンドウを閉じたときに AIR アプリケーションが終了するか、バックグランドで実行を続けるかどうかを示す値。
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
closed | 基になるウィンドウが閉じられているかどうかを示す値。
colorCorrection | ステージの colorCorrection プロパティの値。 (SparkApplication から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
controlBarVisible | コントロール バーが可視かどうか。 (SparkApplication から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
maxHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。
maximizable | ウィンドウを最大化できるかどうかを示す値。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
minHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。
minimizable | ウィンドウを最小化できるかどうかを示す値。
minWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizable | ウィンドウをサイズ変更できるかどうかを示す値。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showStatusBar | ステータス バーが可視かどうかを示す値。
status | ステータス バーに表示される文字（表示されている場合）。
systemChrome | ウィンドウが持っているシステム クロム（存在する場合）のタイプ。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | ウィンドウのタイトル バーとタスク バーに表示されるタイトル。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は Nothing です。 (FlexObject から継承されました)
transparent | ウィンドウを透明にするかどうか。
url | このアプリケーションの SWF ファイルがロードされた URL。 (SparkApplication から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
viewSourceURL | アプリケーションのソースを参照できる URL。 (SparkApplication から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (IMoveable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkApplication から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


Java SWT クラス リファレンス

Java SWT コントロールのテストに利用可能なクラスを一覧します。

  • CBanner クラス
    このクラスは、ワークベンチにおけるツール バー領域とツール バーを切り替えるパースペクティブのレイアウトに使用します。
  • CoolBar クラス
    SWT ウィジェットを含むコンテナー クラスで、主要なツール バーです。
  • CoolItem クラス
    動的に配置することができる CoolBar の領域を表す選択可能なユーザー インターフェイス オブジェクトを含みます。
  • CTabFolder クラス
    拡張タブ フォルダーのクラスです。通常は、装飾されたタブや最小化、最大化、閉じるボタンを持ちます。
  • CTabItem クラス
    CTabFolder 内の拡張タブのクラスです。
  • ExpandBar クラス
    ヘッダーをクリックすることによって展開したり閉じたりするウィジェットのクラスです。
  • ExpandItem クラス
    ExpandBar の展開可能な項目を含むクラスです。
  • HorizontalSash クラス
    ウィンドウ ペインの周囲にある水平方向の境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。
  • Sash クラス
    ウィンドウ ペインの周囲にある境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。
  • SashForm クラス
    フォームの周囲にある境界線のクラスです。ドラッグしてフォームのサイズを調整することができます。
  • ScrollableControl クラス
    コントロールとして分類されるだけでなく、スクロール バーを含んでいるすべてのコントロールの実装クラスです。
  • ScrolledComposite クラス
    スクロール バーのクラスです。ユーザーがスクロール バーを使用するときにコンテンツをスクロールします。
  • Shell クラス
    Java SWT ウィンドウのクラスです。
  • Spinner クラス
    アップダウン コントロールの数値を入力したり変更したりするクラスです。
  • StyledText クラス
    テキストの行を表示する編集可能なユーザー インターフェイス オブジェクトのクラスです。
  • SWTBrowser クラス
    ブラウザー ウィジェットのクラスです。
  • SWTDateTime クラス
    カレンダ、日付、または時間コントロールの SWT における日付と時間要素のクラスです。
  • SWTTabControl クラス
    SWT TabFolder のクラスです。
  • SWTTabItem クラス
    SWT TabItem のクラスです。
  • SWTTable クラス
    SWT テーブルのクラスです。
  • SWTTableColumn クラス
    SWT テーブルにおける列のクラスです。
  • SWTTableRow クラス
    SWT テーブルにおける行のクラスです。
  • SWTTree クラス
    SWT ツリー ウィジェットのクラスです。
  • SWTTreeColumn クラス
    ツリー ウィジェットにおける列のクラスです。
  • VerticalSash クラス
    ウィンドウ ペインの周囲にある垂直方向の境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。
  • ViewForm クラス
    ワークベンチにおけるビューのラベル/メニュー/ツール バーのローカル バーをレイアウトするクラス。
親トピック: Silk Test Workbench 言語リファレンス


CBanner クラス

説明

このクラスは、ワークベンチにおけるツール バー領域とツール バーを切り替えるパースペクティブのレイアウトに使用します。

継承階層

  • Control
    • CBanner

構文

'Declaration
Public Class CBanner _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Bottom | バナーの下部にあるコントロール。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Left | バナーの左側にあるコントロール。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Right | バナーの右側にあるコントロール。
RightMinimumSize | バナーの右側にあるコントロールの最小サイズ。
RightWidth | バナーの右側にあるコントロールの幅。
Simple | バナーをシンプル、つまり従来の形状でレンダリングするかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


CoolBar クラス

説明

SWT ウィジェットを含むコンテナー クラスで、主要なツール バーです。

継承階層

  • Control
    • CoolBar

構文

'Declaration
Public Class CoolBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | CoolBar の項目の数。
Items | CoolBar の項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


CoolItem クラス

説明

動的に配置することができる CoolBar の領域を表す選択可能なユーザー インターフェイス オブジェクトを含みます。

継承階層

  • Item
    • CoolItem

構文

'Declaration
Public Class CoolItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Content | 動的に配置することができる領域のコンテンツ。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


CTabFolder クラス

説明

拡張タブ フォルダーのクラスです。通常は、装飾されたタブや最小化、最大化、閉じるボタンを持ちます。

継承階層

  • Control
    • CTabFolder

構文

'Declaration
Public Class CTabFolder _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | タブ フォルダーの項目の数。
Items | タブ フォルダーの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。
SelectedItem | 選択したタブ項目。
SelectedItemText | 選択されている項目のテキスト。項目が選択されていない場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | 表示されているページを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | CTabFolder をそのフル サイズ（最大化）になるようにサイズを変更します。
Minimize | CTabFolder を可能な最小のサイズになるようにサイズを変更します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | CTabFolder を元のサイズに戻します。
Select | CTabFolder から項目を選択します。
SelectList | 1 つ以上の項目をタブで選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


CTabItem クラス

説明

CTabFolder 内の拡張タブのクラスです。

継承階層

  • Item
    • CTabItem

構文

'Declaration
Public Class CTabItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | 項目が選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | 表示されているタブを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ExpandBar クラス

説明

ヘッダーをクリックすることによって展開したり閉じたりするウィジェットのクラスです。

継承階層

  • Control
    • ExpandBar

構文

'Declaration
Public Class ExpandBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
ExpandedItems | 展開される項目のリスト。
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | ExpandBar の項目の数。
Items | ExpandBar の項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | ExpandBar を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | ExpandBar を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ExpandItem クラス

説明

ExpandBar の展開可能な項目を含むクラスです。

継承階層

  • Item
    • ExpandItem

構文

'Declaration
Public Class ExpandItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Content | 項目のコンテンツ。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Expanded | 項目が展開されているかどうか。
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 展開可能な項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 展開可能な項目を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


HorizontalSash クラス

説明

ウィンドウ ペインの周囲にある水平方向の境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。

継承階層

  • Sash
    • HorizontalSash

構文

'Declaration
Public Class HorizontalSash _
Inherits Sash

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 画面分割の境界のウィンドウ ペインを移動します。 (Sash から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


Sash クラス

説明

ウィンドウ ペインの周囲にある境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。

継承階層

  • Control
    • Sash
      • HorizontalSash
      • VerticalSash

構文

'Declaration
Public Class Sash _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 画面分割の境界のウィンドウ ペインを移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SashForm クラス

説明

フォームの周囲にある境界線のクラスです。ドラッグしてフォームのサイズを調整することができます。

継承階層

  • Control
    • SashForm

構文

'Declaration
Public Class SashForm _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Horizontal | 分割方向が水平かどうか。
MaximizedControl | フォーム上で最大化されている画面分割ウィンドウ。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Vertical | 分割方向が垂直かどうか。
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Weights | SashForm ウィンドウの子の相対的なサイズ。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ScrollableControl クラス

説明

コントロールとして分類されるだけでなく、スクロール バーを含んでいるすべてのコントロールの実装クラスです。

継承階層

  • Control
    • ScrollableControl

構文

'Declaration
Public Class ScrollableControl _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ScrolledComposite クラス

説明

スクロール バーのクラスです。ユーザーがスクロール バーを使用するときにコンテンツをスクロールします。

継承階層

  • Control
    • ScrolledComposite

構文

'Declaration
Public Class ScrolledComposite _
Inherits Control

プロパティ

名前 | 説明
AlwaysShowScrollBars | スクロール バーが表示されるかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Content | 動的に配置することができる領域のコンテンツ。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Origin | ScrolledComposite の左上隅に現在表示されているコンテンツの位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


Shell クラス

説明

Java SWT ウィンドウのクラスです。

継承階層

  • Window
    • Shell

構文

'Declaration
Public Class Shell _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


Spinner クラス

説明

アップダウン コントロールの数値を入力したり変更したりするクラスです。

継承階層

  • Control
    • Spinner

構文

'Declaration
Public Class Spinner _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
IncrementCount | Spinner コントロールを押下することによって増加する位置の量。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | Spinner コントロールの内部ページ サイズ。
Position | アップダウン コントロールの位置。
Range | Spinner コントロールの範囲。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Decrement | Spinner コントロールが押されたときに値を減少させます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Increment | Spinner コントロールが押されたときに値を増加させます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PageDecrement | Spinner コントロールが押されたときにページ単位で値を減少させます。
PageIncrement | Spinner コントロールが押されたときにページ単位で値を増加させます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetValue | Spinner コントロールの値を設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


StyledText クラス

説明

テキストの行を表示する編集可能なユーザー インターフェイス オブジェクトのクラスです。

継承階層

  • TextField
    • StyledText

構文

'Declaration
Public Class StyledText _
Inherits TextField

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Editable | テキストが編集可能かどうか。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
IsPassword | コントロールがパスワード テキスト フィールドであるかどうか。 (TextField から継承されました)
MultiLine | コントロールが複数行かどうか。 (TextField から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | テキスト フィールド内のキャレットの位置。 (TextField から継承されました)
SelectedRange | テキスト フィールド内の選択範囲。 (TextField から継承されました)
SelectedText | テキスト フィールド内の選択テキスト。 テキストが選択されていない場合は空の文字列。 (TextField から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | すべてのテキストをテキスト フィールドから削除します (TextField から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetMultiText | 複数行テキスト フィールドの指定された行のテキストを返します。 (TextField から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetMultiText | 複数行テキスト フィールドの行のすべて、または一部を置換します。 (TextField から継承されました)
SetPosition | テキスト フィールド内の挿入位置を設定します。 (TextField から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 単一行または複数行フィールドの指定した範囲を選択します。 (TextField から継承されました)
SetText | テキスト フィールド内のテキストのすべて、または一部を新しいテキストに置換します。 (TextField から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTBrowser クラス

説明

ブラウザー ウィジェットのクラスです。

継承階層

  • Control
    • SWTBrowser

構文

'Declaration
Public Class SWTBrowser _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTDateTime クラス

説明

カレンダ、日付、または時間コントロールの SWT における日付と時間要素のクラスです。

継承階層

  • Control
    • SWTDateTime

構文

'Declaration
Public Class SWTDateTime _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
CurrentDate | 現在の日付。
Day | 日。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Hours | 時。
Minutes | 分。
Month | 月。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Seconds | 秒。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Year | 年。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 日付および時間を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTabControl クラス

説明

SWT TabFolder のクラスです。

継承階層

  • TabControl
    • SWTTabControl

構文

'Declaration
Public Class SWTTabControl _
Inherits TabControl

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | タブ コントロールの項目の数。 (TabControl から継承されました)
Items | タブ コントロールの項目のリスト。 (TabControl から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。 (TabControl から継承されました)
SelectedItem | 選択する項目。 (TabControl から継承されました)
SelectedTabItem | 選択する項目の名前。
TabItems | タブ コントロールの TabItem のリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 現在のページを指定したページに設定します。 (TabControl から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTabItem クラス

説明

SWT TabItem のクラスです。

継承階層

  • Item
    • SWTTabItem

構文

'Declaration
Public Class SWTTabItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | 項目が選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTable クラス

説明

SWT テーブルのクラスです。

継承階層

  • Table
    • SWTTable

構文

'Declaration
Public Class SWTTable _
Inherits Table

プロパティ

名前 | 説明
AllowsCheck | コントロールがチェック マークを表示できるかどうか。 (Table から継承されました)
AllowsMultiSelect | テーブルが複数項目の選択をサポートするかどうか。 (Table から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | テーブルの列の数。 (Table から継承されました)
ColumnItems | 列のすべての項目のリスト。 (Table から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | テーブルの行の数。 (Table から継承されました)
RowItems | テーブルのすべての行のリスト。 (Table から継承されました)
SelectedIndices | 選択した項目の索引。 (Table から継承されました)
SelectedItems | 選択した項目。 (Table から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | テーブルの定義された行のチェック ボックスをチェックします。 (Table から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。 (Table から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelectRow | 行の範囲を選択します。 (Table から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FocusRow | テーブルの行にフォーカスを設定します。 (Table から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelectRow | テーブルの行を選択行の集合に追加します。 (Table から継承されました)
MultiUnselectRow | 行を選択行の集合から削除します。 (Table から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectRow | テーブルの行を選択します。 (Table から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | テーブルの定義された行のチェック ボックスのチェックを外します。 (Table から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTableColumn クラス

説明

SWT テーブルにおける列のクラスです。

継承階層

  • TableColumn
    • SWTTableColumn

構文

'Declaration
Public Class SWTTableColumn _
Inherits TableColumn

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Width | 列の幅。 (TableColumn から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列のサイズを変更します。 (TableColumn から継承されました)
Select | 列を選択します。 (TableColumn から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTableRow クラス

説明

SWT テーブルにおける行のクラスです。

継承階層

  • TableRow
    • SWTTableRow

構文

'Declaration
Public Class SWTTableRow _
Inherits TableRow

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Checked | 行のチェックボックスがチェックされているかどうか。 (TableRow から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | 行の項目の数。 (TableRow から継承されました)
Items | 行の項目のリスト。 (TableRow から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTree クラス

説明

SWT ツリー ウィジェットのクラスです。

継承階層

  • Tree
    • SWTTree

構文

'Declaration
Public Class SWTTree _
Inherits Tree

プロパティ

名前 | 説明
AllowsCheck | コントロールがチェック マークを表示できるかどうか。 (Tree から継承されました)
AllowsMultiSelect | コントロールが複数項目の選択をサポートするかどうか。 (Tree から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | ツリーの列の数。
Columns | ツリーの列のリスト。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | ツリー上の項目数（すべての子を含む）。 (Tree から継承されました)
ItemPaths | ツリー上の項目のリスト（すべての子を含む）。 (Tree から継承されました)
Items | ツリー上の項目のリスト（すべての子を含む）。 (Tree から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 最初の選択された項目のインデックス。 (Tree から継承されました)
SelectedIndices | 選択した項目の索引。 (Tree から継承されました)
SelectedItem | 最初の選択された項目の名前。 (Tree から継承されました)
SelectedItems | 選択した項目の名前。 (Tree から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
VisibleItemPaths | ツリー上の可視の項目のリスト（すべての子を含む）。 (Tree から継承されました)
VisibleItems | ツリー上の可視の項目のリスト（すべての子を含む）。 (Tree から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。 (Tree から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | ツリービュー コントロール上で項目を折りたたみます。 (Tree から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。 (Tree から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | ツリー ビュー コントロール上でオブジェクトを展開します。 (Tree から継承されました)
ExtendSelect | 選択範囲を拡張して項目の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetContentsOfColumn | 指定した列のコンテンツをリストとして取得します 最初の列より後ろの列のコンテンツを取得するには、rawMode と column パラメーターを指定する必要があります。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetItemPaths | ツリーのすべての項目を項目パスのリストとして返します。 (Tree から継承されました)
GetItemRect | TreeView コントロールに対して相対的な項目のサイズと位置を返します。 (Tree から継承されました)
GetItemsOfColumn | 指定した列の項目をツリーから取得します
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetSelectedTextOfColumn | 指定した列から選択したテキストを取得します
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsExpandable | 指定した項目が展開可能かどうかを検査します。 (Tree から継承されました)
IsExpanded | 指定した項目が展開されているかどうかを検査します。 (Tree から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | ツリーの項目を選択項目の集合に追加します。
MultiUnselect | ツリーの項目を選択項目の集合から削除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ツリーから項目を選択します。 (Tree から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。 (Tree から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTreeColumn クラス

説明

ツリー ウィジェットにおける列のクラスです。

継承階層

  • Item
    • SWTTreeColumn

構文

'Declaration
Public Class SWTTreeColumn _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Width | 列の幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | ツリーの列のサイズを変更します。
Select | ツリーの列を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


VerticalSash クラス

説明

ウィンドウ ペインの周囲にある垂直方向の境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。

継承階層

  • Sash
    • VerticalSash

構文

'Declaration
Public Class VerticalSash _
Inherits Sash

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 画面分割の境界のウィンドウ ペインを移動します。 (Sash から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ViewForm クラス

説明

ワークベンチにおけるビューのラベル/メニュー/ツール バーのローカル バーをレイアウトするクラス。

継承階層

  • Control
    • ViewForm

構文

'Declaration
Public Class ViewForm _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Content | 動的に配置することができる領域のコンテンツ。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
TopCenter | ペインの中央上にあるウィンドウ。
TopLeft | ペインの左上にあるウィンドウ。
TopRight | ペインの右上にあるウィンドウ。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


キーワード駆動テスト クラス リファレンス

キーワード駆動テストで利用可能なクラスを一覧します。

  • ArgumentAttribute クラス
    キーワード駆動テストのキーワードとしてマークされるメソッドの引数の名前を明示的に指定するために使用されます。
  • KeywordAttribute クラス
    メソッドがキーワードであることを指定します。
  • KeywordGroupAttribute クラス
    トピックの目的を説明します。文フラグメントとして記述されます。含めるのは 2 文以下にします。
親トピック: Silk Test Workbench 言語リファレンス


ArgumentAttribute クラス

説明

キーワード駆動テストのキーワードとしてマークされるメソッドの引数の名前を明示的に指定するために使用されます。

構文

<AttributeUsageAttribute(AttributeTargets.Parameter>
Public Class ArgumentAttribute Inherits Attribute

プロパティ

名前 | 説明
Name プロパティ (ArgumentAttribute) | 引数の名前を取得します。

例：2 つの引数を持つキーワードの作成

引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

<Keyword()>
Public Sub Login(<Argument("Name of the user")> username As String, <Argument("Password of the user")> password As String)
  ' keyword implementation
End Sub

例：説明のない引数の使用

引数の説明を使用せずに、引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

<Keyword()>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub
<Keyword()>
Public Sub Login(<Argument> username As String, <Argument> password As String)
  ' keyword implementation
End Sub
親トピック: キーワード駆動テスト クラス リファレンス


KeywordAttribute クラス

説明

メソッドがキーワードであることを指定します。キーワードの名前が指定されていない場合、アノテーション メソッドの名前がキーワード名として使用されます。

構文

'Declaration
<AttributeUsageAttribute(AttributeTargets.Method>
Public Class KeywordAttribute Inherits Attribute

プロパティ

名前 | 説明
Name プロパティ (KeywordAttribute) | キーワードの名前を取得します。デフォルト値は空の文字列です。
Description プロパティ (KeywordAttribute) | キーワードの説明を取得します。デフォルト値は空の文字列です。

例：2 つの引数を持つキーワードの作成

引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

<Keyword()>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub

例：キーワードの名前の指定

新しいキーワードを作成するときにキーワードの名前を指定するには、次のサンプル コードを使用します。

<Keyword("Login user")>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub
親トピック: キーワード駆動テスト クラス リファレンス
関連タスク
スクリプトのテスト メソッドをキーワードとして指定


KeywordGroupAttribute クラス

説明

クラスがキーワード グループであることを指定します。キーワードとしてマークされるこのクラス内のメソッドはキーワードです。これらのメソッドの完全修飾名は、キーワード グループの名前とキーワードの名前で構成されます。キーワード グループの名前がない場合、宣言しているクラスの単純名が代わりに使用されます。

構文

'Declaration
<AttributeUsageAttribute(AttributeTargets.Class>
Public Class KeywordGroupAttribute Inherits Attribute

プロパティ

名前 | 説明
Name プロパティ (KeywordGroupAttribute) | キーワード グループの名前を取得します。デフォルト値は空の文字列です。

例：キーワード グループの作成

キーワード グループ LoginPage を作成するには、次のサンプル コードを使用します。

<KeywordGroup()>
Public Class LoginPage
  ' keyword methods
End Class

例：キーワード グループの名前の指定

引数の説明を使用せずに、引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

<KeywordGroup("Login Page")>
Public Class LoginPage
  ' keyword methods
End Class
親トピック: キーワード駆動テスト クラス リファレンス
関連タスク
キーワードのグループ化


Mobile クラス リファレンス

Mobile コントロールのテストに利用可能なクラスを一覧します。

  • IMobileClickable インターフェイス
    クリックを使用するオブジェクトのインターフェイスです。
  • IMobileGestures インターフェイス
    ロングスワイプを使用するオブジェクトのインターフェイスです。
  • IMobileKeyable インターフェイス
    キーストロークを使用するオブジェクトのインターフェイスです。
  • MobileButton クラス
    モバイル ボタンを表します。 モバイル ボタンはクリックできます。
  • MobileDevice クラス
    モバイル デバイス。
  • MobileObject クラス
    すべてのモバイル オブジェクトの基本クラスです。
  • MobileTextField クラス
    テキスト フィールドを表します。
  • MobileWindow クラス
    モバイル ウィンドウ。
親トピック: Silk Test Workbench 言語リファレンス


IMobileClickable インターフェイス

説明

クリックを使用するオブジェクトのインターフェイスです。

構文

'Declaration
Public Class IMobileClickable

メソッド

名前 | 説明
Click | デバイスの指定した座標をクリックします。
DoubleClick | デバイスの指定した座標をダブルクリックします。
LongClick | デバイスの指定した座標をロングクリックします。
親トピック: Mobile クラス リファレンス


IMobileGestures インターフェイス

説明

ロングスワイプを使用するオブジェクトのインターフェイスです。

構文

'Declaration
Public Class IMobileGestures

メソッド

名前 | 説明
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。
Swipe | 2 つの指定したポイント間でスワイプを実行します。
SwipeDown | 下スワイプを実行します。
SwipeLeft | 左スワイプを実行します。
SwipeRight | 左スワイプを実行します。
SwipeUp | 上スワイプを実行します。
SwipeWithSegments | 指定したポイント間でスワイプを実行します。
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。
親トピック: Mobile クラス リファレンス


IMobileKeyable インターフェイス

説明

キーストロークを使用するオブジェクトのインターフェイスです。

構文

'Declaration
Public Class IMobileKeyable

メソッド

名前 | 説明
TypeKeys | 一連のキーストロークをオブジェクトに送信します。
親トピック: Mobile クラス リファレンス


MobileButton クラス

説明

モバイル ボタンを表します。 モバイル ボタンはクリックできます。

継承階層

  • MobileObject
    • MobileButton

構文

'Declaration
Public Class MobileButton _
Inherits MobileObject

プロパティ

名前 | 説明
IsEnabled | モバイル オブジェクトが有効かどうか。 (MobileObject から継承されました)
IsFocused | モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。 (MobileObject から継承されました)
IsSelected | モバイル オブジェクトが選択またはチェックされているかどうか。 (MobileObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
DragTo | モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
DragToObject | 指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Mobile クラス リファレンス


MobileDevice クラス

説明

モバイル デバイス。

継承階層

  • TestObject
    • MobileDevice

構文

'Declaration
Public Class MobileDevice _
Inherits TestObject _
Implements IMobileClickable, IMobileGestures, IMobileKeyable

プロパティ

名前 | 説明
DeviceId | 現在の接続に対するデバイスの ID。
DisplayHeight | ディスプレイの高さ (ピクセル単位)。
DisplayOrientation | デバイスの現在の向き。
DisplayWidth | ディスプレイの幅 (ピクセル単位)。
IsEmulator | 接続したデバイスがエミュレーターかどうか。
Model | 接続したデバイスのデバイス名
OperatingSystem | モバイル デバイスのオペレーティング システム (Android または iOS)
OsVersion | 接続したデバイスのオペレーティング システムのバージョン。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
CloseApp | アプリを閉じてデバイスを開放し、ほかのユーザーが使用できるようにします。
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateConnectionString | このモバイル デバイス用の接続文字列を生成します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
PressBack | 戻るボタンを押します。 このメソッドは iOS ではサポートされません。
PressDelete | 削除ボタンを押します。
PressEnter | Enter ボタンを押します。
PressHome | ホーム ボタンを押します。
PressKeyCode | 特定の Android 固有のキー コードを押します。 このメソッドは iOS ではサポートされません。
PressRecentApps | 最近使ったアプリケーション ボタンを押します。
Rotate | デバイス画面の回転をシミュレートします。
SetLocation | デバイスの地理的なロケーションを設定します。このメソッドは、Android デバイス (物理デバイスまたはエミュレーター) および iOS シミュレーター上でのみ機能します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Sleep | スクリーンがオンの場合に電源ボタンを押します。 このメソッドは iOS ではサポートされません。
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WakeUp | スクリーンがオフの場合に電源ボタンを押します。 このメソッドは iOS ではサポートされません。
親トピック: Mobile クラス リファレンス


MobileObject クラス

説明

すべてのモバイル オブジェクトの基本クラスです。

継承階層

  • TestObject
    • MobileObject
      • MobileButton
      • MobileTextField
      • MobileWindow

構文

'Declaration
Public Class MobileObject _
Inherits TestObject _
Implements IMobileClickable, IMobileGestures, IMobileKeyable

プロパティ

名前 | 説明
IsEnabled | モバイル オブジェクトが有効かどうか。
IsFocused | モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。
IsSelected | モバイル オブジェクトが選択またはチェックされているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
DragTo | モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。
DragToObject | 指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Mobile クラス リファレンス


MobileTextField クラス

説明

テキスト フィールドを表します。

継承階層

  • MobileObject
    • MobileTextField

構文

'Declaration
Public Class MobileTextField _
Inherits MobileObject

プロパティ

名前 | 説明
IsEnabled | モバイル オブジェクトが有効かどうか。 (MobileObject から継承されました)
IsFocused | モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。 (MobileObject から継承されました)
IsSelected | モバイル オブジェクトが選択またはチェックされているかどうか。 (MobileObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | テキスト フィールドのすべてのコンテンツをクリアします。
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
DragTo | モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
DragToObject | 指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキスト フィールド内のテキストを新しいテキストに置換します。
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドに入力します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Mobile クラス リファレンス


MobileWindow クラス

説明

モバイル ウィンドウ。

継承階層

  • MobileObject
    • MobileWindow

構文

'Declaration
Public Class MobileWindow _
Inherits MobileObject

プロパティ

名前 | 説明
IsEnabled | モバイル オブジェクトが有効かどうか。 (MobileObject から継承されました)
IsFocused | モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。 (MobileObject から継承されました)
IsSelected | モバイル オブジェクトが選択またはチェックされているかどうか。 (MobileObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
DragTo | モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
DragToObject | 指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Mobile クラス リファレンス


Rumba クラス リファレンス

Rumba コントロールのテストに利用可能なクラスを一覧します。

  • Rumba キー
    RumbaObject クラスの SendKeys や SynchSendKeys メソッドで使用される Rumba キーのニーモニックに対応する文字列定数です。
  • RumbaCharacterAttribute データ型
    スクリーン上の文字の文字属性を表します。
  • RumbaField クラス
    グリーン スクリーン上のフィールドを表します。
  • RumbaLabel クラス
    テキストを取得できるが設定できないスクリーン上のフィールド。
  • RumbaObject クラス
    RumbaObject。
  • RumbaScreen クラス
    グリーン スクリーン全体を表します。
  • RumbaTextField クラス
    テキストを取得および設定できるスクリーン上のフィールド。
親トピック: Silk Test Workbench 言語リファレンス
関連資料
Rumba クラス リファレンス


Rumba キー

説明

RumbaObject クラスの SendKeys や SynchSendKeys メソッドで使用される Rumba キーのニーモニックに対応する文字列定数です。
以下の文字列定数が含まれます。
文字列定数
キー ニーモニック
At
@@
Alt
@A
AltCursor
@e@1*
Attention
@A@Q
Backspace
@B
Backtab
@B
Clear
@C
Cmd
@A@Y
CursorDown
@V
CursorLeft
@L
CursorRight
@Z
CursorSelect
@e@1*
CursorUp
@U
Delete
@D
Dup
@S@x
End
@q
Enter
@E
EraseEof
@F
EraseEol
@e@d
EraseInput
@A@F
FieldExit
@A@E
FieldMark
@S@y
FieldMinus
@A@-
FieldPlus
@A@+
Help
@H
Hexadecimal
@A@X
Home
@0
Insert
@I
InsertToggle
@A@I
LocalHelp
@e@l
LocalPrint
@P
LocalHelpCursor
@e@m*
LeftTab
@B
NewLine
@e@n*
PageUp
@u
PageDown
@v
Print
@A@t
PrintScreen
@A@T
RecordBackspace
@A@<
Reset
@R
RightTab
@T
Shift
@S
SysRequest
@A@H
Tab
@T
Test
@A@C
Usm
@e@v
AplCutOnOf
@e@2
PA1
@x
PA2
@y
PA3
@z
PA4
@+
PA5
@%
PA6
@&
PA7
@'
PA8
@(
PA9
@)
PA10
@*
PF1
@1
PF2
@2
PF3
@3
PF4
@4
PF5
@5
PF6
@6
PF7
@7
PF8
@8
PF9
@9
PF10
@a
PF11
@b
PF12
@c
PF13
@d
PF14
@e
PF15
@f
PF16
@g
PF17
@h
PF18
@i
PF19
@j
PF20
@k
PF21
@l
PF22
@m
PF23
@n
PF24
@o
Cents
@n@1
VerticalBar
@d@2
Corner
@d@3
Plus
@d@4
Minus
@d@5
Quote
@d@7
HorizontalBar
@d@8
OpenBracket
@d@9
CloseBracket
@d@10
Substitute
@d@0
Synchronous
@d@a
親トピック: Rumba クラス リファレンス


RumbaCharacterAttribute データ型

スクリーン上の文字の文字属性を表します。

次の文字属性を含めることができます。
属性
説明
backgroundColor
文字の背景色。
foregroundColor
文字の前景色。
column
スクリーン上の文字の列。
line
スクリーン上の文字の行。
autoEnter
文字がオートエンター テキストの一部かどうかを定義します。
autoSkip
文字がオートスキップ テキストの一部かどうかを定義します。
blinking
文字が点滅表示かどうかを定義します。
bold
文字が太字かどうかを定義します。
columnSeparator
文字が列セパレータかどうかを定義します。
detectable
文字が検出可能テキストの一部かどうかを定義します。
hidden
文字が非表示テキストの一部かどうかを定義します。
protect
文字が保護テキストの一部かどうかを定義します。
reverseVideo
文字が反転表示かどうかを定義します。
underlined
文字が下線付きかどうかを定義します。

詳細については、Rumba Developer Edition (RDE) ドキュメントの 『IRDEAttribute プロパティ』を参照してください。

親トピック: Rumba クラス リファレンス


RumbaField クラス

説明

グリーン スクリーン上のフィールドを表します。

継承階層

  • RumbaObject
    • RumbaField
      • RumbaLabel
      • RumbaTextField

構文

'Declaration
Public Class RumbaField _
Inherits RumbaObject

プロパティ

名前 | 説明
AutoEnter | フィールドが AutoEnter フィールドの場合に true を示す値。
AutoSkip | フィールドが AutoSkip フィールドの場合に true を示す値。
Detectable | フィールドが検出可能な場合に true を示す値。
Dup | フィールドが Dup フィールドの場合に true を示す値。
EndColumn | フィールドが終了する列を示す値。
EndLine | フィールドが終了する行を示す値。
EndPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの終了位置です。
Enptui | フィールドが ENPTUI フィールドの場合に true を示す値。
FieldExitRequired | フィールドがスクリーンを終了する前に必要とされる場合に true を示す値。
Hidden | フィールドが非表示かどうかを示す値。
Intense | フィールドが強調されている場合に true を示す値。
Length | フィールドの長さ。
ModifiedDataTag | フィールドが ModifiedDataTag プロパティ セットを持つ場合に true を示す値。
Protected | フィールドが保護されている場合に true を示す値 (RumbaLabel など)。
StartColumn | フィールドが始まる列を示す値。
StartLine | フィールドが始まる行を示す値。
StartPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの開始位置です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Type | このフィールドに対して許されている入力を表す値。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterAttributes | このフィールドの文字の文字属性を取得します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Rumba クラス リファレンス


RumbaLabel クラス

説明

テキストを取得できるが設定できないスクリーン上のフィールド。

継承階層

  • RumbaField
    • RumbaLabel

構文

'Declaration
Public Class RumbaLabel _
Inherits RumbaField

プロパティ

名前 | 説明
AutoEnter | フィールドが AutoEnter フィールドの場合に true を示す値。 (RumbaField から継承されました)
AutoSkip | フィールドが AutoSkip フィールドの場合に true を示す値。 (RumbaField から継承されました)
Detectable | フィールドが検出可能な場合に true を示す値。 (RumbaField から継承されました)
Dup | フィールドが Dup フィールドの場合に true を示す値。 (RumbaField から継承されました)
EndColumn | フィールドが終了する列を示す値。 (RumbaField から継承されました)
EndLine | フィールドが終了する行を示す値。 (RumbaField から継承されました)
EndPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの終了位置です。 (RumbaField から継承されました)
Enptui | フィールドが ENPTUI フィールドの場合に true を示す値。 (RumbaField から継承されました)
FieldExitRequired | フィールドがスクリーンを終了する前に必要とされる場合に true を示す値。 (RumbaField から継承されました)
Hidden | フィールドが非表示かどうかを示す値。 (RumbaField から継承されました)
Intense | フィールドが強調されている場合に true を示す値。 (RumbaField から継承されました)
Length | フィールドの長さ。 (RumbaField から継承されました)
ModifiedDataTag | フィールドが ModifiedDataTag プロパティ セットを持つ場合に true を示す値。 (RumbaField から継承されました)
Protected | フィールドが保護されている場合に true を示す値 (RumbaLabel など)。 (RumbaField から継承されました)
StartColumn | フィールドが始まる列を示す値。 (RumbaField から継承されました)
StartLine | フィールドが始まる行を示す値。 (RumbaField から継承されました)
StartPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの開始位置です。 (RumbaField から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Type | このフィールドに対して許されている入力を表す値。 (RumbaField から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterAttributes | このフィールドの文字の文字属性を取得します。 (RumbaField から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Rumba クラス リファレンス


RumbaObject クラス

説明

RumbaObject。

継承階層

  • TestObject
    • RumbaObject
      • RumbaField
      • RumbaScreen

構文

'Declaration
Public Class RumbaObject _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Rumba クラス リファレンス


RumbaScreen クラス

説明

グリーン スクリーン全体を表します。

継承階層

  • RumbaObject
    • RumbaScreen

構文

'Declaration
Public Class RumbaScreen _
Inherits RumbaObject

プロパティ

名前 | 説明
BackgroundColor | ディスプレイ コントロールの背景色。
CharacterSetId | ディスプレイ コントロールが使用する文字セット変換テーブルを識別する値。
ColumnCount | 現在のスクリーンの列数を示す値。
CursorColumn | スクリーン上のカーソルの列の位置。
CursorLine | スクリーン上のカーソルの行の位置。
CursorPosition | スクリーン上の現在のカーソル位置。 X と Y の値は 1 から始まる値です (最初の行または列を表す)。
HostConnected | ホストが接続されているかどうかを示す値。
HostDeviceName | ホスト デバイス名。
HostIpAddress | ホスト IP アドレス。
KeyboardLocked | キーボード入力が抑制されているかどうかを示す値。
LineCount | 現在のスクリーンの行数を示す値。
ScreenId | スクリーン ID。
ScreenSize | テキストの行数と列数で表したスクリーンのサイズ。
SessionName | セッション名。
SupportsStructuredFields | ホストが構造化フィールドのデコードをサポートするかどうかを示す値。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | 「クリア (CLEAR)」キーを送信してスクリーンをクリアします。 synchSendKeys(RumbaKey.CLEAR) と等価です。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Connect | 現在の構成内のホストに接続します。
Disconnect | 現在の接続を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterAttributes | 指定した位置から始まる、指定した長さの文字に対する文字属性を取得します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetContent | 指定したテキスト位置から始まる改行を含まないスクリーンを含んだ文字列を取得します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetLines | スクリーンの指定範囲を取得し、選択した行を文字列のリストとして返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Reset | 「リセット (RESET)」キーを送信してスクリーンをリセットします。 synchSendKeys(RumbaKey.RESET) と等価です。
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
SetCursorPosition | スクリーンの指定した位置にカーソルを移動します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Submit | 「送信 (SUBMIT)」キーを送信して入力したデータをサーバーに送信します。 synchSendKeys(RumbaKey.SUBMIT) と等価です。
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForHostConnected | セッションが接続されるまで待機します。
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WriteText | スクリーン上にテキストを書き出します。
親トピック: Rumba クラス リファレンス


RumbaTextField クラス

説明

テキストを取得および設定できるスクリーン上のフィールド。

継承階層

  • RumbaField
    • RumbaTextField

構文

'Declaration
Public Class RumbaTextField _
Inherits RumbaField

プロパティ

名前 | 説明
AutoEnter | フィールドが AutoEnter フィールドの場合に true を示す値。 (RumbaField から継承されました)
AutoSkip | フィールドが AutoSkip フィールドの場合に true を示す値。 (RumbaField から継承されました)
Detectable | フィールドが検出可能な場合に true を示す値。 (RumbaField から継承されました)
Dup | フィールドが Dup フィールドの場合に true を示す値。 (RumbaField から継承されました)
EndColumn | フィールドが終了する列を示す値。 (RumbaField から継承されました)
EndLine | フィールドが終了する行を示す値。 (RumbaField から継承されました)
EndPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの終了位置です。 (RumbaField から継承されました)
Enptui | フィールドが ENPTUI フィールドの場合に true を示す値。 (RumbaField から継承されました)
FieldExitRequired | フィールドがスクリーンを終了する前に必要とされる場合に true を示す値。 (RumbaField から継承されました)
Hidden | フィールドが非表示かどうかを示す値。 (RumbaField から継承されました)
Intense | フィールドが強調されている場合に true を示す値。 (RumbaField から継承されました)
Length | フィールドの長さ。 (RumbaField から継承されました)
ModifiedDataTag | フィールドが ModifiedDataTag プロパティ セットを持つ場合に true を示す値。 (RumbaField から継承されました)
Protected | フィールドが保護されている場合に true を示す値 (RumbaLabel など)。 (RumbaField から継承されました)
StartColumn | フィールドが始まる列を示す値。 (RumbaField から継承されました)
StartLine | フィールドが始まる行を示す値。 (RumbaField から継承されました)
StartPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの開始位置です。 (RumbaField から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Type | このフィールドに対して許されている入力を表す値。 (RumbaField から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterAttributes | このフィールドの文字の文字属性を取得します。 (RumbaField から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキスト フィールドのテキストを設定します。
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Rumba クラス リファレンス


SAP クラス リファレンス

SAP コントロールのテストに利用可能なクラスを一覧します。

  • ISapContextMenuable インターフェイス
    コンテキスト メニューの選択をサポートする任意のコンポーネント用のインターフェイスです。
  • SapBarChart クラス
    SAP の BarChart クラスです。
  • SapBox クラス
    SAP の SapBox クラスです。
  • SapButton クラス
    SapButton クラスはプッシュ ボタンのクラスです。
  • SapCalendar クラス
    SapCalendar クラスは SapCalendar を表します。
  • SapChart クラス
    SAP の Chart クラスです。
  • SapCheckBox クラス
    SapCheckBox クラスは、チェック ボックス コントロールのクラスです。
  • SapColorSelector クラス
    SapColorSelector クラスは SapColorSelector を表します。
  • SapComboBox クラス
    SAP の ComboBox クラスです。
  • SapComponent クラス
    SapComponent クラスは SAP の基本クラスです。
  • SapContainer クラス
    SAP の Container クラスです。
  • SapContainerShell クラス
    SAP の ConainerShell クラスです。
  • SapContextMenu クラス
    SAP コンテキスト メニューのクラスです。
  • SapCustomControl クラス
    SAP の CustomControl クラスです。
  • SapDockShell クラス
    SAP の DockShell クラスです。
  • SapGridView クラス
    SAP の GridView クラス。 Get で始まる名前のメソッドのいくつかは、タイプ文字列の入力パラメーターとして column を必要とします。 このパラメーターは個々の GridView 要素によって異なります。このパラメーターの値を取得するには、必要な項目の操作を記録し、記録したパラメーターを使用します。
  • SapHorizontalScrollBar クラス
    水平スクロール バーのクラスです。
  • SapHTMLViewer クラス
    SAP の HTMLView クラスです。
  • SapLabel クラス
    SapLabel クラスはすべての SAP ラベルのクラスです。
  • SapMenu クラス
    SAP の Menu クラスです。
  • SapMenubar クラス
    SAP の MenuBar クラスです。
  • SapNetPlan クラス
    SAP の NetChart クラスです。
  • SapOfficeIntegration クラス
    SAP の OfficeIntegration クラスです。
  • SapOkCodeField クラス
    SapOkCodeField クラスは SAP OkCodeField のクラスです。
  • SapPicture クラス
    SAP 画像のクラスです。
  • SapRadioButton クラス
    SapRadioButton クラスはラジオ ボタン コントロールのクラスです。
  • SapScrollbar クラス
    SAP の Scrollbar クラスです。
  • SapScrollContainer クラス
    SAP の UserArea クラスです。
  • SapShell クラス
    SAP の SapShell クラスです。
  • SapSimpleContainer クラス
    SAP の SimpleContainer クラスです。
  • SapSplitterContainer クラス
    SAP スプリッタ コンテナーのクラスです。
  • SapStatusbar クラス
    SAP の ステータス バー クラスです。
  • SapTab クラス
    SAP の Tab クラスです。
  • SapTable クラス
    SapTable クラスは SAP テーブルのクラスです。
  • SapTabStrip クラス
    SAP のタブ ペイン クラスです。
  • SapTextEdit クラス
    SAP の TextEdit クラスです。
  • SapTextField クラス
    SapTextfield はユーザーが変更可能なテキストを保持する、単一行および複数行フィールドのクラスです。
  • SapTitlebar クラス
    SAP の Titlebar クラスです。
  • SapToolbar クラス
    SAP の Toolbar クラスです。
  • SapToolbarControl クラス
    SAP の ToolbarControl クラスです。
  • SapTree クラス
    SapTree クラスはすべての SAP ツリーのクラスです。 Get で始まる名前のメソッドのいくつかは、タイプ文字列の入力パラメーターとして nodeKey と ItemName を必要とします。 これらのパラメーターは個々の SapTree 要素によって異なります。 これらのパラメーターの値を取得するには、必要な項目の操作を記録し、記録したパラメーターを使用します。
  • SapUserArea クラス
    SAP の UserArea クラスです。
  • SapVerticalScrollBar クラス
    垂直スクロール バーのクラスです。
  • SapWindow クラス
    SapWindow クラスはトップ レベル ウィンドウのクラスです。
親トピック: Silk Test Workbench 言語リファレンス


ISapContextMenuable インターフェイス

説明

コンテキスト メニューの選択をサポートする任意のコンポーネント用のインターフェイスです。

構文

'Declaration
Public Class ISapContextMenuable

メソッド

名前 | 説明
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。
親トピック: SAP クラス リファレンス


SapBarChart クラス

説明

SAP の BarChart クラスです。

継承階層

  • SapShell
    • SapBarChart

構文

'Declaration
Public Class SapBarChart _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityDescription | シェルのアクセシビリティの説明。
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
ChartCount | グラフの数。
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
BarCount | 指定したグラフの棒の数を返します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetBarContent | 棒のコンテンツを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetGridLineContent | グリッド線のコンテンツを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GridCount | グラフ内のグリッドの数を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LinkCount | 指定したグラフ内のリンクの数を返します。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SendData | サーバーにデータを送信します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapBox クラス

説明

SAP の SapBox クラスです。

継承階層

  • SapComponent
    • SapBox

構文

'Declaration
Public Class SapBox _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapButton クラス

説明

SapButton クラスはプッシュ ボタンのクラスです。

継承階層

  • SapComponent
    • SapButton

構文

'Declaration
Public Class SapButton _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）。
CharLeft | 要素の左からの座標（文字単位）。
CharTop | 要素の上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | このメソッドはボタンの手動による押下をエミュレートします。 ボタンの押下は、常にサーバーとの通信を発生させ、そのウィンドウ レベル以下の要素へのすべての無効な参照がレンダリングされます。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapCalendar クラス

説明

SapCalendar クラスは SapCalendar を表します。

継承階層

  • SapShell
    • SapCalendar

構文

'Declaration
Public Class SapCalendar _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
Day | 現在選択されている月の日。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
EndSelection | 選択範囲の終了点。
FirstVisibleDate | カレンダ コントロールの最も早い可視な日付。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
LastVisibleDate | カレンダ コントロールの最後の可視な日付。
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Month | 現在選択されている年の月。
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectionInterval | 現在選択されている範囲。
StartSelection | 選択範囲の開始点。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Week | 現在選択されている年の週。
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
Year | 現在選択されている年。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ContextMenu | コンテキスト メニューを開きます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFirstVisibleDate | カレンダ コントロールの最も早い可視な日付を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetFocusDate | フォーカスを持つ日付を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionInterval | 指定した範囲を選択します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapChart クラス

説明

SAP の Chart クラスです。

継承階層

  • SapShell
    • SapChart

構文

'Declaration
Public Class SapChart _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityDescription | シェルのアクセシビリティの説明。
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ValueChange | グラフの値を変更します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapCheckBox クラス

説明

SapCheckBox クラスは、チェック ボックス コントロールのクラスです。

継承階層

  • SapComponent
    • SapCheckBox

構文

'Declaration
Public Class SapCheckBox _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）。
CharLeft | 要素の左からの座標（文字単位）。
CharTop | 要素の上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
Checked | チェックボックスがチェックされているかどうか。
ColorIndex | この要素のリスト色のインデックス。
ColorIntensified | この要素の画面描画に対して INTENSIFIED フラグが設定されているかどうか。
ColorInverse | この要素の画面描画に対して INVERSE 色スタイルが設定されているかどうか。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Flushing | 値の変更がラウンド トリップするかどうか。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsLeftLabel | コンポーネントが 'assign left' フラグを持つかどうか。
IsListElement | 要素が画面でなく ABAP リスト上にあるかどうか。
IsRightLabel | コンポーネントが 'assign right' フラグを持つかどうか。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
RowText | 現在のコンポーネントを含んでいる行全体のテキスト。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapColorSelector クラス

説明

SapColorSelector クラスは SapColorSelector を表します。

継承階層

  • SapShell
    • SapColorSelector

構文

'Declaration
Public Class SapColorSelector _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeSelection | 指定したインデックスの位置の色を選択します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapComboBox クラス

説明

SAP の ComboBox クラスです。

継承階層

  • SapComponent
    • SapComboBox

構文

'Declaration
Public Class SapComboBox _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）。
CharLeft | 要素の左からの座標（文字単位）。
CharTop | 要素の上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Flushing | 値の変更がラウンド トリップするかどうか。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsLeftLabel | コンポーネントが 'assign left' フラグを持つかどうか。
IsListBoxActive | コンボ ボックスのリスト ボックスが現在開かれているかどうか。
IsRightLabel | コンポーネントが 'assign right' フラグを持つかどうか。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Key | 現在選択されている項目のキー。
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
Required | コンポーネントが画面に必要な値かどうか。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCurrentEntryKey | 現在のエントリのキーを取得します。
GetCurrentEntryValue | 現在のエントリの値を取得します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetEntryKeys | すべてのエントリ キーのリストを取得します。
GetEntryValues | すべてのエントリ値のリストを取得します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectItem | 指定した項目を選択します。
SelectKey | 指定したキーを持つリスト項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapComponent クラス

説明

SapComponent クラスは SAP の基本クラスです。

継承階層

  • TestObject
    • SapComponent
      • SapBox
      • SapButton
      • SapCheckBox
      • SapComboBox
      • SapContainer
      • SapContainerShell
      • SapCustomControl
      • SapDockShell
      • SapLabel
      • SapMenu
      • SapMenubar
      • SapOkCodeField
      • SapRadioButton
      • SapScrollContainer
      • SapShell
      • SapSimpleContainer
      • SapSplitterContainer
      • SapStatusbar
      • SapTab
      • SapTable
      • SapTabStrip
      • SapTextField
      • SapTitlebar
      • SapToolbar
      • SapUserArea
      • SapWindow

構文

'Declaration
Public Class SapComponent _
Inherits TestObject _
Implements IFocusable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。
Changeable | オブジェクトが変更可能かどうか。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。
Height | 現在のコンポーネントの高さ。
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。
Left | 画面上の座標で要素の左からの位置。
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。
Name | コンポーネントの名前。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。
ScreenTop | 画面上の座標でコンポーネントの上からの位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。
Top | 画面上の座標で要素の上からの位置。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapContainer クラス

説明

SAP の Container クラスです。

継承階層

  • SapComponent
    • SapContainer

構文

'Declaration
Public Class SapContainer _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapContainerShell クラス

説明

SAP の ConainerShell クラスです。

継承階層

  • SapComponent
    • SapContainerShell

構文

'Declaration
Public Class SapContainerShell _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapContextMenu クラス

説明

SAP コンテキスト メニューのクラスです。

SAP コンテキスト メニューの項目を決定する方法については、『Determining the item names and item texts of a SapContextMenu』を参照してください。

継承階層

  • SapMenu
    • SapContextMenu

構文

'Declaration
Public Class SapContextMenu _
Inherits SapMenu

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | メニューを選択します。 (SapMenu から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapCustomControl クラス

説明

SAP の CustomControl クラスです。

継承階層

  • SapComponent
    • SapCustomControl

構文

'Declaration
Public Class SapCustomControl _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapDockShell クラス

説明

SAP の DockShell クラスです。

継承階層

  • SapComponent
    • SapDockShell

構文

'Declaration
Public Class SapDockShell _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapGridView クラス

説明

SAP の GridView クラス。 Get で始まる名前のメソッドのいくつかは、タイプ文字列の入力パラメーターとして column を必要とします。 このパラメーターは個々の GridView 要素によって異なります。このパラメーターの値を取得するには、必要な項目の操作を記録し、記録したパラメーターを使用します。

継承階層

  • SapShell
    • SapGridView

構文

'Declaration
Public Class SapGridView _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
ColumnCount | 列の数。
ColumnOrder | すべての列識別子がその表示順でを含まれる文字列のリスト。
CurrentCellColumn | 現在の列。
CurrentCellRow | 現在の行。
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
FirstVisibleColumn | グリッド ビューのスクロール可能領域の最初の可視な列。固定された列は無視されます。
FirstVisibleRow | グリッドの最初の可視な行のインデックス。
FrozenColumnCount | 水平方向のスクロールから除外される列の数。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
RowCount | 行の数。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectedCells | 選択したセルを含む文字列のリスト。それぞれの書式は "<行>,<列 ID>" となります。
SelectedColumns | 現在選択されている列の文字列のリスト。
SelectedRows | 行インデックス番号、またはインデックス範囲のカンマ区切りリスト（"1,4,6-8" など）。
SelectionMode | 選択モード。 有効な値は、"RowsAndColumns"、"ListboxSingle"、"ListboxMultiple"、"Free" です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | グリッド コントロールのタイトル。
ToolbarButtonCount | 区切りを含むツール バーのボタンの数。
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VisibleRowCount | グリッド ビューの可視な行の数。
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | すべての行、列、セルの選択を削除します。
Click | 指定したセルをクリックします。
ClickCurrentCell | 現在のセルをクリックします。
ContextMenu | コンテキスト メニューを要求します。
CurrentCellMoved | この関数は、他のセルが現在のセルになったことをサーバーに通知します。 現在のセルが変更された場合に関数が呼び出されます。
DeleteRows | 指定した行を削除します。
DeselectColumn | 選択した列のリストから指定した列を削除します。
DoubleClick | 指定したセルをダブルクリックします。
DoubleClickCurrentCell | 現在のセルをダブルクリックします。
DuplicateRows | 指定した範囲の行を複製します
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellColor | セルの色の識別子を返します。
GetCellHeight | セルの高さ（ピクセル単位）を取得します。
GetCellIcon | 指定したセルのアイコン文字列を取得します。
GetCellLeft | セルの左からの位置を取得します。
GetCellMaxLength | セルの最大の長さをバイト数で取得します。
GetCellState | 指定したセルの状態を取得します。 有効な値は、Normal、Error、Warning、Info です。
GetCellTooltip | 指定したセルのツールチップを取得します。
GetCellTop | 指定したセルの上からの位置を取得します。
GetCellType | 指定したセルのセル タイプを取得します。
GetCellValue | 指定したセルの値を取得します。
GetCellWidth | 指定したセルの幅を取得します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColorInfo | セルの色の説明を返します。
GetColumnDataType | 列のデータ型を取得します。
GetColumnPosition | 指定した列の位置を取得します。
GetColumnSortType | 列のソート種別を取得します。 有効な値は、None、Ascending、Descending です。
GetColumnTitles | 指定した列のすべての列タイトルを取得します。
GetColumnTooltip | 指定した列のツールチップ テキストを取得します。
GetColumnTotalType | 列の合計種別を取得します。 有効な値は、None、Total、Subtotal です。
GetDisplayedColumnTitle | 指定した列の現在表示されているタイトルを取得します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetRowTotalLevel | 行のレベルを取得します。
GetSymbolInfo | セルの記号の説明を返します。
GetToolbarButtonIcon | 指定したツール バー ボタンのアイコン名を取得します。
GetToolbarButtonId | 指定したツール バー ボタンの ID を取得します。
GetToolbarButtonText | 指定したツール バー ボタンのテキストを取得します。
GetToolbarButtonTooltip | 指定したツール バー ボタンのツールチップを取得します
GetToolbarButtonType | 指定したツール バーのボタンの種類を取得します。 有効な値は、"Button"、"ButtonAndMenu"、"Menu"、"Separator"、"Group"、"CheckBox" です。
GetToolbarFocusButton | 現在フォーカスを持つツール バー ボタンの位置を取得します
HasCellF4Help | 指定したセルがヘルプが割り当てられた値を持つ場合に true を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
InsertRows | 行の範択を挿入します
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsCellChangeable | 指定したセルが変更可能な場合に true を返します。
IsCellCheckBoxChecked | 指定した位置にあるチェック ボックスがチェックされている場合に true を返します。
IsCellHotspot | セルがリンクである場合に true を返します。
IsCellSymbol | セルのテキストが SAP シンボル フォントで表示されている場合に true を返します。
IsCellTotalExpander | 指定したセルに合計エクスパンダ ボタンがある場合に true を返します。
IsColumnFiltered | 指定した列がフィルタリングされている場合に true を返します。
IsColumnKey | 指定した列がキー列である場合に true を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsToolbarButtonChecked | 指定したツール バー ボタンがチェックされている場合に true を返します。
IsToolbarButtonEnabled | 指定したボタンが有効な場合に true を返します。
IsTotalRowExpanded | 指定した合計行が展開されているかどうかを取得します。
ModifyCell | 指定したセルの値を変更します。
ModifyCheckBox | 指定したチェック ボックス セルの値を変更します。
MoveRows | fromRow 以上、toRow 以下のインデックスを持つ行を destRowの位置に移動させます。
PressButton | 指定したセルにあるボタンを押します。
PressButtonCurrentCell | 現在のセルにあるボタンをクリックします。
PressColumnHeader | 指定した列のヘッダーをクリックします。
PressEnter | Enter キーを押します。
PressF1 | F1 キーを押します。
PressF4 | F4 キーを押します。
PressToolbarButton | グリッド ビューのツール バーの指定したボタンをクリックします。
PressToolbarContextButton | グリッド ビューのツール バーの指定したボタンのコンテキスト メニューを開きます。
PressTotalRow | 指定した合計行の行ボタンを押します。
PressTotalRowCurrentCell | 現在のセルにある展開ボタンを押します。
SelectAll | グリッドのコンテンツ全体（たとえば、すべての行と列）を選択します。
SelectColumn | 選択した列のリストに指定した列を追加します。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SelectionChanged | 選択範囲が変更されたことをサーバーに通知します
SelectToolbarMenuItem | グリッド ビューのツール バーのコンテキスト メニューから項目を選択します。
SetColumnOrder | 列の順序を設定します。
SetColumnWidth | 指定した列の幅を設定します。
SetCurrentCell | 指定したセルを現在のセルとして設定します。
SetCurrentCellColumn | 現在のセルの列を指定します。
SetCurrentCellRow | 現在のセルの行を設定します。
SetFirstVisibleColumn | 最初の可視な列を設定します。
SetFirstVisibleRow | 最初の可視な行を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectedRows | 指定した行を選択します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TriggerModified | セルの複数の変更をサーバーに通知します。一般医、ModifyCell への複数の呼び出しの跡に、このメソッドは呼び出されます。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapHorizontalScrollBar クラス

説明

水平スクロール バーのクラスです。

継承階層

  • SapScrollbar
    • SapHorizontalScrollBar

構文

'Declaration
Public Class SapHorizontalScrollBar _
Inherits SapScrollbar

プロパティ

名前 | 説明
Maximum | スクロール バーの最大値。 (SapScrollbar から継承されました)
Minimum | スクロール バーの最小値。 (SapScrollbar から継承されました)
PageSize | スクロール バーのページ サイズ。 (SapScrollbar から継承されました)
Position | スクロール バーの現在の位置。 (SapScrollbar から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
ScrollTo | 指定した位置にスクロールします。 (SapScrollbar から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapHTMLViewer クラス

説明

SAP の HTMLView クラスです。

継承階層

  • SapShell
    • SapHTMLViewer

構文

'Declaration
Public Class SapHTMLViewer _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DocumentComplete | ドキュメントが完全かどうか。
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ContextMenu | コンテキスト メニューの要求をエミュレートします。 バックエンドによって提供されるコンテキスト メニューに対してのみ適用されます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SapEvent | この関数は HTML フォームをバックエンドに送信します。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapLabel クラス

説明

SapLabel クラスはすべての SAP ラベルのクラスです。

継承階層

  • SapComponent
    • SapLabel

構文

'Declaration
Public Class SapLabel _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharLeft | ラベルの左からの座標（文字単位）。
CharTop | ラベルの上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
ColorIndex | ラベルの色インデックス。
ColorInverse | ラベルに対して INVERSE 色スタイルが設定されているかどうか。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DisplayedText | ラベルのテキスト。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
Highlighted | ラベルに対して 'highlighted' フラグが割り当てられているかどうか。
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsHotspot | ラベルに対するマウス クリックがラウンド トリップするかどうか。
IsLeftLabel | コンポーネントに 'assign left' フラグが割り当てられているかどうか。
IsListElement | 要素が ABAP リスト上にあるかどうか。
IsRightLabel | コンポーネントに 'assign right' フラグが割り当てられているかどうか。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Maxlength | ラベルのテキストの最大の長さ（コード単位）。
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
Numerical | ラベルに数値だけを含めることができるかどうか。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapMenu クラス

説明

SAP の Menu クラスです。

継承階層

  • SapComponent
    • SapMenu
      • SapContextMenu

構文

'Declaration
Public Class SapMenu _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | メニューを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapMenubar クラス

説明

SAP の MenuBar クラスです。

継承階層

  • SapComponent
    • SapMenubar

構文

'Declaration
Public Class SapMenubar _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapNetPlan クラス

説明

SAP の NetChart クラスです。

継承階層

  • SapShell
    • SapNetPlan

構文

'Declaration
Public Class SapNetPlan _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityDescription | シェルのアクセシビリティの説明。
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
LinkCount | ネットのリンクの数。
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
NodeCount | ネットのノードの数。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetLinkContent | リンクのコンテンツを返します。
GetNodeContent | ノードのコンテンツを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SendData | この関数は、コントロール側でトリガーされたアクションそれぞれの出力をエミュレートします。 アクションの結果はサーバーに送信されます。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapOfficeIntegration クラス

説明

SAP の OfficeIntegration クラスです。

継承階層

  • SapShell
    • SapOfficeIntegration

構文

'Declaration
Public Class SapOfficeIntegration _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapOkCodeField クラス

説明

SapOkCodeField クラスは SAP OkCodeField のクラスです。

継承階層

  • SapComponent
    • SapOkCodeField

構文

'Declaration
Public Class SapOkCodeField _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
Opened | GuiOkCodeField が折りたたまれているかどうか。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Close | GuiOkCodeField を折りたたみます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Open | GuiOkCodeField を展開します。
PressF1 | GuiOkCodeField にフォーカスがある間に F1 キーを押すことをエミュレートします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | コントロールのテキストを指定したテキストに設定します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapPicture クラス

説明

SAP 画像のクラスです。

継承階層

  • SapShell
    • SapPicture

構文

'Declaration
Public Class SapPicture _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DisplayMode | 画像の表示モード（"Normal"、"Stretch"、"Fit"、"NormalCenter"、"FitCenter" など）。
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
Icon | SAPGUI アイコン コード（"@01@" など）。
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Url | 画像の URL
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | 画像をクリックします
ClickControlArea | 指定した位置をクリックします
ClickPictureArea | 画像領域の指定した位置をクリックします
ContextMenu | この関数は指定した位置にコンテキスト メニューを開きます。 座標は、画面上に表示される画像コントロールに対してピクセル単位で指定します。
DoubleClick | 画像をダブルクリックします
DoubleClickControlArea | 指定した位置をダブルクリックします
DoubleClickPictureArea | 画像領域の指定した位置をダブルクリックします
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapRadioButton クラス

説明

SapRadioButton クラスはラジオ ボタン コントロールのクラスです。

継承階層

  • SapComponent
    • SapRadioButton

構文

'Declaration
Public Class SapRadioButton _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）
CharLeft | 要素の左からの座標（文字単位）
CharTop | 要素の上からの座標（文字単位）
CharWidth | 要素の幅（文字単位）
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Flushing | 値の変更がラウンド トリップするかどうか
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsLeftLabel | コンポーネントが 'assign left' フラグを持つかどうか
IsRightLabel | コンポーネントが 'assign right' フラグを持つかどうか
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Selected | ラジオ ボタンが選択されているかどうか
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | ラジオ ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapScrollbar クラス

説明

SAP の Scrollbar クラスです。

継承階層

  • TestObject
    • SapScrollbar
      • SapHorizontalScrollBar
      • SapVerticalScrollBar

構文

'Declaration
Public Class SapScrollbar _
Inherits TestObject

プロパティ

名前 | 説明
Maximum | スクロール バーの最大値。
Minimum | スクロール バーの最小値。
PageSize | スクロール バーのページ サイズ。
Position | スクロール バーの現在の位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
ScrollTo | 指定した位置にスクロールします。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapScrollContainer クラス

説明

SAP の UserArea クラスです。

継承階層

  • SapComponent
    • SapScrollContainer

構文

'Declaration
Public Class SapScrollContainer _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapShell クラス

説明

SAP の SapShell クラスです。

継承階層

  • SapComponent
    • SapShell
      • SapBarChart
      • SapCalendar
      • SapChart
      • SapColorSelector
      • SapGridView
      • SapHTMLViewer
      • SapNetPlan
      • SapOfficeIntegration
      • SapPicture
      • SapTextEdit
      • SapToolbarControl
      • SapTree

構文

'Declaration
Public Class SapShell _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapSimpleContainer クラス

説明

SAP の SimpleContainer クラスです。

継承階層

  • SapComponent
    • SapSimpleContainer

構文

'Declaration
Public Class SapSimpleContainer _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapSplitterContainer クラス

説明

SAP スプリッタ コンテナーのクラスです。

継承階層

  • SapComponent
    • SapSplitterContainer

構文

'Declaration
Public Class SapSplitterContainer _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapStatusbar クラス

説明

SAP の ステータス バー クラスです。

継承階層

  • SapComponent
    • SapStatusbar

構文

'Declaration
Public Class SapStatusbar _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
MessageId | ABAP メッセージ呼び出しで使用されたメッセージ クラスの名前
MessageNumber | ABAP メッセージ呼び出しで使用されたメッセージ番号
MessageType | ステータス バーに表示されたメッセージの種類（たとえば、S (Success)、W (Warning)、E (Error)、A (Abort)、 I (Information)）
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
DoubleClick | ステータス バーをダブルクリックします
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTab クラス

説明

SAP の Tab クラスです。

継承階層

  • SapComponent
    • SapTab

構文

'Declaration
Public Class SapTab _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | タブを選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTable クラス

説明

SapTable クラスは SAP テーブルのクラスです。

継承階層

  • SapComponent
    • SapTable

構文

'Declaration
Public Class SapTable _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）。
CharLeft | 要素の左からの座標（文字単位）。
CharTop | 要素の上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
ColumnCount | テーブルの列の数。
ColumnSelectionMode | 列の選択モード。
CurrentColumn | 現在の列のインデックス。
CurrentRow | 現在の行のインデックス。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
RowCount | テーブルの行の数（不可視の行を含む）。
RowSelectionMode | 行の選択モード。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
TableFieldName | テーブルのフィールド名。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VisibleRowCount | テーブルの可視な行の数。
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ConfigureLayout | テーブルのレイアウトを変更するために、レイアウトの設定ダイアログを開きます。
DeselectAllColumns | この関数は、1 ステップですべての列の選択を解除できるボタンを持つテーブル コントロールに対して使用することができます。
DeselectColumn | 指定した列の選択を解除します。
DeselectRow | 指定した行の選択を解除します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCell | 可視なテーブル セルを返します。
GetCellAbsolute | テーブル セルを返します。 行が表示されていない場合、スクロールして表示します。
GetCellsForRow | 指定した行のセルを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnTitle | このメソッドは指定した列のタイトルを返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVisibleCellsForColumn | 指定した列の可視なセルを返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsColumnSelected | 指定した列が選択されている場合に true を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsRowSelected | 指定した行が選択されている場合に true を返します。
ReorderTable | このメソッドは列の順序を並べ替えます。
SelectAllColumns | この関数は、1 ステップですべての列を選択できるボタンを持つテーブル コントロールに対して使用することができます。
SelectColumn | 指定した列を選択します。
SelectRow | 指定した行を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTabStrip クラス

説明

SAP のタブ ペイン クラスです。

継承階層

  • SapComponent
    • SapTabStrip

構文

'Declaration
Public Class SapTabStrip _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectedTab | 現在選択されているタブ。
Tabs | タブ ペインのすべてのタブ。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTextEdit クラス

説明

SAP の TextEdit クラスです。

継承階層

  • SapShell
    • SapTextEdit

構文

'Declaration
Public Class SapTextEdit _
Inherits SapShell

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentColumn | 現在キャレットがある列のインデックス。
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
CurrentLine | 現在キャレットがある行のインデックス。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
FirstVisibleLine | テキスト編集コントロールの上端に表示されている最初の可視な行。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
LastVisibleLine | テキスト編集コントロールの下端に表示されている最後の可視な行。
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
LineCount | テキスト編集コントロールのすべての行の数。
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectedText | 現在選択されているテキスト。
SelectionEndColumn | 選択範囲の終了点の列インデックス。
SelectionEndLine | 選択範囲の終了点の行インデックス。
SelectionIndexEnd | テキストの選択範囲全体の終了インデックス。
SelectionIndexStart | テキストの選択範囲全体の開始インデックス。
SelectionStartColumn | テキストの選択範囲の列の開始インデックス。
SelectionStartLine | 選択範囲の開始点の行インデックス。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ContextMenu | コンテキスト メニューを要求します。
DoubleClick | テキスト編集コントロールをダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetLineText | 指定した行のテキストを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsBreakpointLine | 指定した行にブレークポイントが含まれているかどうかを取得します。
IsCommentLine | 指定した行がコメント行である場合に true を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsHighlightedLine | 指定した行がハイライトされている場合に true を返します。
IsProtectedLine | 指定した行が保護されている場合に true を返します。
PressF1 | F1 キーを押します。
PressF4 | F4 キーを押します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionIndexes | 指定した範囲のテキストを選択します。
SetText | テキスト編集コントロールに指定したテキストを設定します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTextField クラス

説明

SapTextfield はユーザーが変更可能なテキストを保持する、単一行および複数行フィールドのクラスです。

継承階層

  • SapComponent
    • SapTextField

構文

'Declaration
Public Class SapTextField _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DisplayedText | 画面上に表示されるテキスト（前後の空白を含む）。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPasswordText | 暗号化されたパスワードをオブジェクトに送信します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | コントロールのテキストを指定したテキストに設定します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTitlebar クラス

説明

SAP の Titlebar クラスです。

継承階層

  • SapComponent
    • SapTitlebar

構文

'Declaration
Public Class SapTitlebar _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapToolbar クラス

説明

SAP の Toolbar クラスです。

継承階層

  • SapComponent
    • SapToolbar

構文

'Declaration
Public Class SapToolbar _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapToolbarControl クラス

説明

SAP の ToolbarControl クラスです。

継承階層

  • SapShell
    • SapToolbarControl

構文

'Declaration
Public Class SapToolbarControl _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
ButtonCount | 区切りを含むツール バーのボタンの数。
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
FocusedButton | 現在フォーカスを持つボタンの 0 を基準としたインデックス。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetButtonIcon | 指定したツール バー ボタンのアイコン名を取得します。
GetButtonType | 指定したツール バーのボタンの種類を取得します。 有効な値は、"Button"、"ButtonAndMenu"、"Menu"、"Separator"、"Group"、"CheckBox" です
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsButtonChecked | ボタンが現在チェックされている（押されている）かどうかを取得します。
IsButtonEnabled | ボタンを押すことができるかどうかを取得します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
PressContextButton | 指定した ID を持つコンテキスト ボタンを押します。
SelectButton | 指定した ID を持つボタンの押下をエミュレートします。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SelectMenuItem | 指定した ID を持つメニュー項目の選択をエミュレートします。
SelectMenuItemByText | メニュー項目のテキストによるメニュー項目の選択をエミュレートします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTree クラス

説明

SapTree クラスはすべての SAP ツリーのクラスです。 Get で始まる名前のメソッドのいくつかは、タイプ文字列の入力パラメーターとして nodeKey と ItemName を必要とします。 これらのパラメーターは個々の SapTree 要素によって異なります。 これらのパラメーターの値を取得するには、必要な項目の操作を記録し、記録したパラメーターを使用します。

継承階層

  • SapShell
    • SapTree

構文

'Declaration
Public Class SapTree _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityDescription | シェルのアクセシビリティの説明。
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
ColumnHeaders | 列のタイトルのコレクション。
ColumnNames | 列名のコレクション。
ColumnOrder | 列順序。
ColumnTitles | 列のタイトルのコレクション。
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
FocusedNodeKey | フォーカスを持つノードのキー。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
HierarchyHeaderWidth | 階層ヘッダーの幅（ピクセル単位）。
HierarchyTitle | 階層タイトル。
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
NodeKeys | アプリケーションに依存したルート ノードのノード キーまたはツリーのすべてのノードのオード キーのどちらかを含んでいるコレクション。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectedItemColumn | 現在選択されている項目列のキー。
SelectedItemNode | 現在選択されている項目ノードのキー。
SelectedNode | 現在選択されているノードのキー。
SelectedNodes | ツリー内のすべての選択されたノードのノード キーを含むコレクション。
SelectionMode | 選択モード。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
TopNode | トップ ノードのキー。
TreeType | ツリーの種類（単純ツリー、リスト ツリー、列ツリー）
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeCheckbox | このメソッドはチェックボックスの状態の変更をエミュレートします。
CollapseNode | この関数は nodeKey で指定したキーでノードを閉じます。
DefaultContextMenu | このメソッドは、ツリー コントロール全体に対してコンテキスト メニューを要求します。
DoubleSelectItem | この関数はテキスト項目のダブルクリックをエミュレートします。
DoubleSelectNode | この関数はノードのダブルクリックをエミュレートします。
EnsureVisibleHorizontalItem | この関数は項目が表示されるまでツリーを水平方向にスクロールさせます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExpandNode | この関数は nodeKey で指定したキーでノードを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FindNodeKeyByPath | 指定したパス（2\1\2 など）のノード キーを返します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetAbapImage | ABAP 画像を取得します。
GetCheckBoxState | チェック ボックスの状態（チェックされている場合は true、チェックされていない場合は false）を取得します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnIndexFromName | 指定した名前の列インデックスを取得します。
GetColumnKeys | 指定した列のすべての項目のキーを取得します。
GetColumnTitleFromName | 指定した名前の列タイトルを取得します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHierarchyLevel | 指定したキーの階層レベルを取得します。
GetItemHeight | 現在の項目の高さを返します。
GetItemLeft | コンポーネントの左からの位置を取得します。
GetItemStyle | 指定した項目のスタイルを取得します。
GetItemText | 複数列のツリーの場合、この関数は、パラメーターで指定したキーと名前によって項目のテキストを返します。
GetItemTextColor | 項目のテキスト色を返します。
GetItemTooltip | 項目のツールチップ テキストを返します。
GetItemTop | コンポーネントの上からの位置を取得します。
GetItemType | 指定したノードの種類を返します。
GetItemWidth | 現在の項目の幅を返します。
GetListTreeNodeItemCount | ノード項目の数を返します。
GetNextNodeKey | 次のノードのキーを返します。
GetNodeAbapImage | 指定したノードの ABAP 画像を返します。
GetNodeChildrenCount | この関数は、指定したノードの子の数を返します。
GetNodeChildrenCountByPath | この関数は、パス パラメーター（2\1\2 など）によって指定されたノードの子の数を返します。
GetNodeHeight | 現在のノードの高さを返します。
GetNodeIndex | 指定したノードのインデックスを返します。
GetNodeItemHeaders | 指定したノードのヘッダーを返します。
GetNodeLeft | コンポーネントの左からの位置を取得します。
GetNodePathByKey | ノードのキー（2\1\2 など）を指定してパスを取得します。
GetNodeStyle | ノードのスタイルを返します。
GetNodeText | この関数は、指定したキーによるノードのテキストを返します。
GetNodeTextByPath | 指定したパスによって定義されるノードのテキストを返します。
GetNodeTextColor | ノードのテキスト色を返します。
GetNodeTooltip | ノードのツールチップ テキストを返します。
GetNodeTop | コンポーネントの上からの位置を取得します。
GetNodeWidth | 現在のノードの幅を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetParentNodeKey | 指定したキーによるノードの親ノードのキーを返します。
GetPreviousNodeKey | 指定したキーによるノードの前のノードのキーを返します。
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyleDescription | 指定したスタイルの説明を返します。
GetSubNodesKeys | 指定したキーのノードのすべてのサブノードのキーのコレクションを返します。
HeaderContextMenu | このメソッドは、ヘッダーに対してコンテキスト メニューを要求します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsFolder | 指定したノードがフォルダーかどうかを返します。
IsFolderExpandable | フォルダーが展開可能かどうかを返します。
IsFolderExpanded | フォルダーが展開されているかどうかを返します。
IsHighLighted | ノードがハイライトされているかどうかを返します。
ItemContextMenu | このメソッドは、項目に対してコンテキスト メニューを要求します。
NodeContextMenu | このメソッドは、ノードに対してコンテキスト メニューを要求します。
PressKey | このメソッドはキーの押下をエミュレートします。
SelectButton | このメソッドはボタンの押下をエミュレートします。
SelectColumn | この関数は列の選択範囲に列を追加します。 ノードまたは項目の選択は削除されます。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SelectHeader | このメソッドはヘッダーのクリックをエミュレートします。
SelectItem | この関数は項目の選択をエミュレートします。 この選択によって、すべてのほかの選択は削除されます。
SelectLink | この関数は、リンクのトリガーをエミュレートします。
SelectNode | nodeKey キーを持つノードをノードの選択範囲に追加します。
SetCheckBoxState | 指定したノードのチェック ボックスの状態を変更します。
SetColumnOrder | ツリーの列の順序を設定します。
SetColumnWidth | この関数は列の幅をピクセル単位で設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHierarchyHeaderWidth | 階層ヘッダーの幅（ピクセル単位）を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectedNode | 指定したノードを選択します。
SetTopNode | 指定したキーをトップ ノードとして設定します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
UnselectAll | すべての選択を削除します。
UnselectColumn | この関数は列の選択範囲から列を削除します。
UnselectNode | nodeKey キーを持つノードをノードの選択範囲から削除します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapUserArea クラス

説明

SAP の UserArea クラスです。

継承階層

  • SapComponent
    • SapUserArea

構文

'Declaration
Public Class SapUserArea _
Inherits SapComponent _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapVerticalScrollBar クラス

説明

垂直スクロール バーのクラスです。

継承階層

  • SapScrollbar
    • SapVerticalScrollBar

構文

'Declaration
Public Class SapVerticalScrollBar _
Inherits SapScrollbar

プロパティ

名前 | 説明
Maximum | スクロール バーの最大値。 (SapScrollbar から継承されました)
Minimum | スクロール バーの最小値。 (SapScrollbar から継承されました)
PageSize | スクロール バーのページ サイズ。 (SapScrollbar から継承されました)
Position | スクロール バーの現在の位置。 (SapScrollbar から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
ScrollTo | 指定した位置にスクロールします。 (SapScrollbar から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapWindow クラス

説明

SapWindow クラスはトップ レベル ウィンドウのクラスです。

継承階層

  • SapComponent
    • SapWindow

構文

'Declaration
Public Class SapWindow _
Inherits SapComponent _
Implements IMoveable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
ButtonbarVisible | アプリケーション ツール バー（SAP GUI の下のツール バー）が可視かどうか。
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
GuiFocus | 現在フォーカスを持つ SAP GUI 内の要素。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
StatusbarVisible | ステータス バーが可視かどうか。
SystemFocus | サーバー アプリケーションの視点からフォーカスを持つ SAP GUI 内の要素。
Text | コントロールのテキスト。 (TestObject から継承されました)
TitlebarVisible | タイトル バーが可視かどうか。
ToolbarVisible | ツール バーが可視かどうか。
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
WorkingPaneHeight | 現在の作業ペインの高さ。
WorkingPaneWidth | 現在の作業ペインの幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsVkeyAllowed | このメソッドは、指定した仮想キーが現在の画面上で実行できる場合に true を返します。
JumpBackward | ウィンドウに対して Ctrl+Shift+Tab キーを実行して、1 ブロック後ろに移動します。
JumpForward | ウィンドウに対して Ctrl+Tab キーを実行して、1 ブロック前に移動します。
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
ResizeWorkingPane | ResizeWorkingPane 関数は、文字単位で指定された幅と高さに利用可能な作業領域のウィンドウ サイズを変更します。
ResizeWorkingPaneEx | ResizeWorkingPaneEx 関数は、ピクセルで指定された幅と高さに利用可能な作業領域のウィンドウ サイズを変更します。
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SendVKey | システムに仮想キーを送信します。
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TabBackward | ウィンドウに対して Shift+Tab キーを実行して、1 要素後ろに移動します。
TabForward | ウィンドウに対して Tab キーを実行して、1 要素前に移動します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


Silverlight クラス リファレンス

Silverlight コントロールのテストに利用可能なクラスを一覧します。

  • SLApplication クラス
    Silverlight コントロールのコンテナー。
  • SLAutoCompleteBox クラス
    ユーザー入力可能なテキスト ボックスとテキスト ボックスへの入力を基にした有効な一致項目を含んだドロップ ダウンを提供するコントロールを表します。
  • SLBase クラス
    Silverlight 要素の Silverlight フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。
  • SLButton クラス
    ボタン コントロールを識別します。
  • SLCalendar クラス
    カレンダー コントロールを識別します。
  • SLCalendarButton クラス
    カレンダー ボタンを識別します。
  • SLCalendarDayButton クラス
    カレンダーの日付ボタンを識別します。
  • SLCheckBox クラス
    チェック ボックス コントロールを識別します。
  • SLComboBox クラス
    コンボ ボックス コントロールを識別します。
  • SLComboBoxItem クラス
    コンボ ボックス項目コントロールを識別します。
  • SLDataGrid クラス
    データ グリッド コントロールを識別します。
  • SLDataGridCell クラス
    データ グリッド コントロールの行内のセルを識別します。
  • SLDataGridDetails クラス
    データ グリッド行の詳細を表示するコントロールを識別します。
  • SLDataGridRow クラス
    データ グリッド内の行を識別します。
  • SLDataPager クラス
    データのコレクションをページングするためのデータ ページャを識別します。
  • SLDatePicker クラス
    ユーザーが日付を選択できるコントロールを表します。
  • SLDescriptionViewer クラス
    説明ビューアー コントロールを識別します。
  • SLFrame クラス
    フレーム コントロールを識別します。
  • SLGridSplitter クラス
    グリッド スプリッタ コントロールを識別します。
  • SLGroup クラス
    他のコントロールのコンテナーとして動作するグループ コントロールを識別します。
  • SLHeader クラス
    行または列のラベルを表すビジュアル コンテナーを提供するコントロールを識別します。
  • SLHeaderItem クラス
    行または列のビジュアル ラベルを提供するコントロールを識別します。
  • SLHorizontalScrollBar クラス
    水平方向のスクロール バーを識別します。
  • SLHyperlinkButton クラス
    ハイパーリンク ボタン コントロールを識別します。
  • SLImage クラス
    イメージ コントロールを識別します。
  • SLListBox クラス
    リスト ボックス コントロールを識別します。
  • SLListItem クラス
    リスト項目コントロールを識別します。
  • SLMediaElement クラス
    オーディオとビデオまたはそのいずれかを含むコントロールを表します。
  • SLMenu クラス
    メニュー コントロールを識別します。
  • SLMenuBar クラス
    メニュー バー コントロールを識別します。
  • SLMenuItem クラス
    メニュー項目コントロールを識別します。
  • SLMultiScaleImage クラス
    ユーザーがズームやパンに対応した多重解像度イメージを開くことができるようにします。
  • SLPane クラス
    スクロール バーを持つことが可能なペインを識別します。
  • SLPasswordBox クラス
    パスワード ボックス コントロールを識別します。
  • SLPopup クラス
    ポップアップ コントロールを識別します。 コンテキスト メニューもポップアップ コントロールとして扱われます。
  • SLProgressBar クラス
    進行状況バー コントロールを識別します。
  • SLRadioButton クラス
    ユーザーがオプションのグループから単一のオプションを選択できるボタンを表します。
  • SLRepeatButton クラス
    リピート ボタン コントロールを識別します。
  • SLRichTextBox クラス
    リッチ テキスト ボックス コントロールを識別します。
  • SLSeparator クラス
    セパレーター コントロールを識別します。
  • SLSlider クラス
    進行状況バー コントロールを識別します。
  • SLSpinner クラス
    スピン コントロールを識別します。
  • SLSplitButton クラス
    分割ボタン コントロールを識別します。
  • SLStatusBar クラス
    ステータス バー コントロールを識別します。
  • SLTabControl クラス
    タブ コントロールを識別します。
  • SLTabItem クラス
    タブ項目コントロールを識別します。
  • SLTable クラス
    テーブルを識別します。
  • SLTextBlock クラス
    少量のフロー コンテンツを表示するコントロールを識別します。
  • SLTextBox クラス
    テキスト ボックス コントロールを識別します。
  • SLThumb クラス
    サム コントロールを識別します。
  • SLTitleBar クラス
    ウィンドウのタイトル バーを識別します。
  • SLToggleButton クラス
    トグル ボタン コントロールを識別します。
  • SLToolBar クラス
    ツールバー コントロールを識別します。
  • SLToolTip クラス
    ツールチップ コントロールを識別します。
  • SLTreeView クラス
    項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。
  • SLTreeViewItem クラス
    ツリー コントロール内の選択可能な項目を表します。
  • SLValidationSummary クラス
    検証概要コントロールを識別します。
  • SLVerticalScrollBar クラス
    垂直方向のスクロール バーを識別します。
  • SLWindow クラス
    ウィンドウ コントロールを識別します。
親トピック: Silk Test Workbench 言語リファレンス


SLApplication クラス

説明

Silverlight コントロールのコンテナー。

継承階層

  • SLBase
    • SLApplication

構文

'Declaration
Public Class SLApplication _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLAutoCompleteBox クラス

説明

ユーザー入力可能なテキスト ボックスとテキスト ボックスへの入力を基にした有効な一致項目を含んだドロップ ダウンを提供するコントロールを表します。

継承階層

  • SLBase
    • SLAutoCompleteBox

構文

'Declaration
Public Class SLAutoCompleteBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
HorizontallyScrollable | コンボ ボックスを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsOpen | オート コンプリート ボックスが開いているかどうかを示す値。
Items | 現在の一致項目を含んだリスト。コントロールのテキスト ボックスに入力された項目がない場合は、空のリストを返します。
ItemTexts | 現在の一致項目のテキストを含んだリスト。 コントロールのテキスト ボックスに入力された項目がない場合は、空のリストを返します。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | 一致項目を含んだドロップダウン リストが開いている場合に閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | オート コンプリート ボックスに指定したテキストを入力して、一致した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLBase クラス

説明

Silverlight 要素の Silverlight フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。

継承階層

  • TestObject
    • SLBase
      • SLApplication
      • SLAutoCompleteBox
      • SLButton
      • SLCalendar
      • SLCalendarButton
      • SLCalendarDayButton
      • SLCheckBox
      • SLComboBox
      • SLComboBoxItem
      • SLDataGrid
      • SLDataGridCell
      • SLDataGridDetails
      • SLDataGridRow
      • SLDataPager
      • SLDatePicker
      • SLDescriptionViewer
      • SLFrame
      • SLGridSplitter
      • SLGroup
      • SLHeader
      • SLHeaderItem
      • SLHorizontalScrollBar
      • SLHyperlinkButton
      • SLImage
      • SLListBox
      • SLListItem
      • SLMediaElement
      • SLMenu
      • SLMenuBar
      • SLMenuItem
      • SLMultiScaleImage
      • SLPane
      • SLPasswordBox
      • SLPopup
      • SLProgressBar
      • SLRadioButton
      • SLRepeatButton
      • SLRichTextBox
      • SLSeparator
      • SLSlider
      • SLSpinner
      • SLSplitButton
      • SLStatusBar
      • SLTabControl
      • SLTabItem
      • SLTable
      • SLTextBlock
      • SLTextBox
      • SLThumb
      • SLTitleBar
      • SLToggleButton
      • SLToolBar
      • SLToolTip
      • SLTreeView
      • SLTreeViewItem
      • SLValidationSummary
      • SLVerticalScrollBar
      • SLWindow

構文

'Declaration
Public Class SLBase _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。
ClassName | 要素の単純クラス名。
IsEnabled | 要素が有効かどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLButton クラス

説明

ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLButton

構文

'Declaration
Public Class SLButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLCalendar クラス

説明

カレンダー コントロールを識別します。

継承階層

  • SLBase
    • SLCalendar

構文

'Declaration
Public Class SLCalendar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
CanSelectMultiple | 複数の日付を選択可能かどうか
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
DisplayMode | カレンダーで月、年、10 年のいずれを表示するかを指定する値。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelectionRequired | 少なくとも 1 つの日付を選択しなければならないかどうか
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedDate | 現在表示されているビューで選択されている日付。
SelectedDates | 現在表示されているビューで選択されている日付のリスト。
SupportedDisplayModes | サポートされる表示モードのリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectDate | 指定した日付を選択します。
SelectDates | 指定した日付を選択します。
SelectRange | 日付の範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SwitchToDecadeView | カレンダー表示モードを '10 年' に切り替えます (サポートされている場合)。
SwitchToMonthView | カレンダー表示モードを '月' に切り替えます (サポートされている場合)。
SwitchToYearView | カレンダー表示モードを '年' に切り替えます (サポートされている場合)。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLCalendarButton クラス

説明

カレンダー ボタンを識別します。

継承階層

  • SLBase
    • SLCalendarButton

構文

'Declaration
Public Class SLCalendarButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | カレンダー ボタンが選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLCalendarDayButton クラス

説明

カレンダーの日付ボタンを識別します。

継承階層

  • SLBase
    • SLCalendarDayButton

構文

'Declaration
Public Class SLCalendarDayButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | カレンダーの日付ボタンが選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLCheckBox クラス

説明

チェック ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLCheckBox

構文

'Declaration
Public Class SLCheckBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToggleState | チェック ボックスのトグル状態
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetIndeterminate | チェック ボックスを不確定状態に設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | 次の順番でサイクリックにチェック ボックスの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLComboBox クラス

説明

コンボ ボックス コントロールを識別します。

Silverlight のコンボ ボックスでは、その項目についての情報を取得する前に一度開いておく必要があります。

継承階層

  • SLBase
    • SLComboBox

構文

'Declaration
Public Class SLComboBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
HorizontallyScrollable | コンボ ボックスを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsOpen | コンボ ボックスが開いているかどうかを示す値。
Items | 項目の完全なリスト。
ItemTexts | 項目テキストの完全なリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedIndex | 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedItem | 選択されている項目。選択範囲が空の場合は Nothing を返します。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | コンボ ボックスを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Open | コンボ ボックスを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | コンボ ボックスの項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLComboBoxItem クラス

説明

コンボ ボックス項目コントロールを識別します。

継承階層

  • SLBase
    • SLComboBoxItem

構文

'Declaration
Public Class SLComboBoxItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | コンボ ボックス項目が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | コンボ ボックス項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataGrid クラス

説明

データ グリッド コントロールを識別します。

データ グリッドに垂直方向のスクロール バーがある場合、データ グリッドの表示領域にない行の情報（テキスト、キャプションなど）は、操作対象になりません。 このような行に対して操作したり、情報を取得するためには、まずビューにスクロールして表示させる必要があります。

継承階層

  • SLBase
    • SLDataGrid

構文

'Declaration
Public Class SLDataGrid _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
CanSelectMultiple | データ グリッドが複数の行の同時選択を許可するかどうか。
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ColumnCount | データ グリッドの列数。
ColumnHeaders | すべての列に対するヘッダー項目を含んだリスト
ColumnHeaderTexts | すべての列に対するヘッダー項目のテキストを含んだリスト
HorizontallyScrollable | データ グリッドを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
RowCount | データ グリッドの行数。
Rows | データ グリッドの行のリスト。
RowTexts | データ グリッド中の行テキストのリスト。 すべての行のテキストが文字列として返されます。各セルのテキストは空白文字で分離されます。
SelectedCell | 現在選択されているセル。セルが選択されていない場合は Nothing
SelectedCellText | 現在選択されているセルのテキスト。セルが選択されていない場合は空の文字列。
SelectedRow | 現在選択されている行。行が選択されていない場合は Nothing
SelectedRows | 現在選択されている行のリスト。行が選択されていない場合は空のリスト
SelectedRowText | 現在選択されている行のテキスト。行が選択されていない場合は空の文字列。
SelectedRowTexts | 現在選択されている行のテキスト。行が選択されていない場合は空のリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | データ グリッドを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollIntoView | 指定した行またはセルをビューにスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | 指定した行を選択します。
SelectCell | 指定したセルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | データ グリッド内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | データ グリッド内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataGridCell クラス

説明

データ グリッド コントロールの行内のセルを識別します。

継承階層

  • SLBase
    • SLDataGridCell

構文

'Declaration
Public Class SLDataGridCell _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | セルが選択されているかどうかを示す値
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | セルをビューにスクロールします。
Select | セルを選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataGridDetails クラス

説明

データ グリッド行の詳細を表示するコントロールを識別します。

継承階層

  • SLBase
    • SLDataGridDetails

構文

'Declaration
Public Class SLDataGridDetails _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataGridRow クラス

説明

データ グリッド内の行を識別します。

継承階層

  • SLBase
    • SLDataGridRow

構文

'Declaration
Public Class SLDataGridRow _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
Cells | データ グリッド行のセル。
CellTexts | データ グリッド行のセルのテキスト。
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | 行が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
RowHeader | 行のヘッダー
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | 行をビューにスクロールします。
Select | 行を選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataPager クラス

説明

データのコレクションをページングするためのデータ ページャを識別します。

継承階層

  • SLBase
    • SLDataPager

構文

'Declaration
Public Class SLDataPager _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
CurrentPage | 現在のページ。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
PageCount | ページ数。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MoveToFirstPage | データ ページャの最初のページに移動します。
MoveToLastPage | データ ページャの最後のページに移動します。
MoveToNextPage | データ ページャの次のページに移動します。
MoveToPage | データ ページャの指定したページに移動します。
MoveToPreviousPage | データ ページャの前のページに移動します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDatePicker クラス

説明

ユーザーが日付を選択できるコントロールを表します。

継承階層

  • SLBase
    • SLDatePicker

構文

'Declaration
Public Class SLDatePicker _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsCalendarOpen | ドロップダウン カレンダーが開いているかどうか。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedDate | 選択されている日付。日付が選択されていない場合は Nothing を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CloseCalendar | ドロップダウン カレンダーを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenCalendar | ドロップダウン カレンダーを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDescriptionViewer クラス

説明

説明ビューアー コントロールを識別します。

継承階層

  • SLBase
    • SLDescriptionViewer

構文

'Declaration
Public Class SLDescriptionViewer _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLFrame クラス

説明

フレーム コントロールを識別します。

継承階層

  • SLBase
    • SLFrame

構文

'Declaration
Public Class SLFrame _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLGridSplitter クラス

説明

グリッド スプリッタ コントロールを識別します。

継承階層

  • SLBase
    • SLGridSplitter

構文

'Declaration
Public Class SLGridSplitter _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MoveHorizontal | スプリッタを水平方向に移動します。
MoveVertical | スプリッタを垂直方向に移動します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLGroup クラス

説明

他のコントロールのコンテナーとして動作するグループ コントロールを識別します。

継承階層

  • SLBase
    • SLGroup

構文

'Declaration
Public Class SLGroup _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLHeader クラス

説明

行または列のラベルを表すビジュアル コンテナーを提供するコントロールを識別します。

継承階層

  • SLBase
    • SLHeader

構文

'Declaration
Public Class SLHeader _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
HeaderItems | このヘッダー コントロールのヘッダー項目を含むリスト
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLHeaderItem クラス

説明

行または列のビジュアル ラベルを提供するコントロールを識別します。

継承階層

  • SLBase
    • SLHeaderItem

構文

'Declaration
Public Class SLHeaderItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ヘッダー項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLHorizontalScrollBar クラス

説明

水平方向のスクロール バーを識別します。

継承階層

  • SLBase
    • SLHorizontalScrollBar

構文

'Declaration
Public Class SLHorizontalScrollBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Maximum | 最大スクロール位置
Minimum | 最小スクロール位置
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
ScrollPosition | 現在のスクロール位置
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーを指定した量スクロールします
ScrollToMaximum | スクロール バーを右端にスクロールします。
ScrollToMinimum | スクロール バーを左端にスクロールします。
ScrollToPosition | スクロール バーを指定した位置にスクロールします
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLHyperlinkButton クラス

説明

ハイパーリンク ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLHyperlinkButton

構文

'Declaration
Public Class SLHyperlinkButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ハイパーリンク ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLImage クラス

説明

イメージ コントロールを識別します。

継承階層

  • SLBase
    • SLImage

構文

'Declaration
Public Class SLImage _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLListBox クラス

説明

リスト ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLListBox

構文

'Declaration
Public Class SLListBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
CanSelectMultiple | リスト ボックスが複数の子要素の同時選択を許可するかどうか。
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
HorizontallyScrollable | リスト ボックスを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Items | リスト ボックス項目のリスト。
ItemTexts | すべての項目テキストのリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedIndices | 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します
SelectedItems | 現在選択されている項目。 項目が現在選択されていない場合は、空のリストが返されます。
SelectedItemText | 最初の選択された項目のテキスト。
SelectedItemTexts | 現在選択されている項目のテキスト。 項目が現在選択されていない場合は、空のリストが返されます。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | リスト ボックスを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DeselectAll | すべてのリスト項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | 指定したリスト ボックス項目を選択します。
SelectAll | リスト内のすべての項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | リスト ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | リスト ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLListItem クラス

説明

リスト項目コントロールを識別します。

継承階層

  • SLBase
    • SLListItem

構文

'Declaration
Public Class SLListItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | リスト項目が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | リスト項目をビューにスクロールします。
Select | リスト項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMediaElement クラス

説明

オーディオとビデオまたはそのいずれかを含むコントロールを表します。

継承階層

  • SLBase
    • SLMediaElement

構文

'Declaration
Public Class SLMediaElement _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMenu クラス

説明

メニュー コントロールを識別します。

継承階層

  • SLBase
    • SLMenu

構文

'Declaration
Public Class SLMenu _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMenuBar クラス

説明

メニュー バー コントロールを識別します。

継承階層

  • SLBase
    • SLMenuBar

構文

'Declaration
Public Class SLMenuBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMenuItem クラス

説明

メニュー項目コントロールを識別します。

継承階層

  • SLBase
    • SLMenuItem

構文

'Declaration
Public Class SLMenuItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMultiScaleImage クラス

説明

ユーザーがズームやパンに対応した多重解像度イメージを開くことができるようにします。

継承階層

  • SLBase
    • SLMultiScaleImage

構文

'Declaration
Public Class SLMultiScaleImage _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLPane クラス

説明

スクロール バーを持つことが可能なペインを識別します。

継承階層

  • SLBase
    • SLPane

構文

'Declaration
Public Class SLPane _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
HorizontallyScrollable | ペインを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | ペインを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | ペイン内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | ペイン内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLPasswordBox クラス

説明

パスワード ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLPasswordBox

構文

'Declaration
Public Class SLPasswordBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsReadOnly | パスワード ボックスが読み取り専用かどうか
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをパスワード フィールドから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | パスワード フィールド内の挿入位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelection | パスワード ボックス内のテキストの範囲を選択します。
SetText | パスワード フィールド内のテキストを指定したテキストで置換します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLPopup クラス

説明

ポップアップ コントロールを識別します。 コンテキスト メニューもポップアップ コントロールとして扱われます。

継承階層

  • SLBase
    • SLPopup

構文

'Declaration
Public Class SLPopup _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLProgressBar クラス

説明

進行状況バー コントロールを識別します。

継承階層

  • SLBase
    • SLProgressBar

構文

'Declaration
Public Class SLProgressBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Maximum | 進行状況の最大値
Minimum | 進行状況の最小値
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLRadioButton クラス

説明

ユーザーがオプションのグループから単一のオプションを選択できるボタンを表します。

継承階層

  • SLBase
    • SLRadioButton

構文

'Declaration
Public Class SLRadioButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | ラジオ ボタンが選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 任意の選択された項目の選択を解除し、現在の要素を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLRepeatButton クラス

説明

リピート ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLRepeatButton

構文

'Declaration
Public Class SLRepeatButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLRichTextBox クラス

説明

リッチ テキスト ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLRichTextBox

構文

'Declaration
Public Class SLRichTextBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedText | 選択したテキスト
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト ボックスから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | テキスト ボックス内の挿入位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelection | テキスト ボックス内のテキストの範囲を選択します。
SetText | テキスト ボックスの内容を指定したテキストで置換します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLSeparator クラス

説明

セパレーター コントロールを識別します。

継承階層

  • SLBase
    • SLSeparator

構文

'Declaration
Public Class SLSeparator _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLSlider クラス

説明

進行状況バー コントロールを識別します。

継承階層

  • SLBase
    • SLSlider

構文

'Declaration
Public Class SLSlider _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
LargeChange | PAGE DOWN キーが押された場合など、大きい単位での変更が行われる際に、Value プロパティに加算または減算される値。
Maximum | 進行状況の最大値
Minimum | 進行状況の最小値
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SmallChange | 矢印キーが押された場合など、小さい単位での変更が行われる際に、Value プロパティに加算または減算される値。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseLarge | Slider の値を大きい単位で減らします。
DecreaseSmall | Slider の値を小さい単位で減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseLarge | Slider の値を大きい単位で増やします。
IncreaseSmall | Slider の値を小さい単位で増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetValue | スライダーの値を設定します。
SetValueToMaximum | Slider を最大の位置に設定します。
SetValueToMinimum | Slider を最小の位置に設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLSpinner クラス

説明

スピン コントロールを識別します。

Spinner コントロール型は一連のボタンで構成されます。ユーザーはこれらのボタンを使用して、一連の項目の中から項目を選択したり、範囲内の数値を設定したりできます。

継承階層

  • SLBase
    • SLSpinner

構文

'Declaration
Public Class SLSpinner _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
NumericValue | スピン コントロールの現在の数値
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLSplitButton クラス

説明

分割ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLSplitButton

構文

'Declaration
Public Class SLSplitButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLStatusBar クラス

説明

ステータス バー コントロールを識別します。

継承階層

  • SLBase
    • SLStatusBar

構文

'Declaration
Public Class SLStatusBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTabControl クラス

説明

タブ コントロールを識別します。

継承階層

  • SLBase
    • SLTabControl

構文

'Declaration
Public Class SLTabControl _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Items | タブ項目の完全なリスト。
ItemTexts | タブ項目テキストの完全なリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedIndex | 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedItem | 選択されている項目。選択範囲が空の場合は Nothing を返します。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブ コントロールの項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTabItem クラス

説明

タブ項目コントロールを識別します。

継承階層

  • SLBase
    • SLTabItem

構文

'Declaration
Public Class SLTabItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | タブ項目が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブ項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTable クラス

説明

テーブルを識別します。

継承階層

  • SLBase
    • SLTable

構文

'Declaration
Public Class SLTable _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTextBlock クラス

説明

少量のフロー コンテンツを表示するコントロールを識別します。

継承階層

  • SLBase
    • SLTextBlock

構文

'Declaration
Public Class SLTextBlock _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTextBox クラス

説明

テキスト ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLTextBox

構文

'Declaration
Public Class SLTextBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsReadOnly | テキスト ボックスが読み取り専用かどうか
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト フィールドから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | テキスト フィールド内の挿入位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelection | テキスト ボックス内のテキストの範囲を選択します。
SetText | テキスト フィールド内のテキストを指定したテキストで置換します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)

例

textBox.SetText("some text")
textBox.SetSelection(0, 4) ' 最初の文字から 4 文字を選択
textBox.TypeKeys("<Ctrl+C>") ' 選択したテキストをクリップボードにコピー
Dim selectedText = Clipboard.GetText() ' クリップボードからテキストを取得
親トピック: Silverlight クラス リファレンス


SLThumb クラス

説明

サム コントロールを識別します。

継承階層

  • SLBase
    • SLThumb

構文

'Declaration
Public Class SLThumb _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTitleBar クラス

説明

ウィンドウのタイトル バーを識別します。

継承階層

  • SLBase
    • SLTitleBar

構文

'Declaration
Public Class SLTitleBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLToggleButton クラス

説明

トグル ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLToggleButton

構文

'Declaration
Public Class SLToggleButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToggleState | ボタンのトグル状態
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | 次の順番でサイクリックにボタンの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLToolBar クラス

説明

ツールバー コントロールを識別します。

継承階層

  • SLBase
    • SLToolBar

構文

'Declaration
Public Class SLToolBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLToolTip クラス

説明

ツールチップ コントロールを識別します。

継承階層

  • SLBase
    • SLToolTip

構文

'Declaration
Public Class SLToolTip _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTreeView クラス

説明

項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。

継承階層

  • SLBase
    • SLTreeView

構文

'Declaration
Public Class SLTreeView _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
HorizontallyScrollable | ツリー ビューを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
RootItems | すべてのルート ツリー項目の完全なリスト。
RootItemTexts | すべてのルート ツリー項目のテキストの完全なリスト。
SelectedItem | 選択されている項目。選択範囲が空の場合は Nothing を返します。
SelectedItemPath | 選択された項目パスを取得します。選択されていない場合は空の項目パス。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | ツリー ビューを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
VisibleItemPaths | ツリーに表示される項目の項目パス。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 指定した項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 指定した項目を展開します。
ExpandAll | ツリー内のすべての項目を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | 指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTreeViewItem クラス

説明

ツリー コントロール内の選択可能な項目を表します。

継承階層

  • SLBase
    • SLTreeViewItem

構文

'Declaration
Public Class SLTreeViewItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsExpanded | ツリー項目内の入れ子になった項目が展開されているか、折りたたまれているか。
IsLeaf | ツリー ビュー項目がリーフ項目かどうかを示す値。
IsSelected | ツリー項目が選択されているかどうかを示す値。
Items | 項目の完全なリスト。
ItemTexts | 項目テキストの完全なリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 項目を展開します。
ExpandSubTree | このツリー項目の下のサブツリーを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ツリー項目をビューにスクロールします
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLValidationSummary クラス

説明

検証概要コントロールを識別します。

継承階層

  • SLBase
    • SLValidationSummary

構文

'Declaration
Public Class SLValidationSummary _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLVerticalScrollBar クラス

説明

垂直方向のスクロール バーを識別します。

継承階層

  • SLBase
    • SLVerticalScrollBar

構文

'Declaration
Public Class SLVerticalScrollBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Maximum | 最大スクロール位置
Minimum | 最小スクロール位置
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
ScrollPosition | 現在のスクロール位置
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーを指定した量スクロールします
ScrollToMaximum | スクロール バーを最下部にスクロールします。
ScrollToMinimum | スクロール バーを先頭にスクロールします。
ScrollToPosition | スクロール バーを指定した位置にスクロールします
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLWindow クラス

説明

ウィンドウ コントロールを識別します。

継承階層

  • SLBase
    • SLWindow

構文

'Declaration
Public Class SLWindow _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


Java AWT および Swing クラス リファレンス

Java AWT および Swing コントロールのテストに利用可能なクラスを一覧します。

  • AbstractButton クラス
    ボタンやメニュー項目に共通の動作を定義します。
  • Applet クラス
    ブラウザーの Java アプレットを表します。
  • AppletContainer クラス
    ブラウザーのアプレットのルート要素です。
  • AWTButton クラス
    プッシュ ボタンを表します。
  • AWTCanvas クラス
    アプリケーションが描画したりユーザーからのイベントを補足できる画面上の空の矩形領域を表します。
  • AWTCheckbox クラス
    チェック ボックスを表します。
  • AWTCheckboxMenuItem クラス
    メニュー項目に挿入できるチェック ボックス コントロールを表します。
  • AWTChoice クラス
    コンボ ボックスを表します。
  • AWTComponent クラス
    AWTComponent は Java AWT の基本クラスです。
  • AWTContainer クラス
    他の AWT コンポーネントを含めることができるコンポーネントを表します。
  • AWTDialog クラス
    ダイアログ ボックスを表します。
  • AWTFrame クラス
    タイトルと境界線を持つトップ レベル ウィンドウを表します。
  • AWTHorizontalScrollbar クラス
    水平方向のスクロール バーを表します。
  • AWTLabel クラス
    コンテナー内に配置されるテキストのクラスを表します。
  • AWTList クラス
    リスト ボックスを表します。
  • AWTMenu クラス
    メニュー バーからアクセスされるメニュー コンポーネントを表します。
  • AWTMenuComponent クラス
    すべてのメニュー関連コントロールの基本クラスを表します。
  • AWTMenuItem クラス
    メニュー項目を表します。
  • AWTRadioButton クラス
    ラジオ ボタンを表します。
  • AWTScrollbar クラス
    スクロール バーを表します。 このクラスはリスト ボックス上のスクロール バーのような、コントロールの部品であるスクロール バーを含みます。
  • AWTScrollPane クラス
    単一の子コンポーネントに対する水平方向または垂直方向の自動スクロールを実装するクラスを表します。
  • AWTTextArea クラス
    テキスト領域を表します。
  • AWTTextComponent クラス
    AWTTextField クラス、および AWTTextArea クラスの基本クラスを表します。
  • AWTTextField クラス
    ユーザーが変更可能なテキストを保持する、単一行および複数行のテキスト フィールド コントロールを表します。
  • AWTVerticalScrollbar クラス
    垂直方向のスクロール バーを表します。
  • AWTWindow クラス
    境界線やメニュー バーを持たないトップ レベル ウィンドウを表します。
  • BasicArrowButton クラス
    基本方向のうちの 1 つの矢印を持ったプッシュ ボタンを表します。
  • IAWTScrollable インターフェイス
    2 つのスクロール バーを持つことができる AWT オブジェクトのインターフェイスを表します。
  • IAWTScroller インターフェイス
    スクロール可能な AWT オブジェクトのインターフェイスを表します。
  • IBaseScrollable インターフェイス
    重複を避けるために他のスクロール可能なコントロールのインターフェイスを表します。
  • IOracleFormsMenuBase インターフェイス
    ユーザーが選択する選択肢を定義するコントロールを表します。
  • IOracleFormsScrollable インターフェイス
    スクロール可能な Oracle Forms オブジェクトのインターフェイスを表します。
  • IOracleFormsScroller インターフェイス
    スクロール可能な Oracle Forms オブジェクトのインターフェイスを表します。
  • JButton クラス
    プッシュ ボタンを表します。
  • JCheckBox クラス
    チェック ボックスを表します。
  • JCheckBoxMenuItem クラス
    メニュー項目に含めることができるチェック ボックス コントロールを表します。
  • JColorChooser クラス
    色の選択を表します。
  • JComboBox クラス
    コンボ ボックスを表します。
  • JComponent クラス
    トップ レベル コンテナーを除くすべてのコンポーネントのクラスを表します。
  • JDesktopPane クラス
    デスクトップ ペインを表します。
  • JDialog クラス
    ダイアログ ボックスを表します。
  • JEditorPane クラス
    さまざまな種類のコンテンツを編集できるテキスト コンポーネントを表します。
  • JFrame クラス
    Java Swing のサポートを追加する AWTFrame を拡張したバージョンのクラスを表します。
  • JHorizontalScrollBar クラス
    水平方向のスクロール バーを表します。
  • JLabel クラス
    簡単なテキスト、画像、または両方を表示する表示領域を表します。
  • JLayeredPane クラス
    階層ペインを表します。
  • JList クラス
    リスト ボックスを表します。
  • JMenu クラス
    メニューを表します。 メニューとは子項目を持つメニュー項目です。
  • JMenuBar クラス
    メニュー バーを表します。
  • JMenuItem クラス
    メニュー項目を表します。
  • JPanel クラス
    軽量コンポーネントのコンテナー クラスを表します。
  • JPasswordField クラス
    元の文字を表示しない単一行フィールドを表します。
  • JPopupMenu クラス
    コンテキスト メニューを表します。
  • JProgressBar クラス
    操作の進行状況を表示します。
  • JRadioButton クラス
    ラジオ ボタンを表します。
  • JRadioButtonMenuItem クラス
    ラジオ ボタン メニュー項目を表します。
  • JRootPane クラス
    ルート ペインを表します。
  • JScrollBar クラス
    スクロール バーを表します。
  • JScrollPane クラス
    ペイン自身よりも大きくなるコンテンツをスクロールすることができるスクロール ペインを表します。
  • JSlider クラス
    範囲内の値を選択できるスライダ コントロールを表します。
  • JSpinner クラス
    シーケンスの値を反復処理できるスピナー コントロールを表します。
  • JSplitPane クラス
    水平方向または垂直方向に 2 つのコンポーネントに分割するスプリット ペイン コントロールを表します。
  • JTabbedPane クラス
    タブ付きペインを表します。
  • JTable クラス
    行と列を持つテーブル コントロールを表します。
  • JTableHeader クラス
    テーブル コンポーネントのテーブル ヘッダー クラスを表します。
  • JTextArea クラス
    書式なしテキストを表示する複数行テキスト領域コントロールを表します。
  • JTextComponent クラス
    グラフィカルに表現される属性でマークすることができるテキスト コントロールを表します。
  • JTextField クラス
    ユーザーが変更可能なテキストを保持する、単一行のテキスト フィールド コントロールを表します。
  • JTextPane クラス
    グラフィカルに表現される属性でマークすることができるテキスト ペイン コントロールを表します。
  • JToggleButton クラス
    2 つの状態を持つボタンを表します。
  • JToolBar クラス
    ツールバーを表します。
  • JTree クラス
    ツリーを表します。
  • JVerticalScrollBar クラス
    垂直方向のスクロール バーを表します。
  • JViewport クラス
    Swing ビューポートを表します。
  • JWindow クラス
    ユーザーのデスクトップ上のどこにでも表示できるコンテナーを表します。
  • OracleFormsApplication クラス
    Oracle Forms アプリケーションを表します。
  • OracleFormsButton クラス
    プッシュ ボタンを表します。
  • OracleFormsCheckbox クラス
    チェック ボックスを表します。
  • OracleFormsChoice クラス
    選択肢を表します。
  • OracleFormsComboBox クラス
    コンボ ボックスを表します。
  • OracleFormsContainer クラス
    他の Oracle Forms コンポーネントを含めることができるコンポーネントを表します。
  • OracleFormsHorizontalScrollbar クラス
    水平方向のスクロール バーを表します。
  • OracleFormsLabel クラス
    コンテナー内に配置されるテキストのクラスを表します。
  • OracleFormsListBox クラス
    ListBox を表します。
  • OracleFormsListView クラス
    リストビューを表します。
  • OracleFormsMenu クラス
    トップ レベル メニューを表します。
  • OracleFormsMenuItem クラス
    Menu 内の選択可能な項目を表します。
  • OracleFormsPopList クラス
    PopList を表します。
  • OracleFormsPopupMenu クラス
    コンテキスト メニューを表します。
  • OracleFormsRadioButton クラス
    ラジオ ボタンを表します。
  • OracleFormsScrollbar クラス
    スクロール バーを表します。
  • OracleFormsStatusArea クラス
    ステータス情報を含む領域を表します。
  • OracleFormsStatusBar クラス
    ステータス バーを表します。
  • OracleFormsStatusBarItem クラス
    ステータス バー内の項目を表します。
  • OracleFormsStatusIndicator クラス
    ステータス インジケータを表します。
  • OracleFormsTabBar クラス
    タブ バーを表します。
  • OracleFormsTabBarItem クラス
    タブ バー項目を表します。
  • OracleFormsTabPanel クラス
    コンポーネントのコンテナー クラスを表します。
  • OracleFormsTextField クラス
    Oracle Forms テキスト フィールドを表します。
  • OracleFormsTitleBar クラス
    タイトル バーを表します。
  • OracleFormsToolBar クラス
    ツールバーを表します。
  • OracleFormsToolBarItem クラス
    ツール バーの要素を表します。
  • OracleFormsTree クラス
    ツリーを表します。
  • OracleFormsVerticalScrollbar クラス
    垂直方向のスクロール バーを表します。
  • SplitPaneDivider クラス
    スプリット ペインの分割線を表します。
親トピック: Silk Test Workbench 言語リファレンス


AbstractButton クラス

説明

ボタンやメニュー項目に共通の動作を定義します。

継承階層

  • JComponent
    • AbstractButton
      • JButton
      • JMenuItem
      • JToggleButton

構文

'Declaration
Public Class AbstractButton _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


Applet クラス

説明

ブラウザーの Java アプレットを表します。

継承階層

  • AWTContainer
    • Applet

構文

'Declaration
Public Class Applet _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AppletContainer クラス

説明

ブラウザーのアプレットのルート要素です。

継承階層

  • AWTContainer
    • AppletContainer

構文

'Declaration
Public Class AppletContainer _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTButton クラス

説明

プッシュ ボタンを表します。

継承階層

  • AWTComponent
    • AWTButton

構文

'Declaration
Public Class AWTButton _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTCanvas クラス

説明

アプリケーションが描画したりユーザーからのイベントを補足できる画面上の空の矩形領域を表します。

継承階層

  • AWTComponent
    • AWTCanvas

構文

'Declaration
Public Class AWTCanvas _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTCheckbox クラス

説明

チェック ボックスを表します。

継承階層

  • AWTComponent
    • AWTCheckbox

構文

'Declaration
Public Class AWTCheckbox _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | チェック ボックスがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | チェック ボックスの状態を切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTCheckboxMenuItem クラス

説明

メニュー項目に挿入できるチェック ボックス コントロールを表します。

継承階層

  • AWTMenuItem
    • AWTCheckboxMenuItem

構文

'Declaration
Public Class AWTCheckboxMenuItem _
Inherits AWTMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTMenuItem から継承されました)
Checked | メニュー項目のチェック ボックスがチェックされているかどうか。
Enabled | メニュー項目が有効かどうか。 (AWTMenuItem から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目のチェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニュー項目を選択します。 (AWTMenuItem から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | メニュー項目のチェック ボックスの状態を切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェック ボックスをチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTChoice クラス

説明

コンボ ボックスを表します。

継承階層

  • AWTComponent
    • AWTChoice

構文

'Declaration
Public Class AWTChoice _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | コンボ ボックスの項目の数。
Items | コンボ ボックス項目のリスト。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。
SelectedItem | 選択されている項目。 項目が現在選択されていない場合には、NULL が返されます。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItem | 指定したインデックスの項目を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | コンボ ボックスで指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTComponent クラス

説明

AWTComponent は Java AWT の基本クラスです。

継承階層

  • TestObject
    • AWTComponent
      • AWTButton
      • AWTCanvas
      • AWTCheckbox
      • AWTChoice
      • AWTContainer
      • AWTLabel
      • AWTList
      • AWTRadioButton
      • AWTScrollbar
      • AWTTextComponent

構文

'Declaration
Public Class AWTComponent _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable, INativeWindow

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。
AccessibleRole | コンポーネントのアクセス可能なロール。
Background | コンポーネントの背景色。
Cursor | コンポーネントに設定されているカーソルの名前。
Enabled | コンポーネントが有効かどうか。
Focusable | コンポーネントをフォーカスすることができるかどうか。
Font | コンポーネントのフォント。
Foreground | コンポーネントの前景色。
Height | 現在のコンポーネントの高さ。
Name | コンポーネントの名前。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTContainer クラス

説明

他の AWT コンポーネントを含めることができるコンポーネントを表します。

継承階層

  • AWTComponent
    • AWTContainer
      • Applet
      • AppletContainer
      • AWTScrollPane
      • AWTWindow
      • JComponent
      • OracleFormsContainer
      • SplitPaneDivider

構文

'Declaration
Public Class AWTContainer _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTDialog クラス

説明

ダイアログ ボックスを表します。

継承階層

  • AWTWindow
    • AWTDialog
      • JDialog

構文

'Declaration
Public Class AWTDialog _
Inherits AWTWindow

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Modal | ダイアログがモーダルかどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Resizable | ユーザーがダイアログのサイズを変更できるかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ダイアログのタイトル。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTFrame クラス

説明

タイトルと境界線を持つトップ レベル ウィンドウを表します。

継承階層

  • AWTWindow
    • AWTFrame
      • JFrame

構文

'Declaration
Public Class AWTFrame _
Inherits AWTWindow

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Resizable | ユーザーがフレームのサイズを変更できるかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | フレームのタイトル。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTHorizontalScrollbar クラス

説明

水平方向のスクロール バーを表します。

継承階層

  • AWTScrollbar
    • AWTHorizontalScrollbar

構文

'Declaration
Public Class AWTHorizontalScrollbar _
Inherits AWTScrollbar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTLabel クラス

説明

コンテナー内に配置されるテキストのクラスを表します。

継承階層

  • AWTComponent
    • AWTLabel

構文

'Declaration
Public Class AWTLabel _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Alignment | ラベルの配置。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTList クラス

説明

リスト ボックスを表します。

継承階層

  • AWTComponent
    • AWTList

構文

'Declaration
Public Class AWTList _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | リスト項目の数。
Items | リスト項目のリスト。
MultipleMode | リストが複数選択を許可するかどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 現在選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。
SelectedIndices | 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。
SelectedItem | 現在選択されているリスト項目。 項目が現在選択されていない場合には、NULL が返されます。
SelectedItems | 現在選択されているリスト項目（複数）。 項目が現在選択されていない場合は、空のリストが返されます。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 指定したリスト項目の選択を解除します。
DeselectAll | すべてのリスト項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickItem | リスト項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItem | 指定したインデックスのリスト項目を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 指定した項目を選択します。
SelectAll | リスト内のすべての項目を選択します。
SelectRange | 指定した範囲のすべての項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTMenu クラス

説明

メニュー バーからアクセスされるメニュー コンポーネントを表します。

継承階層

  • AWTMenuItem
    • AWTMenu

構文

'Declaration
Public Class AWTMenu _
Inherits AWTMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTMenuItem から継承されました)
Enabled | メニュー項目が有効かどうか。 (AWTMenuItem から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニュー項目を選択します。 (AWTMenuItem から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTMenuComponent クラス

説明

すべてのメニュー関連コントロールの基本クラスを表します。

継承階層

  • TestObject
    • AWTMenuComponent
      • AWTMenuItem

構文

'Declaration
Public Class AWTMenuComponent _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTMenuItem クラス

説明

メニュー項目を表します。

継承階層

  • AWTMenuComponent
    • AWTMenuItem
      • AWTCheckboxMenuItem
      • AWTMenu

構文

'Declaration
Public Class AWTMenuItem _
Inherits AWTMenuComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。
Enabled | メニュー項目が有効かどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニュー項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTRadioButton クラス

説明

ラジオ ボタンを表します。

継承階層

  • AWTComponent
    • AWTRadioButton

構文

'Declaration
Public Class AWTRadioButton _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | ラジオ ボタンがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ラジオ ボタンをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTScrollbar クラス

説明

スクロール バーを表します。 このクラスはリスト ボックス上のスクロール バーのような、コントロールの部品であるスクロール バーを含みます。

継承階層

  • AWTComponent
    • AWTScrollbar
      • AWTHorizontalScrollbar
      • AWTVerticalScrollbar

構文

'Declaration
Public Class AWTScrollbar _
Inherits AWTComponent _
Implements IAWTScroller

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTScrollPane クラス

説明

単一の子コンポーネントに対する水平方向または垂直方向の自動スクロールを実装するクラスを表します。

継承階層

  • AWTContainer
    • AWTScrollPane

構文

'Declaration
Public Class AWTScrollPane _
Inherits AWTContainer _
Implements IAWTScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スクロール可能コンポーネントの現在のスクロール位置。 (IAWTScrollable から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | 水平方向のスクロール バーを取得します。 (IAWTScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | 垂直方向のスクロール バーを取得します。 (IAWTScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTTextArea クラス

説明

テキスト領域を表します。

継承階層

  • AWTTextComponent
    • AWTTextArea

構文

'Declaration
Public Class AWTTextArea _
Inherits AWTTextComponent _
Implements IAWTScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (AWTTextComponent から継承されました)
Columns | テキスト領域の列の数。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (AWTTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スクロール可能コンポーネントの現在のスクロール位置。 (IAWTScrollable から継承されました)
Rows | テキスト領域の行の数。
SelectedText | 現在選択されているテキスト。 (AWTTextComponent から継承されました)
SelectionEnd | 選択されたテキストの終了位置。 (AWTTextComponent から継承されました)
SelectionStart | 選択されたテキストの開始位置。 (AWTTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (AWTTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | 水平方向のスクロール バーを取得します。 (IAWTScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | 垂直方向のスクロール バーを取得します。 (IAWTScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Insert | 指定したテキストを指定した位置に挿入します。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReplaceRange | 指定した開始位置と終了位置の間にあるテキストを、指定した置換テキストで置き換えます。
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScrollable から継承されました)
SelectAll | テキスト コンポーネント内のすべてのテキストを選択します。 (AWTTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (AWTTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (AWTTextComponent から継承されました)
SetText | テキスト コンポーネントのテキストを指定したテキストに設定します。 (AWTTextComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTTextComponent クラス

説明

AWTTextField クラス、および AWTTextArea クラスの基本クラスを表します。

継承階層

  • AWTComponent
    • AWTTextComponent
      • AWTTextArea
      • AWTTextField

構文

'Declaration
Public Class AWTTextComponent _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。
SelectionEnd | 選択されたテキストの終了位置。
SelectionStart | 選択されたテキストの開始位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのテキストを選択します。
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。
SetText | テキスト コンポーネントのテキストを指定したテキストに設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTTextField クラス

説明

ユーザーが変更可能なテキストを保持する、単一行および複数行のテキスト フィールド コントロールを表します。

継承階層

  • AWTTextComponent
    • AWTTextField

構文

'Declaration
Public Class AWTTextField _
Inherits AWTTextComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (AWTTextComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
EchoChar | 実際に入力される文字の代わりに表示される文字。
EchoCharSet | EchoChar が 0 以外の値に設定されているかどうか
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (AWTTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
IsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。 (AWTTextComponent から継承されました)
SelectionEnd | 選択されたテキストの終了位置。 (AWTTextComponent から継承されました)
SelectionStart | 選択されたテキストの開始位置。 (AWTTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (AWTTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのテキストを選択します。 (AWTTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (AWTTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (AWTTextComponent から継承されました)
SetText | テキスト コンポーネントのテキストを指定したテキストに設定します。 (AWTTextComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTVerticalScrollbar クラス

説明

垂直方向のスクロール バーを表します。

継承階層

  • AWTScrollbar
    • AWTVerticalScrollbar

構文

'Declaration
Public Class AWTVerticalScrollbar _
Inherits AWTScrollbar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTWindow クラス

説明

境界線やメニュー バーを持たないトップ レベル ウィンドウを表します。

継承階層

  • AWTContainer
    • AWTWindow
      • AWTDialog
      • AWTFrame
      • JWindow

構文

'Declaration
Public Class AWTWindow _
Inherits AWTContainer _
Implements IMoveable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


BasicArrowButton クラス

説明

基本方向のうちの 1 つの矢印を持ったプッシュ ボタンを表します。

継承階層

  • JButton
    • BasicArrowButton

構文

'Declaration
Public Class BasicArrowButton _
Inherits JButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Direction | 矢印が向いている方向。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


IAWTScrollable インターフェイス

説明

2 つのスクロール バーを持つことができる AWT オブジェクトのインターフェイスを表します。

継承階層

  • IBaseScrollable
    • IAWTScrollable

構文

'Declaration
Public Class IAWTScrollable _
Inherits IBaseScrollable

プロパティ

名前 | 説明
Position | スクロール可能コンポーネントの現在のスクロール位置。 (IBaseScrollable から継承されました)

メソッド

名前 | 説明
GetHorizontalBar | 水平方向のスクロール バーを取得します。
GetVerticalBar | 垂直方向のスクロール バーを取得します。
ScrollTo | 指定した位置にスクロールします。 (IBaseScrollable から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


IAWTScroller インターフェイス

説明

スクロール可能な AWT オブジェクトのインターフェイスを表します。

構文

'Declaration
Public Class IAWTScroller

プロパティ

名前 | 説明
PageSize | スクロール バーのブロック増分値。
Position | スクロール バーの現在の位置。
Range | スクロール バーの範囲値。
StepSize | スクロール バーの単位増分値。

メソッド

名前 | 説明
Page | 指定したページ数を現在のスクロール位置に加算します。
ScrollTo | 指定した位置にスクロールします。
Step | 指定したステップ数を現在のスクロール位置に加算します。
親トピック: Java AWT および Swing クラス リファレンス


IBaseScrollable インターフェイス

説明

重複を避けるために他のスクロール可能なコントロールのインターフェイスを表します。

構文

'Declaration
Public Class IBaseScrollable

プロパティ

名前 | 説明
Position | スクロール可能コンポーネントの現在のスクロール位置。

メソッド

名前 | 説明
ScrollTo | 指定した位置にスクロールします。
親トピック: Java AWT および Swing クラス リファレンス


IOracleFormsMenuBase インターフェイス

説明

ユーザーが選択する選択肢を定義するコントロールを表します。

構文

'Declaration
Public Class IOracleFormsMenuBase

プロパティ

名前 | 説明
Checked | メニュー項目がチェックされているかどうか。
親トピック: Java AWT および Swing クラス リファレンス


IOracleFormsScrollable インターフェイス

説明

スクロール可能な Oracle Forms オブジェクトのインターフェイスを表します。

構文

'Declaration
Public Class IOracleFormsScrollable

プロパティ

名前 | 説明
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。
HorizontalScrollbarPosition | スクロール バーの現在の位置。
HorizontalScrollbarRange | スクロール バーの範囲値。
HorizontalScrollbarStepSize | スクロール バーの単位増分値。
VerticalScrollbarPageSize | スクロール バーのブロック増分値。
VerticalScrollbarPosition | スクロール バーの現在の位置。
VerticalScrollbarRange | スクロール バーの範囲値。
VerticalScrollbarStepSize | スクロール バーの単位増分値。

メソッド

名前 | 説明
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。
VerticalScrollbarScrollTo | 指定した位置にスクロールします。
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。
親トピック: Java AWT および Swing クラス リファレンス


IOracleFormsScroller インターフェイス

説明

スクロール可能な Oracle Forms オブジェクトのインターフェイスを表します。

継承階層

  • IAWTScroller
    • IOracleFormsScroller

構文

'Declaration
Public Class IOracleFormsScroller _
Inherits IAWTScroller

プロパティ

名前 | 説明
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)

メソッド

名前 | 説明
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
ScrollToMax | スクロール バーの最大の位置にスクロールします。
ScrollToMin | スクロール バーの最小の位置にスクロールします。
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JButton クラス

説明

プッシュ ボタンを表します。

継承階層

  • AbstractButton
    • JButton
      • BasicArrowButton

構文

'Declaration
Public Class JButton _
Inherits AbstractButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JCheckBox クラス

説明

チェック ボックスを表します。

継承階層

  • JToggleButton
    • JCheckBox

構文

'Declaration
Public Class JCheckBox _
Inherits JToggleButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | トグル ボタンが選択されているかどうか。 (JToggleButton から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | ボタンの状態を切り替えます。 (JToggleButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JCheckBoxMenuItem クラス

説明

メニュー項目に含めることができるチェック ボックス コントロールを表します。

継承階層

  • JMenuItem
    • JCheckBoxMenuItem

構文

'Declaration
Public Class JCheckBoxMenuItem _
Inherits JMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目のチェック ボックスがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JColorChooser クラス

説明

色の選択を表します。

継承階層

  • JComponent
    • JColorChooser

構文

'Declaration
Public Class JColorChooser _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Color | カラーチューザから現在の色の値。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetColor | カラーチューザの現在の色を指定した色に設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JComboBox クラス

説明

コンボ ボックスを表します。

継承階層

  • JComponent
    • JComboBox

構文

'Declaration
Public Class JComboBox _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | コンボ ボックスが編集可能かどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | リスト項目の数。
Items | すべての含まれる項目のリスト。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 現在選択されている項目のインデックス。
SelectedItem | 現在選択されている項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItem | 指定したインデックスの項目を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JComponent クラス

説明

トップ レベル コンテナーを除くすべてのコンポーネントのクラスを表します。

継承階層

  • AWTContainer
    • JComponent
      • AbstractButton
      • JColorChooser
      • JComboBox
      • JLabel
      • JLayeredPane
      • JList
      • JMenuBar
      • JPanel
      • JPopupMenu
      • JProgressBar
      • JRootPane
      • JScrollBar
      • JScrollPane
      • JSlider
      • JSpinner
      • JSplitPane
      • JTabbedPane
      • JTable
      • JTableHeader
      • JTextComponent
      • JToolBar
      • JTree
      • JViewport

構文

'Declaration
Public Class JComponent _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JDesktopPane クラス

説明

デスクトップ ペインを表します。

継承階層

  • JLayeredPane
    • JDesktopPane

構文

'Declaration
Public Class JDesktopPane _
Inherits JLayeredPane

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JDialog クラス

説明

ダイアログ ボックスを表します。

継承階層

  • AWTDialog
    • JDialog

構文

'Declaration
Public Class JDialog _
Inherits AWTDialog

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Modal | ダイアログがモーダルかどうか。 (AWTDialog から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Resizable | ユーザーがダイアログのサイズを変更できるかどうか。 (AWTDialog から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ダイアログのタイトル。 (AWTDialog から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JEditorPane クラス

説明

さまざまな種類のコンテンツを編集できるテキスト コンポーネントを表します。

継承階層

  • JTextComponent
    • JEditorPane
      • JTextPane

構文

'Declaration
Public Class JEditorPane _
Inherits JTextComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
ContentType | このエディターが現在処理するように設定されているコンテンツ タイプ。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
FormattedText | エディター ペインのテキスト。
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Page | 表示されている現在の URL。
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JFrame クラス

説明

Java Swing のサポートを追加する AWTFrame を拡張したバージョンのクラスを表します。

継承階層

  • AWTFrame
    • JFrame

構文

'Declaration
Public Class JFrame _
Inherits AWTFrame

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Resizable | ユーザーがフレームのサイズを変更できるかどうか。 (AWTFrame から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | フレームのタイトル。 (AWTFrame から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JHorizontalScrollBar クラス

説明

水平方向のスクロール バーを表します。

継承階層

  • JScrollBar
    • JHorizontalScrollBar

構文

'Declaration
Public Class JHorizontalScrollBar _
Inherits JScrollBar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JLabel クラス

説明

簡単なテキスト、画像、または両方を表示する表示領域を表します。

継承階層

  • JComponent
    • JLabel

構文

'Declaration
Public Class JLabel _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Alignment | ラベルの配置。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JLayeredPane クラス

説明

階層ペインを表します。

継承階層

  • JComponent
    • JLayeredPane
      • JDesktopPane

構文

'Declaration
Public Class JLayeredPane _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JList クラス

説明

リスト ボックスを表します。

継承階層

  • JComponent
    • JList

構文

'Declaration
Public Class JList _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | リスト項目の数。
Items | すべての含まれるリスト項目のリスト。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されたリスト項目のインデックス。
SelectedIndices | 選択されたリスト項目のインデックスのリスト。
SelectedItem | 選択したリスト項目の名前またはインデックス。
SelectedItems | 選択されたリスト項目の名前またはインデックスのリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickItem | 指定したリスト項目をクリックします。
Deselect | 指定したリスト項目の選択を解除します。
DeselectAll | すべてのリスト項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickItem | リスト項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FindItem | リスト内の項目のインデックスを返します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItem | 指定したインデックスの項目を返します。
GetItemRect | リストに対して相対的な項目のサイズと位置を返します。
GetItemValue | リスト項目の値オブジェクトを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollItemIntoView | 項目をビューにスクロールします。
Select | リスト項目を選択します。
SelectAll | すべてのリスト要素を選択します。
SelectRange | リスト要素の指定した範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JMenu クラス

説明

メニューを表します。 メニューとは子項目を持つメニュー項目です。

継承階層

  • JMenuItem
    • JMenu

構文

'Declaration
Public Class JMenu _
Inherits JMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JMenuBar クラス

説明

メニュー バーを表します。

継承階層

  • JComponent
    • JMenuBar

構文

'Declaration
Public Class JMenuBar _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JMenuItem クラス

説明

メニュー項目を表します。

継承階層

  • AbstractButton
    • JMenuItem
      • JCheckBoxMenuItem
      • JMenu
      • JRadioButtonMenuItem

構文

'Declaration
Public Class JMenuItem _
Inherits AbstractButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JPanel クラス

説明

軽量コンポーネントのコンテナー クラスを表します。

継承階層

  • JComponent
    • JPanel

構文

'Declaration
Public Class JPanel _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JPasswordField クラス

説明

元の文字を表示しない単一行フィールドを表します。

継承階層

  • JTextField
    • JPasswordField

構文

'Declaration
Public Class JPasswordField _
Inherits JTextField

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Alignment | テキスト フィールドの配置。 (JTextField から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
EchoChar | 実際に入力される文字の代わりに表示される文字。
EchoCharSet | EchoChar が 0 以外の値に設定されているかどうか
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JPopupMenu クラス

説明

コンテキスト メニューを表します。

継承階層

  • JComponent
    • JPopupMenu

構文

'Declaration
Public Class JPopupMenu _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JProgressBar クラス

説明

操作の進行状況を表示します。

継承階層

  • JComponent
    • JProgressBar

構文

'Declaration
Public Class JProgressBar _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Indeterminate | 進行状況バーが不確定モードかどうか。
Maximum | 進行状況バーの最大値。
Minimum | 進行状況バーの最小値。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
ProgressString | 現在の進行状況の文字列表現。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JRadioButton クラス

説明

ラジオ ボタンを表します。

継承階層

  • JToggleButton
    • JRadioButton

構文

'Declaration
Public Class JRadioButton _
Inherits JToggleButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | トグル ボタンが選択されているかどうか。 (JToggleButton から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ラジオ ボタンをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | ボタンの状態を切り替えます。 (JToggleButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JRadioButtonMenuItem クラス

説明

ラジオ ボタン メニュー項目を表します。

継承階層

  • JMenuItem
    • JRadioButtonMenuItem

構文

'Declaration
Public Class JRadioButtonMenuItem _
Inherits JMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目のラジオ ボタンがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JRootPane クラス

説明

ルート ペインを表します。

継承階層

  • JComponent
    • JRootPane

構文

'Declaration
Public Class JRootPane _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JScrollBar クラス

説明

スクロール バーを表します。

継承階層

  • JComponent
    • JScrollBar
      • JHorizontalScrollBar
      • JVerticalScrollBar

構文

'Declaration
Public Class JScrollBar _
Inherits JComponent _
Implements IAWTScroller

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JScrollPane クラス

説明

ペイン自身よりも大きくなるコンテンツをスクロールすることができるスクロール ペインを表します。

継承階層

  • JComponent
    • JScrollPane

構文

'Declaration
Public Class JScrollPane _
Inherits JComponent _
Implements IBaseScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スクロール可能コンポーネントの現在のスクロール位置。 (IBaseScrollable から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | 水平方向のスクロール バーを取得します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | 垂直方向のスクロール バーを取得します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IBaseScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JSlider クラス

説明

範囲内の値を選択できるスライダ コントロールを表します。

継承階層

  • JComponent
    • JSlider

構文

'Declaration
Public Class JSlider _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Inverted | スライダに表示される値の範囲が反転している場合、値は true になります。
Maximum | スライダーによってサポートされる最大値。
Minimum | スライダーによってサポートされる最小値。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スライダーの位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | スライダーの現在の位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JSpinner クラス

説明

シーケンスの値を反復処理できるスピナー コントロールを表します。

継承階層

  • JComponent
    • JSpinner

構文

'Declaration
Public Class JSpinner _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Next | Value プロパティによって返されるオブジェクトの次にくるシーケンス内のオブジェクトにスピナーを設定します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Previous | Value プロパティによって返されるオブジェクトの前にあるシーケンス内のオブジェクトにスピナーを設定します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JSplitPane クラス

説明

水平方向または垂直方向に 2 つのコンポーネントに分割するスプリット ペイン コントロールを表します。

継承階層

  • JComponent
    • JSplitPane

構文

'Declaration
Public Class JSplitPane _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
DividerLocation | 現在の分割線の位置。
DividerSize | 分割線のサイズ。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
MaximumDividerLocation | 分割線の最大位置。
MinimumDividerLocation | 分割線の最小位置。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | 分割線の位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTabbedPane クラス

説明

タブ付きペインを表します。

継承階層

  • JComponent
    • JTabbedPane

構文

'Declaration
Public Class JTabbedPane _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedTab | 現在選択されているタブ。
SelectedTabIndex | 現在選択されているタブのインデックス。タブが選択されていない場合は -1（4Test の場合は 0）。
TabCount | タブの数。
TabRunCount | タブを表示するために現在使用されているタブの並びの数。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetTabIndex | タブ インデックスを返します。
GetTabTitle | タブ タイトルを返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsTabEnabled | タブが現在有効かどうかを返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 指定したタブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTable クラス

説明

行と列を持つテーブル コントロールを表します。

継承階層

  • JComponent
    • JTable

構文

'Declaration
Public Class JTable _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
AllCellTexts | テーブルのすべてのセルのテキスト値。 セルは行でグループ化され、各行にはそのセルのテキストが含まれます。
AllCellValues | テーブルのすべてのセルの値。 セルは行でグループ化され、各行にはそのセルの値が含まれます。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
ColumnCount | テーブルの列の数。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
EditingColumn | 現在編集中のセルを含む列の名前またはインデックス。
EditingRow | 現在編集中のセルを含む行のインデックス。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | テーブルに表示することのできる行の数。
SelectedColumn | 選択した列のインデックスまたは名前。 列が選択されていない場合には -1（4Test の場合は 0）が返されます。
SelectedColumns | すべての選択されている列のインデックスのリスト。
SelectedRow | 選択した行のインデックス。行が選択されていない場合は -1（4Test の場合は 0）が返されます。
SelectedRows | すべての選択されている行のインデックスのリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | すべての選択した列と行の選択を解除します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickCell | テーブル内の指定したセルをクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickCell | テーブル内の指定したセルをダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FindCell | 指定したテキストを含むセルを返します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellText | セル テキストを返します。
GetCellValue | セルの値を返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnName | 指定したインデックスの列の名前を返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsCellEditable | 指定したセルが編集可能な場合に true を返します。
IsCellSelected | 指定したセルが選択されている場合に true、それ以外は false を返します。
IsColumnSelected | 指定した列が選択されている場合に true を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsRowSelected | 指定した行が選択されている場合に true を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MoveColumn | ターゲット列の位置に列を移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ResizeColumn | 指定した列のサイズを変更します。
ScrollCellIntoView | 指定したセルをビューにスクロールします。
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テーブル内のすべての行、列、およびセルを選択します。
SelectColumn | 指定した列を選択します。
SelectRow | 指定した行を選択します。
SetCellValue | テーブル内の指定したセルに指定した値を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTableHeader クラス

説明

テーブル コンポーネントのテーブル ヘッダー クラスを表します。

継承階層

  • JComponent
    • JTableHeader

構文

'Declaration
Public Class JTableHeader _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickColumnHeader | テーブルの列ヘッダーをクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTextArea クラス

説明

書式なしテキストを表示する複数行テキスト領域コントロールを表します。

継承階層

  • JTextComponent
    • JTextArea

構文

'Declaration
Public Class JTextArea _
Inherits JTextComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
Columns | テキスト領域の列の数。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Rows | テキスト領域の行の数。
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Insert | 指定したテキストを指定した位置に挿入します。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReplaceRange | 指定した範囲内のテキストを指定した新しいテキストで置き換えます。
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTextComponent クラス

説明

グラフィカルに表現される属性でマークすることができるテキスト コントロールを表します。

継承階層

  • JComponent
    • JTextComponent
      • JEditorPane
      • JTextArea
      • JTextField

構文

'Declaration
Public Class JTextComponent _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。
SelectionEnd | 選択範囲の終了位置。
SelectionStart | 選択範囲の開始位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。
SetText | テキスト コンテンツを指定したテキストに設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTextField クラス

説明

ユーザーが変更可能なテキストを保持する、単一行のテキスト フィールド コントロールを表します。

継承階層

  • JTextComponent
    • JTextField
      • JPasswordField

構文

'Declaration
Public Class JTextField _
Inherits JTextComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Alignment | テキスト フィールドの配置。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTextPane クラス

説明

グラフィカルに表現される属性でマークすることができるテキスト ペイン コントロールを表します。

継承階層

  • JEditorPane
    • JTextPane

構文

'Declaration
Public Class JTextPane _
Inherits JEditorPane

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
CharacterAttributes | キャレットの位置で有効になっている文字属性。
ContentType | このエディターが現在処理するように設定されているコンテンツ タイプ。 (JEditorPane から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
FormattedText | エディター ペインのテキスト。 (JEditorPane から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
LogicalStyle | キャレットの位置で有効になっている現在の段落に割り当てられている論理書式。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Page | 表示されている現在の URL。 (JEditorPane から継承されました)
ParagraphAttributes | キャレットの位置で有効になっている現在の段落の属性。
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JToggleButton クラス

説明

2 つの状態を持つボタンを表します。

継承階層

  • AbstractButton
    • JToggleButton
      • JCheckBox
      • JRadioButton

構文

'Declaration
Public Class JToggleButton _
Inherits AbstractButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | トグル ボタンが選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | ボタンの状態を切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JToolBar クラス

説明

ツールバーを表します。

継承階層

  • JComponent
    • JToolBar

構文

'Declaration
Public Class JToolBar _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTree クラス

説明

ツリーを表します。

継承階層

  • JComponent
    • JTree

構文

'Declaration
Public Class JTree _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
IsEditable | ツリーが編集可能かどうか。
IsEditing | ツリーが編集中かどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedItemPath | 選択された項目パス。
SelectedItemPaths | 選択された項目パスのリスト。
SelectedItemText | 選択された項目のテキスト。
SelectionCount | 選択されたツリー ノードの数。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VisibleItemPaths | ツリーに表示される項目の項目パス。
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CancelEditing | 現在編集中のセッションをキャンセルします。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | 選択範囲をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickNode | 項目パスによって指定されたツリー ノードをクリックします。
Collapse | 指定した項目パスによって識別されるツリー ノードを折りたたみます。
CollapseAll | すべてのツリー ノードを折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickNode | 項目パスによって指定されたツリー ノードをダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 指定した項目パスによって識別されるツリー ノードを展開します。
ExpandAll | すべてのツリー ノードを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemRect | ツリーに対して相対的な項目のサイズと位置を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsExpanded | 指定した項目パスが展開されている場合に 'true' を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsPathEditable | 項目パスが編集可能かどうかを取得します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollPathIntoView | 指定した項目パスを表示できる位置にスクロールします。
Select | 指定した項目パスによって識別されるツリー ノードを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartEditing | 指定した項目パスまたは現在の選択項目の編集を開始します。
StopEditing | 現在編集中のセッションを停止します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JVerticalScrollBar クラス

説明

垂直方向のスクロール バーを表します。

継承階層

  • JScrollBar
    • JVerticalScrollBar

構文

'Declaration
Public Class JVerticalScrollBar _
Inherits JScrollBar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JViewport クラス

説明

Swing ビューポートを表します。

継承階層

  • JComponent
    • JViewport

構文

'Declaration
Public Class JViewport _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
ViewRectangle | ビューの可視部分をビューの座標。
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JWindow クラス

説明

ユーザーのデスクトップ上のどこにでも表示できるコンテナーを表します。

継承階層

  • AWTWindow
    • JWindow

構文

'Declaration
Public Class JWindow _
Inherits AWTWindow

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsApplication クラス

説明

Oracle Forms アプリケーションを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsApplication

構文

'Declaration
Public Class OracleFormsApplication _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SplashScreenRunning | アプリケーションが現在スプラッシュ スクリーンを表示するかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsButton クラス

説明

プッシュ ボタンを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsButton

構文

'Declaration
Public Class OracleFormsButton _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Default | ボタンがデフォルト ボタンかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsCheckbox クラス

説明

チェック ボックスを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsCheckbox

構文

'Declaration
Public Class OracleFormsCheckbox _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | チェック ボックスがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsChoice クラス

説明

選択肢を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsChoice
      • OracleFormsComboBox
      • OracleFormsListBox
      • OracleFormsPopList

構文

'Declaration
Public Class OracleFormsChoice _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | 選択肢の項目の数。
Items | 選択肢項目のリスト。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。
SelectedItem | 選択されている項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemText | 指定したインデックスの項目を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 選択肢で指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsComboBox クラス

説明

コンボ ボックスを表します。

継承階層

  • OracleFormsChoice
    • OracleFormsComboBox

構文

'Declaration
Public Class OracleFormsComboBox _
Inherits OracleFormsChoice

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
DropDownOpen | ドロップダウンが現在開いているかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | 選択肢の項目の数。 (OracleFormsChoice から継承されました)
Items | 選択肢項目のリスト。 (OracleFormsChoice から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 (OracleFormsChoice から継承されました)
SelectedItem | 選択されている項目。 (OracleFormsChoice から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemText | 指定したインデックスの項目を返します。 (OracleFormsChoice から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 選択肢で指定した項目を選択します。 (OracleFormsChoice から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | コンボ ボックスのテキストを指定したテキストに設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsContainer クラス

説明

他の Oracle Forms コンポーネントを含めることができるコンポーネントを表します。

継承階層

  • AWTContainer
    • OracleFormsContainer
      • OracleFormsApplication
      • OracleFormsButton
      • OracleFormsCheckbox
      • OracleFormsChoice
      • OracleFormsLabel
      • OracleFormsListView
      • OracleFormsMenu
      • OracleFormsMenuItem
      • OracleFormsRadioButton
      • OracleFormsScrollbar
      • OracleFormsStatusArea
      • OracleFormsStatusBar
      • OracleFormsStatusBarItem
      • OracleFormsStatusIndicator
      • OracleFormsTabBar
      • OracleFormsTabBarItem
      • OracleFormsTabPanel
      • OracleFormsTextField
      • OracleFormsTitleBar
      • OracleFormsToolBar
      • OracleFormsToolBarItem
      • OracleFormsTree

構文

'Declaration
Public Class OracleFormsContainer _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsHorizontalScrollbar クラス

説明

水平方向のスクロール バーを表します。

継承階層

  • OracleFormsScrollbar
    • OracleFormsHorizontalScrollbar

構文

'Declaration
Public Class OracleFormsHorizontalScrollbar _
Inherits OracleFormsScrollbar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IOracleFormsScroller から継承されました)
Position | スクロール バーの現在の位置。 (IOracleFormsScroller から継承されました)
Range | スクロール バーの範囲値。 (IOracleFormsScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IOracleFormsScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsLabel クラス

説明

コンテナー内に配置されるテキストのクラスを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsLabel

構文

'Declaration
Public Class OracleFormsLabel _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsListBox クラス

説明

ListBox を表します。

継承階層

  • OracleFormsChoice
    • OracleFormsListBox

構文

'Declaration
Public Class OracleFormsListBox _
Inherits OracleFormsChoice _
Implements IOracleFormsScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
ItemCount | 選択肢の項目の数。 (OracleFormsChoice から継承されました)
Items | 選択肢項目のリスト。 (OracleFormsChoice から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 (OracleFormsChoice から継承されました)
SelectedItem | 選択されている項目。 (OracleFormsChoice から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickItem | 指定したリスト項目をクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickItem | リスト項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
GetItemText | 指定したインデックスの項目を返します。 (OracleFormsChoice から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 選択肢で指定した項目を選択します。 (OracleFormsChoice から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsListView クラス

説明

リストビューを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsListView

構文

'Declaration
Public Class OracleFormsListView _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
AllCellTexts | リストビューのすべてのセルのテキスト値。 セルは行でグループ化され、各行にはそのセルのテキストが含まれます。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
ColumnCount | リストビューの列の数。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
FocusedRow | フォーカスした行のインデックス。行がフォーカスされていない場合は -1（4Test の場合は 0）が返されます。
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | リストビューの行の数。
SelectedRow | 選択した行のインデックス。行が選択されていない場合は -1（4Test の場合は 0）が返されます。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | 選択範囲をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellText | セル テキストを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnName | 指定したインデックスの列の名前を返します。
GetColumnWidth | 指定した列の幅を返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsRowVisible | 指定した行が表示されているかどうかを返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollToRow | 指定した行にスクロールします。
SelectRow | 指定した行を選択します。
SetColumnWidth | 指定した列の幅を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsMenu クラス

説明

トップ レベル メニューを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsMenu
      • OracleFormsPopupMenu

構文

'Declaration
Public Class OracleFormsMenu _
Inherits OracleFormsContainer _
Implements IOracleFormsMenuBase

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目がチェックされているかどうか。 (IOracleFormsMenuBase から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsChecked | メニュー項目がチェックされているかどうかを示す値。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | メニュー項目を選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsMenuItem クラス

説明

Menu 内の選択可能な項目を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsMenuItem

構文

'Declaration
Public Class OracleFormsMenuItem _
Inherits OracleFormsContainer _
Implements IOracleFormsMenuBase

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目がチェックされているかどうか。 (IOracleFormsMenuBase から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | メニュー項目を選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsPopList クラス

説明

PopList を表します。

継承階層

  • OracleFormsChoice
    • OracleFormsPopList

構文

'Declaration
Public Class OracleFormsPopList _
Inherits OracleFormsChoice

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
DropDownOpen | ドロップダウンが現在開いているかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | 選択肢の項目の数。 (OracleFormsChoice から継承されました)
Items | 選択肢項目のリスト。 (OracleFormsChoice から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 (OracleFormsChoice から継承されました)
SelectedItem | 選択されている項目。 (OracleFormsChoice から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemText | 指定したインデックスの項目を返します。 (OracleFormsChoice から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 選択肢で指定した項目を選択します。 (OracleFormsChoice から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsPopupMenu クラス

説明

コンテキスト メニューを表します。

継承階層

  • OracleFormsMenu
    • OracleFormsPopupMenu

構文

'Declaration
Public Class OracleFormsPopupMenu _
Inherits OracleFormsMenu

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目がチェックされているかどうか。 (IOracleFormsMenuBase から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします (OracleFormsMenu から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsChecked | メニュー項目がチェックされているかどうかを示す値。 (OracleFormsMenu から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | メニュー項目を選択します (OracleFormsMenu から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します (OracleFormsMenu から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsRadioButton クラス

説明

ラジオ ボタンを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsRadioButton

構文

'Declaration
Public Class OracleFormsRadioButton _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | ラジオ ボタンがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ラジオ ボタンをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsScrollbar クラス

説明

スクロール バーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsScrollbar
      • OracleFormsHorizontalScrollbar
      • OracleFormsVerticalScrollbar

構文

'Declaration
Public Class OracleFormsScrollbar _
Inherits OracleFormsContainer _
Implements IOracleFormsScroller

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IOracleFormsScroller から継承されました)
Position | スクロール バーの現在の位置。 (IOracleFormsScroller から継承されました)
Range | スクロール バーの範囲値。 (IOracleFormsScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IOracleFormsScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsStatusArea クラス

説明

ステータス情報を含む領域を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsStatusArea

構文

'Declaration
Public Class OracleFormsStatusArea _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsStatusBar クラス

説明

ステータス バーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsStatusBar

構文

'Declaration
Public Class OracleFormsStatusBar _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsStatusBarItem クラス

説明

ステータス バー内の項目を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsStatusBarItem

構文

'Declaration
Public Class OracleFormsStatusBarItem _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsStatusIndicator クラス

説明

ステータス インジケータを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsStatusIndicator

構文

'Declaration
Public Class OracleFormsStatusIndicator _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTabBar クラス

説明

タブ バーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTabBar

構文

'Declaration
Public Class OracleFormsTabBar _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedTab | 現在選択されているタブ。
TabCount | タブの数。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetTabIndex | タブ インデックスを返します。
GetTabTitle | タブ タイトルを返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsTabEnabled | タブが現在有効かどうかを返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 指定したタブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTabBarItem クラス

説明

タブ バー項目を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTabBarItem

構文

'Declaration
Public Class OracleFormsTabBarItem _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | タブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTabPanel クラス

説明

コンポーネントのコンテナー クラスを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTabPanel

構文

'Declaration
Public Class OracleFormsTabPanel _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTextField クラス

説明

Oracle Forms テキスト フィールドを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTextField

構文

'Declaration
Public Class OracleFormsTextField _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト フィールドのテキスト挿入キャレットの位置。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト フィールドのテキストをユーザーが変更できるかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
IsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PasswordChar | テキスト フィールドがパスワード テキスト フィールドの場合に、実際に入力された文字の代わりに表示する文字。
SelectedText | 現在選択されているテキスト。
SelectionEnd | 選択されたテキストの終了位置。
SelectionStart | 選択されたテキストの開始位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト フィールドから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト フィールド内のすべてのテキストを選択します。
SetCaretPosition | テキスト フィールドのテキスト挿入キャレットの位置を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。
SetText | テキスト フィールドのテキストを指定したテキストに設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTitleBar クラス

説明

タイトル バーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTitleBar

構文

'Declaration
Public Class OracleFormsTitleBar _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsToolBar クラス

説明

ツールバーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsToolBar

構文

'Declaration
Public Class OracleFormsToolBar _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsToolBarItem クラス

説明

ツール バーの要素を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsToolBarItem

構文

'Declaration
Public Class OracleFormsToolBarItem _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 要素を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTree クラス

説明

ツリーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTree

構文

'Declaration
Public Class OracleFormsTree _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedItemPath | 選択された項目パスのリスト。
SelectedItemText | 選択された項目のテキスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickItem | 項目パスによって指定されたツリー ノードをクリックします。
Collapse | 指定した項目パスによって識別されるツリー ノードを折りたたみます。
CollapseAll | すべてのツリー ノードを折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickItem | 項目パスによって指定されたツリー ノードをダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 指定した項目パスによって識別されるツリー ノードを展開します。
ExpandAll | すべてのツリー ノードを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsExpanded | 指定した項目パスが展開されている場合に 'true' を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsVisible | 指定した項目パスが表示されている場合に 'true' を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollItemIntoView | 指定した項目パスを表示できる位置にスクロールします。
Select | 指定した項目パスによって識別されるツリー ノードを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsVerticalScrollbar クラス

説明

垂直方向のスクロール バーを表します。

継承階層

  • OracleFormsScrollbar
    • OracleFormsVerticalScrollbar

構文

'Declaration
Public Class OracleFormsVerticalScrollbar _
Inherits OracleFormsScrollbar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IOracleFormsScroller から継承されました)
Position | スクロール バーの現在の位置。 (IOracleFormsScroller から継承されました)
Range | スクロール バーの範囲値。 (IOracleFormsScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IOracleFormsScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


SplitPaneDivider クラス

説明

スプリット ペインの分割線を表します。

継承階層

  • AWTContainer
    • SplitPaneDivider

構文

'Declaration
Public Class SplitPaneDivider _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


Win32 クラス リファレンス

Windows API ベースのコントロールのテストに利用可能なクラスを一覧します。

  • AccessibleControl クラス
    ユーザー補助拡張機能によって識別されるコントロール クラス。
  • Header クラス
    リスト ヘッダー コントロールのクラスです。 Header は ListViewW32 クラスのコントロールで最も一般に使用されます。
  • ListView クラス
    非階層的データのリストを表示するさまざまな方法をサポートする複雑なリスト コントロールのクラスです。 これらのビューには、再配置可能な大きいアイコンや小さいアイコン、および詳細（またはレポート）ビューが含まれます。
  • MonthCalendar クラス
    カレンダの日付と時間を選択するクラスです。
  • Pager クラス
    タブ付きまたは複数ページのダイアログ、およびボタン バーのクラスです。 Windows では、このクラスは TabControl コントロールに対応します。 Windows では、Silk Test は主要なタブのみをサポートしていますが、'サブページ' や '子ページ' などと呼ばれる補助的なタブはサポートしません。
  • ProgressBar クラス
    進行状況バー コントロールのクラスです。 進行状況バーは進行状況を表示します。
  • StatusBar クラス
    ステータス バー コントロールのクラスです。 ステータス バーは動的に変更するテキスト ラベルの集合のコンテナーです。
  • UpDown クラス
    アップダウン コントロールのクラスです。
親トピック: Silk Test Workbench 言語リファレンス
関連資料
Win32 クラス リファレンス


AccessibleControl クラス

説明

ユーザー補助拡張機能によって識別されるコントロール クラス。

継承階層

  • BaseGuiTestObject
    • AccessibleControl

構文

'Declaration
Public Class AccessibleControl _
Inherits BaseGuiTestObject

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Description | ユーザー補助オブジェクトの説明文。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Role | このユーザー補助オブジェクトの役割。
State | このユーザー補助オブジェクトのさまざまな状態を説明する状態文字列。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoDefaultAction | 基になったユーザー補助コントロールのサポートするデフォルトの操作を実行します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


Header クラス

説明

リスト ヘッダー コントロールのクラスです。 Header は ListViewW32 クラスのコントロールで最も一般に使用されます。

継承階層

  • Control
    • Header

構文

'Declaration
Public Class Header _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | ヘッダーの列の数。
ColumnOrder | ヘッダー項目のインデックス（ヘッダーの項目が現在並んでいる順番）。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DividerDoubleSelect | 指定した項目の右側にある分割線をダブルクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnTitle | 指定したヘッダー項目のタイトルを返します。
GetColumnWidth | 指定した列の幅を返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | ヘッダーの項目のサイズを変更します。
Select | 項目またはボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


ListView クラス

説明

非階層的データのリストを表示するさまざまな方法をサポートする複雑なリスト コントロールのクラスです。 これらのビューには、再配置可能な大きいアイコンや小さいアイコン、および詳細（またはレポート）ビューが含まれます。

継承階層

  • Control
    • ListView

構文

'Declaration
Public Class ListView _
Inherits Control

プロパティ

名前 | 説明
AllowsCheck | リスト ビューがチェックをサポートするかどうか。
AllowsMultiSelect | リスト ビューが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
CheckedIndices | チェックされた項目のインデックスを含むリスト。
CheckedItems | チェックされた項目を含むリスト。
ColumnCount | 項目ごとの列の数。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | リスト ビューに含まれる項目の数。
Items | リスト ビューのすべての項目を含むリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndices | 選択された項目のインデックスを含むリスト。
SelectedItems | 選択された項目を含むリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | 項目をチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelect | 拡張選択リスト ビューの選択範囲を拡張して項目の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetContents | ListView コントロールの内容を返します。 返される項目はセミコロンで区切られます。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetItemImageIndex | アイコンを含むリスト ビューのイメージ リストのインデックスを返します。 これにより、正しいイメージが項目に対して使用されていることを検証することができます。
GetItemIndex | リスト ビュー項目 ' ' のインデックスを返します (見つからなかった場合は -1)。
GetItemRect | 項目の矩形領域を返します。 getIconRect が設定されていると、項目のアイコンの矩形領域が返されます。設定されていない場合は、項目テキストの矩形領域が返されます。 columnIndex が指定されていると、指定した列の矩形領域が返されます。
GetItemText | 項目のテキストを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | 現在の選択項目の集合にリスト内の項目を追加します。
MultiUnselect | リスト内の項目を選択項目の集合から削除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetItemFocus | リスト内の項目にフォーカスを与えます。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | 項目のチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


MonthCalendar クラス

説明

カレンダの日付と時間を選択するクラスです。

継承階層

  • Control
    • MonthCalendar

構文

'Declaration
Public Class MonthCalendar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelect | 日付と時間の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
OpenMonthMenu | 月を指定するためにカレンダ メニューを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 日付および時間を選択します。
SelectNextMonth | 次の月を選択します。
SelectPreviousMonth | 前の月を選択します。
SelectToday | 今日の日付を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


Pager クラス

説明

タブ付きまたは複数ページのダイアログ、およびボタン バーのクラスです。 Windows では、このクラスは TabControl コントロールに対応します。 Windows では、Silk Test は主要なタブのみをサポートしていますが、'サブページ' や '子ページ' などと呼ばれる補助的なタブはサポートしません。

継承階層

  • Control
    • Pager

構文

'Declaration
Public Class Pager _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Horizontal | アップダウン コントロールが水平方向に配置されているかどうか。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollDown | スクロール バーを下に移動します。
ScrollUp | スクロール バーを上に移動します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


ProgressBar クラス

説明

進行状況バー コントロールのクラスです。 進行状況バーは進行状況を表示します。

継承階層

  • Control
    • ProgressBar

構文

'Declaration
Public Class ProgressBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | 現在の位置。
Range | 進行状況バー コントロールの範囲。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


StatusBar クラス

説明

ステータス バー コントロールのクラスです。 ステータス バーは動的に変更するテキスト ラベルの集合のコンテナーです。

継承階層

  • Control
    • StatusBar

構文

'Declaration
Public Class StatusBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


UpDown クラス

説明

アップダウン コントロールのクラスです。

継承階層

  • Control
    • UpDown
      • NumericUpDown

構文

'Declaration
Public Class UpDown _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Horizontal | アップダウン コントロールが水平方向に配置されているかどうか。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | アップダウン コントロールの位置。
Range | アップダウン コントロールの範囲。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WrapAround | 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Decrement | アップダウン コントロールの位置の値を減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Increment | アップダウン コントロールの位置の値を増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


Windows Forms クラス リファレンス

Windows Forms コントロールのテストに利用可能なクラスを一覧します。

  • CheckedListBox クラス
    CheckedListBox は、チェック ボックスを含むリスト ボックスを表します。
  • DataGrid クラス
    データ グリッドとデータ グリッド ビューのクラスです。
  • DataGridColumn クラス
    テーブルにおける列のクラスです。
  • DataGridItem クラス
    データ グリッドとデータ グリッド ビュー行のクラスです。
  • DataGridRow クラス
    テーブルにおける行のクラスです。
  • DomainUpDown クラス
    アップダウン コントロールのクラスです。
  • ElementHost クラス
    WPF（Windows Presentation Foundation）要素をホストするのに使用することができる Windows Forms コントロールです。
  • FormsHost クラス
    WPF ページ上に Windows Forms コントロールをホストできるようにする要素です。
  • FormsWindow クラス
    FormsWindow は、Windows Forms アプリケーションのトップ レベル ウィンドウを表すクラスです。
  • MenuStrip クラス
    MenuStrip は、Windows Forms アプリケーションの新しいメニュー ストリップを作成するクラスです。
  • NumericUpDown クラス
    数値アップダウン コントロールのクラスです。
親トピック: Silk Test Workbench 言語リファレンス
関連資料
Windows Forms クラス リファレンス


CheckedListBox クラス

説明

CheckedListBox は、チェック ボックスを含むリスト ボックスを表します。

継承階層

  • ListBox
    • CheckedListBox

構文

'Declaration
Public Class CheckedListBox _
Inherits ListBox

プロパティ

名前 | 説明
AllowsMultiSelect | コントロールが複数項目の選択をサポートするかどうか。 (ListBox から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
CheckedIndices | チェックした項目のインデックス（複数）。
CheckedItems | チェックした項目の名前（複数）。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | リスト ボックスの項目の数。 (ListBox から継承されました)
Items | リスト ボックスの項目のリスト。 (ListBox から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 最初の選択された項目のインデックス。 (ListBox から継承されました)
SelectedIndices | 選択した項目の索引。 (ListBox から継承されました)
SelectedItem | 最初の選択された項目の名前。 (ListBox から継承されました)
SelectedItems | 選択した項目の名前。 (ListBox から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックス付きリスト ボックスから項目を選択します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | リスト ボックスの項目をダブルクリックします。 (ListBox から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelect | リスト ボックスの選択範囲を拡張して項目の範囲を選択します。 (ListBox から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | 複数または拡張選択リスト ボックスの項目を選択します。 (ListBox から継承されました)
MultiUnselect | 複数または拡張選択リスト ボックスの項目の選択を解除します。 (ListBox から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト ボックスから項目を選択します。 (ListBox から継承されました)
SelectRange | 拡張選択リスト ボックスの項目の範囲を選択します。 (ListBox から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックス付きリスト ボックスから項目を選択します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DataGrid クラス

説明

データ グリッドとデータ グリッド ビューのクラスです。

継承階層

  • Control
    • DataGrid

構文

'Declaration
Public Class DataGrid _
Inherits Control

プロパティ

名前 | 説明
AllowsMultiSelect | テーブルが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | DataGrid の列の数。
ColumnItems | 列のすべての項目のリスト。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Items | 列のすべての項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | DataGrid の行の数。
RowItems | 行のすべての項目のリスト。
SelectedItems | 選択した項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelectItem | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelectItem | 指定した項目に選択範囲を拡張します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelectItem | テーブルの行を選択行の集合に追加します。
MultiUnselectItem | 項目を選択項目の集合から削除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | データ グリッドの左上隅に項目を移動しようとします。
SelectAllItems | データ グリッド内のすべての項目を選択します。
SelectItem | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DataGridColumn クラス

説明

テーブルにおける列のクラスです。

継承階層

  • Item
    • DataGridColumn

構文

'Declaration
Public Class DataGridColumn _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Width | 列の幅。

メソッド

名前 | 説明
AutoResize | 分割線をダブルクリックして列のサイズを自動的に変更します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列のサイズを変更します。
ScrollIntoView | データ グリッドをスクロールさせて左側に列を移動しようとします。
Select | 列を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DataGridItem クラス

説明

データ グリッドとデータ グリッド ビュー行のクラスです。

継承階層

  • Item
    • DataGridItem

構文

'Declaration
Public Class DataGridItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Column | データ グリッドの項目の列。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Row | データ グリッドの項目の行。
Selected | 項目が選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | データ グリッドの左上隅に項目を移動しようとします。
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DataGridRow クラス

説明

テーブルにおける行のクラスです。

継承階層

  • Item
    • DataGridRow

構文

'Declaration
Public Class DataGridRow _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Height | 列の幅。
ItemCount | 行の項目の数。
Items | 行の項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列のサイズを変更します。
ScrollIntoView | データ グリッドをスクロールさせて上側に行を移動しようとします。
Select | 列を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DomainUpDown クラス

説明

アップダウン コントロールのクラスです。

継承階層

  • Control
    • DomainUpDown

構文

'Declaration
Public Class DomainUpDown _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | リスト ビューに含まれる項目の数。
Items | ドメイン アップダウン コントロールの項目。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | アップダウン コントロールの位置。
SelectedItem | アップダウン コントロールの位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WrapAround | 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Decrement | アップダウン コントロールの位置の値を減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Increment | アップダウン コントロールの位置の値を増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


ElementHost クラス

説明

WPF（Windows Presentation Foundation）要素をホストするのに使用することができる Windows Forms コントロールです。

継承階層

  • Control
    • ElementHost

構文

'Declaration
Public Class ElementHost _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


FormsHost クラス

説明

WPF ページ上に Windows Forms コントロールをホストできるようにする要素です。

継承階層

  • Control
    • FormsHost

構文

'Declaration
Public Class FormsHost _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


FormsWindow クラス

説明

FormsWindow は、Windows Forms アプリケーションのトップ レベル ウィンドウを表すクラスです。

継承階層

  • Window
    • FormsWindow

構文

'Declaration
Public Class FormsWindow _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LoadAssembly | Windows Forms アプリケーションで指定したパスのアセンブリをロードします。
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


MenuStrip クラス

説明

MenuStrip は、Windows Forms アプリケーションの新しいメニュー ストリップを作成するクラスです。

継承階層

  • Control
    • MenuStrip

構文

'Declaration
Public Class MenuStrip _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


NumericUpDown クラス

説明

数値アップダウン コントロールのクラスです。

継承階層

  • UpDown
    • NumericUpDown

構文

'Declaration
Public Class NumericUpDown _
Inherits UpDown

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Horizontal | アップダウン コントロールが水平方向に配置されているかどうか。 (UpDown から継承されました)
Maximum | アップダウン コントロールの最大値。
Minimum | アップダウン コントロールの最小値。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | アップダウン コントロールの位置。 (UpDown から継承されました)
PositionDecimal | アップダウン コントロールの位置。
Range | アップダウン コントロールの範囲。 (UpDown から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WrapAround | 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。 (UpDown から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Decrement | アップダウン コントロールの位置の値を減らします。 (UpDown から継承されました)
DecrementDecimal | アップダウン コントロールの位置の値を減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Increment | アップダウン コントロールの位置の値を増やします。 (UpDown から継承されました)
IncrementDecimal | アップダウン コントロールの位置の値を増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


WPF クラス リファレンス

WPF コントロールのテストに利用可能なクラスを一覧します。

  • IWPFScrollable インターフェイス
    すべての FrameworkElement のスクロールを実装するインターフェイスです。
  • WPFBase クラス
    Windows Presentation Foundation (WPF) 要素の WPF フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。
  • WPFButton クラス
    ButtonBase.Click イベントに反応する Windows ボタン コントロールを表します。
  • WPFButtonBase クラス
    すべての Button コントロールの基本クラスを表します。
  • WPFCalendar クラス
    ユーザーがビジュアルな予定表を使用して日付を選択できるコントロールを表します。
  • WPFCheckBox クラス
    チェック ボックスを表します。
  • WPFColumnHeader クラス
    ListView コントロールのヘッダー列を表します。
  • WPFComboBox クラス
    コントロールの矢印をクリックすることにより表示/非表示の切り替えが可能なドロップダウン リスト ボックスを持つ選択コントロールを表します。
  • WPFComboBoxItem クラス
    ComboBox 内の選択可能な項目を表します。
  • WPFContentControl クラス
    単一のコンテンツを含むコントロールを表します。
  • WPFContextMenu クラス
    コンテキスト メニューです。
  • WPFControl クラス
    ControlTemplate を使用して外観を定義するユーザー インターフェイス (UI) 要素の基本クラスを表します。
  • WPFDataGrid クラス
    カスタマイズできるグリッドにデータを表示するコントロールを表します。
  • WPFDataGridCell クラス
    データ グリッド コントロールのセルを表します。
  • WPFDataGridColumnHeader クラス
    個々のデータ グリッド列ヘッダーを表します。
  • WPFDataGridRow クラス
    データ グリッド行を表します。
  • WPFDataGridRowHeader クラス
    個々のデータ グリッド行ヘッダーを表します。
  • WPFDatePicker クラス
    ユーザーが日付を選択できるコントロールを表します。
  • WPFDocumentViewer クラス
    XpsDocument など、改ページ位置が自動修正された FixedDocument のコンテンツをホストできるドキュメント表示コントロールを表します。
  • WPFDocumentViewerBase クラス
    固定コンテンツまたはフロー コンテンツ (それぞれ FixedDocument または FlowDocument で表される) を表示するためのビューアーの基本クラスを提供します。
  • WPFDrawingVisual クラス
    DrawingVisual は、画面にベクター グラフィックスをレンダリングするために使用できるビジュアル オブジェクトです。 コンテンツはシステムによって永続化されます。
  • WPFExpander クラス
    コンテンツを表示するための折りたたみ可能なウィンドウを持ったヘッダーを表示するコントロールを表します。
  • WPFFlowDocumentPageViewer クラス
    コンテンツを一度に 1 ページずつ表示する固定の表示モードでフロー コンテンツを表示するためのコントロールを表します。
  • WPFFlowDocumentReader クラス
    連続したスクロール モードでフロー コンテンツを表示するためのコントロールを提供します。
  • WPFFlowDocumentScrollViewer クラス
    連続したスクロール モードでフロー コンテンツを表示するためのコントロールを提供します。
  • WPFFrame クラス
    すべての Frame コントロールの基本クラスを表します。
  • WPFFrameworkContentElement クラス
    すべての FrameworkContentElement 派生クラスの基本クラスです。 このクラスはプロパティやメソッドを追加しません。
  • WPFFrameworkElement クラス
    FrameworkElement 派生クラスのプロパティおよびメソッドのセットを提供します。
  • WPFGridSplitter クラス
    Grid コントロールの行間または列間の領域を再配分するコントロールを表します。
  • WPFGroupBox クラス
    ユーザー インターフェイス (UI) コンテンツ用に境界線やヘッダーを含むコンテナーを作成するコントロールを表します。
  • WPFHeaderedContentControl クラス
    単一のコンテンツを含みヘッダーを持つすべてのコントロールの基本実装を提供します。
  • WPFHeaderedItemsControl クラス
    ControlTemplate を使用して外観を定義するユーザー インターフェイス (UI) 要素の基本クラスを表します。
  • WPFHyperlink クラス
    子コントロールまたは内部テキストとして埋め込むことができるハイパーリンクを表します。
  • WPFImage クラス
    画像を表示するコントロールを表します。
  • WPFItemsControl クラス
    項目のコレクションを提示するために使用できるコントロールを表します。
  • WPFLabel クラス
    コントロールのテキスト ラベルを表します。
  • WPFListBox クラス
    選択可能な項目の一覧が表示されます。
  • WPFListBoxItem クラス
    ListBox 内の選択可能な項目を表します。
  • WPFListView クラス
    データ項目のリストを表示するコントロールを表します。 ListView は表のようなスタイルを持つことができます。
  • WPFListViewItem クラス
    ListView コントロールの項目を表します。
  • WPFMediaElement クラス
    オーディオとビデオまたはそのいずれかを含むコントロールを表します。
  • WPFMenu クラス
    コマンドおよびイベント ハンドラーに関連付けられている要素を階層的に編成できるようにするための Windows メニュー コントロールを表します。
  • WPFMenuBase クラス
    ユーザーが選択する選択肢を定義するコントロールを表します。
  • WPFMenuItem クラス
    Menu 内の選択可能な項目を表します。
  • WPFMultiSelector クラス
    複数の項目を選択できるコントロールの抽象クラスを提供します。
  • WPFNavigationWindow クラス
    コンテンツ ナビゲーションをサポートするウィンドウを表します。
  • WPFPage クラス
    Windows Internet Explorer、NavigationWindow、および Frame でナビゲーションおよびホストを行うことができるコンテンツのページをカプセル化します。
  • WPFPasswordBox クラス
    PasswordBox コントロールを表します。
  • WPFPopup クラス
    コンテンツがあるポップアップ ウィンドウを表します。
  • WPFProgressBar クラス
    ProgressBar コントロールを表します。
  • WPFRadioButton クラス
    ラジオ ボタンを表します。
  • WPFRangeBase クラス
    特定の範囲内の値を持つ要素を表します。
  • WPFRepeatButton クラス
    コントロールが押されてから離されるまで、その選択イベントを繰り返し発生させるコントロールを表します。
  • WPFRichTextBox クラス
    RichTextBox コントロールを表します。
  • WPFScrollBar クラス
    その位置が値に対応するスライディング Thumb の付いた、スクロール バーを提供するコントロールを表します。
  • WPFScrollViewer クラス
    表示される他の要素を格納できるスクロール可能な領域を表します。
  • WPFSelector クラス
    ユーザーが子要素から項目を選択できるようにするコントロールを表します。
  • WPFSlider クラス
    ユーザーが Track に沿って Thumb コントロールを移動することにより一定範囲から値を選択できるコントロールを表します。
  • WPFStatusBar クラス
    アプリケーション ウィンドウの水平バーに項目および情報を表示するコントロールを表します。
  • WPFStatusBarItem クラス
    StatusBar コントロールの項目を表します。
  • WPFStickyNoteControl クラス
    入力したテキストまたは手書きの注釈をユーザーがドキュメントに結び付けることができるコントロールを表します。
  • WPFTabControl クラス
    画面上の同じスペースを共有する複数の項目で構成されるコントロールを表します。
  • WPFTabItem クラス
    TabControl 内の選択可能な項目を表します。
  • WPFTextBlock クラス
    単一のコンテンツを含むコントロールを表します。
  • WPFTextBox クラス
    書式なしテキストの表示や編集に使用できるコントロールを表します。
  • WPFTextBoxBase クラス
    単一のコンテンツを含むコントロールを表します。
  • WPFThumb クラス
    ユーザーがドラッグできるコントロールを表します。
  • WPFTickBar クラス
    Slider コントロールの目盛りを描画するコントロールを表します。
  • WPFToggleButton クラス
    状態を切り替えることができるボタンを表します。
  • WPFToolBar クラス
    コマンドまたはコントロールのグループのコンテナーを提供します。
  • WPFToolBarTray クラス
    ToolBar のレイアウトを処理するコンテナーを表します。
  • WPFToolkitCalendar クラス
    ユーザーがビジュアルな予定表を使用して日付を選択できるコントロールを表します。
  • WPFToolkitDataGrid クラス
    カスタマイズできるグリッドにデータを表示するコントロールを表します。
  • WPFToolkitDataGridCell クラス
    データ グリッド コントロールのセルを表します。
  • WPFToolkitDataGridColumnHeader クラス
    個々のデータ グリッド列ヘッダーを表します。
  • WPFToolkitDataGridRow クラス
    データ グリッド行を表します。
  • WPFToolkitDataGridRowHeader クラス
    個々のデータ グリッド行ヘッダーを表します。
  • WPFToolkitDatePicker クラス
    ユーザーが日付を選択できるコントロールを表します。
  • WPFToolTip クラス
    ツールチップを表します。
  • WPFTrack クラス
    Value を設定するために使用される 1 つの Thumb コントロールと 2 つの RepeatButton コントロールの位置とサイズを処理するコントロール プリミティブを表します。
  • WPFTreeView クラス
    項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。
  • WPFTreeViewItem クラス
    TreeView コントロール内の選択可能な項目を表します。
  • WPFUserControl クラス
    コントロールを作成するための簡単な方法を提供します。 ユーザー コントロールとのやり取りに難する詳細な情報については、『カスタム コントロール』を参照してください。
  • WPFViewport3D クラス
    3D ビジュアル コンテンツの描画サーフェイスを提供します。
  • WPFVisual3D クラス
    ヒット テスト、座標変換、境界ボックス計算など、ビジュアル 3-D オブジェクトに共通のサービスとプロパティを提供します。
  • WPFWindow クラス
    ウィンドウおよびダイアログ ボックスの作成、構成、表示、および有効期間の管理を可能にします。
親トピック: Silk Test Workbench 言語リファレンス
関連資料
WPF クラス リファレンス


IWPFScrollable インターフェイス

説明

すべての FrameworkElement のスクロールを実装するインターフェイスです。

構文

'Declaration
Public Class IWPFScrollable

メソッド

名前 | 説明
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。
GetScrollPosition | ScrollViewer の位置を返します。
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。
ScrollToPosition | ScrollViewer の位置を設定します。
親トピック: WPF クラス リファレンス


WPFBase クラス

説明

Windows Presentation Foundation (WPF) 要素の WPF フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。

継承階層

  • TestObject
    • WPFBase
      • WPFDrawingVisual
      • WPFFrameworkContentElement
      • WPFFrameworkElement
      • WPFVisual3D

構文

'Declaration
Public Class WPFBase _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFButton クラス

説明

ButtonBase.Click イベントに反応する Windows ボタン コントロールを表します。

継承階層

  • WPFButtonBase
    • WPFButton

構文

'Declaration
Public Class WPFButton _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsCancel | ボタンが [キャンセル] ボタンかどうかを示す値。 ユーザーが Esc キーを押すことによって、[キャンセル] ボタンをアクティブ化できます。 これは依存関係プロパティです。
IsDefault | ボタンがデフォルト ボタンかどうかを示す値。 ユーザーが Enter キーを押すことによって、デフォルト ボタンが呼び出されます。 これは依存関係プロパティです。
IsDefaulted | ボタンが、ユーザーが Enter を押すとアクティブ化されるボタンかどうかを示す値。 これは依存関係プロパティです。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFButtonBase クラス

説明

すべての Button コントロールの基本クラスを表します。

継承階層

  • WPFContentControl
    • WPFButtonBase
      • WPFButton
      • WPFColumnHeader
      • WPFDataGridColumnHeader
      • WPFDataGridRowHeader
      • WPFRepeatButton
      • WPFToggleButton
      • WPFToolkitDataGridColumnHeader
      • WPFToolkitDataGridRowHeader

構文

'Declaration
Public Class WPFButtonBase _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFCalendar クラス

説明

ユーザーがビジュアルな予定表を使用して日付を選択できるコントロールを表します。

継承階層

  • WPFControl
    • WPFCalendar

構文

'Declaration
Public Class WPFCalendar _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
BlackoutDates | 選択不可としてマークされている日付のリスト。
DisplayDate | 表示する日付。
DisplayDateEnd | カレンダーで利用可能な日付の範囲における最後の日付。
DisplayDateStart | カレンダーで利用可能な最初の日付。
DisplayMode | カレンダーで月、年、10 年のいずれを表示するかを指定する値。
FirstDayOfWeek | 週の初めと考えられる曜日。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTodayHighlighted | 現在の日付がハイライトされるかどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedDate | 現在選択されている日付。
SelectedDates | 選択された日付のリスト。
SelectionMode | 許可されている選択の種類を示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectDate | 指定した日付を選択して、現在の選択をクリアします。
SelectDates | 指定した日付を選択して、現在の選択をクリアします。
SelectRange | 日付の範囲を選択します。
SetDisplayDate | 表示する日付を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFCheckBox クラス

説明

チェック ボックスを表します。

継承階層

  • WPFToggleButton
    • WPFCheckBox

構文

'Declaration
Public Class WPFCheckBox _
Inherits WPFToggleButton

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsChecked | ボタンがチェックされているかどうか。 (WPFToggleButton から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsThreeState | コントロールが 2 つの状態をサポートするのか 3 つの状態をサポートするのか。 (WPFToggleButton から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
State | ボタンの状態。 (WPFToggleButton から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ボタンをチェックします。 (WPFToggleButton から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetIndeterminate | ボタンを不確定状態に設定します。 (WPFToggleButton から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | ボタンのチェックを外します。 (WPFToggleButton から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFColumnHeader クラス

説明

ListView コントロールのヘッダー列を表します。

継承階層

  • WPFButtonBase
    • WPFColumnHeader

構文

'Declaration
Public Class WPFColumnHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列ヘッダーのサイズを変更します。
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFComboBox クラス

説明

コントロールの矢印をクリックすることにより表示/非表示の切り替えが可能なドロップダウン リスト ボックスを持つ選択コントロールを表します。

あるコンボ ボックス (たとえば、項目のソースを内部的に利用するものなど) では、コンボ ボックスを一旦開かないと、項目をテスト対象アプリケーションで利用できるようにならない場合があります。

継承階層

  • WPFSelector
    • WPFComboBox

構文

'Declaration
Public Class WPFComboBox _
Inherits WPFSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsDropDownOpen | コンボ ボックスのドロップダウンが現在開いているかどうかを示す値。
IsEditable | コンボ ボックスのテキスト ボックス内のテキストの編集を有効または無効にする値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | コンボ ボックスが選択専用モードかどうかを返します。選択専用モードでは、コンボ ボックスの内容は選択可能ですが、編集することはできません。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
MaxDropDownHeight | コンボ ボックス ドロップダウンの最大の高さ。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。 (WPFSelector から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
StaysOpenOnEdit | 開いている ComboBox にドロップダウン コントロールが表示されている場合、ユーザーが TextBox をクリックしたときに、このコンボ ボックスが開いたままになるかどうか。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | コンボボックスを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Open | コンボボックスを開きます。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFComboBoxItem クラス

説明

ComboBox 内の選択可能な項目を表します。

あるコンボ ボックス (たとえば、項目のソースを内部的に利用するものなど) では、コンボ ボックスを一旦開かないと、項目をテスト対象アプリケーションで利用できるようにならない場合があります。

継承階層

  • WPFListBoxItem
    • WPFComboBoxItem

構文

'Declaration
Public Class WPFComboBoxItem _
Inherits WPFListBoxItem

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | リスト ボックス項目が選択されているかどうかを示す値。 (WPFListBoxItem から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | リスト ボックス項目の選択を解除します。 (WPFListBoxItem から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。 (WPFListBoxItem から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | リスト ボックス項目を選択します。 (WPFListBoxItem から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFContentControl クラス

説明

単一のコンテンツを含むコントロールを表します。

継承階層

  • WPFControl
    • WPFContentControl
      • WPFButtonBase
      • WPFFrame
      • WPFHeaderedContentControl
      • WPFLabel
      • WPFListBoxItem
      • WPFScrollViewer
      • WPFStatusBarItem
      • WPFToolTip
      • WPFUserControl
      • WPFWindow

構文

'Declaration
Public Class WPFContentControl _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFContextMenu クラス

説明

コンテキスト メニューです。

継承階層

  • WPFMenuBase
    • WPFContextMenu

構文

'Declaration
Public Class WPFContextMenu _
Inherits WPFMenuBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
HorizontalOffset | 対象の左開始位置からポップアップの配置ポイントまでの横方向の距離。 これは依存関係プロパティです。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsOpen | コンテキスト メニューが開いているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Placement | ContextMenu の Placement プロパティ。 これは依存関係プロパティです。
PlacementRectangle | コンテキスト メニューが開くときに配置の基準となる領域。 これは依存関係プロパティです。
StaysOpen | コンテキスト メニューが自動的に閉じるかどうかを示す値。 これは依存関係プロパティです。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalOffset | 対象の左開始位置からポップアップの配置ポイントまでの縦方向の距離。 これは依存関係プロパティです。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします (WPFMenuBase から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | コンテキスト メニューを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | メニュー項目を選択します (WPFMenuBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します (WPFMenuBase から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFControl クラス

説明

ControlTemplate を使用して外観を定義するユーザー インターフェイス (UI) 要素の基本クラスを表します。

継承階層

  • WPFFrameworkElement
    • WPFControl
      • WPFCalendar
      • WPFContentControl
      • WPFDataGridCell
      • WPFDataGridRow
      • WPFDatePicker
      • WPFDocumentViewerBase
      • WPFFlowDocumentReader
      • WPFFlowDocumentScrollViewer
      • WPFItemsControl
      • WPFPasswordBox
      • WPFRangeBase
      • WPFStickyNoteControl
      • WPFTextBoxBase
      • WPFThumb
      • WPFToolkitCalendar
      • WPFToolkitDataGridCell
      • WPFToolkitDataGridRow
      • WPFToolkitDatePicker

構文

'Declaration
Public Class WPFControl _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。
FontSize | TextBlock のトップレベルのフォント サイズ。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGrid クラス

説明

カスタマイズできるグリッドにデータを表示するコントロールを表します。

継承階層

  • WPFMultiSelector
    • WPFDataGrid

構文

'Declaration
Public Class WPFDataGrid _
Inherits WPFMultiSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Columns | データ グリッドのすべての列を含むコレクション。
CurrentCell | フォーカスがあるセル。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | データ グリッド内の値をユーザーが編集できるかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedCell | データ グリッドで選択されたセル。
SelectedCells | 現在選択されているセルのリスト。
SelectedCellText | データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空の文字列。
SelectedCellTexts | データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空のリスト。
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。 (WPFSelector から継承されました)
SelectedItems | 選択された MultiSelector の項目。 (WPFMultiSelector から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 選択された MultiSelector の項目のテキスト。 (WPFMultiSelector から継承されました)
SelectionMode | データ グリッド内の行やセルの選択方法を示す値。
SelectionUnit | データ グリッドで選択できるのが行、セル、または両方かどうかを示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BeginEdit | 指定したセルの編集を開始します。
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CancelEdit | 編集したセルをキャンセルします。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CommitEdit | 編集したセルをコミットします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 指定したセルをビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SelectCell | 指定したセルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGridCell クラス

説明

データ グリッド コントロールのセルを表します。

継承階層

  • WPFControl
    • WPFDataGridCell

構文

'Declaration
Public Class WPFDataGridCell _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEditing | セルが編集モードであるかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | セルを編集モードにすることができるかどうかを示す値。
IsSelected | セルが選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | セルの選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | セルをビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | セルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGridColumnHeader クラス

説明

個々のデータ グリッド列ヘッダーを表します。

継承階層

  • WPFButtonBase
    • WPFDataGridColumnHeader

構文

'Declaration
Public Class WPFDataGridColumnHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGridRow クラス

説明

データ グリッド行を表します。

継承階層

  • WPFControl
    • WPFDataGridRow

構文

'Declaration
Public Class WPFDataGridRow _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Cells | データ グリッド行のセル。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | 行が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 行の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 行をビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 行を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGridRowHeader クラス

説明

個々のデータ グリッド行ヘッダーを表します。

継承階層

  • WPFButtonBase
    • WPFDataGridRowHeader

構文

'Declaration
Public Class WPFDataGridRowHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDatePicker クラス

説明

ユーザーが日付を選択できるコントロールを表します。

継承階層

  • WPFControl
    • WPFDatePicker

構文

'Declaration
Public Class WPFDatePicker _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedDate | 現在選択されている日付。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | 選択範囲をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectDate | 指定した日付を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDocumentViewer クラス

説明

XpsDocument など、改ページ位置が自動修正された FixedDocument のコンテンツをホストできるドキュメント表示コントロールを表します。

継承階層

  • WPFDocumentViewerBase
    • WPFDocumentViewer

構文

'Declaration
Public Class WPFDocumentViewer _
Inherits WPFDocumentViewerBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanDecreaseZoom | DocumentViewer をさらに縮小表示できるかどうかを示す値。
CanGoToNextPage | ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。 (WPFDocumentViewerBase から継承されました)
CanGoToPreviousPage | ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。 (WPFDocumentViewerBase から継承されました)
CanIncreaseZoom | DocumentViewer をさらに拡大表示できるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HorizontalOffset | 水平方向のスクロール位置。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MasterPageNumber | 現在のマスター ページのページ番号。 (WPFDocumentViewerBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PageCount | 現在のドキュメントの合計ページ数。 (WPFDocumentViewerBase から継承されました)
Selection | DocumentViewer の選択されたコンテンツ。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalOffset | 垂直方向のスクロール位置。
Zoom | ドキュメントのズーム倍率。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CanGoToPage | ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。 (WPFDocumentViewerBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseZoom | ドキュメントのコンテンツを 1 ズーム ステップ分縮小表示します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FirstPage | 最初のページに移動します。 (WPFDocumentViewerBase から継承されました)
FitToHeight | 単一のページを現在のビューポートの高さに収めます。
FitToWidth | 単一のページを現在のビューポートの幅に収めます。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoToPage | 指定したページに移動します。 (WPFDocumentViewerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseZoom | ドキュメントのコンテンツを 1 ズーム ステップ分拡大表示します。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LastPage | 最後のページに移動します。 (WPFDocumentViewerBase から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MoveDown | ドキュメントのコンテンツを 16 デバイス非依存ピクセル下にスクロールします。
MoveLeft | ドキュメントのコンテンツを 16 デバイス非依存ピクセル左にスクロールします。
MoveRight | ドキュメントのコンテンツを 16 デバイス非依存ピクセル右にスクロールします。
MoveUp | ドキュメントのコンテンツを 16 デバイス非依存ピクセル上にスクロールします。
NextPage | 次のページに移動します。 (WPFDocumentViewerBase から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PreviousPage | 前のページに移動します。 (WPFDocumentViewerBase から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollPageDown | 1 ビューポート下にスクロールします。
ScrollPageLeft | 1 ビューポート左にスクロールします。
ScrollPageRight | 1 ビューポート右にスクロールします。
ScrollPageUp | 1 ビューポート上にスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキストの範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
ZoomToActualSize | ズームを 100% に設定します。
親トピック: WPF クラス リファレンス


WPFDocumentViewerBase クラス

説明

固定コンテンツまたはフロー コンテンツ (それぞれ FixedDocument または FlowDocument で表される) を表示するためのビューアーの基本クラスを提供します。

継承階層

  • WPFControl
    • WPFDocumentViewerBase
      • WPFDocumentViewer
      • WPFFlowDocumentPageViewer

構文

'Declaration
Public Class WPFDocumentViewerBase _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanGoToNextPage | ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。
CanGoToPreviousPage | ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MasterPageNumber | 現在のマスター ページのページ番号。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PageCount | 現在のドキュメントの合計ページ数。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CanGoToPage | ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FirstPage | 最初のページに移動します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoToPage | 指定したページに移動します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LastPage | 最後のページに移動します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
NextPage | 次のページに移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PreviousPage | 前のページに移動します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDrawingVisual クラス

説明

DrawingVisual は、画面にベクター グラフィックスをレンダリングするために使用できるビジュアル オブジェクトです。 コンテンツはシステムによって永続化されます。

継承階層

  • WPFBase
    • WPFDrawingVisual

構文

'Declaration
Public Class WPFDrawingVisual _
Inherits WPFBase

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFExpander クラス

説明

コンテンツを表示するための折りたたみ可能なウィンドウを持ったヘッダーを表示するコントロールを表します。

継承階層

  • WPFHeaderedContentControl
    • WPFExpander

構文

'Declaration
Public Class WPFExpander _
Inherits WPFHeaderedContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
ExpandDirection | Expander コンテンツ ウィンドウの表示方向。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsExpanded | Expander コンテンツ ウィンドウが表示されているかどうか。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | Expander コントロールを折りたたみます。 ヘッダーのみが表示されます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | Expander コントロールを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFlowDocumentPageViewer クラス

説明

コンテンツを一度に 1 ページずつ表示する固定の表示モードでフロー コンテンツを表示するためのコントロールを表します。

継承階層

  • WPFDocumentViewerBase
    • WPFFlowDocumentPageViewer

構文

'Declaration
Public Class WPFFlowDocumentPageViewer _
Inherits WPFDocumentViewerBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanDecreaseZoom | 拡大レベルを下げることができるかどうかを示す値。
CanGoToNextPage | ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。 (WPFDocumentViewerBase から継承されました)
CanGoToPreviousPage | ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。 (WPFDocumentViewerBase から継承されました)
CanIncreaseZoom | 拡大レベルを上げることができるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MasterPageNumber | 現在のマスター ページのページ番号。 (WPFDocumentViewerBase から継承されました)
MaxZoom | FlowDocumentPageViewer に使用できる最大の拡大レベル。
MinZoom | FlowDocumentPageViewer に使用できる最小の拡大レベル。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PageCount | 現在のドキュメントの合計ページ数。 (WPFDocumentViewerBase から継承されました)
Selection | FlowDocumentPageViewer の選択されたコンテンツ。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Zoom | FlowDocumentPageViewer の現在のズーム レベル。
ZoomIncrement | ズーム インクリメント。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CanGoToPage | ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。 (WPFDocumentViewerBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseZoom | ズームを縮小させます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FirstPage | 最初のページに移動します。 (WPFDocumentViewerBase から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoToPage | 指定したページに移動します。 (WPFDocumentViewerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseZoom | ズームを拡大させます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LastPage | 最後のページに移動します。 (WPFDocumentViewerBase から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
NextPage | 次のページに移動します。 (WPFDocumentViewerBase から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PreviousPage | 前のページに移動します。 (WPFDocumentViewerBase から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキストの範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToggleFindDialog | 検索ダイアログを切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFlowDocumentReader クラス

説明

連続したスクロール モードでフロー コンテンツを表示するためのコントロールを提供します。

継承階層

  • WPFControl
    • WPFFlowDocumentReader

構文

'Declaration
Public Class WPFFlowDocumentReader _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanDecreaseZoom | 拡大レベルを下げることができるかどうかを示す値。
CanGoToNextPage | ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。
CanGoToPreviousPage | ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。
CanIncreaseZoom | 拡大レベルを上げることができるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MaxZoom | FlowDocumentReader に使用できる最大の拡大レベル。
MinZoom | FlowDocumentReader に使用できる最小の拡大レベル。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PageCount | 現在のドキュメントの合計ページ数。
PageNumber | 現在のマスター ページのページ番号。
Selection | FlowDocumentReader の選択されたコンテンツ。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
ViewingMode | FlowDocumentReader の表示モード。
Zoom | FlowDocumentReader の現在のズーム レベル。
ZoomIncrement | ズーム インクリメント。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CanGoToPage | ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseZoom | ズームを縮小させます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FirstPage | 最初のページに移動します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoToPage | 指定したページに移動します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseZoom | ズームを拡大させます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LastPage | 最後のページに移動します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
NextPage | 次のページに移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PreviousPage | 前のページに移動します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキストの範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SwitchViewingMode | 表示モードを切り替えます。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToggleFindDialog | 検索ダイアログを切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFlowDocumentScrollViewer クラス

説明

連続したスクロール モードでフロー コンテンツを表示するためのコントロールを提供します。

継承階層

  • WPFControl
    • WPFFlowDocumentScrollViewer

構文

'Declaration
Public Class WPFFlowDocumentScrollViewer _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanDecreaseZoom | 拡大レベルを下げることができるかどうかを示す値。
CanIncreaseZoom | 拡大レベルを上げることができるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MaxZoom | FlowDocumentScrollViewer に使用できる最大の拡大レベル。
MinZoom | FlowDocumentScrollViewer に使用できる最小の拡大レベル。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Selection | FlowDocumentScrollViewer の選択されたコンテンツ。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Zoom | FlowDocumentScrollViewer の現在のズーム レベル。
ZoomIncrement | ズーム インクリメント。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseZoom | ズームを縮小させます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseZoom | ズームを拡大させます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキストの範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToggleFindDialog | 検索ダイアログを切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFrame クラス

説明

すべての Frame コントロールの基本クラスを表します。

継承階層

  • WPFContentControl
    • WPFFrame

構文

'Declaration
Public Class WPFFrame _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanGoBack | "戻る" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。
CanGoForward | "進む" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Source | 現在のコンテンツの URI（Uniform Resource Identifier）。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoBack | "戻る" ナビゲーション履歴の最新の項目に移動します。
GoForward | "進む" ナビゲーション履歴の最新の項目に移動します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Navigate | 指定したソース コンテンツに非同期に移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Refresh | 現在のコンテンツを再読み込みします。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StopLoading | 現在のナビゲーション要求に対応するコンテンツのダウンロードを中止します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFrameworkContentElement クラス

説明

すべての FrameworkContentElement 派生クラスの基本クラスです。 このクラスはプロパティやメソッドを追加しません。

継承階層

  • WPFBase
    • WPFFrameworkContentElement
      • WPFHyperlink

構文

'Declaration
Public Class WPFFrameworkContentElement _
Inherits WPFBase

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFrameworkElement クラス

説明

FrameworkElement 派生クラスのプロパティおよびメソッドのセットを提供します。

継承階層

  • WPFBase
    • WPFFrameworkElement
      • WPFControl
      • WPFImage
      • WPFMediaElement
      • WPFPage
      • WPFPopup
      • WPFTextBlock
      • WPFTickBar
      • WPFToolBarTray
      • WPFTrack
      • WPFViewport3D

構文

'Declaration
Public Class WPFFrameworkElement _
Inherits WPFBase _
Implements IWPFScrollable

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。
ActualWidth | この要素の描画する幅。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFGridSplitter クラス

説明

Grid コントロールの行間または列間の領域を再配分するコントロールを表します。

継承階層

  • WPFThumb
    • WPFGridSplitter

構文

'Declaration
Public Class WPFGridSplitter _
Inherits WPFThumb

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作をキャンセルします。 (WPFThumb から継承されました)
DragComplete | ドラッグ操作を完了します。 (WPFThumb から継承されました)
DragDelta | 現在のドラッグ操作の変化量です。 (WPFThumb から継承されました)
DragStart | ドラッグ操作を開始します。 (WPFThumb から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFGroupBox クラス

説明

ユーザー インターフェイス (UI) コンテンツ用に境界線やヘッダーを含むコンテナーを作成するコントロールを表します。

継承階層

  • WPFHeaderedContentControl
    • WPFGroupBox

構文

'Declaration
Public Class WPFGroupBox _
Inherits WPFHeaderedContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFHeaderedContentControl クラス

説明

単一のコンテンツを含みヘッダーを持つすべてのコントロールの基本実装を提供します。

継承階層

  • WPFContentControl
    • WPFHeaderedContentControl
      • WPFExpander
      • WPFGroupBox
      • WPFTabItem

構文

'Declaration
Public Class WPFHeaderedContentControl _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFHeaderedItemsControl クラス

説明

ControlTemplate を使用して外観を定義するユーザー インターフェイス (UI) 要素の基本クラスを表します。

継承階層

  • WPFItemsControl
    • WPFHeaderedItemsControl
      • WPFMenuItem
      • WPFToolBar
      • WPFTreeViewItem

構文

'Declaration
Public Class WPFHeaderedItemsControl _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFHyperlink クラス

説明

子コントロールまたは内部テキストとして埋め込むことができるハイパーリンクを表します。

継承階層

  • WPFFrameworkContentElement
    • WPFHyperlink

構文

'Declaration
Public Class WPFHyperlink _
Inherits WPFFrameworkContentElement

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
NavigateUri | Hyperlink がアクティブになったときの移動先の URI。
TargetName | Hyperlink の対象となるウィンドウまたはフレームの名前。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Navigate | ハイパーリンクのクリックを実行します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFImage クラス

説明

画像を表示するコントロールを表します。

継承階層

  • WPFFrameworkElement
    • WPFImage

構文

'Declaration
Public Class WPFImage _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFItemsControl クラス

説明

項目のコレクションを提示するために使用できるコントロールを表します。

継承階層

  • WPFControl
    • WPFItemsControl
      • WPFHeaderedItemsControl
      • WPFMenuBase
      • WPFSelector
      • WPFStatusBar
      • WPFTreeView

構文

'Declaration
Public Class WPFItemsControl _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。
Items | 項目の完全なリスト。
ItemTexts | 項目テキストの完全なリスト。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFLabel クラス

説明

コントロールのテキスト ラベルを表します。

継承階層

  • WPFContentControl
    • WPFLabel

構文

'Declaration
Public Class WPFLabel _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFListBox クラス

説明

選択可能な項目の一覧が表示されます。

継承階層

  • WPFSelector
    • WPFListBox
      • WPFListView

構文

'Declaration
Public Class WPFListBox _
Inherits WPFSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。 (WPFSelector から継承されました)
SelectedItems | 現在選択されている項目。 完全な項目のリストは "Items" プロパティを使って取得できます。
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 現在選択されているすべての項目のテキストを含んだ文字列のリスト。
SelectionMode | ListBox の選択動作。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DeselectAll | 複数選択リスト ボックスの選択をクリアします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SelectAll | リスト ボックス内のすべての項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFListBoxItem クラス

説明

ListBox 内の選択可能な項目を表します。

継承階層

  • WPFContentControl
    • WPFListBoxItem
      • WPFComboBoxItem
      • WPFListViewItem

構文

'Declaration
Public Class WPFListBoxItem _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | リスト ボックス項目が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | リスト ボックス項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | リスト ボックス項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFListView クラス

説明

データ項目のリストを表示するコントロールを表します。 ListView は表のようなスタイルを持つことができます。

継承階層

  • WPFListBox
    • WPFListView

構文

'Declaration
Public Class WPFListView _
Inherits WPFListBox

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ColumnHeaders | ヘッダー列。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。 (WPFSelector から継承されました)
SelectedItems | 現在選択されている項目。 完全な項目のリストは "Items" プロパティを使って取得できます。 (WPFListBox から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 現在選択されているすべての項目のテキストを含んだ文字列のリスト。 (WPFListBox から継承されました)
SelectionMode | ListBox の選択動作。 (WPFListBox から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DeselectAll | 複数選択リスト ボックスの選択をクリアします。 (WPFListBox から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。 (WPFListBox から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SelectAll | リスト ボックス内のすべての項目を選択します。 (WPFListBox から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFListViewItem クラス

説明

ListView コントロールの項目を表します。

継承階層

  • WPFListBoxItem
    • WPFListViewItem

構文

'Declaration
Public Class WPFListViewItem _
Inherits WPFListBoxItem

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | リスト ボックス項目が選択されているかどうかを示す値。 (WPFListBoxItem から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | リスト ボックス項目の選択を解除します。 (WPFListBoxItem から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。 (WPFListBoxItem から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | リスト ボックス項目を選択します。 (WPFListBoxItem から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMediaElement クラス

説明

オーディオとビデオまたはそのいずれかを含むコントロールを表します。

継承階層

  • WPFFrameworkElement
    • WPFMediaElement

構文

'Declaration
Public Class WPFMediaElement _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Balance | スピーカ全体に対するボリュームの比率。
CanPause | メディアを一時停止できるかどうかを示す値。
HasAudio | メディアにオーディオが含まれているかどうかを示す値。
HasVideo | メディアにビデオが含まれているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsMediaLoaded | コンテンツが読み込まれたことを示す値。
IsMuted | オーディオがミュートされているかどうかを示す値。
Length | メディアの自然な実行時間（秒）。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Position | メディアの再生の経過時間を示す現在の位置。
SpeedRatio | メディアの速度比率。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Volume | メディアのボリューム。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Pause | メディアを現在の位置で一時停止します。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。
Play | メディアを現在の位置から再生します。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Stop | メディアを停止し、最初から再生できるようにリセットします。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMenu クラス

説明

コマンドおよびイベント ハンドラーに関連付けられている要素を階層的に編成できるようにするための Windows メニュー コントロールを表します。

継承階層

  • WPFMenuBase
    • WPFMenu

構文

'Declaration
Public Class WPFMenu _
Inherits WPFMenuBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsMainMenu | この Menu がメイン メニューのアクティブ化の通知を受け取るかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします (WPFMenuBase から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | メニュー項目を選択します (WPFMenuBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します (WPFMenuBase から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMenuBase クラス

説明

ユーザーが選択する選択肢を定義するコントロールを表します。

継承階層

  • WPFItemsControl
    • WPFMenuBase
      • WPFContextMenu
      • WPFMenu

構文

'Declaration
Public Class WPFMenuBase _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | メニュー項目を選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMenuItem クラス

説明

Menu 内の選択可能な項目を表します。

継承階層

  • WPFHeaderedItemsControl
    • WPFMenuItem

構文

'Declaration
Public Class WPFMenuItem _
Inherits WPFHeaderedItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
HasSubmenu | メニュー項目にサブメニューがあるかどうか。
IsChecked | メニュー項目がチェックされているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsPressed | メニュー項目が押されているかどうかを示す値。
IsSubmenuOpen | メニュー項目のサブメニューが開いているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Role | メニュー項目のロールを示す値。
StaysOpenOnClick | この MenuItem が配置されているサブメニューは、この項目がクリックされても閉じないことを示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CloseSubmenu | サブメニューが利用可能な場合に閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
OpenSubmenu | サブメニューが利用可能な場合に開きます。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | メニュー項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMultiSelector クラス

説明

複数の項目を選択できるコントロールの抽象クラスを提供します。

継承階層

  • WPFSelector
    • WPFMultiSelector
      • WPFDataGrid
      • WPFToolkitDataGrid

構文

'Declaration
Public Class WPFMultiSelector _
Inherits WPFSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。 (WPFSelector から継承されました)
SelectedItems | 選択された MultiSelector の項目。
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 選択された MultiSelector の項目のテキスト。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFNavigationWindow クラス

説明

コンテンツ ナビゲーションをサポートするウィンドウを表します。

継承階層

  • WPFWindow
    • WPFNavigationWindow

構文

'Declaration
Public Class WPFNavigationWindow _
Inherits WPFWindow

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanGoBack | "戻る" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。
CanGoForward | "進む" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Source | 現在のコンテンツの URI（Uniform Resource Identifier）。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ウィンドウのタイトル。 (WPFWindow から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
Activate | ウィンドウを前面に表示して、アクティブ化を試みます。 (WPFWindow から継承されました)
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoBack | "戻る" ナビゲーション履歴の最新の項目に移動します。
GoForward | "進む" ナビゲーション履歴の最新の項目に移動します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LoadAssembly | WPF アプリケーションで指定したパスのアセンブリをロードします。 (WPFWindow から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
Navigate | 指定したソース コンテンツに非同期に移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Refresh | 現在のコンテンツを再読み込みします。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StopLoading | 現在のナビゲーション要求に対応するコンテンツのダウンロードを中止します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFPage クラス

説明

Windows Internet Explorer、NavigationWindow、および Frame でナビゲーションおよびホストを行うことができるコンテンツのページをカプセル化します。

継承階層

  • WPFFrameworkElement
    • WPFPage

構文

'Declaration
Public Class WPFPage _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ページのタイトル。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFPasswordBox クラス

説明

PasswordBox コントロールを表します。

継承階層

  • WPFControl
    • WPFPasswordBox

構文

'Declaration
Public Class WPFPasswordBox _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MaxLength | この PasswordBox によって処理されるパスワードの最大長。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PasswordChar | PasswordBox のマスク文字。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | Password プロパティの値をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Paste | テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectAll | PasswordBox のすべての内容を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキストを設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFPopup クラス

説明

コンテンツがあるポップアップ ウィンドウを表します。

継承階層

  • WPFFrameworkElement
    • WPFPopup

構文

'Declaration
Public Class WPFPopup _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
StaysOpen | Popup コントロールにフォーカスがない場合に、このコントロールが閉じるかどうかを示す値。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ポップアップ ウィンドウを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFProgressBar クラス

説明

ProgressBar コントロールを表します。

継承階層

  • WPFRangeBase
    • WPFProgressBar

構文

'Declaration
Public Class WPFProgressBar _
Inherits WPFRangeBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
LargeChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
Maximum | 範囲要素に指定できる最大の値。 (WPFRangeBase から継承されました)
Minimum | 範囲要素に指定できる最小の値。 (WPFRangeBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SmallChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFRadioButton クラス

説明

ラジオ ボタンを表します。

継承階層

  • WPFToggleButton
    • WPFRadioButton

構文

'Declaration
Public Class WPFRadioButton _
Inherits WPFToggleButton

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
GroupName | このラジオ ボタンのグループ名。
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsChecked | ボタンがチェックされているかどうか。 (WPFToggleButton から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsThreeState | コントロールが 2 つの状態をサポートするのか 3 つの状態をサポートするのか。 (WPFToggleButton から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
State | ボタンの状態。 (WPFToggleButton から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ボタンをチェックします。 (WPFToggleButton から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetIndeterminate | ボタンを不確定状態に設定します。 (WPFToggleButton から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | ボタンのチェックを外します。 (WPFToggleButton から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFRangeBase クラス

説明

特定の範囲内の値を持つ要素を表します。

継承階層

  • WPFControl
    • WPFRangeBase
      • WPFProgressBar
      • WPFScrollBar
      • WPFSlider

構文

'Declaration
Public Class WPFRangeBase _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
LargeChange | RangeBase コントロールの値に対して加算または減算する値。
Maximum | 範囲要素に指定できる最大の値。
Minimum | 範囲要素に指定できる最小の値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SmallChange | RangeBase コントロールの値に対して加算または減算する値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFRepeatButton クラス

説明

コントロールが押されてから離されるまで、その選択イベントを繰り返し発生させるコントロールを表します。

継承階層

  • WPFButtonBase
    • WPFRepeatButton

構文

'Declaration
Public Class WPFRepeatButton _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
Delay | RepeatButton が押されている間に、繰り返しが開始されるまで待機する時間 (ミリ秒単位) 。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
Interval | 繰り返しが開始された後の繰り返し間隔 (ミリ秒単位) 。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFRichTextBox クラス

説明

RichTextBox コントロールを表します。

継承階層

  • WPFTextBoxBase
    • WPFRichTextBox

構文

'Declaration
Public Class WPFRichTextBox _
Inherits WPFTextBoxBase

プロパティ

名前 | 説明
AcceptsReturn | ユーザーが Enter キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。 (WPFTextBoxBase から継承されました)
AcceptsTab | ユーザーが Tab キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。 (WPFTextBoxBase から継承されました)
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
AutoWordSelection | マウスのドラッグによって単語の一部が選択された場合に、単語の残りの部分を選択するかどうかを指定する値。 (WPFTextBoxBase から継承されました)
CanRedo | 最新の取り消し操作をやり直すことができるかどうかを示す値。 (WPFTextBoxBase から継承されました)
CanUndo | 最新の操作を元に戻すことができるかどうかを示す値。 (WPFTextBoxBase から継承されました)
CaretIndex | キャレットの挿入位置インデックス。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HorizontalScrollBarVisibility | 水平スクロール バーが表示されるかどうかを示す値。 (WPFTextBoxBase から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | コントロールに対してユーザーが操作するテキスト編集コントロールが読み取り専用かどうかを示す値。 (WPFTextBoxBase から継承されました)
IsSpellCheckEnabled | スペル チェックが有効かどうか。 (WPFTextBoxBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsUndoEnabled | テキスト編集コントロールの取り消しのサポートが有効かどうかを示す値。 (WPFTextBoxBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedText | テキスト ボックス内の現在の選択の内容。 このプロパティを取得すると現在の文字列のコピーが返されます。 このプロパティを設定すると現在の選択範囲が指定された文字列で置換されます。
SelectionLength | テキスト ボックス内の現在の選択範囲の文字数。
SelectionStart | 現在の選択範囲の開始位置の文字インデックス。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollBarVisibility | 垂直スクロール バーが表示されるかどうかを示す値。 (WPFTextBoxBase から継承されました)

メソッド

名前 | 説明
AppendText | テキスト コントロールのコンテンツに文字列を追加します。 (WPFTextBoxBase から継承されました)
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | RichTextBox のすべてのコンテンツをクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Copy | テキスト編集コントロールの現在の選択範囲をクリップボードにコピーします。 (WPFTextBoxBase から継承されました)
Cut | テキスト編集コントロールの現在の選択範囲を削除してクリップボードにコピーします。 (WPFTextBoxBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Paste | テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。 (WPFTextBoxBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Redo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位をやり直します。 (WPFTextBoxBase から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキスト ボックス内のテキストの範囲を選択します。
SelectAll | テキスト編集コントロールのすべての内容を選択します。 (WPFTextBoxBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキストを設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Undo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位を取り消します。 (WPFTextBoxBase から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFScrollBar クラス

説明

その位置が値に対応するスライディング Thumb の付いた、スクロール バーを提供するコントロールを表します。

継承階層

  • WPFRangeBase
    • WPFScrollBar

構文

'Declaration
Public Class WPFScrollBar _
Inherits WPFRangeBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
LargeChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
Maximum | 範囲要素に指定できる最大の値。 (WPFRangeBase から継承されました)
Minimum | 範囲要素に指定できる最小の値。 (WPFRangeBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Orientation | ScrollBar を水平または垂直のどちらで表示するか。
SmallChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
ViewportSize | 現在表示されるスクロール可能なコンテンツの量。 これは依存関係プロパティです。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetValue | ScrollBar の値を設定します。
SetValueToMaximum | ScrollBar を最大値に設定します。
SetValueToMinimum | ScrollBar を最小値に設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFScrollViewer クラス

説明

表示される他の要素を格納できるスクロール可能な領域を表します。

継承階層

  • WPFContentControl
    • WPFScrollViewer

構文

'Declaration
Public Class WPFScrollViewer _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFSelector クラス

説明

ユーザーが子要素から項目を選択できるようにするコントロールを表します。

継承階層

  • WPFItemsControl
    • WPFSelector
      • WPFComboBox
      • WPFListBox
      • WPFMultiSelector
      • WPFTabControl

構文

'Declaration
Public Class WPFSelector _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFSlider クラス

説明

ユーザーが Track に沿って Thumb コントロールを移動することにより一定範囲から値を選択できるコントロールを表します。

継承階層

  • WPFRangeBase
    • WPFSlider

構文

'Declaration
Public Class WPFSlider _
Inherits WPFRangeBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Delay | RepeatButton が押されている間に、Thumb を移動するコマンドが実行されるまで待機する時間 (ミリ秒単位) 。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsDirectionReversed | 値を増加させる方向。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsMoveToPointEnabled | マウス ポインターが Slider トラック上にある間にマウス クリックが生じた場合、その位置に Slider の Thumb を直ちに移動させるかどうかを示す値。
IsSelectionRangeEnabled | Slider で、Slider に沿って選択範囲を表示するかどうかを示す値。
IsSnapToTickEnabled | Slider で、最も近い目盛りに Thumb を自動的に移動するかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
LargeChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
Maximum | 範囲要素に指定できる最大の値。 (WPFRangeBase から継承されました)
Minimum | 範囲要素に指定できる最小の値。 (WPFRangeBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Orientation | Slider を水平または垂直のどちらで表示するか。
SelectionEnd | Slider で指定された選択範囲の最大値。
SelectionStart | Slider で指定された選択範囲の最小値。
SmallChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
TickFrequency | 目盛りの間隔。
TickPlacement | Slider の目盛りを配置する場合の Track に対する位置。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseLarge | Slider の値を大きい単位で減らします。
DecreaseSmall | Slider の値を小さい単位で減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseLarge | Slider の値を大きい単位で増やします。
IncreaseSmall | Slider の値を小さい単位で増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetValue | Slider の値を設定します。
SetValueToMaximum | Slider を最大の位置に設定します。
SetValueToMinimum | Slider を最小の位置に設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFStatusBar クラス

説明

アプリケーション ウィンドウの水平バーに項目および情報を表示するコントロールを表します。

継承階層

  • WPFItemsControl
    • WPFStatusBar

構文

'Declaration
Public Class WPFStatusBar _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFStatusBarItem クラス

説明

StatusBar コントロールの項目を表します。

継承階層

  • WPFContentControl
    • WPFStatusBarItem

構文

'Declaration
Public Class WPFStatusBarItem _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFStickyNoteControl クラス

説明

入力したテキストまたは手書きの注釈をユーザーがドキュメントに結び付けることができるコントロールを表します。

継承階層

  • WPFControl
    • WPFStickyNoteControl

構文

'Declaration
Public Class WPFStickyNoteControl _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Author | 付箋を作成した作成者の名前。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsExpanded | StickyNoteControl が展開されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 付箋を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 付箋を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTabControl クラス

説明

画面上の同じスペースを共有する複数の項目で構成されるコントロールを表します。

継承階層

  • WPFSelector
    • WPFTabControl

構文

'Declaration
Public Class WPFTabControl _
Inherits WPFSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。 (WPFSelector から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTabItem クラス

説明

TabControl 内の選択可能な項目を表します。

継承階層

  • WPFHeaderedContentControl
    • WPFTabItem

構文

'Declaration
Public Class WPFTabItem _
Inherits WPFHeaderedContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | タブ項目が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTextBlock クラス

説明

単一のコンテンツを含むコントロールを表します。

継承階層

  • WPFFrameworkElement
    • WPFTextBlock

構文

'Declaration
Public Class WPFTextBlock _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。
FontSize | TextBlock のトップレベルのフォント サイズ。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
TextAlignment | テキスト コンテンツの水平方向の配置を示す値。
TextTrimming | コンテンツ領域がいっぱいになったときに使用するテキストのトリミング動作。
TextWrapping | TextBlock のテキスト折り返し方法を示す値。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTextBox クラス

説明

書式なしテキストの表示や編集に使用できるコントロールを表します。

継承階層

  • WPFTextBoxBase
    • WPFTextBox

構文

'Declaration
Public Class WPFTextBox _
Inherits WPFTextBoxBase

プロパティ

名前 | 説明
AcceptsReturn | ユーザーが Enter キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。 (WPFTextBoxBase から継承されました)
AcceptsTab | ユーザーが Tab キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。 (WPFTextBoxBase から継承されました)
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
AutoWordSelection | マウスのドラッグによって単語の一部が選択された場合に、単語の残りの部分を選択するかどうかを指定する値。 (WPFTextBoxBase から継承されました)
CanRedo | 最新の取り消し操作をやり直すことができるかどうかを示す値。 (WPFTextBoxBase から継承されました)
CanUndo | 最新の操作を元に戻すことができるかどうかを示す値。 (WPFTextBoxBase から継承されました)
CaretIndex | キャレットの挿入位置インデックス。
CharacterCasing | テキスト ボックスに手動で文字を入力した場合に大文字で入力されるか小文字で入力されるか。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HorizontalScrollBarVisibility | 水平スクロール バーが表示されるかどうかを示す値。 (WPFTextBoxBase から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | コントロールに対してユーザーが操作するテキスト編集コントロールが読み取り専用かどうかを示す値。 (WPFTextBoxBase から継承されました)
IsSpellCheckEnabled | スペル チェックが有効かどうか。 (WPFTextBoxBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsUndoEnabled | テキスト編集コントロールの取り消しのサポートが有効かどうかを示す値。 (WPFTextBoxBase から継承されました)
LineCount | テキスト ボックス内の行の合計数。
MaxLength | テキスト ボックスに手動で入力できる最大文字数。
MaxLines | 表示行の最大数。
MinLines | 表示行の最小数。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedText | テキスト ボックス内の現在の選択の内容。 このプロパティを取得すると現在のテキストの文字列のコピーが返されます。 このプロパティを設定すると現在の選択範囲が指定された文字列で置換されます。
SelectionLength | テキスト ボックス内の現在の選択範囲の文字数。
SelectionStart | 現在の選択範囲の開始位置の文字インデックス。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
TextAlignment | テキスト ボックスのコンテンツの水平方向の配置を示す値。
TextWrapping | テキスト ボックスのテキスト折り返し方法を示す値。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollBarVisibility | 垂直スクロール バーが表示されるかどうかを示す値。 (WPFTextBoxBase から継承されました)

メソッド

名前 | 説明
AppendText | テキスト コントロールのコンテンツに文字列を追加します。 (WPFTextBoxBase から継承されました)
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | テキスト ボックスのすべてのコンテンツをクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Copy | テキスト編集コントロールの現在の選択範囲をクリップボードにコピーします。 (WPFTextBoxBase から継承されました)
Cut | テキスト編集コントロールの現在の選択範囲を削除してクリップボードにコピーします。 (WPFTextBoxBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterIndexFromLineIndex | 指定した行の最初の文字を示す 0 を基準としたインデックス値を返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFirstVisibleLineIndex | 現在テキスト ボックスに表示されている最初の行に対応する行インデックスを返します。
GetLastVisibleLineIndex | 現在テキスト ボックスに表示されている最後の行に対応する行インデックスを返します。
GetLineIndexFromCharacterIndex | 指定された文字インデックスが含まれている行に対応する、0 を基準とした行インデックスを返します。
GetLineLength | 指定した行の文字の数を返します。
GetLineText | 指定した行に現在表示されているテキストを返します。
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Paste | テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。 (WPFTextBoxBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Redo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位をやり直します。 (WPFTextBoxBase から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToLine | 指定された行インデックス位置の行が表示されるまでスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキスト ボックス内のテキストの範囲を選択します。
SelectAll | テキスト編集コントロールのすべての内容を選択します。 (WPFTextBoxBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキストを設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Undo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位を取り消します。 (WPFTextBoxBase から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTextBoxBase クラス

説明

単一のコンテンツを含むコントロールを表します。

継承階層

  • WPFControl
    • WPFTextBoxBase
      • WPFRichTextBox
      • WPFTextBox

構文

'Declaration
Public Class WPFTextBoxBase _
Inherits WPFControl

プロパティ

名前 | 説明
AcceptsReturn | ユーザーが Enter キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。
AcceptsTab | ユーザーが Tab キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
AutoWordSelection | マウスのドラッグによって単語の一部が選択された場合に、単語の残りの部分を選択するかどうかを指定する値。
CanRedo | 最新の取り消し操作をやり直すことができるかどうかを示す値。
CanUndo | 最新の操作を元に戻すことができるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HorizontalScrollBarVisibility | 水平スクロール バーが表示されるかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | コントロールに対してユーザーが操作するテキスト編集コントロールが読み取り専用かどうかを示す値。
IsSpellCheckEnabled | スペル チェックが有効かどうか。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsUndoEnabled | テキスト編集コントロールの取り消しのサポートが有効かどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollBarVisibility | 垂直スクロール バーが表示されるかどうかを示す値。

メソッド

名前 | 説明
AppendText | テキスト コントロールのコンテンツに文字列を追加します。
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Copy | テキスト編集コントロールの現在の選択範囲をクリップボードにコピーします。
Cut | テキスト編集コントロールの現在の選択範囲を削除してクリップボードにコピーします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Paste | テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Redo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位をやり直します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectAll | テキスト編集コントロールのすべての内容を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Undo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位を取り消します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFThumb クラス

説明

ユーザーがドラッグできるコントロールを表します。

継承階層

  • WPFControl
    • WPFThumb
      • WPFGridSplitter

構文

'Declaration
Public Class WPFThumb _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作をキャンセルします。
DragComplete | ドラッグ操作を完了します。
DragDelta | 現在のドラッグ操作の変化量です。
DragStart | ドラッグ操作を開始します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTickBar クラス

説明

Slider コントロールの目盛りを描画するコントロールを表します。

継承階層

  • WPFFrameworkElement
    • WPFTickBar

構文

'Declaration
Public Class WPFTickBar _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToggleButton クラス

説明

状態を切り替えることができるボタンを表します。

継承階層

  • WPFButtonBase
    • WPFToggleButton
      • WPFCheckBox
      • WPFRadioButton

構文

'Declaration
Public Class WPFToggleButton _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsChecked | ボタンがチェックされているかどうか。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsThreeState | コントロールが 2 つの状態をサポートするのか 3 つの状態をサポートするのか。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
State | ボタンの状態。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ボタンをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetIndeterminate | ボタンを不確定状態に設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | ボタンのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolBar クラス

説明

コマンドまたはコントロールのグループのコンテナーを提供します。

継承階層

  • WPFHeaderedItemsControl
    • WPFToolBar

構文

'Declaration
Public Class WPFToolBar _
Inherits WPFHeaderedItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
HasOverflowItems | ツールバーに表示されない項目が含まれているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsOverflowOpen | ツールー バー オーバーフロー領域が現在表示されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Orientation | ToolBar の向き。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CloseOverflowItems | オーバーフロー ツールバー項目の領域を閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
OpenOverflowItems | オーバーフロー ツールバー項目の領域を開きます。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolBarTray クラス

説明

ToolBar のレイアウトを処理するコンテナーを表します。

継承階層

  • WPFFrameworkElement
    • WPFToolBarTray

構文

'Declaration
Public Class WPFToolBarTray _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsLocked | ToolBar を ToolBarTray 内に移動できるかどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Orientation | ToolBarTray の向き。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolBars | ToolBarTray 内の ToolBar 要素のコレクション。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitCalendar クラス

説明

ユーザーがビジュアルな予定表を使用して日付を選択できるコントロールを表します。

継承階層

  • WPFControl
    • WPFToolkitCalendar

構文

'Declaration
Public Class WPFToolkitCalendar _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
BlackoutDates | 選択不可としてマークされている日付のリスト。
DisplayDate | 表示する日付。
DisplayDateEnd | カレンダーで利用可能な日付の範囲における最後の日付。
DisplayDateStart | カレンダーで利用可能な最初の日付。
DisplayMode | カレンダーで月、年、10 年のいずれを表示するかを指定する値。
FirstDayOfWeek | 週の初めと考えられる曜日。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTodayHighlighted | 現在の日付がハイライトされるかどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedDate | 現在選択されている日付。
SelectedDates | 選択された日付のリスト。
SelectionMode | 許可されている選択の種類を示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectDate | 指定した日付を選択して、現在の選択をクリアします。
SelectDates | 指定した日付を選択して、現在の選択をクリアします。
SelectRange | 日付の範囲を選択します。
SetDisplayDate | 表示する日付を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGrid クラス

説明

カスタマイズできるグリッドにデータを表示するコントロールを表します。

継承階層

  • WPFMultiSelector
    • WPFToolkitDataGrid

構文

'Declaration
Public Class WPFToolkitDataGrid _
Inherits WPFMultiSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Columns | データ グリッドのすべての列を含むコレクション。
CurrentCell | フォーカスがあるセル。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | データ グリッド内の値をユーザーが編集できるかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedCell | データ グリッドで選択されたセル。
SelectedCells | 現在選択されているセルのリスト。
SelectedCellText | データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空の文字列。
SelectedCellTexts | データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空のリスト。
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。 (WPFSelector から継承されました)
SelectedItems | 選択された MultiSelector の項目。 (WPFMultiSelector から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 選択された MultiSelector の項目のテキスト。 (WPFMultiSelector から継承されました)
SelectionMode | データ グリッド内の行やセルの選択方法を示す値。
SelectionUnit | データ グリッドで選択できるのが行、セル、または両方かどうかを示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BeginEdit | 指定したセルの編集を開始します。
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CancelEdit | 編集したセルをキャンセルします。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CommitEdit | 編集したセルをコミットします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 指定したセルをビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SelectCell | 指定したセルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGridCell クラス

説明

データ グリッド コントロールのセルを表します。

継承階層

  • WPFControl
    • WPFToolkitDataGridCell

構文

'Declaration
Public Class WPFToolkitDataGridCell _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEditing | セルが編集モードであるかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | セルを編集モードにすることができるかどうかを示す値。
IsSelected | セルが選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | セルの選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | セルをビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | セルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGridColumnHeader クラス

説明

個々のデータ グリッド列ヘッダーを表します。

継承階層

  • WPFButtonBase
    • WPFToolkitDataGridColumnHeader

構文

'Declaration
Public Class WPFToolkitDataGridColumnHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGridRow クラス

説明

データ グリッド行を表します。

継承階層

  • WPFControl
    • WPFToolkitDataGridRow

構文

'Declaration
Public Class WPFToolkitDataGridRow _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Cells | データ グリッドのセル。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | 行が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 行の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 行をビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 行を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGridRowHeader クラス

説明

個々のデータ グリッド行ヘッダーを表します。

継承階層

  • WPFButtonBase
    • WPFToolkitDataGridRowHeader

構文

'Declaration
Public Class WPFToolkitDataGridRowHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDatePicker クラス

説明

ユーザーが日付を選択できるコントロールを表します。

継承階層

  • WPFControl
    • WPFToolkitDatePicker

構文

'Declaration
Public Class WPFToolkitDatePicker _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedDate | 現在選択されている日付。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | 選択範囲をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectDate | 指定した日付を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolTip クラス

説明

ツールチップを表します。

継承階層

  • WPFContentControl
    • WPFToolTip

構文

'Declaration
Public Class WPFToolTip _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTrack クラス

説明

Value を設定するために使用される 1 つの Thumb コントロールと 2 つの RepeatButton コントロールの位置とサイズを処理するコントロール プリミティブを表します。

継承階層

  • WPFFrameworkElement
    • WPFTrack

構文

'Declaration
Public Class WPFTrack _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTreeView クラス

説明

項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。

継承階層

  • WPFItemsControl
    • WPFTreeView

構文

'Declaration
Public Class WPFTreeView _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ColumnHeaders | ヘッダー列。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedItem | 選択されている項目。選択範囲が空の場合は Nothing を返します。
SelectedItemPath | 選択された項目パスを取得します。選択されていない場合は空の項目パス。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VisibleItemPaths | ツリーに表示される項目の項目パス。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 指定した項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 指定した項目を展開します。
ExpandAll | ツリー内のすべての項目を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTreeViewItem クラス

説明

TreeView コントロール内の選択可能な項目を表します。

継承階層

  • WPFHeaderedItemsControl
    • WPFTreeViewItem

構文

'Declaration
Public Class WPFTreeViewItem _
Inherits WPFHeaderedItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsExpanded | TreeViewItem 内の入れ子になった項目が展開されているか、折りたたまれているか。
IsSelected | ツリー ビュー項目が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 項目を展開します。
ExpandSubTree | このツリー項目の下のサブツリーを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFUserControl クラス

説明

コントロールを作成するための簡単な方法を提供します。 ユーザー コントロールとのやり取りに難する詳細な情報については、『カスタム コントロール』を参照してください。

継承階層

  • WPFContentControl
    • WPFUserControl

構文

'Declaration
Public Class WPFUserControl _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFViewport3D クラス

説明

3D ビジュアル コンテンツの描画サーフェイスを提供します。

継承階層

  • WPFFrameworkElement
    • WPFViewport3D

構文

'Declaration
Public Class WPFViewport3D _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFVisual3D クラス

説明

ヒット テスト、座標変換、境界ボックス計算など、ビジュアル 3-D オブジェクトに共通のサービスとプロパティを提供します。

継承階層

  • WPFBase
    • WPFVisual3D

構文

'Declaration
Public Class WPFVisual3D _
Inherits WPFBase

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFWindow クラス

説明

ウィンドウおよびダイアログ ボックスの作成、構成、表示、および有効期間の管理を可能にします。

継承階層

  • WPFContentControl
    • WPFWindow
      • WPFNavigationWindow

構文

'Declaration
Public Class WPFWindow _
Inherits WPFContentControl _
Implements IMoveable

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ウィンドウのタイトル。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
Activate | ウィンドウを前面に表示して、アクティブ化を試みます。
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LoadAssembly | WPF アプリケーションで指定したパスのアセンブリをロードします。
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


xBrowser クラス リファレンス

xBrowser コントロールのテストに利用可能なクラスを一覧します。

  • BrowserApplication クラス
    ブラウザー アプリケーションのトップ レベル ウィンドウを表します。
  • BrowserObject クラス
    BrowserApplication 内に含まれているすべてのオブジェクトの基本クラスです。
  • BrowserWindow クラス
    ブラウザー ウィンドウは Web ページのトップ レベル コンテナーです。 DomElement を使って DOM ツリーにアクセスできます。 たとえば、IE7 ではタブ、SWT では埋め込みブラウザー コントロールになります。
  • DomButton クラス
    DomButton は次のタグのいずれかを使用して指定されるすべての DOM 要素を表します： <input type='submit'>、<input type='reset'>、<input type='button'>、または <button>。
  • DomCheckBox クラス
    DomCheckBox は <input type='checkbox'> タグを使用して指定されるすべての DOM 要素を表します。
  • DomElement クラス
    DomElement は DOM ツリーの任意の要素を表します。
  • DomEmbeddedElement クラス
    <embed> タグ、または <object> タグで指定された DOM 要素。
  • DomForm クラス
    DomForm は <form> タグを使用して指定されるすべての DOM 要素を表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。
  • DomLink クラス
    DomLink は <a> タグを使用して指定されるすべての DOM 要素を表します。
  • DomListBox クラス
    DomListBox は <select> タグを使用して指定されるすべての DOM 要素を表します。
  • DomRadioButton クラス
    DomRadioButton は <input type='radio'> タグを使用して指定されるすべての DOM 要素を表します。
  • DomTable クラス
    DomTable は <table> タグを表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。
  • DomTableRow クラス
    DomTableRow は <tr> タグを表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。
  • DomTextField クラス
    DomTextField は次のタグのいずれかを使用して指定されるすべての DOM 要素を表します： <input type='text'>、<input type='password'>、<input type='file'>、または <textarea>。
親トピック: Silk Test Workbench 言語リファレンス
関連資料
xBrowser クラス リファレンス


BrowserApplication クラス

説明

ブラウザー アプリケーションのトップ レベル ウィンドウを表します。

メモ: BrowserApplication は BaseGuiTestObject から派生されており、2 つのスクロール バー メソッド GetHorizontalBar と GetVerticalBar を継承しています。 ただし、これら 2 つのメソッドは、BrowserApplication では機能しません。

継承階層

  • Window
    • BrowserApplication

構文

'Declaration
Public Class BrowserApplication _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearCache | ブラウザーのキャッシュをクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseOtherTabs | アクティブなタブ以外のすべてのタブを閉じます。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 このメソッドは選択されているタブ以外のすべてのタブを現在表示されていないタブも含めて閉じます。 このメソッドはモバイル Web アプリケーションではサポートされていません。
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
CloseTab | 指定したタブを閉じます。 タブが指定されていない場合、アクティブなタブが閉じられます。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、現在表示されているタブだけが、インデックスの影響を受けるこの方式と機能します。 たとえば、現在表示されているタブだけを閉じることができます。 インデックス 0 は最初の表示されているタブを識別します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExistsTab | タブが存在する場合に true、それ以外は false を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetActiveTab | アクティブなタブを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetSelectedTab | 現在選択されているタブを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetSelectedTabIndex | アクティブなタブのインデックスを返します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、このメソッドは現在表示されているタブに相対的なインデックスのみを返します。 インデックス 0 は最初の表示されているタブを識別します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetSelectedTabName | アクティブなタブの名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetTabCount | 開いているタブの数を返します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、このメソッドは現在表示されているタブの数のみを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
Navigate | 現在アクティブなタブ/ウィンドウで指定した URL に移動します
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
OpenTab | 新しいタブを開き、指定した URL に移動します。 URL が指定されていない場合には、タブは about:blank に移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SelectTab | 指定したタブを選択します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、現在表示されているタブだけが、インデックスの影響を受けるこの方式と機能します。 たとえば、現在表示されているタブだけが選択することができます。 インデックス 0 は最初の表示されているタブを選択します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


BrowserObject クラス

説明

BrowserApplication 内に含まれているすべてのオブジェクトの基本クラスです。

継承階層

  • TestObject
    • BrowserObject
      • BrowserWindow
      • DomElement

構文

'Declaration
Public Class BrowserObject _
Inherits TestObject _
Implements IClickable, IKeyable

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


BrowserWindow クラス

説明

ブラウザー ウィンドウは Web ページのトップ レベル コンテナーです。 DomElement を使って DOM ツリーにアクセスできます。 たとえば、IE7 ではタブ、SWT では埋め込みブラウザー コントロールになります。

継承階層

  • BrowserObject
    • BrowserWindow

構文

'Declaration
Public Class BrowserWindow _
Inherits BrowserObject

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
ViewportHeight | ブラウザー ビューポートの高さ
ViewportName | ブラウザー ウィンドウの innerWidth と innerHeight に一致するビューポートの名前
ViewportOrientation | ブラウザー ビューポートの向き。 横向きか縦向きを指定できます。
ViewportWidth | ブラウザー ビューポートの幅
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
AcceptAlert | OK を押して JavaScript 警告を承認します。
Back | 履歴の "戻る" エントリに移動します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | モーダル ブラウザー ダイアログ、ブラウザーのタブ、または最後のタブの場合は (または IE6 の場合) ブラウザー自身を閉じます。
DismissAlert | JavaScript 警告を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | トップ レベル ドキュメントのコンテキストで JavaScript コードを評価します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
Forward | 履歴の "進む" エントリに移動します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetAlertText | JavaScript 警告のメッセージ テキストを取得します。
GetBrowserMajorVersion | ブラウザーのメジャー バージョン番号を返します
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow の矩形領域を HTML ピクセルで取得します。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。
GetPageSource | Web サイトのページのソースを返します
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetUrl | メイン ドキュメントの URL を返します。
GetUserAgent | ブラウザーのユーザー エージェント文字列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsAlertPresent | JavaScript 警告が開いている場合に true を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Navigate | メイン ドキュメントを URL に移動します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Reload | ブラウザーの再読み込みボタンの動作と同様に、メイン ドキュメントを再読み込みします。
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetViewportName | ブラウザー ウィンドウのサイズをブラウザー サイズ リストで指定したサイズに設定します。
SetViewportSize | ブラウザー ウィンドウのサイズを指定した幅と高さに設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomButton クラス

説明

DomButton は次のタグのいずれかを使用して指定されるすべての DOM 要素を表します： <input type='submit'>、<input type='reset'>、<input type='button'>、または <button>。

継承階層

  • DomElement
    • DomButton

構文

'Declaration
Public Class DomButton _
Inherits DomElement

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | ボタンをクリックします。
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomCheckBox クラス

説明

DomCheckBox は <input type='checkbox'> タグを使用して指定されるすべての DOM 要素を表します。

継承階層

  • DomElement
    • DomCheckBox

構文

'Declaration
Public Class DomCheckBox _
Inherits DomElement

プロパティ

名前 | 説明
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsChecked | チェック ボックスがチェックされている場合は true を、それ以外の場合は false を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | チェック ボックスを選択します
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetUndecided | チェック ボックスを未設定の状態に設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | チェック ボックスの状態を切り替えます。 チェック ボックスがチェックされている場合は、チェックを外し、そうでない場合はチェックします。 チェック ボックスが未設定の状態にある場合は、未設定のままになります。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomElement クラス

説明

DomElement は DOM ツリーの任意の要素を表します。

継承階層

  • BrowserObject
    • DomElement
      • DomButton
      • DomCheckBox
      • DomEmbeddedElement
      • DomForm
      • DomLink
      • DomListBox
      • DomRadioButton
      • DomTable
      • DomTableRow
      • DomTextField

構文

'Declaration
Public Class DomElement _
Inherits BrowserObject

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。
Highlight | DOM 要素をハイライトします。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomEmbeddedElement クラス

説明

<embed> タグ、または <object> タグで指定された DOM 要素。

継承階層

  • DomElement
    • DomEmbeddedElement

構文

'Declaration
Public Class DomEmbeddedElement _
Inherits DomElement

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomForm クラス

説明

DomForm は <form> タグを使用して指定されるすべての DOM 要素を表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。

継承階層

  • DomElement
    • DomForm

構文

'Declaration
Public Class DomForm _
Inherits DomElement

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Submit | フォームを送信します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomLink クラス

説明

DomLink は <a> タグを使用して指定されるすべての DOM 要素を表します。

継承階層

  • DomElement
    • DomLink

構文

'Declaration
Public Class DomLink _
Inherits DomElement

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | リンクをクリックします。
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomListBox クラス

説明

DomListBox は <select> タグを使用して指定されるすべての DOM 要素を表します。

継承階層

  • DomElement
    • DomListBox

構文

'Declaration
Public Class DomListBox _
Inherits DomElement

プロパティ

名前 | 説明
AllowsMultiSelect | コントロールが複数選択可能かどうか。
ItemCount | リスト ボックスの項目の数。
Items | リスト ボックスの項目のリスト。
SelectedIndices | 選択した項目の索引。
SelectedItems | 選択した項目の名前。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | 項目のリストを選択します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | 項目を選択します。
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Unselect | 項目の選択を解除します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomRadioButton クラス

説明

DomRadioButton は <input type='radio'> タグを使用して指定されるすべての DOM 要素を表します。

継承階層

  • DomElement
    • DomRadioButton

構文

'Declaration
Public Class DomRadioButton _
Inherits DomElement

プロパティ

名前 | 説明
RadioListItemCount | ラジオ リストの項目の数。 このプロパティはモバイル Web アプリケーションではサポートされていません。
RadioListItems | ラジオ リストの項目のリスト。
RadioListSelectedIndex | 選択する項目のインデックス。 Silk Test 17.5 で削除されたため、このプロパティの set アクセス操作子は機能しません。 このプロパティはモバイル Web アプリケーションではサポートされていません。
RadioListSelectedItem | ラジオ リストで選択されている項目。 Silk Test 17.5 で削除されたため、このプロパティの set アクセス操作子は機能しません。 このプロパティはモバイル Web アプリケーションではサポートされていません。
Selected | ラジオ ボタンが選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
RadioListSelect | ラジオ リストの項目を選択します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | ラジオ ボタンを選択します。
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomTable クラス

説明

DomTable は <table> タグを表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。

継承階層

  • DomElement
    • DomTable

構文

'Declaration
Public Class DomTable _
Inherits DomElement

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCell | 指定したセルを返します。
GetCellText | セル要素のコンテンツを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnCount | テーブルの列の数を返します。
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetRow | 指定した行の DOM 要素を返します。
GetRowCount | 行の数を返します
GetRows | 行 (DomTableRow) のリストを返します。
GetRowText | 指定した行のすべてのセル要素のコンテンツを返します。
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomTableRow クラス

説明

DomTableRow は <tr> タグを表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。

継承階層

  • DomElement
    • DomTableRow

構文

'Declaration
Public Class DomTableRow _
Inherits DomElement

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCell | 指定したセルの DOM 要素を返します。
GetCellCount | このテーブル行のセルの数を返します
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomTextField クラス

説明

DomTextField は次のタグのいずれかを使用して指定されるすべての DOM 要素を表します： <input type='text'>、<input type='password'>、<input type='file'>、または <textarea>。

継承階層

  • DomElement
    • DomTextField

構文

'Declaration
Public Class DomTextField _
Inherits DomElement

プロパティ

名前 | 説明
IsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | テキスト フィールドのテキストをクリアします
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキストを設定します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


Name プロパティ (KeywordGroupAttribute)

クラス

KeywordGroupAttribute。

処理

キーワード グループの名前を取得します。デフォルト値は空の文字列です。

構文

'Declaration
Public Read Property Name As String

アクセス

読み取り専用。


Name プロパティ (ArgumentAttribute)

クラス

ArgumentAttribute。

処理

引数の名前を取得します。

構文

'Declaration
Public Read Property Name As String

アクセス

読み取り専用。


Description プロパティ (KeywordAttribute)

クラス

KeywordAttribute。

処理

キーワードの説明を取得します。デフォルト値は空の文字列です。

構文

'Declaration
Public Read Property Description As String

アクセス

読み取り専用。


Name プロパティ (KeywordAttribute)

クラス

KeywordAttribute。

処理

キーワードの名前を取得します。デフォルト値は空の文字列です。

構文

'Declaration
Public Read Property Name As String

アクセス

読み取り専用。


AllowsCheck プロパティ (Table)

クラス

Table.

処理

[読み取り専用] コントロールがチェック マークを表示できるかどうか。

構文

'Declaration
Protected Read Property AllowsCheck As Boolean

アクセス

読み取り専用。


AllowsCheck プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] コントロールがチェック マークを表示できるかどうか。

構文

'Declaration
Protected Read Property AllowsCheck As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (ListBox)

クラス

ListBox.

処理

[読み取り専用] コントロールが複数項目の選択をサポートするかどうか。

構文

'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (Table)

クラス

Table.

処理

[読み取り専用] テーブルが複数項目の選択をサポートするかどうか。

構文

'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] コントロールが複数項目の選択をサポートするかどうか。

構文

'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


Application プロパティ (Window)

クラス

Window.

処理

[読み取り専用] このウィンドウが属するアプリケーションの名前。

構文

'Declaration
Protected Read Property Application As String

アクセス

読み取り専用。


Background プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] GUI オブジェクトの背景色。

構文

'Declaration
Protected ReadWrite Property Background As Color

アクセス

読み書き。


CaptureBitmap メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。

最初にオブジェクトをキャプチャしたあと、エージェントは OPT_BITMAP_MATCH_INTERVAL オプションで指定した時間、待機します。その後、オブジェクトを再度キャプチャして、最初のキャプチャと結果を比較し、画像が安定していることを確認します。

OPT_BITMAP_MATCH_COUNT オプションを指定して、連続して一致しなければならないビットマップの数を設定できます。 OPT_BITMAP_MATCH_TIMEOUT オプションで指定した時間が経過した後で、画像が安定していない場合には、BitmapNotStableException がスローされます。

構文

result = testObject.CaptureBitmap(fileName, [region])
変数 | 説明
result | キャプチャしたビットマップの絶対ファイル名。 String。
fileName | ビットマップを保存する絶対または相対ファイル名。 ビットマップを PNG として保存する場合は、ファイル名に .png を付けます。 String。
region | 省略可能: このオブジェクトに相対的なキャプチャ領域の座標。 Rectangle。


Checked プロパティ (MenuItem)

クラス

MenuItem.

処理

[読み書き可能] メニュー項目がチェックされているかどうか。

構文

'Declaration
Protected ReadWrite Property Checked As Boolean

アクセス

読み書き。


Checked プロパティ (TableRow)

クラス

TableRow.

処理

[読み書き可能] 行のチェックボックスがチェックされているかどうか。

構文

'Declaration
Protected ReadWrite Property Checked As Boolean

アクセス

読み書き。


Check メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスをチェックします。

構文

checkBox.Check()


Check メソッド (Table)

クラス

Table.

処理

テーブルの定義された行のチェック ボックスをチェックします。

構文

table.Check(item)
変数 | 説明
item | チェック ボックスをチェックする行。 ItemIdentifier。


Check メソッド (Tree)

クラス

Tree.

処理

チェック ボックスをチェックします。

構文

tree.Check(itemPath)
変数 | 説明
itemPath | チェックする項目のパス。 ItemPath。


ClearText メソッド (ComboBox)

クラス

ComboBox.

処理

コンボ ボックスからすべてのテキストを削除します。

構文

comboBox.ClearText()


ClearText メソッド (TextField)

クラス

TextField.

処理

すべてのテキストをテキスト フィールドから削除します。

構文

textField.ClearText()


Click メソッド (IClickable)

クラス

IClickable.

処理

オブジェクトをクリックします。

構文

iClickable.Click([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央,.. になります。 MouseButton。
pos | 省略可能: クリックする座標（オブジェクトに相対）。 Point。
modifiers | 省略可能: 修飾キー。 ModifierKeys。

例

たとえば、コントロール内のある位置をクリックする場合は、次のように入力します。
control.Click(MouseButton.Left, New Point(244, 16))
次の例では、コントロールの中央でマウスの左ボタンがクリックされます。
control.Click()


Close メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを閉じます。

構文

iMoveable.Close()


CloseSynchron メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。

ウィンドウを閉じるために、以下のイベントを順番にウィンドウが閉じるまで試みます。
  1. ウィンドウの close() メソッドを呼び出します。
  2. ウィンドウがダイアログの場合、オプション OPT_CLOSE_DIALOG_KEYS で指定したキーを入力し、ダイアログが閉じられるのを 1 秒間待ちます。
  3. ウィンドウにボタンが 1 つある場合、そのボタンをクリックします。
  4. closeConfirm パラメーターが true に設定されている場合： オプション OPT_CLOSE_WINDOW_BUTTONS で指定したボタンのリストをクリックします。
  5. オプション OPT_CLOSE_WINDOW_MENUS で指定したメニューを選択します。
  6. 〔Alt〕+〔F4〕を押します。

このメソッドは、Open Agent がウィンドウを閉じる際に役立ついくつかの指定子をサポートします。 説明したオプションに対して適切な値を設定するために Desktop.setOption(String, Object) を使用してこれらの指定子を使用します。 たとえば、ウィンドウを閉じるときに「保存しない」というテキストの 1 つのボタンを持つ確認ダイアログが開く場合、次のように指定します：

desktop.setOption(CommonOptions.OPT_CLOSE_CONFIRM_BUTTONS, Arrays.asList("保存しない"));

ウィンドウを閉じるのに失敗する場合があります。 たとえば、ウィンドウを閉じると、アプリケーションはメッセージ ボックスを表示される場合に、closeConfirm が falseに設定されていたり、あるいは、メッセージ ボックスを閉じるために使用されるボタンが、OPT_CLOSE_CONFIRM_BUTTONS オプションで指定されていない場合には、呼び出しが失敗し、CloseFailedException がスローされます。

構文

iMoveable.CloseSynchron([closeConfirm])
変数 | 説明
closeConfirm | 省略可能: [変更を保存] ダイアログのような、ウィンドウを閉じる際に表示される確認ダイアログを閉じるかどうかを指定します。 確認ダイアログを閉じる場合は true を指定します。false を指定すると、確認ダイアログが表示された場合に例外がスローされます。 true に設定されている場合、確認ダイアログを閉じるために選択するボタンを決定するために OPT_CLOSE_CONFIRM_BUTTONS オプションの値が使用されます。 Boolean。


Collapse メソッド (Tree)

クラス

Tree.

処理

ツリービュー コントロール上で項目を折りたたみます。

構文

tree.Collapse(itemPath)
変数 | 説明
itemPath | 折りたたむ項目のパス。 ItemPath。


ColumnCount プロパティ (Table)

クラス

Table.

処理

[読み取り専用] テーブルの列の数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnItems プロパティ (Table)

クラス

Table.

処理

[読み取り専用] 列のすべての項目のリスト。

構文

'Declaration
Protected Read Property ColumnItems As List(Of TableColumn)

アクセス

読み取り専用。


DoubleClick メソッド (IClickable)

クラス

IClickable.

処理

マウス ボタンをオブジェクト上でダブルクリックします。

構文

iClickable.DoubleClick([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央,.. になります。 MouseButton。
pos | 省略可能: クリックする座標（オブジェクトに相対）。 Point。
modifiers | 省略可能: 修飾キー。 ModifierKeys。


DoubleSelect メソッド (ListBox)

クラス

ListBox.

処理

リスト ボックスの項目をダブルクリックします。

構文

listBox.DoubleSelect(item, [modifiers])
変数 | 説明
item | 選択する項目。 ItemIdentifier。
modifiers | 省略可能: クリック時に使用する修飾キー。 ModifierKeys。


DoubleSelect メソッド (Table)

クラス

Table.

処理

項目をダブルクリックします。

構文

table.DoubleSelect(row, [column, modifiers])
変数 | 説明
row | ダブルクリックする行。 ItemIdentifier。
column | 省略可能: ダブルクリックする列。 ItemIdentifier。
modifiers | 省略可能: ダブルクリック時に使用する修飾キー。 ModifierKeys。


DoubleSelect メソッド (Tree)

クラス

Tree.

処理

項目をダブルクリックします。

構文

tree.DoubleSelect(itemPath, [modifiers])
変数 | 説明
itemPath | 選択する項目。 ItemPath。
modifiers | 省略可能: ダブルクリック時に使用する修飾キー。 ModifierKeys。


Enabled プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] GUI オブジェクトが有効かどうか。

構文

'Declaration
Protected ReadWrite Property Enabled As Boolean

アクセス

読み書き。


Exists メソッド (TestObject)

クラス

TestObject.

処理

ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。

構文

result = testObject.Exists(locator, [timeout])
変数 | 説明
result | 指定したロケーターを持つ子オブジェクトが見つかった場合は true、それ以外の場合は false。 Boolean。
locator | 子オブジェクトの XPath ロケーター。 例： "//PushButton[@caption='ok']" 。 String。
timeout | 省略可能: タイムアウト（ミリ秒）。 最初の検索で何も一致しなかった場合は、エージェントは指定されたタイムアウト値が経過するまでテスト オブジェクトの検索を繰り返します。 Integer。


Expand メソッド (Tree)

クラス

Tree.

処理

ツリー ビュー コントロール上でオブジェクトを展開します。

構文

tree.Expand(itemPath)
変数 | 説明
itemPath | 展開する項目のパス。 ItemPath。


ExtendSelect メソッド (ListBox)

クラス

ListBox.

処理

リスト ボックスの選択範囲を拡張して項目の範囲を選択します。

構文

listBox.ExtendSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


ExtendSelectRow メソッド (Table)

クラス

Table.

処理

行の範囲を選択します。

構文

table.ExtendSelectRow(row, [column])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 省略可能: 選択する列。 ItemIdentifier。


FocusRow メソッド (Table)

クラス

Table.

処理

テーブルの行にフォーカスを設定します。

構文

table.FocusRow(row)
変数 | 説明
row | 選択する行。 ItemIdentifier。


Font プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] GUI オブジェクトのフォントの種類。

構文

'Declaration
Protected ReadWrite Property Font As String

アクセス

読み書き。


Foreground プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] GUI オブジェクトの前景色。

構文

'Declaration
Protected ReadWrite Property Foreground As Color

アクセス

読み書き。


GenerateLocator メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトのロケーターを返します。

ロケーターは、記録中に作成されるのと同じ方法で作成されます。

構文

result = testObject.GenerateLocator()
変数 | 説明
result | String。


GetChildren メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトの子オブジェクトを返します。

構文

children = testObject.GetChildren()
変数 | 説明
children | List(Of TestObject)。


GetCloseWindows メソッド (IMoveable)

クラス

IMoveable.

処理

アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。

構文

closeWindows = iMoveable.GetCloseWindows()
変数 | 説明
closeWindows | List(Of Moveable)。


GetDynamicMethodList メソッド (TestObject)

クラス

TestObject.

処理

この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。

構文

dynamicMethodList = testObject.GetDynamicMethodList()
変数 | 説明
dynamicMethodList | この TestObject のすべての動的メソッド。 List(Of String)。


GetFocus メソッド (IMoveable)

クラス

IMoveable.

処理

入力フォーカスを持つオブジェクトを返します。

構文

focus = iMoveable.GetFocus()
変数 | 説明
focus | TestObject。


GetHorizontalBar メソッド (IScrollable)

クラス

IScrollable.

処理

このコントロールの水平スクロール バーを返します。

メモ: BrowserApplication は BaseGuiTestObject から派生されており、2 つの スクロール バー メソッド GetHorizontalBar と GetVerticalBar を継承しています。 ただし、これら 2 つのメソッドは、BrowserApplication では機能しません。

構文

horizontalBar = iScrollable.GetHorizontalBar()
変数 | 説明
horizontalBar | HorizontalScrollBar。


GetItemCount メソッド (Menu)

クラス

Menu.

処理

このメニューのメニュー項目の数を返します。 メニュー項目のセパレーターも含みます。

構文

itemCount = menu.GetItemCount()
変数 | 説明
itemCount | Integer。


GetItemPaths メソッド (Tree)

クラス

Tree.

処理

GetItemPaths メソッドは推奨されません。 Silk Test 2011 以降では、ツリーのすべての項目を取得する場合は、代わりに ItemPaths プロパティを使用してください。

ツリーのすべての項目を項目パスのリストとして返します。

構文

itemPaths = tree.GetItemPaths()
変数 | 説明
itemPaths | List(Of ItemPath )。


GetMultiText メソッド (TextField)

クラス

TextField.

処理

複数行テキスト フィールドの指定された行のテキストを返します。

構文

multiText = textField.GetMultiText([StartLine, numberOfLines])
変数 | 説明
multiText | List(Of String)。
StartLine | 省略可能: 取得したい最初の行番号。 The value is zero-based.。 Integer。
numberOfLines | 省略可能: 返す行数。 Integer。


GetNextCloseWindow メソッド (IMoveable)

クラス

IMoveable.

処理

アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。

構文

nextCloseWindow = iMoveable.GetNextCloseWindow()
変数 | 説明
nextCloseWindow | Moveable。


GetParent メソッド (TestObject)

クラス

TestObject.

処理

テスト アプリケーション内でこのオブジェクトの親を検索します。

構文

parent = testObject.GetParent()
変数 | 説明
parent | 親、またはこのオブジェクトが親を持たない場合には、デスクトップ。 TestObject。


GetPropertyList メソッド (TestObject)

クラス

TestObject.

処理

指定したオブジェクトに対して取得できるプロパティ名のリストを返します。

構文

propertyList = testObject.GetPropertyList()
変数 | 説明
propertyList | List(Of String)。

例

Dim propertyList As List(Of String)
propertyList = testObject.GetPropertyList()


GetRect メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。

構文

rect = testObject.GetRect([absoluteCoordinates])
変数 | 説明
rect | Rectangle。
absoluteCoordinates | 省略可能: true を指定すると、グローバル座標（全画面に相対）が返されます。それ以外の場合は、このオブジェクトを含む親のウィンドウに相対の座標が返されます。 Boolean。


GetVerticalBar メソッド (IScrollable)

クラス

IScrollable.

処理

このコントロールの垂直スクロール バーを返します。

メモ: BrowserApplication は BaseGuiTestObject から派生されており、2 つの スクロール バー メソッド GetHorizontalBar と GetVerticalBar を継承しています。 ただし、これら 2 つのメソッドは、BrowserApplication では機能しません。

構文

verticalBar = iScrollable.GetVerticalBar()
変数 | 説明
verticalBar | VerticalScrollBar。


HighlightObject メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトをハイライトします。

構文

testObject.HighlightObject([timeout, color])
変数 | 説明
timeout | 省略可能: オブジェクトをハイライトするタイムアウト値（ミリ秒）を指定します。 タイムアウト値が指定されていない場合は、他のオブジェクトがハイライトされるまで、そのオブジェクトはハイライトされたままになります。 Integer。
color | 省略可能: このオブジェクトのハイライトに使用する色を指定します。 色が指定されていない場合、デフォルトの色が使用されます。 Color。


InvokeMethods メソッド (TestObject)

クラス

TestObject.

処理

この TestObject から始まる一連のメソッドを動的に呼び出します。

最後の呼び出しを除いて、各メソッド呼び出しはオブジェクトを返さなければなりません。 返されたオブジェクトそれぞれがメソッド呼び出しの次のターゲットになり、メソッド名のリストの次のメソッドがパラメーターのリストの次の引数のリストで呼び出され、最後のメソッド呼び出しまで繰り返されます。 メソッド名、引数リスト、または返されたオブジェクトが一致しない場合、実行時エラーが生成されます。

このメソッドは、WPF、Windows Forms、Silverlight、Java SWT、および Java Swing に対して実装されています。

構文

result = testObject.InvokeMethods(names, parameters)
変数 | 説明
result | 呼び出された最後のメソッドの結果。 Object。
names | 呼び出される順番に並んだメソッド名のリスト。 List(Of String)。
parameters | すべてのメソッドに対する引数のリストを含むリスト。 最後の空の引数リストは省略できます。 List(Of List(Of Object))。


IsActive メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウがアクティブに設定されているかどうかを返します。

構文

active = iMoveable.IsActive()
変数 | 説明
active | Boolean。


IsChecked メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスがチェックされている場合は true を、それ以外の場合は false を返します。

構文

checked = checkBox.IsChecked()
変数 | 説明
checked | Boolean。


IsExpandable メソッド (Tree)

クラス

Tree.

処理

指定した項目が展開可能かどうかを検査します。

構文

expandable = tree.IsExpandable(itemPath)
変数 | 説明
expandable | 項目が展開可能かどうか。 Boolean。
itemPath | 展開可能かどうかを検査する項目のパス。 ItemPath。


IsExpanded メソッド (Tree)

クラス

Tree.

処理

指定した項目が展開されているかどうかを検査します。

構文

expanded = tree.IsExpanded(itemPath)
変数 | 説明
expanded | 項目が展開されているかどうか。 Boolean。
itemPath | 展開されているかどうかを検査する項目のパス。 ItemPath。


IsFocused メソッド (IFocusable)

クラス

IFocusable.

処理

コントロールがフォーカスを持つかどうかを返します。

構文

focused = iFocusable.IsFocused()
変数 | 説明
focused | このオブジェクトがフォーカスを持つ場合は true。 Boolean。


IsPassword プロパティ (TextField)

クラス

TextField.

処理

[読み取り専用] コントロールがパスワード テキスト フィールドであるかどうか。

構文

'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


ItemCount プロパティ (ComboBox)

クラス

ComboBox.

処理

[読み取り専用] コンボ ボックス リストの項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (ListBox)

クラス

ListBox.

処理

[読み取り専用] リスト ボックスの項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (RadioList)

クラス

RadioList.

処理

[読み取り専用] ラジオ リストの項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (TabControl)

クラス

TabControl.

処理

[読み取り専用] タブ コントロールの項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (TableRow)

クラス

TableRow.

処理

[読み取り専用] 行の項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] ツリー上の項目数（すべての子を含む）。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemPaths プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] ツリー上の項目のリスト（すべての子を含む）。

構文

'Declaration
Protected Read Property ItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


Items プロパティ (ComboBox)

クラス

ComboBox.

処理

[読み取り専用] コンボ ボックス リストの項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


Items プロパティ (ListBox)

クラス

ListBox.

処理

[読み取り専用] リスト ボックスの項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


Items プロパティ (RadioList)

クラス

RadioList.

処理

[読み取り専用] ラジオ リストの項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


Items プロパティ (TabControl)

クラス

TabControl.

処理

[読み取り専用] タブ コントロールの項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


Items プロパティ (TableRow)

クラス

TableRow.

処理

[読み書き可能] 行の項目のリスト。

構文

'Declaration
Protected ReadWrite Property Items As List(Of String)

アクセス

読み書き。


Items プロパティ (Tree)

クラス

Tree.

処理

Items プロパティは推奨されません。 Silk Test 2011 以降では、ツリーのすべての項目を取得する場合は、代わりに ItemPaths プロパティを使用してください。

[読み取り専用] ツリー上の項目のリスト（すべての子を含む）。

構文

'Declaration
Protected Read Property Items As TreeContent

アクセス

読み取り専用。


Maximize メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを最大化します。

構文

iMoveable.Maximize()


Minimize メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを最小化します。

構文

iMoveable.Minimize()


MouseMove メソッド (IClickable)

クラス

IClickable.

処理

オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

iClickable.MouseMove([pos])
変数 | 説明
pos | 省略可能: 新しいロケーションの座標（ウィンドウに相対）。 Point。


Move メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを移動します。

構文

iMoveable.Move(pos)
変数 | 説明
pos | ウィンドウの座標。 Point。


MultiLine プロパティ (TextField)

クラス

TextField.

処理

[読み取り専用] コントロールが複数行かどうか。

構文

'Declaration
Protected Read Property MultiLine As Boolean

アクセス

読み取り専用。


MultiSelect メソッド (ListBox)

クラス

ListBox.

処理

複数または拡張選択リスト ボックスの項目を選択します。

構文

listBox.MultiSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


MultiSelectRow メソッド (Table)

クラス

Table.

処理

テーブルの行を選択行の集合に追加します。

構文

table.MultiSelectRow(row, [column])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 省略可能: 選択する列。 ItemIdentifier。


MultiUnselect メソッド (ListBox)

クラス

ListBox.

処理

複数または拡張選択リスト ボックスの項目の選択を解除します。

構文

listBox.MultiUnselect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


MultiUnselectRow メソッド (Table)

クラス

Table.

処理

行を選択行の集合から削除します。

構文

table.MultiUnselectRow(row, [column])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 省略可能: 選択する列。 ItemIdentifier。


NativeHandle プロパティ (INativeWindow)

クラス

INativeWindow.

処理

[読み取り専用] オブジェクトのネイティブ ウィンドウ ハンドル。

構文

'Declaration
Protected Read Property NativeHandle As Integer

アクセス

読み取り専用。


OpenContextMenu メソッド (BaseGuiTestObject)

クラス

BaseGuiTestObject.

処理

指定した位置でコンテキスト メニューを開きます。

構文

baseGuiTestObject.OpenContextMenu([pos])
変数 | 説明
pos | 省略可能: コンテキスト メニューを開くために、関数を呼び出すコントロールに相対の座標。 Point。


Open メソッド (DropDownToolItem)

クラス

DropDownToolItem.

処理

項目を開きます。

構文

dropDownToolItem.Open()


PageDown メソッド (VerticalScrollBar)

クラス

VerticalScrollBar.

処理

スクロール バーをページ単位に下方向にスクロールします。

構文

verticalScrollBar.PageDown([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


PageLeft メソッド (HorizontalScrollBar)

クラス

HorizontalScrollBar.

処理

スクロール バーをページ単位に左方向にスクロールします。

構文

horizontalScrollBar.PageLeft([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


PageRight メソッド (HorizontalScrollBar)

クラス

HorizontalScrollBar.

処理

スクロール バーをページ単位に右方向にスクロールします。

構文

horizontalScrollBar.PageRight([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


PageSize プロパティ (ScrollBar)

クラス

ScrollBar.

処理

[読み書き可能] スクロール バーの内部ページ サイズです。

構文

'Declaration
Protected ReadWrite Property PageSize As Integer

アクセス

読み書き。


PageUp メソッド (VerticalScrollBar)

クラス

VerticalScrollBar.

処理

スクロール バーをページ単位に上方向にスクロールします。

構文

verticalScrollBar.PageUp([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


Position プロパティ (Scale)

クラス

Scale.

処理

[読み書き可能] スケール キャレットの実際の位置です。

構文

'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Position プロパティ (ScrollBar)

クラス

ScrollBar.

処理

[読み書き可能] スクロール バー キャレットの実際の位置です。

構文

'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Position プロパティ (TextField)

クラス

TextField.

処理

[読み書き可能] テキスト フィールド内のキャレットの位置。

構文

'Declaration
Protected ReadWrite Property Position As TextPosition

アクセス

読み書き。


Pressed プロパティ (PushButton)

クラス

PushButton.

処理

[読み取り専用] プッシュ ボタンが押されているかどうか。

構文

'Declaration
Protected Read Property Pressed As Boolean

アクセス

読み取り専用。


PressKeys メソッド (IKeyable)

クラス

IKeyable.

処理

一連のキーまたはマウス ボタンを押します（離しません）。

pressKeys はネイティブ モバイル アプリケーションではサポートされません。Internet Explorer 以外のすべてのブラウザーで有効なキーストロークは次のとおりです。
  • <Alt> (左側の Alt キー)
  • <Ctrl> (左側の Ctrl キー)
  • <Shift> (左側の Shift キー)
Internet Explorer およびその他のアプリケーションで有効なキーストロークは次のとおりです。
  • <#0>-<#9> (NumLock がオンの状態でテンキーの数字 0-9)
  • <#Add> (テンキーの '+')
  • <#Clear> (NumLock がオフの状態でテンキーの 5)
  • <#Decimal> (多くのキーボードのテンキーの小数点記号用のキー)
  • <#Delete> (NumLock がオフの状態でテンキーの '.' )
  • <#Divide> (テンキーの '/')
  • <#Down> (NumLock がオフの状態でテンキーの 2)
  • <#End> (NumLock がオフの状態でテンキーの 1)
  • <#Enter> (テンキーの Enter)
  • <#Equal> (テンキーの等号記号)
  • <#Home> (NumLock がオフの状態でテンキーの 7)
  • <#Insert> (NumLock がオフの状態でテンキーの 0)
  • <#Left> (NumLock がオフの状態でテンキーの 4)
  • <#PgDn> (NumLock がオフの状態でテンキーの 3)
  • <#PgUp> (NumLock がオフの状態でテンキーの 9)
  • <#Right> (NumLock がオフの状態でテンキーの 6)
  • <#Separator> (テンキーの Separator キー)
  • <#Space> (テンキーの Space キー)
  • <#Subtract> (テンキーの '-')
  • <#Tab> (テンキーの Tab キー)
  • <#Times> (テンキーの '*')
  • <#Up> (NumLock がオフの状態でテンキーの 8)
  • <Alt> (左側の Alt キー)
  • <Application> (最後のアクティブ コントロールのコンテキスト メニューを開く)
  • <Backspace> (Backspace キー)
  • <Break> (Ctrl-Break)
  • <Cancel> (Break)
  • <CapsLock> (オンとオフを切り替える)
  • <Clear> (Clear キー)
  • <Ctrl> (左側の Ctrl キー)
  • <Delete> (Delete キー)
  • <Down> (下矢印)
  • <End> (End キー)
  • <Enter> (Enter キー)
  • <Esc> (Escape)
  • <Execute> (Execute キー)
  • <F1> - <F12> (F1 から F12 のファンクション キー)
  • <F13> - <F35> (F13 から F35 のファンクション キー)
  • <GreaterThan> ('>' キー。これを使用しないと、エージェントは右山括弧として解釈します)
  • <Help> (Help キー)
  • <Home> (Home キー)
  • <Insert> (Insert キー)
  • <Left> (左矢印)
  • <Left Alt> (Alt キー)
  • <Left Ctrl> (Ctrl キー)
  • <Left Shift> (Shift キー)
  • <LeftWin> (Windows スタート メニュー キー)
  • <LessThan> ('<' キー。(これを使用しないと、エージェントは左山括弧として解釈します)
  • <Menu> (Menu キー)
  • <Mode> (Mode キー)
  • <Pause> (Pause)
  • <PgDn> (PgDn または Page Down)
  • <PgUp> (PgUp または Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo キー)
  • <Right> (右矢印)
  • <Right Alt> (Alt キー)
  • <Right Ctrl> (Ctrl キー)
  • <RightOption> (Option キー)
  • <Right Shift> (Shift キー)
  • <RightWin> (Windows スタート メニュー キー)
  • <ScrollLock> (オンとオフを切り替える)
  • <Shift> (左側の Shift キー)
  • <Space> (スペース キー)
  • <Tab> (Tab)
  • <Undo> (Undo キー)
  • <Up> (上矢印)
例： '<F4>'、'<Left Shift>'、'<Right Alt>'、'<Left Ctrl>'、'<Delete>'、'<Backspace>'。メモ： '<' または '>' は '<LessThan>' または '<GreaterThan>' と記述する必要があります。

構文

iKeyable.PressKeys(keys, [ensureFocus])
変数 | 説明
keys | 入力するキー、または押下するマウス ボタン。 String。
ensureFocus | 省略可能: コントロールが実際にキーボード フォーカスを持つことを保証するかどうかを決定します。 デフォルトは true です。 Boolean。


PressMouse メソッド (IClickable)

クラス

IClickable.

処理

オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

iClickable.PressMouse([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央,.. になります。 MouseButton。
pos | 省略可能: マウスを押下する座標（オブジェクトに相対）。 Point。
modifiers | 省略可能: 修飾キー。 ModifierKeys。


Range プロパティ (Scale)

クラス

Scale.

処理

[読み書き可能] スケールの範囲です。

構文

'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


Range プロパティ (ScrollBar)

クラス

ScrollBar.

処理

[読み書き可能] スクロール バーの範囲です。

構文

'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


ReleaseKeys メソッド (IKeyable)

クラス

IKeyable.

処理

一連のキーまたはマウス ボタンを離します。

releaseKeys はネイティブ モバイル アプリケーションではサポートされません。Internet Explorer 以外のすべてのブラウザーで有効なキーストロークは次のとおりです。
  • <Alt> (左側の Alt キー)
  • <Ctrl> (左側の Ctrl キー)
  • <Shift> (左側の Shift キー)
Internet Explorer およびその他のアプリケーションで有効なキーストロークは次のとおりです。
  • <#0>-<#9> (NumLock がオンの状態でテンキーの数字 0-9)
  • <#Add> (テンキーの '+')
  • <#Clear> (NumLock がオフの状態でテンキーの 5)
  • <#Decimal> (多くのキーボードのテンキーの小数点記号用のキー)
  • <#Delete> (NumLock がオフの状態でテンキーの '.' )
  • <#Divide> (テンキーの '/')
  • <#Down> (NumLock がオフの状態でテンキーの 2)
  • <#End> (NumLock がオフの状態でテンキーの 1)
  • <#Enter> (テンキーの Enter)
  • <#Equal> (テンキーの等号記号)
  • <#Home> (NumLock がオフの状態でテンキーの 7)
  • <#Insert> (NumLock がオフの状態でテンキーの 0)
  • <#Left> (NumLock がオフの状態でテンキーの 4)
  • <#PgDn> (NumLock がオフの状態でテンキーの 3)
  • <#PgUp> (NumLock がオフの状態でテンキーの 9)
  • <#Right> (NumLock がオフの状態でテンキーの 6)
  • <#Separator> (テンキーの Separator キー)
  • <#Space> (テンキーの Space キー)
  • <#Subtract> (テンキーの '-')
  • <#Tab> (テンキーの Tab キー)
  • <#Times> (テンキーの '*')
  • <#Up> (NumLock がオフの状態でテンキーの 8)
  • <Alt> (左側の Alt キー)
  • <Application> (最後のアクティブ コントロールのコンテキスト メニューを開く)
  • <Backspace> (Backspace キー)
  • <Break> (Ctrl-Break)
  • <Cancel> (Break)
  • <CapsLock> (オンとオフを切り替える)
  • <Clear> (Clear キー)
  • <Ctrl> (左側の Ctrl キー)
  • <Delete> (Delete キー)
  • <Down> (下矢印)
  • <End> (End キー)
  • <Enter> (Enter キー)
  • <Esc> (Escape)
  • <Execute> (Execute キー)
  • <F1> - <F12> (F1 から F12 のファンクション キー)
  • <F13> - <F35> (F13 から F35 のファンクション キー)
  • <GreaterThan> ('>' キー。これを使用しないと、エージェントは右山括弧として解釈します)
  • <Help> (Help キー)
  • <Home> (Home キー)
  • <Insert> (Insert キー)
  • <Left> (左矢印)
  • <Left Alt> (Alt キー)
  • <Left Ctrl> (Ctrl キー)
  • <Left Shift> (Shift キー)
  • <LeftWin> (Windows スタート メニュー キー)
  • <LessThan> ('<' キー。(これを使用しないと、エージェントは左山括弧として解釈します)
  • <Menu> (Menu キー)
  • <Mode> (Mode キー)
  • <Pause> (Pause)
  • <PgDn> (PgDn または Page Down)
  • <PgUp> (PgUp または Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo キー)
  • <Right> (右矢印)
  • <Right Alt> (Alt キー)
  • <Right Ctrl> (Ctrl キー)
  • <RightOption> (Option キー)
  • <Right Shift> (Shift キー)
  • <RightWin> (Windows スタート メニュー キー)
  • <ScrollLock> (オンとオフを切り替える)
  • <Shift> (左側の Shift キー)
  • <Space> (スペース キー)
  • <Tab> (Tab)
  • <Undo> (Undo キー)
  • <Up> (上矢印)
例： '<F4>'、'<Left Shift>'、'<Right Alt>'、'<Left Ctrl>'、'<Delete>'、'<Backspace>'。メモ:
  • ベースとなるテクノロジによっては、このメソッドに対してすべてのキーがサポートされない場合があります。たとえば、WebDriver ベースのブラウザーでは、<Ctrl>、<Alt>、<Shift> だけがサポートされます。
  • '<' または '>' は '<LessThan>' または '<GreaterThan>' と記述する必要があります。

構文

iKeyable.ReleaseKeys(keys, [ensureFocus])
変数 | 説明
keys | 離すキー、またはマウス ボタン。 String。
ensureFocus | 省略可能: コントロールが実際にキーボード フォーカスを持つことを保証するかどうかを決定します。 デフォルトは true です。 Boolean。


ReleaseMouse メソッド (IClickable)

クラス

IClickable.

処理

マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

iClickable.ReleaseMouse([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央,.. になります。 MouseButton。
pos | 省略可能: マウスを離す座標（オブジェクトに相対）。 Point。
modifiers | 省略可能: 修飾キー。 ModifierKeys。


Resize メソッド (TableColumn)

クラス

TableColumn.

処理

列のサイズを変更します。

構文

tableColumn.Resize(width)
変数 | 説明
width | 行の新しい幅（ピクセル）。 Integer。


Restore メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを元のサイズに戻します。

構文

iMoveable.Restore()


RowCount プロパティ (Table)

クラス

Table.

処理

[読み取り専用] テーブルの行の数。

構文

'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowItems プロパティ (Table)

クラス

Table.

処理

[読み取り専用] テーブルのすべての行のリスト。

構文

'Declaration
Protected Read Property RowItems As List(Of TableRow)

アクセス

読み取り専用。


ScrollDown メソッド (VerticalScrollBar)

クラス

VerticalScrollBar.

処理

スクロール バーを下に移動します。

構文

verticalScrollBar.ScrollDown([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


ScrollLeft メソッド (HorizontalScrollBar)

クラス

HorizontalScrollBar.

処理

スクロール バーを左方向にスクロールします。

構文

horizontalScrollBar.ScrollLeft([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


Scroll メソッド (ScrollBar)

クラス

ScrollBar.

処理

スクロール バーをスクロールします。

構文

scrollBar.Scroll(position)
変数 | 説明
position | スクロールするビューの座標。 Integer。


ScrollRight メソッド (HorizontalScrollBar)

クラス

HorizontalScrollBar.

処理

スクロール バーを右方向にスクロールします。

構文

horizontalScrollBar.ScrollRight([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


ScrollToMax メソッド (ScrollBar)

クラス

ScrollBar.

処理

スクロール バーをその最大の位置にスクロールします。

構文

scrollBar.ScrollToMax()


ScrollToMin メソッド (ScrollBar)

クラス

ScrollBar.

処理

スクロール バーをその最小の位置にスクロールします。

構文

scrollBar.ScrollToMin()


ScrollUp メソッド (VerticalScrollBar)

クラス

VerticalScrollBar.

処理

スクロール バーを上に移動します。

構文

verticalScrollBar.ScrollUp([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


SelectedIndex プロパティ (ComboBox)

クラス

ComboBox.

処理

[読み書き可能] 選択する項目のインデックス。 The value is zero-based.。

構文

'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedIndex プロパティ (ListBox)

クラス

ListBox.

処理

[読み書き可能] 最初の選択された項目のインデックス。 The value is zero-based.。

構文

'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedIndex プロパティ (RadioList)

クラス

RadioList.

処理

[読み書き可能] 選択する項目のインデックス。 The value is zero-based.。

構文

'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedIndex プロパティ (TabControl)

クラス

TabControl.

処理

[読み書き可能] 選択する項目のインデックス。 The value is zero-based.。

構文

'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedIndex プロパティ (Tree)

クラス

Tree.

処理

[読み書き可能] 最初の選択された項目のインデックス。

構文

'Declaration
Protected ReadWrite Property SelectedIndex As ItemPath

アクセス

読み書き。


SelectedIndices プロパティ (ListBox)

クラス

ListBox.

処理

[読み書き可能] 選択した項目の索引。

構文

'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

アクセス

読み書き。


SelectedIndices プロパティ (Table)

クラス

Table.

処理

[読み書き可能] 選択した項目の索引。

構文

'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

アクセス

読み書き。


SelectedIndices プロパティ (Tree)

クラス

Tree.

処理

[読み書き可能] 選択した項目の索引。

構文

'Declaration
Protected ReadWrite Property SelectedIndices As List(Of ItemPath)

アクセス

読み書き。


SelectedItem プロパティ (ComboBox)

クラス

ComboBox.

処理

[読み書き可能] 選択する項目。

構文

'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItem プロパティ (ListBox)

クラス

ListBox.

処理

[読み書き可能] 最初の選択された項目の名前。

構文

'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItem プロパティ (RadioList)

クラス

RadioList.

処理

[読み書き可能] 選択する項目。

構文

'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItem プロパティ (TabControl)

クラス

TabControl.

処理

[読み書き可能] 選択する項目。

構文

'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItem プロパティ (Tree)

クラス

Tree.

処理

[読み書き可能] 最初の選択された項目の名前。

構文

'Declaration
Protected ReadWrite Property SelectedItem As ItemPath

アクセス

読み書き。


SelectedItems プロパティ (ListBox)

クラス

ListBox.

処理

[読み書き可能] 選択した項目の名前。

構文

'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み書き。


SelectedItems プロパティ (Table)

クラス

Table.

処理

[読み書き可能] 選択した項目。

構文

'Declaration
Protected ReadWrite Property SelectedItems As List(Of TableRow)

アクセス

読み書き。


SelectedItems プロパティ (Tree)

クラス

Tree.

処理

[読み書き可能] 選択した項目の名前。

構文

'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemPath)

アクセス

読み書き。


SelectedRange プロパティ (TextField)

クラス

TextField.

処理

[読み書き可能] テキスト フィールド内の選択範囲。

構文

'Declaration
Protected ReadWrite Property SelectedRange As TextRange

アクセス

読み書き。


SelectedText プロパティ (TextField)

クラス

TextField.

処理

[読み取り専用] テキスト フィールド内の選択テキスト。 テキストが選択されていない場合は空の文字列。

構文

'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


Select メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスを選択します。

構文

checkBox.Select(state)
変数 | 説明
state | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。 Integer。


Select メソッド (CheckBoxToolItem)

クラス

CheckBoxToolItem.

処理

項目を選択します。

構文

checkBoxToolItem.Select(state)
変数 | 説明
state | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。 Integer。


Select メソッド (ComboBox)

クラス

ComboBox.

処理

コンボ ボックスから項目を選択します。

構文

comboBox.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (DropDownToolItem)

クラス

DropDownToolItem.

処理

項目を選択します。

構文

dropDownToolItem.Select()


Select メソッド (Link)

クラス

Link.

処理

項目を選択します。

構文

link.Select([item])
変数 | 説明
item | 省略可能: 選択する項目。 このパラメーターは複数選択が可能なリンクに対してのみ有効です。 リンクの指定した項目を選択します。 ItemIdentifier。


Select メソッド (ListBox)

クラス

ListBox.

処理

リスト ボックスから項目を選択します。

構文

listBox.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (Menu)

クラス

Menu.

処理

メニューを選択します。

構文

menu.Select()


Select メソッド (MenuItem)

クラス

MenuItem.

処理

メニューから項目を選択します。

構文

menuItem.Select()


Select メソッド (PushButton)

クラス

PushButton.

処理

プッシュ ボタンを選択します。

構文

pushButton.Select()


Select メソッド (PushToolItem)

クラス

PushToolItem.

処理

項目を選択します。

構文

pushToolItem.Select()


Select メソッド (RadioList)

クラス

RadioList.

処理

ラジオ リストから項目を選択します。

構文

radioList.Select([item])
変数 | 説明
item | 省略可能: 選択する項目。 ItemIdentifier。


Select メソッド (RadioListToolItem)

クラス

RadioListToolItem.

処理

項目を選択します。

構文

radioListToolItem.Select([item])
変数 | 説明
item | 省略可能: 選択する項目。 ItemIdentifier。


Select メソッド (TabControl)

クラス

TabControl.

処理

現在のページを指定したページに設定します。

構文

tabControl.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (TableColumn)

クラス

TableColumn.

処理

列を選択します。

構文

tableColumn.Select()


Select メソッド (ToggleButton)

クラス

ToggleButton.

処理

項目を選択します。

構文

toggleButton.Select(state)
変数 | 説明
state | 指定したい状態を表します。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。 Integer。


Select メソッド (Tree)

クラス

Tree.

処理

ツリーから項目を選択します。

構文

tree.Select(itemPath)
変数 | 説明
itemPath | 選択する項目のパス。 ItemPath。


SelectRange メソッド (ListBox)

クラス

ListBox.

処理

拡張選択リスト ボックスの項目の範囲を選択します。

構文

listBox.SelectRange(selectRangeBegin, selectRangeEnd)
変数 | 説明
selectRangeBegin | 選択する最初の項目。 ItemIdentifier。
selectRangeEnd | 選択する最後の項目。 ItemIdentifier。


SelectRow メソッド (Table)

クラス

Table.

処理

テーブルの行を選択します。

構文

table.SelectRow(row, [column])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 省略可能: 選択する列。 ItemIdentifier。


SetActive メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウをアクティブにします。

構文

iMoveable.SetActive()


SetFocus メソッド (IFocusable)

クラス

IFocusable.

処理

コントロールにフォーカスを与えます。

構文

iFocusable.SetFocus()


SetMultiText メソッド (TextField)

クラス

TextField.

処理

複数行テキスト フィールドの行のすべて、または一部を置換します。

構文

textField.SetMultiText(Text, [StartLine, numberOfLines])
変数 | 説明
Text | 置換するテキスト。 List(Of String)。
StartLine | 省略可能: 置換を開始するテキスト フィールドの行（0 から開始）。 The value is zero-based.。 Integer。
numberOfLines | 省略可能: 置換する行数。 Integer。


SetPosition メソッド (Scale)

クラス

Scale.

処理

スケールの位置を設定します。

構文

scale.SetPosition(position)
変数 | 説明
position | 移動する位置の内部数値。 Integer。


SetPosition メソッド (TextField)

クラス

TextField.

処理

テキスト フィールド内の挿入位置を設定します。

構文

textField.SetPosition(position)
変数 | 説明
position | テキスト フィールド内のキャレットの位置。 TextPosition。


SetSelectionRange メソッド (TextField)

クラス

TextField.

処理

単一行または複数行フィールドの指定した範囲を選択します。

構文

textField.SetSelectionRange(selectionRange)
変数 | 説明
selectionRange | テキスト フィールド内の選択範囲。 TextRange。


SetText メソッド (ComboBox)

クラス

ComboBox.

処理

コンボ ボックスのテキスト フィールド内のテキストを置換します。

構文

comboBox.SetText(text)
変数 | 説明
text | テキスト フィールドの内容を置換するテキスト。 String。


SetText メソッド (TextField)

クラス

TextField.

処理

テキスト フィールド内のテキストのすべて、または一部を新しいテキストに置換します。

構文

textField.SetText(text)
変数 | 説明
text | 置換するテキスト。 String。


SetToMax メソッド (Scale)

クラス

Scale.

処理

スケールをその最大の位置に設定します。

構文

scale.SetToMax()


SetToMin メソッド (Scale)

クラス

Scale.

処理

スケールをその最小の位置に設定します。

構文

scale.SetToMin()


SetUndecided メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスを未設定の状態に設定します。

構文

checkBox.SetUndecided()


Size メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウのサイズを変更します。

構文

iMoveable.Size(width, height)
変数 | 説明
width | ウィンドウの新しい幅（ピクセル）。 Integer。
height | ウィンドウの新しい高さ（ピクセル）。 Integer。


State プロパティ (CheckBox)

クラス

CheckBox.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


State プロパティ (CheckBoxToolItem)

クラス

CheckBoxToolItem.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


State プロパティ (RadioList)

クラス

RadioList.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


State プロパティ (RadioListToolItem)

クラス

RadioListToolItem.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


State プロパティ (ToggleButton)

クラス

ToggleButton.

処理

[読み書き可能] トグル ボタンの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


TextCapture メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトの表示領域内のテキストを返します。

コンボ ボックス内のテキストをキャプチャする場合、テキスト文字 "6" が追加される場合があります。 これは、コンボ ボックスのドロップ ダウン矢印が Marlett フォントのドロップ ダウン矢印のテキスト記号で、他のフォントでは数字の "6" のコードにあたるためです。

構文

result = testObject.TextCapture([captureRectangle])
変数 | 説明
result | このオブジェクトの表示領域内のテキスト。 String。
captureRectangle | 省略可能: テキストをキャプチャする定義された矩形領域。ウィンドウの座標に相対的な値です。 Rectangle。

例

Dim partialText As String
partialText = testApplication.TextCapture(new Rectangle(1, 1, 200, 30))
Dim fullText As String
fullText = testApplication.TextCapture()


TextClick メソッド (TestObject)

クラス

TestObject.

処理

指定したテキストの中央をクリックします。

構文

testObject.TextClick(text, [occurrence, clickType, modifiers, position, exactMatch])
変数 | 説明
text | クリックするテキスト。 String。
occurrence | 省略可能: 複数の結果が存在する場合、クリックされるテキストの出現番号。 最初の出現番号は 1 です。 Integer。
clickType | 省略可能: 指定するマウスの操作。 デフォルトは左クリックです。 ClickType。
modifiers | 省略可能: クリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。
position | 省略可能: クリックする座標。 座標はテキストの左上隅からの相対値です。 座標が指定されていない場合は、テキストの中央がクリックされます。 Point。
exactMatch | 省略可能: true の場合、テキストは完全に一致する必要があります。それ以外の場合は部分一致が許されます。 Boolean。


TextExists メソッド (TestObject)

クラス

TestObject.

処理

指定したテキストが存在するかどうかを返します。

構文

result = testObject.TextExists(text, [occurrence, searchRectangle, timeout, exactMatch])
変数 | 説明
result | 指定したテキストが存在するかどうか。 Boolean。
text | 検索するテキスト。 String。
occurrence | 省略可能: 複数の結果が存在する場合、存在するかどうか検査されるテキストの出現番号。 最初の出現番号は 1 です。 Integer。
searchRectangle | 省略可能: テキストの検索範囲を指定するオブジェクトに相対的な矩形領域。 Rectangle。
timeout | 省略可能: 検索するテキストの長さを指定します。 タイムアウトが指定されなかった場合は、テキストは一度だけ検索されます。 Integer。
exactMatch | 省略可能: true の場合、テキストは完全に一致する必要があります。それ以外の場合は部分一致が許されます。 Boolean。


Text プロパティ (TestObject)

クラス

TestObject.

処理

[読み取り専用] コントロールのテキスト。

構文

'Declaration
Protected Read Property Text As String

アクセス

読み取り専用。


TextRectangle メソッド (TestObject)

クラス

TestObject.

処理

指定したテキストのオブジェクトに相対的な矩形領域を返します。

構文

result = testObject.TextRectangle(text, [occurrence, searchRectangle, timeout, exactMatch])
変数 | 説明
result | 指定したテキストの矩形領域、または指定したテキストが存在しない場合は空の矩形領域。 Rectangle。
text | 検索するテキスト。 String。
occurrence | 省略可能: 複数の結果が存在する場合、返される矩形領域に対応するテキストの出現番号。 最初の出現番号は 1 です。 Integer。
searchRectangle | 省略可能: テキストの検索範囲を指定するオブジェクトに相対的な矩形領域。 Rectangle。
timeout | 省略可能: 検索するテキストの長さを指定します。 タイムアウトが指定されなかった場合は、テキストは一度だけ検索されます。 Integer。
exactMatch | 省略可能: true の場合、テキストは完全に一致する必要があります。それ以外の場合は部分一致が許されます。 Boolean。


Toggle メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスの状態を切り替えます。 チェック ボックスがチェックされている場合は、チェックを外し、そうでない場合はチェックします。 チェック ボックスが未設定の状態にある場合は、未設定のままになります。

構文

checkBox.Toggle()


TypeKeys メソッド (IKeyable)

クラス

IKeyable.

処理

一連のキーストロークをオブジェクトに送信します。

メモ: 一部のキーストロークはモバイル デバイス上ではサポートされません。 その他のアプリケーションでの有効なキーストロークは次のとおりです。
  • <#0>-<#9> (NumLock がオンの状態でテンキーの数字 0-9)
  • <#Add> (テンキーの '+')
  • <#Clear> (NumLock がオフの状態でテンキーの 5)
  • <#Decimal> (多くのキーボードのテンキーの小数点記号用のキー)
  • <#Delete> (NumLock がオフの状態でテンキーの '.' )
  • <#Divide> (テンキーの '/')
  • <#Down> (NumLock がオフの状態でテンキーの 2)
  • <#End> (NumLock がオフの状態でテンキーの 1)
  • <#Enter> (テンキーの Enter)
  • <#Equal> (テンキーの等号記号)
  • <#Home> (NumLock がオフの状態でテンキーの 7)
  • <#Insert> (NumLock がオフの状態でテンキーの 0)
  • <#Left> (NumLock がオフの状態でテンキーの 4)
  • <#PgDn> (NumLock がオフの状態でテンキーの 3)
  • <#PgUp> (NumLock がオフの状態でテンキーの 9)
  • <#Right> (NumLock がオフの状態でテンキーの 6)
  • <#Separator> (テンキーの Separator キー)
  • <#Space> (テンキーの Space キー)
  • <#Subtract> (テンキーの '-')
  • <#Tab> (テンキーの Tab キー)
  • <#Times> (テンキーの '*')
  • <#Up> (NumLock がオフの状態でテンキーの 8)
  • <Alt> (左側の Alt キー)
  • <Application> (最後のアクティブ コントロールのコンテキスト メニューを開く)
  • <Backspace> (Backspace キー)
  • <Break> (Ctrl-Break)
  • <Cancel> (Break)
  • <CapsLock> (オンとオフを切り替える)
  • <Clear> (Clear キー)
  • <Ctrl> (左側の Ctrl キー)
  • <Delete> (Delete キー)
  • <Down> (下矢印)
  • <End> (End キー)
  • <Enter> (Enter キー)
  • <Esc> (Escape)
  • <Execute> (Execute キー)
  • <F1> - <F12> (F1 から F12 のファンクション キー)
  • <F13> - <F35> (F13 から F35 のファンクション キー)
  • <GreaterThan> ('>' キー。これを使用しないと、エージェントは右山括弧として解釈します)
  • <Help> (Help キー)
  • <Home> (Home キー)
  • <Insert> (Insert キー)
  • <Left> (左矢印)
  • <Left Alt> (Alt キー)
  • <Left Ctrl> (Ctrl キー)
  • <Left Shift> (Shift キー)
  • <LeftWin> (Windows スタート メニュー キー)
  • <LessThan> ('<' キー。(これを使用しないと、エージェントは左山括弧として解釈します)
  • <Menu> (Menu キー)
  • <Mode> (Mode キー)
  • <Pause> (Pause)
  • <PgDn> (PgDn または Page Down)
  • <PgUp> (PgUp または Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo キー)
  • <Right> (右矢印)
  • <Right Alt> (Alt キー)
  • <Right Ctrl> (Ctrl キー)
  • <RightOption> (Option キー)
  • <Right Shift> (Shift キー)
  • <RightWin> (Windows スタート メニュー キー)
  • <ScrollLock> (オンとオフを切り替える)
  • <Shift> (左側の Shift キー)
  • <Space> (スペース キー)
  • <Tab> (Tab)
  • <Undo> (Undo キー)
  • <Up> (上矢印)
例： 'a'、'ab'、'a<Enter>'、'<F4>'、'<Left Shift>'、'<Right Alt>'、'<Left Ctrl>'、'<Delete>'、'<Backspace>'。 メモ： '<' または '>' は '<LessThan>' または '<GreaterThan>' と記述する必要があります。

構文

iKeyable.TypeKeys(keys, [delay, ensureFocus])
変数 | 説明
keys | 入力するキーストローク。 String。
delay | 省略可能: キーストローク間の遅延（ミリ秒）。 Integer。
ensureFocus | 省略可能: コントロールが実際にキーボード フォーカスを持つことを保証するかどうかを決定します。 デフォルトは true です。 Boolean。

例

たとえば、現在選択されているテキストを Ctrl+C を押してクリップボードにコピーするコードは次のようになります。
    window.TypeKeys("<Left Ctrl+C>")


Uncheck メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスのチェックを外します。

構文

checkBox.Uncheck()


Uncheck メソッド (Table)

クラス

Table.

処理

テーブルの定義された行のチェック ボックスのチェックを外します。

構文

table.Uncheck(item)
変数 | 説明
item | チェック ボックスのチェックを外す行。 ItemIdentifier。


Uncheck メソッド (Tree)

クラス

Tree.

処理

チェック ボックスのチェックを外します。

構文

tree.Uncheck(itemPath)
変数 | 説明
itemPath | チェックを外す項目のパス。 ItemPath。


Value プロパティ (TestObject)

クラス

TestObject.

処理

[読み取り専用] コントロールの値（たとえば、テキスト コントロールのテキスト）。

構文

'Declaration
Protected Read Property Value As Object

アクセス

読み取り専用。


VisibleItemPaths プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] ツリー上の可視の項目のリスト（すべての子を含む）。

構文

'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


VisibleItems プロパティ (Tree)

クラス

Tree.

処理

VisibleItems プロパティは推奨されません。 Silk Test 2011 以降では、ツリーのすべての表示可能な項目を取得する場合は、代わりに VisibleItemPaths プロパティを使用してください。

[読み取り専用] ツリー上の可視の項目のリスト（すべての子を含む）。

構文

'Declaration
Protected Read Property VisibleItems As TreeContent

アクセス

読み取り専用。


Visible プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。

構文

'Declaration
Protected ReadWrite Property Visible As Boolean

アクセス

読み書き。


WaitForChildDisappearance メソッド (TestObject)

クラス

TestObject.

処理

'locator' パラメーターで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。

構文

testObject.WaitForChildDisappearance(locator, [timeout])
変数 | 説明
locator | 表示されなくなることを期待するオブジェクトを識別する、このメソッドを呼び出したオブジェクトに相対な XPath ロケーター。 String。
timeout | 省略可能: 関数がタイムアウトするまでの最大待機時間（ミリ秒）。 Integer。


WaitForDisappearance メソッド (TestObject)

クラス

TestObject.

処理

オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。

構文

testObject.WaitForDisappearance([timeout])
変数 | 説明
timeout | 省略可能: 関数がタイムアウトするまでの最大待機時間（ミリ秒）。 Integer。


WaitForObject メソッド (TestObject)

クラス

TestObject.

処理

指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。

構文

testObject.WaitForObject(locator, [timeout])
変数 | 説明
locator | XPath ロケーター。 オブジェクトを見つける場所を定義します。 例： "//PushButton[@caption='ok']" 。 String。
timeout | 省略可能: タイムアウト（ミリ秒）。 最初の検索で何も一致しなかった場合は、エージェントは指定されたタイムアウト値が経過するまでテスト オブジェクトの検索を繰り返します。 Integer。

例

次の例では、ウィンドウをアクティブに設定して、オブジェクトを見つけるために PushButton メソッドで使用されるタイムアウト (デフォルトでは 5 秒) のほかに、30 秒間ボタンを待機し、最後にボタンをクリックします。
window.SetActive()
window.WaitForObject("//PushButton[@automationId='MySampleButton']", 30000)
window.PushButton("@automationId='MySampleButton'").Click()


WaitForProperty メソッド (TestObject)

クラス

TestObject.

処理

'propertyName' パラメーターで指定したプロパティが 'expectedValue' パラメーターで指定した値を返すまで、またはタイムアウトに到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。

構文

testObject.WaitForProperty(propertyName, expectedValue, [timeout])
変数 | 説明
propertyName | 待機するプロパティの名前。 String。
expectedValue | 待機するプロパティの値。 Object。
timeout | 省略可能: 関数がタイムアウトするまでの最大待機時間（ミリ秒）。 Integer。


Width プロパティ (TableColumn)

クラス

TableColumn.

処理

[読み書き可能] 列の幅。

構文

'Declaration
Protected ReadWrite Property Width As Integer

アクセス

読み書き。


WindowState プロパティ (IMoveable)

クラス

IMoveable.

処理

[読み取り専用] ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。

構文

'Declaration
Protected Read Property WindowState As Integer

アクセス

読み取り専用。


AgentDirectory プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているディレクトリを取得します。

構文

Public Read Property AgentDirectory As String

アクセス

読み取り専用。


AgentVersion プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent のバージョンを返します。

構文

Public Read Property AgentVersion As String

アクセス

読み取り専用。


Attributes プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルの属性を取得します。 詳細については、 「File Attribute Constants」を参照してください。

構文

Public Read Property Attributes As Integer

アクセス

読み取り専用。


ClipboardText プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

テキストをクリップボードから取得または設定します。

構文

Public ReadWrite Property ClipboardText As String

アクセス

読み書き。


CompareBinaryFiles メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

2 つのファイルのバイナリ比較を実行します。

構文

bCompare = CompareBinaryFiles (lhs, rhs)
変数 | 説明
bCompare | ファイルの内容が等しい場合は true、 それ以外の場合は false。 Boolean。
lhs | ファイル 1 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
rhs | ファイル 2 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


CompareBitmaps メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

2 つのビットマップを比較します。 ビットマップの色の深度が 24 ビット未満の場合は、 24 ビットの色の深度に変換されます。 マスク ファイルが 指定されている場合は、マスク ファイルの白ピクセル部分だけが 比較対象になります。 一致しないピクセル数が pixelTolerance で指定した値より小さい場合、比較は成功します。 指定したビットマップの サイズが異なる場合は、false が返ります。

構文

bCompare = CompareBitmaps (lhs, rhs [, maskFileName, pixelTolerance])
変数 | 説明
bCompare | ビットマップが等しい場合は true、それ以外の場合は false。 Boolean。
lhs | ファイル 1 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
rhs | ファイル 2 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
maskFileName | 省略可能： マスクファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
pixelTolerance | 省略可能： 許容値。 Integer。


CompareTextFiles メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

2 つのファイルを辞書的に比較します。

構文

bCompare = CompareTextFiles (lhs, rhs)
変数 | 説明
bCompare | ビットマップが等しい場合は true、それ以外の場合は false。 Boolean。
lhs | ファイル 1 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
rhs | ファイル 2 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


CopyFile メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイルをコピーします。

構文

CopyFile (sSrc, sDest)
変数 | 説明
sSrc | sSrc ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
sDest | sDest ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


CreateDirectory メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定した名前の新しいディレクトリを作成します。

構文

createDirectory (sDirectoryPath)
変数 | 説明
sDirectoryPath | 新しいディレクトリへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


CreateRegistryKey メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

レジストリに新しいキーを作成します。 指定した keyPath に存在しない すべてのレジストリ キーを再帰的に作成します。

構文

bSuccess = CreateRegistryKey (rcCategory, sKeypath, sKeyname, sDefaultValue)
変数 | 説明
bSuccess | キーの作成に成功した場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sKeyname | レジストリ キーの名前。 String。
sDefaultValue | レジストリ キーのデフォルト値。 String。


CreateRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

新しい値を作成します。

構文

bSuccess = CreateRegistryValue (rcCategory, sKeypath, sValueName, sValue)
変数 | 説明
bSuccess | 値の作成に成功した場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | 値の名前。 String。
sValue | 新しい値。 String。


CreationDate プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルまたはディレクトリが作成された日時を取得します。

構文

Public Read Property CreationDate As DateTime

アクセス

読み取り専用。


CurrentDrive プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの現在のドライブを 取得または設定します。

構文

Public ReadWrite Property CurrentDrive As String

アクセス

読み書き。


CurrentRegistryView プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

現在のレジストリ ビューを取得または設定します。

構文

Public ReadWrite Property CurrentRegistryView As RegistryView

アクセス

読み書き。


CursorPosition プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているマシンの現在のカーソルの位置を 取得します。

構文

Public Read Property CursorPosition As Point

アクセス

読み取り専用。


CursorType プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているマシンの現在のカーソルの種類を 取得します。

構文

Public Read Property CursorType As String

アクセス

読み取り専用。


DeleteRegistryKey メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

レジストリからキーを削除します。 キーにサブキーを含めることはできません。 含めるとメソッドの実行は失敗します。

構文

bSuccess = DeleteRegistryKey (rcCategory, sKeypath, sKeyname)
変数 | 説明
bSuccess | キーの削除に成功した場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sKeyname | レジストリ キーの名前。 String。


DeleteRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

値を削除します。

構文

bSuccess = DeleteRegistryValue (rcCategory, sKeypath, sValueName)
変数 | 説明
bSuccess | 値の削除に成功した場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | 値。 String。


DirectoryExists メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したディレクトリが存在するかどうかを確認します。

構文

DirectoryExists (sDirectoryPath)
変数 | 説明
sDirectoryPath | ディレクトリへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


Execute メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent のホスト上で指定したコマンドを実行します。

構文

eReturn = Execute (commandLine [, executionMode])
変数 | 説明
eReturn | コマンドの戻り値。 ExecutionResult。
commandLine | 実行するコマンド。 String。
executionMode | 省略可能： ExecutionMode 列挙データ型 で定義された定数を使用して指定するオプション。 指定されない場合、デフォルト値は WAIT_UNTIL_FINISHED。 ExecutionMode。


Exists メソッド (TestObject)

クラス

TestObject。

アクション

オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。

構文

TestObject.Exists()

Visual Basic の例

myObject という名前のオブジェクトを操作したい場合を考えます。 テスト対象アプリケーションでオブジェクトが存在するかどうか を確認するには、次のコードを使用することができます。
myObject.Exists()


ExistsRegistryKey メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

レジストリにキーが存在するかどうかを確認します。

構文

bExists = ExistsRegistryKey (rcCategory, sKeypath, sKeyname)
変数 | 説明
bExists | キーが存在する場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sKeyname | レジストリ キーの名前。 String。


ExistsRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

レジストリに値が存在するかどうかを確認します。

構文

bExists = ExistsRegistryValue (rcCategory, sKeypath, sValueName)
変数 | 説明
bExists | 値が存在する場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | レジストリ値の名前。 String。


FileClose メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent のホスト上で開いたファイルを閉じます。

構文

FileClose (hFile)
変数 | 説明
hFile | 閉じるファイルのハンドル。 FileHandle。


FileExists メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したファイルが存在するかどうかを確認します。

構文

bExists = FileExists (sFilePath)
変数 | 説明
bExists | ファイルが存在するかどうか。 ファイルが存在する 場合は true、存在しない場合は false を返します。 Boolean。
sFilePath | ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


FileOpen メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイルを開きます。 ファイルが存在しない場合は作成します。 エージェントから 切断されたり、テストの実行が完了すると、開いたファイルは閉じられ、 保存されますが、FileClose メソッドを使用して ファイルを閉じることを Micro Focus は推奨しています。

構文

hFile = FileOpen (sFilePath, fmMode [, fsShare, csCharSet])
変数 | 説明
hFile | ファイルのハンドル。 FileHandle。
sFilePath | ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
fmMode | ファイルを開くモード。 FileOpenMode
fsShare | 開いたファイルを他のプロセスがアクセスできるかどうかを定義します。 FileShareMode
csCharSet | 新しいファイルのエンコード。 既存のファイルに対しては、 BOM が指定されていない場合のエンコードを指定します。 CharSet。


FileReadLine メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイルから 1 行読み込みます。 ファイル ポインターがある現在の位置から読み込みます。

構文

sLine = FileReadLine (hFile)
変数 | 説明
sLine | ファイルの 1 行。EOF に到達した場合は null。 String
hFile | ファイルのハンドル。 FileHandle。


FileSetPointer メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

読み書きオペレーション用にファイル内のポインター位置を設定します。

構文

nPosition = FileSetPointer (hFile, nNewValue [, SetMode])
変数 | 説明
nPosition | ファイル ポインターの現在の位置までの文字数。 Integer。
hFile | ファイルのハンドル。 FileHandle。
nNewValue | 新しい位置を指定する値。 SetMode の値に依存します。 Integer。
SetMode | 使用するモード。 FilePointerMode。


FileWriteLine メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイル ポインターがある現在の位置に 1 行書き込みます。

構文

FileWriteLine (hFileHandle, sLine)
変数 | 説明
hFileHandle | FileOpen で返された ファイルハンドル。 FileHandle。
sLine | 書き込む行。 String。


FindAll メソッド (TestObject)

クラス

TestObject。

アクション

XPath ロケーターで指定したすべてのオブジェクトを検索します。 ロケーターに一致する すべてのオブジェクトを返します。 ロケーターに一致するオブジェクトが見つからない場合、エージェントはデフォルトのタイムアウト (オプション Options.ObjectResolveTimeout で指定) を経過するまでオブジェクトを探し続けます。

構文

TestObjectList=FindAll(locator
変数 | 説明
locator | XPath ロケーター。 検索するオブジェクトを定義します。 String。


Find メソッド (TestObject)

クラス

TestObject。

アクション

XPath ロケーターで指定したオブジェクトを検索します。 ロケーターに一致する 最初のオブジェクトを返します。 ロケーターに一致するオブジェクトが見つからない場合、エージェントはデフォルトのタイムアウト (オプション Options.ObjectResolveTimeout で指定) を経過するまでオブジェクトを探し続けます。 オブジェクトが見つからない場合は、 ObjectNotFoundException がスローされます。 オプション ダイアログ ボックスの 全般 ページにある Options.ObjectResolveTimeout オプションで設定できます。 このオプションは、UI では デフォルトの待機タイムアウト (ミリ秒) になります。 デフォルトのタイムアウト値は 5 秒です。

Find メソッドの代わりに PushButton メソッドや Window メソッドを使用できます。 たとえば、以下のように入力できます。
myWindow.Find(Of PushButton)("//PushButton[@caption='ok']").Select()
または
myWindow.PushButton("@caption='ok'").Select()

構文

TestObject.Find(locator, [options])
変数 | 説明
locator | XPath ロケーター。 検索するオブジェクトを定義します。 String。
options | 省略可能: 検索操作に対するオプションを指定します。 デフォルト タイムアウトを上書きしたり、オブジェクトが見つからない場合に例外をスローする代わりに null を返す ように指定したりするためにしようできます。


FreeMemory プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの 空きメモリーの割合を取得します。

構文

Public Read Property FreeMemory As Integer

アクセス

読み取り専用。


GetBitmapCRC メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ビットマップ ファイルの CRC 値を返します。 maskName パラメータが指定されている場合は（null 以外）、 マスクしたピクセルが CRC の計算に使用されます。 マスクは、ビットマップと同じサイズの白黒のビットマップで なければなりません。 CRC の計算の際には、黒ピクセルはビットマップの同じ位置にある ピクセルを隠されます。

構文

lValue = GetBitmapCRC (sFileName, sMaskName)
変数 | 説明
lValue | CRC32 値。 Long。
sFileName | ビットマップ ファイルへのパス。 絶対パス、または、 現在の作業ディレクトリからの相対パスを指定できます。
sMaskName | マスク ファイルへのパス。 絶対パス、または、 現在の作業ディレクトリからの相対パスを指定できます。


GetDirectoryContents メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ディレクトリの内容を取得します。

構文

ilFileInfo = GetDirectoryContents (sName [, fsuFileSizeUnit])
変数 | 説明
ilFileInfo | ディレクトリの内容を FileInfo オブジェクトのリストで返します。 ディレクトリが存在しない場合は null。 IList<FileInfo>。
sName | ディレクトリへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
fsuFileSizeUnit | 省略可能： ファイル サイズを測定する単位。 デフォルトは FileSizeUnit.Byte。 FileSizeUnit。


GetEnvironmentVariable メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定した環境変数の値を取得します。

構文

sValue = GetEnvironmentVariable (sName)
変数 | 説明
sValue | 指定した環境変数の値。 String。
sName | 環境変数の名前。 String。


GetExitCode メソッド (ExecutionResult)

クラス

ExecutionResult。

アクション

Execute の 呼び出し結果を返します。 エラーが発生していない 場合は 0。

構文

iExitCode = GetExitCode ()
変数 | 説明
iExitCode | Execute の 呼び出し結果。 エラーが発生していない 場合は 0。 Integer。


GetFileInfo メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したファイルについての情報を取得します。 ファイルが 存在しない場合は null を返します。

構文

fiFileInfo = GetFileInfo (sName [, fsuFileSizeUnit])
変数 | 説明
fiFileInfo | ファイルについての情報。 ファイルが 存在しない場合は null。 FileInfo。
sName | ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
fsuFileSizeUnit | 省略可能： ファイル サイズを測定する単位。 デフォルトは FileSizeUnit.Byte。 FileSizeUnit。


GetFreeDiskSpace メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したドライブで利用可能な空き容量を返します。

構文

dFreeDiskSpace = GetFreeDiskSpace (sDrive [, fsuFileSizeUnit])
変数 | 説明
dFreeDiskSpace | 指定したドライブで利用可能な空き容量。 Double。
sDrive | ドライブ。 String。
fsuFileSizeUnit | 省略可能： ファイル サイズを測定する単位。 デフォルトはバイトです。 FileSizeUnit。


GetHandle メソッド (FileHandle)

クラス

FileHandle。

アクション

ハンドルの内部値を返します。

構文

nHandle = GetHandle ()
変数 | 説明
nHandle | ハンドルの内部値。 Integer。


GetName メソッド (FileHandle)

クラス

FileHandle。

アクション

ハンドルに対応するファイルまたはディレクトリ の名前を返します。

構文

sName = GetName ()
変数 | 説明
sName | ハンドルに対応するファイルまたは ディレクトリの名前。 String。


GetOutput メソッド (ExecutionResult)

クラス

ExecutionResult。

アクション

stdout と stderr の両方の内容を文字列で返します。

構文

sOutput = GetOutput ()
変数 | 説明
sOutput | stdout と stderr の両方の内容。 String。


GetProperty メソッド (TestObject)

クラス

TestObject。

アクション

指定したプロパティの値を返します。

構文

GetProperty(propertyName)
変数 | 説明
propertyName | プロパティの名前。 String。


GetRawOutput メソッド (ExecutionResult)

クラス

ExecutionResult。

アクション

stdout と stderr の両方の内容を返します。

構文

lsRawOutput = GetRawOutput ()
変数 | 説明
lsRawOutput | stdout と stderr の両方の内容。 LIST OF STRING。


GetRegistryKeyNames メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したキー以下のすべてのレジストリ キーの名前を返します。

構文

lsKeyNames = GetRegistryKeyNames (rcCategory, sKeyPath)
変数 | 説明
lsKeyNames | 指定したキー以下のすべてのレジストリ キーの名前。 IList<String>。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。


GetRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したレジストリ キーの値を返します。

構文

oKeyValue = GetRegistryValue (rcCategory, sKeyPath, sValueName, bConvertToInt)
変数 | 説明
oKeyValue | 指定したキーの値。 キーが 存在しない場合は null。 Object。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | 値の名前。 String。
bConvertToInt | 値を整数に変換するかどうかを指定します。 Boolean。


GetRegistryValueNames メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したキー以下のすべてのレジストリ キーの値を返します。

構文

lsKeyValues = GetRegistryValueNames (rcCategory, sKeyPath)
変数 | 説明
lsKeyValues | 指定したキー以下のすべてのレジストリ キーの値。 IList<String>。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。


HostName プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているマシンのホスト名を 取得します。

構文

Public Read Property HostName As String

アクセス

読み取り専用。


ImageClickFile メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージをクリックします。

構文

testObject.ImageClickFile(imageFile, [position, occurrence, clickType, modifiers, timeout])
変数 | 説明
imageFile 以下の種類のイメージ ファイルへの絶対パス。
  • .bmp
  • .png
STRING。
position | 省略可能: クリックする座標。 座標はイメージの左上隅からの相対値です。 イメージの中央をクリックするには、 ClickPosition.Center を使用します。 デフォルト値は、 イメージの中央です。 Point。
occurrence | 省略可能: イメージが複数出現する場合に、クリックするイメージの 出現番号。 最初の出現番号は、1 です。 デフォルト値は、1 です。 Integer。
clickType | 省略可能: マウス操作。 デフォルト値は、 左クリックです。 ClickType。
modifiers | 省略可能: 修飾キー。 Alt、 Shift、 Ctrl をクリック時に押す場合に 指定します。 デフォルトでは、修飾キーは使用されません。 ModifierKeys。
timeout | 省略可能: イメージが表示されるまでの最大待機時間 (ミリ秒)。 timeout が指定されていない場合、 ImageClick メソッドは、 オブジェクト解決タイムアウト を経過するまでイメージを待機します。 Integer。

使用例

myImage.png という名前のイメージがディレクトリ C:\temp にあると仮定します。

  • テスト対象アプリケーションでイメージを検索し、 見つかったイメージの中央をクリックするには、 次のコードを使用できます。
    control.ImageClickFile("C:\temp\myImage.png")
  • イメージの中央の代わりに、イメージ内の特定の 場所をクリックするには、次のコードを使用できます。
    control.ImageClickFile("C:\temp\myImage.png", New Point(10, 20))
  • テスト対象アプリケーションの出現番号 2 番のイメージの中央を 右クリックするには、次のコードを使用できます。
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 2, ClickType.Right)
  • イメージが表示されるのを 2 秒待機し、見つかったイメージの中央をクリックするには、 次のコードを使用できます。
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000)


ImageClick メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージ資産をクリックします。 イメージが見つかるまで、 指定した timeout が経過、または、 同期オプションで定義した オブジェクト解決タイムアウト が経過するまで 待機します。

構文

TestObject.ImageClick(imageAsset,[position, occurrence, clickType, modifiers, timeout])
変数 | 説明
imageAsset | クリックするイメージ資産の名前。 String。
position | 省略可能: クリックする座標。 座標はイメージの左上隅からの相対値です。 イメージの中央をクリックするには、 ClickPosition.Center を使用します。 デフォルト値は、 イメージの中央です。 Point。
occurrence | 省略可能: イメージが複数出現する場合に、クリックするイメージの 出現番号。 最初の出現番号は、1 です。 デフォルト値は、1 です。 Integer。
clickType | 省略可能: マウス操作。 デフォルト値は、 左クリックです。 ClickType。
modifiers | 省略可能: 修飾キー。 Alt、 Shift、 Ctrl をクリック時に押す場合に 指定します。 デフォルトでは、修飾キーは使用されません。 ModifierKeys。
timeout | 省略可能: イメージが表示されるまでの最大待機時間 (ミリ秒)。 timeout が指定されていない場合、 ImageClick メソッドは、 オブジェクト解決タイムアウト を経過するまでイメージを待機します。 Integer。

使用例

myImage という名前のイメージ資産を作成してあると仮定します。 イメージ資産のイメージは、操作したい UI オブジェクトを表します。

  • テスト対象アプリケーションでイメージを検索し、 見つかったイメージの中央をクリックするには、 次のコードを使用できます。
     control.ImageClick("myImage")
  • イメージの中央の代わりに、イメージ内の特定の 場所をクリックするには、次のコードを使用できます。
     control.ImageClick("myImage", New Point(10, 20))
  • テスト対象アプリケーションの出現番号 2 番のイメージの中央を 右クリックするには、次のコードを使用できます。
    control.ImageClick("myImage", ClickPosition.Center, 2, ClickType.Right)
  • イメージが表示されるのを 2 秒待機し、見つかったイメージの中央をクリックするには、 次のコードを使用できます。
     control.ImageClick("myImage", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000)


ImageExistsFile メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージが存在するかどうかを返します。

構文

return = TestObject.ImageExistsFile(imageFile, [occurrence, searchRectangle])
変数 | 説明
return | イメージが存在する場合は True、そうでない場合は False。 Boolean。
imageFile
  • 次の種類の いずれか 1 つのファイルへのパス。
    • .imageasset
    • .bmp
    • .png
String。
occurrence | 省略可能: イメージが複数出現する場合に、存在を確認するイメージの 出現番号。 最初の出現番号は、 1 です。 デフォルト値は、1 です。 Integer。
searchRectangle | 省略可能: イメージを検索するオブジェクトに相対的な矩形領域。 Rect。

の例

myImage という名前の PNG イメージが c:/temp フォルダにあると仮定します。 テスト対象アプリケーションでイメージが存在するかどうか を確認するには、次のコードを使用することができます。

bImageExists = control.ImageExistsFile("c://temp/myImage.png")


ImageExists メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージが存在するかどうかを返します。

構文

TestObject.ImageExists(imageAsset, [occurrence, searchRectangle])
変数 | 説明
imageAsset | クリックするイメージの名前。 String。
occurrence | 省略可能: イメージが複数出現する場合に、クリックするイメージの 出現番号。 最初の出現番号は、1 です。 デフォルト値は、1 です。 Integer。
searchRectangle | 省略可能: イメージを検索するオブジェクトに相対的な矩形領域。 Rect。

の例

myImage という名前のイメージ資産を作成してあると仮定します。 イメージ資産のイメージは、操作したい UI オブジェクトを表します。 テスト対象アプリケーションでイメージが存在するかどうか を確認するには、次のコードを使用することができます。
 control.ImageExists("myImage")


ImageRectangleFile メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージのオブジェクトに相対的な矩形領域を返します。

構文

returnRectangle = TestObject.ImageRectangleFile(imageFilePath, [occurrence, searchRectangle])
変数 | 説明
returnRectangle | 指定したイメージの矩形領域、またはイメージが見つからない場合は空の矩形領域。 Rect。
imageFile
  • 次の種類の いずれか 1 つのファイルへのパス。
    • .imageasset
    • .bmp
    • .png
String。
occurrence | 省略可能: イメージが複数出現する場合に、 矩形領域を返すイメージの出現番号。 最初の出現番号は、 1 です。 デフォルト値は、1 です。 Integer。
searchRectangle | 省略可能: イメージを検索するオブジェクトに相対的な矩形領域。 Rect。

の例

myImage という名前の PNG イメージが c:/temp フォルダにあると仮定します。 イメージのオブジェクトに相対的な矩形領域 を得るには、次のコードを使用することができます。

imageRectangle = control.ImageRectangleFile("c://temp/myImage.png")


ImageRectangle メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージのオブジェクトに相対的な矩形領域を返します。

構文

returnRectangle = TestObject.ImageRectangleFile(imageAsset, [occurrence, searchRectangle])
変数 | 説明
returnRectangle | 指定したイメージの矩形領域、またはイメージが見つからない場合は空の矩形領域。 Rect。
imageAsset | クリックするイメージの名前。String。
occurrence | 省略可能: イメージが複数出現する場合に、 矩形領域を返すイメージの出現番号。 最初の出現番号は、 1 です。 デフォルト値は、1 です。 Integer。
searchRectangle | 省略可能: イメージを検索するオブジェクトに相対的な矩形領域。 Rect。

の例

myImage という名前の PNG イメージが c:/temp フォルダにあると仮定します。 イメージのオブジェクトに相対的な矩形領域 を得るには、次のコードを使用することができます。

imageRectangle = control.ImageRectangleFile("myImage.png")


Invoke メソッド (TestObject)

クラス

TestObject。

アクション

テスト オブジェクトのメソッドを動的に呼び出します。 戻り値型が void の メソッドに対しては、null を返します。

Invoke は、MSDN がテスト オブジェクトに対して定義するすべてのパブリック メソッドを動的に呼び出すことができます。 Windows Forms アプリケーションまたは WPF アプリケーションのテスト オブジェクトの場合は、さらに、 Invoke は MSDN が定義するすべてのパブリックな静的メソッドと任意の型のすべてのユーザー定義のパブリックな静的メソッドを呼び出すことができます。

構文

TestObject.Invoke(methodName, [parameters])
変数 | 説明
methodName | Select などの メソッド名。 String。
parameters | メソッド パラメータ。 関数がパラメータを取らない場合は、空のリストを渡します。

例1

型 DataGrid のオブジェクトの場合、MSDN が型 System.Windows.Forms.DataGrid に対して定義するすべてのメソッドを呼び出すことができます。

例2

静的な .NET メソッド String.Compare(String s1, String s2) をテスト対象アプリケーションから呼び出すには、次のコードを使用します。
//VB .NET code
Dim result as Integer = mainWindow.Invoke("System.String.Compare", "a", "b")

オブジェクト mainWindow は、メソッドが呼び出されるアプリケーション内部のみを識別し、 アプリケーションの他のオブジェクトで置き換えることができます。


IsDirectory プロパティ (FileInfo)

クラス

FileInfo。

アクション

インスタンスがディレクトリについての情報を保持しているかどうかを取得します。

構文

Public Read Property IsDirectory As Boolean

アクセス

読み取り専用。


Locale プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているマシンのロケールを 取得します（en-US など）。

構文

Public Read Property Locale As String

アクセス

読み取り専用。


ModificationTime プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルまたはディレクトリが最後に変更された 日時を取得します。

構文

Public Read Property ModificationTime As DateTime

アクセス

読み取り専用。


MoveFile メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイルを移動します。

構文

MoveFile (sSrc, sDest)
変数 | 説明
sSrc | sSrc ファイルへのパス。 絶対パス、または、 現在の作業ディレクトリからの相対パスを指定できます。 String。
sDest | sDest ファイルへのパス。 絶対パス、または、 現在の作業ディレクトリからの相対パスを指定できます。 String。


Name プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルの名前を取得します。

構文

Public Read Property Name As String

アクセス

読み取り専用。


OSName プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの OS の名前を 取得します。

構文

Public Read Property OSName As String

アクセス

読み取り専用。


OSVersion プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの OS のメジャー バージョンと マイナー バージョンを取得します。

構文

Public Read Property OSVersion As String

アクセス

読み取り専用。


OSVersionType プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの OS のバージョンの種類 （サーバーまたはクライアント）を取得します。

構文

Public Read Property OSVersionType As String

アクセス

読み取り専用。


RemoveDirectory メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したディレクトリを削除します。 ディレクトリは空でなければなりません。

構文

RemoveDirectory (sDirectoryName)
変数 | 説明
sDirectoryName | ディレクトリへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


RemoveFile メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したファイルを削除します。

構文

RemoveFile (sFileName)
変数 | 説明
sFileName | ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


SetEnvironmentVariable メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定した環境変数の値を設定します。

構文

SetEnvironmentVariable (sName, sValue)
変数 | 説明
sName | 環境変数の名前。 String。
sValue | 指定した環境変数の値。 String。


SetProperty メソッド (TestObject)

クラス

TestObject。

アクション

指定したプロパティの値を設定します。

構文

SetProperty(propertyName, value)
変数 | 説明
propertyName | プロパティの名前。 String。
value | プロパティの新しい値。 Object。


SetRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したレジストリ キーの値を設定します。

構文

bSuccess = SetRegistryValue (rcCategory, sKeyPath, sValueName, sNewValue)
変数 | 説明
bSuccess | レジストリ キーに設定できた場合は true、 できなかった場合は false を返します。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | 値の名前。 String。
sNewValue | 新しい値。 String。


Size プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルのサイズを取得します。 ディレクトリの場合は、0.0 を返します。 ファイル サイズの単位は、 GetFileInfo および GetDirectoryContents メソッド の使用時に決定されます。

構文

Public Read Property Size As Double

アクセス

読み取り専用。


ToString メソッド (ExecutionResult)

クラス

ExecutionResult。

アクション

終了コードを文字列で返します。

構文

sExitCode = ToString ()
変数 | 説明
sExitCode | 終了コード。 String。


Verify メソッド (TestObject)

クラス

TestObject。

アクション

この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 検証が成功したかどうかを返します。

構文

result = TestObject.Verify(testObject, verificationAsset)
変数 | 説明
結果 | 検証が成功したかどうか。 Boolean。
testObject | 検証するオブジェクトを定義します。 TestObject。
verificationAsset | 検証を実行する資産の名前。 String。


A プロパティ

クラス

Color。

アクション

色のアルファ RGB チャンネルの値を取得します。

構文

Public Readonly Property A As Integer

アクセス

読み取り専用。

例

シアンのアルファ RGB チャンネルの値を取得するには、次のように入力します。
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim alphaValue As Integer
  alphaValue = myColor.A()
End Sub


BLACK フィールド

クラス

Color。

アクション

#FF000000 の ARGB 値を持つ色を取得します。

構文

Public Shared ReadOnly BLACK As Color

アクセス

読み取り専用。


BLUE フィールド

クラス

Color。

アクション

#FF0000FF の ARGB 値を持つ色を取得します。

構文

Public Shared ReadOnly BLUE As Color

アクセス

読み取り専用。


B プロパティ

クラス

Color。

アクション

色のブルー RGB チャンネルの値を取得します。

構文

Public Readonly Property B As Integer

アクセス

読み取り専用。

例

シアンのブルー RGB チャンネルの値を取得するには、次のように入力します。
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim blueValue As Integer
  blueValue = myColor.B()
End Sub


Center プロパティ

クラス

Rectangle。

アクション

Rectangle の中央を取得します。

構文

Public Readonly Property Center As Point

アクセス

読み取り専用。


Children プロパティ

クラス

TreeNode。

アクション

TreeNode の子ノードを取得します。

構文

Public ReadOnly Property RootNodes As IList<TreeNode>

アクセス

読み取り専用。


Column プロパティ

クラス

TextPosition。

アクション

列を取得します。

構文

Public Readonly Property Column As Integer

アクセス

読み取り専用。


Contains(Point) メソッド

クラス

Rectangle。

アクション

現在の Rectangle が、指定した Point を含む場合は true を返します。 それ以外の場合は、false を返します。

構文

Public Function Contains (point As Point) As Boolean


Contains(Rectangle) メソッド

クラス

Rectangle。

アクション

現在の Rectangle が、指定した Rectangle を含む場合は true を返します。 それ以外の場合は、false を返します。

構文

Public Function Contains (rect As Rectangle) As Boolean


Contains(X,Y) メソッド

クラス

Rectangle。

アクション

現在の Rectangle が、指定した座標を含む場合は true を返します。 それ以外の場合は、false を返します。

構文

Public Function Contains (x As Integer, y As Integer) As Boolean


CYAN フィールド

クラス

Color。

アクション

#FF00FFFF の ARGB 値を持つ色を取得します。

構文

Public Shared ReadOnly CYAN As Color

アクセス

読み取り専用。


EndColumn プロパティ

クラス

TextRange。

アクション

範囲の最後の列を取得します。

構文

Public Readonly Property EndColumn As Integer

アクセス

読み取り専用。


EndLine プロパティ

クラス

TextRange。

アクション

範囲の最後の行を取得します。

構文

Public Readonly Property EndLine As Integer

アクセス

読み取り専用。


G プロパティ

クラス

Color。

アクション

色のグリーン RGB チャンネルの値を取得します。

構文

Public Readonly Property G As Integer

アクセス

読み取り専用。

例

シアンのグリーン RGB チャンネルの値を取得するには、次のように入力します。
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim greenValue As Integer
  greenValue = myColor.G()
End Sub


Green フィールド

クラス

Color。

アクション

#FF00FF00 の ARGB 値を持つ色を取得します。

構文

Public Shared ReadOnly GREEN As Color

アクセス

読み取り専用。


Height プロパティ

クラス

Rectangle。

アクション

Rectangle の高さを取得します。

構文

Public Readonly Property Height As Integer

アクセス

読み取り専用。


IsEmpty プロパティ

クラス

Rectangle。

アクション

矩形が空かどうかを判定します。

構文

Public Readonly Property IsEmpty As Boolean

アクセス

読み取り専用。


Line プロパティ

クラス

TextPosition。

アクション

行を取得します。

構文

Public Readonly Property Line As Integer

アクセス

読み取り専用。


MAGENTA フィールド

クラス

Color。

アクション

#FFFF00FF の ARGB 値を持つ色を取得します。

構文

Public Shared ReadOnly MAGENTA As Color

アクセス

読み取り専用。


Maximumプロパティ

クラス

Range。

アクション

Range の最大値を取得します。

構文

Public Readonly Property Maximum As Integer

アクセス

読み取り専用。


Minimumプロパティ

クラス

Range。

アクション

Range の最小値を取得します。

構文

Public Readonly Property Minimum As Integer

アクセス

読み取り専用。


RED フィールド

クラス

Color。

アクション

#FFFF0000 の ARGB 値を持つ色を取得します。

構文

Public Shared ReadOnly RED As Color

アクセス

読み取り専用。


RootNodes プロパティ

クラス

TreeContent。

アクション

対応するツリーのルート子ノードを取得します。

構文

Public ReadOnly Property RootNodes As IList<TreeNode>

アクセス

読み取り専用。


R プロパティ

クラス

Color。

アクション

色のレッド RGB チャンネルの値を取得します。

構文

Public Readonly Property R As Integer

アクセス

読み取り専用。

例

シアンのレッド RGB チャンネルの値を取得するには、次のように入力します。
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim redValue As Integer
  redValue = myColor.R()
End Sub


StartColumn プロパティ

クラス

TextRange。

アクション

範囲の最初の列を取得します。

構文

Public Readonly Property StartColumn As Integer

アクセス

読み取り専用。


StartLine プロパティ

クラス

TextRange。

アクション

範囲の最初の行を取得します。

構文

Public Readonly Property StartLine As Integer

アクセス

読み取り専用。


Text プロパティ (TreeNode)

クラス

TreeNode。

アクション

TreeNode のテキストを取得します。

構文

Public ReadOnly Property Text As String

アクセス

読み取り専用。


WHITE フィールド

クラス

Color。

アクション

#FFFFFFFF の ARGB 値を持つ色を取得します。

構文

Public Shared ReadOnly WHITE As Color

アクセス

読み取り専用。


Width プロパティ

クラス

Rectangle。

アクション

Rectangle の幅を取得します。

構文

Public Readonly Property Width As Integer

アクセス

読み取り専用。


Xプロパティ

クラス

Point および Rectangle。

アクション

X 座標を取得します。

構文

Public Readonly Property X As Integer

アクセス

読み取り専用。


YELLOW フィールド

クラス

Color。

アクション

#FFFFFF00 の ARGB 値を持つ色を取得します。

構文

Public Shared ReadOnly YELLOW As Color

アクセス

読み取り専用。


Yプロパティ

クラス

Point および Rectangle。

アクション

Y 座標を取得します。

構文

Public Readonly Property Y As Integer

アクセス

読み取り専用。


AllowDeselection プロパティ (SparkButtonBarButton)

クラス

SparkButtonBarButton.

処理

[読み取り専用] 現在選択したボタンをユーザーがクリックすると選択解除されるかどうかを示す値。

構文

'Declaration
Protected Read Property allowDeselection As Boolean

アクセス

読み取り専用。


AllowDisjointSelection プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで非連続した選択が許可されているかどうか。

true の場合、DateChooser コントロールで非連続した選択を許可します。 このプロパティは、allowMultipleSelection プロパティが true の場合にのみ有効です。 このプロパティを設定すると、DateChooser コントロールの表示が変わります。

デフォルト値は true です。

構文

'Declaration
Protected Read Property allowDisjointSelection As Boolean

アクセス

読み取り専用。


AllowDragSelection プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ドラッグによる選択が有効かどうか。 通常の選択では、選択する項目上にマウスを移動させてもマウス ボタンを押すことはできませんが、ドラッグによる選択では、項目にドラッグすることによって、その項目を選択できます。

この機能は、ComboBox のドロップダウンで使用され、マウスをドロップダウン ボタン上に移動し、マウスをドロップダウンにドラッグして項目を選択するときのマウス ボタンの押下をサポートします。

デフォルト値は false です。

構文

'Declaration
Protected Read Property allowDragSelection As Boolean

アクセス

読み取り専用。


AllowMultipleSelection プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで複数選択が許可されているかどうか。

true の場合、DateChooser コントロールで複数選択を許可します。

デフォルト値は false です。

構文

'Declaration
Protected Read Property allowMultipleSelection As Boolean

アクセス

読み取り専用。


AllowMultipleSelection プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 1 つ以上の項目を同時に選択することが許可されているかどうか。

true の場合、ユーザーは複数項目を選択できます。 非連続項目を許可しないオプションはありません。 標準的な複合選択オプションは常に有効です（Shift クリックや Ctrl クリック）。

デフォルト値は false です。

構文

'Declaration
Protected Read Property allowMultipleSelection As Boolean

アクセス

読み取り専用。


AllowMultipleSelection プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] 複数選択が可能かどうか。

構文

'Declaration
Protected Read Property allowMultipleSelection As Boolean

アクセス

読み取り専用。


AllowValueWrap プロパティ (SparkSpinner)

クラス

SparkSpinner.

処理

[読み取り専用] 現在の値が最大または最小値のいずれかの場合のステップに対するコントロールの動作。

構文

'Declaration
Protected Read Property allowValueWrap As Boolean

アクセス

読み取り専用。


Alpha プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 指定したオブジェクトのアルファ透過値。

有効な値は 0（完全透過）から 1（完全不透過）です。 デフォルト値は 1 です。 アルファ値が 0 に設定されているオブジェクトは、非表示に設定されていたとしても表示されます。

構文

'Declaration
Protected Read Property alpha As Double

アクセス

読み取り専用。


AlternatingItemColors プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] ドロップダウン リストの背景色の代替パターン配列。

値は 2 つ以上の色の配列になります。 定義されていない場合、ドロップダウン リストの背景色スタイルが行に使用されます。 デフォルト値は未定義です。

構文

'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

アクセス

読み取り専用。


AlternatingItemColors プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] リストの項目の背景に使用する色。

値は 2 つ以上の色の配列になります。 リストの項目の背景を配列内の色で置き換えます。 backgroundColor プロパティが指定されていない場合にのみ使用されます。 デフォルト値は未定義です。

構文

'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

アクセス

読み取り専用。


AlternatingItemColors プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] メニューまたはサブメニューのメニュー項目に使用する背景色の代替パターン配列。

値は 2 つ以上の色の配列になります。 このスタイルは、backgroundColor が指定されていない場合にのみ使用されます。 デフォルト値は undefined です。

構文

'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

アクセス

読み取り専用。


AlwaysInFront プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。

構文

'Declaration
Protected Read Property alwaysInFront As Boolean

アクセス

読み取り専用。


AlwaysInFront プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。

構文

'Declaration
Protected Read Property alwaysInFront As Boolean

アクセス

読み取り専用。


AlwaysInFront プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。

構文

'Declaration
Protected Read Property alwaysInFront As Boolean

アクセス

読み取り専用。


AlwaysInFront プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。

構文

'Declaration
Protected Read Property alwaysInFront As Boolean

アクセス

読み取り専用。


ApplicationID プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] AIR がアプリケーションを識別するために使用する識別子。

構文

'Declaration
Protected Read Property applicationID As String

アクセス

読み取り専用。


ApplicationID プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] AIR がアプリケーションを識別するために使用する識別子。

構文

'Declaration
Protected Read Property applicationID As String

アクセス

読み取り専用。


AutoDisplayFirstFrame プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] source が設定されている場合、ビデオをロードするかどうかを指定します。

構文

'Declaration
Protected Read Property autoDisplayFirstFrame As Boolean

アクセス

読み取り専用。


AutoExit プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 最後のウィンドウを閉じたときに AIR アプリケーションが終了するか、バックグランドで実行を続けるかどうかを示す値。

構文

'Declaration
Protected Read Property autoExit As Boolean

アクセス

読み取り専用。


AutoExit プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 最後のウィンドウを閉じたときに AIR アプリケーションが終了するか、バックグランドで実行を続けるかどうかを示す値。

構文

'Declaration
Protected Read Property autoExit As Boolean

アクセス

読み取り専用。


AutoLayout プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。

構文

'Declaration
Protected Read Property autoLayout As Boolean

アクセス

読み取り専用。


AutoLayout プロパティ (SparkSkinnableContainer)

クラス

SparkSkinnableContainer.

処理

[読み取り専用] 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。

構文

'Declaration
Protected Read Property autoLayout As Boolean

アクセス

読み取り専用。


AutoLayout プロパティ (SparkSkinnableDataContainer)

クラス

SparkSkinnableDataContainer.

処理

[読み取り専用] 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。

構文

'Declaration
Protected Read Property autoLayout As Boolean

アクセス

読み取り専用。


AutomationClassName プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] 要素に対するオートメーション クラス名を含んだ文字列。

構文

'Declaration
Protected Read Property automationClassName As String

アクセス

読み取り専用。


AutomationClassName プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 要素に対するオートメーション クラス名を含んだ文字列。

構文

'Declaration
Protected Read Property automationClassName As String

アクセス

読み取り専用。


AutomationClassName プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 要素に対するオートメーション クラス名を含んだ文字列。

構文

'Declaration
Protected Read Property automationClassName As String

アクセス

読み取り専用。


AutomationClassName プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] 要素に対するオートメーション クラス名を含んだ文字列。

構文

'Declaration
Protected Read Property automationClassName As String

アクセス

読み取り専用。


AutomationIndex プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] 要素に対するオートメーション インデックスを含んだ文字列。

構文

'Declaration
Protected Read Property automationIndex As String

アクセス

読み取り専用。


AutomationIndex プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 要素に対するオートメーション インデックスを含んだ文字列。

構文

'Declaration
Protected Read Property automationIndex As String

アクセス

読み取り専用。


AutomationIndex プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 要素に対するオートメーション インデックスを含んだ文字列。

構文

'Declaration
Protected Read Property automationIndex As String

アクセス

読み取り専用。


AutomationIndex プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] 要素に対するオートメーション インデックスを含んだ文字列。

構文

'Declaration
Protected Read Property automationIndex As String

アクセス

読み取り専用。


AutomationName プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] このオブジェクトの識別子として使用することのできる名前。

構文

'Declaration
Protected Read Property automationName As String

アクセス

読み取り専用。


AutomationName プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] このオブジェクトの識別子として使用することのできる名前。

構文

'Declaration
Protected Read Property automationName As String

アクセス

読み取り専用。


AutomationName プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] このオブジェクトの識別子として使用することのできる名前。

構文

'Declaration
Protected Read Property automationName As String

アクセス

読み取り専用。


AutomationName プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] このオブジェクトの識別子として使用することのできる名前。

構文

'Declaration
Protected Read Property automationName As String

アクセス

読み取り専用。


AutomationValue プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] オブジェクトのレンダリング表示に対応する値。また、アプリケーションでの視覚表示と同じにするために、識別子とオブジェクトを関連付けるのに使用できます。

構文

'Declaration
Protected Read Property automationValue As String

アクセス

読み取り専用。


AutomationValue プロパティ (SparkDataGridLabel)

クラス

SparkDataGridLabel.

処理

[読み取り専用] この項目を一意に識別するのに使用できる値。

構文

'Declaration
Protected Read Property automationValue As String

アクセス

読み取り専用。


AutomationValue プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] この項目を一意に識別するのに使用できる値。

構文

'Declaration
Protected Read Property automationValue As String

アクセス

読み取り専用。


AutoPlay プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] source プロパティが設定されている場合に、ビデオの再生をすぐに開始するかどうかを指定します。

構文

'Declaration
Protected Read Property autoPlay As Boolean

アクセス

読み取り専用。


AutoRepeat プロパティ (SparkButtonBase)

クラス

SparkButtonBase.

処理

[読み取り専用] ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。

構文

'Declaration
Protected Read Property autoRepeat As Boolean

アクセス

読み取り専用。


AutoRewind プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] 再生が停止したときに、FLV ファイルを最初のフレームまで巻き戻すかどうかを指定します。

構文

'Declaration
Protected Read Property autoRewind As Boolean

アクセス

読み取り専用。


BackgroundAlpha プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。

有効な値は 0.0 から 1.0 の範囲です。

ほとんどのコントロールのデフォルト値は 1.0 ですが、ToolTip コントロールのデフォルト値は 0.95、Alert コントロールのデフォルト値は 0.9 です。 デフォルト値は 1.0 です。

構文

'Declaration
Protected Read Property backgroundAlpha As Double

アクセス

読み取り専用。


BackgroundAlpha プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。

ほとんどのコントロールのデフォルト値は 1.0 ですが、ToolTip コントロールのデフォルト値は 0.95、Alert コントロールのデフォルト値は 0.9 です。 デフォルト値は 1.0 です。

構文

'Declaration
Protected Read Property backgroundAlpha As Double

アクセス

読み取り専用。


BackgroundColor プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンポーネントの背景色。

backgroundColor と backgroundImage の両方を設定できます。 背景を持たないコンポーネントもあります。 DataGrid コントロールはこのスタイルを無視します。 デフォルト値は未定義で、設定されていないことを意味します。 このスタイルと backgroundImage スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

アプリケーション コンテナーでは、このスタイルはアプリケーション読み込み中の背景色、および実行中の背景グラデーションを指定します。 Flex は指定した色に対して段階的に暗くなる色と、明るくなる色のグラデーション パターンを計算します。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景色はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

'Declaration
Protected Read Property backgroundColor As Color

アクセス

読み取り専用。


BackgroundColor プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントの背景色。

backgroundColor と backgroundImage の両方を設定できます。 背景を持たないコンポーネントもあります。 DataGrid コントロールはこのスタイルを無視します。 デフォルト値は未定義で、設定されていないことを意味します。 このスタイルと backgroundImage スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

アプリケーション コンテナーでは、このスタイルはアプリケーション読み込み中の背景色、および実行中の背景グラデーションを指定します。 Flex は指定した色に対して段階的に暗くなる色と、明るくなる色のグラデーション パターンを計算します。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景色はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

'Declaration
Protected Read Property backgroundColor As Color

アクセス

読み取り専用。


BackgroundColor プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コンポーネントの背景色。

デフォルト値は未定義で、設定されておらずコンポーネントの背景が透明であることを意味します。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景色はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

'Declaration
Protected Read Property backgroundColor As Color

アクセス

読み取り専用。


BackgroundDisabledColor プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。

List コントロールのデフォルト値は 0xDDDDDD（ライト グレイ）です。 コンテナーが無効な場合には、背景は淡色で表示されます。淡色度合は disabledOverlayAlpha スタイルで制御します。

構文

'Declaration
Protected Read Property backgroundDisabledColor As Color

アクセス

読み取り専用。


BackgroundDisabledColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

'Declaration
Protected Read Property backgroundDisabledColor As Color

アクセス

読み取り専用。


BackgroundImage プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンポーネントの背景画像。

絶対/相対 URL やクラスを指定できます。

backgroundColor と backgroundImage の両方を同時に設定できます。 背景画像は背景色の上に表示されます。 デフォルト値は未定義で、"設定されていない"ことを意味します。 このスタイルと backgroundColor スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景画像はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

'Declaration
Protected Read Property backgroundImage As String

アクセス

読み取り専用。


BackgroundImage プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。

backgroundColor と backgroundImage の両方を同時に設定できます。 背景画像は背景色の上に表示されます。 デフォルト値は未定義で、"設定されていない"ことを意味します。 このスタイルと backgroundColor スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景画像はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

'Declaration
Protected Read Property backgroundImage As String

アクセス

読み取り専用。


BackgroundSize プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] 指定した backgroundImage の画像サイズを変更する割合。

100% 値は、その画像をコンポーネント全体に合わせて広げることを意味します。 値を割合で指定する場合には、パーセント記号 (%) を指定する必要があります。 アプリケーション コンテナーのデフォルト値は 100% です。 すべてのほかのコンテナーのデフォルト値は auto で、画像の元のサイズを保持することを意味します。

構文

'Declaration
Protected Read Property backgroundSize As String

アクセス

読み取り専用。


BackgroundSize プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 指定した backgroundImage の画像サイズを変更する割合。

100% 値は、その画像をコンポーネント全体に合わせて広げることを意味します。 値を割合で指定する場合には、パーセント記号 (%) を指定する必要があります。 アプリケーション コンテナーのデフォルト値は 100% です。 すべてのほかのコンテナーのデフォルト値は auto で、画像の元のサイズを保持することを意味します。

構文

'Declaration
Protected Read Property backgroundSize As String

アクセス

読み取り専用。


BarColor プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ProgressBar の色。

ProgressBar はこの色と、この色から計算された明るい色を使って垂直方向にグラデーション表示されます。 このスタイルは他のコンポーネントに影響しませんが、コンテナーに設定して、その内部にあるすべての進捗バーの表示を制御することができます。 デフォルト値は未定義で、設定されていないことを意味します。 この場合、themeColor スタイル プロパティが使用されます。

構文

'Declaration
Protected Read Property barColor As Color

アクセス

読み取り専用。


BarWidthRatio プロパティ (FlexBarChart)

クラス

FlexBarChart.

処理

[読み取り専用] 棒グラフを描く際のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。

値が 1 の場合は領域全体を、0.6 の場合は棒グラフの使用可能な領域の 60% を使用します。 実際の棒グラフの幅は、barWidthRatio プロパティと maxbarWidth プロパティのうちの小さいほうが使用されます。クラスタ化された棒グラフは、クラスタごとの棒グラフ間で均等に領域が分割されます。 デフォルト値は 0.65 です。

構文

'Declaration
Protected Read Property barWidthRatio As Double

アクセス

読み取り専用。


BarWidthRatio プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] カテゴリ幅に相対的な棒グラフをレンダリングするための幅。

値が 1 の場合は領域全体を、.6 の場合は棒グラフの使用可能な領域の 60% を使用します。 通常はこのプロパティを直接設定することはありません。 実際の棒グラフの幅は、barWidthRatio プロパティと maxbarWidth プロパティのうちの小さいほうが使用されます。

デフォルト値は .65 です。

構文

'Declaration
Protected Read Property barWidthRatio As Double

アクセス

読み取り専用。


BlendMode プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] 使用するブレンド モードを指定する BlendMode クラスの値。

構文

'Declaration
Protected Read Property blendMode As String

アクセス

読み取り専用。


BorderColor プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 3D 境界線の黒セクションまたは 2D 境界線の色セクション。 デフォルト値は 0xB7BABC です。

構文

'Declaration
Protected Read Property borderColor As Color

アクセス

読み取り専用。


BytesLoaded プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 既にロードされたイメージのバイト数です。

構文

'Declaration
Protected Read Property bytesLoaded As Double

アクセス

読み取り専用。


BytesLoaded プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] 既にアプリケーションにダウンロードされているデータのバイト数です。

構文

'Declaration
Protected Read Property bytesLoaded As Double

アクセス

読み取り専用。


BytesTotal プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] ロード済みまたはロード保留中のイメージ データの総バイト数です。

構文

'Declaration
Protected Read Property bytesTotal As Double

アクセス

読み取り専用。


BytesTotal プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] アプリケーションにダウンロードされるデータの総バイト数です。

構文

'Declaration
Protected Read Property bytesTotal As Double

アクセス

読み取り専用。


CalloutGap プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 引き出し線をレンダリングする際に円グラフの縁とラベルの間にどの程度のスペースが挿入されるか。 デフォルト値は 10 です。

構文

'Declaration
Protected Read Property calloutGap As Double

アクセス

読み取り専用。


CanDropLabels プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] AxisRenderer が正しくレイアウトすることが必要な場合にラベルを落とすかどうか。

AxisRenderer のレンダリング時に重なったラベルを落とす場合には true を設定します。ラベルは常に一定の間隔でレンダリングされます。 必要に応じて、AxisRenderer はすべてのほかのラベルまたはすべての 3 番目のラベルをレンダリングしますが、2 つ以上の連続してラベルを落とすことはありません。

AxisRenderer のラベルのレイアウトに他のスキーム（回転や拡大/縮小）を使用する場合には false を設定します。

このスタイルを明示的に設定しない場合には、AxisRenderer はレンダリングする軸の種類に応じて適切なデフォルト値を使用します。

構文

'Declaration
Protected Read Property canDropLabels As Boolean

アクセス

読み取り専用。


CanStagger プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 2 つのラベル行でラベルを交互に配置するかどうか。 この設定を使用すると、ラベルに必要な領域が最小化されます。 デフォルト値は true で、ラベルは交互に配置されます。

構文

'Declaration
Protected Read Property canStagger As Boolean

アクセス

読み取り専用。


CaretIndex プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] 現在フォーカスがある項目。

構文

'Declaration
Protected Read Property caretIndex As Double

アクセス

読み取り専用。


ChangeFocus メソッド (FlexObject)

クラス

FlexObject.

処理

現在のフォーカスを変更します。

構文

object.ChangeFocus([shiftKey, keyCode])
変数 | 説明
shiftKey | 省略可能: Shift キー修飾を有効にする場合には true。 Boolean。
keyCode | 省略可能: 押したり離したりするキーのキー コード値。 String。


ChangeFocus メソッド (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

keyFocusChange イベント オブジェクトの type プロパティの値を定義します。

構文

uIMovieClip.ChangeFocus([shiftKey, keyCode])
変数 | 説明
shiftKey | 省略可能: Shift キー修飾を有効にする場合は true を、そうでない場合は false。 Boolean。
keyCode | 省略可能: keyFocusChange イベントをトリガーするための押されるキーのキー コード値。 String。


Change メソッド (FlexAccordion)

クラス

FlexAccordion.

処理

選択した子コンテナーが変更されたときにディスパッチされます。

IndexChangedEvent.CHANGE 定数は、変更イベントのイベント オブジェクトの type プロパティの値を定義します。変更イベントは、Accordion コントロールの表示パネルが変更されたり、ViewStack のビューが変更されたときのようなインデックスが変更されたことを示します。

構文

accordion.Change([relatedObject])
変数 | 説明
relatedObject | 省略可能: 新しいインデックスに対応する子オブジェクトへの参照を保持。 String。


Change メソッド (FlexColorPicker)

クラス

FlexColorPicker.

処理

ユーザーによる操作の結果として選択した色が変更されたときにディスパッチされます。

構文

colorPicker.Change(color)
変数 | 説明
color | 選択された RGB 色。 Color。


Change メソッド (FlexDateChooser)

クラス

FlexDateChooser.

処理

日付が選択または変更されたときにディスパッチされます。

構文

dateChooser.Change(newDate)
変数 | 説明
newDate | コントロールで選択された日付。 DateTime?。


Change メソッド (FlexDateField)

クラス

FlexDateField.

処理

日付が選択または変更され、DateChooser コントロールが閉じられたときにディスパッチされます。

構文

dateField.Change(newDate)
変数 | 説明
newDate | コントロールで選択された日付。 DateTime?。


Change メソッド (FlexNavigationBar)

クラス

FlexNavigationBar.

処理

itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

navigationBar.Change(relatedObject)
変数 | 説明
relatedObject | 生成されたイベントの子オブジェクト。 String。


Change メソッド (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。

構文

numericStepper.Change(value)
変数 | 説明
value | イベントがディスパッチされたときの NumericStepper コントロールの値。 Double。


Change メソッド (FlexSlider)

クラス

FlexSlider.

処理

マウスまたはキーボード操作によってスライダーの値が変更されたときにディスパッチされます。

構文

slider.Change(value, [thumbIndex, clickTarget, triggerEvent, keyCode])
変数 | 説明
value | スライダーの新しい値。 Double。
thumbIndex | 省略可能: 位置が変更されたスライダーの 0 を基準としたインデックス。 Integer。
clickTarget | 省略可能: スライダーのトラック部分またはサム部分が押されたかどうか。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyCode | 省略可能: 押したり離したりするキーのキー コード値。 String。


Change メソッド (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

tabNavigator.Change(relatedObject)
変数 | 説明
relatedObject | 生成されたイベントの子オブジェクト。 String。


Change メソッド (SparkSpinner)

クラス

SparkSpinner.

処理

ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。

構文

spinner.Change(value)
変数 | 説明
value | 変更が発生したときの NumericStepper コントロールの値。 Double。


Change メソッド (SparkTrackBase)

クラス

SparkTrackBase.

処理

ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。

構文

trackBase.Change(value)
変数 | 説明
value | 変更が発生したときの NumericStepper コントロールの値。 Double。


ClassName プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] "Button" のようなこのインスタンスのクラスの名前。

構文

'Declaration
Protected Read Property className As String

アクセス

読み取り専用。


ClassName プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] Button のようなこのインスタンスのクラスの名前。

構文

'Declaration
Protected Read Property className As String

アクセス

読み取り専用。


ClassName プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] コントロールの開発者によって割り当てられた、要素のクラス名を含んだ文字列。

構文

'Declaration
Protected Read Property className As String

アクセス

読み取り専用。


ClassName プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] "Button" のようなこのインスタンスのクラスの名前。

構文

'Declaration
Protected Read Property className As String

アクセス

読み取り専用。


ClearOnLoad プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 新しいコンテンツをロードする前に、前のイメージ コンテンツをクリアするかどうかを示します。

構文

'Declaration
Protected Read Property clearOnLoad As Boolean

アクセス

読み取り専用。


ClipAndEnableScrolling プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] ビューポートの境界に子をクリップするかどうか。

構文

'Declaration
Protected Read Property clipAndEnableScrolling As Boolean

アクセス

読み取り専用。


ClipAndEnableScrolling プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] ビューポートの境界に子をクリップするかどうか。

構文

'Declaration
Protected Read Property clipAndEnableScrolling As Boolean

アクセス

読み取り専用。


ClipContent プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。

構文

'Declaration
Protected Read Property clipContent As Boolean

アクセス

読み取り専用。


Closed プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 基になるウィンドウが閉じられているかどうかを示す値。

構文

'Declaration
Protected Read Property closed As Boolean

アクセス

読み取り専用。


Closed プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 基になるウィンドウが閉じられているかどうかを示す値。

構文

'Declaration
Protected Read Property closed As Boolean

アクセス

読み取り専用。


Closed プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 基になるウィンドウが閉じられているかどうかを示す値。

構文

'Declaration
Protected Read Property closed As Boolean

アクセス

読み取り専用。


Closed プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 基になるウィンドウが閉じられているかどうかを示す値。

構文

'Declaration
Protected Read Property closed As Boolean

アクセス

読み取り専用。


Close メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

AdvancedDataGrid の分岐を閉じるまたは折りたたみます。

構文

advancedDataGrid.Close(itemRenderer, [triggerEvent])
変数 | 説明
itemRenderer | 閉じるノードの ListItemRenderer。 String。
triggerEvent | 省略可能: ノードがユーザーとの対話によって閉じられた場合、キーボードによるものかマウスによるものかを識別します。 FlexTriggerEvent。


Close メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

close イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

comboBase.Close([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがトリガーされた入力アクションの種類を示す値。 FlexTriggerEvent。


Close メソッド (FlexPopUpButton)

クラス

FlexPopUpButton.

処理

指定した UIComponent が閉じるときにディスパッチされます。

DropdownEvent.CLOSE 定数は、close イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

popUpButton.Close([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがトリガーされた入力アクションの種類を示す値。 FlexTriggerEvent。


Close メソッド (FlexTree)

クラス

FlexTree.

処理

ツリーの分岐を閉じるまたは折りたたみます。

構文

tree.Close(itemRenderer, [triggerEvent])
変数 | 説明
itemRenderer | 閉じるノードの ListItemRenderer。 String。
triggerEvent | 省略可能: ノードがユーザーとの対話によって閉じられた場合、キーボードによるものかマウスによるものかを識別します。 FlexTriggerEvent。


ColorCorrection プロパティ (SparkApplication)

クラス

SparkApplication.

処理

[読み取り専用] ステージの colorCorrection プロパティの値。

構文

'Declaration
Protected Read Property colorCorrection As String

アクセス

読み取り専用。


Color プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。

構文

'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexRule)

クラス

FlexRule.

処理

[読み取り専用] 行の色。

構文

'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


ColumnCount プロパティ (FlexColorPicker)

クラス

FlexColorPicker.

処理

[読み取り専用] 色見本グリッドの列の数。 デフォルト値は 20 です。

非推奨 3.0： swatchPanelStyleName を推奨

構文

'Declaration
Protected Read Property columnCount As Integer

アクセス

読み取り専用。


ColumnCount プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。

DataGrid の場合は、可視な列の数になります。 メモ： DataGrid コントロールは、コントロールの幅と個々の列の幅に基づいて列の数が決まるため、このプロパティの設定は DataGrid コントロールに対する効果はありません。

デフォルト値は 4 です。

構文

'Declaration
Protected Read Property columnCount As Integer

アクセス

読み取り専用。


ColumnGroupedADGHeaderShift メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。

構文

advancedDataGrid.ColumnGroupedADGHeaderShift(movingColumnIndex, newColumnIndex, oldColumnIndex, [triggerEvent])
変数 | 説明
movingColumnIndex | 選択される項目のデータ プロバイダー インデックス。 Integer。
newColumnIndex | 変更後の 0 を基準としたインデックス。 Integer。
oldColumnIndex | 変更前の 0 を基準としたインデックス。 Integer。
triggerEvent | 省略可能: 選択アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。


ColumnNames プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnsLength プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 列の数。

構文

'Declaration
Protected Read Property columnsLength As Integer

アクセス

読み取り専用。


ColumnStretch メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。

構文

advancedDataGrid.ColumnStretch(columnIndex, localX)
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。
localX | マウスの位置 x。 Double。


ColumnStretch メソッド (FlexDataGrid)

クラス

FlexDataGrid.

処理

ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。

horizontalScrollPolicy が "off" の場合、他の列のサイズも変更に応じて調整するために縮小または拡大されるため、それらの列に対してもこのイベントがディスパッチされます。

構文

dataGrid.ColumnStretch(columnIndex, localX)
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。
localX | マウスの位置 x。 Double。


ColumnStretch メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

データ グリッドの指定した列のサイズを変更します。

構文

dataGrid.ColumnStretch(columnIndex, localX)
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における選択した列の 0 を基準としたインデックス。 Integer。
localX | データ グリッドに相対的な列のサイズ。 Double。


ColumnWidth プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] コントロールの列の幅。

このプロパティは TileList および HorizontalList コントロールによって使用されます。 DataGrid コントロールでは、個々の DataGridColumn で幅を設定するため、DataGrid コントロールに対する効果はありません。

デフォルト値は 50 です。

構文

'Declaration
Protected Read Property columnWidth As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexCandlestickChart)

クラス

FlexCandlestickChart.

処理

[読み取り専用] ロウソク足グラフを描く際の水平軸のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。

値が 1 の場合は領域全体を、0.6 の場合はロウソク足グラフの使用可能な領域の 60% を使用します。 実際のロウソク足グラフの幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。 複数のロウソク足の系列では均等にこの領域が分割されます。 デフォルト値は 0.65 です。

構文

'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexColumnChart)

クラス

FlexColumnChart.

処理

[読み取り専用] 縦棒グラフを描く際のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。

値が 1 の場合は領域全体を、0.6 の場合は縦棒グラフの使用可能な領域の 60% を使用します。 実際の縦棒グラフの幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。 クラスタ化された縦棒グラフは、クラスタごとの縦棒グラフ間で均等に領域が分割されます。 デフォルト値は 0.65 です。

構文

'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] カテゴリ幅に相対的な縦棒グラフの幅。

値が 1 の場合は領域全体を、.6 の場合は縦棒グラフの使用可能な領域の 60% を使用します。 通常はこのプロパティを直接設定することはありません。 実際の縦棒グラフの幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。 デフォルト値は 0.65 です。

構文

'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexHLOCChart)

クラス

FlexHLOCChart.

処理

[読み取り専用] HLOC 線を描く際の水平軸のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。

値が 1 の場合は領域全体を、0.6 の場合はカテゴリの使用可能な領域の 60% を使用します。 実際の要素の幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。 複数の要素の系列では均等にこの領域が分割されます。 デフォルト値は 0.65 です。

構文

'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexHLOCSeriesBase)

クラス

FlexHLOCSeriesBase.

処理

[読み取り専用] カテゴリ幅に相対的な要素の幅。

値が 1 の場合は領域全体を、0.6 の場合は要素の使用可能な領域の 60% を使用します。 通常はこのプロパティを直接設定することはありません。 実際の要素の幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。

デフォルト値は 0.65 です。

構文

'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ContentHeight プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] ビューポートの内容の高さ。

構文

'Declaration
Protected Read Property contentHeight As Double

アクセス

読み取り専用。


ContentHeight プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキストの高さ。

構文

'Declaration
Protected Read Property contentHeight As Double

アクセス

読み取り専用。


ContentLoaderGrouping プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 関連付けられた IContentLoader インスタンスの load() メソッドに渡される、オプショナル コンテンツのグループ化識別子です。

構文

'Declaration
Protected Read Property contentLoaderGrouping As String

アクセス

読み取り専用。


ContentWidth プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] ビューポートの内容の幅。

構文

'Declaration
Protected Read Property contentWidth As Double

アクセス

読み取り専用。


ContentWidth プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキストの幅。

構文

'Declaration
Protected Read Property contentWidth As Double

アクセス

読み取り専用。


ControlBarVisible プロパティ (SparkApplication)

クラス

SparkApplication.

処理

[読み取り専用] コントロール バーが可視かどうか。

構文

'Declaration
Protected Read Property controlBarVisible As Boolean

アクセス

読み取り専用。


ControlBarVisible プロパティ (SparkPanel)

クラス

SparkPanel.

処理

[読み取り専用] コントロール バーが可視かどうか。

構文

'Declaration
Protected Read Property controlBarVisible As Boolean

アクセス

読み取り専用。


Conversion プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 読み込んだ値の現在のバイト数と合計バイト数を変換するために使用する数値。

Flex は現在の値と合計の値をこのプロパティの値で割り算し、それぞれの値以下に最も近い整数値がラベル文字列として使用されます。 値 1 は変更されません。

デフォルト値は 1 です。

構文

'Declaration
Protected Read Property conversion As Double

アクセス

読み取り専用。


Count プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] この Repeater が実行される回数。

構文

'Declaration
Protected Read Property count As Integer

アクセス

読み取り専用。


CreationIndex プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] このコンテナーの子をインスタンス化および描画する順番。

このプロパティは creationPolicy プロパティに対して ContainerCreationPolicy.QUEUED が設定されている場合にのみ使用されます。 そうでなければ、無視されます。

デフォルト値は -1 です。

構文

'Declaration
Protected Read Property creationIndex As Integer

アクセス

読み取り専用。


CreationPolicy プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] このコンテナーの子の作成ポリシー。

ActionScript の値は ContainerCreationPolicy.AUTO、ContainerCreationPolicy.ALL、ContainerCreationPolicy.NONE、または ContainerCreationPolicy.QUEUED になります。 MXML の値は、auto、all、none、または queued になります。

作成ポリシーがコンテナーに対して指定されていない場合には、親の作成ポリシーが継承されます。 作成ポリシーがアプリケーションに対して指定されていない場合のデフォルト値は ContainerCreationPolicy.AUTO です。

ContainerCreationPolicy.AUTO 作成ポリシーでは、コンテナーはすべてあるいは一部の子の作成を必要になるまで遅延します。この処理は遅延インスタンス化と呼ばれます。 このポリシーは、初期化時に作成される UIComponent が少なくなるため、起動時間が最適化されます。 しかし、ユーザーがアプリケーションのほかの部分に初めて移動するときに遅延が生じます。 Accordion、TabNavigator、および ViewStack のような Navigator コンテナーでは、ContainerCreationPolicy.AUTO ポリシーが実装され、すべての子が直ちに作成され、より深いレベルにある子は、それが Navigator コンテナーの選択した子になるまで作成が待機されます。

ContainerCreationPolicy.ALL 作成ポリシーでは、Navigator コンテナーはそれぞれの子のより深いレベルにある子を、子が選択されるまで待つのではなく直ちに作成します。 VBox コンテナーのような単一ビューのコンテナーの場合、ContainerCreationPolicy.AUTO と ContainerCreationPolicy.ALL ポリシーの間の違いはありません。

ContainerCreationPolicy.QUEUED 作成ポリシーでは、コンテナーは直ちにインスタンス化および描画を行う代わりに作成キューに追加されます。アプリケーションがキューに入れられたコンテナーを処理するときに、コンテナーの子が作成されます。子が作成されるまで、作成キューにある次のコンテナーは待機されます。

ContainerCreationPolicy.NONE 作成ポリシーでは、コンテナーはその子をまったく作成しません。 この場合、MXML 作成者の責任のもと、createComponentsFromDescriptors メソッドを呼び出して子を作成します。

構文

'Declaration
Protected Read Property creationPolicy As String

アクセス

読み取り専用。


CreationPolicy プロパティ (SparkSkinnableContainer)

クラス

SparkSkinnableContainer.

処理

[読み取り専用] このコンポーネントの内容の作成ポリシー。

構文

'Declaration
Protected Read Property creationPolicy As String

アクセス

読み取り専用。


CurrentState プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントの現在の表示状態。

"" または Nothing に設定すると、コンポーネントは基本状態にリセットされます。

構文

'Declaration
Protected Read Property currentState As String

アクセス

読み取り専用。


CurrentState プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] このコンポーネントの現在の状態。

UIMovieClip の場合、currentState プロパティの値は現在のフレーム ラベルです。

構文

'Declaration
Protected Read Property currentState As String

アクセス

読み取り専用。


CurrentTime プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオの再生開始以降の再生ヘッドの現在時間（秒単位）です。

構文

'Declaration
Protected Read Property currentTime As Double

アクセス

読み取り専用。


DataTipField プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。

デフォルトでは、各項目の label という名前のプロパティが検索され、リストに表示されます。 ただし、データ オブジェクトに label プロパティが含まれていない場合は、データ オブジェクト内の別のプロパティを使用するように dataTipField プロパティを設定できます。

デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property dataTipField As String

アクセス

読み取り専用。


DataTipMode プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフの DataTip コントロールの表示方法。

DataTip コントロールは ToolTip コントロールに似ていますが、マウス ポインターから最も近いグラフのデータ ポイントを表す適切な値が表示されるという点で異なります。

有効な値は、single および multiple です。single を使用すると、マウスカーソルに最も近いデータ ポイントに表示されます。multiple を使用すると、マウス カーソルの範囲内にデータ ヒントが表示されます。

構文

'Declaration
Protected Read Property dataTipMode As String

アクセス

読み取り専用。


DataTipPrecision プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] データ ヒント テキストで使用する小数点以下の桁数。

0 の場合、すべての値が整数に四捨五入されます。 デフォルト値は 2 です。

構文

'Declaration
Protected Read Property dataTipPrecision As Double

アクセス

読み取り専用。


DefaultButtonFlag プロパティ (FlexAlert)

クラス

FlexAlert.

処理

[読み取り専用] デフォルト ボタンを指定する Alert.OK、Alert.CANCEL、Alert.YES または Alert.NO を含むビット フラグ。 デフォルト値は Alert.OK です。

構文

'Declaration
Protected Read Property defaultButtonFlag As Double

アクセス

読み取り専用。


DefaultCellString プロパティ (FlexOLAPDataGrid)

クラス

FlexOLAPDataGrid.

処理

[読み取り専用] IOLAPResult インスタンスから返されたセルのデータが Nothing または NaN の場合に、そのセルに表示される文字列。

デフォルト値は NaN です。

構文

'Declaration
Protected Read Property defaultCellString As String

アクセス

読み取り専用。


DeferredContentCreated プロパティ (SparkSkinnableContainer)

クラス

SparkSkinnableContainer.

処理

[読み取り専用] 遅延コンテンツが作成されたかどうか。

構文

'Declaration
Protected Read Property deferredContentCreated As Boolean

アクセス

読み取り専用。


DepthColors プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] AdvancedDataGrid コントロールのナビゲーション ツリーの各レベルの行で使用する色の配列（降順）。 デフォルト値は未定義です。

構文

'Declaration
Protected Read Property depthColors As List(Of Color)

アクセス

読み取り専用。


DepthColors プロパティ (FlexTree)

クラス

FlexTree.

処理

[読み取り専用] Tree コントロールで使用する色の配列（降順）。 デフォルト値は未定義です。

構文

'Declaration
Protected Read Property depthColors As List(Of Color)

アクセス

読み取り専用。


Description プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフのデータの簡単な説明。

アクセシビリティが有効になっている場合、スクリーン リーダはこのプロパティを使用してグラフを説明します。 この文字列のデフォルトは空の文字列です。

構文

'Declaration
Protected Read Property description As String

アクセス

読み取り専用。


Deselect メソッド (FlexListBase)

クラス

FlexListBase.

処理

以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

listBase.Deselect(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 項目の項目レンダラ オブジェクト。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Direction プロパティ (FlexBox)

クラス

FlexBox.

処理

[読み取り専用] 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。

構文

'Declaration
Protected Read Property direction As String

アクセス

読み取り専用。


Direction プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] タスクの完了に向かって ProgressBar が伸びていく方向。 MXML での有効な値は "right" と "left" です。

ActionScript では、定数 ProgressBarDirection.RIGHT および ProgressBarDirection.LEFT を使用してこのプロパティを設定します。

デフォルト値は ProgressBarDirection.RIGHT です。

構文

'Declaration
Protected Read Property direction As String

アクセス

読み取り専用。


Direction プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダー コントロールの向き。

構文

'Declaration
Protected Read Property direction As String

アクセス

読み取り専用。


DisabledColor プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。

構文

'Declaration
Protected Read Property disabledColor As List(Of Color)

アクセス

読み取り専用。


DisabledColor プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンポーネントが無効な場合の背景色。

グローバルのデフォルト値は未定義です。 List コントロールのデフォルト値は 0xDDDDDD（ライト グレイ）です。 コンテナーが無効な場合には、背景は淡色で表示されます。淡色度合は disabledOverlayAlpha スタイルで制御します。

構文

'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] コンポーネントの背景色。

backgroundColor と backgroundImage の両方を設定できます。 背景を持たないコンポーネントもあります。 DataGrid コントロールはこのスタイルを無視します。 デフォルト値は未定義で、設定されていないことを意味します。 このスタイルと backgroundImage スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

構文

'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexTree)

クラス

FlexTree.

処理

[読み取り専用] リストの項目が無効な場合の色。 デフォルト値は 0xDDDDDD です。

構文

'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledDays プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 無効にする曜日。

指定した曜日に該当するその月のすべての日付が無効になります。 このプロパティによって、DateChooser コントロールの表示が変わります。 この配列の要素は 0（日曜日）から 6（土曜日）の範囲の値です。

構文

'Declaration
Protected Read Property disabledDays As List(Of String)

アクセス

読み取り専用。


DisabledDays プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] 無効にする曜日。

構文

'Declaration
Protected Read Property disabledDays As List(Of String)

アクセス

読み取り専用。


DisabledRanges プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 無効にする 1 日または複数の日。

構文

'Declaration
Protected Read Property disabledRanges As List(Of String)

アクセス

読み取り専用。


DisabledRanges プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] 無効にされた 1 日または複数の日。

構文

'Declaration
Protected Read Property disabledRanges As List(Of String)

アクセス

読み取り専用。


DisplayAsPassword プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] このコントロールがパスワード入力用であるかどうか。

true の場合、このフィールドは入力されたテキストは表示されず、コントロールに入力されたテキストの文字それぞれが * 文字で置換されて表示されます。 デフォルト値は false です。

構文

'Declaration
Protected Read Property displayAsPassword As Boolean

アクセス

読み取り専用。


DisplayAsPassword プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

'Declaration
Protected Read Property displayAsPassword As Boolean

アクセス

読み取り専用。


DisplayAsPassword プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

'Declaration
Protected Read Property displayAsPassword As Boolean

アクセス

読み取り専用。


DisplayedMonth プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールに表示される月。

月を表す数字は 0 から始まるので、1 月は 0 で、12 月は 11 です。 このプロパティを設定すると、DateChooser コントロールの表示が変わります。

デフォルト値は現在の月です。

構文

'Declaration
Protected Read Property displayedMonth As Integer

アクセス

読み取り専用。


DisplayedMonth プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールに表示される月。

構文

'Declaration
Protected Read Property displayedMonth As Integer

アクセス

読み取り専用。


DisplayedYear プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールに表示される年。 デフォルト値は現在の年です。

構文

'Declaration
Protected Read Property displayedYear As Integer

アクセス

読み取り専用。


DisplayedYear プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールに表示される年。

構文

'Declaration
Protected Read Property displayedYear As Integer

アクセス

読み取り専用。


DisplayItemsExpanded プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ナビゲーション ツリーが展開されてすべての項目が表示されているかどうか。

true の場合は、ナビゲーション ツリーを展開してすべての項目を表示します。 新しい分岐が追加された場合は、展開した状態で表示されます。 デフォルト値は false です。

構文

'Declaration
Protected Read Property displayItemsExpanded As Boolean

アクセス

読み取り専用。


DisplayPopUp プロパティ (SparkPopUpAnchor)

クラス

SparkPopUpAnchor.

処理

[読み取り専用] ポップアップが表示されるかどうかを指定します。

構文

'Declaration
Protected Read Property displayPopUp As Boolean

アクセス

読み取り専用。


DoubleSelect メソッド (FlexListBase)

クラス

FlexListBase.

処理

コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。

itemDoubleClick イベントを受信するには、コンポーネントの doubleClickEnabled プロパティを true に設定する必要があります。

構文

listBase.DoubleSelect(itemRenderer)
変数 | 説明
itemRenderer | ダブルクリックされた項目レンダラ。 String。


DragCancel メソッド (FlexChart)

クラス

FlexChart.

処理

dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

chart.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragCancel メソッド (FlexContainer)

クラス

FlexContainer.

処理

dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

container.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: ドロップの完了時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragCancel メソッド (FlexListBase)

クラス

FlexListBase.

処理

dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

listBase.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: ドロップの完了時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragCancel メソッド (SparkCheckBox)

クラス

SparkCheckBox.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

checkBox.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

ドラッグ操作がキャンセルされた場合にディスパッチされます。

構文

groupBase.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkRadioButton)

クラス

SparkRadioButton.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

radioButton.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

richEditableText.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

ドラッグ操作がキャンセルされた場合にディスパッチされます。

構文

skinnableContainerBase.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkTextArea)

クラス

SparkTextArea.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

textArea.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkTextBase)

クラス

SparkTextBase.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

textBase.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkTextInput)

クラス

SparkTextInput.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

textInput.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkToggleButton)

クラス

SparkToggleButton.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

toggleButton.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (FlexChart)

クラス

FlexChart.

処理

dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

chart.DragDrop(draggedItem, [localX, localY, keyModifier])
変数 | 説明
draggedItem | ドラッグする項目。 String。
localX | 省略可能: 含んでいるスプライトに相対的な、イベントが発生した水平方向座標。 Double。
localY | 省略可能: 含んでいるスプライトに相対的な、イベントが発生した垂直方向座標。 Double。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragDrop メソッド (FlexContainer)

クラス

FlexContainer.

処理

dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

container.DragDrop([draggedItem, keyModifier])
変数 | 説明
draggedItem | 省略可能: ドラッグする項目。 String。
keyModifier | 省略可能: オブジェクトのドロップ時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragDrop メソッド (FlexContainerMovieClip)

クラス

FlexContainerMovieClip.

処理

dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

containerMovieClip.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | イベントを発生させたアクション。 String。
draggedItem | 省略可能: ドラッグする項目。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragDrop メソッド (FlexListBase)

クラス

FlexListBase.

処理

dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

listBase.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | イベントを発生させたアクション（DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE）。 String。
draggedItem | 省略可能: ドラッグする項目。 String。
keyModifier | 省略可能: コントロールのドロップ時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragDrop メソッド (SparkCheckBox)

クラス

SparkCheckBox.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

checkBox.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

ドラッグした項目がドロップされた場合にディスパッチされます。

構文

groupBase.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするオブジェクト。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkRadioButton)

クラス

SparkRadioButton.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

radioButton.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

richEditableText.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

ドラッグした項目がドロップされた場合にディスパッチされます。

構文

skinnableContainerBase.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするオブジェクト。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkTextArea)

クラス

SparkTextArea.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

textArea.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkTextBase)

クラス

SparkTextBase.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

textBase.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkTextInput)

クラス

SparkTextInput.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

textInput.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkToggleButton)

クラス

SparkToggleButton.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

toggleButton.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragEnabled プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。

true の場合、チャートのドラッグが有効になります。 dropEnabled プロパティが true の場合にも、グラフ内で項目をドラッグ＆ドロップして項目の順序を変えることができます。 デフォルト値は false です。

構文

'Declaration
Protected Read Property dragEnabled As Boolean

アクセス

読み取り専用。


DragEnabled プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。

構文

'Declaration
Protected Read Property dragEnabled As Boolean

アクセス

読み取り専用。


Dragged メソッド (FlexDividedBox)

クラス

FlexDividedBox.

処理

ユーザーが分割線をドラッグするときに複数回ディスパッチされます。 dividerDrag イベントは、dividerPress イベントの後、および dividerRelease イベントの前にディスパッチされます。

構文

dividedBox.Dragged(dividerIndex, delta)
変数 | 説明
dividerIndex | ドラッグされる分割線の 0 を基準としたインデックス。 左端、または上端の分割線の dividerIndex が 0 になります。 Integer。
delta | 分割線がドラッグされたピクセル数。 正の数は右または下方向にドラッグされたことを意味し、負の数は左または上方向にドラッグされたことを意味します。 Double。


Dragging プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] SparkListLabel がドラッグ モード中かどうかの値。

構文

'Declaration
Protected Read Property dragging As Boolean

アクセス

読み取り専用。


DragMoveEnabled プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。

構文

'Declaration
Protected Read Property dragMoveEnabled As Boolean

アクセス

読み取り専用。


DragStart メソッド (FlexChart)

クラス

FlexChart.

処理

dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

chart.DragStart(draggedItem, [localX, localY])
変数 | 説明
draggedItem | ドラッグする項目。 String。
localX | 省略可能: 含んでいるスプライトに相対的な、イベントが発生した水平方向座標。 Double。
localY | 省略可能: 含んでいるスプライトに相対的な、イベントが発生した垂直方向座標。 Double。


DragStart メソッド (FlexContainer)

クラス

FlexContainer.

処理

dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

container.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグする項目。 String。
keyModifier | 省略可能: オブジェクトのドラッグ時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragStart メソッド (FlexListBase)

クラス

FlexListBase.

処理

dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

listBase.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグする項目。 String。
keyModifier | 省略可能: コントロールのドラッグ時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragStart メソッド (SparkCheckBox)

クラス

SparkCheckBox.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

checkBox.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。

構文

groupBase.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするオブジェクト。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkRadioButton)

クラス

SparkRadioButton.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

radioButton.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

richEditableText.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。

構文

skinnableContainerBase.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするオブジェクト。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkTextArea)

クラス

SparkTextArea.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

textArea.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkTextBase)

クラス

SparkTextBase.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

textBase.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkTextInput)

クラス

SparkTextInput.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

textInput.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkToggleButton)

クラス

SparkToggleButton.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

toggleButton.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DropEnabled プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] ドラッグした項目をグラフ上にドロップできるかどうか。

このプロパティを true に設定した場合、グラフはすべてのデータ形式を受け入れ、ドラッグ対象のデータがデータ プロバイダー内のデータ形式と一致することを想定します。 ドラッグ対象のデータのデータ形式を明示的にチェックする場合は、1 つまたは複数のドラッグ イベント（dragOver など）を処理し、リスト クラスがドロップされたデータを受け入れる方法をカスタマイズするために、DragEvent の preventDefault() メソッドを呼び出す必要があります。 dropEnabled を true に設定すると、showDropFeedback() メソッドと hideDropFeedback() メソッドが自動的に呼び出されてドロップ インジケータが表示されます。 デフォルト値は false です。

構文

'Declaration
Protected Read Property dropEnabled As Boolean

アクセス

読み取り専用。


DropEnabled プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。

構文

'Declaration
Protected Read Property dropEnabled As Boolean

アクセス

読み取り専用。


DropShadowEnabled プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。

構文

'Declaration
Protected Read Property dropShadowEnabled As Boolean

アクセス

読み取り専用。


DropShadowEnabled プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] Panel コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。

構文

'Declaration
Protected Read Property dropShadowEnabled As Boolean

アクセス

読み取り専用。


Duration プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオの再生時間（秒単位）です。

構文

'Declaration
Protected Read Property duration As Double

アクセス

読み取り専用。


Editable プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] データ プロバイダーの項目を編集できるかどうか。

true の場合、コントロールの項目レンダラは編集可能です。 ユーザーは項目レンダラをクリックしてエディターを開くことができます。

DataGridColumn.editable プロパティを使用したり、itemEditBeginning および itemEditBegin イベントを処理して DataGrid コントロールの個々の列の編集をオフにすることができます。

デフォルト値は false です。

構文

'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。

true の場合、キーボードからの入力が、編集可能なテキスト フィールドに入力されます。true ではない場合は、キーボード入力は dataProvider の項目を選択するためのショートカットとして使用されます。

デフォルト値は false です。 このプロパティは、DataField コントロールでは無視されます。

構文

'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] データ プロバイダーの項目を編集できるかどうか。

true の場合、コントロールの項目レンダラは編集可能です。 ユーザーは項目レンダラをクリックしてエディターを開くことができます。

DataGridColumn.editable プロパティを使用したり、itemEditBeginning および itemEditBegin イベントを処理して DataGrid コントロールの個々の列の編集をオフにすることができます。

デフォルト値は false です。

構文

'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] このコントロールでテキストを編集できるかどうか。

true の場合、テキストを編集できます。 デフォルト値は true です。

構文

'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (FlexTree)

クラス

FlexTree.

処理

[読み取り専用] データ プロバイダーの項目を編集できるかどうか。

構文

'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] このコントロールのテキストの編集が許可されているかどうかを示すフラグ。

構文

'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] このコントロールのテキストの編集が許可されているかどうかを示すフラグ。

構文

'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Edit メソッド (FlexDataGrid)

クラス

FlexDataGrid.

処理

項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。

構文

dataGrid.Edit(itemRenderer, rowIndex, columnIndex)
変数 | 説明
itemRenderer | 編集される項目の項目レンダラ。 String。
rowIndex | データ プロバイダーの項目の 0 を基準としたインデックス。 Integer。
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。


Edit メソッド (FlexList)

クラス

FlexList.

処理

項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。

構文

list.Edit(itemRenderer, rowIndex, columnIndex)
変数 | 説明
itemRenderer | 編集される項目の項目レンダラ。 String。
rowIndex | イベントに関連付けられた項目の 0 を基準としたインデックス。 Integer。
columnIndex | イベントに関連付けられた列の 0 を基準としたインデックス。 Integer。


EditNext メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

次のデータ グリッド セルを編集モードに設定します。

構文

dataGrid.EditNext()


Emphasized プロパティ (SparkButton)

クラス

SparkButton.

処理

[読み取り専用] フォーカス マネージャーによって要求さたとおりのデフォルト ボタンかどうか。

構文

'Declaration
Protected Read Property emphasized As Boolean

アクセス

読み取り専用。


Enabled プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントがユーザー操作を受け付けることができるかどうか。

enabled プロパティを false に設定しても、mouseOver などのマウス操作に応答するコンポーネントがあります。 結果として、UIComponent を完全に無効化するには、mouseEnabled プロパティの値も false に設定する必要があります。 コンテナーの enabled プロパティを false に設定すると、コンテナーとそのすべての子の色が薄暗くなり、コンテナーとそのすべての子に対するユーザー入力がブロックされます。

構文

'Declaration
Protected Read Property enabled As Boolean

アクセス

読み取り専用。


Enabled プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] ムービー クリップが有効かどうか。

デフォルト値は true です。 enabled が false に設定されている場合、ムービー クリップの [オーバー]、[ダウン]、[アップ] の各フレームは無効になります。 ムービー クリップは、イベント (mouseDown、mouseUp、keyDown、keyUp など) を引き続き受け取ります。

構文

'Declaration
Protected Read Property enabled As Boolean

アクセス

読み取り専用。


EnableIME プロパティ (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

[読み取り専用] コンポーネントにフォーカスがあるときに IME を有効にするかどうかの値。

構文

'Declaration
Protected Read Property enableIME As Boolean

アクセス

読み取り専用。


EnableIME プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。

構文

'Declaration
Protected Read Property enableIME As Boolean

アクセス

読み取り専用。


EnableIME プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。

構文

'Declaration
Protected Read Property enableIME As Boolean

アクセス

読み取り専用。


ErrorColor プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 検証が失敗したときにコンポーネントをハイライトする色。

検証失敗時にコンポーネントの borderColor スタイルもこの errorColor に設定されます。 デフォルト値は 0xFF0000 です。

構文

'Declaration
Protected Read Property errorColor As Color

アクセス

読み取り専用。


ErrorColor プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] 検証が失敗したときにコンポーネントをハイライトする色。

構文

'Declaration
Protected Read Property errorColor As Color

アクセス

読み取り専用。


ErrorString プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。

構文

'Declaration
Protected Read Property errorString As String

アクセス

読み取り専用。


ErrorString プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。

構文

'Declaration
Protected Read Property errorString As String

アクセス

読み取り専用。


ExplodeRadius プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 0 から 1 までの数値。円系列の全区分をグラフの中心からどのくらい分離するかを全半径のパーセンテージで指定します。

この値は、円系列の全区分を均一に分離する値です。

構文

'Declaration
Protected Read Property explodeRadius As Double

アクセス

読み取り専用。


Field プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] PieChart コントロールの各区分のデータを決定するデータ プロバイダーのフィールド。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property field As String

アクセス

読み取り専用。


FillAlphas プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コントロールの背景の塗りつぶしに使用するアルファ値。

コントロールの背景を不透明にするには [1, 1] を使用します。 デフォルト値は [ 0.6, 0.4 ] です。

構文

'Declaration
Protected Read Property fillAlphas As List(Of Double)

アクセス

読み取り専用。


FillAlphas プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コントロールの背景の塗りつぶしに使用するアルファ値。

コントロールの背景を不透明にするには [1, 1] を使用します。 デフォルト値は [ 0.6, 0.4 ] です。

構文

'Declaration
Protected Read Property fillAlphas As List(Of Double)

アクセス

読み取り専用。


FillAlphas プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントの背景の塗りつぶしに使用するアルファ透過値。

2 つまたは 4 つの要素を持つ配列を設定します。 0 番目と 1 番目の要素には、アルファ値の傾きの開始値と終了値を指定します。 2 番目と 3 番目の要素が存在する場合、コントロールがマウスオーバー状態にあるときに、それらは要素 0 と 1 の代わりに使用されます。 グローバルのデフォルト値は [ 0.60, 0.40, 0.75, 0.65 ] です。 ApplicationControlBar コンテナーなどのコンポーネントのデフォルト値は異なります。 ApplicationControlBar コンテナーの場合のデフォルト値は [ 0.0, 0.0 ] です。

非推奨 3.0： headerStyleName を推奨

構文

'Declaration
Protected Read Property fillAlphas As List(Of Double)

アクセス

読み取り専用。


FillColors プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。

RGB 色を指定する 2 つまたは 4 つの uint 値要素を持つ配列を設定します。 0 番目と 1 番目の要素には、色の傾きの開始値と終了値を指定します。 2 番目と 3 番目の要素が存在する場合、コントロールがマウスオーバー状態にあるときに、それらは要素 0 と 1 の代わりに使用されます。 平面的なコントロールの場合、要素 0 と 1、および要素 2 と 3 に同じ色を設定します。デフォルト値は [ 0xFFFFFF, 0xCCCCCC, 0xFFFFFF, 0xEEEEEE ] です。

ApplicationControlBar コンテナーなどのコンポーネントのデフォルト値は異なります。 ApplicationControlBar コンテナーの場合のデフォルト値は [ 0xFFFFFF, 0xFFFFFF ] です。

非推奨 3.0： headerStyleName を推奨

構文

'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

非推奨 3.0： nextMonthStyleFilters、prevMonthStyleFilters を推奨

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。 平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。

RGB 色を指定する 2 つまたは 4 つの uint 値要素を持つ配列を設定します。 0 番目と 1 番目の要素には、色の傾きの開始値と終了値を指定します。 2 番目と 3 番目の要素が存在する場合、コントロールがマウスオーバー状態にあるときに、それらは要素 0 と 1 の代わりに使用されます。 平面的なコントロールの場合、要素 0 と 1、および要素 2 と 3 に同じ色を設定します。デフォルト値は [ 0xFFFFFF, 0xCCCCCC, 0xFFFFFF, 0xEEEEEE ] です。

ApplicationControlBar コンテナーなどのコンポーネントのデフォルト値は異なります。 ApplicationControlBar コンテナーの場合のデフォルト値は [ 0xFFFFFF, 0xFFFFFF ] です。

非推奨 3.0： headerStyleName を推奨

構文

'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillMode プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 次元内でのビットマップ塗りつぶしの方法を決定します。

構文

'Declaration
Protected Read Property fillMode As String

アクセス

読み取り専用。


FirstDayOfWeek プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールの最初の列に表示される曜日を表す数値。

値は 0 ? 6 の範囲内である必要があり、dayNames 配列の最初の要素である 0 が日曜日に該当します。

このプロパティを設定すると、曜日列の順番が変わります。 たとえば、1 に設定すると月曜日がコントロールの最初の列になります。

デフォルト値は 0 (日曜日) です。

構文

'Declaration
Protected Read Property firstDayOfWeek As Integer

アクセス

読み取り専用。


FirstDayOfWeek プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールの最初の列に表示する曜日（0-6、ここで 0 は dayNames 配列の最初の要素）。

構文

'Declaration
Protected Read Property firstDayOfWeek As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FocusAlpha プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。

構文

'Declaration
Protected Read Property focusAlpha As Double

アクセス

読み取り専用。


FocusAlpha プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。

構文

'Declaration
Protected Read Property focusAlpha As Double

アクセス

読み取り専用。


FocusEnabled プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントが選択時にフォーカスを取得できるかどうか。

UIComponent が別のコンポーネントのサブコンポーネントとして使用される場合、focusEnabled を false に設定して、外側のコンポーネントをフォーカスを持つことができるようにできます。 このプロパティが false の場合、focusEnabled が true に設定されている最初の親にフォーカスが渡されます。

構文

'Declaration
Protected Read Property focusEnabled As Boolean

アクセス

読み取り専用。


FocusEnabled プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントが選択時にフォーカスを取得できるかどうか。

構文

'Declaration
Protected Read Property focusEnabled As Boolean

アクセス

読み取り専用。


FontFamily プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontSize プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Integer

アクセス

読み取り専用。


FontSize プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Integer

アクセス

読み取り専用。


FontSize プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontStyle プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストがボールド体かどうか。 有効な値は、normal および bold です。

Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FooterColors プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] フッター（ControlBar コンテナーの領域）の背景の描画に使用される 2 色の配列。

1 つ目の色は上の色です。 2 つ目の色は下の色です。 デフォルト値は Nothing であり、コントロール バーの背景はパネルの背景と同じになります。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property footerColors As List(Of Color)

アクセス

読み取り専用。


Form プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] 領域の境界のタイプ。

有効な値は次のとおりです。
  • curve - 各データ ポイント間の境界に曲線を描画します。
  • horizontal - 最初のポイントの x 座標から、2 番目のポイントの y 座標がある位置の x 座標までの境界線だけを描画します。 これを各データ ポイントについて繰り返します。
  • reverseStep - 領域の境界を水平のセグメントとして描画します。最初のデータ ポイントでは水平の境界線を描画し、次に 2 番目のデータ ポイントまで垂直の境界線を描画して、以降各データ ポイントについてこれを繰り返します。
  • segment - 系列の各データ ポイントで連結するよう角度を付けて、連結されたセグメントとして領域の境界を描画します。
  • step - 領域の境界を水平のセグメントとして描画します。 最初のデータ ポイントでは水平の境界線を描画し、次に 2 番目のデータ ポイントまで垂直の境界線を描画して、以降各データ ポイントについてこれを繰り返します。
  • vertical - 最初のポイントの y 座標から、2 番目のポイントの x 座標がある位置の y 座標までの境界線だけを描画します。 これを各データ ポイントについて繰り返します。

デフォルト値は segment です。

構文

'Declaration
Protected Read Property form As String

アクセス

読み取り専用。


Form プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] グラフの線のタイプ。

有効な値は次のとおりです。
  • curve - 各データ ポイント間に曲線を描画します。
  • horizontal - 最初のポイントの x 座標から、2 番目のポイントの y 座標がある位置の x 座標までの縦線だけを描画します。 これを各データ ポイントについて繰り返します。
  • reverseStep - 線を水平のセグメントとして描画します。 最初のデータ ポイントでは縦線を描画し、次に 2 番目のデータ ポイントまで横線を描画して、以降各データ ポイントについてこれを繰り返します。
  • segment - 系列の各データ ポイントで連結するよう角度を付けて、連結されたセグメントとして線を描画します。
  • step - 線を水平のセグメントとして描画します。 最初のデータ ポイントでは横線を描画し、次に 2 番目のデータ ポイントまで垂直の境界線を描画して、以降各データ ポイントについてこれを繰り返します。
  • vertical - 最初のポイントの y 座標から、2 番目のポイントの x 座標がある位置の y 座標までの縦線だけを描画します。 これを各データ ポイントについて繰り返します。

The default value is segment.

構文

'Declaration
Protected Read Property form As String

アクセス

読み取り専用。


GetCellData メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

グリッド内のセルのデータを返します。

構文

cellData = advancedDataGrid.GetCellData(RowIndex, ColumnIndex, [RestoreOriginalPosition])
変数 | 説明
cellData | String。
RowIndex | 指定した行の 0 を基準としたインデックスを返します。 Integer。
ColumnIndex | 指定した列の 0 を基準としたインデックスを返します。 Integer。
RestoreOriginalPosition | 省略可能: 取得後に以前の位置に戻すかどうか。 Boolean。


GetGroupedItemChildrenCount メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

グループの最初の項目内にある子の数を返します。

構文

groupedItemChildrenCount = advancedDataGrid.GetGroupedItemChildrenCount(RowIndex, [RestoreOriginalPosition])
変数 | 説明
groupedItemChildrenCount | Integer。
RowIndex | 指定した行の 0 を基準としたインデックスを返します。 Integer。
RestoreOriginalPosition | 省略可能: 取得後に以前の位置に戻すかどうか。 Boolean。


GetItemsCount メソッド (SparkListBase)

クラス

SparkListBase.

処理

ComboBox の項目の数を取得します。

構文

itemsCount = listBase.GetItemsCount()
変数 | 説明
itemsCount | Integer。


GetRowData メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

データ プロバイダーの項目の行のデータを返します。

構文

rowData = advancedDataGrid.GetRowData(RowIndex, [RestoreOriginalPosition])
変数 | 説明
rowData | String。
RowIndex | データ プロバイダーの項目の 0 を基準としたインデックス。 Integer。
RestoreOriginalPosition | 省略可能: 取得後に以前の位置に戻すかどうか。 Boolean。


GetStyle メソッド (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。

構文

style = displayObject.GetStyle(name)
変数 | 説明
style | String。
name | スタイルの名前。 String。


GetValues メソッド (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

values = axisRenderer.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexChart)

クラス

FlexChart.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

values = chart.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexChartLegend)

クラス

FlexChartLegend.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

values = chartLegend.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexChartSeries)

クラス

FlexChartSeries.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

values = chartSeries.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexComboBox)

クラス

FlexComboBox.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

values = comboBox.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexContainer)

クラス

FlexContainer.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。

構文

values = container.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexListBase)

クラス

FlexListBase.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

values = listBase.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexMenu)

クラス

FlexMenu.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

values = menu.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexMenuBar)

クラス

FlexMenuBar.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

values = menuBar.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexRepeater)

クラス

FlexRepeater.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

values = repeater.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

構文

values = groupBase.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

構文

values = richEditableText.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

構文

values = skinnableContainerBase.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

構文

values = skinnableTextBase.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GroupName プロパティ (FlexRadioButton)

クラス

FlexRadioButton.

処理

[読み取り専用] この RadioButton コントロールが属するグループの名前。または、この RadioButton が RadioButtonGroup コントロールによって定義されたグループの一部の場合は、RadioButtonGroup コントロールの id プロパティの値を指定します。

デフォルト値は undefined です。

構文

'Declaration
Protected Read Property groupName As String

アクセス

読み取り専用。


GroupName プロパティ (SparkRadioButton)

クラス

SparkRadioButton.

処理

[読み取り専用] この RadioButton コンポーネントが属するグループの名前。または、この RadioButton が RadioButtonGroup コンポーネントによって定義されたグループの一部の場合は、RadioButtonGroup コンポーネントの id プロパティの値を指定します。

構文

'Declaration
Protected Read Property groupName As String

アクセス

読み取り専用。


GutterBottom プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。

構文

'Declaration
Protected Read Property gutterBottom As Integer

アクセス

読み取り専用。


GutterLeft プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。

構文

'Declaration
Protected Read Property gutterLeft As Integer

アクセス

読み取り専用。


GutterRight プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。

構文

'Declaration
Protected Read Property gutterRight As Integer

アクセス

読み取り専用。


GutterTop プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。

構文

'Declaration
Protected Read Property gutterTop As Integer

アクセス

読み取り専用。


HeaderClick メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。

構文

advancedDataGrid.HeaderClick(columnIndex, [dataField, keyModifier])
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。
dataField | 省略可能: 列に関連付けられたデータのフィールドまたはプロパティの名前。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


HeaderClick メソッド (FlexDataGrid)

クラス

FlexDataGrid.

処理

列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。

列がソート可能で、データ プロバイダーが並べ替えをサポートしている場合にのみディスパッチされます。

構文

dataGrid.HeaderClick(columnIndex)
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。


HeaderClick メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

指定した列ヘッダーをクリックします。

構文

dataGrid.HeaderClick(columnIndex)
変数 | 説明
columnIndex | 列ヘッダーのインデックス。 Integer。


HeaderColors プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。

1 つ目の色は上の色です。 2 つ目の色は下の色です。

構文

'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderColors プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。

1 つ目の色は上の色です。 2 つ目の色は下の色です。 デフォルト値は [0xFFFFFF, 0xE6E6E6] です。

構文

'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderColors プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールの上部にある帯状の領域の色。 デフォルト値は [ 0xE6EEEE, 0xFFFFFF ] です。

非推奨 3.0。 dateChooserStyleName を推奨

構文

'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderColors プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールの上部にある帯状の領域の色。 デフォルト値は [ 0xE6EEEE, 0xFFFFFF ] です。

非推奨 3.0。 dateChooserStyleName を推奨

構文

'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderColors プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] ヘッダーを描画するために使用する 2 色の配列。

1 つ目の色は上の色です。 2 つ目の色は下の色です。 デフォルト値は Nothing であり、ヘッダーの背景はパネルの背景と同じになります。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderHeight プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] Accordion ヘッダーの高さ（ピクセル単位）。

デフォルト値はヘッダーのフォント スタイルに基づいて自動的に計算されます。

構文

'Declaration
Protected Read Property headerHeight As Integer

アクセス

読み取り専用。


HeaderHeight プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 列のヘッダー セルの高さ（ピクセル単位）。

構文

'Declaration
Protected Read Property headerHeight As Double

アクセス

読み取り専用。


HeaderHeight プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] ヘッダーの高さ。 デフォルト値はタイトル テキストのスタイルに基づいて計算されます。

構文

'Declaration
Protected Read Property headerHeight As Integer

アクセス

読み取り専用。


HeaderShift メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。

構文

advancedDataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
変数 | 説明
newIndex | 変更後のヘッダーの 0 を基準としたインデックス。 Integer。
oldIndex | 変更前のヘッダーの 0 を基準としたインデックス。 Integer。
triggerEvent | 省略可能: このイベントを発生させたイベント。 FlexTriggerEvent。


HeaderShift メソッド (FlexDataGrid)

クラス

FlexDataGrid.

処理

ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。

構文

dataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
変数 | 説明
newIndex | 変更後のヘッダーの 0 を基準としたインデックス。 Integer。
oldIndex | 変更前のヘッダーの 0 を基準としたインデックス。 Integer。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。


HeaderStyleName プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 列ヘッダーの他の外観要素を制御する CSS スタイル宣言の名前。 デフォルト値は dataGridStyles です。

構文

'Declaration
Protected Read Property headerStyleName As String

アクセス

読み取り専用。


HeightInLines プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 行数で表したコントロールのデフォルトの高さ。

構文

'Declaration
Protected Read Property heightInLines As Double

アクセス

読み取り専用。


HeightInLines プロパティ (SparkTextArea)

クラス

SparkTextArea.

処理

[読み取り専用] 行数で表したコントロールのデフォルトの高さ。

構文

'Declaration
Protected Read Property heightInLines As Double

アクセス

読み取り専用。


HeightLimit プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸レンダラがグラフから取得するスペースの最大値（ピクセル単位）。

構文

'Declaration
Protected Read Property heightLimit As Double

アクセス

読み取り専用。


Height プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 表示オブジェクトの高さ（ピクセル単位）。

高さは表示オブジェクトの内容の境界に基づいて計算されます。 height プロパティを設定すると、scaleY プロパティがその値に従って調節されます。

構文

'Declaration
Protected Read Property height As Double

アクセス

読み取り専用。


Hide メソッド (FlexMenu)

クラス

FlexMenu.

処理

メニューまたはサブメニューが閉じたときにディスパッチされます。

構文

menu.Hide()


Hide メソッド (FlexMenuBar)

クラス

FlexMenuBar.

処理

メニューまたはサブメニューが閉じたときにディスパッチされます。

構文

menuBar.Hide()


HighlightColor プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] ドロップダウン リストのハイライト色。

構文

'Declaration
Protected Read Property highlightColor As Color

アクセス

読み取り専用。


HorizontalAlign プロパティ (FlexBox)

クラス

FlexBox.

処理

[読み取り専用] このコンテナー内の子の水平方向の配置。

有効な値は left、center および right です。 デフォルト値は left ですが、ButtonBar や ToggleButtonBar のようにこれ以外のデフォルト値になるコンテナーもあります。

構文

'Declaration
Protected Read Property horizontalAlign As String

アクセス

読み取り専用。


HorizontalAlign プロパティ (FlexFormItem)

クラス

FlexFormItem.

処理

[読み取り専用] このコンテナー内の子の水平方向の配置。

有効な値は left、center および right です。 デフォルト値は left です。

構文

'Declaration
Protected Read Property horizontalAlign As String

アクセス

読み取り専用。


HorizontalAlign プロパティ (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

[読み取り専用] この TabNavigator コンテナーの上部にあるタブの水平位置。

有効な値は left、center および right です。 デフォルト値は left です。

値が left の場合、最初のタブの左端が TabNavigator コンテナーの左端に揃えられます。 値が right の場合、最後のタブの右端が TabNavigator コンテナーの右端に揃えられます。 値が center の場合、タブが TabNavigator コンテナー上部の中央に揃えられます。

整列設定による違いが表示されるには、すべてのタブの幅の合計が TabNavigator コンテナーの幅より小さい必要があります。

構文

'Declaration
Protected Read Property horizontalAlign As String

アクセス

読み取り専用。


HorizontalAlign プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 縦横比が 1 対 1 でなく、scaleMode が BitmapScaleMode.LETTERBOX に設定されているときの、コンテンツの水平方向の配置です。

構文

'Declaration
Protected Read Property horizontalAlign As String

アクセス

読み取り専用。


HorizontalAxisRatio プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] 水平軸の高さの制限。

制限は、軸の幅とこの割合を掛けた値です。 デフォルト値は 0.33 です。

構文

'Declaration
Protected Read Property horizontalAxisRatio As Double

アクセス

読み取り専用。


HorizontalGap プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 子同士の水平方向の間隔を示すピクセル数。 デフォルト値は 8 です。

構文

'Declaration
Protected Read Property horizontalGap As Double

アクセス

読み取り専用。


HorizontalGap プロパティ (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

[読み取り専用] ピクセル単位で表したタブ間の間隔。 デフォルト値は -1 で、この場合、隣接するタブの境界線が重なります。

構文

'Declaration
Protected Read Property horizontalGap As Double

アクセス

読み取り専用。


HorizontalGridLineColor プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 水平グリッド線の色。

構文

'Declaration
Protected Read Property horizontalGridLineColor As Color

アクセス

読み取り専用。


HorizontalGridLineColor プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 水平グリッド線の色。

構文

'Declaration
Protected Read Property horizontalGridLineColor As Color

アクセス

読み取り専用。


HorizontalGridLines プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 行の間に水平グリッド線を表示するかどうか。

true の場合、データ グリッドは水平グリッド線を表示します。 false の場合、データ グリッドは水平グリッド線を表示しません。 デフォルト値は false です。

構文

'Declaration
Protected Read Property horizontalGridLines As Boolean

アクセス

読み取り専用。


HorizontalScrollPolicy プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 水平スクロール バーが表示されるかどうか（常に表示： ScrollPolicy.ON、常に非表示： ScrollPolicy.OFF、必要に応じて表示： ScrollPolicy.AUTO）。

デフォルト値は ScrollPolicy.AUTO です。

構文

'Declaration
Protected Read Property horizontalScrollPolicy As String

アクセス

読み取り専用。


HorizontalScrollPosition プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。

構文

'Declaration
Protected Read Property horizontalScrollPosition As Double

アクセス

読み取り専用。


HorizontalScrollPosition プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキストを横にスクロールするピクセル数。

構文

'Declaration
Protected Read Property horizontalScrollPosition As Double

アクセス

読み取り専用。


HtmlText プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] Label コントロールによって表示されるテキスト（そのテキストのスタイルを表現する HTML マークアップを含む）。

このプロパティで HTML テキストを指定する場合は、Flash TextField コントロールでサポートされている HTML タグのサブセットを使用できます。

構文

'Declaration
Protected Read Property htmlText As String

アクセス

読み取り専用。


HtmlText プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] TextInput コントロールによって表示されるテキスト（そのテキストのスタイルを表現する HTML マークアップを含む）。

このプロパティで HTML テキストを指定する場合は、Flash TextField コントロールでサポートされている HTML タグのサブセットを使用できます。

構文

'Declaration
Protected Read Property htmlText As String

アクセス

読み取り専用。


IconField プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。

デフォルトでは、リスト クラスの行内のテキストにはアイコンは表示されません。 ただし、アイコン フィールドを指定することにより、アイコンとして作成して行に表示するグラフィックを指定できます。 DataGrid では、このプロパティは無視されます。

デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property iconField As String

アクセス

読み取り専用。


Id プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントの ID。

この値はオブジェクトのインスタンス名になります。空白類や特殊文字を使用することはできません。 アプリケーション全体を通して各コンポーネントが一意の ID を持たなければなりません。

構文

'Declaration
Protected Read Property id As String

アクセス

読み取り専用。


Id プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 要素に対するオートメーション識別子（ID）を含んだ文字列。

構文

'Declaration
Protected Read Property id As String

アクセス

読み取り専用。


Id プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントの ID。

この値はオブジェクトのインスタンス名になります。空白類や特殊文字を使用することはできません。 アプリケーション全体を通して各コンポーネントが一意の名前を持たなければなりません。 意味のある名前を割り当てることによって、スクリプトの可読性を高めることができます。 たとえば、ボタンの値として b1 や button1 などを指定するのではなく、close_button のような値を設定すると良いでしょう。

構文

'Declaration
Protected Read Property id As String

アクセス

読み取り専用。


ImeMode プロパティ (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

[読み取り専用] IME (Input Method Editor) モード。

構文

'Declaration
Protected Read Property imeMode As String

アクセス

読み取り専用。


ImeMode プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] IME (Input Method Editor) モード。

構文

'Declaration
Protected Read Property imeMode As String

アクセス

読み取り専用。


ImeMode プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] IME (Input Method Editor) モード。

構文

'Declaration
Protected Read Property imeMode As String

アクセス

読み取り専用。


Indentation プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ナビゲーション ツリーの各ノードのインデント（ピクセル単位）。 デフォルト値は 17 です。

構文

'Declaration
Protected Read Property indentation As Integer

アクセス

読み取り専用。


Indentation プロパティ (FlexTree)

クラス

FlexTree.

処理

[読み取り専用] 各ツリー レベルのインデント（ピクセル単位）。 デフォルト値は 17 です。

構文

'Declaration
Protected Read Property indentation As Double

アクセス

読み取り専用。


Indeterminate プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ProgressBar コントロールの外観が確定モードか不確定モードか。

進捗状況を判断できない場合は、不確定モードの外観を使用します。 true を指定すると不確定モードの外観になります。 デフォルト値は false です。

構文

'Declaration
Protected Read Property indeterminate As Boolean

アクセス

読み取り専用。


InnerRadius プロパティ (FlexPieChart)

クラス

FlexPieChart.

処理

[読み取り専用] 円グラフの中心の空洞のサイズ。

このプロパティは、円グラフ全体の半径に対する中心の円の半径のパーセンテージ値を表します。 デフォルト値は 0% です。 このプロパティを使用すると、ドーナツ グラフを作成できます。

構文

'Declaration
Protected Read Property innerRadius As Double

アクセス

読み取り専用。


InnerRadius プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 系列の中心からレンダリング済み区分の内側エッジまでの距離を、系列に割り当てられた全半径のパーセンテージで指定する、0 ? 1 の数。

このプロパティは、系列に直接割り当てられます。

構文

'Declaration
Protected Read Property innerRadius As Double

アクセス

読み取り専用。


Input メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。

構文

comboBase.Input(text)
変数 | 説明
text | ユーザーが入力したテキストの文字（1 文字以上）。 イベント リスナーは text プロパティを使ってこの情報にアクセスできます。 String。


Input メソッド (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。

構文

numericStepper.Input(text)
変数 | 説明
text | ユーザーが入力したテキストの文字（1 文字以上）。 イベント リスナーは text プロパティを使ってこの情報にアクセスできます。 String。


Input メソッド (FlexTextArea)

クラス

FlexTextArea.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

textArea.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


Input メソッド (SparkComboBox)

クラス

SparkComboBox.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

comboBox.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


Input メソッド (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

numericStepper.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


Input メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

richEditableText.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


Input メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

skinnableTextBase.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


InsideLabelSizeLimit プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] フォントサイズのしきい値（ポイント）。これ以下のサイズの内部ラベルは判読不能と見なされます。

このしきい値を下回ったラベルは、labelPosition プロパティの設定に基づいて、完全に非表示になるか、コールアウトとしてレンダリングされます。

構文

'Declaration
Protected Read Property insideLabelSizeLimit As Double

アクセス

読み取り専用。


IsAIRWindow プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] このウィンドウが AIR ウィンドウかどうかを示す値。

構文

'Declaration
Protected Read Property isAIRWindow As Boolean

アクセス

読み取り専用。


IsAIRWindow プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] このウィンドウが AIR ウィンドウかどうかを示す値。

構文

'Declaration
Protected Read Property isAIRWindow As Boolean

アクセス

読み取り専用。


IsDropDownOpen プロパティ (SparkDropDownListBase)

クラス

SparkDropDownListBase.

処理

[読み取り専用] ドロップダウンが開いているかどうか。

構文

'Declaration
Protected Read Property isDropDownOpen As Boolean

アクセス

読み取り専用。


IsDropDownOpen プロパティ (SparkVolumeBar)

クラス

SparkVolumeBar.

処理

[読み取り専用] VolumeBar が開いているかどうか。

構文

'Declaration
Protected Read Property isDropDownOpen As Boolean

アクセス

読み取り専用。


IsGroupedItem メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

項目がグループのメンバーかどうかを指定する値を返します。

構文

groupedItem = advancedDataGrid.IsGroupedItem(RowIndex, [RestoreOriginalPosition])
変数 | 説明
groupedItem | Boolean。
RowIndex | 選択した項目の行インデックス。 Integer。
RestoreOriginalPosition | 省略可能: 取得後に以前の位置に戻すかどうか。 Boolean。


IsOpen プロパティ (SparkSkinnablePopUpContainer)

クラス

SparkSkinnablePopUpContainer.

処理

[読み取り専用] コンテナーが開いているかどうか。

構文

'Declaration
Protected Read Property isOpen As Boolean

アクセス

読み取り専用。


IsTruncated プロパティ (SparkTextBase)

クラス

SparkTextBase.

処理

[読み取り専用] テキストが切り詰められたかどうか。

構文

'Declaration
Protected Read Property isTruncated As Boolean

アクセス

読み取り専用。


LabelField プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。

デフォルトでは、各項目の label という名前のプロパティが検索され、リストに表示されます。 ただし、データ オブジェクトに label プロパティが含まれていない場合は、データ オブジェクト内の別のプロパティを使用するように labelField プロパティを設定できます。

デフォルト値は label です。

構文

'Declaration
Protected Read Property labelField As String

アクセス

読み取り専用。


LabelField プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。

構文

'Declaration
Protected Read Property labelField As String

アクセス

読み取り専用。


LabelGap プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 目盛りの末端からラベルの上端までの間隔の幅（ピクセル単位）。 デフォルト値は 3 です。

構文

'Declaration
Protected Read Property labelGap As Double

アクセス

読み取り専用。


LabelPlacement プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] 指定されたアイコンを基準にしたラベルの向き。

有効な MXML 値は、right、left、bottom および top です。

ActionScript では、このプロパティを設定するために、ButtonLabelPlacement.RIGHT、ButtonLabelPlacement.LEFT、ButtonLabelPlacement.BOTTOM および ButtonLabelPlacement.TOP の各定数を使用できます。

デフォルト値は ButtonLabelPlacement.RIGHT です。

構文

'Declaration
Protected Read Property labelPlacement As String

アクセス

読み取り専用。


LabelPlacement プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 凡例要素のラベルの配置。 有効な阿多灰、top、bottom、right、および left です。

構文

'Declaration
Protected Read Property labelPlacement As String

アクセス

読み取り専用。


LabelPlacement プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ラベルの配置位置。

MXML での有効な値は、right、left、bottom、center、および top です。

ActionScript では、このプロパティを設定するために、ProgressBarLabelPlacement.RIGHT、ProgressBarLabelPlacement.LEFT、ProgressBarLabelPlacement.BOTTOM、ProgressBarLabelPlacement.CENTER、および ProgressBarLabelPlacement.TOP の各定数を使用できます。

デフォルト値は ProgressBarLabelPlacement.BOTTOM です。

構文

'Declaration
Protected Read Property labelPlacement As String

アクセス

読み取り専用。


LabelPosition プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 値のラベルのレンダリング方法。

有効な値は次のとおりです。
  • none - ラベルを描画しません。
  • outside - 円グラフの境界線の周囲にラベルを描画します。
  • callout - 円グラフの右側か左側に、2 つの垂直なスタックでラベルを描画します。 必要に応じて区分を縮小して、ラベル用の領域を空けます（「maxLabelRadius」を参照）。 各ラベルから円グラフ内の関連付けられた区分まで、主要な線を描画します。 必要に応じて、ラベルを領域に合うよう縮小します。
  • inside - グラフの内部に、円グラフの各区分に沿っておよそ 10 分の 7 程度の位置を中心にして、ラベルを描画します。 ラベル同士が重ならないように、各ラベルを縮小します。 ラベルが calloutPointSize プロパティの値よりも小さくなる場合は、ラベルを削除します。 2 つのラベルが重なる場合、大きな区分のラベルが優先されます。
  • insideWithCallout - ラベルを円の中に描画しますが、判読できないサイズまで縮小された場合はコールアウトに変換します。

構文

'Declaration
Protected Read Property labelPosition As String

アクセス

読み取り専用。


Label プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] Button コントロールに表示されるテキスト。

Button コントロールよりラベルの幅の方が大きい場合、ラベルは省略記号（...）で切り詰められ、最後まで表示されません。 マウスを Button コントロール上に移動すると、ラベル全体がツール ヒントとして表示されます。 tooltip プロパティを使用してツール ヒントを設定している場合は、ラベル テキストではなくツール ヒントが表示されます。

デフォルト値は "" です。

構文

'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 凡例要素の隣に表示するテキスト。

構文

'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。

例えば、この Container が TabNavigator の子である場合、対応するタブにこの文字列が表示されます。 この Container が Accordion の子である場合、対応するヘッダーにこの文字列が表示されます。

デフォルト値は "" です。

構文

'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 進捗バーの近くに表示するテキスト。

テキスト文字列に次の特殊文字を指定することができます。
  • %1 = 現在読み込んだバイト数
  • %2 = 合計バイト数
  • %3 = 読み込み済みの割合
  • %% = "%" 文字

フィールドが不明な場合には、"??" で置換されます。未定義の場合には、ラベルは表示されません。

構文

'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (SparkButtonBase)

クラス

SparkButtonBase.

処理

[読み取り専用] ButtonBase コントロールに表示されるテキスト。

構文

'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (SparkFormItem)

クラス

SparkFormItem.

処理

[読み取り専用] FormItem のテキスト ラベルです。

構文

'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] SparkListLabel のラベル。

構文

'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


LabelRotation プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] ラベルの回転。

ラベルをデバイス フォントでレンダリングすると、ラベルは常に水平方向に描画されます。 このスタイルが負の値である場合、AxisRenderer は、ラベルが重ならないように最も小さく表示するための最適な角度を決定します。

構文

'Declaration
Protected Read Property labelRotation As Double

アクセス

読み取り専用。


Labels プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダーのラベルに使用する文字列の配列。

まずラベルがトラックの始点に配置され、次に各ラベルがトラックの始点と終点の間を等間隔に配置されます。

デフォルト値は未定義です。

構文

'Declaration
Protected Read Property labels As List(Of String)

アクセス

読み取り専用。


LabelStyleName プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダーのラベルに使用するスタイルの名前。 デフォルト値は未定義です。

構文

'Declaration
Protected Read Property labelStyleName As String

アクセス

読み取り専用。


LabelWidth プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ラベルの幅（ピクセル単位）。

値が NaN の場合、ProgressBar コントロールの幅に設定されます。 デフォルト値は NaN です。

構文

'Declaration
Protected Read Property labelWidth As Double

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LegendItemClick メソッド (FlexChartLegend)

クラス

FlexChartLegend.

処理

ユーザーが Legend コントロール内の LegendItem をクリックしたときにディスパッチされます。ユーザーが凡例項目の上でマウス ボタンをクリックしたことを示します。

構文

chartLegend.LegendItemClick(item)
変数 | 説明
item | イベントがトリガーされた Legend の項目。 String。


Length プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸の長さ（スクリーン座標）。

構文

'Declaration
Protected Read Property length As Double

アクセス

読み取り専用。


Length プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] TextArea に表示されるテキストの文字数。

構文

'Declaration
Protected Read Property length As Double

アクセス

読み取り専用。


LineScrollSize プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] 矢印ボタンが押されたときにスクロールする量（ピクセル単位）。 デフォルト値は 1 です。

構文

'Declaration
Protected Read Property lineScrollSize As Double

アクセス

読み取り専用。


LiveDragging プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダーのライブ ドラッグを有効にするかどうか。

false の場合は、value プロパティと values プロパティが設定され、ユーザーがスライダー サムのドラッグを停止したときに change イベントがディスパッチされます。 true の場合は、value プロパティと values プロパティが設定され、ユーザーがサムを移動しているときに change イベントが継続的にディスパッチされます。

デフォルト値は false です。

構文

'Declaration
Protected Read Property liveDragging As Boolean

アクセス

読み取り専用。


LockedColumnCount プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] スクロールするコントロールの最初の列のインデックス。

構文

'Declaration
Protected Read Property lockedColumnCount As Integer

アクセス

読み取り専用。


LockedRowCount プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] スクロールするコントロールの最初の行のインデックス。

構文

'Declaration
Protected Read Property lockedRowCount As Integer

アクセス

読み取り専用。


Loop プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] 再生が完了した後でメディアを再び再生する必要があるかどうかを示します。

構文

'Declaration
Protected Read Property loop As Boolean

アクセス

読み取り専用。


LuminosityClip プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] マスクされたコンテンツを輝度マスクがクリッピングするかどうか。

構文

'Declaration
Protected Read Property luminosityClip As Boolean

アクセス

読み取り専用。


LuminosityClip プロパティ (SparkRichText)

クラス

SparkRichText.

処理

[読み取り専用] マスクされたコンテンツを輝度マスクがクリッピングするかどうか。

構文

'Declaration
Protected Read Property luminosityClip As Boolean

アクセス

読み取り専用。


LuminosityInvert プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。

構文

'Declaration
Protected Read Property luminosityInvert As Boolean

アクセス

読み取り専用。


LuminosityInvert プロパティ (SparkRichText)

クラス

SparkRichText.

処理

[読み取り専用] 輝度マスクによってマスクされているグラフィック要素の RGB カラー値を計算するかどうか。

構文

'Declaration
Protected Read Property luminosityInvert As Boolean

アクセス

読み取り専用。


MarkerAspectRatio プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] この凡例項目に関連付けられたマーカーのアスペクト比。

グラフ系列により提供される一部のマーカーは、特定のアスペクト比による表示を目的として作成されています。 このプロパティが設定された場合は、凡例項目により、レイアウト中のマーカーが特定のアスペクト比で表示されます。

構文

'Declaration
Protected Read Property markerAspectRatio As Double

アクセス

読み取り専用。


MarkerHeight プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 凡例要素の高さ。

構文

'Declaration
Protected Read Property markerHeight As Integer

アクセス

読み取り専用。


MarkerWidth プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 凡例要素の幅。

構文

'Declaration
Protected Read Property markerWidth As Integer

アクセス

読み取り専用。


MaskType プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] マスクの種類。

構文

'Declaration
Protected Read Property maskType As String

アクセス

読み取り専用。


MaskType プロパティ (SparkRichText)

クラス

SparkRichText.

処理

[読み取り専用] コンポーネントにマスクを適用する方法。 有効な値は、MaskType.CLIP、MaskType.ALPHA、および MaskType.LUMINOSITY です。 クリップ マスク。 クリップ モードでマスクを適用すると、クリップ マスクが 1 ビットに減らされます。

構文

'Declaration
Protected Read Property maskType As String

アクセス

読み取り専用。


MaxBarWidth プロパティ (FlexBarChart)

クラス

FlexBarChart.

処理

[読み取り専用] 描画する横棒の幅（ピクセル単位）。

実際の棒グラフの幅は、このプロパティと barWidthRatio プロパティのうちの小さいほうが使用されます。 クラスタ化された横棒グラフは、クラスタごとの横棒グラフ間で均等に領域が分割されます。

構文

'Declaration
Protected Read Property maxBarWidth As Double

アクセス

読み取り専用。


MaxBarWidth プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] 横棒の幅（ピクセル単位）。

実際の棒グラフの幅は、このスタイルと barWidthRatio プロパティのうちの小さいほうが使用されます。 クラスタ化された横棒グラフは、クラスタごとの横棒グラフ間で均等に領域が分割されます。

構文

'Declaration
Protected Read Property maxBarWidth As Double

アクセス

読み取り専用。


MaxChars プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] テキスト フィールドにユーザーが入力できる最大文字数。

構文

'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxChars プロパティ (SparkComboBox)

クラス

SparkComboBox.

処理

[読み取り専用] ユーザーが入力するときに、プロンプト領域に入る最大の文字数。

構文

'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxChars プロパティ (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

[読み取り専用] フィールドに入力できる最大文字数。

構文

'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxChars プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。

構文

'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxChars プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。

構文

'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexCandlestickChart)

クラス

FlexCandlestickChart.

処理

[読み取り専用] 描画するロウソク足の幅（ピクセル単位）。

実際の列の幅は、このプロパティと columnWidthRatio プロパティのうちの小さいほうが使用されます。 複数のロウソク足の系列では均等にこの領域が分割されます。

構文

'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexColumnChart)

クラス

FlexColumnChart.

処理

[読み取り専用] 描画する縦棒の幅（ピクセル単位）。

実際の縦棒の幅は、このプロパティと columnWidthRatio プロパティのうちの小さいほうが使用されます。 クラスタ化された縦棒グラフは、クラスタごとの縦棒グラフ間で均等に領域が分割されます。

構文

'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 縦棒の幅（ピクセル単位）。

実際の縦棒の幅は、このスタイルと columnWidthRatio プロパティのうちの小さいほうが使用されます。 クラスタ化された縦棒グラフは、クラスタごとの縦棒グラフ間で均等に領域が分割されます。

構文

'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexHLOCChart)

クラス

FlexHLOCChart.

処理

[読み取り専用] 描画する HLOC 線の幅（ピクセル単位）。

実際の幅は、このプロパティと columnWidthRatio プロパティのうちの小さいほうが使用されます。 複数の HLOC の系列では均等にこの領域が分割されます。

構文

'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexHLOCSeriesBase)

クラス

FlexHLOCSeriesBase.

処理

[読み取り専用] 要素の幅（ピクセル単位）。

実際の要素の幅は、このスタイルと columnWidthRatio プロパティのうちの小さいほうが使用されます。 通常、この値を直接設定せずに、囲んでいるグラフによって指定されます。

構文

'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxDisplayedLines プロパティ (SparkTextBase)

クラス

SparkTextBase.

処理

[読み取り専用] テキストが切り詰められるかどうか、および切り詰められる位置を指定する整数。

構文

'Declaration
Protected Read Property maxDisplayedLines As Integer

アクセス

読み取り専用。


MaxHeight プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。

構文

'Declaration
Protected Read Property maxHeight As Double

アクセス

読み取り専用。


MaxHeight プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。

構文

'Declaration
Protected Read Property maxHeight As Double

アクセス

読み取り専用。


MaxHeight プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。

構文

'Declaration
Protected Read Property maxHeight As Double

アクセス

読み取り専用。


MaxHeight プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。

構文

'Declaration
Protected Read Property maxHeight As Double

アクセス

読み取り専用。


Maximizable プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウを最大化できるかどうかを示す値。

構文

'Declaration
Protected Read Property maximizable As Boolean

アクセス

読み取り専用。


Maximizable プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウを最大化できるかどうかを示す値。

構文

'Declaration
Protected Read Property maximizable As Boolean

アクセス

読み取り専用。


Maximizable プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウを最大化できるかどうかを示す値。

構文

'Declaration
Protected Read Property maximizable As Boolean

アクセス

読み取り専用。


Maximizable プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウを最大化できるかどうかを示す値。

構文

'Declaration
Protected Read Property maximizable As Boolean

アクセス

読み取り専用。


MaximumDataTipCount プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフが表示するデータ ヒントの最大数。

図の範囲内にこのスタイルによって許可された以上のデータ ポイントが存在する場合、距離によって優先順位付けが行われます（近いものが最初に表示される）。 デフォルト値は NaN で、範囲内にあるすべてのデータ チップが表示されることを意味します。

構文

'Declaration
Protected Read Property maximumDataTipCount As Integer

アクセス

読み取り専用。


Maximum プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] NumericStepper の最大値。

小数値を含む任意の数値を最大値として指定できます。 デフォルト値は 10 です。

構文

'Declaration
Protected Read Property maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ProgressBar の最大進捗量を示す値。 このプロパティは手動モードでのみ使用できます。

デフォルト値は 0 です。

構文

'Declaration
Protected Read Property maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダーに対して許可された最大値。 デフォルト値は 10 です。

構文

'Declaration
Protected Read Property maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] 有効な最大値。

構文

'Declaration
Protected Read Property maximum As Double

アクセス

読み取り専用。


MaxLabelRadius プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] ラベルに割り当て可能な PieSeries の半径の最大値。

この値は、系列がコールアウト ラベルをレンダリングしているときにのみ適用できます。

構文

'Declaration
Protected Read Property maxLabelRadius As Double

アクセス

読み取り専用。


MaxRadius プロパティ (FlexBubbleSeries)

クラス

FlexBubbleSeries.

処理

[読み取り専用] この系列にレンダリングされる最大の項目の半径。

BubbleChart の BubbleSeries オブジェクトを使用する場合、グラフはその maxRadius スタイル値を、グラフ内のすべての系列のこのプロパティに自動的に割り当てます。 CartesianChart コントロールの BubbleSeries オブジェクトを使用する場合、このプロパティを手動で管理します。

構文

'Declaration
Protected Read Property maxRadius As Double

アクセス

読み取り専用。


MaxWidth プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxWidth プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxWidth プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxWidth プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxWidth プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxYear プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コントロール内で選択可能な最後の年。

構文

'Declaration
Protected Read Property maxYear As Integer

アクセス

読み取り専用。


MaxYear プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] コントロール内で選択可能な最後の年。

構文

'Declaration
Protected Read Property maxYear As Integer

アクセス

読み取り専用。


MediaPlayerState プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオの現在の状態です。

構文

'Declaration
Protected Read Property mediaPlayerState As String

アクセス

読み取り専用。


MinColumnWidth プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 列の最小幅（ピクセル単位）。

構文

'Declaration
Protected Read Property minColumnWidth As Double

アクセス

読み取り専用。


MinColumnWidth プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 列の最小幅（ピクセル単位）。 NaN ではない場合、DataGrid コントロールではこの値がすべての列の最小幅として適用されます。 それ以外の場合は、個々の列に最小幅を指定できます。 デフォルト値は NaN です。

構文

'Declaration
Protected Read Property minColumnWidth As Double

アクセス

読み取り専用。


MinField プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] 領域の下部の境界を決定する dataProvider のフィールド。

Nothing の場合、領域は範囲の最小値（フィールド値が負の場合は最大値）に基づきます。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property minField As String

アクセス

読み取り専用。


MinField プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] 各横棒の下部を決定する データ プロバイダーのフィールド。

Nothing の場合、縦棒は範囲の最小値（フィールド値が負の場合は最大値）に基づきます。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property minField As String

アクセス

読み取り専用。


MinField プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 縦棒下端の y 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、縦棒は範囲の最小値（フィールド値が負の場合は最大値）に基づきます。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property minField As String

アクセス

読み取り専用。


MinHeight プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。

構文

'Declaration
Protected Read Property minHeight As Double

アクセス

読み取り専用。


MinHeight プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。

構文

'Declaration
Protected Read Property minHeight As Double

アクセス

読み取り専用。


MinHeight プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。

構文

'Declaration
Protected Read Property minHeight As Double

アクセス

読み取り専用。


MinHeight プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。

構文

'Declaration
Protected Read Property minHeight As Double

アクセス

読み取り専用。


Minimizable プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウを最小化できるかどうかを示す値。

構文

'Declaration
Protected Read Property minimizable As Boolean

アクセス

読み取り専用。


Minimizable プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウを最小化できるかどうかを示す値。

構文

'Declaration
Protected Read Property minimizable As Boolean

アクセス

読み取り専用。


Minimizable プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウを最小化できるかどうかを示す値。

構文

'Declaration
Protected Read Property minimizable As Boolean

アクセス

読み取り専用。


Minimizable プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウを最小化できるかどうかを示す値。

構文

'Declaration
Protected Read Property minimizable As Boolean

アクセス

読み取り専用。


Minimum プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] NumericStepper の最小値。

小数値を含む任意の数値を最小値として指定できます。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ProgressBar の最小進捗量を示す値。 このプロパティは、開発者が手動モードでのみ設定します。

デフォルト値は 0 です。

構文

'Declaration
Protected Read Property minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダー コントロールに対して許可された最小値。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] 有効な最小値。

構文

'Declaration
Protected Read Property minimum As Double

アクセス

読み取り専用。


MinorTickLength プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸上の小さな目盛りの長さ（ピクセル単位）。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property minorTickLength As Double

アクセス

読み取り専用。


MinorTickPlacement プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 小さな目盛りを描画する場所を示す値。 有効な値は、inside、outside、cross、および none です。

構文

'Declaration
Protected Read Property minorTickPlacement As String

アクセス

読み取り専用。


MinorTicks プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸に沿った小さな目盛りの描画位置を指定する配列。 各配列要素には、0 から 1 までの値が含まれています。

構文

'Declaration
Protected Read Property minorTicks As List(Of Double)

アクセス

読み取り専用。


MinWidth プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。

構文

'Declaration
Protected Read Property minWidth As Double

アクセス

読み取り専用。


MinWidth プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。

構文

'Declaration
Protected Read Property minWidth As Double

アクセス

読み取り専用。


MinWidth プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。

構文

'Declaration
Protected Read Property minWidth As Double

アクセス

読み取り専用。


MinWidth プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。

構文

'Declaration
Protected Read Property minWidth As Double

アクセス

読み取り専用。


MinYear プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コントロール内で選択可能な最初の年。

構文

'Declaration
Protected Read Property minYear As Integer

アクセス

読み取り専用。


MinYear プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] コントロール内で選択可能な最初の年。

構文

'Declaration
Protected Read Property minYear As Integer

アクセス

読み取り専用。


MouseEnabled プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。

このプロパティを設定すると、イベントはディスパッチされなくなります。 インタラクティブな機能を作成するには、addEventListener メソッドを使用する必要があります。

構文

'Declaration
Protected Read Property mouseEnabled As Boolean

アクセス

読み取り専用。


MouseEnabledWhereTransparent プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] Group の境界全体が、クリックやロール オーバーなどのマウス　イベントに応答するかどうかを示す値。

構文

'Declaration
Protected Read Property mouseEnabledWhereTransparent As Boolean

アクセス

読み取り専用。


MouseScroll メソッド (FlexContainer)

クラス

FlexContainer.

処理

InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。

ターゲットがテキスト フィールドの場合、デフォルトの動作ではテキストがスクロールします。 Microsoft Windows OS でのみ利用可能です。

mouseWheel イベント オブジェクトの type プロパティの値を定義します。

構文

container.MouseScroll([delta])
変数 | 説明
delta | 省略可能: マウス ホイール上の各ノッチが表す行の数。 Integer。


MouseScroll メソッド (FlexScrollBase)

クラス

FlexScrollBase.

処理

InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。

ターゲットがテキスト フィールドの場合、デフォルトの動作ではテキストがスクロールします。 Microsoft Windows OS でのみ利用可能です。

mouseWheel イベント オブジェクトの type プロパティの値を定義します。

構文

scrollBase.MouseScroll([delta])
変数 | 説明
delta | 省略可能: マウス ホイール上の各ノッチが表す行の数。 Integer。


MouseScroll メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。

構文

groupBase.MouseScroll([delta])
変数 | 説明
delta | 省略可能: スクロール量。 Integer。


MouseScroll メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。

構文

richEditableText.MouseScroll([delta])
変数 | 説明
delta | 省略可能: スクロール量。 Integer。


MouseScroll メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。

構文

skinnableTextBase.MouseScroll([delta])
変数 | 説明
delta | 省略可能: スクロール量。 Integer。


MouseSensitivity プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。

Flex では、mouseSensitivity で指定したピクセル値の範囲内にあるデータ ポイントはすべてマウス ポインターの下にあるものと見なされます。 この値は findDataPoints メソッドでも使用されます。 デフォルト値は 5 です。

構文

'Declaration
Protected Read Property mouseSensitivity As Integer

アクセス

読み取り専用。


Move メソッド (FlexObject)

クラス

FlexObject.

処理

親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。

構文

object.Move([x, y])
変数 | 説明
x | 省略可能: 親コンポーネント内におけるコンポーネントの左端からの位置。 Integer。
y | 省略可能: 親コンポーネント内におけるコンポーネントの上端からの位置。 Integer。


Multiline プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 複数行のテキストを入力できるかどうか。

構文

'Declaration
Protected Read Property multiline As Boolean

アクセス

読み取り専用。


MultiSelect メソッド (FlexListBase)

クラス

FlexListBase.

処理

複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。

構文

listBase.MultiSelect(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 項目の項目レンダラ オブジェクト。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


MuteChange メソッド (SparkMuteButton)

クラス

SparkMuteButton.

処理

コントロールのミュートを切り替えます。

構文

muteButton.MuteChange()


MuteChange メソッド (SparkVolumeBar)

クラス

SparkVolumeBar.

処理

ユーザーによる操作の結果としてミュートの状態が変更されたときにディスパッチされます。

構文

volumeBar.MuteChange()


Muted プロパティ (SparkMuteButton)

クラス

SparkMuteButton.

処理

[読み取り専用] コントロールがミュートされているかどうか。

構文

'Declaration
Protected Read Property muted As Boolean

アクセス

読み取り専用。


Muted プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオをミュートするかどうかを指定します。

構文

'Declaration
Protected Read Property muted As Boolean

アクセス

読み取り専用。


Muted プロパティ (SparkVideoPlayer)

クラス

SparkVideoPlayer.

処理

[読み取り専用] コントロールがミュートされているかどうか。

構文

'Declaration
Protected Read Property muted As Boolean

アクセス

読み取り専用。


Muted プロパティ (SparkVolumeBar)

クラス

SparkVolumeBar.

処理

[読み取り専用] コントロールがミュートされているかどうか。

構文

'Declaration
Protected Read Property muted As Boolean

アクセス

読み取り専用。


NameField プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] PieChart コントロールの各区分の名前を決定するデータ プロバイダーのフィールド。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property nameField As String

アクセス

読み取り専用。


NextValue プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] value プロパティの現在値の 1 つ後の値。maximum プロパティの値より大きくなることはありません。

構文

'Declaration
Protected Read Property nextValue As Double

アクセス

読み取り専用。


NumAutomationChildren プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] このコンテナーに含まれるオートメーションの子の数。

この合計には、オートメーション階層で重要でない子は含まれますが、組み合わされた子が含まれることはありません。

構文

'Declaration
Protected Read Property numAutomationChildren As Integer

アクセス

読み取り専用。


NumAutomationChildren プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] このコンテナーに含まれるオートメーションの子の数。

構文

'Declaration
Protected Read Property numAutomationChildren As Integer

アクセス

読み取り専用。


NumChildren プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] このコンテナーに含まれる子コンポーネントの数。

構文

'Declaration
Protected Read Property numChildren As Integer

アクセス

読み取り専用。


NumChildren プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] このオブジェクトの子の数。

構文

'Declaration
Protected Read Property numChildren As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumElements プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] このコンテナーに含まれるビジュアル要素の数。

構文

'Declaration
Protected Read Property numElements As Integer

アクセス

読み取り専用。


NumElements プロパティ (SparkSkinnableContainer)

クラス

SparkSkinnableContainer.

処理

[読み取り専用] このコンテナーに含まれるビジュアル要素の数。

構文

'Declaration
Protected Read Property numElements As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


Offset プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] 使用可能な領域の中心から横棒の中心をずらす度合い（カテゴリの幅に対する割合）。

値の範囲は -100 ? 100 のパーセンテージです。 領域の中心に棒を配置するには 0 に設定します。 このプロパティの値を -50 に設定すると、縦棒は使用可能な領域の開始位置の中央に配置されます。 通常はこのプロパティを直接設定することはありません。

デフォルト値は 0 です。

構文

'Declaration
Protected Read Property offset As Double

アクセス

読み取り専用。


Offset プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 使用可能な領域の中心から縦棒の中心をずらす度合い（カテゴリの幅に対する割合）。

デフォルト値の 0 では、縦棒は領域の中央に配置されます。 このプロパティの値を -50 に設定すると、縦棒は使用可能な領域の開始位置の中央に配置されます。 通常はこのプロパティを直接設定することはありません。 この値は、ColumnChart コントロールが columnWidthRatio プロパティに基づいて管理します。

構文

'Declaration
Protected Read Property offset As Double

アクセス

読み取り専用。


OpenDuration プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ナビゲーション ツリーの開いた状態や閉じた状態への遷移にかかる時間の長さ（ミリ秒単位）。 デフォルト値は 250 です。

構文

'Declaration
Protected Read Property openDuration As Integer

アクセス

読み取り専用。


Open メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

AdvancedDataGrid の分岐を開くまたは展開します。

構文

advancedDataGrid.Open(itemRenderer, [triggerEvent])
変数 | 説明
itemRenderer | 開く項目（ノード）の ListItemRenderer。 String。
triggerEvent | 省略可能: 項目（ノード）がユーザーとの対話によって開かれた場合、キーボードによるものかマウスによるものかを識別します。 FlexTriggerEvent。


Open メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

open イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

comboBase.Open([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがトリガーされた入力アクションの種類を示す値。 FlexTriggerEvent。


Open メソッド (FlexPopUpButton)

クラス

FlexPopUpButton.

処理

指定した UIComponent が開くときにディスパッチされます。

DropdownEvent.OPEN 定数は、open イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

popUpButton.Open([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがトリガーされた入力アクションの種類を示す値。 FlexTriggerEvent。


Open メソッド (FlexTree)

クラス

FlexTree.

処理

ツリーの分岐を開くまたは展開します。

構文

tree.Open(itemRenderer, [triggerEvent])
変数 | 説明
itemRenderer | 開く項目（ノード）の ListItemRenderer。 String。
triggerEvent | 省略可能: 項目（ノード）がユーザーとの対話によって開かれた場合、キーボードによるものかマウスによるものかを識別します。 FlexTriggerEvent。


Open メソッド (SparkDropDownListBase)

クラス

SparkDropDownListBase.

処理

ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。

構文

dropDownListBase.Open([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。


Open メソッド (SparkVolumeBar)

クラス

SparkVolumeBar.

処理

ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。

構文

volumeBar.Open([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。


OuterRadius プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 領域全体のうち PieSeries が系列の内容をレンダリングする場合に使用可能な領域の割合。

この値はグラフによって管理されるため、直接割り当てないでください。 この値の範囲は 0 から 1 です。

構文

'Declaration
Protected Read Property outerRadius As Double

アクセス

読み取り専用。


PaddingBottom プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] コンテナーの下境界線とコンテンツ領域との間にあるピクセル数。

デフォルト値は -1 で、この場合、最後のヘッダーの下境界線が、Accordion コンテナーの下境界線と重なります。

構文

'Declaration
Protected Read Property paddingBottom As Double

アクセス

読み取り専用。


PaddingBottom プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 行の下端と行内のレンダラの下端との間のピクセル数。

構文

'Declaration
Protected Read Property paddingBottom As Integer

アクセス

読み取り専用。


PaddingBottom プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフの下境界線とコンテンツ領域との間にあるピクセル数。

構文

'Declaration
Protected Read Property paddingBottom As Integer

アクセス

読み取り専用。


PaddingLeft プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。

構文

'Declaration
Protected Read Property paddingLeft As Integer

アクセス

読み取り専用。


PaddingLeft プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。

構文

'Declaration
Protected Read Property paddingLeft As Integer

アクセス

読み取り専用。


PaddingLeft プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。

構文

'Declaration
Protected Read Property paddingLeft As Integer

アクセス

読み取り専用。


PaddingRight プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property paddingRight As Integer

アクセス

読み取り専用。


PaddingRight プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property paddingRight As Integer

アクセス

読み取り専用。


PaddingRight プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property paddingRight As Integer

アクセス

読み取り専用。


PaddingTop プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] コンテナーの上境界線とコンテンツ領域との間にあるピクセル数。

デフォルト値は -1 で、この場合、最初のヘッダーの上境界線が、Accordion コンテナーの上境界線と重なります。

構文

'Declaration
Protected Read Property paddingTop As Double

アクセス

読み取り専用。


PaddingTop プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 行の上端と行内のレンダラの上端との間のピクセル数。

構文

'Declaration
Protected Read Property paddingTop As Integer

アクセス

読み取り専用。


PaddingTop プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフの上境界線とコンテンツ領域との間にあるピクセル数。

構文

'Declaration
Protected Read Property paddingTop As Integer

アクセス

読み取り専用。


PageScrollSize プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] スクロール バーのトラックが押されたときのスクロール サムの移動量（ピクセル単位）。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property pageScrollSize As Double

アクセス

読み取り専用。


PageSize プロパティ (SparkScrollBar)

クラス

SparkScrollBar.

処理

[読み取り専用] changeValueByPage() メソッドを呼び出したときに value プロパティの値における変更。

構文

'Declaration
Protected Read Property pageSize As Double

アクセス

読み取り専用。


PauseWhenHidden プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオが非表示になっても再生を続行するかどうかを制御します。

構文

'Declaration
Protected Read Property pauseWhenHidden As Boolean

アクセス

読み取り専用。


PercentComplete プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 完了した処理のパーセンテージ。 0 から 100 の範囲の値です。

構文

'Declaration
Protected Read Property percentComplete As Double

アクセス

読み取り専用。


PercentHeight プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。

指定できる値は 0 から 100 です。 デフォルト値は NaN です。 height または explicitHeight プロパティを設定すると、このプロパティは NaN にリセットされます。

このプロパティは、前に設定されている場合にのみ数値を返します。コンポーネントの正確なサイズをパーセンテージで示しているわけではありません。

UITextField コントロールに対しては、このプロパティは常に NaN に設定されます。

構文

'Declaration
Protected Read Property percentHeight As Double

アクセス

読み取り専用。


PercentHeight プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。

構文

'Declaration
Protected Read Property percentHeight As Double

アクセス

読み取り専用。


PercentWidth プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。

このプロパティは、前に設定されている場合にのみ数値を返します。コンポーネントの正確なサイズをパーセンテージで示しているわけではありません。

UITextField コントロールに対しては、このプロパティは常に NaN に設定されます。

構文

'Declaration
Protected Read Property percentWidth As Double

アクセス

読み取り専用。


PercentWidth プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。

構文

'Declaration
Protected Read Property percentWidth As Double

アクセス

読み取り専用。


Placement プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] グラフで axisRenderer が表示される側。

構文

'Declaration
Protected Read Property placement As String

アクセス

読み取り専用。


Playing プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオが再生中である場合、または再生試行中であるかどうか。

構文

'Declaration
Protected Read Property playing As Boolean

アクセス

読み取り専用。


Playing プロパティ (SparkVideoPlayer)

クラス

SparkVideoPlayer.

処理

[読み取り専用] ビデオが再生中である場合、または再生試行中であるかどうか。

構文

'Declaration
Protected Read Property playing As Boolean

アクセス

読み取り専用。


PopUpHeightMatchesAnchorHeight プロパティ (SparkPopUpAnchor)

クラス

SparkPopUpAnchor.

処理

[読み取り専用] ポップアップ コントロールの高さが PopUpAnchor の高さと同じ値に設定されるかどうかを指定します。

構文

'Declaration
Protected Read Property popUpHeightMatchesAnchorHeight As Boolean

アクセス

読み取り専用。


PopUpPosition プロパティ (SparkPopUpAnchor)

クラス

SparkPopUpAnchor.

処理

[読み取り専用] ポップアップ コントロールが開かれるときの、PopUpAnchor コンポーネントに対する相対的な位置です。

構文

'Declaration
Protected Read Property popUpPosition As String

アクセス

読み取り専用。


PopUpWidthMatchesAnchorWidth プロパティ (SparkPopUpAnchor)

クラス

SparkPopUpAnchor.

処理

[読み取り専用] ポップアップ コントロールの幅が PopUpAnchor の幅と同じ値に設定されるかどうかを指定します。

構文

'Declaration
Protected Read Property popUpWidthMatchesAnchorWidth As Boolean

アクセス

読み取り専用。


PreliminaryHeight プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] イメージの境界が "measured" となるようレイアウトで要求されているものの、イメージ データのロードがまだ完了していない場合に、高さに使用する予測を示します。

構文

'Declaration
Protected Read Property preliminaryHeight As Double

アクセス

読み取り専用。


PreliminaryWidth プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] イメージの境界が "measured" となるようレイアウトで要求されているものの、イメージ データのロードがまだ完了していない場合に、幅に使用する予測を示します。

構文

'Declaration
Protected Read Property preliminaryWidth As Double

アクセス

読み取り専用。


Pressed メソッド (FlexDividedBox)

クラス

FlexDividedBox.

処理

ユーザーがこのコンテナーの分割線を押したときにディスパッチされます。

dividerPress イベントは dividerDrag イベントがディスパッチされる前にディスパッチされます。

構文

dividedBox.Pressed(dividerIndex, delta)
変数 | 説明
dividerIndex | ドラッグされる分割線の 0 を基準としたインデックス。 左端、または上端の分割線の dividerIndex が 0 になります。 Integer。
delta | 分割線がドラッグされたピクセル数。 正の数は右または下方向にドラッグされたことを意味し、負の数は左または上方向にドラッグされたことを意味します。 Double。


PreviousValue プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] value プロパティの現在値の 1 つ前の値。maximum プロパティの値より小さくなることはありません。

構文

'Declaration
Protected Read Property previousValue As Double

アクセス

読み取り専用。


Prompt プロパティ (SparkDropDownList)

クラス

SparkDropDownList.

処理

[読み取り専用] DropDownList コントロールのプロンプト。

構文

'Declaration
Protected Read Property prompt As String

アクセス

読み取り専用。


RadiusField プロパティ (FlexBubbleSeries)

クラス

FlexBubbleSeries.

処理

[読み取り専用] グラフ内の他のデータ ポイントを基準にして各シンボルの半径を決定するデータ プロバイダーのフィールド。

構文

'Declaration
Protected Read Property radiusField As String

アクセス

読み取り専用。


Radius プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] データ ポイントのグラフ要素の半径（ピクセル単位）。

このプロパティは、itemRenderer プロパティを指定した場合にのみ適用されます。

デフォルト値は 4 です。

構文

'Declaration
Protected Read Property radius As Double

アクセス

読み取り専用。


Radius プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] データ ポイントのグラフ要素の半径（ピクセル単位）。

このプロパティは、itemRenderer プロパティ使用して項目レンダラを指定した場合にのみ適用されます。

デフォルト値は 4 です。

構文

'Declaration
Protected Read Property radius As Double

アクセス

読み取り専用。


Radius プロパティ (FlexPlotSeries)

クラス

FlexPlotSeries.

処理

[読み取り専用] 半径のスタイル。

各データ ポイントのグラフ要素の半径をピクセル単位で指定します。 デフォルトでは、PlotChart コントロールによって各データ ポイントに円が描画されます。

デフォルト値は 4 です。

構文

'Declaration
Protected Read Property radius As Double

アクセス

読み取り専用。


RecycleChildren プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] この Repeater が前に作成した子を再使用するのか、新しい子を作成するのかどうか。

true の場合、この Repeater の dataProvider、startingIndex または count が変更されると、新規データを既存の子にバインドすることにより、既存の子が再利用されます。 追加の子が必要な場合は、作成され、追加されます。 子が多すぎる場合には、余分な子が削除され、ガベージ コレクションが実行されます。

false の場合、この Repeater の dataProvider、startingIndex または count が変更されると、この Repeater は前に作成した子を削除し、新しいデータ項目から新たに子を作成して、追加します。

このプロパティのデフォルト値は false です。 true に設定するとパフォーマンスが向上しますが、この設定がどのような状況においても適切であるとは限りません。 例えば、前に作成した子がユーザー入力のテキストなどの状態情報を持っている場合、この状態は子が再使用されたときにリセットされません。

構文

'Declaration
Protected Read Property recycleChildren As Boolean

アクセス

読み取り専用。


Released メソッド (FlexDividedBox)

クラス

FlexDividedBox.

処理

ユーザーが分割線を離したときにディスパッチされます。

dividerRelease イベントは、dividerDrag イベントの後、ただしコンテナーの子のサイズが変更される前にディスパッチされます。 分割線の x と y プロパティはこのイベントがトリガーされた後まで更新されません。 つまり、hDividerBox.getDividerAt(0).x の呼び出しは、最初の分割線の元の x 座標の値を返します。 移動した後の分割線の座標が必要な場合は、DividerBox の updateComplete イベントがトリガーされたときにアクセスできます。

構文

dividedBox.Released(dividerIndex, delta)
変数 | 説明
dividerIndex | ドラッグされる分割線の 0 を基準としたインデックス。 左端、または上端の分割線の dividerIndex が 0 になります。 Integer。
delta | 分割線がドラッグされたピクセル数。 正の数は右または下方向にドラッグされたことを意味し、負の数は左または上方向にドラッグされたことを意味します。 Double。


Required プロパティ (SparkFormItem)

クラス

SparkFormItem.

処理

[読み取り専用] FormItem がフォームを送信する値を持たなければならないかどうか。

構文

'Declaration
Protected Read Property required As Boolean

アクセス

読み取り専用。


RequireSelection プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] コントロール内でデータ項目が常に選択されている必要があるかどうか。

構文

'Declaration
Protected Read Property requireSelection As Boolean

アクセス

読み取り専用。


ResizableColumns プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 列のサイズをユーザーが変更できるかどうか。

true の場合、ユーザーはヘッダー セル間のグリッド線をドラッグすることで DataGrid コントロールの列を拡大または縮小できます。 false の場合、ユーザーによる特定の列のサイズ変更を防ぐには、個々の列の resizeable プロパティを false に設定する必要もあります。 デフォルト値は true です。

構文

'Declaration
Protected Read Property resizableColumns As Boolean

アクセス

読み取り専用。


ResizableColumns プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 列のサイズをユーザーが変更できるかどうか。

true の場合、ユーザーはヘッダー セル間のグリッド線をドラッグすることで DataGrid コントロールの列を拡大または縮小できます。 false の場合、ユーザーによる特定の列のサイズ変更を防ぐには、個々の列の resizeable プロパティを false に設定する必要もあります。

デフォルト値は true です。

構文

'Declaration
Protected Read Property resizableColumns As Boolean

アクセス

読み取り専用。


Resizable プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウをサイズ変更できるかどうかを示す値。

構文

'Declaration
Protected Read Property resizable As Boolean

アクセス

読み取り専用。


Resizable プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウをサイズ変更できるかどうかを示す値。

構文

'Declaration
Protected Read Property resizable As Boolean

アクセス

読み取り専用。


Resizable プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウをサイズ変更できるかどうかを示す値。

構文

'Declaration
Protected Read Property resizable As Boolean

アクセス

読み取り専用。


Resizable プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウをサイズ変更できるかどうかを示す値。

構文

'Declaration
Protected Read Property resizable As Boolean

アクセス

読み取り専用。


ResizeMode プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] このコンテナーの ResizeMode。

構文

'Declaration
Protected Read Property resizeMode As String

アクセス

読み取り専用。


ResizeToContent プロパティ (FlexDividedBox)

クラス

FlexDividedBox.

処理

[読み取り専用] DividedBox が自動的に子のサイズに変更されるかどうか。

true の場合、DividedBox は自動的に子のサイズに変更されます。 デフォルト値は false です。

構文

'Declaration
Protected Read Property resizeToContent As Boolean

アクセス

読み取り専用。


Restrict プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。

構文

'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


Restrict プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] ユーザーがコントロールに入力できる文字のセット。

構文

'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


Restrict プロパティ (SparkComboBox)

クラス

SparkComboBox.

処理

[読み取り専用] ユーザーがプロンプト領域に入力できる文字のセット。

構文

'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


Restrict プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] ユーザーがテキスト フィールドに入力できる文字のセット。

構文

'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


Restrict プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] ユーザーがテキスト フィールドに入力できる文字のセット。

構文

'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


RollOverColor プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] ドロップダウン リストの rollOverColor。

構文

'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RollOverColor プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロール内の日付にマウス ポインターを合わせたときの日付のハイライト領域の色。 デフォルト値は 0xE3FFD6 です。

構文

'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RollOverColor プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロール内の日付にマウス ポインターを合わせたときの日付のハイライト領域の色。 デフォルト値は 0xE3FFD6 です。

構文

'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RollOverColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。

構文

'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RollOverColor プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目の背景色。 デフォルト値は 0xB2E1FF です。

構文

'Declaration
Protected Read Property rollOverColor As List(Of Color)

アクセス

読み取り専用。


RollOverColor プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目の背景色。

構文

'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RowCount プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 表示する行の数。

コンポーネントの高さが明示的に設定されている場合、このプロパティは無効になることがあります。

DataGrid コントロールの場合、rowCount プロパティにはヘッダー行が含まれます。 したがって、本文が 3 行とヘッダー行が 1 行含まれる DataGrid コントロールの場合、rowCount プロパティは 4 になります。

デフォルト値は 4 です。

構文

'Declaration
Protected Read Property rowCount As Integer

アクセス

読み取り専用。


RowCount プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 表示する行の数。

構文

'Declaration
Protected Read Property rowCount As Integer

アクセス

読み取り専用。


RowHeight プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 行の高さ（ピクセル単位）。

variableRowHeight プロパティが true でない場合は、すべての行が同じ高さになります。 このプロパティを指定しない場合、行の高さはレンダラのフォント サイズ、およびその他のプロパティに基づきます。

構文

'Declaration
Protected Read Property rowHeight As Double

アクセス

読み取り専用。


RowHeight プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 行の高さ。

構文

'Declaration
Protected Read Property rowHeight As Double

アクセス

読み取り専用。


ScaleGridBottom プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] スケール グリッドの下座標。

構文

'Declaration
Protected Read Property scaleGridBottom As Double

アクセス

読み取り専用。


ScaleGridLeft プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] スケール グリッドの左座標。

構文

'Declaration
Protected Read Property scaleGridLeft As Double

アクセス

読み取り専用。


ScaleGridRight プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] スケール グリッドの右座標。

構文

'Declaration
Protected Read Property scaleGridRight As Double

アクセス

読み取り専用。


ScaleGridTop プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] スケール グリッドの上座標。

構文

'Declaration
Protected Read Property scaleGridTop As Double

アクセス

読み取り専用。


ScaleMode プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] fillMode が BitmapFillMode.SCALE. に設定されている場合にイメージを伸縮する方法を指定します。

構文

'Declaration
Protected Read Property scaleMode As String

アクセス

読み取り専用。


ScaleMode プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオ コンテンツの様々なサイズ変更の方法を示します。

構文

'Declaration
Protected Read Property scaleMode As String

アクセス

読み取り専用。


ScaleX プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 水平方向の倍率を指定する係数。

デフォルト値は 1.0 で、オブジェクトは拡大/縮小されないことを意味します。 scaleX が 2.0 とは、オブジェクトが 2 倍に拡大されていることを意味し、scaleX が 0.5 とは、オブジェクトが 1/2 に縮小されていることを意味します。

0.0 は無効な値です。 コンポーネントを非表示にしたい場合には、 0.0 に設定するのではなく、小さい値に設定するか、または visible プロパティを false に設定します。

デフォルト値は 1.0 です。

このプロパティはデータ バインディングのソースとして使用できます。 このプロパティを変更すると、 scaleXChanged イベントがディスパッチされます。

構文

'Declaration
Protected Read Property scaleX As Double

アクセス

読み取り専用。


ScaleX プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] 基準点から適用されるオブジェクトの水平倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。

構文

'Declaration
Protected Read Property scaleX As Double

アクセス

読み取り専用。


ScaleY プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 垂直方向の倍率を指定する係数。

デフォルト値は 1.0 で、オブジェクトは拡大/縮小されないことを意味します。 scaleY が 2.0 とは、オブジェクトが 2 倍に拡大されていることを意味し、scaleY が 0.5 とは、オブジェクトが 1/2 に縮小されていることを意味します。

0.0 は無効な値です。 コンポーネントを非表示にしたい場合には、 0.0 に設定するのではなく、小さい値に設定するか、または visible プロパティを false に設定します。

デフォルト値は 1.0 です。

このプロパティはデータ バインディングのソースとして使用できます。 このプロパティを変更すると、 scaleYChanged イベントがディスパッチされます。

構文

'Declaration
Protected Read Property scaleY As Double

アクセス

読み取り専用。


ScaleY プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] オブジェクトの基準点から適用されるオブジェクトの垂直倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。

構文

'Declaration
Protected Read Property scaleY As Double

アクセス

読み取り専用。


ScrollDate メソッド (FlexDateChooser)

クラス

FlexDateChooser.

処理

DateChooserEvent.SCROLL 定数は、scrollevent イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

dateChooser.ScrollDate(detail)
変数 | 説明
detail | スクロールの方向。 FlexDateScrollDetail。


ScrollDate メソッド (FlexDateField)

クラス

FlexDateField.

処理

DateChooserEvent.SCROLL 定数は、scrollevent イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

dateField.ScrollDate(detail)
変数 | 説明
detail | スクロールの方向。 FlexDateScrollDetail。


Scroll メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

scroll イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

comboBase.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (FlexContainer)

クラス

FlexContainer.

処理

ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。

このイベントは、マウス（スクロール バーの下向きボタンをクリックしたときなど）またはキーボード（下矢印キーを押したときなど）を使用してスクロール位置が変更されたときにディスパッチされます。 ただし、このイベントは、スクロール位置がプログラムによって変更された場合はディスパッチされません（horizontalScrollPosition プロパティ値を設定した場合など）。 viewChanged イベントは、手動によるかプログラムによるかを問わず、スクロール位置が変更されるたびに発行されます。

このイベントがディスパッチされた時点では、スクロール バーは新しい位置に更新されていますが、コンテナーの子オブジェクトは新しいスクロール位置を反映するようにシフトしていません。

構文

container.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (FlexListBase)

クラス

FlexListBase.

処理

scroll イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

listBase.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (FlexScrollBar)

クラス

FlexScrollBar.

処理

ScrollBar コントロールがユーザーによる動作やプログラムによってスクロールされた場合にディスパッチされます。

構文

scrollBar.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (FlexTextArea)

クラス

FlexTextArea.

処理

scroll イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

textArea.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (SparkAirHTML)

クラス

SparkAirHTML.

処理

スクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。

構文

airHTML.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | 動作の方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の詳細。 ほとんどのスクロール動作の場合は、この値は THUMB_TRACK などの一覧された定数のうちの 1 つです。 イベントがスクロール バーの上下左右への移動を示している場合には、この値は、"Line" または "Page" などの動作量や LEFT などの方向を示す定数を文字列結合したものになります。 FlexScrollDetail。


Scroll メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。

構文

groupBase.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | 動作の方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の詳細。 ほとんどのスクロール動作の場合は、この値は THUMB_TRACK などの一覧された定数のうちの 1 つです。 イベントがスクロール バーの上下左右への移動を示している場合には、この値は、"Line" または "Page" などの動作量や LEFT などの方向を示す定数を文字列結合したものになります。 FlexScrollDetail。


ScrollPosition プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] 現在のスクロール位置を表す数値。

これは、minScrollPosition 以上、maxScrollPosition 以下の数値です。

デフォルト値は 0 です。

構文

'Declaration
Protected Read Property scrollPosition As Double

アクセス

読み取り専用。


ScrollToIndex メソッド (FlexListBase)

クラス

FlexListBase.

処理

指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。

その項目が表示されている場合は、その項目が最初の表示項目ではなくても、verticalScrollPosition プロパティは変更されないままになります。 項目が現在表示されていない場合は、verticalScrollPosition プロパティが変更され、その項目が最初の表示項目になります。ただし、verticalScrollPosition 値は maxVerticalScrollPosition プロパティによって制限されているため、項目を最初の表示項目にするには行が足りない場合は除きます。

構文

result = listBase.ScrollToIndex(index)
変数 | 説明
result | Boolean。
index | データ プロバイダーの項目のインデックス。 Integer。


Selectable プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 選択された項目を選択状態でリストに表示するかどうか。

true の場合、そのコントロールは選択をサポートします。 ListBase のサブクラスである Menu クラスでは、選択したメニュー項目は選択状態で表示されないので、このプロパティはデフォルトで false に設定されます。

デフォルト値は true です。

構文

'Declaration
Protected Read Property selectable As Boolean

アクセス

読み取り専用。


Selectable プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。

構文

'Declaration
Protected Read Property selectable As Boolean

アクセス

読み取り専用。


Selectable プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。

構文

'Declaration
Protected Read Property selectable As Boolean

アクセス

読み取り専用。


SelectedCell プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されているセル。

構文

'Declaration
Protected Read Property selectedCell As String

アクセス

読み取り専用。


SelectedCells プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 行インデックスおよび列インデックスとしてセル位置の配列。

selectionMode プロパティの値が変更されると、このプロパティは Nothing に設定されます。

構文

'Declaration
Protected Read Property selectedCells As String

アクセス

読み取り専用。


SelectedCells プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されているセル。

構文

'Declaration
Protected Read Property selectedCells As List(Of String)

アクセス

読み取り専用。


SelectedChartItem プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。

構文

'Declaration
Protected Read Property selectedChartItem As Integer

アクセス

読み取り専用。


SelectedChartItems プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフ内の選択されたすべての ChartItem オブジェクトの配列。

構文

'Declaration
Protected Read Property selectedChartItems As List(Of Integer)

アクセス

読み取り専用。


SelectedChild プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 現在表示されている子コンテナーへの参照。

デフォルト値は、最初の子への参照です。 子が存在しない場合は、このプロパティは Nothing です。

メモ： このプロパティは ActionScript ステートメントでのみ設定できます。MXML では設定できません。

構文

'Declaration
Protected Read Property selectedChild As String

アクセス

読み取り専用。


SelectedChild プロパティ (FlexViewStack)

クラス

FlexViewStack.

処理

[読み取り専用] 現在表示されている子コンテナーへの参照。

デフォルト値は、最初の子への参照です。 子が存在しない場合は、このプロパティは Nothing です。

構文

'Declaration
Protected Read Property selectedChild As String

アクセス

読み取り専用。


SelectedColor プロパティ (FlexColorPicker)

クラス

FlexColorPicker.

処理

[読み取り専用] SwatchPanel オブジェクト内で現在選択されている色の値。

このプロパティは、"blue" などの標準文字列の色名に設定できます。 dataProvider に黒（0x000000）のエントリが含まれている場合は、デフォルト値は 0 です。それ以外の場合は、デフォルト値はデータ プロバイダーのインデックス 0 にある項目の色です。

構文

'Declaration
Protected Read Property selectedColor As Color

アクセス

読み取り専用。


SelectedDate プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで選択された日付。

構文

'Declaration
Protected Read Property selectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールで選択された日付。

構文

'Declaration
Protected Read Property selectedDate As DateTime?

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 現在表示されている子コンテナーの 0 を基準としたインデックス。

子インデックスは、0、1、2、...、n - 1 の範囲内であり、n は子の数です。

デフォルト値は 0 で、これは最初の子に対応します。 子が存在しない場合は、このプロパティは -1 です。

構文

'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] データ プロバイダーのデータ内で選択された項目のインデックス。

複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を参照します。

構文

'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] データ プロバイダー内で選択された項目のインデックス。

prompt プロパティが存在する場合は、selectedIndex の値を -1 に設定してプロンプトを表示できます。 prompt プロパティが存在しない場合、selectedIndex は、dataProvider が設定されていれば 0 に設定されます。

ComboBox コントロールが編集可能な場合は、ユーザーがテキスト フィールドにテキストを入力すると、selectedIndex プロパティは -1 になります。

設定後にただちに有効にはならない他の多くの Flex プロパティとは異なり、selectedIndex プロパティと selectedItem プロパティは同期しているので、一方のプロパティを設定すると、もう一方のプロパティもただちに影響を受けます。

デフォルト値は -1 です。

構文

'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ プロバイダー内で選択された項目のインデックス。

デフォルト値は -1 です（選択項目なし）。

構文

'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] データ プロバイダー内で選択された項目のインデックス。

構文

'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 現在開いている Menu、または現在開いている Menu がない場合は最後に開いていた Menu の MenuBar コントロールのインデックス。

構文

'Declaration
Protected Read Property selectedIndex As Double

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexNavigationBar)

クラス

FlexNavigationBar.

処理

[読み取り専用] アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。

構文

'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexViewStack)

クラス

FlexViewStack.

処理

[読み取り専用] 現在表示されている子コンテナーの 0 を基準としたインデックス。

子インデックスは、0、1、2、...、n - 1 の範囲内であり、n は子の数です。 デフォルト値は 0 で、これは最初の子に対応します。 子が存在しない場合は、このプロパティの値は -1 です。

メモ： ViewStack コンテナーに新しい子を追加すると、選択した子がそのまま選択されるよう、selectedIndex プロパティが必要に応じて自動的に調整されます。

構文

'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行のインデックス。

構文

'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。

構文

'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndices プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] データ プロバイダーのデータ内で選択された項目のインデックスの配列。

構文

'Declaration
Protected Read Property selectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedIndices プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ プロバイダーで選択された項目のインデックスの配列。

この項目はユーザーが項目を選択した順番と逆の順番に並びます。

デフォルト値は [ ] です。

構文

'Declaration
Protected Read Property selectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedIndices プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行のインデックス。

構文

'Declaration
Protected Read Property selectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedIndices プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] 現在選択されている項目のインデックスを表すリスト。

構文

'Declaration
Protected Read Property selectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedItem プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 系列内で選択されたグラフ項目。

複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を参照します。

構文

'Declaration
Protected Read Property selectedItem As Integer

アクセス

読み取り専用。


SelectedItem プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ プロバイダー内で選択された項目への参照。

デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property selectedItem As String

アクセス

読み取り専用。


SelectedItem プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行の項目。

構文

'Declaration
Protected Read Property selectedItem As String

アクセス

読み取り専用。


SelectedItem プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] 現在選択されている項目。

構文

'Declaration
Protected Read Property selectedItem As String

アクセス

読み取り専用。


SelectedItems プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 系列内で選択されたグラフ項目の配列。

構文

'Declaration
Protected Read Property selectedItems As List(Of Integer)

アクセス

読み取り専用。


SelectedItems プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ プロバイダーで選択された項目への参照の配列。

この項目はユーザーが項目を選択した順番と逆の順番に並びます。

デフォルト値は [ ] です。

構文

'Declaration
Protected Read Property selectedItems As List(Of String)

アクセス

読み取り専用。


SelectedItems プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行の項目。

構文

'Declaration
Protected Read Property selectedItems As List(Of String)

アクセス

読み取り専用。


SelectedItems プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] 現在選択されている項目を表すオブジェクトのリスト。

構文

'Declaration
Protected Read Property selectedItems As List(Of String)

アクセス

読み取り専用。


Selected プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] トグルボタンがオン（true）またはオフ（false）のどちらであるか。

このプロパティは、toggle プロパティが true に設定されている場合にのみ設定できます。

CheckBox コントロールの場合は、ボックスにチェック マークが表示されているかどうかを示します。 RadioButton コントロールの場合は、コントロールが選択されているかどうかを示します。

ユーザーはコントロールをクリックすることでこのプロパティを変更できますが、このプロパティはプログラムによって設定することも可能です。

旧バージョンでは、toggle プロパティが true に設定されている場合、このプロパティを変更すると、change イベントもディスパッチされました。 バージョン 3.0 からは、プログラムでこのプロパティを設定した場合は、valueCommit イベントのみがディスパッチされます。

デフォルト値は false です。

構文

'Declaration
Protected Read Property selected As Boolean

アクセス

読み取り専用。


Selected プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] SparkListLabel が選択されているかどうか。

構文

'Declaration
Protected Read Property selected As Boolean

アクセス

読み取り専用。


Selected プロパティ (SparkToggleButtonBase)

クラス

SparkToggleButtonBase.

処理

[読み取り専用] ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。

構文

'Declaration
Protected Read Property selected As Boolean

アクセス

読み取り専用。


SelectedRanges プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 選択された日付の範囲。

構文

'Declaration
Protected Read Property selectedRanges As List(Of String)

アクセス

読み取り専用。


SelectIndex メソッド (FlexComboBox)

クラス

FlexComboBox.

処理

単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

comboBox.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択される項目のデータ プロバイダー インデックス。 Integer。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


SelectIndex メソッド (FlexListBase)

クラス

FlexListBase.

処理

単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

listBase.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択される項目のデータ プロバイダー インデックス。 Integer。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: インデックスのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


SelectIndex メソッド (SparkButtonBar)

クラス

SparkButtonBar.

処理

ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。

構文

buttonBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択された項目のインデックス。 Integer。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


SelectIndex メソッド (SparkList)

クラス

SparkList.

処理

ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。

構文

list.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択された項目のインデックス。 Integer。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


SelectIndex メソッド (SparkTabBar)

クラス

SparkTabBar.

処理

ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。

構文

tabBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択された項目のインデックス。 Integer。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


SelectionActivePosition プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。

構文

'Declaration
Protected Read Property selectionActivePosition As Integer

アクセス

読み取り専用。


SelectionActivePosition プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。

構文

'Declaration
Protected Read Property selectionActivePosition As Integer

アクセス

読み取り専用。


SelectionAnchorPosition プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。

構文

'Declaration
Protected Read Property selectionAnchorPosition As Integer

アクセス

読み取り専用。


SelectionAnchorPosition プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。

構文

'Declaration
Protected Read Property selectionAnchorPosition As Integer

アクセス

読み取り専用。


SelectionBeginIndex プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 現在の選択範囲の最初の文字を示す 0 を基準としたインデックス値。

構文

'Declaration
Protected Read Property selectionBeginIndex As Integer

アクセス

読み取り専用。


SelectionColor プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] ドロップダウン リストの selectionColor。

構文

'Declaration
Protected Read Property selectionColor As Color

アクセス

読み取り専用。


SelectionColor プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで現在選択されている日付のハイライト領域の色。 デフォルト値は 0xCDFFC1 です。

構文

'Declaration
Protected Read Property selectionColor As Color

アクセス

読み取り専用。


SelectionColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。

構文

'Declaration
Protected Read Property selectionColor As Color

アクセス

読み取り専用。


SelectionColor プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] メニュー項目が選択されたときのメニュー項目の背景色。 デフォルト値は 0x7FCEFF です。

構文

'Declaration
Protected Read Property selectionColor As List(Of Color)

アクセス

読み取り専用。


SelectionColor プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] メニュー項目が選択されたときのメニュー項目の背景色。

構文

'Declaration
Protected Read Property selectionColor As Color

アクセス

読み取り専用。


SelectionDisabledColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。

構文

'Declaration
Protected Read Property selectionDisabledColor As Color

アクセス

読み取り専用。


SelectionEndIndex プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 現在の選択範囲の最後の文字の直後の位置を示す 0 を基準としたインデックス。つまり、最後の文字の位置を示す 1 を基準としたインデックスと同じです。

構文

'Declaration
Protected Read Property selectionEndIndex As Integer

アクセス

読み取り専用。


SelectionHighlighting プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキスト選択がハイライトされるかどうかを示す値。

構文

'Declaration
Protected Read Property selectionHighlighting As String

アクセス

読み取り専用。


SelectionHighlighting プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] テキスト選択がハイライトされるかどうかを示す値。

構文

'Declaration
Protected Read Property selectionHighlighting As String

アクセス

読み取り専用。


SelectionLength プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行の数。

構文

'Declaration
Protected Read Property selectionLength As Integer

アクセス

読み取り専用。


SelectionMode プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] コントロールの選択モード。

有効な値は、MULTIPLE_CELLS、MULTIPLE_ROWS、NONE, SINGLE_CELL、および SINGLE_ROW です。 このプロパティの値が変更されると、selectedCells プロパティは Nothing に設定されます。

コントロール内の複数の項目を同時に選択する場合には、allowMultipleSelection プロパティを true に設定する必要があります。

選択したセルについての情報は、selectedCells プロパティに書き出されます。

デフォルト値は SINGLE_ROW です。

構文

'Declaration
Protected Read Property selectionMode As String

アクセス

読み取り専用。


SelectionMode プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] ChartItem オブジェクトが選択できるかどうか。

有効な値は、none、single、または multiple です。 グラフ項目が選択されることを防ぐには、none に設定します。 一度に 1 つの項目のみを選択可能にするには、single に設定します。 一度に複数のグラフ項目を選択可能にするには、multiple に設定します。 デフォルト値は none です。

構文

'Declaration
Protected Read Property selectionMode As String

アクセス

読み取り専用。


SelectionMode プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択モード (singlerow、multiplerows、singlecells、または multiplecells)。

構文

'Declaration
Protected Read Property selectionMode As String

アクセス

読み取り専用。


Select メソッド (FlexChart)

クラス

FlexChart.

処理

ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。

構文

chart.Select(selectionInfo)
変数 | 説明
selectionInfo | イベントが表示リスト階層の上位に渡すことができるかどうか。 List(Of String)。


Select メソッド (FlexComboBox)

クラス

FlexComboBox.

処理

単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

comboBox.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 項目の項目レンダラ オブジェクト。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Select メソッド (FlexListBase)

クラス

FlexListBase.

処理

単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

listBase.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 項目の項目レンダラ オブジェクト。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: コントロールの選択時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Select メソッド (FlexMenu)

クラス

FlexMenu.

処理

メニュー項目が選択された場合にディスパッチされます。

構文

menu.Select(itemRenderer)
変数 | 説明
itemRenderer | 選択されたメニュー項目の ListItemRenderer。 String。


Select メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

指定したデータ グリッド セルを選択します。

構文

dataGrid.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 選択された項目の itemRenderer。 String。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Select メソッド (SparkDataGroup)

クラス

SparkDataGroup.

処理

1 つ以上の項目がリストから選択解除されたときにディスパッチされます。

構文

dataGroup.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 選択解除された項目の itemRenderer。 String。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Select メソッド (SparkListBase)

クラス

SparkListBase.

処理

リスト中の項目が選択された場合にディスパッチされます。

構文

listBase.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 選択された項目の itemRenderer。 String。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。

例

たとえば、次のようにしてリスト ボックス内の項目を選択することができます。
    listBox.Select("apple")


SelectText メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

テキスト フィールド内の選択範囲を追跡します。

構文

comboBase.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択範囲の開始インデックス。 Integer。
endIndex | 選択範囲の終了インデックス。 Integer。


SelectText メソッド (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

テキスト フィールド内の選択範囲を追跡します。

構文

numericStepper.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択範囲の開始インデックス。 Integer。
endIndex | 選択範囲の終了インデックス。 Integer。


SelectText メソッド (FlexTextArea)

クラス

FlexTextArea.

処理

テキスト フィールド内の選択範囲を追跡します。

構文

textArea.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択範囲の開始インデックス。 Integer。
endIndex | 選択範囲の終了インデックス。 Integer。


SelectText メソッド (SparkComboBox)

クラス

SparkComboBox.

処理

テキストが選択された場合にディスパッチされます。

構文

comboBox.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択範囲内の最初の文字のインデックス。 Integer。
endIndex | 選択範囲内の最後の文字のインデックス。 Integer。


SelectText メソッド (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

テキストが選択された場合にディスパッチされます。

構文

numericStepper.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 最初に選択した文字のインデックス。 Integer。
endIndex | 最後に選択した文字のインデックス。 Integer。


SelectText メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

テキストが選択された場合にディスパッチされます。

構文

richEditableText.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択した最初の文字のインデックス。 Integer。
endIndex | 選択した最後の文字のインデックス。 Integer。


SelectText メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

テキストが選択された場合にディスパッチされます。

構文

skinnableTextBase.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択した最初の文字のインデックス。 Integer。
endIndex | 選択した最後の文字のインデックス。 Integer。


SequenceLabel プロパティ (SparkFormItem)

クラス

SparkFormItem.

処理

[読み取り専用] フォーム内のフォーム項目の数です。

構文

'Declaration
Protected Read Property sequenceLabel As String

アクセス

読み取り専用。


SeriesClick メソッド (FlexChartSeries)

クラス

FlexChartSeries.

処理

グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。

構文

chartSeries.SeriesClick(hitSet)
変数 | 説明
hitSet | イベントをトリガーした ChartItems を表す HitData 構造体の配列。 List(Of Integer)。


SeriesDoubleClick メソッド (FlexChartSeries)

クラス

FlexChartSeries.

処理

グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。

構文

chartSeries.SeriesDoubleClick(hitSet)
変数 | 説明
hitSet | イベントをトリガーした ChartItems を表す HitData 構造体の配列。 List(Of Integer)。


SeriesItemRollOver メソッド (FlexChartSeries)

クラス

FlexChartSeries.

処理

グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。

構文

chartSeries.SeriesItemRollOver(hitSet)
変数 | 説明
hitSet | イベントをトリガーした ChartItems を表す HitData 構造体の配列。 List(Of Integer)。


SetFocus メソッド (FlexObject)

クラス

FlexObject.

処理

このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。

メモ： メソッドでフォーカスを設定したときにハイライト表示されるのは、TextInput および TextArea コントロールだけです。 ユーザーがコントロールをタブで選択したときには、すべてのコントロールがハイライト表示されます。

構文

object.SetFocus()


SetFocus メソッド (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

コンポーネントがフォーカスを受け取ったときに FocusManager によって呼ばれます。 コンポーネントはその内部のコンポーネントに順々にフォーカスを設定できます。

構文

uIMovieClip.SetFocus()


ShowCloseButton プロパティ (FlexTitleWindow)

クラス

FlexTitleWindow.

処理

[読み取り専用] TitleWindow コンテナー内に閉じるボタンを表示するかどうか。 デフォルト値は false です。

構文

'Declaration
Protected Read Property showCloseButton As Boolean

アクセス

読み取り専用。


ShowDataTip プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] ユーザーが操作している間、データ ヒントを表示するかどうか。

true に設定されている場合、ユーザーが操作している間、スライダーの現在の値を含むデータ ヒントを表示します。

デフォルト値は true です。

構文

'Declaration
Protected Read Property showDataTip As Boolean

アクセス

読み取り専用。


ShowDataTips プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフの DataTip コントロールが表示されるかどうか。

DataTip コントロールはツール チップに似ていますが、マウス ポインターから最も近いグラフのデータ ポイントを表す適切な値が表示されるという点で異なります。

構文

'Declaration
Protected Read Property showDataTips As Boolean

アクセス

読み取り専用。


ShowDataTips プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 行内のテキストに対して dataTips を表示するかどうか。

true の場合、dataTips が表示されます。 dataTips は、行に表示するには長すぎるテキストを表示するためのツール ヒントです。 dataTipFunction を設定すると、行に対してテキストが長すぎるかどうかに関係なく、dataTips が表示されます。

デフォルト値は false です。

構文

'Declaration
Protected Read Property showDataTips As Boolean

アクセス

読み取り専用。


ShowDataTips プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] データ ヒントが表示されるかどうか。

構文

'Declaration
Protected Read Property showDataTips As Boolean

アクセス

読み取り専用。


ShowDataTipTargets プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。

構文

'Declaration
Protected Read Property showDataTipTargets As Boolean

アクセス

読み取り専用。


ShowLabels プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] ラベルを軸に沿って表示するかどうか。 デフォルト値は true です。

構文

'Declaration
Protected Read Property showLabels As Boolean

アクセス

読み取り専用。


ShowLine プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸を表示するかどうか。 デフォルト値は true です。

構文

'Declaration
Protected Read Property showLine As Boolean

アクセス

読み取り専用。


Show メソッド (FlexMenu)

クラス

FlexMenu.

処理

メニューまたはサブメニューが開いたときにディスパッチされます。

構文

menu.Show(itemRenderer)
変数 | 説明
itemRenderer | このプロパティは子の種類のイベントでは設定されません。 String。


Show メソッド (FlexMenuBar)

クラス

FlexMenuBar.

処理

メニューまたはサブメニューが開いたときにディスパッチされます。

構文

menuBar.Show(itemRenderer)
変数 | 説明
itemRenderer | このプロパティは子の種類のイベントでは設定されません。 String。


ShowsCaret プロパティ (SparkButtonBarButton)

クラス

SparkButtonBarButton.

処理

[読み取り専用] 項目レンダラがそれ自身をフォーカスありとして表示できるかどうかを示す値。

構文

'Declaration
Protected Read Property showsCaret As Boolean

アクセス

読み取り専用。


ShowsCaret プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] キャレットが表示されるかどうか。

構文

'Declaration
Protected Read Property showsCaret As Boolean

アクセス

読み取り専用。


ShowStatusBar プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ステータス バーが可視かどうかを示す値。

構文

'Declaration
Protected Read Property showStatusBar As Boolean

アクセス

読み取り専用。


ShowStatusBar プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ステータス バーが可視かどうかを示す値。

構文

'Declaration
Protected Read Property showStatusBar As Boolean

アクセス

読み取り専用。


ShowStatusBar プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ステータス バーが可視かどうかを示す値。

構文

'Declaration
Protected Read Property showStatusBar As Boolean

アクセス

読み取り専用。


ShowStatusBar プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ステータス バーが可視かどうかを示す値。

構文

'Declaration
Protected Read Property showStatusBar As Boolean

アクセス

読み取り専用。


ShowTextField プロパティ (FlexColorPicker)

クラス

FlexColorPicker.

処理

[読み取り専用] カラー ラベルまたは 16 進数のカラー値を示すテキスト ボックスを表示するかどうか。 デフォルト値は true です。

構文

'Declaration
Protected Read Property showTextField As Boolean

アクセス

読み取り専用。


ShowToday プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DataChooser コントロールで今日の日付がハイライトされているかどうか。

true の場合、DataChooser コントロールで今日がハイライトされていることを示します。 デフォルト値は true です。

構文

'Declaration
Protected Read Property showToday As Boolean

アクセス

読み取り専用。


ShowToday プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールにハイライトされる日。

true の場合、DataChooser コントロールで今日がハイライトされていることを示します。 このプロパティを設定すると、DateChooser コントロールの表示が直ちに変わります。 デフォルト値は true です。

構文

'Declaration
Protected Read Property showToday As Boolean

アクセス

読み取り専用。


Smooth プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] ビットマップ イメージにスムージング アルゴリズムを適用するかどうかを指定します。

構文

'Declaration
Protected Read Property smooth As Boolean

アクセス

読み取り専用。


SnapInterval プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] ユーザーがスライダー サムを移動したときの増分値。

たとえば、snapInterval の値を 2、minimum の値を 0、maximum の値を 10 に設定した場合、ユーザーがサムを移動すると、サムは 0、2、4、6、8、10 の値に吸着されます。 値 0 では、スライダーは、minimum 値と maximum 値の間を継続的に移動します。

デフォルト値は 0 です。

構文

'Declaration
Protected Read Property snapInterval As Double

アクセス

読み取り専用。


SnapInterval プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] snapInterval。

構文

'Declaration
Protected Read Property snapInterval As Double

アクセス

読み取り専用。


SortableColumns プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] ユーザーが列ヘッダー セルをクリックすることでデータ プロバイダー項目をソートできるかどうか。

true の場合、ユーザーは列ヘッダー セルをクリックしてデータ プロバイダー項目をソートできます。 列の DataGridColumn.dataField プロパティまたは列の DataGridColumn.sortCompareFunction プロパティがソート フィールドとして使用されます。 列をクリックするたびに、ソート順が昇順と降順で交互に切り替わります。 true の場合、個々の列の sortable プロパティを false に設定することにより、ヘッダーをクリックしても何も実行されないようにすることができます。

ユーザーがポインターを列のヘッダー セルに置いてマウス ボタンを離すと、DataGrid コントロールから headerRelease イベントがディスパッチされます。 ただし、このプロパティとその列の sortable プロパティがどちらも true であることが必要です。 このイベントに対して preventDefault() メソッドを呼び出すハンドラーが存在しない場合、DataGrid では、その列の DataGridColumn.dataField プロパティまたは DataGridColumn.sortCompareFunction プロパティを使用してソートが実行されます。

デフォルト値は true です。

構文

'Declaration
Protected Read Property sortableColumns As Boolean

アクセス

読み取り専用。


SortOnXField プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] レンダリングの前に縦棒を左から右にソートするかどうか。

デフォルトでは、ColumnSeries はデータ プロバイダーに表示される順序で縦棒をレンダリングします。

xField プロパティを使用して各縦棒の位置を決定すると、異なる順序で画面上に表示されることがあります。 縦棒は、任意の順序でレンダリングできます。 ただし、一部のカスタムの縦棒は、左から右へレンダリングされる縦棒に依存していることがあります。

デフォルト値は false です。

構文

'Declaration
Protected Read Property sortOnXField As Boolean

アクセス

読み取り専用。


SortOnXField プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] レンダリングの前に線データポイントを左から右にソートするかどうか。

デフォルトでは、LineSeries は左から右にポイントをレンダリングします。このプロパティを false に設定すると、項目はデータ プロバイダーに表示される順序でレンダリングされます。

デフォルト値は true です。

構文

'Declaration
Protected Read Property sortOnXField As Boolean

アクセス

読み取り専用。


SourceHeight プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 伸縮されていない元のイメージ データの高さを示します。

構文

'Declaration
Protected Read Property sourceHeight As Double

アクセス

読み取り専用。


Source プロパティ (FlexLoader)

クラス

FlexLoader.

処理

[読み取り専用] コンテンツとしてロードする URL、オブジェクト、クラス、または暮らすの文字列名。

source プロパティの値は、相対または絶対 URL、SWF、GIF、JPEG、または PNG を表す ByteArray、IFlexDisplayObject を実装するオブジェクト、IFlexDisplayObject を実装するタイプを持つクラス、またはクラスを表す文字列を表します。

構文

'Declaration
Protected Read Property source As String

アクセス

読み取り専用。


Source プロパティ (FlexVideoDisplay)

クラス

FlexVideoDisplay.

処理

[読み取り専用] ストリーミングする FLV ファイルの相対パスおよびファイル名。

構文

'Declaration
Protected Read Property source As String

アクセス

読み取り専用。


Source プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] コンテンツの場所です。

構文

'Declaration
Protected Read Property source As String

アクセス

読み取り専用。


SourceWidth プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 伸縮されていない元のイメージ データの幅を示します。

構文

'Declaration
Protected Read Property sourceWidth As Double

アクセス

読み取り専用。


StartAngle プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] PieChart コントロールの最初の区分の開始角度。

デフォルト値は 0 で、PieChart コントロール右側が水平になります。

構文

'Declaration
Protected Read Property startAngle As Double

アクセス

読み取り専用。


StartingIndex プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] この Repeater が子の作成を開始する dataProvider へのインデックス。

構文

'Declaration
Protected Read Property startingIndex As Integer

アクセス

読み取り専用。


StateChange メソッド (FlexWindow)

クラス

FlexWindow.

処理

ウィンドウの displaystatus が変更されたときにディスパッチされます。

構文

window.StateChange(newWindowState)
変数 | 説明
newWindowState | 新しい状態。 String。


StateChange メソッド (SparkWindow)

クラス

SparkWindow.

処理

ウィンドウの displaystatus が変更されたときにディスパッチされます。

構文

window.StateChange(newWindowState)
変数 | 説明
newWindowState | 新しい状態。 String。


Status プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] タイトル バーのステータス領域に表示されるテキスト。 デフォルト値は "" です。

構文

'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


Status プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ステータス バーに表示される文字（表示されている場合）。

構文

'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


Status プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ステータス バーに表示される文字（表示されている場合）。

構文

'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


Status プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ステータス バーに表示される文字（表示されている場合）。

構文

'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


Status プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ステータス バーに表示される文字（表示されている場合）。

構文

'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


StepSize プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] 値間の 0 でない変化単位。

value プロパティは、この数の倍数にならなければなりません。 デフォルト値は 1 です。

構文

'Declaration
Protected Read Property stepSize As Double

アクセス

読み取り専用。


StepSize プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。

構文

'Declaration
Protected Read Property stepSize As Double

アクセス

読み取り専用。


StickyHighlighting プロパティ (SparkButtonBase)

クラス

SparkButtonBase.

処理

[読み取り専用] ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。

構文

'Declaration
Protected Read Property stickyHighlighting As Boolean

アクセス

読み取り専用。


StrokeWidth プロパティ (FlexRule)

クラス

FlexRule.

処理

[読み取り専用] 罫線の太さです（ピクセル単位）。

構文

'Declaration
Protected Read Property strokeWidth As Double

アクセス

読み取り専用。


SystemChrome プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウが持っているシステム クロム（存在する場合）のタイプ。

構文

'Declaration
Protected Read Property systemChrome As String

アクセス

読み取り専用。


SystemChrome プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウが持っているシステム クロム（存在する場合）のタイプ。

構文

'Declaration
Protected Read Property systemChrome As String

アクセス

読み取り専用。


SystemChrome プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウが持っているシステム クロム（存在する場合）のタイプ。

構文

'Declaration
Protected Read Property systemChrome As String

アクセス

読み取り専用。


SystemChrome プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウが持っているシステム クロム（存在する場合）のタイプ。

構文

'Declaration
Protected Read Property systemChrome As String

アクセス

読み取り専用。


TabChildren プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。

構文

'Declaration
Protected Read Property tabChildren As Boolean

アクセス

読み取り専用。


TabEnabled プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] このオブジェクトがタブ順序に含まれるかどうか。

このオブジェクトがタブ順序に含まれる場合、値は true です。含まれない場合、値は false です。 デフォルトでは、次の例外を除き、値は false です： SimpleButton オブジェクトの場合、TextField オブジェクトが type = input を持つ場合、または Sprite オブジェクトまたは MovieClip オブジェクトが buttonMode = true を持つ場合。

構文

'Declaration
Protected Read Property tabEnabled As Boolean

アクセス

読み取り専用。


TabHeight プロパティ (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

[読み取り専用] 各タブの高さ（ピクセル単位）。

デフォルト値は未定義です。 このプロパティが未定義の場合、各タブの高さは、この TabNavigator コンテナーに適用されるフォント スタイルによって決定されます。 このプロパティを設定すると、この計算よりも設定値が優先されます。

構文

'Declaration
Protected Read Property tabHeight As Double

アクセス

読み取り専用。


TabIndex プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] SWF ファイル内のオブジェクトのタブ順序。

デフォルトでは tabIndex プロパティは -1 であり、これはそのオブジェクトにタブ インデックスが設定されないことを意味します。

SWF ファイルに現在表示されているオブジェクトに tabIndex プロパティがある場合は、自動タブ順序が無効になり、SWF ファイルのオブジェクトの tabIndex プロパティからタブ順序が計算されます。 カスタム タブ順序には、tabIndex プロパティを持つオブジェクトのみが含まれます。

tabIndex プロパティは、通常、負以外の整数です。 オブジェクトのタブ順序は、その tabIndex プロパティに従って昇順に決定されます。 tabIndex の値が 1 であるオブジェクトは、tabIndex の値が 2 であるオブジェクトの前になります。 複数のオブジェクトの tabIndex に同じ値を使用しないでください。

tabIndexプロパティで定義されるカスタム タブ順序は flat です。 つまり、SWF ファイル内のオブジェクトの階層関係は無視されます。 SWF ファイルで tabIndex プロパティを持つすべてのオブジェクトは、タブ順序に従って配置されます。タブ順序は tabIndex の値の順番に従います。

構文

'Declaration
Protected Read Property tabIndex As Integer

アクセス

読み取り専用。


TabWidth プロパティ (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

[読み取り専用] 各タブの幅（ピクセル単位）。

デフォルト値は未定義です。 このプロパティが未定義の場合、各タブの幅は、この TabNavigator コンテナーに適用されるフォント スタイルを使用したラベル テキストの幅によって決定されます。 タブの幅の合計が TabNavigator コンテナーの幅より広い場合、計算されたタブ幅が縮小されます（最小 30 ピクセルまで）。 このプロパティを設定すると、この計算よりも設定値が優先されます。

タブのラベル テキストは、タブに収まらない場合切り詰められます。 タブ ラベルが切り詰められた場合、ユーザーがタブの上にマウスを移動すると、ツール ヒントにラベル テキスト全体が表示されます。

構文

'Declaration
Protected Read Property tabWidth As Double

アクセス

読み取り専用。


TextAlign プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。 ほとんどのコンポーネントのデフォルト値は left です。

Button、LinkButton、および AccordionHeader コンポーネントでは、デフォルト値は center です。 これらのコンポーネントの場合は、このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合、テキストやアイコンは中央に配置されます。

構文

'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンテナー内のテキストの配置。 有効な値は left、right または center です。

構文

'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] コンテナー内のテキストの配置。 有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexPieChart)

クラス

FlexPieChart.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。 ほとんどのコンポーネントのデフォルト値は left です。

Button、LinkButton、および AccordionHeader コンポーネントでは、デフォルト値は center です。 これらのコンポーネントの場合は、このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合、テキストやアイコンは中央に配置されます。

構文

'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストに下線を表示するかどうか。 有効な値は none と underline です。 デフォルト値は none です。

構文

'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextIndent プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property textIndent As Double

アクセス

読み取り専用。


TextIndent プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

'Declaration
Protected Read Property textIndent As Double

アクセス

読み取り専用。


Text プロパティ (FlexAlert)

クラス

FlexAlert.

処理

[読み取り専用] この警告ダイアログ ボックスに表示するテキスト。 デフォルト値は "" です。

構文

'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキスト フィールドの内容。

構文

'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] このコントロールで表示されるプレーン テキスト。 その外観は、この Label コントロールの CSS スタイルによって決定されます。

構文

'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] コントロールに表示されるプレーン テキスト。

その外観は、この Label コントロールの CSS スタイルによって決定されます。

デフォルト値は "" です。

構文

'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] このコンポーネントによって表示されるテキスト文字列。

構文

'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] このコンポーネントによって表示されるテキスト文字列。

構文

'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (SparkTextBase)

クラス

SparkTextBase.

処理

[読み取り専用] このテキスト コンポーネントによって表示されるテキスト。

構文

'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


TextRollOverColor プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。

構文

'Declaration
Protected Read Property textRollOverColor As Color

アクセス

読み取り専用。


TextRollOverColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。

構文

'Declaration
Protected Read Property textRollOverColor As Color

アクセス

読み取り専用。


TextRollOverColor プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目のテキスト色。 デフォルト値は 0x2B333C です。

構文

'Declaration
Protected Read Property textRollOverColor As List(Of Color)

アクセス

読み取り専用。


TextSelectedColor プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 選択したテキストの色。 デフォルト値は 0x2B333C です。

構文

'Declaration
Protected Read Property textSelectedColor As Color

アクセス

読み取り専用。


TextSelectedColor プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。

構文

'Declaration
Protected Read Property textSelectedColor As Color

アクセス

読み取り専用。


TextSelectedColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。

構文

'Declaration
Protected Read Property textSelectedColor As Color

アクセス

読み取り専用。


TextSelectedColor プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] メニュー項目が選択されたときのメニュー項目のテキスト色。 デフォルト値は 0x2B333C です。

構文

'Declaration
Protected Read Property textSelectedColor As List(Of Color)

アクセス

読み取り専用。


ThemeColor プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントのテーマ色。

このプロパティは、ハイライトの外観やコンポーネントが選択されたときの外観、およびその他の同様の視覚的なキューをコントロールしますが、コンポーネントの通常の境界線や背景色には影響を与えません。 推奨される値は、haloGreen、haloBlue, haloOrange、および haloSilver です。ただし、任意の有効なカラー値を使用できます。

rollOverColor および selectionColor スタイルのデフォルト値は themeColor の値に基づきます。

デフォルト値は haloBlue です。

構文

'Declaration
Protected Read Property themeColor As Color

アクセス

読み取り専用。


ThemeColor プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントのテーマ色。

構文

'Declaration
Protected Read Property themeColor As Color

アクセス

読み取り専用。


ThumbCount プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダー上に配置できるサムの数。

有効な値は 1 または 2 です。 1 に設定した場合、スライダーの現在の値が value プロパティに格納されます。 2 に設定した場合、各サムの値で構成される配列が values プロパティに格納されます。

デフォルト値は 1 です。

構文

'Declaration
Protected Read Property thumbCount As Integer

アクセス

読み取り専用。


TickColor プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] 目盛りの色。

既知の色を、16 進数のカラー値または文字列で表した名前で指定できます。 デフォルト値は 0x6F7777 です。

構文

'Declaration
Protected Read Property tickColor As Color

アクセス

読み取り専用。


TickLength プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸上の目盛りの長さ（ピクセル単位）。 デフォルト値は 3 です。

構文

'Declaration
Protected Read Property tickLength As Double

アクセス

読み取り専用。


TickLength プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] 目盛りの長さ（ピクセル単位）。

direction が Direction.HORIZONTAL の場合は、目盛りの高さを調整します。 direction が Direction.VERTICAL の場合は、目盛りの幅を調整します。 デフォルト値は 3 です。

構文

'Declaration
Protected Read Property tickLength As Double

アクセス

読み取り専用。


TickPlacement プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 目盛りを描画する場所を示す値。 有効な値は、inside、outside、cross、および none です。

構文

'Declaration
Protected Read Property tickPlacement As String

アクセス

読み取り専用。


Ticks プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸に沿った目盛りの描画位置を指定する配列。 各配列要素には、0 から 1 までの値が含まれています。

構文

'Declaration
Protected Read Property ticks As List(Of Double)

アクセス

読み取り専用。


TickThickness プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] 目盛りの太さ（ピクセル単位）。

水平方向の目盛りの場合は、目盛りの幅を調整します。 垂直方向の目盛りの場合は、目盛りの高さを調整します。 デフォルト値は 1 です。

構文

'Declaration
Protected Read Property tickThickness As Double

アクセス

読み取り専用。


Title プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] タイトル バーに表示されるタイトルまたはキャプション。 デフォルト値は "" です。

構文

'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウのタイトル バーとタスク バーに表示されるタイトル。

構文

'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウのタイトル バーとタスク バーに表示されるタイトル。

構文

'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (SparkPanel)

クラス

SparkPanel.

処理

[読み取り専用] タイトル バーに表示されるタイトルまたはキャプション。

構文

'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウのタイトル バーとタスク バーに表示されるタイトル。

構文

'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウのタイトル バーとタスク バーに表示されるタイトル。

構文

'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


TodayColor プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで今日の日付のハイライトの色。 デフォルト値は 0x2B333 です。

構文

'Declaration
Protected Read Property todayColor As Color

アクセス

読み取り専用。


TodayColor プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールで今日の日付のハイライトの色。 デフォルト値は 0x2B333 です。

構文

'Declaration
Protected Read Property todayColor As Color

アクセス

読み取り専用。


Toggle プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] Button を toggle 状態にするかどうか。

true の場合、ボタンのクリックに応じて、選択状態と非選択状態が切り替わります。 プログラムで selected プロパティを使用してこの状態を取得または設定できます。 false の場合、ユーザーがボタンを離すと、ボタンは押されたままの状態ではなくなります。 この場合の selected プロパティは常に false です。

このようなタイプのボタンはアクションを実行するために使用されます。 toggle が false に設定されると、選択状態になれるのはトグル ボタンのみなので、selected は自動的に false になります。

デフォルト値は false です。

構文

'Declaration
Protected Read Property toggle As Boolean

アクセス

読み取り専用。


ToolTip プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] ツール チップに表示されるテキスト。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property toolTip As String

アクセス

読み取り専用。


ToolTip プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] ツール チップに表示されるテキスト。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property toolTip As String

アクセス

読み取り専用。


ToString メソッド (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

コントロールの文字列表現を返します。

構文

result = displayObject.ToString()
変数 | 説明
result | String。


TotalTime プロパティ (FlexVideoDisplay)

クラス

FlexVideoDisplay.

処理

[読み取り専用] メディアの全体の長さ（秒）。

FLV 1.0 ビデオ ファイルの場合は、このプロパティを手動で設定します。 FLV 1.1 以降では、この値はコントロールで自動的に計算されます。

構文

'Declaration
Protected Read Property totalTime As Double

アクセス

読み取り専用。


TrackColors プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] トラックの色（2 色の配列として）。

単色のトラックの場合は同じ色を 2 回使用できます。 デフォルト値は [ 0x94999b, 0xe7e7e7 ] です。

構文

'Declaration
Protected Read Property trackColors As List(Of Color)

アクセス

読み取り専用。


TrackColors プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] トラックの色（2 色の配列として）。

単色のトラックの場合は同じ色を 2 回使用できます。

このプロパティは、fillAlphas プロパティと共に使用します。 通常、fillAlphas を [ 1.0, 1.0 ] に設定します（trackColors を設定する場合）。

デフォルト値は [ 0xE7E7E7, 0xE7E7E7 ] です。

構文

'Declaration
Protected Read Property trackColors As List(Of Color)

アクセス

読み取り専用。


Transparent プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウを透明にするかどうか。

構文

'Declaration
Protected Read Property transparent As Boolean

アクセス

読み取り専用。


Transparent プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウを透明にするかどうか。

構文

'Declaration
Protected Read Property transparent As Boolean

アクセス

読み取り専用。


Transparent プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウを透明にするかどうか。

構文

'Declaration
Protected Read Property transparent As Boolean

アクセス

読み取り専用。


Transparent プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウを透明にするかどうか。

構文

'Declaration
Protected Read Property transparent As Boolean

アクセス

読み取り専用。


TrustedSource プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 現在ロードされているコンテンツを、セキュリティ ポリシーでクロス ドメインのイメージ アクセスが許可されているソースからロードされたものと見なすかどうかを示すフラグです。

構文

'Declaration
Protected Read Property trustedSource As Boolean

アクセス

読み取り専用。


Type メソッド (FlexAccordion)

クラス

FlexAccordion.

処理

ユーザーがキーを押したときにディスパッチされます。

キーと特定の文字とのマッピングはデバイスやオペレーティング システムによって異なります。 このタイプのイベントは、このようなマッピングが発生してから、IME (Input Method Editor) によって処理が行われる前に生成されます。 IME は、標準的な QWERTY キーボードでは十分に対応できない、中国語の漢字などの文字を入力するために使用されます。

構文

accordion.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexAlert)

クラス

FlexAlert.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

alert.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexButton)

クラス

FlexButton.

処理

ユーザーがキーを押したときにディスパッチされます。

キーと特定の文字とのマッピングはデバイスやオペレーティング システムによって異なります。 このタイプのイベントは、このようなマッピングが発生してから、IME (Input Method Editor) によって処理が行われる前に生成されます。 IME は、標準的な QWERTY キーボードでは十分に対応できない、中国語の漢字などの文字を入力するために使用されます。

構文

button.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

comboBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexDateChooser)

クラス

FlexDateChooser.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

dateChooser.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexListBase)

クラス

FlexListBase.

処理

ユーザーがキーを押したときにディスパッチされます。

キーと特定の文字とのマッピングはデバイスやオペレーティング システムによって異なります。 このタイプのイベントは、このようなマッピングが発生してから、IME (Input Method Editor) によって処理が行われる前に生成されます。 IME は、標準的な QWERTY キーボードでは十分に対応できない、中国語の漢字などの文字を入力するために使用されます。

構文

listBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexMenu)

クラス

FlexMenu.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

menu.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexMenuBar)

クラス

FlexMenuBar.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

menuBar.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexNavigationBar)

クラス

FlexNavigationBar.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

navigationBar.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

numericStepper.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexTextArea)

クラス

FlexTextArea.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

textArea.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexViewStack)

クラス

FlexViewStack.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

viewStack.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (SparkApplication)

クラス

SparkApplication.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

application.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkButtonBase)

クラス

SparkButtonBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

buttonBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

dataGrid.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

groupBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkListBase)

クラス

SparkListBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

listBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkPanel)

クラス

SparkPanel.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

panel.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

richEditableText.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

skinnableTextBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkSpinner)

クラス

SparkSpinner.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

spinner.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkTextBase)

クラス

SparkTextBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

textBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkTrackBase)

クラス

SparkTrackBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

trackBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Url プロパティ (FlexApplication)

クラス

FlexApplication.

処理

[読み取り専用] このアプリケーションの SWF ファイルがロードされた URL。

構文

'Declaration
Protected Read Property url As String

アクセス

読み取り専用。


Url プロパティ (SparkApplication)

クラス

SparkApplication.

処理

[読み取り専用] このアプリケーションの SWF ファイルがロードされた URL。

構文

'Declaration
Protected Read Property url As String

アクセス

読み取り専用。


UseHandCursor プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。

構文

'Declaration
Protected Read Property useHandCursor As Boolean

アクセス

読み取り専用。


UseHandCursor プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] buttonMode プロパティが true に設定されたスプライト上にポインターが移動したときに、指差しハンド ポインター（ハンド カーソル）を表示するかどうか。

デフォルト値は true です。 useHandCursor を true に設定すると、ポインターがボタン スプライト上に移動したときに、指差しハンド カーソルが表示されます。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。

構文

'Declaration
Protected Read Property useHandCursor As Boolean

アクセス

読み取り専用。


UseRollOver プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。

true の場合、行の上にマウス ポインターを置いたときに行がハイライト表示されます。 false の場合、行を選択した場合にのみハイライト表示されます。

デフォルト値は true です。

構文

'Declaration
Protected Read Property useRollOver As Boolean

アクセス

読み取り専用。


UseVirtualLayout プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。

構文

'Declaration
Protected Read Property useVirtualLayout As Boolean

アクセス

読み取り専用。


Value プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] NumericStepper コントロールのテキスト領域に表示される値。

ユーザーが、stepSize プロパティの値の倍数でない数値を入力した場合や、maximum プロパティと minimum プロパティの範囲の外の数値を入力した場合は、自動的に最も近い有効な値に設定されます。

デフォルト値は 0 です。

構文

'Declaration
Protected Read Property value As Double

アクセス

読み取り専用。


Value プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 最小値と最大値の間で進行した進捗量。

構文

'Declaration
Protected Read Property value As Double

アクセス

読み取り専用。


Value プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] サムの位置。これは、minimum プロパティと maximum プロパティの間の値です。

value プロパティを使用します（thumbCount が 1 の場合）。 thumbCount が 1 より大きいときは、代わりに values プロパティを使用します。 デフォルト値は、minimum プロパティと等しい値です。

構文

'Declaration
Protected Read Property value As Double

アクセス

読み取り専用。


Value プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] この範囲の現在の値。

構文

'Declaration
Protected Read Property value As Double

アクセス

読み取り専用。


Values プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] thumbCount が 1 より大きい場合に、各サムの値を格納する配列。

構文

'Declaration
Protected Read Property values As List(Of Double)

アクセス

読み取り専用。


VariableRowHeight プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 個々の行が別々の高さを持つことができるかどうか。

このプロパティは TileList および HorizontalList では無視されます。 true の場合、個々の行が別々の高さの値を持つことができます。

デフォルト値は false です。

構文

'Declaration
Protected Read Property variableRowHeight As Boolean

アクセス

読み取り専用。


VerticalAlign プロパティ (FlexBox)

クラス

FlexBox.

処理

[読み取り専用] このコンテナー内の子の垂直方向の配置。

有効な値は top、middle および bottom です。 デフォルト値は top ですが、ButtonBar、ControlBar、LinkBar、および ToggleButtonBar のようにこれ以外のデフォルト値になるコンテナーもあります。

構文

'Declaration
Protected Read Property verticalAlign As String

アクセス

読み取り専用。


VerticalAlign プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 行のレンダラの垂直方向の配置。

有効な値は top、middle および bottom です。 DataGrid は、このスタイルと paddingTop および paddingBottom スタイルに基づいてレンダラを行に置きます。

デフォルト値は top です。

構文

'Declaration
Protected Read Property verticalAlign As String

アクセス

読み取り専用。


VerticalAlign プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 縦横比が 1 対 1 でなく、scaleMode が BitmapScaleMode.LETTERBOX に設定されているときの、コンテンツの垂直方向の配置です。

構文

'Declaration
Protected Read Property verticalAlign As String

アクセス

読み取り専用。


VerticalAxisRatio プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] 垂直軸の幅の制限。

制限は、軸の幅とこの割合を掛けた値です。 デフォルト値は 0.33 です。

構文

'Declaration
Protected Read Property verticalAxisRatio As Double

アクセス

読み取り専用。


VerticalGap プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 子同士の垂直方向の間隔を示すピクセル数。

デフォルト値は -1 で、この場合、隣接するヘッダーの上境界線と下境界線が重なります。

構文

'Declaration
Protected Read Property verticalGap As Double

アクセス

読み取り専用。


VerticalGap プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 子同士の垂直方向の間隔を示すピクセル数。 デフォルト値はコンポーネントのクラスに応じて異なります。クラスでオーバーライドされない場合のデフォルト値は 6 です。

構文

'Declaration
Protected Read Property verticalGap As Integer

アクセス

読み取り専用。


VerticalGridLineColor プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 垂直グリッド線の色。 デフォルト値は 0x666666 です。

構文

'Declaration
Protected Read Property verticalGridLineColor As Color

アクセス

読み取り専用。


VerticalGridLineColor プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 垂直グリッド線の色。 デフォルト値は 0x666666 です。

構文

'Declaration
Protected Read Property verticalGridLineColor As Color

アクセス

読み取り専用。


VerticalGridLines プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 列の間に垂直グリッド線を表示するかどうか。

true の場合、データ グリッドは垂直グリッド線を表示します。 false の場合、データ グリッドは垂直グリッド線を表示しません。 デフォルト値は true です。

構文

'Declaration
Protected Read Property verticalGridLines As Boolean

アクセス

読み取り専用。


VerticalScrollPosition プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。

構文

'Declaration
Protected Read Property verticalScrollPosition As Double

アクセス

読み取り専用。


VerticalScrollPosition プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキストを縦にスクロールするピクセル数。

構文

'Declaration
Protected Read Property verticalScrollPosition As Double

アクセス

読み取り専用。


ViewSourceURL プロパティ (SparkApplication)

クラス

SparkApplication.

処理

[読み取り専用] アプリケーションのソースを参照できる URL。

構文

'Declaration
Protected Read Property viewSourceURL As String

アクセス

読み取り専用。


Visible プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 表示オブジェクトが可視かどうか。

可視でない表示オブジェクトは無効化されます。 たとえば、InteractiveObject インスタンスに対して visible=false を設定すると、クリックできなくなります。

構文

'Declaration
Protected Read Property visible As Boolean

アクセス

読み取り専用。


Volume プロパティ (FlexVideoDisplay)

クラス

FlexVideoDisplay.

処理

[読み取り専用] ボリューム レベル。0 から 1 の範囲の値で指定します。 デフォルト値は 0.75 です。

構文

'Declaration
Protected Read Property volume As Double

アクセス

読み取り専用。


Volume プロパティ (SparkMuteButton)

クラス

SparkMuteButton.

処理

[読み取り専用] コントロールのボリューム。

構文

'Declaration
Protected Read Property volume As Double

アクセス

読み取り専用。


Volume プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ボリューム レベル。0 から 1 の範囲の値で指定します。

構文

'Declaration
Protected Read Property volume As Double

アクセス

読み取り専用。


Volume プロパティ (SparkVideoPlayer)

クラス

SparkVideoPlayer.

処理

[読み取り専用] ボリューム レベル。0 から 1 の範囲の値で指定します。

構文

'Declaration
Protected Read Property volume As Double

アクセス

読み取り専用。


WidthInChars プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] em 単位で測定されたコントロールのデフォルトの幅。

構文

'Declaration
Protected Read Property widthInChars As Double

アクセス

読み取り専用。


WidthInChars プロパティ (SparkTextArea)

クラス

SparkTextArea.

処理

[読み取り専用] em 単位で測定されたコントロールのデフォルトの幅。

構文

'Declaration
Protected Read Property widthInChars As Double

アクセス

読み取り専用。


WidthInChars プロパティ (SparkTextInput)

クラス

SparkTextInput.

処理

[読み取り専用] em 単位で測定されたコントロールのデフォルトの幅。

構文

'Declaration
Protected Read Property widthInChars As Double

アクセス

読み取り専用。


Width プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 表示オブジェクトの幅（ピクセル単位）。

幅は表示オブジェクトの内容の境界に基づいて計算されます。 width プロパティを設定すると、scaleX プロパティがその値に従って調節されます。

構文

'Declaration
Protected Read Property width As Double

アクセス

読み取り専用。


WordWrap プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 行内のテキストを折り返すかどうか。

true の場合、行内のテキストの折り返しが有効になります。 variableRowHeight プロパティも true の場合にのみ有効です。

デフォルト値は false です。

構文

'Declaration
Protected Read Property wordWrap As Boolean

アクセス

読み取り専用。


WordWrap プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 行内のテキストを折り返すかどうか。

true の場合、行内のテキストの折り返しが有効になります。 variableRowHeight プロパティも true の場合にのみ有効です。 デフォルト値は false です。

構文

'Declaration
Protected Read Property wordWrap As Boolean

アクセス

読み取り専用。


XField プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] 水平軸上のデータ ポイントの位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] 各横棒の先端の x 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、BarSeries はデータ プロバイダーが数値の配列であると見なし、数値を値として使用します。

デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexBubbleSeries)

クラス

FlexBubbleSeries.

処理

[読み取り専用] 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合は、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 縦棒の x 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、縦棒はデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexHLOCSeriesBase)

クラス

FlexHLOCSeriesBase.

処理

[読み取り専用] 要素の x 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexPlotSeries)

クラス

FlexPlotSeries.

処理

[読み取り専用] 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合は、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


X プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。

変形されている DisplayObjectContainer にオブジェクトが含まれる場合、そのオブジェクトの座標系は、それを囲む DisplayObjectContainer のローカル座標系になります。 したがって、反時計回りに 90 度回転した DisplayObjectContainer の場合、その DisplayObjectContainer の子は、反時計回りに 90 度回転した座標系を継承します。 オブジェクトの座標は、基準点の位置を参照します。

構文

'Declaration
Protected Read Property x As Double

アクセス

読み取り専用。


YearNavigationEnabled プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 年ナビゲーションを有効かどうか。

true である場合、表示された年の右側に上下のボタンが表示されます。 これらのボタンを使用して、現在の年を変更できます。 これらのボタンは、年を月の前に置く日付形式を使用するロケールでは、年の左側に表示されます。

デフォルト値は false です。

構文

'Declaration
Protected Read Property yearNavigationEnabled As Boolean

アクセス

読み取り専用。


YearNavigationEnabled プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] 年のナビゲーション用上下ボタンが利用可能かどうか。

true である場合、表示された年の右側に上下のボタンが表示されます。 これらのボタンを使用して、現在の年を変更できます。 これらのボタンは、年を月の前に置く日付形式を使用するロケールでは、年の左側に表示されます。 デフォルト値は false です。

構文

'Declaration
Protected Read Property yearNavigationEnabled As Boolean

アクセス

読み取り専用。


YField プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] 垂直軸上のデータ ポイントの位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、AreaSeries は dataProvider が数値の配列であると見なし、数値をデータ ポイントの値として使用します。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] グラフ内の各横棒の終端の y 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、データ プロバイダー内のデータの順序で横棒が配置されます。

デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexBubbleSeries)

クラス

FlexBubbleSeries.

処理

[読み取り専用] 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、BubbleSeries は dataProvider が数値の配列であると見なし、数値をデータ ポイントの値として使用します。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 縦棒上端の y 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、ColumnSeries はデータ プロバイダーが数値の配列であると見なし、数値を値として使用します。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、LineSeries はデータ プロバイダーが数値の配列であると見なし、数値を値として使用します。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexPlotSeries)

クラス

FlexPlotSeries.

処理

[読み取り専用] 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

Nothing の場合、PlotSeries はデータ プロバイダーが数値の配列であると見なし、数値を値として使用します。 デフォルト値は Nothing です。

構文

'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


Y プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。

変形されている DisplayObjectContainer にオブジェクトが含まれる場合、そのオブジェクトの座標系は、それを囲む DisplayObjectContainer のローカル座標系になります。 したがって、反時計回りに 90 度回転した DisplayObjectContainer の場合、その DisplayObjectContainer の子は、反時計回りに 90 度回転した座標系を継承します。 オブジェクトの座標は、基準点の位置を参照します。

構文

'Declaration
Protected Read Property y As Double

アクセス

読み取り専用。


AlwaysShowScrollBars プロパティ (ScrolledComposite)

クラス

ScrolledComposite.

処理

[読み書き可能] スクロール バーが表示されるかどうか。

構文

'Declaration
Protected ReadWrite Property AlwaysShowScrollBars As Boolean

アクセス

読み書き。


Bottom プロパティ (CBanner)

クラス

CBanner.

処理

[読み取り専用] バナーの下部にあるコントロール。

構文

'Declaration
Protected Read Property Bottom As TestObject

アクセス

読み取り専用。


Close メソッド (CTabFolder)

クラス

CTabFolder.

処理

表示されているページを閉じます。

構文

cTabFolder.Close(item)
変数 | 説明
item | 閉じるページ。 ItemIdentifier。


Close メソッド (CTabItem)

クラス

CTabItem.

処理

表示されているタブを閉じます。

構文

cTabItem.Close()


Collapse メソッド (ExpandBar)

クラス

ExpandBar.

処理

ExpandBar を折りたたみます。

構文

expandBar.Collapse(item)
変数 | 説明
item | 折りたたむ項目。 ItemIdentifier。


Collapse メソッド (ExpandItem)

クラス

ExpandItem.

処理

展開可能な項目を折りたたみます。

構文

expandItem.Collapse()


ColumnCount プロパティ (SWTTree)

クラス

SWTTree.

処理

[読み取り専用] ツリーの列の数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


Columns プロパティ (SWTTree)

クラス

SWTTree.

処理

[読み取り専用] ツリーの列のリスト。

構文

'Declaration
Protected Read Property Columns As List(Of SWTTreeColumn)

アクセス

読み取り専用。


Content プロパティ (CoolItem)

クラス

CoolItem.

処理

[読み取り専用] 動的に配置することができる領域のコンテンツ。

構文

'Declaration
Protected Read Property Content As TestObject

アクセス

読み取り専用。


Content プロパティ (ExpandItem)

クラス

ExpandItem.

処理

[読み取り専用] 項目のコンテンツ。

構文

'Declaration
Protected Read Property Content As TestObject

アクセス

読み取り専用。


Content プロパティ (ScrolledComposite)

クラス

ScrolledComposite.

処理

[読み取り専用] 動的に配置することができる領域のコンテンツ。

構文

'Declaration
Protected Read Property Content As TestObject

アクセス

読み取り専用。


Content プロパティ (ViewForm)

クラス

ViewForm.

処理

[読み取り専用] 動的に配置することができる領域のコンテンツ。

構文

'Declaration
Protected Read Property Content As TestObject

アクセス

読み取り専用。


CurrentDate プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 現在の日付。

構文

'Declaration
Protected ReadWrite Property CurrentDate As DateTime?

アクセス

読み書き。


Day プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 日。

構文

'Declaration
Protected ReadWrite Property Day As Integer

アクセス

読み書き。


Decrement メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールが押されたときに値を減少させます。

構文

spinner.Decrement([value])
変数 | 説明
value | 省略可能: 減少させる量。 デフォルト値は '1' です。 Integer。


Editable プロパティ (StyledText)

クラス

StyledText.

処理

[読み書き可能] テキストが編集可能かどうか。

構文

'Declaration
Protected ReadWrite Property Editable As Boolean

アクセス

読み書き。


ExpandedItems プロパティ (ExpandBar)

クラス

ExpandBar.

処理

[読み取り専用] 展開される項目のリスト。

構文

'Declaration
Protected Read Property ExpandedItems As List(Of ExpandItem)

アクセス

読み取り専用。


Expanded プロパティ (ExpandItem)

クラス

ExpandItem.

処理

[読み書き可能] 項目が展開されているかどうか。

構文

'Declaration
Protected ReadWrite Property Expanded As Boolean

アクセス

読み書き。


Expand メソッド (ExpandBar)

クラス

ExpandBar.

処理

ExpandBar を展開します。

構文

expandBar.Expand(item)
変数 | 説明
item | 展開する項目。 ItemIdentifier。


Expand メソッド (ExpandItem)

クラス

ExpandItem.

処理

展開可能な項目を展開します。

構文

expandItem.Expand()


ExtendSelect メソッド (SWTTree)

クラス

SWTTree.

処理

選択範囲を拡張して項目の範囲を選択します。

構文

tree.ExtendSelect(itemPath)
変数 | 説明
itemPath | 選択する項目。 ItemPath。


GetContentsOfColumn メソッド (SWTTree)

クラス

SWTTree.

処理

指定した列のコンテンツをリストとして取得します 最初の列より後ろの列のコンテンツを取得するには、rawMode と column パラメーターを指定する必要があります。

構文

contentsOfColumn = tree.GetContentsOfColumn(rawMode, [column])
変数 | 説明
contentsOfColumn | List(Of String)。
rawMode | true の場合、項目から空白類を取り除きません。 Boolean。
column | 省略可能: コンテンツの取得を始める列。 The value is zero-based.。 Integer。

例

tree.GetContentsOfColumn(true,3)


GetItemsOfColumn メソッド (SWTTree)

クラス

SWTTree.

処理

指定した列の項目をツリーから取得します。

構文

itemsOfColumn = tree.GetItemsOfColumn([allItems, column])
変数 | 説明
itemsOfColumn | TreeContent。
allItems | 省略可能: true の場合、非表示項目も結果に含まれます。 Boolean。
column | 省略可能: 項目の取得を始める列。 The value is zero-based.。 Integer。


GetSelectedTextOfColumn メソッド (SWTTree)

クラス

SWTTree.

処理

指定した列から選択したテキストを取得します。

構文

selectedTextOfColumn = tree.GetSelectedTextOfColumn([column])
変数 | 説明
selectedTextOfColumn | String。
column | 省略可能: テキストを取得する列。 The value is zero-based.。 Integer。


Horizontal プロパティ (SashForm)

クラス

SashForm.

処理

[読み書き可能] 分割方向が水平かどうか。

構文

'Declaration
Protected ReadWrite Property Horizontal As Boolean

アクセス

読み書き。


Hours プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 時。

構文

'Declaration
Protected ReadWrite Property Hours As Integer

アクセス

読み書き。


IncrementCount プロパティ (Spinner)

クラス

Spinner.

処理

[読み書き可能] Spinner コントロールを押下することによって増加する位置の量。

構文

'Declaration
Protected ReadWrite Property IncrementCount As Integer

アクセス

読み書き。


Increment メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールが押されたときに値を増加させます。

構文

spinner.Increment([value])
変数 | 説明
value | 省略可能: 増加させる量。 デフォルト値は '1' です。 Integer。


ItemCount プロパティ (CoolBar)

クラス

CoolBar.

処理

[読み取り専用] CoolBar の項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み取り専用] タブ フォルダーの項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (ExpandBar)

クラス

ExpandBar.

処理

[読み取り専用] ExpandBar の項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (CoolBar)

クラス

CoolBar.

処理

[読み取り専用] CoolBar の項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of CoolItem)

アクセス

読み取り専用。


Items プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み取り専用] タブ フォルダーの項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of CTabItem)

アクセス

読み取り専用。


Items プロパティ (ExpandBar)

クラス

ExpandBar.

処理

[読み取り専用] ExpandBar の項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ExpandItem)

アクセス

読み取り専用。


Left プロパティ (CBanner)

クラス

CBanner.

処理

[読み取り専用] バナーの左側にあるコントロール。

構文

'Declaration
Protected Read Property Left As TestObject

アクセス

読み取り専用。


MaximizedControl プロパティ (SashForm)

クラス

SashForm.

処理

[読み取り専用] フォーム上で最大化されている画面分割ウィンドウ。

構文

'Declaration
Protected Read Property MaximizedControl As TestObject

アクセス

読み取り専用。


Maximize メソッド (CTabFolder)

クラス

CTabFolder.

処理

CTabFolder をそのフル サイズ（最大化）になるようにサイズを変更します。

構文

cTabFolder.Maximize()


Minimize メソッド (CTabFolder)

クラス

CTabFolder.

処理

CTabFolder を可能な最小のサイズになるようにサイズを変更します。

構文

cTabFolder.Minimize()


Minutes プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 分。

構文

'Declaration
Protected ReadWrite Property Minutes As Integer

アクセス

読み書き。


Month プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 月。

構文

'Declaration
Protected ReadWrite Property Month As Integer

アクセス

読み書き。


Move メソッド (Sash)

クラス

Sash.

処理

画面分割の境界のウィンドウ ペインを移動します。

構文

sash.Move(amount)
変数 | 説明
amount | ウィンドウ ペインを移動するピクセル数。 Integer。


MultiSelect メソッド (SWTTree)

クラス

SWTTree.

処理

ツリーの項目を選択項目の集合に追加します。

構文

tree.MultiSelect(itemPath)
変数 | 説明
itemPath | 選択する項目。 ItemPath。


MultiUnselect メソッド (SWTTree)

クラス

SWTTree.

処理

ツリーの項目を選択項目の集合から削除します。

構文

tree.MultiUnselect(itemPath)
変数 | 説明
itemPath | 選択する項目。 ItemPath。


Origin プロパティ (ScrolledComposite)

クラス

ScrolledComposite.

処理

[読み書き可能] ScrolledComposite の左上隅に現在表示されているコンテンツの位置。

構文

'Declaration
Protected ReadWrite Property Origin As Point

アクセス

読み書き。


PageDecrement メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールが押されたときにページ単位で値を減少させます。

構文

spinner.PageDecrement([value])
変数 | 説明
value | 省略可能: 減少させるページ量。 デフォルト値は '1' です。 Integer。


PageIncrement メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールが押されたときにページ単位で値を増加させます。

構文

spinner.PageIncrement([value])
変数 | 説明
value | 省略可能: 増加させるページ量。 デフォルト値は '1' です。 Integer。


PageSize プロパティ (Spinner)

クラス

Spinner.

処理

[読み書き可能] Spinner コントロールの内部ページ サイズ。

構文

'Declaration
Protected ReadWrite Property PageSize As Integer

アクセス

読み書き。


Position プロパティ (Spinner)

クラス

Spinner.

処理

[読み書き可能] アップダウン コントロールの位置。

構文

'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Range プロパティ (Spinner)

クラス

Spinner.

処理

[読み書き可能] Spinner コントロールの範囲。

構文

'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


Resize メソッド (SWTTreeColumn)

クラス

SWTTreeColumn.

処理

ツリーの列のサイズを変更します。

構文

treeColumn.Resize(width)
変数 | 説明
width | 行の新しい幅（ピクセル）。 Integer。


Restore メソッド (CTabFolder)

クラス

CTabFolder.

処理

CTabFolder を元のサイズに戻します。

構文

cTabFolder.Restore()


RightMinimumSize プロパティ (CBanner)

クラス

CBanner.

処理

[読み書き可能] バナーの右側にあるコントロールの最小サイズ。

構文

'Declaration
Protected ReadWrite Property RightMinimumSize As Point

アクセス

読み書き。


Right プロパティ (CBanner)

クラス

CBanner.

処理

[読み取り専用] バナーの右側にあるコントロール。

構文

'Declaration
Protected Read Property Right As TestObject

アクセス

読み取り専用。


RightWidth プロパティ (CBanner)

クラス

CBanner.

処理

[読み書き可能] バナーの右側にあるコントロールの幅。

構文

'Declaration
Protected ReadWrite Property RightWidth As Integer

アクセス

読み書き。


Seconds プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 秒。

構文

'Declaration
Protected ReadWrite Property Seconds As Integer

アクセス

読み書き。


SelectedIndex プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み書き可能] 選択する項目のインデックス。 The value is zero-based.。

構文

'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedItem プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み取り専用] 選択したタブ項目。

構文

'Declaration
Protected Read Property SelectedItem As CTabItem

アクセス

読み取り専用。


SelectedItemText プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み取り専用] 選択されている項目のテキスト。項目が選択されていない場合は空の文字列を返します。

構文

'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


Selected プロパティ (CTabItem)

クラス

CTabItem.

処理

[読み書き可能] 項目が選択されているかどうか。

構文

'Declaration
Protected ReadWrite Property Selected As Boolean

アクセス

読み書き。


Selected プロパティ (SWTTabItem)

クラス

SWTTabItem.

処理

[読み書き可能] 項目が選択されているかどうか。

構文

'Declaration
Protected ReadWrite Property Selected As Boolean

アクセス

読み書き。


SelectedTabItem プロパティ (SWTTabControl)

クラス

SWTTabControl.

処理

[読み取り専用] 選択する項目の名前。

構文

'Declaration
Protected Read Property SelectedTabItem As SWTTabItem

アクセス

読み取り専用。


SelectList メソッド (CTabFolder)

クラス

CTabFolder.

処理

1 つ以上の項目をタブで選択します。

構文

cTabFolder.SelectList()


Select メソッド (CTabFolder)

クラス

CTabFolder.

処理

CTabFolder から項目を選択します。

構文

cTabFolder.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (CTabItem)

クラス

CTabItem.

処理

タブを選択します。

構文

cTabItem.Select()


Select メソッド (SWTDateTime)

クラス

SWTDateTime.

処理

日付および時間を選択します。

構文

dateTime.Select(selectedDate)
変数 | 説明
selectedDate | 選択する日付および時間。 DateTime?。


Select メソッド (SWTTabItem)

クラス

SWTTabItem.

処理

タブを選択します。

構文

tabItem.Select()


Select メソッド (SWTTreeColumn)

クラス

SWTTreeColumn.

処理

ツリーの列を選択します。

構文

treeColumn.Select()


SetValue メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールの値を設定します。

構文

spinner.SetValue(value)
変数 | 説明
value | 新しい値。 Integer。


Simple プロパティ (CBanner)

クラス

CBanner.

処理

[読み書き可能] バナーをシンプル、つまり従来の形状でレンダリングするかどうか。

構文

'Declaration
Protected ReadWrite Property Simple As Boolean

アクセス

読み書き。


TabItems プロパティ (SWTTabControl)

クラス

SWTTabControl.

処理

[読み取り専用] タブ コントロールの TabItem のリスト。

構文

'Declaration
Protected Read Property TabItems As List(Of SWTTabItem)

アクセス

読み取り専用。


TopCenter プロパティ (ViewForm)

クラス

ViewForm.

処理

[読み取り専用] ペインの中央上にあるウィンドウ。

構文

'Declaration
Protected Read Property TopCenter As TestObject

アクセス

読み取り専用。


TopLeft プロパティ (ViewForm)

クラス

ViewForm.

処理

[読み取り専用] ペインの左上にあるウィンドウ。

構文

'Declaration
Protected Read Property TopLeft As TestObject

アクセス

読み取り専用。


TopRight プロパティ (ViewForm)

クラス

ViewForm.

処理

[読み取り専用] ペインの右上にあるウィンドウ。

構文

'Declaration
Protected Read Property TopRight As TestObject

アクセス

読み取り専用。


Vertical プロパティ (SashForm)

クラス

SashForm.

処理

[読み書き可能] 分割方向が垂直かどうか。

構文

'Declaration
Protected ReadWrite Property Vertical As Boolean

アクセス

読み書き。


Weights プロパティ (SashForm)

クラス

SashForm.

処理

[読み書き可能] SashForm ウィンドウの子の相対的なサイズ。

構文

'Declaration
Protected ReadWrite Property Weights As List(Of Integer)

アクセス

読み書き。


Width プロパティ (SWTTreeColumn)

クラス

SWTTreeColumn.

処理

[読み書き可能] 列の幅。

構文

'Declaration
Protected ReadWrite Property Width As Integer

アクセス

読み書き。


Year プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 年。

構文

'Declaration
Protected ReadWrite Property Year As Integer

アクセス

読み書き。


ClearText メソッド (MobileTextField)

クラス

MobileTextField.

処理

テキスト フィールドのすべてのコンテンツをクリアします。

構文

textField.ClearText()


Click メソッド (IMobileClickable)

クラス

IMobileClickable.

処理

デバイスの指定した座標をクリックします。

構文

iMobileClickable.Click([position])
変数 | 説明
position | 省略可能: クリックする座標。 Point。


CloseApp メソッド (MobileDevice)

クラス

MobileDevice.

処理

アプリを閉じてデバイスを開放し、ほかのユーザーが使用できるようにします。

構文

device.CloseApp()


DeviceId プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] 現在の接続に対するデバイスの ID。

構文

'Declaration
Protected Read Property DeviceId As String

アクセス

読み取り専用。


DisplayHeight プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] ディスプレイの高さ (ピクセル単位)。

構文

'Declaration
Protected Read Property DisplayHeight As Integer

アクセス

読み取り専用。


DisplayOrientation プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] デバイスの現在の向き。

構文

'Declaration
Protected Read Property DisplayOrientation As DisplayOrientation

アクセス

読み取り専用。


DisplayWidth プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] ディスプレイの幅 (ピクセル単位)。

構文

'Declaration
Protected Read Property DisplayWidth As Integer

アクセス

読み取り専用。


DoubleClick メソッド (IMobileClickable)

クラス

IMobileClickable.

処理

デバイスの指定した座標をダブルクリックします。

構文

iMobileClickable.DoubleClick([position])
変数 | 説明
position | 省略可能: ダブルクリックする座標。 Point。


Drag メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

2 つの指定したポイント間でドラッグ操作を実行します。

構文

iMobileGestures.Drag(start, end)
変数 | 説明
start | ドラッグ操作の開始ポイント。 Point。
end | ドラッグ操作の終了ポイント。 Point。


DragTo メソッド (MobileObject)

クラス

MobileObject.

処理

モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。

構文

object.DragTo(destination)
変数 | 説明
destination | モバイル デバイスに相対的なドラッグ先。 Point。


DragToObject メソッド (MobileObject)

クラス

MobileObject.

処理

指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。

構文

object.DragToObject(destination)
変数 | 説明
destination | ドラッグ先オブジェクト。 MobileObject。


GenerateConnectionString メソッド (MobileDevice)

クラス

MobileDevice.

処理

このモバイル デバイス用の接続文字列を生成します。

構文

result = device.GenerateConnectionString()
変数 | 説明
result | String。


IsEmulator プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] 接続したデバイスがエミュレーターかどうか。

構文

'Declaration
Protected Read Property IsEmulator As Boolean

アクセス

読み取り専用。


IsEnabled プロパティ (MobileObject)

クラス

MobileObject.

処理

[読み取り専用] モバイル オブジェクトが有効かどうか。

構文

'Declaration
Protected Read Property IsEnabled As Boolean

アクセス

読み取り専用。


IsFocused プロパティ (MobileObject)

クラス

MobileObject.

処理

[読み取り専用] モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。

構文

'Declaration
Protected Read Property IsFocused As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (MobileObject)

クラス

MobileObject.

処理

[読み取り専用] モバイル オブジェクトが選択またはチェックされているかどうか。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


LongClick メソッド (IMobileClickable)

クラス

IMobileClickable.

処理

デバイスの指定した座標をロングクリックします。

構文

iMobileClickable.LongClick([position])
変数 | 説明
position | 省略可能: ロングクリックする座標。 Point。


Model プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] 接続したデバイスのデバイス名。

構文

'Declaration
Protected Read Property Model As String

アクセス

読み取り専用。


MultiTouch メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。

構文

iMobileGestures.MultiTouch(pointers)
変数 | 説明
pointers | タッチ パスを表すポイントのリストを含んだすべてのポインターのリスト。 List(Of List(Of Point ))。


OperatingSystem プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] モバイル デバイスのオペレーティング システム (Android または iOS)。

構文

'Declaration
Protected Read Property OperatingSystem As MobileOperatingSystem

アクセス

読み取り専用。


OsVersion プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] 接続したデバイスのオペレーティング システムのバージョン。

構文

'Declaration
Protected Read Property OsVersion As String

アクセス

読み取り専用。


PinchIn メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。

構文

iMobileGestures.PinchIn([percent])
変数 | 説明
percent | 省略可能: ピンチ ジェスチャを行うオブジェクトの対角線の長さのパーセンテージ。 Integer。


PinchOut メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。

構文

iMobileGestures.PinchOut([percent])
変数 | 説明
percent | 省略可能: ピンチ ジェスチャを行うオブジェクトの対角線の長さのパーセンテージ。 Integer。


PressBack メソッド (MobileDevice)

クラス

MobileDevice.

処理

戻るボタンを押します。 このメソッドは iOS ではサポートされません。

構文

device.PressBack()


PressDelete メソッド (MobileDevice)

クラス

MobileDevice.

処理

削除ボタンを押します。

構文

device.PressDelete()


PressEnter メソッド (MobileDevice)

クラス

MobileDevice.

処理

Enter ボタンを押します。

構文

device.PressEnter()


PressHome メソッド (MobileDevice)

クラス

MobileDevice.

処理

ホーム ボタンを押します。

構文

device.PressHome()


PressKeyCode メソッド (MobileDevice)

クラス

MobileDevice.

処理

特定の Android 固有のキー コードを押します。 このメソッドは iOS ではサポートされません。

サポートされている Android キー コードについての詳細は、Appium のドキュメントを参照してください。

構文

device.PressKeyCode(keyCode)
変数 | 説明
keyCode | 押下するキー コード。 Integer。


PressRecentApps メソッド (MobileDevice)

クラス

MobileDevice.

処理

最近使ったアプリケーション ボタンを押します。

構文

device.PressRecentApps()


Rotate メソッド (MobileDevice)

クラス

MobileDevice.

処理

デバイス画面の回転をシミュレートします。

構文

device.Rotate(orientation)
変数 | 説明
orientation | デバイス画面の向き。 DisplayOrientation。


SetLocation メソッド (MobileDevice)

クラス

MobileDevice.

処理

デバイスの地理的なロケーションを設定します。このメソッドは、Android デバイス (物理デバイスまたはエミュレーター) および iOS シミュレーター上でのみ機能します。

  • iOS 上のネイティブ モバイル アプリケーションをテストする場合、SetLocation メソッドは iOS シミュレーターのみでサポートされます。物理 iOS デバイスではサポートされません。
  • Android 6.0 以前のバージョンの Android 上のネイティブ モバイル アプリケーションをテストする場合に SetLocation メソッドを使用するには、「擬似ロケーションを許可」をオンにする必要があります。これを行うには、Android デバイスまたはエミュレーターの設定を開き、「開発者向けオプション」をタップします。
  • Android 6.0 以降上のネイティブ モバイル アプリケーションをテストする場合に SetLocation メソッドを使用するには、アプリを Appium Settings に設定する必要があります。これを行うには、Android デバイスまたはエミュレーターの設定を開き、「開発者向けオプション」>「仮の現在地情報アプリを選択」をタップします。そして、Appium Settings を選択します。メモ: Appium Settings 項目は、Android デバイスまたはエミュレーター上で、Appium を使用してテストを実行したことがある場合にのみ表示されます。

構文

device.SetLocation(latitude, longitude)
変数 | 説明
latitude | ロケーションの緯度を倍精度浮動小数値として度と分で表します。 Double。
longitude | ロケーションの経度を倍精度浮動小数値として度と分で表します。 Double。


SetText メソッド (MobileTextField)

クラス

MobileTextField.

処理

テキスト フィールド内のテキストを新しいテキストに置換します。

構文

textField.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


Sleep メソッド (MobileDevice)

クラス

MobileDevice.

処理

スクリーンがオンの場合に電源ボタンを押します。 このメソッドは iOS ではサポートされません。

構文

device.Sleep()


SwipeDown メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

下スワイプを実行します。

構文

iMobileGestures.SwipeDown([steps, delayBetweenSteps])
変数 | 説明
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


SwipeLeft メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

左スワイプを実行します。

構文

iMobileGestures.SwipeLeft([steps, delayBetweenSteps])
変数 | 説明
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


Swipe メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

2 つの指定したポイント間でスワイプを実行します。

構文

iMobileGestures.Swipe(start, end, [steps, delayBetweenSteps])
変数 | 説明
start | スワイプの開始ポイント。 Point。
end | スワイプの終了ポイント。 Point。
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


SwipeRight メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

左スワイプを実行します。

構文

iMobileGestures.SwipeRight([steps, delayBetweenSteps])
変数 | 説明
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


SwipeUp メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

上スワイプを実行します。

構文

iMobileGestures.SwipeUp([steps, delayBetweenSteps])
変数 | 説明
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


SwipeWithSegments メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

指定したポイント間でスワイプを実行します。

構文

iMobileGestures.SwipeWithSegments(segments, [steps, delayBetweenSteps])
変数 | 説明
segments | スワイプする間隔を示すポイント。 List(Of Point )。
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


TwoPointerMultiTouch メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。

構文

iMobileGestures.TwoPointerMultiTouch(startPointer1, endPointer1, startPointer2, endPointer2, [steps, delayBetweenSteps])
変数 | 説明
startPointer1 | 最初ポインターの開始ポイント。 Point。
endPointer1 | 最初ポインターの終了ポイント。 Point。
startPointer2 | 2 番目のポインターの開始ポイント。 Point。
endPointer2 | 2 番目のポインターの終了ポイント。 Point。
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 ドラッグ操作の時間を増やすにはステップ数を増やします。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


TypeKeys メソッド (IMobileKeyable)

クラス

IMobileKeyable.

処理

一連のキーストロークをオブジェクトに送信します。

構文

iMobileKeyable.TypeKeys(keys, [delay, ensureFocus])
変数 | 説明
keys | 入力するキーストローク。 String。
delay | 省略可能: キーストローク間の遅延（ミリ秒）。 Integer。
ensureFocus | 省略可能: モバイル オブジェクトが実際にフォーカスを持つことを保証するかどうかを決定します。 フォーカスは、モバイル オブジェクトの中央をクリックして設定されます。 デフォルトは true です。 Boolean。


TypePasswordKeys メソッド (MobileTextField)

クラス

MobileTextField.

処理

暗号化されたパスワードをテキスト フィールドに入力します。

テキスト フィールドの既存のテキストは、暗号化されたパスワードが入力される前にクリアされます。

構文

textField.TypePasswordKeys(keys, [delay, ensureFocus])
変数 | 説明
keys | 暗号化されたパスワード。 String。
delay | 省略可能: キーストローク間の遅延（ミリ秒）。 Integer。
ensureFocus | 省略可能: コントロールが実際にキーボード フォーカスを持つことを保証するかどうかを決定します。 デフォルトは true です。 Boolean。


WakeUp メソッド (MobileDevice)

クラス

MobileDevice.

処理

スクリーンがオフの場合に電源ボタンを押します。 このメソッドは iOS ではサポートされません。

構文

device.WakeUp()


AutoEnter プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが AutoEnter フィールドの場合に true を示す値。

構文

'Declaration
Protected Read Property AutoEnter As Boolean

アクセス

読み取り専用。


AutoSkip プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが AutoSkip フィールドの場合に true を示す値。

構文

'Declaration
Protected Read Property AutoSkip As Boolean

アクセス

読み取り専用。


BackgroundColor プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ディスプレイ コントロールの背景色。

構文

'Declaration
Protected Read Property BackgroundColor As Color

アクセス

読み取り専用。


CharacterSetId プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ディスプレイ コントロールが使用する文字セット変換テーブルを識別する値。

構文

'Declaration
Protected Read Property CharacterSetId As Integer

アクセス

読み取り専用。


Clear メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

「クリア (CLEAR)」キーを送信してスクリーンをクリアします。 synchSendKeys(RumbaKey.CLEAR) と等価です。

構文

screen.Clear()


ColumnCount プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] 現在のスクリーンの列数を示す値。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


Connect メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

現在の構成内のホストに接続します。

構文

screen.Connect([screenUpdateWaitCount, timeout])
変数 | 説明
screenUpdateWaitCount | 省略可能: 最初の安定したスクリーンが次の操作を処理する準備ができるまで待機する必要があるスクリーンの更新数。 デフォルトは 1 です。 screenUpdateWaitCount を 0 にすると、同期は行われずに timeout パラメーターは無視されます。 Integer。
timeout | 省略可能: タイムアウト（ミリ秒）。 デフォルトは 30000ms です。 タイムアウト値に到達すると、例外がスローされます。 Integer。


CursorColumn プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] スクリーン上のカーソルの列の位置。

構文

'Declaration
Protected Read Property CursorColumn As Integer

アクセス

読み取り専用。


CursorLine プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] スクリーン上のカーソルの行の位置。

構文

'Declaration
Protected Read Property CursorLine As Integer

アクセス

読み取り専用。


CursorPosition プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] スクリーン上の現在のカーソル位置。 X と Y の値は 1 から始まる値です (最初の行または列を表す)。

構文

'Declaration
Protected Read Property CursorPosition As TextPosition

アクセス

読み取り専用。


Detectable プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが検出可能な場合に true を示す値。

構文

'Declaration
Protected Read Property Detectable As Boolean

アクセス

読み取り専用。


Disconnect メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

現在の接続を解除します。

構文

screen.Disconnect()


Dup プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが Dup フィールドの場合に true を示す値。

構文

'Declaration
Protected Read Property Dup As Boolean

アクセス

読み取り専用。


EndColumn プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが終了する列を示す値。

構文

'Declaration
Protected Read Property EndColumn As Integer

アクセス

読み取り専用。


EndLine プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが終了する行を示す値。

構文

'Declaration
Protected Read Property EndLine As Integer

アクセス

読み取り専用。


EndPosition プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの終了位置です。

構文

'Declaration
Protected Read Property EndPosition As Integer

アクセス

読み取り専用。


Enptui プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが ENPTUI フィールドの場合に true を示す値。

構文

'Declaration
Protected Read Property Enptui As Boolean

アクセス

読み取り専用。


FieldExitRequired プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドがスクリーンを終了する前に必要とされる場合に true を示す値。

構文

'Declaration
Protected Read Property FieldExitRequired As Boolean

アクセス

読み取り専用。


GetCharacterAttributes メソッド (RumbaField)

クラス

RumbaField.

処理

このフィールドの文字の文字属性を取得します。

構文

characterAttributes = field.GetCharacterAttributes()
変数 | 説明
characterAttributes | List(Of RumbaCharacterAttribute )。


GetCharacterAttributes メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

指定した位置から始まる、指定した長さの文字に対する文字属性を取得します。

構文

characterAttributes = screen.GetCharacterAttributes(position, length)
変数 | 説明
characterAttributes | List(Of RumbaCharacterAttribute )。
position | 取得を開始する位置。 TextPosition。
length | 属性を返す文字の数。 Integer。


GetContent メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

指定したテキスト位置から始まる改行を含まないスクリーンを含んだ文字列を取得します。

座標値は 0 より大きく、対応するスクリーン サイズより小さい値を指定する必要があります。

構文

content = screen.GetContent(fromPosition, [length])
変数 | 説明
content | String。
fromPosition | スクリーン上の開始位置。値は 1 から始まります（最初の行または列を表す）。 TextPosition。
length | 省略可能: スクリーン上の読み取る文字の長さ。 -1 より大きい長さを指定する必要があります。 読み取りはスクリーンの終わりで停止します。 省略時には、スクリーンの終わりまでの内容が返されます。 Integer。


GetLines メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

スクリーンの指定範囲を取得し、選択した行を文字列のリストとして返します。

構文

lines = screen.GetLines([fromPosition, toPosition])
変数 | 説明
lines | List(Of String)。
fromPosition | 省略可能: スクリーン上の選択範囲の左上の位置。値は 1 から始まります（最初の行または列を表す）。 座標値は 0 より大きく、対応するスクリーン サイズより小さい値を指定する必要があります。それ以外の値を指定すると例外がスローされます。 TextPosition。
toPosition | 省略可能: スクリーン上の選択範囲の右下の位置。 $fromPosition$ に対する相対位置が無効である場合、例外がスローされます。 座標値は 0 より大きく、対応するスクリーン サイズより小さい値を指定する必要があります。それ以外の値を指定すると例外がスローされます。 TextPosition。


Hidden プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが非表示かどうかを示す値。

構文

'Declaration
Protected Read Property Hidden As Boolean

アクセス

読み取り専用。


HostConnected プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ホストが接続されているかどうかを示す値。

構文

'Declaration
Protected Read Property HostConnected As Boolean

アクセス

読み取り専用。


HostDeviceName プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ホスト デバイス名。

構文

'Declaration
Protected Read Property HostDeviceName As String

アクセス

読み取り専用。


HostIpAddress プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ホスト IP アドレス。

構文

'Declaration
Protected Read Property HostIpAddress As String

アクセス

読み取り専用。


Intense プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが強調されている場合に true を示す値。

構文

'Declaration
Protected Read Property Intense As Boolean

アクセス

読み取り専用。


KeyboardLocked プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] キーボード入力が抑制されているかどうかを示す値。

構文

'Declaration
Protected Read Property KeyboardLocked As Boolean

アクセス

読み取り専用。


Length プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドの長さ。

構文

'Declaration
Protected Read Property Length As Integer

アクセス

読み取り専用。


LineCount プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] 現在のスクリーンの行数を示す値。

構文

'Declaration
Protected Read Property LineCount As Integer

アクセス

読み取り専用。


ModifiedDataTag プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが ModifiedDataTag プロパティ セットを持つ場合に true を示す値。

構文

'Declaration
Protected Read Property ModifiedDataTag As Boolean

アクセス

読み取り専用。


Protected プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが保護されている場合に true を示す値 (RumbaLabel など)。

構文

'Declaration
Protected Read Property Protected As Boolean

アクセス

読み取り専用。


Reset メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

「リセット (RESET)」キーを送信してスクリーンをリセットします。 synchSendKeys(RumbaKey.RESET) と等価です。

構文

screen.Reset()


ScreenId プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] スクリーン ID。

構文

'Declaration
Protected Read Property ScreenId As Integer

アクセス

読み取り専用。


ScreenSize プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] テキストの行数と列数で表したスクリーンのサイズ。

構文

'Declaration
Protected Read Property ScreenSize As TextPosition

アクセス

読み取り専用。


SendKeys メソッド (RumbaObject)

クラス

RumbaObject.

処理

キーを送信します。 RDE ニーモニックをサポートします。

構文

object.SendKeys(keys)
変数 | 説明
keys | 送信するキー。 Rumba キーボード ニーモニックは、この文字列で使用でます。 Rumba キーボード ニーモニックの詳細については、『RDE .NET』ヘルプを参照してください。 String。

例

行
rumbaScreen.SendKeys(RumbaKey.Tab)
は、
rumbaScreen.SendKeys("@T");
と同じです。 RumbaKey 定数を通常の文字列と組み合せることもできます:
rumbaScreen.SendKeys("someone" & RumbaKey.At & "example.com");
利用可能なすべての定数については、RumbaKey クラスを参照してください。


SessionName プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] セッション名。

構文

'Declaration
Protected Read Property SessionName As String

アクセス

読み取り専用。


SetCursorPosition メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

スクリーンの指定した位置にカーソルを移動します。

構文

screen.SetCursorPosition(position)
変数 | 説明
position | カーソルを移動させる位置。値は 1 から始まります（最初の行または列を表す）。 TextPosition。


SetText メソッド (RumbaTextField)

クラス

RumbaTextField.

処理

テキスト フィールドのテキストを設定します。

構文

textField.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


StartColumn プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが始まる列を示す値。

構文

'Declaration
Protected Read Property StartColumn As Integer

アクセス

読み取り専用。


StartLine プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが始まる行を示す値。

構文

'Declaration
Protected Read Property StartLine As Integer

アクセス

読み取り専用。


StartPosition プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの開始位置です。

構文

'Declaration
Protected Read Property StartPosition As Integer

アクセス

読み取り専用。


Submit メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

「送信 (SUBMIT)」キーを送信して入力したデータをサーバーに送信します。 synchSendKeys(RumbaKey.SUBMIT) と等価です。

構文

screen.Submit()


SupportsStructuredFields プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ホストが構造化フィールドのデコードをサポートするかどうかを示す値。

構文

'Declaration
Protected Read Property SupportsStructuredFields As Boolean

アクセス

読み取り専用。


SynchSendKeys メソッド (RumbaObject)

クラス

RumbaObject.

処理

キーを同期して送信します。 RDE ニーモニックをサポートします。

構文

object.SynchSendKeys(keys, [screenUpdateWaitCount, timeout])
変数 | 説明
keys | 送信するキー。 Rumba キーボード ニーモニックは、この文字列で使用でます。 Rumba キーボード ニーモニックの詳細については、『RDE .NET』ヘルプを参照してください。 String。
screenUpdateWaitCount | 省略可能: 新しいスクリーンが次の操作を処理する準備ができるまで待機する必要があるスクリーンの更新数。 Integer。
timeout | 省略可能: タイムアウト（ミリ秒）。 0 に設定すると、Rumba API のデフォルトのタイムアウト (現在 10000 ミリ秒) が使用されます。 Integer。

例

行
rumbaScreen.SynchSendKeys(RumbaKey.PF3)
は、
rumbaScreen.SynchSendKeys("@3");
と同じです。 RumbaKey 定数を通常の文字列と組み合せることもできます:
rumbaScreen.SynchSendKeys("someone" & RumbaKey.At & "example.com" & RumbaKey.Enter);
利用可能なすべての定数については、RumbaKey クラスを参照してください。


Type プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] このフィールドに対して許されている入力を表す値。

構文

'Declaration
Protected Read Property Type As HostFieldEditConstants

アクセス

読み取り専用。


WaitForHostConnected メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

セッションが接続されるまで待機します。

構文

screen.WaitForHostConnected([timeout])
変数 | 説明
timeout | 省略可能: タイムアウト（ミリ秒）。 デフォルトは 30000ms です。 タイムアウト値に到達すると、例外がスローされます。 Integer。


WriteText メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

スクリーン上にテキストを書き出します。

座標が指定されていない場合、現在のカーソル位置に挿入されます。

構文

screen.WriteText(text, [position])
変数 | 説明
text | スクリーンに書き出されるテキスト。 String。
position | 省略可能: 挿入の開始位置。値は 1 から始まります（最初の行または列を表す）。 TextPosition。


AccessibilityDescription プロパティ (SapBarChart)

クラス

SapBarChart.

処理

[読み取り専用] シェルのアクセシビリティの説明。

構文

'Declaration
Protected Read Property AccessibilityDescription As String

アクセス

読み取り専用。


AccessibilityDescription プロパティ (SapChart)

クラス

SapChart.

処理

[読み取り専用] シェルのアクセシビリティの説明。

構文

'Declaration
Protected Read Property AccessibilityDescription As String

アクセス

読み取り専用。


AccessibilityDescription プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] シェルのアクセシビリティの説明。

構文

'Declaration
Protected Read Property AccessibilityDescription As String

アクセス

読み取り専用。


AccessibilityDescription プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] シェルのアクセシビリティの説明。

構文

'Declaration
Protected Read Property AccessibilityDescription As String

アクセス

読み取り専用。


AccessibilityTextOnRequest プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] アクセシビリティ サポートに関する追加のテキスト。

構文

'Declaration
Protected Read Property AccessibilityTextOnRequest As String

アクセス

読み取り専用。


AccessibilityText プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] アクセシビリティ サポートに関する追加のテキスト。

構文

'Declaration
Protected Read Property AccessibilityText As String

アクセス

読み取り専用。


AccessibilityTooltip プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] アクセシビリティ サポートに関する追加のツールチップ テキスト。

構文

'Declaration
Protected Read Property AccessibilityTooltip As String

アクセス

読み取り専用。


BarCount メソッド (SapBarChart)

クラス

SapBarChart.

処理

指定したグラフの棒の数を返します。

構文

result = barChart.BarCount(chartId)
変数 | 説明
result | Integer。
chartId | グラフのインデックス。 Integer。


ButtonbarVisible プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] アプリケーション ツール バー（SAP GUI の下のツール バー）が可視かどうか。

構文

'Declaration
Protected Read Property ButtonbarVisible As Boolean

アクセス

読み取り専用。


ButtonCount プロパティ (SapToolbarControl)

クラス

SapToolbarControl.

処理

[読み取り専用] 区切りを含むツール バーのボタンの数。

構文

'Declaration
Protected Read Property ButtonCount As Integer

アクセス

読み取り専用。


Changeable プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] オブジェクトが変更可能かどうか。

構文

'Declaration
Protected Read Property Changeable As Boolean

アクセス

読み取り専用。


ChangeCheckbox メソッド (SapTree)

クラス

SapTree.

処理

このメソッドはチェックボックスの状態の変更をエミュレートします。

構文

tree.ChangeCheckbox(nodeKey, itemName, check)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。
check | チェックボックスがチェックされるかどうか。 Boolean。


ChangeSelection メソッド (SapColorSelector)

クラス

SapColorSelector.

処理

指定したインデックスの位置の色を選択します。

構文

colorSelector.ChangeSelection(index)
変数 | 説明
index | 色のインデックス。 Integer。


CharHeight プロパティ (SapButton)

クラス

SapButton.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharHeight プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharHeight プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharHeight プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharHeight プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapButton)

クラス

SapButton.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルの左からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


ChartCount プロパティ (SapBarChart)

クラス

SapBarChart.

処理

[読み取り専用] グラフの数。

構文

'Declaration
Protected Read Property ChartCount As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapButton)

クラス

SapButton.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルの上からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapButton)

クラス

SapButton.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


Checked プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] チェックボックスがチェックされているかどうか。

構文

'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。


Check メソッド (SapCheckBox)

クラス

SapCheckBox.

処理

チェック ボックスをチェックします。

構文

checkBox.Check()


ClearSelection メソッド (SapGridView)

クラス

SapGridView.

処理

すべての行、列、セルの選択を削除します。

構文

gridView.ClearSelection()


ClickControlArea メソッド (SapPicture)

クラス

SapPicture.

処理

指定した位置をクリックします。

構文

picture.ClickControlArea(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


ClickCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルをクリックします。

構文

gridView.ClickCurrentCell()


Click メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルをクリックします。

構文

gridView.Click(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


Click メソッド (SapPicture)

クラス

SapPicture.

処理

画像をクリックします。

構文

picture.Click()


ClickPictureArea メソッド (SapPicture)

クラス

SapPicture.

処理

画像領域の指定した位置をクリックします。

構文

picture.ClickPictureArea(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


Close メソッド (SapOkCodeField)

クラス

SapOkCodeField.

処理

GuiOkCodeField を折りたたみます。

構文

okCodeField.Close()


CollapseNode メソッド (SapTree)

クラス

SapTree.

処理

この関数は nodeKey で指定したキーでノードを閉じます。

構文

tree.CollapseNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


ColorIndex プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] この要素のリスト色のインデックス。

構文

'Declaration
Protected Read Property ColorIndex As Integer

アクセス

読み取り専用。


ColorIndex プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルの色インデックス。

構文

'Declaration
Protected Read Property ColorIndex As Integer

アクセス

読み取り専用。


ColorIntensified プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] この要素の画面描画に対して INTENSIFIED フラグが設定されているかどうか。

構文

'Declaration
Protected Read Property ColorIntensified As Boolean

アクセス

読み取り専用。


ColorInverse プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] この要素の画面描画に対して INVERSE 色スタイルが設定されているかどうか。

構文

'Declaration
Protected Read Property ColorInverse As Boolean

アクセス

読み取り専用。


ColorInverse プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルに対して INVERSE 色スタイルが設定されているかどうか。

構文

'Declaration
Protected Read Property ColorInverse As Boolean

アクセス

読み取り専用。


ColumnCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 列の数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnCount プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] テーブルの列の数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnHeaders プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 列のタイトルのコレクション。

構文

'Declaration
Protected Read Property ColumnHeaders As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 列名のコレクション。

構文

'Declaration
Protected Read Property ColumnNames As List(Of String)

アクセス

読み取り専用。


ColumnOrder プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] すべての列識別子がその表示順でを含まれる文字列のリスト。

構文

'Declaration
Protected Read Property ColumnOrder As List(Of String)

アクセス

読み取り専用。


ColumnOrder プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 列順序。

構文

'Declaration
Protected Read Property ColumnOrder As List(Of String)

アクセス

読み取り専用。


ColumnSelectionMode プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 列の選択モード。

構文

'Declaration
Protected Read Property ColumnSelectionMode As TableSelectionType

アクセス

読み取り専用。


ColumnTitles プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 列のタイトルのコレクション。

構文

'Declaration
Protected Read Property ColumnTitles As List(Of String)

アクセス

読み取り専用。


ConfigureLayout メソッド (SapTable)

クラス

SapTable.

処理

テーブルのレイアウトを変更するために、レイアウトの設定ダイアログを開きます。

構文

table.ConfigureLayout()


ContextMenu メソッド (SapCalendar)

クラス

SapCalendar.

処理

コンテキスト メニューを開きます。

構文

calendar.ContextMenu(contextMenuId, contextMenuCellRow, contextMenuCellColumn, startDate, endDate)
変数 | 説明
contextMenuId | コンテキスト メニューを開くセルのセル タイプ。 CalendarCellType。
contextMenuCellRow | コンテキスト メニュー セルの行。 The value is zero-based.。 Integer。
contextMenuCellColumn | コンテキスト メニュー セルの列。 The value is zero-based.。 Integer。
startDate | 開始日。 String。
endDate | 終了日。 String。


ContextMenu メソッド (SapGridView)

クラス

SapGridView.

処理

コンテキスト メニューを要求します。

構文

gridView.ContextMenu()


ContextMenu メソッド (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

コンテキスト メニューの要求をエミュレートします。 バックエンドによって提供されるコンテキスト メニューに対してのみ適用されます。

構文

hTMLViewer.ContextMenu()


ContextMenu メソッド (SapPicture)

クラス

SapPicture.

処理

この関数は指定した位置にコンテキスト メニューを開きます。 座標は、画面上に表示される画像コントロールに対してピクセル単位で指定します。

構文

picture.ContextMenu(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


ContextMenu メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

コンテキスト メニューを要求します。

構文

textEdit.ContextMenu()


CurrentCellColumn プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 現在の列。

構文

'Declaration
Protected Read Property CurrentCellColumn As String

アクセス

読み取り専用。


CurrentCellMoved メソッド (SapGridView)

クラス

SapGridView.

処理

この関数は、他のセルが現在のセルになったことをサーバーに通知します。 現在のセルが変更された場合に関数が呼び出されます。

構文

gridView.CurrentCellMoved()


CurrentCellRow プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 現在の行。

構文

'Declaration
Protected Read Property CurrentCellRow As Integer

アクセス

読み取り専用。


CurrentColumn プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 現在の列のインデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property CurrentColumn As Integer

アクセス

読み取り専用。


CurrentColumn プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 現在キャレットがある列のインデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property CurrentColumn As Integer

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapBarChart)

クラス

SapBarChart.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapChart)

クラス

SapChart.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapColorSelector)

クラス

SapColorSelector.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapOfficeIntegration)

クラス

SapOfficeIntegration.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapPicture)

クラス

SapPicture.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapSplitterContainer)

クラス

SapSplitterContainer.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapToolbarControl)

クラス

SapToolbarControl.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapUserArea)

クラス

SapUserArea.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 現在キャレットがある行のインデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property CurrentLine As Integer

アクセス

読み取り専用。


CurrentRow プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 現在の行のインデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property CurrentRow As Integer

アクセス

読み取り専用。


Day プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている月の日。

構文

'Declaration
Protected Read Property Day As Integer

アクセス

読み取り専用。


DefaultContextMenu メソッド (SapTree)

クラス

SapTree.

処理

このメソッドは、ツリー コントロール全体に対してコンテキスト メニューを要求します。

構文

tree.DefaultContextMenu()


DefaultTooltip プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。

構文

'Declaration
Protected Read Property DefaultTooltip As String

アクセス

読み取り専用。


DeleteRows メソッド (SapGridView)

クラス

SapGridView.

処理

指定した行を削除します。

パラメーター行は、インデックスやインデックス範囲をカンマ区切りで表した文字列です ('3,5-8,14,15' など)。 各エントリは順番通りに、かつ範囲が重複しないように指定する必要があります。

構文

gridView.DeleteRows(rows)
変数 | 説明
rows | 削除する行。 String。


DeselectAllColumns メソッド (SapTable)

クラス

SapTable.

処理

この関数は、1 ステップですべての列の選択を解除できるボタンを持つテーブル コントロールに対して使用することができます。

構文

table.DeselectAllColumns()


DeselectColumn メソッド (SapGridView)

クラス

SapGridView.

処理

選択した列のリストから指定した列を削除します。

構文

gridView.DeselectColumn(column)
変数 | 説明
column | 列識別子。 String。


DeselectColumn メソッド (SapTable)

クラス

SapTable.

処理

指定した列の選択を解除します。

構文

table.DeselectColumn(column)
変数 | 説明
column | 列のインデックス。 The value is zero-based.。 Integer。


DeselectRow メソッド (SapTable)

クラス

SapTable.

処理

指定した行の選択を解除します。

構文

table.DeselectRow(row)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。


DisplayedText プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルのテキスト。

構文

'Declaration
Protected Read Property DisplayedText As String

アクセス

読み取り専用。


DisplayedText プロパティ (SapTextField)

クラス

SapTextField.

処理

[読み取り専用] 画面上に表示されるテキスト（前後の空白を含む）。

構文

'Declaration
Protected Read Property DisplayedText As String

アクセス

読み取り専用。


DisplayMode プロパティ (SapPicture)

クラス

SapPicture.

処理

[読み取り専用] 画像の表示モード（"Normal"、"Stretch"、"Fit"、"NormalCenter"、"FitCenter" など）。

構文

'Declaration
Protected Read Property DisplayMode As String

アクセス

読み取り専用。


DocumentComplete プロパティ (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

[読み取り専用] ドキュメントが完全かどうか。

構文

'Declaration
Protected Read Property DocumentComplete As Boolean

アクセス

読み取り専用。


DoubleClickControlArea メソッド (SapPicture)

クラス

SapPicture.

処理

指定した位置をダブルクリックします。

構文

picture.DoubleClickControlArea(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


DoubleClickCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルをダブルクリックします。

構文

gridView.DoubleClickCurrentCell()


DoubleClick メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルをダブルクリックします。

構文

gridView.DoubleClick(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


DoubleClick メソッド (SapPicture)

クラス

SapPicture.

処理

画像をダブルクリックします。

構文

picture.DoubleClick()


DoubleClick メソッド (SapStatusbar)

クラス

SapStatusbar.

処理

ステータス バーをダブルクリックします。

構文

statusbar.DoubleClick()


DoubleClick メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

テキスト編集コントロールをダブルクリックします。

構文

textEdit.DoubleClick()


DoubleClickPictureArea メソッド (SapPicture)

クラス

SapPicture.

処理

画像領域の指定した位置をダブルクリックします。

構文

picture.DoubleClickPictureArea(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


DoubleSelectItem メソッド (SapTree)

クラス

SapTree.

処理

この関数はテキスト項目のダブルクリックをエミュレートします。

構文

tree.DoubleSelectItem(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


DoubleSelectNode メソッド (SapTree)

クラス

SapTree.

処理

この関数はノードのダブルクリックをエミュレートします。

構文

tree.DoubleSelectNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


DragDropSupported プロパティ (SapShell)

クラス

SapShell.

処理

[読み取り専用] シェルがドラッグ＆ドロップ操作を許可しているかどうか。

構文

'Declaration
Protected Read Property DragDropSupported As Boolean

アクセス

読み取り専用。


DuplicateRows メソッド (SapGridView)

クラス

SapGridView.

処理

指定した範囲の行を複製します。

パラメーター行は、インデックスやインデックス範囲をカンマ区切りで表した文字列です ('3,5-8,14,15' など)。 単一のインデックスの場合、行のコピーが指定したインデックスに挿入されます。 インデックスの範囲を複製する場合、すべての新しい行が 1 つのブロックとして古い行の前に挿入されます。 各エントリは順番通りに、かつ範囲が重複しないように指定する必要があります。

構文

gridView.DuplicateRows(rows)
変数 | 説明
rows | 複製する行。 String。


EndSelection プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 選択範囲の終了点。

構文

'Declaration
Protected Read Property EndSelection As String

アクセス

読み取り専用。


EnsureVisibleHorizontalItem メソッド (SapTree)

クラス

SapTree.

処理

この関数は項目が表示されるまでツリーを水平方向にスクロールさせます。

構文

tree.EnsureVisibleHorizontalItem(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


ExpandNode メソッド (SapTree)

クラス

SapTree.

処理

この関数は nodeKey で指定したキーでノードを展開します。

構文

tree.ExpandNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


FindNodeKeyByPath メソッド (SapTree)

クラス

SapTree.

処理

指定したパス（2\1\2 など）のノード キーを返します。

構文

result = tree.FindNodeKeyByPath(path)
変数 | 説明
result | String。
path | ノード パス。 String。


FirstVisibleColumn プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] グリッド ビューのスクロール可能領域の最初の可視な列。固定された列は無視されます。

構文

'Declaration
Protected Read Property FirstVisibleColumn As String

アクセス

読み取り専用。


FirstVisibleDate プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] カレンダ コントロールの最も早い可視な日付。

構文

'Declaration
Protected Read Property FirstVisibleDate As String

アクセス

読み取り専用。


FirstVisibleLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキスト編集コントロールの上端に表示されている最初の可視な行。 The value is zero-based.。

構文

'Declaration
Protected Read Property FirstVisibleLine As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] グリッドの最初の可視な行のインデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property FirstVisibleRow As Integer

アクセス

読み取り専用。


Flushing プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 値の変更がラウンド トリップするかどうか。

構文

'Declaration
Protected Read Property Flushing As Boolean

アクセス

読み取り専用。


Flushing プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 値の変更がラウンド トリップするかどうか。

構文

'Declaration
Protected Read Property Flushing As Boolean

アクセス

読み取り専用。


Flushing プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 値の変更がラウンド トリップするかどうか。

構文

'Declaration
Protected Read Property Flushing As Boolean

アクセス

読み取り専用。


FocusedButton プロパティ (SapToolbarControl)

クラス

SapToolbarControl.

処理

[読み取り専用] 現在フォーカスを持つボタンの 0 を基準としたインデックス。

構文

'Declaration
Protected Read Property FocusedButton As Integer

アクセス

読み取り専用。


FocusedNodeKey プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] フォーカスを持つノードのキー。

構文

'Declaration
Protected Read Property FocusedNodeKey As String

アクセス

読み取り専用。


FrozenColumnCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 水平方向のスクロールから除外される列の数。

構文

'Declaration
Protected Read Property FrozenColumnCount As Integer

アクセス

読み取り専用。


GetAbapImage メソッド (SapTree)

クラス

SapTree.

処理

ABAP 画像を取得します。

構文

abapImage = tree.GetAbapImage(nodeKey, itemName)
変数 | 説明
abapImage | String。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetBarContent メソッド (SapBarChart)

クラス

SapBarChart.

処理

棒のコンテンツを返します。

構文

barContent = barChart.GetBarContent(chartId, barId, textId)
変数 | 説明
barContent | String。
chartId | グラフのインデックス。 Integer。
barId | 指定したグラフ内の棒のインデックス。 Integer。
textId | テキスト ID。 Integer。


GetButtonIcon メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定したツール バー ボタンのアイコン名を取得します。

構文

buttonIcon = toolbarControl.GetButtonIcon(buttonPosition)
変数 | 説明
buttonIcon | String。
buttonPosition | ボタンの位置（0 を基準）。 Integer。


GetButtonType メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定したツール バーのボタンの種類を取得します。 有効な値は、"Button"、"ButtonAndMenu"、"Menu"、"Separator"、"Group"、"CheckBox" です。

構文

buttonType = toolbarControl.GetButtonType(buttonPosition)
変数 | 説明
buttonType | ToolBarButtonType。
buttonPosition | ボタンの位置（0 を基準）。 Integer。


GetCellAbsolute メソッド (SapTable)

クラス

SapTable.

処理

テーブル セルを返します。 行が表示されていない場合、スクロールして表示します。

構文

cellAbsolute = table.GetCellAbsolute(row, column)
変数 | 説明
cellAbsolute | SapComponent。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列のインデックス。 The value is zero-based.。 Integer。


GetCellColor メソッド (SapGridView)

クラス

SapGridView.

処理

セルの色の識別子を返します。

GetColorInfo を使用して色情報を取得するために使用することができます。

構文

gridView.GetCellColor(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellHeight メソッド (SapGridView)

クラス

SapGridView.

処理

セルの高さ（ピクセル単位）を取得します。

構文

cellHeight = gridView.GetCellHeight(row, column)
変数 | 説明
cellHeight | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellIcon メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルのアイコン文字列を取得します。

構文

cellIcon = gridView.GetCellIcon(row, column)
変数 | 説明
cellIcon | String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellLeft メソッド (SapGridView)

クラス

SapGridView.

処理

セルの左からの位置を取得します。

構文

cellLeft = gridView.GetCellLeft(row, column)
変数 | 説明
cellLeft | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellMaxLength メソッド (SapGridView)

クラス

SapGridView.

処理

セルの最大の長さをバイト数で取得します。

構文

cellMaxLength = gridView.GetCellMaxLength(row, column)
変数 | 説明
cellMaxLength | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCell メソッド (SapTable)

クラス

SapTable.

処理

可視なテーブル セルを返します。

構文

cell = table.GetCell(row, column)
変数 | 説明
cell | SapComponent。
row | 可視な最初の行から始まる行のインデックス。 The value is zero-based.。 Integer。
column | 列のインデックス。 The value is zero-based.。 Integer。


GetCellsForRow メソッド (SapTable)

クラス

SapTable.

処理

指定した行のセルを返します。

構文

cellsForRow = table.GetCellsForRow(row)
変数 | 説明
cellsForRow | List(Of SapComponent)。
row | 行のインデックス。 The value is zero-based.。 Integer。


GetCellState メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの状態を取得します。 有効な値は、Normal、Error、Warning、Info です。

構文

cellState = gridView.GetCellState(row, column)
変数 | 説明
cellState | GridCellState。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellTooltip メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルのツールチップを取得します。

構文

cellTooltip = gridView.GetCellTooltip(row, column)
変数 | 説明
cellTooltip | String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellTop メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの上からの位置を取得します。

構文

cellTop = gridView.GetCellTop(row, column)
変数 | 説明
cellTop | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellType メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルのセル タイプを取得します。

構文

cellType = gridView.GetCellType(row, column)
変数 | 説明
cellType | GridCellType。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellValue メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの値を取得します。

構文

cellValue = gridView.GetCellValue(row, column)
変数 | 説明
cellValue | String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellWidth メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの幅を取得します。

構文

cellWidth = gridView.GetCellWidth(row, column)
変数 | 説明
cellWidth | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCheckBoxState メソッド (SapTree)

クラス

SapTree.

処理

チェック ボックスの状態（チェックされている場合は true、チェックされていない場合は false）を取得します。

構文

checkBoxState = tree.GetCheckBoxState(nodeKey, itemName)
変数 | 説明
checkBoxState | Boolean。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetColorInfo メソッド (SapGridView)

クラス

SapGridView.

処理

セルの色の説明を返します。

SAP GUI のユーザー補助モードが有効化されてい場合にのみ、この関数は値を返します。

構文

gridView.GetColorInfo(color)
変数 | 説明
color | 説明を取得する色。 The value is zero-based.。 Integer。


GetColumnDataType メソッド (SapGridView)

クラス

SapGridView.

処理

列のデータ型を取得します。

構文

columnDataType = gridView.GetColumnDataType(column)
変数 | 説明
columnDataType | String。
column | 列識別子。 String。


GetColumnIndexFromName メソッド (SapTree)

クラス

SapTree.

処理

指定した名前の列インデックスを取得します。

構文

columnIndexFromName = tree.GetColumnIndexFromName(columnName)
変数 | 説明
columnIndexFromName | Integer。
columnName | 列の名前。 String。


GetColumnKeys メソッド (SapTree)

クラス

SapTree.

処理

指定した列のすべての項目のキーを取得します。

構文

columnKeys = tree.GetColumnKeys(column)
変数 | 説明
columnKeys | List(Of String)。
column | 列の名前。 String。


GetColumnPosition メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列の位置を取得します。

構文

columnPosition = gridView.GetColumnPosition(column)
変数 | 説明
columnPosition | Integer。
column | 列識別子。 String。


GetColumnSortType メソッド (SapGridView)

クラス

SapGridView.

処理

列のソート種別を取得します。 有効な値は、None、Ascending、Descending です。

構文

columnSortType = gridView.GetColumnSortType(column)
変数 | 説明
columnSortType | GridColumnSortType。
column | 列識別子。 String。


GetColumnTitleFromName メソッド (SapTree)

クラス

SapTree.

処理

指定した名前の列タイトルを取得します。

構文

columnTitleFromName = tree.GetColumnTitleFromName(columnName)
変数 | 説明
columnTitleFromName | String。
columnName | 列の名前。 String。


GetColumnTitle メソッド (SapTable)

クラス

SapTable.

処理

このメソッドは指定した列のタイトルを返します。

構文

columnTitle = table.GetColumnTitle(column)
変数 | 説明
columnTitle | String。
column | 列のインデックス。 The value is zero-based.。 Integer。


GetColumnTitles メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列のすべての列タイトルを取得します。

構文

columnTitles = gridView.GetColumnTitles(column)
変数 | 説明
columnTitles | List(Of String)。
column | 列識別子。 String。


GetColumnTooltip メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列のツールチップ テキストを取得します。

構文

columnTooltip = gridView.GetColumnTooltip(column)
変数 | 説明
columnTooltip | String。
column | 列識別子。 String。


GetColumnTotalType メソッド (SapGridView)

クラス

SapGridView.

処理

列の合計種別を取得します。 有効な値は、None、Total、Subtotal です。

構文

columnTotalType = gridView.GetColumnTotalType(column)
変数 | 説明
columnTotalType | GridColumnTotalType。
column | 列識別子。 String。


GetCurrentEntryKey メソッド (SapComboBox)

クラス

SapComboBox.

処理

現在のエントリのキーを取得します。

構文

currentEntryKey = comboBox.GetCurrentEntryKey()
変数 | 説明
currentEntryKey | String。


GetCurrentEntryValue メソッド (SapComboBox)

クラス

SapComboBox.

処理

現在のエントリの値を取得します。

構文

currentEntryValue = comboBox.GetCurrentEntryValue()
変数 | 説明
currentEntryValue | String。


GetDisplayedColumnTitle メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列の現在表示されているタイトルを取得します。

構文

displayedColumnTitle = gridView.GetDisplayedColumnTitle(column)
変数 | 説明
displayedColumnTitle | String。
column | 列識別子。 String。


GetEntryKeys メソッド (SapComboBox)

クラス

SapComboBox.

処理

すべてのエントリ キーのリストを取得します。

構文

entryKeys = comboBox.GetEntryKeys()
変数 | 説明
entryKeys | List(Of String)。


GetEntryValues メソッド (SapComboBox)

クラス

SapComboBox.

処理

すべてのエントリ値のリストを取得します。

構文

entryValues = comboBox.GetEntryValues()
変数 | 説明
entryValues | List(Of String)。


GetGridLineContent メソッド (SapBarChart)

クラス

SapBarChart.

処理

グリッド線のコンテンツを返します。

構文

gridLineContent = barChart.GetGridLineContent(chartId, gridLineId, textId)
変数 | 説明
gridLineContent | String。
chartId | グラフのインデックス。 Integer。
gridLineId | 指定したグラフ内のグリッド線のインデックス。 Integer。
textId | テキスト ID。 Integer。


GetHierarchyLevel メソッド (SapTree)

クラス

SapTree.

処理

指定したキーの階層レベルを取得します。

構文

hierarchyLevel = tree.GetHierarchyLevel(nodeKey)
変数 | 説明
hierarchyLevel | Integer。
nodeKey | ノードのキー。 String。


GetItemHeight メソッド (SapTree)

クラス

SapTree.

処理

現在の項目の高さを返します。

構文

itemHeight = tree.GetItemHeight(nodeKey, itemName)
変数 | 説明
itemHeight | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemLeft メソッド (SapTree)

クラス

SapTree.

処理

コンポーネントの左からの位置を取得します。

構文

itemLeft = tree.GetItemLeft(nodeKey, itemName)
変数 | 説明
itemLeft | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemStyle メソッド (SapTree)

クラス

SapTree.

処理

指定した項目のスタイルを取得します。

構文

itemStyle = tree.GetItemStyle(nodeKey, itemName)
変数 | 説明
itemStyle | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemTextColor メソッド (SapTree)

クラス

SapTree.

処理

項目のテキスト色を返します。

構文

itemTextColor = tree.GetItemTextColor(nodeKey, itemName)
変数 | 説明
itemTextColor | Color。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemText メソッド (SapTree)

クラス

SapTree.

処理

複数列のツリーの場合、この関数は、パラメーターで指定したキーと名前によって項目のテキストを返します。

Micro Focus は、SAPTree.GetNodeText() instead oの方が使いやすいため、SAPTree.GetItemText() の代わりに使用することをお勧めしますが、SAPTree.GetNodeText() は、すべての SAPTree に対して機能するわけではありません。 マルチカラム リスト ツリーに対して SapTree.GetItemText() を使用する方法についての例は、http://stackoverflow.com/questions/29741718/text-in-tree-does-not-match-text-which-is-displayed を参照してください。

構文

itemText = tree.GetItemText(nodeKey, itemName)
変数 | 説明
itemText | String。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemTooltip メソッド (SapTree)

クラス

SapTree.

処理

項目のツールチップ テキストを返します。

構文

itemTooltip = tree.GetItemTooltip(nodeKey, itemName)
変数 | 説明
itemTooltip | String。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemTop メソッド (SapTree)

クラス

SapTree.

処理

コンポーネントの上からの位置を取得します。

構文

itemTop = tree.GetItemTop(nodeKey, itemName)
変数 | 説明
itemTop | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemType メソッド (SapTree)

クラス

SapTree.

処理

指定したノードの種類を返します。

構文

itemType = tree.GetItemType(nodeKey, itemName)
変数 | 説明
itemType | ItemType。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemWidth メソッド (SapTree)

クラス

SapTree.

処理

現在の項目の幅を返します。

構文

itemWidth = tree.GetItemWidth(nodeKey, itemName)
変数 | 説明
itemWidth | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetLineText メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行のテキストを返します。

構文

lineText = textEdit.GetLineText(line)
変数 | 説明
lineText | String。
line | 行のインデックス。 The value is zero-based.。 Integer。


GetLinkContent メソッド (SapNetPlan)

クラス

SapNetPlan.

処理

リンクのコンテンツを返します。

構文

linkContent = netPlan.GetLinkContent(linkId, textId)
変数 | 説明
linkContent | String。
linkId | リンクのインデックス。 Integer。
textId | テキスト ID。 Integer。


GetListTreeNodeItemCount メソッド (SapTree)

クラス

SapTree.

処理

ノード項目の数を返します。

構文

listTreeNodeItemCount = tree.GetListTreeNodeItemCount(nodeKey)
変数 | 説明
listTreeNodeItemCount | Integer。
nodeKey | ノードのキー。 String。


GetNextNodeKey メソッド (SapTree)

クラス

SapTree.

処理

次のノードのキーを返します。

構文

nextNodeKey = tree.GetNextNodeKey(nodeKey)
変数 | 説明
nextNodeKey | String。
nodeKey | ノードのキー。 String。


GetNodeAbapImage メソッド (SapTree)

クラス

SapTree.

処理

指定したノードの ABAP 画像を返します。

構文

nodeAbapImage = tree.GetNodeAbapImage(nodeKey)
変数 | 説明
nodeAbapImage | String。
nodeKey | ノードのキー。 String。


GetNodeChildrenCountByPath メソッド (SapTree)

クラス

SapTree.

処理

この関数は、パス パラメーター（2\1\2 など）によって指定されたノードの子の数を返します。

構文

nodeChildrenCountByPath = tree.GetNodeChildrenCountByPath(path)
変数 | 説明
nodeChildrenCountByPath | Integer。
path | ノード パス。 String。


GetNodeChildrenCount メソッド (SapTree)

クラス

SapTree.

処理

この関数は、指定したノードの子の数を返します。

構文

nodeChildrenCount = tree.GetNodeChildrenCount(nodeKey)
変数 | 説明
nodeChildrenCount | Integer。
nodeKey | ノードのキー。 String。


GetNodeContent メソッド (SapNetPlan)

クラス

SapNetPlan.

処理

ノードのコンテンツを返します。

構文

nodeContent = netPlan.GetNodeContent(nodeId, textId)
変数 | 説明
nodeContent | String。
nodeId | ノードのインデックス。 Integer。
textId | テキスト ID。 Integer。


GetNodeHeight メソッド (SapTree)

クラス

SapTree.

処理

現在のノードの高さを返します。

構文

nodeHeight = tree.GetNodeHeight(nodeKey)
変数 | 説明
nodeHeight | Integer。
nodeKey | ノードのキー。 String。


GetNodeIndex メソッド (SapTree)

クラス

SapTree.

処理

指定したノードのインデックスを返します。

構文

nodeIndex = tree.GetNodeIndex(nodeKey)
変数 | 説明
nodeIndex | Integer。
nodeKey | ノードのキー。 String。


GetNodeItemHeaders メソッド (SapTree)

クラス

SapTree.

処理

指定したノードのヘッダーを返します。

構文

nodeItemHeaders = tree.GetNodeItemHeaders(nodeKey)
変数 | 説明
nodeItemHeaders | List(Of String)。
nodeKey | ノードのキー。 String。


GetNodeLeft メソッド (SapTree)

クラス

SapTree.

処理

コンポーネントの左からの位置を取得します。

構文

nodeLeft = tree.GetNodeLeft(nodeKey)
変数 | 説明
nodeLeft | Integer。
nodeKey | ノードのキー。 String。


GetNodePathByKey メソッド (SapTree)

クラス

SapTree.

処理

ノードのキー（2\1\2 など）を指定してパスを取得します。

構文

nodePathByKey = tree.GetNodePathByKey(nodeKey)
変数 | 説明
nodePathByKey | String。
nodeKey | ノードのキー。 String。


GetNodeStyle メソッド (SapTree)

クラス

SapTree.

処理

ノードのスタイルを返します。

構文

nodeStyle = tree.GetNodeStyle(nodeKey)
変数 | 説明
nodeStyle | Integer。
nodeKey | ノードのキー。 String。


GetNodeTextByPath メソッド (SapTree)

クラス

SapTree.

処理

指定したパスによって定義されるノードのテキストを返します。

構文

nodeTextByPath = tree.GetNodeTextByPath(path)
変数 | 説明
nodeTextByPath | String。
path | ノード パス。 String。


GetNodeTextColor メソッド (SapTree)

クラス

SapTree.

処理

ノードのテキスト色を返します。

構文

nodeTextColor = tree.GetNodeTextColor(nodeKey)
変数 | 説明
nodeTextColor | Integer。
nodeKey | ノードのキー。 String。


GetNodeText メソッド (SapTree)

クラス

SapTree.

処理

この関数は、指定したキーによるノードのテキストを返します。

構文

nodeText = tree.GetNodeText(nodeKey)
変数 | 説明
nodeText | String。
nodeKey | ノードのキー。 String。


GetNodeTooltip メソッド (SapTree)

クラス

SapTree.

処理

ノードのツールチップ テキストを返します。

構文

nodeTooltip = tree.GetNodeTooltip(nodeKey)
変数 | 説明
nodeTooltip | String。
nodeKey | ノードのキー。 String。


GetNodeTop メソッド (SapTree)

クラス

SapTree.

処理

コンポーネントの上からの位置を取得します。

構文

nodeTop = tree.GetNodeTop(nodeKey)
変数 | 説明
nodeTop | Integer。
nodeKey | ノードのキー。 String。


GetNodeWidth メソッド (SapTree)

クラス

SapTree.

処理

現在のノードの幅を返します。

構文

nodeWidth = tree.GetNodeWidth(nodeKey)
変数 | 説明
nodeWidth | Integer。
nodeKey | ノードのキー。 String。


GetParentNodeKey メソッド (SapTree)

クラス

SapTree.

処理

指定したキーによるノードの親ノードのキーを返します。

構文

parentNodeKey = tree.GetParentNodeKey(nodeKey)
変数 | 説明
parentNodeKey | String。
nodeKey | ノードのキー。 String。


GetPreviousNodeKey メソッド (SapTree)

クラス

SapTree.

処理

指定したキーによるノードの前のノードのキーを返します。

構文

previousNodeKey = tree.GetPreviousNodeKey(nodeKey)
変数 | 説明
previousNodeKey | String。
nodeKey | ノードのキー。 String。


GetRowTotalLevel メソッド (SapGridView)

クラス

SapGridView.

処理

行のレベルを取得します。

構文

rowTotalLevel = gridView.GetRowTotalLevel(row)
変数 | 説明
rowTotalLevel | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。


GetStyleDescription メソッド (SapTree)

クラス

SapTree.

処理

指定したスタイルの説明を返します。

構文

styleDescription = tree.GetStyleDescription(style)
変数 | 説明
styleDescription | String。
style | スタイル。 Integer。


GetSubNodesKeys メソッド (SapTree)

クラス

SapTree.

処理

指定したキーのノードのすべてのサブノードのキーのコレクションを返します。

構文

subNodesKeys = tree.GetSubNodesKeys(nodeKey)
変数 | 説明
subNodesKeys | List(Of String)。
nodeKey | ノードのキー。 String。


GetSymbolInfo メソッド (SapGridView)

クラス

SapGridView.

処理

セルの記号の説明を返します。

SAP GUI のユーザー補助モードが有効化されてい場合にのみ、この関数は値を返します。

構文

gridView.GetSymbolInfo(symbol)
変数 | 説明
symbol | セルの記号の値。 String。


GetToolbarButtonIcon メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンのアイコン名を取得します。

構文

toolbarButtonIcon = gridView.GetToolbarButtonIcon(buttonpos)
変数 | 説明
toolbarButtonIcon | String。
buttonpos | ツール バー ボタンの位置。 The value is zero-based.。 Integer。


GetToolbarButtonId メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンの ID を取得します。

構文

toolbarButtonId = gridView.GetToolbarButtonId(buttonpos)
変数 | 説明
toolbarButtonId | String。
buttonpos | ツール バー ボタンの位置。 The value is zero-based.。 Integer。


GetToolbarButtonText メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンのテキストを取得します。

構文

toolbarButtonText = gridView.GetToolbarButtonText(buttonpos)
変数 | 説明
toolbarButtonText | String。
buttonpos | ツール バー ボタンの位置。 The value is zero-based.。 Integer。


GetToolbarButtonTooltip メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンのツールチップを取得します。

構文

toolbarButtonTooltip = gridView.GetToolbarButtonTooltip(buttonpos)
変数 | 説明
toolbarButtonTooltip | String。
buttonpos | ツール バー ボタンのインデックス。 The value is zero-based.。 Integer。


GetToolbarButtonType メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バーのボタンの種類を取得します。 有効な値は、"Button"、"ButtonAndMenu"、"Menu"、"Separator"、"Group"、"CheckBox" です。

構文

toolbarButtonType = gridView.GetToolbarButtonType(buttonpos)
変数 | 説明
toolbarButtonType | GridToolbarButtonType。
buttonpos | ツール バー ボタンのインデックス。 The value is zero-based.。 Integer。


GetToolbarFocusButton メソッド (SapGridView)

クラス

SapGridView.

処理

現在フォーカスを持つツール バー ボタンの位置を取得します。

構文

toolbarFocusButton = gridView.GetToolbarFocusButton()
変数 | 説明
toolbarFocusButton | Integer。


GetVisibleCellsForColumn メソッド (SapTable)

クラス

SapTable.

処理

指定した列の可視なセルを返します。

構文

visibleCellsForColumn = table.GetVisibleCellsForColumn(column)
変数 | 説明
visibleCellsForColumn | List(Of SapComponent)。
column | 列のインデックス。 The value is zero-based.。 Integer。


GridCount メソッド (SapBarChart)

クラス

SapBarChart.

処理

グラフ内のグリッドの数を返します。

構文

result = barChart.GridCount(chartId)
変数 | 説明
result | Integer。
chartId | グラフのインデックス。 Integer。


GuiFocus プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] 現在フォーカスを持つ SAP GUI 内の要素。

構文

'Declaration
Protected Read Property GuiFocus As SapComponent

アクセス

読み取り専用。


HasCellF4Help メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルがヘルプが割り当てられた値を持つ場合に true を返します。

構文

cellF4Help = gridView.HasCellF4Help(row, column)
変数 | 説明
cellF4Help | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


HeaderContextMenu メソッド (SapTree)

クラス

SapTree.

処理

このメソッドは、ヘッダーに対してコンテキスト メニューを要求します。

構文

tree.HeaderContextMenu(headerName)
変数 | 説明
headerName | ヘッダーの名前。 String。


Height プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 現在のコンポーネントの高さ。

構文

'Declaration
Protected Read Property Height As Integer

アクセス

読み取り専用。


HierarchyHeaderWidth プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 階層ヘッダーの幅（ピクセル単位）。

構文

'Declaration
Protected Read Property HierarchyHeaderWidth As Integer

アクセス

読み取り専用。


HierarchyTitle プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 階層タイトル。

構文

'Declaration
Protected Read Property HierarchyTitle As String

アクセス

読み取り専用。


Highlighted プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルに対して 'highlighted' フラグが割り当てられているかどうか。

構文

'Declaration
Protected Read Property Highlighted As Boolean

アクセス

読み取り専用。


IconName プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。

構文

'Declaration
Protected Read Property IconName As String

アクセス

読み取り専用。


Icon プロパティ (SapPicture)

クラス

SapPicture.

処理

[読み取り専用] SAPGUI アイコン コード（"@01@" など）。

構文

'Declaration
Protected Read Property Icon As String

アクセス

読み取り専用。


InsertRows メソッド (SapGridView)

クラス

SapGridView.

処理

行の範択を挿入します。

パラメーター行は、インデックスやインデックス範囲をカンマ区切りで表した文字列です ('3,5-8,14,15' など)。 単一のインデックスの場合、新しい行が指定したインデックスに追加され古い行は一行下に移動します。 インデックスの範囲が挿入される場合、すべての新しい行が 1 つのブロックとして任意の古い行の前に挿入されます。 各エントリは順番通りに、かつ範囲が重複しないように指定する必要があります。

構文

gridView.InsertRows(rows)
変数 | 説明
rows | 挿入する行。 String。


IsBreakpointLine メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行にブレークポイントが含まれているかどうかを取得します。

構文

breakpointLine = textEdit.IsBreakpointLine(line)
変数 | 説明
breakpointLine | Boolean。
line | 行のインデックス。 The value is zero-based.。 Integer。


IsButtonChecked メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

ボタンが現在チェックされている（押されている）かどうかを取得します。

構文

buttonChecked = toolbarControl.IsButtonChecked(buttonPosition)
変数 | 説明
buttonChecked | Boolean。
buttonPosition | ボタンの位置（0 を基準）。 Integer。


IsButtonEnabled メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

ボタンを押すことができるかどうかを取得します。

構文

buttonEnabled = toolbarControl.IsButtonEnabled(buttonPosition)
変数 | 説明
buttonEnabled | Boolean。
buttonPosition | ボタンの位置（0 を基準）。 Integer。


IsCellChangeable メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルが変更可能な場合に true を返します。

構文

cellChangeable = gridView.IsCellChangeable(row, column)
変数 | 説明
cellChangeable | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsCellCheckBoxChecked メソッド (SapGridView)

クラス

SapGridView.

処理

指定した位置にあるチェック ボックスがチェックされている場合に true を返します。

構文

cellCheckBoxChecked = gridView.IsCellCheckBoxChecked(row, column)
変数 | 説明
cellCheckBoxChecked | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsCellHotspot メソッド (SapGridView)

クラス

SapGridView.

処理

セルがリンクである場合に true を返します。

構文

cellHotspot = gridView.IsCellHotspot(row, column)
変数 | 説明
cellHotspot | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsCellSymbol メソッド (SapGridView)

クラス

SapGridView.

処理

セルのテキストが SAP シンボル フォントで表示されている場合に true を返します。

構文

cellSymbol = gridView.IsCellSymbol(row, column)
変数 | 説明
cellSymbol | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsCellTotalExpander メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルに合計エクスパンダ ボタンがある場合に true を返します。

構文

cellTotalExpander = gridView.IsCellTotalExpander(row, column)
変数 | 説明
cellTotalExpander | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsColumnFiltered メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列がフィルタリングされている場合に true を返します。

構文

columnFiltered = gridView.IsColumnFiltered(column)
変数 | 説明
columnFiltered | Boolean。
column | 列識別子。 String。


IsColumnKey メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列がキー列である場合に true を返します。

構文

columnKey = gridView.IsColumnKey(column)
変数 | 説明
columnKey | Boolean。
column | 列識別子。 String。


IsColumnSelected メソッド (SapTable)

クラス

SapTable.

処理

指定した列が選択されている場合に true を返します。

構文

columnSelected = table.IsColumnSelected(column)
変数 | 説明
columnSelected | Boolean。
column | 列のインデックス。 The value is zero-based.。 Integer。


IsCommentLine メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行がコメント行である場合に true を返します。

構文

commentLine = textEdit.IsCommentLine(line)
変数 | 説明
commentLine | Boolean。
line | 行のインデックス。 The value is zero-based.。 Integer。


IsFolderExpandable メソッド (SapTree)

クラス

SapTree.

処理

フォルダーが展開可能かどうかを返します。

構文

folderExpandable = tree.IsFolderExpandable(nodeKey)
変数 | 説明
folderExpandable | Boolean。
nodeKey | ノードのキー。 String。


IsFolderExpanded メソッド (SapTree)

クラス

SapTree.

処理

フォルダーが展開されているかどうかを返します。

構文

folderExpanded = tree.IsFolderExpanded(nodeKey)
変数 | 説明
folderExpanded | Boolean。
nodeKey | ノードのキー。 String。


IsFolder メソッド (SapTree)

クラス

SapTree.

処理

指定したノードがフォルダーかどうかを返します。

構文

folder = tree.IsFolder(nodeKey)
変数 | 説明
folder | Boolean。
nodeKey | ノードのキー。 String。


IsHighlightedLine メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行がハイライトされている場合に true を返します。

構文

highlightedLine = textEdit.IsHighlightedLine(line)
変数 | 説明
highlightedLine | Boolean。
line | 行のインデックス。 The value is zero-based.。 Integer。


IsHighLighted メソッド (SapTree)

クラス

SapTree.

処理

ノードがハイライトされているかどうかを返します。

構文

highLighted = tree.IsHighLighted(nodeKey, itemName)
変数 | 説明
highLighted | Boolean。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


IsHotspot プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルに対するマウス クリックがラウンド トリップするかどうか。

構文

'Declaration
Protected Read Property IsHotspot As Boolean

アクセス

読み取り専用。


IsLeftLabel プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] コンポーネントが 'assign left' フラグを持つかどうか。

構文

'Declaration
Protected Read Property IsLeftLabel As Boolean

アクセス

読み取り専用。


IsLeftLabel プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] コンポーネントが 'assign left' フラグを持つかどうか。

構文

'Declaration
Protected Read Property IsLeftLabel As Boolean

アクセス

読み取り専用。


IsLeftLabel プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] コンポーネントに 'assign left' フラグが割り当てられているかどうか。

構文

'Declaration
Protected Read Property IsLeftLabel As Boolean

アクセス

読み取り専用。


IsLeftLabel プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] コンポーネントが 'assign left' フラグを持つかどうか。

構文

'Declaration
Protected Read Property IsLeftLabel As Boolean

アクセス

読み取り専用。


IsListBoxActive プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] コンボ ボックスのリスト ボックスが現在開かれているかどうか。

構文

'Declaration
Protected Read Property IsListBoxActive As Boolean

アクセス

読み取り専用。


IsListElement プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素が画面でなく ABAP リスト上にあるかどうか。

構文

'Declaration
Protected Read Property IsListElement As Boolean

アクセス

読み取り専用。


IsListElement プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] 要素が ABAP リスト上にあるかどうか。

構文

'Declaration
Protected Read Property IsListElement As Boolean

アクセス

読み取り専用。


IsPassword プロパティ (SapTextField)

クラス

SapTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


IsProtectedLine メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行が保護されている場合に true を返します。

構文

protectedLine = textEdit.IsProtectedLine(line)
変数 | 説明
protectedLine | Boolean。
line | 行のインデックス。 The value is zero-based.。 Integer。


IsRightLabel プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] コンポーネントが 'assign right' フラグを持つかどうか。

構文

'Declaration
Protected Read Property IsRightLabel As Boolean

アクセス

読み取り専用。


IsRightLabel プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] コンポーネントが 'assign right' フラグを持つかどうか。

構文

'Declaration
Protected Read Property IsRightLabel As Boolean

アクセス

読み取り専用。


IsRightLabel プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] コンポーネントに 'assign right' フラグが割り当てられているかどうか。

構文

'Declaration
Protected Read Property IsRightLabel As Boolean

アクセス

読み取り専用。


IsRightLabel プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] コンポーネントが 'assign right' フラグを持つかどうか。

構文

'Declaration
Protected Read Property IsRightLabel As Boolean

アクセス

読み取り専用。


IsRowSelected メソッド (SapTable)

クラス

SapTable.

処理

指定した行が選択されている場合に true を返します。

構文

rowSelected = table.IsRowSelected(row)
変数 | 説明
rowSelected | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。


IsSymbolFont プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。

構文

'Declaration
Protected Read Property IsSymbolFont As Boolean

アクセス

読み取り専用。


IsToolbarButtonChecked メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンがチェックされている場合に true を返します。

構文

toolbarButtonChecked = gridView.IsToolbarButtonChecked(buttonpos)
変数 | 説明
toolbarButtonChecked | Boolean。
buttonpos | ツール バー ボタンのインデックス。 The value is zero-based.。 Integer。


IsToolbarButtonEnabled メソッド (SapGridView)

クラス

SapGridView.

処理

指定したボタンが有効な場合に true を返します。

構文

toolbarButtonEnabled = gridView.IsToolbarButtonEnabled(buttonpos)
変数 | 説明
toolbarButtonEnabled | Boolean。
buttonpos | ツール バー ボタンのインデックス。 The value is zero-based.。 Integer。


IsTotalRowExpanded メソッド (SapGridView)

クラス

SapGridView.

処理

指定した合計行が展開されているかどうかを取得します。

構文

totalRowExpanded = gridView.IsTotalRowExpanded(row)
変数 | 説明
totalRowExpanded | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。


IsVkeyAllowed メソッド (SapWindow)

クラス

SapWindow.

処理

このメソッドは、指定した仮想キーが現在の画面上で実行できる場合に true を返します。

構文

vkeyAllowed = window.IsVkeyAllowed(vkey)
変数 | 説明
vkeyAllowed | Boolean。
vkey | 評価するキー。 VKey。


ItemContextMenu メソッド (SapTree)

クラス

SapTree.

処理

このメソッドは、項目に対してコンテキスト メニューを要求します。

構文

tree.ItemContextMenu(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


JumpBackward メソッド (SapWindow)

クラス

SapWindow.

処理

ウィンドウに対して Ctrl+Shift+Tab キーを実行して、1 ブロック後ろに移動します。

構文

window.JumpBackward()


JumpForward メソッド (SapWindow)

クラス

SapWindow.

処理

ウィンドウに対して Ctrl+Tab キーを実行して、1 ブロック前に移動します。

構文

window.JumpForward()


Key プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 現在選択されている項目のキー。

構文

'Declaration
Protected Read Property Key As String

アクセス

読み取り専用。


LastVisibleDate プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] カレンダ コントロールの最後の可視な日付。

構文

'Declaration
Protected Read Property LastVisibleDate As String

アクセス

読み取り専用。


LastVisibleLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキスト編集コントロールの下端に表示されている最後の可視な行。 The value is zero-based.。

構文

'Declaration
Protected Read Property LastVisibleLine As Integer

アクセス

読み取り専用。


Left プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 画面上の座標で要素の左からの位置。

構文

'Declaration
Protected Read Property Left As Integer

アクセス

読み取り専用。


LineCount プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキスト編集コントロールのすべての行の数。

構文

'Declaration
Protected Read Property LineCount As Integer

アクセス

読み取り専用。


LinkCount メソッド (SapBarChart)

クラス

SapBarChart.

処理

指定したグラフ内のリンクの数を返します。

構文

result = barChart.LinkCount(chartId)
変数 | 説明
result | Integer。
chartId | グラフのインデックス。 Integer。


LinkCount プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] ネットのリンクの数。

構文

'Declaration
Protected Read Property LinkCount As Integer

アクセス

読み取り専用。


Maximum プロパティ (SapScrollbar)

クラス

SapScrollbar.

処理

[読み取り専用] スクロール バーの最大値。

構文

'Declaration
Protected Read Property Maximum As Integer

アクセス

読み取り専用。


Maxlength プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルのテキストの最大の長さ（コード単位）。

構文

'Declaration
Protected Read Property Maxlength As Integer

アクセス

読み取り専用。


MessageId プロパティ (SapStatusbar)

クラス

SapStatusbar.

処理

[読み取り専用] ABAP メッセージ呼び出しで使用されたメッセージ クラスの名前。

構文

'Declaration
Protected Read Property MessageId As String

アクセス

読み取り専用。


MessageNumber プロパティ (SapStatusbar)

クラス

SapStatusbar.

処理

[読み取り専用] ABAP メッセージ呼び出しで使用されたメッセージ番号。

構文

'Declaration
Protected Read Property MessageNumber As String

アクセス

読み取り専用。


MessageType プロパティ (SapStatusbar)

クラス

SapStatusbar.

処理

[読み取り専用] ステータス バーに表示されたメッセージの種類（たとえば、S (Success)、W (Warning)、E (Error)、A (Abort)、 I (Information)）。

構文

'Declaration
Protected Read Property MessageType As StatusBarMessageType

アクセス

読み取り専用。


Minimum プロパティ (SapScrollbar)

クラス

SapScrollbar.

処理

[読み取り専用] スクロール バーの最小値。

構文

'Declaration
Protected Read Property Minimum As Integer

アクセス

読み取り専用。


Modified プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。

構文

'Declaration
Protected Read Property Modified As Boolean

アクセス

読み取り専用。


ModifyCell メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの値を変更します。

構文

gridView.ModifyCell(row, column, value)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。
value | セルの新しい値。 String。


ModifyCheckBox メソッド (SapGridView)

クラス

SapGridView.

処理

指定したチェック ボックス セルの値を変更します。

構文

gridView.ModifyCheckBox(row, column, selected)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。
selected | チェック ボックスが選択されているかどうか。 Boolean。


Month プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている年の月。

構文

'Declaration
Protected Read Property Month As Integer

アクセス

読み取り専用。


MoveRows メソッド (SapGridView)

クラス

SapGridView.

処理

fromRow 以上、toRow 以下のインデックスを持つ行を destRowの位置に移動させます。

構文

gridView.MoveRows(fromRow, toRow, destRow)
変数 | 説明
fromRow | 選択範囲の最初の行のインデックス。 The value is zero-based.。 Integer。
toRow | 選択範囲の最後の行のインデックス。 The value is zero-based.。 Integer。
destRow | 行を移動する移動先のインデックス。 The value is zero-based.。 Integer。


Name プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] コンポーネントの名前。

構文

'Declaration
Protected Read Property Name As String

アクセス

読み取り専用。


NodeContextMenu メソッド (SapTree)

クラス

SapTree.

処理

このメソッドは、ノードに対してコンテキスト メニューを要求します。

構文

tree.NodeContextMenu(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


NodeCount プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] ネットのノードの数。

構文

'Declaration
Protected Read Property NodeCount As Integer

アクセス

読み取り専用。


NodeKeys プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] アプリケーションに依存したルート ノードのノード キーまたはツリーのすべてのノードのオード キーのどちらかを含んでいるコレクション。

構文

'Declaration
Protected Read Property NodeKeys As List(Of String)

アクセス

読み取り専用。


Numerical プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルに数値だけを含めることができるかどうか。

構文

'Declaration
Protected Read Property Numerical As Boolean

アクセス

読み取り専用。


Opened プロパティ (SapOkCodeField)

クラス

SapOkCodeField.

処理

[読み取り専用] GuiOkCodeField が折りたたまれているかどうか。

構文

'Declaration
Protected Read Property Opened As Boolean

アクセス

読み取り専用。


Open メソッド (SapOkCodeField)

クラス

SapOkCodeField.

処理

GuiOkCodeField を展開します。

構文

okCodeField.Open()


PageSize プロパティ (SapScrollbar)

クラス

SapScrollbar.

処理

[読み取り専用] スクロール バーのページ サイズ。

構文

'Declaration
Protected Read Property PageSize As Integer

アクセス

読み取り専用。


Position プロパティ (SapScrollbar)

クラス

SapScrollbar.

処理

[読み取り専用] スクロール バーの現在の位置。

構文

'Declaration
Protected Read Property Position As Integer

アクセス

読み取り専用。


PressButtonCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルにあるボタンをクリックします。

構文

gridView.PressButtonCurrentCell()


PressButton メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルにあるボタンを押します。

構文

gridView.PressButton(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


PressColumnHeader メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列のヘッダーをクリックします。

構文

gridView.PressColumnHeader(column)
変数 | 説明
column | 列識別子。 String。


PressContextButton メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定した ID を持つコンテキスト ボタンを押します。

構文

toolbarControl.PressContextButton(id)
変数 | 説明
id | ボタンの ID。 String。


PressEnter メソッド (SapGridView)

クラス

SapGridView.

処理

Enter キーを押します。

構文

gridView.PressEnter()


PressF1 メソッド (SapGridView)

クラス

SapGridView.

処理

F1 キーを押します。

構文

gridView.PressF1()


PressF1 メソッド (SapOkCodeField)

クラス

SapOkCodeField.

処理

GuiOkCodeField にフォーカスがある間に F1 キーを押すことをエミュレートします。

構文

okCodeField.PressF1()


PressF1 メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

F1 キーを押します。

構文

textEdit.PressF1()


PressF4 メソッド (SapGridView)

クラス

SapGridView.

処理

F4 キーを押します。

構文

gridView.PressF4()


PressF4 メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

F4 キーを押します。

構文

textEdit.PressF4()


PressKey メソッド (SapTree)

クラス

SapTree.

処理

このメソッドはキーの押下をエミュレートします。

構文

tree.PressKey(key)
変数 | 説明
key | 有効な値は、F1、F4、Delete、Insert、Enter、Cut、Copy、および Paste です。 String。


PressToolbarButton メソッド (SapGridView)

クラス

SapGridView.

処理

グリッド ビューのツール バーの指定したボタンをクリックします。

構文

gridView.PressToolbarButton(id)
変数 | 説明
id | ツール バー ボタンの ID。 String。


PressToolbarContextButton メソッド (SapGridView)

クラス

SapGridView.

処理

グリッド ビューのツール バーの指定したボタンのコンテキスト メニューを開きます。

構文

gridView.PressToolbarContextButton(id)
変数 | 説明
id | ツール バー ボタンの ID。 String。


PressTotalRowCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルにある展開ボタンを押します。

構文

gridView.PressTotalRowCurrentCell()


PressTotalRow メソッド (SapGridView)

クラス

SapGridView.

処理

指定した合計行の行ボタンを押します。

構文

gridView.PressTotalRow(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


ReorderTable メソッド (SapTable)

クラス

SapTable.

処理

このメソッドは列の順序を並べ替えます。

構文

table.ReorderTable(permutation)
変数 | 説明
permutation | 列の新しい順序を指定します。 たとえば、 "1 3 2" と指定すると、列 3 が 2 番目の位置に移動します。 String。


Required プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] コンポーネントが画面に必要な値かどうか。

構文

'Declaration
Protected Read Property Required As Boolean

アクセス

読み取り専用。


ResizeWorkingPaneEx メソッド (SapWindow)

クラス

SapWindow.

処理

ResizeWorkingPaneEx 関数は、ピクセルで指定された幅と高さに利用可能な作業領域のウィンドウ サイズを変更します。

構文

window.ResizeWorkingPaneEx(width, height, throwOnFail)
変数 | 説明
width | 作業ペインの新しい幅。 Integer。
height | 作業ペインの新しい高さ。 Integer。
throwOnFail | 失敗したときに例外をスローするかどうか。 Boolean。


ResizeWorkingPane メソッド (SapWindow)

クラス

SapWindow.

処理

ResizeWorkingPane 関数は、文字単位で指定された幅と高さに利用可能な作業領域のウィンドウ サイズを変更します。

構文

window.ResizeWorkingPane(width, height, throwOnFail)
変数 | 説明
width | 作業ペインの新しい幅。 Integer。
height | 作業ペインの新しい高さ。 Integer。
throwOnFail | 失敗したときに例外をスローするかどうか。 Boolean。


RowCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 行の数。

構文

'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowCount プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] テーブルの行の数（不可視の行を含む）。

構文

'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowSelectionMode プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 行の選択モード。

構文

'Declaration
Protected Read Property RowSelectionMode As TableSelectionType

アクセス

読み取り専用。


RowText プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 現在のコンポーネントを含んでいる行全体のテキスト。

構文

'Declaration
Protected Read Property RowText As String

アクセス

読み取り専用。


SapEvent メソッド (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

この関数は HTML フォームをバックエンドに送信します。

構文

hTMLViewer.SapEvent(frameName, postData, url)
変数 | 説明
frameName | 送信される HTML フォームが存在するフレームの名前。 String。
postData | POST メソッドを使用して送信が行われる際のフォーム データ。 String。
url | バックエンドに送信される URL。 URL 文字列のプロトコル名は "sapevent:" です。 この後に、呼び出される HTML フォームの action プロパティで定義されるイベント名が続きます。 String。


ScreenLeft プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 画面上の座標でコンポーネントの左からの位置。

構文

'Declaration
Protected Read Property ScreenLeft As Integer

アクセス

読み取り専用。


ScreenTop プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 画面上の座標でコンポーネントの上からの位置。

構文

'Declaration
Protected Read Property ScreenTop As Integer

アクセス

読み取り専用。


ScrollTo メソッド (SapScrollbar)

クラス

SapScrollbar.

処理

指定した位置にスクロールします。

構文

scrollbar.ScrollTo(position)
変数 | 説明
position | 位置。 Integer。


SelectAllColumns メソッド (SapTable)

クラス

SapTable.

処理

この関数は、1 ステップですべての列を選択できるボタンを持つテーブル コントロールに対して使用することができます。

構文

table.SelectAllColumns()


SelectAll メソッド (SapGridView)

クラス

SapGridView.

処理

グリッドのコンテンツ全体（たとえば、すべての行と列）を選択します。

構文

gridView.SelectAll()


SelectButton メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定した ID を持つボタンの押下をエミュレートします。

構文

toolbarControl.SelectButton(id)
変数 | 説明
id | ボタンの ID。 String。


SelectButton メソッド (SapTree)

クラス

SapTree.

処理

このメソッドはボタンの押下をエミュレートします。

構文

tree.SelectButton(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


SelectColumn メソッド (SapGridView)

クラス

SapGridView.

処理

選択した列のリストに指定した列を追加します。

構文

gridView.SelectColumn(column)
変数 | 説明
column | 列識別子。 String。


SelectColumn メソッド (SapTable)

クラス

SapTable.

処理

指定した列を選択します。

構文

table.SelectColumn(column)
変数 | 説明
column | 列のインデックス。 The value is zero-based.。 Integer。


SelectColumn メソッド (SapTree)

クラス

SapTree.

処理

この関数は列の選択範囲に列を追加します。 ノードまたは項目の選択は削除されます。

構文

tree.SelectColumn(columnName)
変数 | 説明
columnName | 列の名前。 String。


SelectContextMenuItemByPosition メソッド (ISapContextMenuable)

クラス

ISapContextMenuable.

処理

このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。

構文

iSapContextMenuable.SelectContextMenuItemByPosition(positionDescription)
変数 | 説明
positionDescription | 項目へのパスを含んだ文字列。 コンテキスト メニュー項目がトップ レベル メニューにある場合には、単に項目の 0 を基準としたインデックスになります。 それ以外の場合には、メニューおよび個々のサブメニューの位置を "|" で区切って指定します。 String。


SelectContextMenuItemByText メソッド (ISapContextMenuable)

クラス

ISapContextMenuable.

処理

メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。

構文

iSapContextMenuable.SelectContextMenuItemByText(text)
変数 | 説明
text | メニュー項目のテキスト。 String。


SelectContextMenuItem メソッド (ISapContextMenuable)

クラス

ISapContextMenuable.

処理

コントロールのコンテキスト メニューから項目を選択します。

構文

iSapContextMenuable.SelectContextMenuItem(functionCode)
変数 | 説明
functionCode | 機能コード。 String。


SelectedCells プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 選択したセルを含む文字列のリスト。それぞれの書式は "<行>,<列 ID>" となります。

構文

'Declaration
Protected Read Property SelectedCells As List(Of String)

アクセス

読み取り専用。


SelectedColumns プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 現在選択されている列の文字列のリスト。

構文

'Declaration
Protected Read Property SelectedColumns As List(Of String)

アクセス

読み取り専用。


SelectedItemColumn プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 現在選択されている項目列のキー。

構文

'Declaration
Protected Read Property SelectedItemColumn As String

アクセス

読み取り専用。


SelectedItemNode プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 現在選択されている項目ノードのキー。

構文

'Declaration
Protected Read Property SelectedItemNode As String

アクセス

読み取り専用。


SelectedNode プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 現在選択されているノードのキー。

構文

'Declaration
Protected Read Property SelectedNode As String

アクセス

読み取り専用。


SelectedNodes プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] ツリー内のすべての選択されたノードのノード キーを含むコレクション。

構文

'Declaration
Protected Read Property SelectedNodes As List(Of String)

アクセス

読み取り専用。


Selected プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] ラジオ ボタンが選択されているかどうか。

構文

'Declaration
Protected Read Property Selected As Boolean

アクセス

読み取り専用。


SelectedRows プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 行インデックス番号、またはインデックス範囲のカンマ区切りリスト（"1,4,6-8" など）。

構文

'Declaration
Protected Read Property SelectedRows As String

アクセス

読み取り専用。


SelectedTab プロパティ (SapTabStrip)

クラス

SapTabStrip.

処理

[読み取り専用] 現在選択されているタブ。

構文

'Declaration
Protected Read Property SelectedTab As SapTab

アクセス

読み取り専用。


SelectedText プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 現在選択されているテキスト。

構文

'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


SelectHeader メソッド (SapTree)

クラス

SapTree.

処理

このメソッドはヘッダーのクリックをエミュレートします。

構文

tree.SelectHeader(headerName)
変数 | 説明
headerName | ヘッダーの名前。 String。


SelectionChanged メソッド (SapGridView)

クラス

SapGridView.

処理

選択範囲が変更されたことをサーバーに通知します。

構文

gridView.SelectionChanged()


SelectionEndColumn プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 選択範囲の終了点の列インデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionEndColumn As Integer

アクセス

読み取り専用。


SelectionEndLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 選択範囲の終了点の行インデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionEndLine As Integer

アクセス

読み取り専用。


SelectionIndexEnd プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキストの選択範囲全体の終了インデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionIndexEnd As Integer

アクセス

読み取り専用。


SelectionIndexStart プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキストの選択範囲全体の開始インデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionIndexStart As Integer

アクセス

読み取り専用。


SelectionInterval プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている範囲。

構文

'Declaration
Protected Read Property SelectionInterval As String

アクセス

読み取り専用。


SelectionMode プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 選択モード。 有効な値は、"RowsAndColumns"、"ListboxSingle"、"ListboxMultiple"、"Free" です。

構文

'Declaration
Protected Read Property SelectionMode As GridSelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 選択モード。

構文

'Declaration
Protected Read Property SelectionMode As TreeSelectionMode

アクセス

読み取り専用。


SelectionStartColumn プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキストの選択範囲の列の開始インデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionStartColumn As Integer

アクセス

読み取り専用。


SelectionStartLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 選択範囲の開始点の行インデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionStartLine As Integer

アクセス

読み取り専用。


SelectItem メソッド (SapComboBox)

クラス

SapComboBox.

処理

指定した項目を選択します。

構文

comboBox.SelectItem(item)
変数 | 説明
item | 項目。 String。


SelectItem メソッド (SapTree)

クラス

SapTree.

処理

この関数は項目の選択をエミュレートします。 この選択によって、すべてのほかの選択は削除されます。

構文

tree.SelectItem(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


SelectKey メソッド (SapComboBox)

クラス

SapComboBox.

処理

指定したキーを持つリスト項目を選択します。

構文

comboBox.SelectKey(key)
変数 | 説明
key | キー。 String。


SelectLink メソッド (SapTree)

クラス

SapTree.

処理

この関数は、リンクのトリガーをエミュレートします。

構文

tree.SelectLink(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


SelectMenuItemByText メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

メニュー項目のテキストによるメニュー項目の選択をエミュレートします。

構文

toolbarControl.SelectMenuItemByText(text)
変数 | 説明
text | メニュー項目のテキスト。 String。


SelectMenuItem メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定した ID を持つメニュー項目の選択をエミュレートします。

構文

toolbarControl.SelectMenuItem(id)
変数 | 説明
id | メニューの ID。 String。


Select メソッド (SapButton)

クラス

SapButton.

処理

このメソッドはボタンの手動による押下をエミュレートします。 ボタンの押下は、常にサーバーとの通信を発生させ、そのウィンドウ レベル以下の要素へのすべての無効な参照がレンダリングされます。

構文

button.Select()


Select メソッド (SapMenu)

クラス

SapMenu.

処理

メニューを選択します。

構文

menu.Select()


Select メソッド (SapRadioButton)

クラス

SapRadioButton.

処理

ラジオ ボタンを選択します。

構文

radioButton.Select()


Select メソッド (SapTab)

クラス

SapTab.

処理

タブを選択します。

構文

tab.Select()


SelectNode メソッド (SapTree)

クラス

SapTree.

処理

nodeKey キーを持つノードをノードの選択範囲に追加します。

構文

tree.SelectNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


SelectRow メソッド (SapTable)

クラス

SapTable.

処理

指定した行を選択します。

構文

table.SelectRow(row)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。


SelectToolbarMenuItem メソッド (SapGridView)

クラス

SapGridView.

処理

グリッド ビューのツール バーのコンテキスト メニューから項目を選択します。

構文

gridView.SelectToolbarMenuItem(id)
変数 | 説明
id | メニュー項目の ID。 String。


SendData メソッド (SapBarChart)

クラス

SapBarChart.

処理

サーバーにデータを送信します。

構文

barChart.SendData(data)
変数 | 説明
data | 送信するデータ。 String。


SendData メソッド (SapNetPlan)

クラス

SapNetPlan.

処理

この関数は、コントロール側でトリガーされたアクションそれぞれの出力をエミュレートします。 アクションの結果はサーバーに送信されます。

現時点では、単一のオブジェクトをクライアント側で選択/選択解除したり、これら「ローカル」アクションの再生および記録を行うことはできません。

構文

netPlan.SendData(data)
変数 | 説明
data | 送信するデータ。 String。


SendVKey メソッド (SapWindow)

クラス

SapWindow.

処理

システムに仮想キーを送信します。

構文

window.SendVKey(vkey)
変数 | 説明
vkey | 送信する仮想キー。 VKey。


SetCheckBoxState メソッド (SapTree)

クラス

SapTree.

処理

指定したノードのチェック ボックスの状態を変更します。

構文

tree.SetCheckBoxState(nodeKey, itemName, check)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。
check | 新しいチェック ボックスの状態。 Boolean。


SetColumnOrder メソッド (SapGridView)

クラス

SapGridView.

処理

列の順序を設定します。

構文

gridView.SetColumnOrder(columns)
変数 | 説明
columns | 指定したい順番に並べた列識別子のリスト。 List(Of String)。


SetColumnOrder メソッド (SapTree)

クラス

SapTree.

処理

ツリーの列の順序を設定します。

構文

tree.SetColumnOrder(columns)
変数 | 説明
columns | 指定したい順番に並べた列タイトルのリスト。 同じタイトルを 2 度以上指定することはできません。 List(Of String)。


SetColumnWidth メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列の幅を設定します。

構文

gridView.SetColumnWidth(column, width)
変数 | 説明
column | 列識別子。 String。
width | width。 Integer。


SetColumnWidth メソッド (SapTree)

クラス

SapTree.

処理

この関数は列の幅をピクセル単位で設定します。

構文

tree.SetColumnWidth(columnName, width)
変数 | 説明
columnName | 列の名前。 String。
width | 列の新しい幅。 Integer。


SetCurrentCellColumn メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルの列を指定します。

構文

gridView.SetCurrentCellColumn(column)
変数 | 説明
column | 列識別子。 String。


SetCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルを現在のセルとして設定します。

構文

gridView.SetCurrentCell(row, column)
変数 | 説明
row | 行のインデックス。 Integer。
column | 列識別子。 String。


SetCurrentCellRow メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルの行を設定します。

構文

gridView.SetCurrentCellRow(row)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。


SetFirstVisibleColumn メソッド (SapGridView)

クラス

SapGridView.

処理

最初の可視な列を設定します。

構文

gridView.SetFirstVisibleColumn(column)
変数 | 説明
column | 列識別子。 String。


SetFirstVisibleDate メソッド (SapCalendar)

クラス

SapCalendar.

処理

カレンダ コントロールの最も早い可視な日付を設定します。

構文

calendar.SetFirstVisibleDate(firstVisibleDate)
変数 | 説明
firstVisibleDate | 文字列形式の日付。例： "20020228"。 String。


SetFirstVisibleRow メソッド (SapGridView)

クラス

SapGridView.

処理

最初の可視な行を設定します。

構文

gridView.SetFirstVisibleRow(row)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。


SetFocusDate メソッド (SapCalendar)

クラス

SapCalendar.

処理

フォーカスを持つ日付を設定します。

構文

calendar.SetFocusDate(focusDate)
変数 | 説明
focusDate | フォーカスを持つ日付を文字列形式で指定します (YYYYMMDD)。 String。


SetHierarchyHeaderWidth メソッド (SapTree)

クラス

SapTree.

処理

階層ヘッダーの幅（ピクセル単位）を設定します。

構文

tree.SetHierarchyHeaderWidth(width)
変数 | 説明
width | ヘッダーの新しい幅。 Integer。


SetPasswordText メソッド (SapTextField)

クラス

SapTextField.

処理

暗号化されたパスワードをオブジェクトに送信します。

構文

textField.SetPasswordText(password)
変数 | 説明
password | 暗号化されたパスワード。 String。


SetSelectedNode メソッド (SapTree)

クラス

SapTree.

処理

指定したノードを選択します。

構文

tree.SetSelectedNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


SetSelectedRows メソッド (SapGridView)

クラス

SapGridView.

処理

指定した行を選択します。

構文

gridView.SetSelectedRows(rows)
変数 | 説明
rows | 行インデックス、またはインデックス範囲のカンマ区切りリスト（"1,3,6-8" など）として行を指定します。 String。


SetSelectionIndexes メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した範囲のテキストを選択します。

構文

textEdit.SetSelectionIndexes(start, end)
変数 | 説明
start | 開始インデックス（含む）。 The value is zero-based.。 Integer。
end | 終了インデックス（含まない）。 The value is zero-based.。 Integer。


SetSelectionInterval メソッド (SapCalendar)

クラス

SapCalendar.

処理

指定した範囲を選択します。

構文

calendar.SetSelectionInterval(interval)
変数 | 説明
interval | カンマ区切りで指定した 2 つの日付文字列（YYYMMDD）で表した範囲。 String。


SetText メソッド (SapOkCodeField)

クラス

SapOkCodeField.

処理

コントロールのテキストを指定したテキストに設定します。

構文

okCodeField.SetText(text)
変数 | 説明
text | テキスト コンポーネントの新しいテキスト。 String。


SetText メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

テキスト編集コントロールに指定したテキストを設定します。

構文

textEdit.SetText(text)
変数 | 説明
text | テキスト。 String。


SetText メソッド (SapTextField)

クラス

SapTextField.

処理

コントロールのテキストを指定したテキストに設定します。

構文

textField.SetText(text)
変数 | 説明
text | テキスト コンポーネントの新しいテキスト。 String。


SetTopNode メソッド (SapTree)

クラス

SapTree.

処理

指定したキーをトップ ノードとして設定します。

構文

tree.SetTopNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


ShowContextMenu メソッド (SapComponent)

クラス

SapComponent.

処理

コントロールのコンテキスト メニューを表示します。

構文

component.ShowContextMenu()


StartSelection プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 選択範囲の開始点。

構文

'Declaration
Protected Read Property StartSelection As String

アクセス

読み取り専用。


StatusbarVisible プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] ステータス バーが可視かどうか。

構文

'Declaration
Protected Read Property StatusbarVisible As Boolean

アクセス

読み取り専用。


SystemFocus プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] サーバー アプリケーションの視点からフォーカスを持つ SAP GUI 内の要素。

構文

'Declaration
Protected Read Property SystemFocus As SapComponent

アクセス

読み取り専用。


TabBackward メソッド (SapWindow)

クラス

SapWindow.

処理

ウィンドウに対して Shift+Tab キーを実行して、1 要素後ろに移動します。

構文

window.TabBackward()


TabForward メソッド (SapWindow)

クラス

SapWindow.

処理

ウィンドウに対して Tab キーを実行して、1 要素前に移動します。

構文

window.TabForward()


TableFieldName プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] テーブルのフィールド名。

構文

'Declaration
Protected Read Property TableFieldName As String

アクセス

読み取り専用。


Tabs プロパティ (SapTabStrip)

クラス

SapTabStrip.

処理

[読み取り専用] タブ ペインのすべてのタブ。

構文

'Declaration
Protected Read Property Tabs As List(Of SapTab)

アクセス

読み取り専用。


TitlebarVisible プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] タイトル バーが可視かどうか。

構文

'Declaration
Protected Read Property TitlebarVisible As Boolean

アクセス

読み取り専用。


Title プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] グリッド コントロールのタイトル。

構文

'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。


ToolbarButtonCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 区切りを含むツール バーのボタンの数。

構文

'Declaration
Protected Read Property ToolbarButtonCount As Integer

アクセス

読み取り専用。


ToolbarVisible プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] ツール バーが可視かどうか。

構文

'Declaration
Protected Read Property ToolbarVisible As Boolean

アクセス

読み取り専用。


Tooltip プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] ツールチップ テキスト。

構文

'Declaration
Protected Read Property Tooltip As String

アクセス

読み取り専用。


TopNode プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] トップ ノードのキー。

構文

'Declaration
Protected Read Property TopNode As String

アクセス

読み取り専用。


Top プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 画面上の座標で要素の上からの位置。

構文

'Declaration
Protected Read Property Top As Integer

アクセス

読み取り専用。


TreeType プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] ツリーの種類（単純ツリー、リスト ツリー、列ツリー）。

構文

'Declaration
Protected Read Property TreeType As TreeType

アクセス

読み取り専用。


TriggerModified メソッド (SapGridView)

クラス

SapGridView.

処理

セルの複数の変更をサーバーに通知します。一般医、ModifyCell への複数の呼び出しの跡に、このメソッドは呼び出されます。

構文

gridView.TriggerModified()


Uncheck メソッド (SapCheckBox)

クラス

SapCheckBox.

処理

チェック ボックスのチェックを外します。

構文

checkBox.Uncheck()


UnselectAll メソッド (SapTree)

クラス

SapTree.

処理

すべての選択を削除します。

構文

tree.UnselectAll()


UnselectColumn メソッド (SapTree)

クラス

SapTree.

処理

この関数は列の選択範囲から列を削除します。

構文

tree.UnselectColumn(columnName)
変数 | 説明
columnName | 列の名前。 String。


UnselectNode メソッド (SapTree)

クラス

SapTree.

処理

nodeKey キーを持つノードをノードの選択範囲から削除します。

構文

tree.UnselectNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


Url プロパティ (SapPicture)

クラス

SapPicture.

処理

[読み取り専用] 画像の URL。

構文

'Declaration
Protected Read Property Url As String

アクセス

読み取り専用。


ValueChange メソッド (SapChart)

クラス

SapChart.

処理

グラフの値を変更します。

構文

chart.ValueChange(series, point, xValue, yValue, dataChange, id, zValue, changeFlag)
変数 | 説明
series | 変更する行内のデータ セットの数。 Integer。
point | 変更する行内のデータ ポイントの数。 Integer。
xValue | 新しい x 値。 Double。
yValue | 新しい y 値。 Double。
dataChange | このパラメーターを true に設定した場合、値がグラフィック内で対話的に変更されたのではなく、DataPoint プロパティ ページで新しい値が入力されたことを意味します。 Boolean。
id | 変更したポイントの GFW データ コンテナー ID。 String。
zValue | 新しい z 値。 Double。
changeFlag | どの値が変更されたか、またはそれが時間値であったかどうかを通知します。 ChartChangeFlag。


VisibleRowCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] グリッド ビューの可視な行の数。

構文

'Declaration
Protected Read Property VisibleRowCount As Integer

アクセス

読み取り専用。


VisibleRowCount プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] テーブルの可視な行の数。

構文

'Declaration
Protected Read Property VisibleRowCount As Integer

アクセス

読み取り専用。


Week プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている年の週。

構文

'Declaration
Protected Read Property Week As Integer

アクセス

読み取り専用。


Width プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 現在のコンポーネントの幅。

構文

'Declaration
Protected Read Property Width As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapBarChart)

クラス

SapBarChart.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapChart)

クラス

SapChart.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapToolbarControl)

クラス

SapToolbarControl.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WorkingPaneHeight プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] 現在の作業ペインの高さ。

構文

'Declaration
Protected Read Property WorkingPaneHeight As Integer

アクセス

読み取り専用。


WorkingPaneWidth プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] 現在の作業ペインの幅。

構文

'Declaration
Protected Read Property WorkingPaneWidth As Integer

アクセス

読み取り専用。


Year プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている年。

構文

'Declaration
Protected Read Property Year As Integer

アクセス

読み取り専用。


AutomationId プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素に対する UI オートメーション識別子（ID）を含んだ文字列。

構文

'Declaration
Protected Read Property AutomationId As String

アクセス

読み取り専用。


CanSelectMultiple プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] 複数の日付を選択可能かどうか。

構文

'Declaration
Protected Read Property CanSelectMultiple As Boolean

アクセス

読み取り専用。


CanSelectMultiple プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドが複数の行の同時選択を許可するかどうか。

構文

'Declaration
Protected Read Property CanSelectMultiple As Boolean

アクセス

読み取り専用。


CanSelectMultiple プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] リスト ボックスが複数の子要素の同時選択を許可するかどうか。

構文

'Declaration
Protected Read Property CanSelectMultiple As Boolean

アクセス

読み取り専用。


Cells プロパティ (SLDataGridRow)

クラス

SLDataGridRow.

処理

[読み取り専用] データ グリッド行のセル。

構文

'Declaration
Protected Read Property Cells As List(Of SLDataGridCell)

アクセス

読み取り専用。


CellTexts プロパティ (SLDataGridRow)

クラス

SLDataGridRow.

処理

[読み取り専用] データ グリッド行のセルのテキスト。

構文

'Declaration
Protected Read Property CellTexts As List(Of String)

アクセス

読み取り専用。


Check メソッド (SLCheckBox)

クラス

SLCheckBox.

処理

チェック ボックスをチェックします。

構文

checkBox.Check()


ClassName プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素の単純クラス名。

構文

'Declaration
Protected Read Property ClassName As String

アクセス

読み取り専用。


Clear メソッド (SLPasswordBox)

クラス

SLPasswordBox.

処理

すべてのテキストをパスワード フィールドから削除します。

構文

passwordBox.Clear()


Clear メソッド (SLRichTextBox)

クラス

SLRichTextBox.

処理

すべてのテキストをテキスト ボックスから削除します。

構文

richTextBox.Clear()


Clear メソッド (SLTextBox)

クラス

SLTextBox.

処理

すべてのテキストをテキスト フィールドから削除します。

構文

textBox.Clear()


CloseCalendar メソッド (SLDatePicker)

クラス

SLDatePicker.

処理

ドロップダウン カレンダーを閉じます。

構文

datePicker.CloseCalendar()


Close メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

一致項目を含んだドロップダウン リストが開いている場合に閉じます。

構文

autoCompleteBox.Close()


Close メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックスを閉じます。

構文

comboBox.Close()


Close メソッド (SLWindow)

クラス

SLWindow.

処理

ウィンドウを閉じます。

構文

window.Close()


Collapse メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した項目を折りたたみます。

構文

treeView.Collapse(item)
変数 | 説明
item | 折りたたむ項目。 ItemPath。


Collapse メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

項目を折りたたみます。

構文

treeViewItem.Collapse()


ColumnCount プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドの列数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnHeaders プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] すべての列に対するヘッダー項目を含んだリスト。

構文

'Declaration
Protected Read Property ColumnHeaders As List(Of SLHeaderItem)

アクセス

読み取り専用。


ColumnHeaderTexts プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] すべての列に対するヘッダー項目のテキストを含んだリスト。

構文

'Declaration
Protected Read Property ColumnHeaderTexts As List(Of String)

アクセス

読み取り専用。


CurrentPage プロパティ (SLDataPager)

クラス

SLDataPager.

処理

[読み取り専用] 現在のページ。

構文

'Declaration
Protected Read Property CurrentPage As Integer

アクセス

読み取り専用。


DecreaseLarge メソッド (SLSlider)

クラス

SLSlider.

処理

Slider の値を大きい単位で減らします。

構文

slider.DecreaseLarge()


DecreaseSmall メソッド (SLSlider)

クラス

SLSlider.

処理

Slider の値を小さい単位で減らします。

構文

slider.DecreaseSmall()


DeselectAll メソッド (SLListBox)

クラス

SLListBox.

処理

すべてのリスト項目の選択を解除します。

構文

listBox.DeselectAll()


Deselect メソッド (SLListItem)

クラス

SLListItem.

処理

項目の選択を解除します。

構文

listItem.Deselect()


DisplayMode プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] カレンダーで月、年、10 年のいずれを表示するかを指定する値。

構文

'Declaration
Protected Read Property DisplayMode As SLCalendarMode

アクセス

読み取り専用。


ExpandAll メソッド (SLTreeView)

クラス

SLTreeView.

処理

ツリー内のすべての項目を展開します。

構文

treeView.ExpandAll()


Expand メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した項目を展開します。

構文

treeView.Expand(item)
変数 | 説明
item | 展開する項目。 ItemPath。


Expand メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

項目を展開します。

構文

treeViewItem.Expand()


ExpandSubTree メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

このツリー項目の下のサブツリーを展開します。

構文

treeViewItem.ExpandSubTree()


GetRawChildren メソッド (SLBase)

クラス

SLBase.

処理

この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。

構文

rawChildren = base.GetRawChildren([automationControlType])
変数 | 説明
rawChildren | List(Of SLBase)。
automationControlType | 省略可能: 省略可能。このコントロールの種類の子だけを取得するように指定します。 String。

例

要素のすべての生の子を取得するには:
slBase.GetRawChildren()
あるコントロールの種類の子だけを取得するには: コントロールの種類については、MSUIA によって提供されるコントロールの種類を参照してください。
slBase.GetRawChildren("Text")


HeaderItems プロパティ (SLHeader)

クラス

SLHeader.

処理

[読み取り専用] このヘッダー コントロールのヘッダー項目を含むリスト。

構文

'Declaration
Protected Read Property HeaderItems As List(Of SLHeaderItem)

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] コンボ ボックスを水平方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] コンボ ボックスを水平方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドを水平方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] リスト ボックスを水平方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLPane)

クラス

SLPane.

処理

[読み取り専用] ペインを水平方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] ツリー ビューを水平方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLPane)

クラス

SLPane.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


IncreaseLarge メソッド (SLSlider)

クラス

SLSlider.

処理

Slider の値を大きい単位で増やします。

構文

slider.IncreaseLarge()


IncreaseSmall メソッド (SLSlider)

クラス

SLSlider.

処理

Slider の値を小さい単位で増やします。

構文

slider.IncreaseSmall()


IsCalendarOpen プロパティ (SLDatePicker)

クラス

SLDatePicker.

処理

[読み取り専用] ドロップダウン カレンダーが開いているかどうか。

構文

'Declaration
Protected Read Property IsCalendarOpen As Boolean

アクセス

読み取り専用。


IsEnabled プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素が有効かどうかを示す値。

構文

'Declaration
Protected Read Property IsEnabled As Boolean

アクセス

読み取り専用。


IsExpanded プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] ツリー項目内の入れ子になった項目が展開されているか、折りたたまれているか。

構文

'Declaration
Protected Read Property IsExpanded As Boolean

アクセス

読み取り専用。


IsLeaf プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] ツリー ビュー項目がリーフ項目かどうかを示す値。

構文

'Declaration
Protected Read Property IsLeaf As Boolean

アクセス

読み取り専用。


IsOpen プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] オート コンプリート ボックスが開いているかどうかを示す値。

構文

'Declaration
Protected Read Property IsOpen As Boolean

アクセス

読み取り専用。


IsOpen プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] コンボ ボックスが開いているかどうかを示す値。

構文

'Declaration
Protected Read Property IsOpen As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (SLPasswordBox)

クラス

SLPasswordBox.

処理

[読み取り専用] パスワード ボックスが読み取り専用かどうか。

構文

'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (SLTextBox)

クラス

SLTextBox.

処理

[読み取り専用] テキスト ボックスが読み取り専用かどうか。

構文

'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLCalendarButton)

クラス

SLCalendarButton.

処理

[読み取り専用] カレンダー ボタンが選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLCalendarDayButton)

クラス

SLCalendarDayButton.

処理

[読み取り専用] カレンダーの日付ボタンが選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLComboBoxItem)

クラス

SLComboBoxItem.

処理

[読み取り専用] コンボ ボックス項目が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLDataGridCell)

クラス

SLDataGridCell.

処理

[読み取り専用] セルが選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLDataGridRow)

クラス

SLDataGridRow.

処理

[読み取り専用] 行が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLListItem)

クラス

SLListItem.

処理

[読み取り専用] リスト項目が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLRadioButton)

クラス

SLRadioButton.

処理

[読み取り専用] ラジオ ボタンが選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLTabItem)

クラス

SLTabItem.

処理

[読み取り専用] タブ項目が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] ツリー項目が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelectionRequired プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] 少なくとも 1 つの日付を選択しなければならないかどうか。

構文

'Declaration
Protected Read Property IsSelectionRequired As Boolean

アクセス

読み取り専用。


Items プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] 現在の一致項目を含んだリスト。コントロールのテキスト ボックスに入力された項目がない場合は、空のリストを返します。

構文

'Declaration
Protected Read Property Items As List(Of SLComboBoxItem)

アクセス

読み取り専用。


Items プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 項目の完全なリスト。

構文

'Declaration
Protected Read Property Items As List(Of SLComboBoxItem)

アクセス

読み取り専用。


Items プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] リスト ボックス項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of SLListItem)

アクセス

読み取り専用。


Items プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] タブ項目の完全なリスト。

構文

'Declaration
Protected Read Property Items As List(Of SLTabItem)

アクセス

読み取り専用。


Items プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] 項目の完全なリスト。

構文

'Declaration
Protected Read Property Items As List(Of SLTreeViewItem)

アクセス

読み取り専用。


ItemTexts プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] 現在の一致項目のテキストを含んだリスト。 コントロールのテキスト ボックスに入力された項目がない場合は、空のリストを返します。

構文

'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


ItemTexts プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 項目テキストの完全なリスト。

構文

'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。

例

comboBox.Open()
Dim items = comboBox.ItemTexts
comboBox.Close()


ItemTexts プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] すべての項目テキストのリスト。

構文

'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


ItemTexts プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] タブ項目テキストの完全なリスト。

構文

'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


ItemTexts プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] 項目テキストの完全なリスト。

構文

'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


LargeChange プロパティ (SLSlider)

クラス

SLSlider.

処理

[読み取り専用] PAGE DOWN キーが押された場合など、大きい単位での変更が行われる際に、Value プロパティに加算または減算される値。

構文

'Declaration
Protected Read Property LargeChange As Double

アクセス

読み取り専用。


Maximum プロパティ (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

[読み取り専用] 最大スクロール位置。

構文

'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (SLProgressBar)

クラス

SLProgressBar.

処理

[読み取り専用] 進行状況の最大値。

構文

'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (SLSlider)

クラス

SLSlider.

処理

[読み取り専用] 進行状況の最大値。

構文

'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

[読み取り専用] 最大スクロール位置。

構文

'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Minimum プロパティ (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

[読み取り専用] 最小スクロール位置。

構文

'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (SLProgressBar)

クラス

SLProgressBar.

処理

[読み取り専用] 進行状況の最小値。

構文

'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (SLSlider)

クラス

SLSlider.

処理

[読み取り専用] 進行状況の最小値。

構文

'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

[読み取り専用] 最小スクロール位置。

構文

'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


MoveHorizontal メソッド (SLGridSplitter)

クラス

SLGridSplitter.

処理

スプリッタを水平方向に移動します。

構文

gridSplitter.MoveHorizontal(value)
変数 | 説明
value | スプリッタを移動するピクセルの量。 Double。


Move メソッド (SLWindow)

クラス

SLWindow.

処理

ウィンドウを移動します。

構文

window.Move(x, y)
変数 | 説明
x | x 座標。 Double。
y | y 座標。 Double。


MoveToFirstPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの最初のページに移動します。

構文

dataPager.MoveToFirstPage()


MoveToLastPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの最後のページに移動します。

構文

dataPager.MoveToLastPage()


MoveToNextPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの次のページに移動します。

構文

dataPager.MoveToNextPage()


MoveToPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの指定したページに移動します。

構文

dataPager.MoveToPage(page)
変数 | 説明
page | データ ページャの移動するページ番号。 Integer。


MoveToPreviousPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの前のページに移動します。

構文

dataPager.MoveToPreviousPage()


MoveVertical メソッド (SLGridSplitter)

クラス

SLGridSplitter.

処理

スプリッタを垂直方向に移動します。

構文

gridSplitter.MoveVertical(value)
変数 | 説明
value | スプリッタを移動するピクセルの量。 Double。


Name プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素に対する UI オートメーション名を含んだ文字列。

構文

'Declaration
Protected Read Property Name As String

アクセス

読み取り専用。


NumericValue プロパティ (SLSpinner)

クラス

SLSpinner.

処理

[読み取り専用] スピン コントロールの現在の数値。

構文

'Declaration
Protected Read Property NumericValue As Double

アクセス

読み取り専用。


OpenCalendar メソッド (SLDatePicker)

クラス

SLDatePicker.

処理

ドロップダウン カレンダーを開きます。

構文

datePicker.OpenCalendar()


Open メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックスを開きます。

構文

comboBox.Open()


PageCount プロパティ (SLDataPager)

クラス

SLDataPager.

処理

[読み取り専用] ページ数。

構文

'Declaration
Protected Read Property PageCount As Integer

アクセス

読み取り専用。


RootItems プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] すべてのルート ツリー項目の完全なリスト。

構文

'Declaration
Protected Read Property RootItems As List(Of SLTreeViewItem)

アクセス

読み取り専用。


RootItemTexts プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] すべてのルート ツリー項目のテキストの完全なリスト。

構文

'Declaration
Protected Read Property RootItemTexts As List(Of String)

アクセス

読み取り専用。


RowCount プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドの行数。

構文

'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowHeader プロパティ (SLDataGridRow)

クラス

SLDataGridRow.

処理

[読み取り専用] 行のヘッダー。

構文

'Declaration
Protected Read Property RowHeader As SLHeaderItem

アクセス

読み取り専用。


Rows プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドの行のリスト。

データ グリッドに垂直方向のスクロール バーがある場合、データ グリッドの表示領域にない行の情報（テキスト、キャプションなど）は、操作対象になりません。 このような行に対して操作したり、情報を取得するためには、まずビューにスクロールして表示させる必要があります。

構文

'Declaration
Protected Read Property Rows As List(Of SLDataGridRow)

アクセス

読み取り専用。


RowTexts プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッド中の行テキストのリスト。 すべての行のテキストが文字列として返されます。各セルのテキストは空白文字で分離されます。

データ グリッドに垂直方向のスクロール バーがある場合、データ グリッドの表示領域にない行は、空のテキストを返します。 このような行のテキストを取得するためには、まずビューにスクロールして表示させる必要があります。

構文

'Declaration
Protected Read Property RowTexts As List(Of String)

アクセス

読み取り専用。


ScrollHorizontal メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

autoCompleteBox.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLComboBox)

クラス

SLComboBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

comboBox.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

dataGrid.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLListBox)

クラス

SLListBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

listBox.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLPane)

クラス

SLPane.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

pane.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

treeView.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollIntoView メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定した行またはセルをビューにスクロールします。

構文

dataGrid.ScrollIntoView(row, [column])
変数 | 説明
row | スクロールする行。 ItemIdentifier。
column | 省略可能: スクロールする列。 ItemIdentifier。


ScrollIntoView メソッド (SLDataGridCell)

クラス

SLDataGridCell.

処理

セルをビューにスクロールします。

構文

dataGridCell.ScrollIntoView()


ScrollIntoView メソッド (SLDataGridRow)

クラス

SLDataGridRow.

処理

行をビューにスクロールします。

構文

dataGridRow.ScrollIntoView()


ScrollIntoView メソッド (SLListItem)

クラス

SLListItem.

処理

リスト項目をビューにスクロールします。

構文

listItem.ScrollIntoView()


ScrollIntoView メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

ツリー項目をビューにスクロールします。

構文

treeViewItem.ScrollIntoView()


Scroll メソッド (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

スクロール バーを指定した量スクロールします。

構文

horizontalScrollBar.Scroll(scrollAmount)
変数 | 説明
scrollAmount | スクロール量。 ScrollAmount。


Scroll メソッド (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

スクロール バーを指定した量スクロールします。

構文

verticalScrollBar.Scroll(scrollAmount)
変数 | 説明
scrollAmount | スクロール量。 ScrollAmount。


ScrollPosition プロパティ (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

[読み取り専用] 現在のスクロール位置。

構文

'Declaration
Protected Read Property ScrollPosition As Double

アクセス

読み取り専用。


ScrollPosition プロパティ (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

[読み取り専用] 現在のスクロール位置。

構文

'Declaration
Protected Read Property ScrollPosition As Double

アクセス

読み取り専用。


ScrollToMaximum メソッド (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

スクロール バーを右端にスクロールします。

構文

horizontalScrollBar.ScrollToMaximum()


ScrollToMaximum メソッド (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

スクロール バーを最下部にスクロールします。

構文

verticalScrollBar.ScrollToMaximum()


ScrollToMinimum メソッド (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

スクロール バーを左端にスクロールします。

構文

horizontalScrollBar.ScrollToMinimum()


ScrollToMinimum メソッド (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

スクロール バーを先頭にスクロールします。

構文

verticalScrollBar.ScrollToMinimum()


ScrollToPosition メソッド (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

スクロール バーを指定した位置にスクロールします。

構文

horizontalScrollBar.ScrollToPosition(position)
変数 | 説明
position | 位置。 スクロール バーの最小位置と最大位置の間の値でなければなりません。 Double。


ScrollToPosition メソッド (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

スクロール バーを指定した位置にスクロールします。

構文

verticalScrollBar.ScrollToPosition(position)
変数 | 説明
position | 位置。 スクロール バーの最小位置と最大位置の間の値でなければなりません。 Double。


ScrollVertical メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

autoCompleteBox.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLComboBox)

クラス

SLComboBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

comboBox.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

dataGrid.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLListBox)

クラス

SLListBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

listBox.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLPane)

クラス

SLPane.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

pane.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

treeView.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


SelectAll メソッド (SLListBox)

クラス

SLListBox.

処理

リスト内のすべての項目を選択します。

構文

listBox.SelectAll()


SelectCell メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定したセルを選択します。

構文

dataGrid.SelectCell(row, column, [modifiers])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 選択するセル。 ItemIdentifier。
modifiers | 省略可能: セルを選択する際に押下する修飾キー。 複数のセルを選択するために使用します。 ModifierKeys。

例

3 番目の行のテキスト "cell 1" を持つセルを選択するには、次のように入力します。
dataGrid.SelectCell(2, "cell 1")


SelectDate メソッド (SLCalendar)

クラス

SLCalendar.

処理

指定した日付を選択します。

構文

calendar.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDates メソッド (SLCalendar)

クラス

SLCalendar.

処理

指定した日付を選択します。

このメソッドは、カレンダーが MultipleRange 選択モードをサポートする場合にのみ機能します。

構文

calendar.SelectDates(dates)
変数 | 説明
dates | 選択する日付。 List(Of DateTime?)。


SelectedCell プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されているセル。セルが選択されていない場合は Nothing。

構文

'Declaration
Protected Read Property SelectedCell As SLDataGridCell

アクセス

読み取り専用。


SelectedCellText プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されているセルのテキスト。セルが選択されていない場合は空の文字列。

構文

'Declaration
Protected Read Property SelectedCellText As String

アクセス

読み取り専用。


SelectedDate プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] 現在表示されているビューで選択されている日付。

構文

'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (SLDatePicker)

クラス

SLDatePicker.

処理

[読み取り専用] 選択されている日付。日付が選択されていない場合は Nothing を返します。

構文

'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDates プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] 現在表示されているビューで選択されている日付のリスト。

構文

'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

アクセス

読み取り専用。


SelectedIndex プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndices プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。

構文

'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedItemPath プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 選択された項目パスを取得します。選択されていない場合は空の項目パス。

構文

'Declaration
Protected Read Property SelectedItemPath As ItemPath

アクセス

読み取り専用。


SelectedItem プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は Nothing を返します。

構文

'Declaration
Protected Read Property SelectedItem As SLComboBoxItem

アクセス

読み取り専用。


SelectedItem プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。

構文

'Declaration
Protected Read Property SelectedItem As SLListItem

アクセス

読み取り専用。


SelectedItem プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は Nothing を返します。

構文

'Declaration
Protected Read Property SelectedItem As SLTabItem

アクセス

読み取り専用。


SelectedItem プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は Nothing を返します。

構文

'Declaration
Protected Read Property SelectedItem As SLTreeViewItem

アクセス

読み取り専用。


SelectedItems プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている項目。 項目が現在選択されていない場合は、空のリストが返されます。

構文

'Declaration
Protected Read Property SelectedItems As List(Of SLListItem)

アクセス

読み取り専用。


SelectedItemText プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 最初の選択された項目のテキスト。

構文

'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemTexts プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている項目のテキスト。 項目が現在選択されていない場合は、空のリストが返されます。

構文

'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

アクセス

読み取り専用。


SelectedRow プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されている行。行が選択されていない場合は Nothing。

構文

'Declaration
Protected Read Property SelectedRow As SLDataGridRow

アクセス

読み取り専用。


SelectedRows プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されている行のリスト。行が選択されていない場合は空のリスト。

構文

'Declaration
Protected Read Property SelectedRows As List(Of SLDataGridRow)

アクセス

読み取り専用。


SelectedRowText プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されている行のテキスト。行が選択されていない場合は空の文字列。

構文

'Declaration
Protected Read Property SelectedRowText As String

アクセス

読み取り専用。


SelectedRowTexts プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されている行のテキスト。行が選択されていない場合は空のリスト。

構文

'Declaration
Protected Read Property SelectedRowTexts As List(Of String)

アクセス

読み取り専用。


SelectedText プロパティ (SLRichTextBox)

クラス

SLRichTextBox.

処理

[読み取り専用] 選択したテキスト。

選択範囲にイメージなどの非テキスト要素が含まれる場合、これらの要素は空白文字として表示されます

構文

'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


Select メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

オート コンプリート ボックスに指定したテキストを入力して、一致した項目を選択します。

テキストを入力したあとに一致した項目が見つからない場合は、例外をスローします。パラメーター matchIndex の値が 0 より小さい、または一致した数よりも大きい場合にも、例外がスローされます。

構文

autoCompleteBox.Select(text, [matchIndex])
変数 | 説明
text | テキスト ボックスに入力するテキスト。 String。
matchIndex | 省略可能: 一致した項目の選択するインデックス。 The value is zero-based.。 Integer。

例

テキスト "Apple" で始まる最初に一致する項目を選択するには、次のように入力します。
autoCompletBox.Select("Apple");
テキスト "A" で始まる 3 番目に一致する項目を選択するには、次のように入力します。
autoCompletBox.Select("A", 2);


Select メソッド (SLButton)

クラス

SLButton.

処理

ボタンをクリックします。

構文

button.Select()


Select メソッド (SLCalendarButton)

クラス

SLCalendarButton.

処理

ボタンをクリックします。

構文

calendarButton.Select()


Select メソッド (SLCalendarDayButton)

クラス

SLCalendarDayButton.

処理

ボタンをクリックします。

構文

calendarDayButton.Select()


Select メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックスの項目を選択します。

構文

comboBox.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。

例

コンボ ボックスからテキスト "item 1" を持つ項目を選択するには、次のように入力します。
comboBox.Select("item 1")
コンボ ボックスから 3 番目の項目を選択するには、次のように入力します。
comboBox.Select(2)


Select メソッド (SLComboBoxItem)

クラス

SLComboBoxItem.

処理

コンボ ボックス項目を選択します。

構文

comboBoxItem.Select()


Select メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定した行を選択します。

構文

dataGrid.Select(item, [modifiers])
変数 | 説明
item | 選択する行。 ItemIdentifier。
modifiers | 省略可能: 行を選択する際に押下する修飾キー。 複数の行を選択するために使用します。 ModifierKeys。

例

テキスト "cell 1" および "cell 2" を持つ 2 つのセルを含む行を選択するには、次のように入力します。
dataGrid.Select("cell 1 cell 2")
または
dataGrid.Select("*cell 1*")
データ グリッドから 3 番目の行を選択するには、次のように入力します。
dataGrid.Select(2)
データ グリッド内の複数の行を選択するには、修飾キー（Ctrl や Shift など）を使用します。 複数選択をサポートするデータ グリッドから最初と 3 番目の行を選択するには、次のように入力します。
dataGrid.Select(0)
dataGrid.Select(2, ModifierKeys.Control)


Select メソッド (SLDataGridCell)

クラス

SLDataGridCell.

処理

セルを選択します。

構文

dataGridCell.Select()


Select メソッド (SLDataGridRow)

クラス

SLDataGridRow.

処理

行を選択します。

構文

dataGridRow.Select()


Select メソッド (SLHeaderItem)

クラス

SLHeaderItem.

処理

ヘッダー項目を選択します。

構文

headerItem.Select()


Select メソッド (SLHyperlinkButton)

クラス

SLHyperlinkButton.

処理

ハイパーリンク ボタンをクリックします。

構文

hyperlinkButton.Select()


Select メソッド (SLListBox)

クラス

SLListBox.

処理

指定したリスト ボックス項目を選択します。

構文

listBox.Select(item, [modifiers])
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。
modifiers | 省略可能: 項目を選択するときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

リスト ボックスからテキスト "item 1" を持つ項目を選択するには、次のように入力します。
listBox.Select("item 1")
リスト ボックスから 3 番目の項目を選択するには、次のように入力します。
listBox.Select(2)
リスト ボックス内の複数の項目を選択するには、修飾キー（Ctrl や Shift など）を使用します。 複数選択リスト ボックス（拡張選択スタイルを持つ）で、テキスト "item 1" と "item 3" を持つ 2 つの項目を選択するには、次のように入力します。
listBox.Select("item 1")
listBox.Select("item 3", ModifierKeys.Control)
複数選択スタイルを持つ複数選択リスト ボックスでは、選択された項目をクリックして選択を解除することができます。 次のコードは、このようなリスト ボックスの 2 つの項目を選択してから、最初の項目の選択を解除します。
listBox.Select("item 1")
listBox.Select("item 3")
listBox.Select("item 1") ' "item 1" の選択を解除


Select メソッド (SLListItem)

クラス

SLListItem.

処理

リスト項目を選択します。

構文

listItem.Select()


Select メソッド (SLRadioButton)

クラス

SLRadioButton.

処理

任意の選択された項目の選択を解除し、現在の要素を選択します。

構文

radioButton.Select()


Select メソッド (SLRepeatButton)

クラス

SLRepeatButton.

処理

ボタンをクリックします。

構文

repeatButton.Select()


Select メソッド (SLTabControl)

クラス

SLTabControl.

処理

タブ コントロールの項目を選択します。

構文

tabControl.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (SLTabItem)

クラス

SLTabItem.

処理

タブ項目を選択します。

構文

tabItem.Select()


Select メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した項目を選択します。

構文

treeView.Select(item)
変数 | 説明
item | 選択する項目。 ItemPath。


Select メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

項目を選択します。

構文

treeViewItem.Select()


SelectRange メソッド (SLCalendar)

クラス

SLCalendar.

処理

日付の範囲を選択します。

構文

calendar.SelectRange(startDate, endDate)
変数 | 説明
startDate | 選択範囲の開始日時。 DateTime?。
endDate | 選択範囲の終了日時。 DateTime?。


SetHorizontalScrollPercent メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

autoCompleteBox.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

comboBox.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

データ グリッド内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

dataGrid.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLListBox)

クラス

SLListBox.

処理

リスト ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

listBox.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLPane)

クラス

SLPane.

処理

ペイン内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

pane.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLTreeView)

クラス

SLTreeView.

処理

ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

treeView.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetIndeterminate メソッド (SLCheckBox)

クラス

SLCheckBox.

処理

チェック ボックスを不確定状態に設定します。

構文

checkBox.SetIndeterminate()


SetPosition メソッド (SLPasswordBox)

クラス

SLPasswordBox.

処理

パスワード フィールド内の挿入位置を設定します。

構文

passwordBox.SetPosition(position)
変数 | 説明
position | パスワード フィールド内のキャレットの位置。 The value is zero-based.。 Integer。


SetPosition メソッド (SLRichTextBox)

クラス

SLRichTextBox.

処理

テキスト ボックス内の挿入位置を設定します。

構文

richTextBox.SetPosition(position)
変数 | 説明
position | テキスト ボックス内のキャレットの位置。 The value is zero-based.。 Integer。


SetPosition メソッド (SLTextBox)

クラス

SLTextBox.

処理

テキスト フィールド内の挿入位置を設定します。

構文

textBox.SetPosition(position)
変数 | 説明
position | テキスト フィールド内のキャレットの位置。 The value is zero-based.。 Integer。


SetSelection メソッド (SLPasswordBox)

クラス

SLPasswordBox.

処理

パスワード ボックス内のテキストの範囲を選択します。

構文

passwordBox.SetSelection(startPosition, length)
変数 | 説明
startPosition | 選択範囲の開始インデックス。 The value is zero-based.。 Integer。
length | 開始位置から選択する文字数。 Integer。


SetSelection メソッド (SLRichTextBox)

クラス

SLRichTextBox.

処理

テキスト ボックス内のテキストの範囲を選択します。

構文

richTextBox.SetSelection(startPosition, length)
変数 | 説明
startPosition | 選択範囲の開始インデックス。 The value is zero-based.。 Integer。
length | 開始位置から選択する文字数。 Integer。


SetSelection メソッド (SLTextBox)

クラス

SLTextBox.

処理

テキスト ボックス内のテキストの範囲を選択します。

構文

textBox.SetSelection(startPosition, length)
変数 | 説明
startPosition | 選択範囲の開始インデックス。 The value is zero-based.。 Integer。
length | 開始位置から選択する文字数。 Integer。


SetText メソッド (SLPasswordBox)

クラス

SLPasswordBox.

処理

パスワード フィールド内のテキストを指定したテキストで置換します。

構文

passwordBox.SetText(text)
変数 | 説明
text | 新しいテキスト。 String。


SetText メソッド (SLRichTextBox)

クラス

SLRichTextBox.

処理

テキスト ボックスの内容を指定したテキストで置換します。

構文

richTextBox.SetText(text)
変数 | 説明
text | 新しいテキスト。 String。


SetText メソッド (SLTextBox)

クラス

SLTextBox.

処理

テキスト フィールド内のテキストを指定したテキストで置換します。

構文

textBox.SetText(text)
変数 | 説明
text | 新しいテキスト。 String。


SetValue メソッド (SLSlider)

クラス

SLSlider.

処理

スライダーの値を設定します。

構文

slider.SetValue(value)
変数 | 説明
value | 新しいスライダーの値。 Double。


SetValueToMaximum メソッド (SLSlider)

クラス

SLSlider.

処理

Slider を最大の位置に設定します。

構文

slider.SetValueToMaximum()


SetValueToMinimum メソッド (SLSlider)

クラス

SLSlider.

処理

Slider を最小の位置に設定します。

構文

slider.SetValueToMinimum()


SetVerticalScrollPercent メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

autoCompleteBox.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

comboBox.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

データ グリッド内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

dataGrid.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLListBox)

クラス

SLListBox.

処理

リスト ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

listBox.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLPane)

クラス

SLPane.

処理

ペイン内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

pane.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLTreeView)

クラス

SLTreeView.

処理

ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

treeView.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SmallChange プロパティ (SLSlider)

クラス

SLSlider.

処理

[読み取り専用] 矢印キーが押された場合など、小さい単位での変更が行われる際に、Value プロパティに加算または減算される値。

構文

'Declaration
Protected Read Property SmallChange As Double

アクセス

読み取り専用。


SupportedDisplayModes プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] サポートされる表示モードのリスト。

構文

'Declaration
Protected Read Property SupportedDisplayModes As List(Of SLCalendarMode)

アクセス

読み取り専用。


SwitchToDecadeView メソッド (SLCalendar)

クラス

SLCalendar.

処理

カレンダー表示モードを '10 年' に切り替えます (サポートされている場合)。

構文

calendar.SwitchToDecadeView()


SwitchToMonthView メソッド (SLCalendar)

クラス

SLCalendar.

処理

カレンダー表示モードを '月' に切り替えます (サポートされている場合)。

構文

calendar.SwitchToMonthView()


SwitchToYearView メソッド (SLCalendar)

クラス

SLCalendar.

処理

カレンダー表示モードを '年' に切り替えます (サポートされている場合)。

構文

calendar.SwitchToYearView()


Toggle メソッド (SLCheckBox)

クラス

SLCheckBox.

処理

次の順番でサイクリックにチェック ボックスの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。

構文

checkBox.Toggle()


Toggle メソッド (SLToggleButton)

クラス

SLToggleButton.

処理

次の順番でサイクリックにボタンの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。

構文

toggleButton.Toggle()


ToggleState プロパティ (SLCheckBox)

クラス

SLCheckBox.

処理

[読み取り専用] チェック ボックスのトグル状態。

構文

'Declaration
Protected Read Property ToggleState As ToggleState

アクセス

読み取り専用。


ToggleState プロパティ (SLToggleButton)

クラス

SLToggleButton.

処理

[読み取り専用] ボタンのトグル状態。

構文

'Declaration
Protected Read Property ToggleState As ToggleState

アクセス

読み取り専用。


Uncheck メソッド (SLCheckBox)

クラス

SLCheckBox.

処理

チェック ボックスのチェックを外します。

構文

checkBox.Uncheck()


VerticallyScrollable プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドを垂直方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] リスト ボックスを垂直方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLPane)

クラス

SLPane.

処理

[読み取り専用] ペインを垂直方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] ツリー ビューを垂直方向にスクロールできるかどうかを示す値。

構文

'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLPane)

クラス

SLPane.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VisibleItemPaths プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] ツリーに表示される項目の項目パス。

構文

'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


AccessibleName プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントのアクセス可能な名前。

構文

'Declaration
Protected Read Property AccessibleName As String

アクセス

読み取り専用。

例

Dim accessibleName As String = component.AccessibleName


AccessibleName プロパティ (AWTMenuItem)

クラス

AWTMenuItem.

処理

[読み取り専用] コンポーネントのアクセス可能な名前。

構文

'Declaration
Protected Read Property AccessibleName As String

アクセス

読み取り専用。

例

Dim accessibleName As String = openFileMenuItem.AccessibleName


AccessibleRole プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントのアクセス可能なロール。

構文

'Declaration
Protected Read Property AccessibleRole As String

アクセス

読み取り専用。

例

Dim accessibleRole As String = component.AccessibleRole


Alignment プロパティ (AWTLabel)

クラス

AWTLabel.

処理

[読み取り専用] ラベルの配置。

構文

'Declaration
Protected Read Property Alignment As Alignment

アクセス

読み取り専用。

例

Dim alignment As SilkTest.Ntf.Swing.Alignment = labelInfo.Alignment


Alignment プロパティ (JLabel)

クラス

JLabel.

処理

[読み取り専用] ラベルの配置。

構文

'Declaration
Protected Read Property Alignment As Alignment

アクセス

読み取り専用。

例

Dim alignment As SilkTest.Ntf.Swing.Alignment.Left = label.Alignment


Alignment プロパティ (JTextField)

クラス

JTextField.

処理

[読み取り専用] テキスト フィールドの配置。

構文

'Declaration
Protected Read Property Alignment As Alignment

アクセス

読み取り専用。

例

Dim alignment As SilkTest.Ntf.Swing.Alignment = textField.Alignment


AllCellTexts プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] テーブルのすべてのセルのテキスト値。 セルは行でグループ化され、各行にはそのセルのテキストが含まれます。

構文

'Declaration
Protected Read Property AllCellTexts As List(Of List(Of String))

アクセス

読み取り専用。

例

Dim allCellTexts As List(of List(of String)) = table.AllCellTexts


AllCellTexts プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] リストビューのすべてのセルのテキスト値。 セルは行でグループ化され、各行にはそのセルのテキストが含まれます。

少なくとも一度はユーザーに表示された値のみが利用できます。

構文

'Declaration
Protected Read Property AllCellTexts As List(Of List(Of String))

アクセス

読み取り専用。


AllCellValues プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] テーブルのすべてのセルの値。 セルは行でグループ化され、各行にはそのセルの値が含まれます。

構文

'Declaration
Protected Read Property AllCellValues As List(Of List(Of Object))

アクセス

読み取り専用。

例

Dim allCellValues As List(of List(of Object)) = table.AllCellValues


Background プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントの背景色。

構文

'Declaration
Protected Read Property Background As Color

アクセス

読み取り専用。

例

Dim backgroundColor As SilkTest.Ntf.Color = component.Background


CancelEditing メソッド (JTree)

クラス

JTree.

処理

現在編集中のセッションをキャンセルします。

構文

tree.CancelEditing()

例

tree.CancelEditing()


CaretPosition プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] テキスト コンポーネントのテキスト挿入キャレットの位置。 The value is zero-based.。

構文

'Declaration
Protected Read Property CaretPosition As Integer

アクセス

読み取り専用。

例

Dim caretPosition As Integer = textComponent.CaretPosition


CaretPosition プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] テキスト コンポーネントのテキスト挿入キャレットの位置。 The value is zero-based.。

構文

'Declaration
Protected Read Property CaretPosition As Integer

アクセス

読み取り専用。

例

Dim caretPosition As Integer = textComponent.CaretPosition


CaretPosition プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] テキスト フィールドのテキスト挿入キャレットの位置。 The value is zero-based.。

構文

'Declaration
Protected Read Property CaretPosition As Integer

アクセス

読み取り専用。


CharacterAttributes プロパティ (JTextPane)

クラス

JTextPane.

処理

[読み取り専用] キャレットの位置で有効になっている文字属性。

構文

'Declaration
Protected Read Property CharacterAttributes As List(Of String)

アクセス

読み取り専用。

例

Dim characterAttributes As IList = textPane.CharacterAttributes


Checked プロパティ (AWTCheckbox)

クラス

AWTCheckbox.

処理

[読み取り専用] チェック ボックスがチェックされているかどうか。

構文

'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

Dim isChecked As Boolean = caseSensitiveCheckBox.Checked


Checked プロパティ (AWTCheckboxMenuItem)

クラス

AWTCheckboxMenuItem.

処理

[読み取り専用] メニュー項目のチェック ボックスがチェックされているかどうか。

構文

'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

Dim isMenuItemChecked As Boolean = checkMenuItem.Checked


Checked プロパティ (AWTRadioButton)

クラス

AWTRadioButton.

処理

[読み取り専用] ラジオ ボタンがチェックされているかどうか。

構文

'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

Dim isChecked As Boolean = leftAligmentRadioButton.Checked


Checked プロパティ (IOracleFormsMenuBase)

クラス

IOracleFormsMenuBase.

処理

[読み取り専用] メニュー項目がチェックされているかどうか。

構文

'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。


Checked プロパティ (JCheckBoxMenuItem)

クラス

JCheckBoxMenuItem.

処理

[読み取り専用] メニュー項目のチェック ボックスがチェックされているかどうか。

構文

'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

Dim isChecked As Boolean = checkBoxMenuItem.Checked


Checked プロパティ (JRadioButtonMenuItem)

クラス

JRadioButtonMenuItem.

処理

[読み取り専用] メニュー項目のラジオ ボタンがチェックされているかどうか。

構文

'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

Dim isChecked As Boolean = leftAligmentMenuItem.Checked


Checked プロパティ (OracleFormsCheckbox)

クラス

OracleFormsCheckbox.

処理

[読み取り専用] チェック ボックスがチェックされているかどうか。

構文

'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。


Checked プロパティ (OracleFormsRadioButton)

クラス

OracleFormsRadioButton.

処理

[読み取り専用] ラジオ ボタンがチェックされているかどうか。

構文

'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。


Check メソッド (AWTCheckbox)

クラス

AWTCheckbox.

処理

チェック ボックスをチェックします。

構文

checkbox.Check()

例

caseSensitiveCheckBox.Check()


Check メソッド (AWTCheckboxMenuItem)

クラス

AWTCheckboxMenuItem.

処理

メニュー項目のチェック ボックスをチェックします。

構文

checkboxMenuItem.Check()

例

checkMenuItem.Check()


Check メソッド (AWTRadioButton)

クラス

AWTRadioButton.

処理

ラジオ ボタンをチェックします。

構文

radioButton.Check()

例

leftAligmentRadioButton.Check()


Check メソッド (JCheckBox)

クラス

JCheckBox.

処理

チェック ボックスをチェックします。

構文

checkBox.Check()

例

forwardCheckBox.Check()


Check メソッド (JRadioButton)

クラス

JRadioButton.

処理

ラジオ ボタンをチェックします。

構文

radioButton.Check()

例

leftAligmentRadioButton.Check()


Check メソッド (OracleFormsCheckbox)

クラス

OracleFormsCheckbox.

処理

チェック ボックスをチェックします。

構文

oracleFormsCheckbox.Check()


Check メソッド (OracleFormsMenu)

クラス

OracleFormsMenu.

処理

メニュー項目をチェックします。

構文

oracleFormsMenu.Check(item)
変数 | 説明
item | チェックするメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目をチェックする場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。


Check メソッド (OracleFormsMenuItem)

クラス

OracleFormsMenuItem.

処理

メニュー項目をチェックします。

構文

oracleFormsMenuItem.Check()


Check メソッド (OracleFormsRadioButton)

クラス

OracleFormsRadioButton.

処理

ラジオ ボタンをチェックします。

構文

oracleFormsRadioButton.Check()


Clear メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

すべてのテキストをテキスト コンポーネントから削除します。

構文

textComponent.Clear()

例

textComponent.Clear()


Clear メソッド (JTextComponent)

クラス

JTextComponent.

処理

すべてのテキストをテキスト コンポーネントから削除します。

構文

textComponent.Clear()

例

textComponent.Clear()


Clear メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

すべてのテキストをテキスト フィールドから削除します。

構文

oracleFormsTextField.Clear()


ClearSelection メソッド (JTable)

クラス

JTable.

処理

すべての選択した列と行の選択を解除します。

構文

table.ClearSelection()

例

table.ClearSelection()


ClearSelection メソッド (JTree)

クラス

JTree.

処理

選択範囲をクリアします。

構文

tree.ClearSelection()

例

tree.ClearSelection()


ClearSelection メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

選択範囲をクリアします。

構文

oracleFormsListView.ClearSelection()


ClickCell メソッド (JTable)

クラス

JTable.

処理

テーブル内の指定したセルをクリックします。

構文

table.ClickCell(row, column, [button, position, modifiers])
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: テーブル セル内のクリックした位置。 位置が省略された場合は、テーブル セルの中央がクリックされます。 Point。
modifiers | 省略可能: テーブル セルをクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 複数のテーブル セルをクリックするために使用します。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

table.ClickCell(1, "Street", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
table.ClickCell(1, "Street")
table.ClickCell(1, 5)


ClickColumnHeader メソッド (JTableHeader)

クラス

JTableHeader.

処理

テーブルの列ヘッダーをクリックします。

構文

tableHeader.ClickColumnHeader(column, [button, position, modifiers])
変数 | 説明
column | 列の名前またはインデックス。 ItemIdentifier。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: 列ヘッダー内のクリックした位置 （デフォルトは列ヘッダーの中央）。 Point。
modifiers | 省略可能: 列ヘッダーをクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

tableHeader.ClickColumnHeader("Product Name", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tableHeader.ClickColumnHeader(4, MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tableHeader.ClickColumnHeader("Product Name")
tableHeader.ClickColumnHeader(4)


ClickItem メソッド (JList)

クラス

JList.

処理

指定したリスト項目をクリックします。

構文

list.ClickItem(item, [button, position, modifiers])
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: リスト内のクリックした位置 （デフォルトはリスト項目の中央）。 Point。
modifiers | 省略可能: リスト項目をクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 複数のリスト項目をクリックするために使用します。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

colorsList.ClickItem("green", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
colorsList.ClickItem(3, MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
colorsList.ClickItem("green")
colorsList.ClickItem(3)


ClickItem メソッド (OracleFormsListBox)

クラス

OracleFormsListBox.

処理

指定したリスト項目をクリックします。

構文

oracleFormsListBox.ClickItem(item, [button, position, modifiers])
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: リスト内のクリックした位置 （デフォルトはリスト項目の中央）。 Point。
modifiers | 省略可能: リスト項目をクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 複数のリスト項目をクリックするために使用します。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。


ClickItem メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

項目パスによって指定されたツリー ノードをクリックします。

構文

oracleFormsTree.ClickItem(item, [button, position, modifiers])
変数 | 説明
item | クリックする項目のパス。 ItemPath。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: クリックする位置。 位置が省略された場合は、ツリー ノードの中央がクリックされます。 Point。
modifiers | 省略可能: ツリー ノードをクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。


ClickNode メソッド (JTree)

クラス

JTree.

処理

項目パスによって指定されたツリー ノードをクリックします。

構文

tree.ClickNode(item, [button, position, modifiers])
変数 | 説明
item | クリックする項目パス。 ItemPath。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: クリックする位置。 位置が省略された場合は、ツリー ノードの中央がクリックされます。 Point。
modifiers | 省略可能: ツリー ノードをクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

tree.ClickNode("/level_1-1/level_2-1/level_3-4", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tree.ClickNode("/level_1-1/level_2-1/level_3-4")


CollapseAll メソッド (JTree)

クラス

JTree.

処理

すべてのツリー ノードを折りたたみます。

構文

tree.CollapseAll()

例

tree.CollapseAll()


CollapseAll メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

すべてのツリー ノードを折りたたみます。

構文

oracleFormsTree.CollapseAll()


Collapse メソッド (JTree)

クラス

JTree.

処理

指定した項目パスによって識別されるツリー ノードを折りたたみます。

構文

tree.Collapse(item)
変数 | 説明
item | 項目パス。 ItemPath。

例

tree.Collapse("/level_1-1/level_2-1/level_3-4")


Collapse メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスによって識別されるツリー ノードを折りたたみます。

構文

oracleFormsTree.Collapse(item)
変数 | 説明
item | 項目パス。 ItemPath。


Color プロパティ (JColorChooser)

クラス

JColorChooser.

処理

[読み取り専用] カラーチューザから現在の色の値。

構文

'Declaration
Protected Read Property Color As Color

アクセス

読み取り専用。

例

Dim colorRed As SilkTest.Ntf.Color = ColorChooser.Color


ColumnCount プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] テーブルの列の数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。

例

Dim columnCount As Integer = table.ColumnCount


ColumnCount プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] リストビューの列の数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


Columns プロパティ (AWTTextArea)

クラス

AWTTextArea.

処理

[読み取り専用] テキスト領域の列の数。 The value is zero-based.。

構文

'Declaration
Protected Read Property Columns As Integer

アクセス

読み取り専用。

例

Dim columns As Integer = colorsTextArea.Columns


Columns プロパティ (JTextArea)

クラス

JTextArea.

処理

[読み取り専用] テキスト領域の列の数。 The value is zero-based.。

構文

'Declaration
Protected Read Property Columns As Integer

アクセス

読み取り専用。

例

Dim columns As Integer = textArea.Columns


ContentType プロパティ (JEditorPane)

クラス

JEditorPane.

処理

[読み取り専用] このエディターが現在処理するように設定されているコンテンツ タイプ。

構文

'Declaration
Protected Read Property ContentType As String

アクセス

読み取り専用。

例

Dim contentType As String = editorPane.ContentType


Cursor プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントに設定されているカーソルの名前。

構文

'Declaration
Protected Read Property Cursor As String

アクセス

読み取り専用。

例

Dim cursor As String = component.Cursor


Default プロパティ (OracleFormsButton)

クラス

OracleFormsButton.

処理

[読み取り専用] ボタンがデフォルト ボタンかどうか。

構文

'Declaration
Protected Read Property Default As Boolean

アクセス

読み取り専用。


DeselectAll メソッド (AWTList)

クラス

AWTList.

処理

すべてのリスト項目の選択を解除します。

構文

list.DeselectAll()

例

colorsList.DeselectAll()


DeselectAll メソッド (JList)

クラス

JList.

処理

すべてのリスト項目の選択を解除します。

構文

list.DeselectAll()

例

colorsList.DeselectAll()


Deselect メソッド (AWTList)

クラス

AWTList.

処理

指定したリスト項目の選択を解除します。

構文

list.Deselect(item)
変数 | 説明
item | 選択を解除する項目の名前またはインデックス。 ItemIdentifier。

例

colorsList.Deselect("blue")
colorsList.Deselect(3)


Deselect メソッド (JList)

クラス

JList.

処理

指定したリスト項目の選択を解除します。

構文

list.Deselect(item)
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。

例

colorsList.Deselect("red")
colorsList.Deselect(1)


Direction プロパティ (BasicArrowButton)

クラス

BasicArrowButton.

処理

[読み取り専用] 矢印が向いている方向。

構文

'Declaration
Protected Read Property Direction As Direction

アクセス

読み取り専用。

例

Dim direction As SilkTest.Ntf.Swing.Direction = arrowButton.Direction


DividerLocation プロパティ (JSplitPane)

クラス

JSplitPane.

処理

[読み取り専用] 現在の分割線の位置。

構文

'Declaration
Protected Read Property DividerLocation As Integer

アクセス

読み取り専用。

例

Dim dividerLocation As Integer = splitPane.DividerLocation


DividerSize プロパティ (JSplitPane)

クラス

JSplitPane.

処理

[読み取り専用] 分割線のサイズ。

構文

'Declaration
Protected Read Property DividerSize As Integer

アクセス

読み取り専用。

例

Dim dividerSize As Integer = splitPane.DividerSize


DoubleClickCell メソッド (JTable)

クラス

JTable.

処理

テーブル内の指定したセルをダブルクリックします。

構文

table.DoubleClickCell(row, column, [button, position, modifiers])
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: テーブル セル内のダブルクリックした位置。 位置が省略された場合は、テーブル セルの中央がダブルクリックされます。 Point。
modifiers | 省略可能: テーブル セルをダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

table.DoubleClickCell(1, "Street", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
table.DoubleClickCell(1, "Street")
table.DoubleClickCell(1, 5)


DoubleClickItem メソッド (AWTList)

クラス

AWTList.

処理

リスト項目をダブルクリックします。

構文

list.DoubleClickItem(item, [modifiers])
変数 | 説明
item | ダブルクリックする項目の名前またはインデックス。 ItemIdentifier。
modifiers | 省略可能: 項目をダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

colorsList.DoubleClickItem("red", SilkTest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem("red")
colorsList.DoubleClickItem(1, SilkTest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem(1)


DoubleClickItem メソッド (JList)

クラス

JList.

処理

リスト項目をダブルクリックします。

構文

list.DoubleClickItem(item, [button, position, modifiers])
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: リスト内のダブルクリックした位置 （デフォルトはリスト項目の中央）。 Point。
modifiers | 省略可能: リスト項目をダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

colorsList.DoubleClickItem("green", MouseButton.Left, New Point(10, 10), Silktest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem("green")
colorsList.DoubleClickItem(3)


DoubleClickItem メソッド (OracleFormsListBox)

クラス

OracleFormsListBox.

処理

リスト項目をダブルクリックします。

構文

oracleFormsListBox.DoubleClickItem(item, [button, position, modifiers])
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: リスト内のダブルクリックした位置 （デフォルトはリスト項目の中央）。 Point。
modifiers | 省略可能: リスト項目をダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。


DoubleClickItem メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

項目パスによって指定されたツリー ノードをダブルクリックします。

構文

oracleFormsTree.DoubleClickItem(item, [button, position, modifiers])
変数 | 説明
item | ダブルクリックする項目のパス。 ItemPath。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: ダブルクリックする位置。 位置が省略された場合は、ツリー ノードの中央がダブルクリックされます。 Point。
modifiers | 省略可能: ツリー ノードをダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。


DoubleClickNode メソッド (JTree)

クラス

JTree.

処理

項目パスによって指定されたツリー ノードをダブルクリックします。

構文

tree.DoubleClickNode(item, [button, position, modifiers])
変数 | 説明
item | ダブルクリックする項目パス。 ItemPath。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: ダブルクリックする位置。 位置が省略された場合は、ツリー ノードの中央がダブルクリックされます。 Point。
modifiers | 省略可能: ツリー ノードをダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

tree.DoubleClickNode("/level_1-1/level_2-1/level_3-4", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tree.DoubleClickNode("/level_1-1/level_2-1/level_3-4")


DropDownOpen プロパティ (OracleFormsComboBox)

クラス

OracleFormsComboBox.

処理

[読み取り専用] ドロップダウンが現在開いているかどうか。

構文

'Declaration
Protected Read Property DropDownOpen As Boolean

アクセス

読み取り専用。


DropDownOpen プロパティ (OracleFormsPopList)

クラス

OracleFormsPopList.

処理

[読み取り専用] ドロップダウンが現在開いているかどうか。

構文

'Declaration
Protected Read Property DropDownOpen As Boolean

アクセス

読み取り専用。


EchoChar プロパティ (AWTTextField)

クラス

AWTTextField.

処理

[読み取り専用] 実際に入力される文字の代わりに表示される文字。

構文

'Declaration
Protected Read Property EchoChar As String

アクセス

読み取り専用。

例

Dim echoChar As String = passwordTextField.EchoChar


EchoChar プロパティ (JPasswordField)

クラス

JPasswordField.

処理

[読み取り専用] 実際に入力される文字の代わりに表示される文字。

構文

'Declaration
Protected Read Property EchoChar As String

アクセス

読み取り専用。

例

Dim echoChar As String = passwordField.EchoChar


EchoCharSet プロパティ (AWTTextField)

クラス

AWTTextField.

処理

[読み取り専用] EchoChar が 0 以外の値に設定されているかどうか。

構文

'Declaration
Protected Read Property EchoCharSet As Boolean

アクセス

読み取り専用。

例

Dim isEchoCharSet As Boolean = passwordTextField.EchoCharSet


EchoCharSet プロパティ (JPasswordField)

クラス

JPasswordField.

処理

[読み取り専用] EchoChar が 0 以外の値に設定されているかどうか。

構文

'Declaration
Protected Read Property EchoCharSet As Boolean

アクセス

読み取り専用。

例

Dim isEchoCharSet As Boolean = passwordField.EchoCharSet


Editable プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] テキスト コンポーネントのテキストをユーザーが変更できるかどうか。

構文

'Declaration
Protected Read Property Editable As Boolean

アクセス

読み取り専用。

例

Dim isEditable As Boolean = textComponent.Editable


Editable プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] コンボ ボックスが編集可能かどうか。

構文

'Declaration
Protected Read Property Editable As Boolean

アクセス

読み取り専用。

例

Dim isEditable As Boolean = colorsComboBox.Editable


Editable プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] テキスト コンポーネントのテキストをユーザーが変更できるかどうか。

構文

'Declaration
Protected Read Property Editable As Boolean

アクセス

読み取り専用。

例

Dim isEditable As Boolean = textComponent.Editable


Editable プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] テキスト フィールドのテキストをユーザーが変更できるかどうか。

構文

'Declaration
Protected Read Property Editable As Boolean

アクセス

読み取り専用。


EditingColumn プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] 現在編集中のセルを含む列の名前またはインデックス。

構文

'Declaration
Protected Read Property EditingColumn As ItemIdentifier

アクセス

読み取り専用。

例

Dim editingColumn As String = table.EditingColumn


EditingRow プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] 現在編集中のセルを含む行のインデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property EditingRow As Integer

アクセス

読み取り専用。

例

Dim editingRow As Integer = table.EditingRow


Enabled プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントが有効かどうか。

構文

'Declaration
Protected Read Property Enabled As Boolean

アクセス

読み取り専用。

例

Dim isEnabled As Boolean = component.Enabled


Enabled プロパティ (AWTMenuItem)

クラス

AWTMenuItem.

処理

[読み取り専用] メニュー項目が有効かどうか。

構文

'Declaration
Protected Read Property Enabled As Boolean

アクセス

読み取り専用。

例

Dim isEnabled As Boolean = openFileMenuItem.Enabled


ExpandAll メソッド (JTree)

クラス

JTree.

処理

すべてのツリー ノードを展開します。

構文

tree.ExpandAll()

例

tree.ExpandAll()


ExpandAll メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

すべてのツリー ノードを展開します。

構文

oracleFormsTree.ExpandAll()


Expand メソッド (JTree)

クラス

JTree.

処理

指定した項目パスによって識別されるツリー ノードを展開します。

構文

tree.Expand(item)
変数 | 説明
item | 項目パス。 ItemPath。

例

tree.Expand("/level_1-1/level_2-1/level_3-4")


Expand メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスによって識別されるツリー ノードを展開します。

構文

oracleFormsTree.Expand(item)
変数 | 説明
item | 項目パス。 ItemPath。


FindCell メソッド (JTable)

クラス

JTable.

処理

指定したテキストを含むセルを返します。

FindCell は、1 行目の第 1 列から text を含むセルの検索を開始します。最初の行のセルをすべて検索してから、2 番目の行を検索し、一致したセルが見つかるか、またはテーブルの終わりに到達するまで検索を続けます。 検索テキスト内にワイルドカードを使用することができます。

構文

result = table.FindCell(text)
変数 | 説明
result | セルの行と列のインデックスを含んだリスト（この順番で）。 セルが見つからなかった場合には、リストは空になります。 List(Of Integer)。
text | テーブル内のセルのテキスト。 String。

例

Dim findCell As IList = table.findCell("SilkTest")


FindItem メソッド (JList)

クラス

JList.

処理

リスト内の項目のインデックスを返します。

構文

result = list.FindItem(itemText)
変数 | 説明
result | 最初に一致した項目のインデックス、または項目が見つからなかった場合は -1（4Test の場合は 0）。 The value is zero-based.。 Integer。
itemText | 検索する項目。 String。

例

Dim index As Integer = ColorsList.FindItem("green")


Focusable プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントをフォーカスすることができるかどうか。

構文

'Declaration
Protected Read Property Focusable As Boolean

アクセス

読み取り専用。

例

Dim isFocusable As Boolean = component.Focusable


FocusedRow プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] フォーカスした行のインデックス。行がフォーカスされていない場合は -1（4Test の場合は 0）が返されます。 The value is zero-based.。

構文

'Declaration
Protected Read Property FocusedRow As Integer

アクセス

読み取り専用。


Font プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントのフォント。

構文

'Declaration
Protected Read Property Font As String

アクセス

読み取り専用。

例

Dim font As String = component.Font


Foreground プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントの前景色。

構文

'Declaration
Protected Read Property Foreground As Color

アクセス

読み取り専用。

例

Dim foregroundColor As SilkTest.Ntf.Color = component.Foreground


FormattedText プロパティ (JEditorPane)

クラス

JEditorPane.

処理

[読み取り専用] エディター ペインのテキスト。

構文

'Declaration
Protected Read Property FormattedText As String

アクセス

読み取り専用。

例

Dim formattedText As String = editorPane.FormattedText


GetCellText メソッド (JTable)

クラス

JTable.

処理

セル テキストを返します。

構文

cellText = table.GetCellText(row, column)
変数 | 説明
cellText | セル テキスト。 String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

Dim cellText As String = table.GetCellText(1, "Product")
cellText = table.GetCellText(1, 3)


GetCellText メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

セル テキストを返します。

少なくとも一度はユーザーに表示された値のみが利用できます。

構文

cellText = oracleFormsListView.GetCellText(row, column)
変数 | 説明
cellText | String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。


GetCellValue メソッド (JTable)

クラス

JTable.

処理

セルの値を返します。

表示されたセル テキストを取得する場合には "GetCellText" を使用します。

構文

cellValue = table.GetCellValue(row, column)
変数 | 説明
cellValue | セルの値オブジェクト。 テーブル セルの種類が認識されない場合には、オブジェクトの String 値が返されます。セルが空の場合には、Nothing オブジェクトが返されます。 Object。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

Dim cellValue As Object = table.GetCellValue(1, "SilkTest")
cellValue = Table.GetCellValue(1, 3)


GetColumnName メソッド (JTable)

クラス

JTable.

処理

指定したインデックスの列の名前を返します。

構文

columnName = table.GetColumnName(column)
変数 | 説明
columnName | 列の名前。 String。
column | 列のインデックス。 The value is zero-based.。 Integer。

例

Dim columnName As String = table.GetColumnName(5)


GetColumnName メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定したインデックスの列の名前を返します。

構文

columnName = oracleFormsListView.GetColumnName(index)
変数 | 説明
columnName | String。
index | 列のインデックス。 The value is zero-based.。 Integer。


GetColumnWidth メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した列の幅を返します。

構文

columnWidth = oracleFormsListView.GetColumnWidth(column)
変数 | 説明
columnWidth | Integer。
column | 列の名前またはインデックス。 ItemIdentifier。


GetHorizontalBar メソッド (IAWTScrollable)

クラス

IAWTScrollable.

処理

水平方向のスクロール バーを取得します。

構文

horizontalBar = iAWTScrollable.GetHorizontalBar()
変数 | 説明
horizontalBar | 水平方向のスクロール バー コントロール。 AWTHorizontalScrollbar。


GetHorizontalBar メソッド (JScrollPane)

クラス

JScrollPane.

処理

水平方向のスクロール バーを取得します。

構文

horizontalBar = scrollPane.GetHorizontalBar()
変数 | 説明
horizontalBar | JHorizontalScrollBar。


GetHorizontalScrollbar メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

水平方向のスクロール バーを取得します。

構文

horizontalScrollbar = iOracleFormsScrollable.GetHorizontalScrollbar()
変数 | 説明
horizontalScrollbar | 水平方向のスクロール バー コントロール。 OracleFormsHorizontalScrollbar。


GetItem メソッド (AWTChoice)

クラス

AWTChoice.

処理

指定したインデックスの項目を返します。

構文

item = choice.GetItem(index)
変数 | 説明
item | 項目の名前。 String。
index | 項目のインデックス。 The value is zero-based.。 Integer。

例

Dim item As String = colorsChoice.GetItem(1)


GetItem メソッド (AWTList)

クラス

AWTList.

処理

指定したインデックスのリスト項目を返します。

構文

item = list.GetItem(index)
変数 | 説明
item | リスト項目の名前。 String。
index | リスト項目のインデックス。 The value is zero-based.。 Integer。

例

Dim item As String = colorsList.GetItem(1)


GetItem メソッド (JComboBox)

クラス

JComboBox.

処理

指定したインデックスの項目を返します。

構文

item = comboBox.GetItem(index)
変数 | 説明
item | 項目の名前。 String。
index | 項目のインデックス。 The value is zero-based.。 Integer。

例

Dim item As String = colorsComboBox.GetItem(1)


GetItem メソッド (JList)

クラス

JList.

処理

指定したインデックスの項目を返します。

構文

item = list.GetItem(index)
変数 | 説明
item | 項目の名前。 String。
index | 項目のインデックス。 The value is zero-based.。 Integer。

例

Dim item As String = colorsList.GetItem(2)


GetItemRect メソッド (JList)

クラス

JList.

処理

リストに対して相対的な項目のサイズと位置を返します。

構文

itemRect = list.GetItemRect(item)
変数 | 説明
itemRect | リストに相対的な項目の位置（X および Y）、およびその幅と高さを含んだ矩形。 Rectangle。
item | 項目の名前またはインデックス。 ItemIdentifier。

例

Dim rect As Rectangle = ColorsList.GetItemRect("green")
rect = ColorsList.GetItemRect(2)


GetItemRect メソッド (JTree)

クラス

JTree.

処理

ツリーに対して相対的な項目のサイズと位置を返します。

構文

itemRect = tree.GetItemRect(item)
変数 | 説明
itemRect | ツリーに相対的な項目の位置（X および Y）、およびその幅と高さを含んだ矩形。 Rectangle。
item | 項目パス。 ItemPath。

例

Dim rect As Rectangle = tree.GetItemRect("/level_1-1/level_2-1/level_3-4")


GetItemText メソッド (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

指定したインデックスの項目を返します。

構文

itemText = oracleFormsChoice.GetItemText(index)
変数 | 説明
itemText | 項目の名前。 String。
index | 項目のインデックス。 The value is zero-based.。 Integer。


GetItemValue メソッド (JList)

クラス

JList.

処理

リスト項目の値オブジェクトを返します。

構文

itemValue = list.GetItemValue(item)
変数 | 説明
itemValue | リスト項目の値オブジェクト。 Object。
item | リスト項目の名前またはインデックス。 ItemIdentifier。

例

Dim item As Object = colorsList.GetItemValue("green")
item = colorsList.GetItemValue(2)


GetTabIndex メソッド (JTabbedPane)

クラス

JTabbedPane.

処理

タブ インデックスを返します。

構文

tabIndex = tabbedPane.GetTabIndex(title)
変数 | 説明
tabIndex | タブ インデックス。 The value is zero-based.。 Integer。
title | タブのタイトル。 String。

例

Dim tabIndex As Integer = tabbedPane.GetTabIndex("Alignment")


GetTabIndex メソッド (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

タブ インデックスを返します。

構文

tabIndex = oracleFormsTabBar.GetTabIndex(title)
変数 | 説明
tabIndex | タブ インデックス。 The value is zero-based.。 Integer。
title | タブのタイトル。 String。


GetTabTitle メソッド (JTabbedPane)

クラス

JTabbedPane.

処理

タブ タイトルを返します。

構文

tabTitle = tabbedPane.GetTabTitle(index)
変数 | 説明
tabTitle | タブのタイトル。 String。
index | タブのインデックス。 The value is zero-based.。 Integer。

例

Dim tabTitle As String = tabbedPane.GetTabTitle(1)


GetTabTitle メソッド (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

タブ タイトルを返します。

構文

tabTitle = oracleFormsTabBar.GetTabTitle(index)
変数 | 説明
tabTitle | タブのタイトル。 String。
index | タブのインデックス。 The value is zero-based.。 Integer。


GetVerticalBar メソッド (IAWTScrollable)

クラス

IAWTScrollable.

処理

垂直方向のスクロール バーを取得します。

構文

verticalBar = iAWTScrollable.GetVerticalBar()
変数 | 説明
verticalBar | 垂直方向のスクロール バー コントロール。 AWTVerticalScrollbar。


GetVerticalBar メソッド (JScrollPane)

クラス

JScrollPane.

処理

垂直方向のスクロール バーを取得します。

構文

verticalBar = scrollPane.GetVerticalBar()
変数 | 説明
verticalBar | JVerticalScrollBar。


GetVerticalScrollbar メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

垂直方向のスクロール バーを取得します。

構文

verticalScrollbar = iOracleFormsScrollable.GetVerticalScrollbar()
変数 | 説明
verticalScrollbar | 垂直方向のスクロール バー コントロール。 OracleFormsVerticalScrollbar。


Height プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] 現在のコンポーネントの高さ。

構文

'Declaration
Protected Read Property Height As Integer

アクセス

読み取り専用。

例

Dim height As Integer = component.Height


HorizontalScrollbarPage メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定したページ数を現在のスクロール位置に加算します。

構文

iOracleFormsScrollable.HorizontalScrollbarPage(pageCount)
変数 | 説明
pageCount | 加算するページ数。 Integer。


HorizontalScrollbarPageSize プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーのブロック増分値。

構文

'Declaration
Protected Read Property HorizontalScrollbarPageSize As Integer

アクセス

読み取り専用。


HorizontalScrollbarPosition プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの現在の位置。

構文

'Declaration
Protected Read Property HorizontalScrollbarPosition As Integer

アクセス

読み取り専用。


HorizontalScrollbarRange プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの範囲値。

構文

'Declaration
Protected Read Property HorizontalScrollbarRange As Range

アクセス

読み取り専用。


HorizontalScrollbarScrollToMax メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

スクロール バーの最大の位置にスクロールします。

構文

iOracleFormsScrollable.HorizontalScrollbarScrollToMax()


HorizontalScrollbarScrollTo メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定した位置にスクロールします。

構文

iOracleFormsScrollable.HorizontalScrollbarScrollTo(position)
変数 | 説明
position | スクロールする位置。 Integer。


HorizontalScrollbarScrollToMin メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

スクロール バーの最小の位置にスクロールします。

構文

iOracleFormsScrollable.HorizontalScrollbarScrollToMin()


HorizontalScrollbarStep メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定したステップ数を現在のスクロール位置に加算します。

構文

iOracleFormsScrollable.HorizontalScrollbarStep(stepCount)
変数 | 説明
stepCount | 加算するステップ数。 Integer。


HorizontalScrollbarStepSize プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの単位増分値。

構文

'Declaration
Protected Read Property HorizontalScrollbarStepSize As Integer

アクセス

読み取り専用。


Indeterminate プロパティ (JProgressBar)

クラス

JProgressBar.

処理

[読み取り専用] 進行状況バーが不確定モードかどうか。

構文

'Declaration
Protected Read Property Indeterminate As Boolean

アクセス

読み取り専用。

例

Dim isIndeterminate As Boolean = progressBar.Indeterminate


Insert メソッド (AWTTextArea)

クラス

AWTTextArea.

処理

指定したテキストを指定した位置に挿入します。

構文

textArea.Insert(text, pos)
変数 | 説明
text | 挿入するテキスト。 String。
pos | 挿入する位置。 The value is zero-based.。 Integer。

例

colorsTextArea.Insert("yellow", 16)


Insert メソッド (JTextArea)

クラス

JTextArea.

処理

指定したテキストを指定した位置に挿入します。

構文

textArea.Insert(text, pos)
変数 | 説明
text | 挿入するテキスト。 String。
pos | テキストを挿入する位置。 The value is zero-based.。 Integer。

例

textArea.Insert("magenta", 5)


Inverted プロパティ (JSlider)

クラス

JSlider.

処理

[読み取り専用] スライダに表示される値の範囲が反転している場合、値は true になります。

構文

'Declaration
Protected Read Property Inverted As Boolean

アクセス

読み取り専用。

例

Dim isInverted As Boolean = verticalSlider.Inverted


IsCellEditable メソッド (JTable)

クラス

JTable.

処理

指定したセルが編集可能な場合に true を返します。

構文

cellEditable = table.IsCellEditable(row, column)
変数 | 説明
cellEditable | セルが編集可能な場合に true、それ以外は false。 Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

Dim isCellEditable As Boolean = table.IsCellEditable(1, "Street")
isCellEditable = table.IsCellEditable(1, 4)


IsCellSelected メソッド (JTable)

クラス

JTable.

処理

指定したセルが選択されている場合に true、それ以外は false を返します。

構文

cellSelected = table.IsCellSelected(row, column)
変数 | 説明
cellSelected | セルが選択されている場合に true、それ以外は false。 Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

Dim isCellSelected As Boolean = table.IsCellSelected(1, "Street")
isCellSelected = Table.IsCellSelected(1, 4)


IsChecked メソッド (OracleFormsMenu)

クラス

OracleFormsMenu.

処理

メニュー項目がチェックされているかどうかを示す値。

構文

checked = oracleFormsMenu.IsChecked(item)
変数 | 説明
checked | Boolean。
item | チェックするメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目をチェックする場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。


IsColumnSelected メソッド (JTable)

クラス

JTable.

処理

指定した列が選択されている場合に true を返します。

構文

columnSelected = table.IsColumnSelected(column)
変数 | 説明
columnSelected | 列が選択されている場合に true、それ以外は false。 Boolean。
column | 列の名前またはインデックス。 ItemIdentifier。

例

Dim isColumnSelected As Boolean = table.IsColumnSelected("Product Name")
isColumnSelected = table.IsColumnSelected(3)


IsEditable プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] ツリーが編集可能かどうか。

構文

'Declaration
Protected Read Property IsEditable As Boolean

アクセス

読み取り専用。

例

Dim isEditable As Boolean = tree.IsEditable


IsEditing プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] ツリーが編集中かどうか。

構文

'Declaration
Protected Read Property IsEditing As Boolean

アクセス

読み取り専用。

例

Dim isEditing As Boolean = tree.IsEditing


IsExpanded メソッド (JTree)

クラス

JTree.

処理

指定した項目パスが展開されている場合に 'true' を返します。

構文

expanded = tree.IsExpanded(item)
変数 | 説明
expanded | 指定した項目パスが展開されている場合に true、それ以外は false。 Boolean。
item | 項目パス。 ItemPath。

例

Dim isExpanded As Boolean = tree.IsExpanded("/level_1-1/level_2-1/level_3-4")


IsExpanded メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスが展開されている場合に 'true' を返します。

構文

expanded = oracleFormsTree.IsExpanded(item)
変数 | 説明
expanded | 指定した項目パスが展開されている場合に true、それ以外は false。 Boolean。
item | 項目パス。 ItemPath。


IsPassword プロパティ (AWTTextField)

クラス

AWTTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


IsPassword プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


IsPathEditable メソッド (JTree)

クラス

JTree.

処理

項目パスが編集可能かどうかを取得します。

構文

pathEditable = tree.IsPathEditable(item)
変数 | 説明
pathEditable | 指定した項目パスが編集可能な場合に true、それ以外は false。 Boolean。
item | 項目パス。 ItemPath。

例

Dim isPathEditable As Boolean = tree.IsPathEditable("/level_1-1/level_2-1/level_3-4")


IsRowSelected メソッド (JTable)

クラス

JTable.

処理

指定した行が選択されている場合に true を返します。

構文

rowSelected = table.IsRowSelected(row)
変数 | 説明
rowSelected | 行が選択されている場合に true、それ以外は false。 Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。

例

Dim isRowSelected As Boolean = table.IsRowSelected(1)


IsRowVisible メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した行が表示されているかどうかを返します。

構文

rowVisible = oracleFormsListView.IsRowVisible(index)
変数 | 説明
rowVisible | Boolean。
index | 行のインデックス。 The value is zero-based.。 Integer。


IsTabEnabled メソッド (JTabbedPane)

クラス

JTabbedPane.

処理

タブが現在有効かどうかを返します。

構文

tabEnabled = tabbedPane.IsTabEnabled(tab)
変数 | 説明
tabEnabled | タブが有効な場合に true、それ以外は false。 Boolean。
tab | タブの名前またはインデックス。 ItemIdentifier。

例

Dim isTabEnabled As Boolean = tabbedPane.IsTabEnabled("Alignment")
isTabEnabled = tabbedPane.IsTabEnabled(1)


IsTabEnabled メソッド (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

タブが現在有効かどうかを返します。

構文

tabEnabled = oracleFormsTabBar.IsTabEnabled(tab)
変数 | 説明
tabEnabled | タブが有効な場合に true、それ以外は false。 Boolean。
tab | タブの名前またはインデックス。 ItemIdentifier。


IsVisible メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスが表示されている場合に 'true' を返します。

構文

visible = oracleFormsTree.IsVisible(item)
変数 | 説明
visible | 指定した項目パスが表示されている場合に true、それ以外は false。 Boolean。
item | 項目パス。 ItemPath。


ItemCount プロパティ (AWTChoice)

クラス

AWTChoice.

処理

[読み取り専用] コンボ ボックスの項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。

例

Dim itemCount As Integer = colorsChoice.ItemCount


ItemCount プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] リスト項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。

例

Dim itemCount As Integer = colorsList.ItemCount


ItemCount プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] リスト項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。

例

Dim itemCount As Integer = colorsComboBox.ItemCount


ItemCount プロパティ (JList)

クラス

JList.

処理

[読み取り専用] リスト項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。

例

Dim itemCount As Integer = colorsList.ItemCount


ItemCount プロパティ (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

[読み取り専用] 選択肢の項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (AWTChoice)

クラス

AWTChoice.

処理

[読み取り専用] コンボ ボックス項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

Dim items As IList = colorsChoice.Items


Items プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] リスト項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

Dim items As IList = colorsList.Items


Items プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] すべての含まれる項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

Dim items As IList = colorsComboBox.Items


Items プロパティ (JList)

クラス

JList.

処理

[読み取り専用] すべての含まれるリスト項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

Dim items As IList = colorsList.Items


Items プロパティ (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

[読み取り専用] 選択肢項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


LogicalStyle プロパティ (JTextPane)

クラス

JTextPane.

処理

[読み取り専用] キャレットの位置で有効になっている現在の段落に割り当てられている論理書式。

構文

'Declaration
Protected Read Property LogicalStyle As String

アクセス

読み取り専用。

例

Dim logicalStyle As String = textPane.LogicalStyle


MaximumDividerLocation プロパティ (JSplitPane)

クラス

JSplitPane.

処理

[読み取り専用] 分割線の最大位置。

構文

'Declaration
Protected Read Property MaximumDividerLocation As Integer

アクセス

読み取り専用。

例

Dim maximumDividerLocation As Integer = splitPane.MaximumDividerLocation


Maximum プロパティ (JProgressBar)

クラス

JProgressBar.

処理

[読み取り専用] 進行状況バーの最大値。

構文

'Declaration
Protected Read Property Maximum As Integer

アクセス

読み取り専用。

例

Dim maximum As Integer = progressBar.Maximum


Maximum プロパティ (JSlider)

クラス

JSlider.

処理

[読み取り専用] スライダーによってサポートされる最大値。

構文

'Declaration
Protected Read Property Maximum As Integer

アクセス

読み取り専用。

例

Dim maximum As Integer = verticalSlider.Maximum


MinimumDividerLocation プロパティ (JSplitPane)

クラス

JSplitPane.

処理

[読み取り専用] 分割線の最小位置。

構文

'Declaration
Protected Read Property MinimumDividerLocation As Integer

アクセス

読み取り専用。

例

Dim minimumDividerLocation As Integer = splitPane.MinimumDividerLocation


Minimum プロパティ (JProgressBar)

クラス

JProgressBar.

処理

[読み取り専用] 進行状況バーの最小値。

構文

'Declaration
Protected Read Property Minimum As Integer

アクセス

読み取り専用。

例

Dim minimum As Integer = progressBar.Minimum


Minimum プロパティ (JSlider)

クラス

JSlider.

処理

[読み取り専用] スライダーによってサポートされる最小値。

構文

'Declaration
Protected Read Property Minimum As Integer

アクセス

読み取り専用。

例

Dim minimum As Integer = verticalSlider.Minimum


Modal プロパティ (AWTDialog)

クラス

AWTDialog.

処理

[読み取り専用] ダイアログがモーダルかどうか。

構文

'Declaration
Protected Read Property Modal As Boolean

アクセス

読み取り専用。

例

Dim isModal As Boolean = optionsDialog.Modal


MoveColumn メソッド (JTable)

クラス

JTable.

処理

ターゲット列の位置に列を移動します。

構文

table.MoveColumn(column, targetColumn)
変数 | 説明
column | 移動する列の名前またはインデックス。 ItemIdentifier。
targetColumn | ターゲット列の名前またはインデックス。 ItemIdentifier。

例

table.MoveColumn(5, 3)


MultipleMode プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] リストが複数選択を許可するかどうか。

構文

'Declaration
Protected Read Property MultipleMode As Boolean

アクセス

読み取り専用。

例

Dim isMultipleMode As Boolean = colorsList.MultipleMode


Name プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントの名前。

構文

'Declaration
Protected Read Property Name As String

アクセス

読み取り専用。

例

Dim name As String = component.Name


Next メソッド (JSpinner)

クラス

JSpinner.

処理

Value プロパティによって返されるオブジェクトの次にくるシーケンス内のオブジェクトにスピナーを設定します。

構文

spinner.Next()

例

monthSpinner.Next()


OpenContextMenu メソッド (AWTComponent)

クラス

AWTComponent.

処理

指定した位置でコンテキスト メニューを開きます。

構文

component.OpenContextMenu([pos])
変数 | 説明
pos | 省略可能: コンテキスト メニューを開くために、関数を呼び出すコントロールに相対の座標。 Point。


Page メソッド (IAWTScroller)

クラス

IAWTScroller.

処理

指定したページ数を現在のスクロール位置に加算します。

構文

iAWTScroller.Page(pageCount)
変数 | 説明
pageCount | 加算するページ数。 Integer。

例

scrollBar.Page(1)


Page プロパティ (JEditorPane)

クラス

JEditorPane.

処理

[読み取り専用] 表示されている現在の URL。

構文

'Declaration
Protected Read Property Page As String

アクセス

読み取り専用。

例

Dim page As String = editorPane.Page


PageSize プロパティ (IAWTScroller)

クラス

IAWTScroller.

処理

[読み取り専用] スクロール バーのブロック増分値。

構文

'Declaration
Protected Read Property PageSize As Integer

アクセス

読み取り専用。

例

Dim pageSize As Integer = scrollBar.PageSize


ParagraphAttributes プロパティ (JTextPane)

クラス

JTextPane.

処理

[読み取り専用] キャレットの位置で有効になっている現在の段落の属性。

構文

'Declaration
Protected Read Property ParagraphAttributes As List(Of String)

アクセス

読み取り専用。

例

Dim paragraphAttributes As IList = TextPane.ParagraphAttributes


PasswordChar プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドの場合に、実際に入力された文字の代わりに表示する文字。

構文

'Declaration
Protected Read Property PasswordChar As String

アクセス

読み取り専用。


Position プロパティ (IAWTScroller)

クラス

IAWTScroller.

処理

[読み取り専用] スクロール バーの現在の位置。

構文

'Declaration
Protected Read Property Position As Integer

アクセス

読み取り専用。

例

Dim position As Integer = scrollBar.Position


Position プロパティ (IBaseScrollable)

クラス

IBaseScrollable.

処理

[読み取り専用] スクロール可能コンポーネントの現在のスクロール位置。

構文

'Declaration
Protected Read Property Position As Point

アクセス

読み取り専用。


Position プロパティ (JSlider)

クラス

JSlider.

処理

[読み取り専用] スライダーの位置。

構文

'Declaration
Protected Read Property Position As Integer

アクセス

読み取り専用。

例

Dim position As Integer = verticalSlider.Position


Previous メソッド (JSpinner)

クラス

JSpinner.

処理

Value プロパティによって返されるオブジェクトの前にあるシーケンス内のオブジェクトにスピナーを設定します。

構文

spinner.Previous()

例

monthSpinner.Previous()


ProgressString プロパティ (JProgressBar)

クラス

JProgressBar.

処理

[読み取り専用] 現在の進行状況の文字列表現。

構文

'Declaration
Protected Read Property ProgressString As String

アクセス

読み取り専用。

例

Dim progress As String = progressBar.ProgressString


Range プロパティ (IAWTScroller)

クラス

IAWTScroller.

処理

[読み取り専用] スクロール バーの範囲値。

構文

'Declaration
Protected Read Property Range As Range

アクセス

読み取り専用。

例

Dim range As Integer = scrollBar.Range


ReplaceRange メソッド (AWTTextArea)

クラス

AWTTextArea.

処理

指定した開始位置と終了位置の間にあるテキストを、指定した置換テキストで置き換えます。

構文

textArea.ReplaceRange(text, start, end)
変数 | 説明
text | 置換するのに使用するテキスト。 String。
start | 開始位置。 The value is zero-based.。 Integer。
end | 終了位置。 The value is zero-based.。 Integer。

例

colorsTextArea.ReplaceRange("blue", 31, 37)


ReplaceRange メソッド (JTextArea)

クラス

JTextArea.

処理

指定した範囲内のテキストを指定した新しいテキストで置き換えます。

構文

textArea.ReplaceRange(text, start, end)
変数 | 説明
text | 置換するのに使用するテキスト。 String。
start | 開始位置。 The value is zero-based.。 Integer。
end | 終了位置。 The value is zero-based.。 Integer。

例

textArea.ReplaceRange("yellow", 5, 9)


Resizable プロパティ (AWTDialog)

クラス

AWTDialog.

処理

[読み取り専用] ユーザーがダイアログのサイズを変更できるかどうか。

構文

'Declaration
Protected Read Property Resizable As Boolean

アクセス

読み取り専用。

例

Dim isResizable As Boolean = optionsDialog.Resizable


Resizable プロパティ (AWTFrame)

クラス

AWTFrame.

処理

[読み取り専用] ユーザーがフレームのサイズを変更できるかどうか。

構文

'Declaration
Protected Read Property Resizable As Boolean

アクセス

読み取り専用。

例

Dim isResizable As Boolean = frameWindow.Resizable


ResizeColumn メソッド (JTable)

クラス

JTable.

処理

指定した列のサイズを変更します。

構文

table.ResizeColumn(column, width)
変数 | 説明
column | サイズを変更する列の名前またはインデックス。 ItemIdentifier。
width | 列の新しい幅。 Integer。

例

table.ResizeColumn("Street", 150)
table.ResizeColumn(3, 150)


RowCount プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] テーブルに表示することのできる行の数。

構文

'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。

例

Dim rowCount As Integer = table.RowCount


RowCount プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] リストビューの行の数。

構文

'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


Rows プロパティ (AWTTextArea)

クラス

AWTTextArea.

処理

[読み取り専用] テキスト領域の行の数。 The value is zero-based.。

構文

'Declaration
Protected Read Property Rows As Integer

アクセス

読み取り専用。

例

Dim rows As Integer = colorsTextArea.Rows


Rows プロパティ (JTextArea)

クラス

JTextArea.

処理

[読み取り専用] テキスト領域の行の数。 The value is zero-based.。

構文

'Declaration
Protected Read Property Rows As Integer

アクセス

読み取り専用。

例

Dim rows As Integer = textArea.Rows


ScrollCellIntoView メソッド (JTable)

クラス

JTable.

処理

指定したセルをビューにスクロールします。

構文

table.ScrollCellIntoView(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

table.ScrollCellIntoView(25, "Street")
table.ScrollCellIntoView(25, 4)


ScrollIntoView メソッド (AWTComponent)

クラス

AWTComponent.

処理

コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。

構文

component.ScrollIntoView()

例

component.ScrollIntoView()


ScrollItemIntoView メソッド (JList)

クラス

JList.

処理

項目をビューにスクロールします。

構文

list.ScrollItemIntoView(item)
変数 | 説明
item | ビューにスクロールする項目の名前またはインデックス。 ItemIdentifier。

例

colorsList.ScrollItemIntoView("orange")
colorsList.ScrollItemIntoView(10)


ScrollItemIntoView メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスを表示できる位置にスクロールします。

構文

oracleFormsTree.ScrollItemIntoView(item)
変数 | 説明
item | 項目パス。 ItemPath。


ScrollPathIntoView メソッド (JTree)

クラス

JTree.

処理

指定した項目パスを表示できる位置にスクロールします。

構文

tree.ScrollPathIntoView(item)
変数 | 説明
item | 項目パス。 ItemPath。

例

tree.ScrollPathIntoView("/level_1-1/level_2-1/level_3-4")


ScrollToMax メソッド (IOracleFormsScroller)

クラス

IOracleFormsScroller.

処理

スクロール バーの最大の位置にスクロールします。

構文

iOracleFormsScroller.ScrollToMax()


ScrollTo メソッド (IAWTScroller)

クラス

IAWTScroller.

処理

指定した位置にスクロールします。

構文

iAWTScroller.ScrollTo(position)
変数 | 説明
position | スクロールする位置。 Integer。

例

scrollBar.ScrollTo(2)


ScrollTo メソッド (IBaseScrollable)

クラス

IBaseScrollable.

処理

指定した位置にスクロールします。

構文

iBaseScrollable.ScrollTo(position)
変数 | 説明
position | スクロールする位置。 Point。


ScrollToMin メソッド (IOracleFormsScroller)

クラス

IOracleFormsScroller.

処理

スクロール バーの最小の位置にスクロールします。

構文

iOracleFormsScroller.ScrollToMin()


ScrollToRow メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した行にスクロールします。

構文

oracleFormsListView.ScrollToRow(index)
変数 | 説明
index | スクロールする行。 The value is zero-based.。 Integer。


SelectAll メソッド (AWTList)

クラス

AWTList.

処理

リスト内のすべての項目を選択します。

構文

list.SelectAll()

例

colorsList.SelectAll()


SelectAll メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

テキスト コンポーネント内のすべてのテキストを選択します。

構文

textComponent.SelectAll()

例

textComponent.SelectAll()


SelectAll メソッド (JList)

クラス

JList.

処理

すべてのリスト要素を選択します。

構文

list.SelectAll()

例

colorsList.SelectAll()


SelectAll メソッド (JTable)

クラス

JTable.

処理

テーブル内のすべての行、列、およびセルを選択します。

構文

table.SelectAll()

例

table.SelectAll()


SelectAll メソッド (JTextComponent)

クラス

JTextComponent.

処理

テキスト コンポーネント内のすべてのコンテンツを選択します。

構文

textComponent.SelectAll()

例

textComponent.SelectAll()


SelectAll メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

テキスト フィールド内のすべてのテキストを選択します。

構文

oracleFormsTextField.SelectAll()


SelectColumn メソッド (JTable)

クラス

JTable.

処理

指定した列を選択します。

構文

table.SelectColumn(column, [clearSelection])
変数 | 説明
column | 選択する列の名前またはインデックス。 ItemIdentifier。
clearSelection | 省略可能: 前の選択をクリアするかどうか。 デフォルト値は true です。 Boolean。

例

table.SelectColumn("Street", False)
table.SelectColumn(5, False)


SelectedColumn プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] 選択した列のインデックスまたは名前。 列が選択されていない場合には -1（4Test の場合は 0）が返されます。

複数列の選択が許可されている場合には、1 番目の選択された列のインデックスまたは名前が返されます。

構文

'Declaration
Protected Read Property SelectedColumn As ItemIdentifier

アクセス

読み取り専用。

例

Dim selectedColumn As String = table.SelectedColumn


SelectedColumns プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] すべての選択されている列のインデックスのリスト。

構文

'Declaration
Protected Read Property SelectedColumns As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

Dim selectedColumns As IList = table.SelectedColumns


SelectedIndex プロパティ (AWTChoice)

クラス

AWTChoice.

処理

[読み取り専用] 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。

例

Dim selectedIndex As Integer = colorsChoice.SelectedIndex


SelectedIndex プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] 現在選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。

例

Dim selectedIndex As Integer = colorsList.SelectedIndex


SelectedIndex プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] 現在選択されている項目のインデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。

例

Dim selectedIndex As Integer = colorsComboBox.SelectedIndex


SelectedIndex プロパティ (JList)

クラス

JList.

処理

[読み取り専用] 選択されたリスト項目のインデックス。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。

例

Dim selectedIndex As Integer = colorsList.SelectedIndex


SelectedIndex プロパティ (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

[読み取り専用] 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndices プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。

構文

'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

アクセス

読み取り専用。

例

Dim selectedIndices As IList = colorsList.SelectedIndices


SelectedIndices プロパティ (JList)

クラス

JList.

処理

[読み取り専用] 選択されたリスト項目のインデックスのリスト。

構文

'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

アクセス

読み取り専用。

例

Dim selectedIndices As IList = colorsList.SelectedIndices


SelectedItemPath プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] 選択された項目パス。

構文

'Declaration
Protected Read Property SelectedItemPath As ItemPath

アクセス

読み取り専用。

例

Dim selectedItemPath As String = tree.SelectedItemPath


SelectedItemPath プロパティ (OracleFormsTree)

クラス

OracleFormsTree.

処理

[読み取り専用] 選択された項目パスのリスト。

構文

'Declaration
Protected Read Property SelectedItemPath As ItemPath

アクセス

読み取り専用。


SelectedItemPaths プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] 選択された項目パスのリスト。

構文

'Declaration
Protected Read Property SelectedItemPaths As List(Of ItemPath)

アクセス

読み取り専用。

例

Dim selectedItemPaths As IList = tree.SelectedItemPaths


SelectedItem プロパティ (AWTChoice)

クラス

AWTChoice.

処理

[読み取り専用] 選択されている項目。 項目が現在選択されていない場合には、NULL が返されます。

構文

'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。

例

Dim selectedItem As String = colorsChoice.SelectedItem


SelectedItem プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] 現在選択されているリスト項目。 項目が現在選択されていない場合には、NULL が返されます。

構文

'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。

例

Dim selectedItem As String = colorsList.SelectedItem


SelectedItem プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] 現在選択されている項目。

構文

'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。

例

Dim selectedItem As String = colorsComboBox.SelectedItem


SelectedItem プロパティ (JList)

クラス

JList.

処理

[読み取り専用] 選択したリスト項目の名前またはインデックス。

構文

'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。

例

Dim selectedItem As String = colorsList.SelectedItem


SelectedItem プロパティ (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

[読み取り専用] 選択されている項目。

構文

'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。


SelectedItems プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] 現在選択されているリスト項目（複数）。 項目が現在選択されていない場合は、空のリストが返されます。

構文

'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

Dim selectedItems As IList = colorsList.SelectedItems


SelectedItems プロパティ (JList)

クラス

JList.

処理

[読み取り専用] 選択されたリスト項目の名前またはインデックスのリスト。

構文

'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

Dim selectedItems As IList = colorsList.SelectedItems


SelectedItemText プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] 選択された項目のテキスト。

構文

'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。

例

Dim selectedItemText As String = tree.SelectedItemText


SelectedItemText プロパティ (OracleFormsTree)

クラス

OracleFormsTree.

処理

[読み取り専用] 選択された項目のテキスト。

構文

'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


Selected プロパティ (JToggleButton)

クラス

JToggleButton.

処理

[読み取り専用] トグル ボタンが選択されているかどうか。

構文

'Declaration
Protected Read Property Selected As Boolean

アクセス

読み取り専用。

例

Dim isSelected As Boolean = toggleButton.Selected


SelectedRow プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] 選択した行のインデックス。行が選択されていない場合は -1（4Test の場合は 0）が返されます。 The value is zero-based.。

複数行の選択が許可されている場合には、1 番目の選択された行のインデックスが返されます。

構文

'Declaration
Protected Read Property SelectedRow As Integer

アクセス

読み取り専用。

例

Dim selectedRow As Integer = table.SelectedRow


SelectedRow プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] 選択した行のインデックス。行が選択されていない場合は -1（4Test の場合は 0）が返されます。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedRow As Integer

アクセス

読み取り専用。


SelectedRows プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] すべての選択されている行のインデックスのリスト。

構文

'Declaration
Protected Read Property SelectedRows As List(Of Integer)

アクセス

読み取り専用。

例

Dim selectedRows As IList = table.SelectedRows


SelectedTabIndex プロパティ (JTabbedPane)

クラス

JTabbedPane.

処理

[読み取り専用] 現在選択されているタブのインデックス。タブが選択されていない場合は -1（4Test の場合は 0）。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedTabIndex As Integer

アクセス

読み取り専用。


SelectedTab プロパティ (JTabbedPane)

クラス

JTabbedPane.

処理

[読み取り専用] 現在選択されているタブ。

構文

'Declaration
Protected Read Property SelectedTab As ItemIdentifier

アクセス

読み取り専用。

例

Dim selectedTab As String = tabbedPane.SelectedTab
selectedTab = tabbedPane.SelectedTab


SelectedTab プロパティ (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

[読み取り専用] 現在選択されているタブ。

構文

'Declaration
Protected Read Property SelectedTab As ItemIdentifier

アクセス

読み取り専用。


SelectedText プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] 現在選択されているテキスト。

構文

'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。

例

Dim selectedText As String = textComponent.SelectedText


SelectedText プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] 現在選択されているテキスト。

構文

'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。

例

Dim selectedText As String = textComponent.SelectedText


SelectedText プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] 現在選択されているテキスト。

構文

'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


SelectionCount プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] 選択されたツリー ノードの数。

構文

'Declaration
Protected Read Property SelectionCount As Integer

アクセス

読み取り専用。

例

Dim selectionCount As Integer = tree.SelectionCount


SelectionEnd プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] 選択されたテキストの終了位置。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionEnd As Integer

アクセス

読み取り専用。

例

Dim selectionEnd As Integer = textComponent.SelectionEnd


SelectionEnd プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] 選択範囲の終了位置。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionEnd As Integer

アクセス

読み取り専用。

例

Dim selectionEnd As Integer = textComponent.SelectionEnd


SelectionEnd プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] 選択されたテキストの終了位置。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionEnd As Integer

アクセス

読み取り専用。


SelectionStart プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] 選択されたテキストの開始位置。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。

例

Dim selectionStart As Integer = textComponent.SelectionStart


SelectionStart プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] 選択範囲の開始位置。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。

例

Dim selectionStart As Integer = textComponent.SelectionStart


SelectionStart プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] 選択されたテキストの開始位置。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。


Select メソッド (AbstractButton)

クラス

AbstractButton.

処理

ボタンを選択します。

構文

abstractButton.Select()


Select メソッド (AWTButton)

クラス

AWTButton.

処理

ボタンを選択します。

構文

button.Select()

例

okButton.Select()


Select メソッド (AWTChoice)

クラス

AWTChoice.

処理

コンボ ボックスで指定した項目を選択します。

構文

choice.Select(item)
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。

例

colorsChoice.Select("yellow")
colorsChoice.Select(1)


Select メソッド (AWTList)

クラス

AWTList.

処理

指定した項目を選択します。

構文

list.Select(item)
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。

例

colorsList.Select("red")
colorsList.Select(1)


Select メソッド (AWTMenuItem)

クラス

AWTMenuItem.

処理

メニュー項目を選択します。

構文

menuItem.Select()

例

openFileMenuItem.Select()


Select メソッド (JComboBox)

クラス

JComboBox.

処理

指定した項目を選択します。

構文

comboBox.Select(item)
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。

例

colorsComboBox.Select("red")
colorsComboBox.Select(1)


Select メソッド (JList)

クラス

JList.

処理

リスト項目を選択します。

構文

list.Select(item)
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。

例

colorsList.Select("orange")
colorsList.Select(10)


Select メソッド (JTabbedPane)

クラス

JTabbedPane.

処理

指定したタブを選択します。

構文

tabbedPane.Select(tab)
変数 | 説明
tab | 選択するタブの名前またはインデックス。 ItemIdentifier。

例

tabbedPane.Select("Alignment")
tabbedPane.Select(1)


Select メソッド (JTree)

クラス

JTree.

処理

指定した項目パスによって識別されるツリー ノードを選択します。

構文

tree.Select(item)
変数 | 説明
item | 項目パス。 ItemPath。

例

tree.Select("/level_1-1/level_2-1/level_3-4")


Select メソッド (OracleFormsButton)

クラス

OracleFormsButton.

処理

ボタンを選択します。

構文

oracleFormsButton.Select()


Select メソッド (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

選択肢で指定した項目を選択します。

構文

oracleFormsChoice.Select(item)
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。


Select メソッド (OracleFormsMenu)

クラス

OracleFormsMenu.

処理

メニュー項目を選択します。

構文

oracleFormsMenu.Select(item)
変数 | 説明
item | 選択するメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目を選択する場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。


Select メソッド (OracleFormsMenuItem)

クラス

OracleFormsMenuItem.

処理

メニュー項目を選択します。

構文

oracleFormsMenuItem.Select()


Select メソッド (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

指定したタブを選択します。

構文

oracleFormsTabBar.Select(tab)
変数 | 説明
tab | 選択するタブの名前またはインデックス。 ItemIdentifier。


Select メソッド (OracleFormsTabBarItem)

クラス

OracleFormsTabBarItem.

処理

タブを選択します。

構文

oracleFormsTabBarItem.Select()


Select メソッド (OracleFormsToolBarItem)

クラス

OracleFormsToolBarItem.

処理

要素を選択します。

構文

oracleFormsToolBarItem.Select()


Select メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスによって識別されるツリー ノードを選択します。

構文

oracleFormsTree.Select(item)
変数 | 説明
item | 項目パス。 ItemPath。


SelectRange メソッド (AWTList)

クラス

AWTList.

処理

指定した範囲のすべての項目を選択します。

構文

list.SelectRange(fromElement, toElement)
変数 | 説明
fromElement | 選択する最初の要素。 ItemIdentifier。
toElement | 選択する最後の要素。 ItemIdentifier。

例

colorsList.SelectRange(3, 5)


SelectRange メソッド (JList)

クラス

JList.

処理

リスト要素の指定した範囲を選択します。

構文

list.SelectRange(fromElement, toElement)
変数 | 説明
fromElement | 開始要素の名前またはインデックス。 ItemIdentifier。
toElement | 終了要素の名前またはインデックス。 ItemIdentifier。

例

colorsList.SelectRange("red", "green")
colorsList.SelectRange(1, 2)


SelectRow メソッド (JTable)

クラス

JTable.

処理

指定した行を選択します。

構文

table.SelectRow(row, [clearSelection])
変数 | 説明
row | 選択する行。 The value is zero-based.。 Integer。
clearSelection | 省略可能: 前の選択をクリアするかどうか。 デフォルト値は true です。 Boolean。

例

table.SelectRow(1, False)


SelectRow メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した行を選択します。

構文

oracleFormsListView.SelectRow(index)
変数 | 説明
index | 選択する行。 The value is zero-based.。 Integer。


SetCaretPosition メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。

構文

textComponent.SetCaretPosition(index)
変数 | 説明
index | テキスト挿入キャレットの新しい位置。 The value is zero-based.。 Integer。

例

textComponent.SetCaretPosition(7)


SetCaretPosition メソッド (JTextComponent)

クラス

JTextComponent.

処理

テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。

構文

textComponent.SetCaretPosition(index)
変数 | 説明
index | テキスト キャレットの位置。 The value is zero-based.。 Integer。

例

textComponent.SetCaretPosition(15)


SetCaretPosition メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

テキスト フィールドのテキスト挿入キャレットの位置を設定します。

構文

oracleFormsTextField.SetCaretPosition(index)
変数 | 説明
index | テキスト挿入キャレットの新しい位置。 The value is zero-based.。 Integer。


SetCellValue メソッド (JTable)

クラス

JTable.

処理

テーブル内の指定したセルに指定した値を設定します。

構文

table.SetCellValue(row, column, value)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。
value | セルの値オブジェクト。 Object。

例

table.SetCellValue(1, "Product Name", "SilkTest")
table.SetCellValue(1, 4, "SilkTest")


SetColor メソッド (JColorChooser)

クラス

JColorChooser.

処理

カラーチューザの現在の色を指定した色に設定します。

構文

colorChooser.SetColor(color)
変数 | 説明
color | 設定する色。 Color。

例

Dim colorRed As SilkTest.Ntf.Color = New SilkTest.Ntf.Color(255, 0, 0, 0)
ColorChooser.SetColor(colorRed)


SetColumnWidth メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した列の幅を設定します。

構文

oracleFormsListView.SetColumnWidth(column, width)
変数 | 説明
column | サイズを変更する列の名前またはインデックス。 ItemIdentifier。
width | 列の新しい幅。 Integer。


SetPosition メソッド (JSlider)

クラス

JSlider.

処理

スライダーの現在の位置を設定します。

構文

slider.SetPosition(position)
変数 | 説明
position | スライダー位置の現在の値。 Integer。

例

verticalSlider.SetPosition(10)


SetPosition メソッド (JSplitPane)

クラス

JSplitPane.

処理

分割線の位置を設定します。

構文

splitPane.SetPosition(position)
変数 | 説明
position | 分割線の新しい位置。 Integer。

例

splitPane.SetPosition(100)


SetSelectionRange メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

指定した範囲のテキストを選択します。

構文

textComponent.SetSelectionRange(selectionStart, selectionEnd)
変数 | 説明
selectionStart | 選択範囲の開始位置。 The value is zero-based.。 Integer。
selectionEnd | 選択範囲の終了位置。 The value is zero-based.。 Integer。

例

textComponent.SetSelectionRange(11, 15)


SetSelectionRange メソッド (JTextComponent)

クラス

JTextComponent.

処理

指定した範囲のテキストを選択します。

構文

textComponent.SetSelectionRange(selectionStart, selectionEnd)
変数 | 説明
selectionStart | 選択範囲の開始インデックス。 The value is zero-based.。 Integer。
selectionEnd | 選択範囲の終了インデックス。 The value is zero-based.。 Integer。

例

textComponent.SetSelectionRange(8, 13)


SetSelectionRange メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

指定した範囲のテキストを選択します。

構文

oracleFormsTextField.SetSelectionRange(selectionStart, selectionEnd)
変数 | 説明
selectionStart | 選択範囲の開始位置。 The value is zero-based.。 Integer。
selectionEnd | 選択範囲の終了位置。 The value is zero-based.。 Integer。


SetText メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

テキスト コンポーネントのテキストを指定したテキストに設定します。

構文

textComponent.SetText(text)
変数 | 説明
text | テキスト コンポーネントの新しいテキスト。 String。

例

textComponent.SetText("SilkTest")


SetText メソッド (JTextComponent)

クラス

JTextComponent.

処理

テキスト コンテンツを指定したテキストに設定します。

構文

textComponent.SetText(text)
変数 | 説明
text | 新しいテキスト コンテンツ。 String。

例

textComponent.SetText("blue")


SetText メソッド (OracleFormsComboBox)

クラス

OracleFormsComboBox.

処理

コンボ ボックスのテキストを指定したテキストに設定します。

構文

oracleFormsComboBox.SetText(text)
変数 | 説明
text | コンボ ボックスの新しいテキスト。 String。


SetText メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

テキスト フィールドのテキストを指定したテキストに設定します。

構文

oracleFormsTextField.SetText(text)
変数 | 説明
text | テキスト フィールドの新しいテキスト。 String。


SplashScreenRunning プロパティ (OracleFormsApplication)

クラス

OracleFormsApplication.

処理

[読み取り専用] アプリケーションが現在スプラッシュ スクリーンを表示するかどうか。

構文

'Declaration
Protected Read Property SplashScreenRunning As Boolean

アクセス

読み取り専用。


StartEditing メソッド (JTree)

クラス

JTree.

処理

指定した項目パスまたは現在の選択項目の編集を開始します。

構文

tree.StartEditing([item])
変数 | 説明
item | 省略可能: 項目パス。 ItemPath。

例

tree.StartEditing("/level_1-1/level_2-1/level_3-4")


Step メソッド (IAWTScroller)

クラス

IAWTScroller.

処理

指定したステップ数を現在のスクロール位置に加算します。

構文

iAWTScroller.Step(stepCount)
変数 | 説明
stepCount | 加算するステップ数。 Integer。

例

scrollBar.Step(1)


StepSize プロパティ (IAWTScroller)

クラス

IAWTScroller.

処理

[読み取り専用] スクロール バーの単位増分値。

構文

'Declaration
Protected Read Property StepSize As Integer

アクセス

読み取り専用。

例

Dim stepSize As Integer = scrollBar.StepSize


StopEditing メソッド (JTree)

クラス

JTree.

処理

現在編集中のセッションを停止します。

構文

tree.StopEditing()

例

tree.StopEditing()


TabCount プロパティ (JTabbedPane)

クラス

JTabbedPane.

処理

[読み取り専用] タブの数。

構文

'Declaration
Protected Read Property TabCount As Integer

アクセス

読み取り専用。

例

Dim tabCount As Integer = tabbedPane.TabCount


TabCount プロパティ (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

[読み取り専用] タブの数。

構文

'Declaration
Protected Read Property TabCount As Integer

アクセス

読み取り専用。


TabRunCount プロパティ (JTabbedPane)

クラス

JTabbedPane.

処理

[読み取り専用] タブを表示するために現在使用されているタブの並びの数。

構文

'Declaration
Protected Read Property TabRunCount As Integer

アクセス

読み取り専用。

例

Dim tabRunCount As Integer = tabbedPane.TabRunCount


Title プロパティ (AWTDialog)

クラス

AWTDialog.

処理

[読み取り専用] ダイアログのタイトル。

構文

'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。

例

Dim title As String = optionsDialog.Title


Title プロパティ (AWTFrame)

クラス

AWTFrame.

処理

[読み取り専用] フレームのタイトル。

構文

'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。

例

Dim title As String = frameWindow.Title


Toggle メソッド (AWTCheckbox)

クラス

AWTCheckbox.

処理

チェック ボックスの状態を切り替えます。

構文

checkbox.Toggle()

例

caseSensitiveCheckBox.Toggle()


Toggle メソッド (AWTCheckboxMenuItem)

クラス

AWTCheckboxMenuItem.

処理

メニュー項目のチェック ボックスの状態を切り替えます。

構文

checkboxMenuItem.Toggle()

例

checkMenuItem.Toggle()


Toggle メソッド (JToggleButton)

クラス

JToggleButton.

処理

ボタンの状態を切り替えます。

構文

toggleButton.Toggle()

例

toggleButton.Toggle()


ToolTipText プロパティ (JComponent)

クラス

JComponent.

処理

[読み取り専用] Swing コンポーネントのツールチップ テキスト。

構文

'Declaration
Protected Read Property ToolTipText As String

アクセス

読み取り専用。

例

Dim toolTipText As String = Component.ToolTipText


Uncheck メソッド (AWTCheckbox)

クラス

AWTCheckbox.

処理

チェック ボックスのチェックを外します。

構文

checkbox.Uncheck()

例

caseSensitiveCheckBox.Uncheck()


Uncheck メソッド (AWTCheckboxMenuItem)

クラス

AWTCheckboxMenuItem.

処理

メニュー項目のチェック ボックスをチェックを外します。

構文

checkboxMenuItem.Uncheck()

例

checkMenuItem.Uncheck()


Uncheck メソッド (JCheckBox)

クラス

JCheckBox.

処理

チェック ボックスのチェックを外します。

構文

checkBox.Uncheck()

例

forwardCheckBox.Uncheck()


Uncheck メソッド (OracleFormsCheckbox)

クラス

OracleFormsCheckbox.

処理

チェック ボックスのチェックを外します。

構文

oracleFormsCheckbox.Uncheck()


Uncheck メソッド (OracleFormsMenu)

クラス

OracleFormsMenu.

処理

メニュー項目のチェックを外します。

構文

oracleFormsMenu.Uncheck(item)
変数 | 説明
item | チェックを外すメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目のチェックを外す場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。


Uncheck メソッド (OracleFormsMenuItem)

クラス

OracleFormsMenuItem.

処理

メニュー項目のチェックを外します。

構文

oracleFormsMenuItem.Uncheck()


VerticalScrollbarPage メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定したページ数を現在のスクロール位置に加算します。

構文

iOracleFormsScrollable.VerticalScrollbarPage(pageCount)
変数 | 説明
pageCount | 加算するページ数。 Integer。


VerticalScrollbarPageSize プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーのブロック増分値。

構文

'Declaration
Protected Read Property VerticalScrollbarPageSize As Integer

アクセス

読み取り専用。


VerticalScrollbarPosition プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの現在の位置。

構文

'Declaration
Protected Read Property VerticalScrollbarPosition As Integer

アクセス

読み取り専用。


VerticalScrollbarRange プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの範囲値。

構文

'Declaration
Protected Read Property VerticalScrollbarRange As Range

アクセス

読み取り専用。


VerticalScrollbarScrollToMax メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

スクロール バーの最大の位置にスクロールします。

構文

iOracleFormsScrollable.VerticalScrollbarScrollToMax()


VerticalScrollbarScrollTo メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定した位置にスクロールします。

構文

iOracleFormsScrollable.VerticalScrollbarScrollTo(position)
変数 | 説明
position | スクロールする位置。 Integer。


VerticalScrollbarScrollToMin メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

スクロール バーの最小の位置にスクロールします。

構文

iOracleFormsScrollable.VerticalScrollbarScrollToMin()


VerticalScrollbarStep メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定したステップ数を現在のスクロール位置に加算します。

構文

iOracleFormsScrollable.VerticalScrollbarStep(stepCount)
変数 | 説明
stepCount | 加算するステップ数。 Integer。


VerticalScrollbarStepSize プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの単位増分値。

構文

'Declaration
Protected Read Property VerticalScrollbarStepSize As Integer

アクセス

読み取り専用。


ViewRectangle プロパティ (JViewport)

クラス

JViewport.

処理

[読み取り専用] ビューの可視部分をビューの座標。

構文

'Declaration
Protected Read Property ViewRectangle As Rectangle

アクセス

読み取り専用。

例

Dim rect As Rectangle = viewport.ViewRectangle


VisibleItemPaths プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] ツリーに表示される項目の項目パス。

構文

'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


Width プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] 現在のコンポーネントの幅。

構文

'Declaration
Protected Read Property Width As Integer

アクセス

読み取り専用。

例

Dim width As Integer = component.Width


AllowsCheck プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] リスト ビューがチェックをサポートするかどうか。

構文

'Declaration
Protected Read Property AllowsCheck As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] リスト ビューが複数項目の選択をサポートするかどうか。

構文

'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


CheckedIndices プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] チェックされた項目のインデックスを含むリスト。

構文

'Declaration
Protected Read Property CheckedIndices As List(Of Integer)

アクセス

読み取り専用。


CheckedItems プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] チェックされた項目を含むリスト。

構文

'Declaration
Protected Read Property CheckedItems As List(Of ItemIdentifier)

アクセス

読み取り専用。


Check メソッド (ListView)

クラス

ListView.

処理

項目をチェックします。

構文

listView.Check(item)
変数 | 説明
item | チェックする項目。 ItemIdentifier。


ColumnCount プロパティ (Header)

クラス

Header.

処理

[読み取り専用] ヘッダーの列の数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnCount プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] 項目ごとの列の数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnOrder プロパティ (Header)

クラス

Header.

処理

[読み取り専用] ヘッダー項目のインデックス（ヘッダーの項目が現在並んでいる順番）。

構文

'Declaration
Protected Read Property ColumnOrder As List(Of Integer)

アクセス

読み取り専用。


Decrement メソッド (UpDown)

クラス

UpDown.

処理

アップダウン コントロールの位置の値を減らします。

構文

upDown.Decrement([amount])
変数 | 説明
amount | 省略可能: 減少させる量。 デフォルト値は '1' です。 Integer。


Description プロパティ (AccessibleControl)

クラス

AccessibleControl.

処理

[読み取り専用] ユーザー補助オブジェクトの説明文。

構文

'Declaration
Protected Read Property Description As String

アクセス

読み取り専用。


DividerDoubleSelect メソッド (Header)

クラス

Header.

処理

指定した項目の右側にある分割線をダブルクリックします。

構文

header.DividerDoubleSelect(item, button)
変数 | 説明
item | 選択する項目のパスまたはインデックス。 ItemIdentifier。
button | 選択するボタン。 1=左、2=右、3=中央...。 MouseButton。


DoDefaultAction メソッド (AccessibleControl)

クラス

AccessibleControl.

処理

基になったユーザー補助コントロールのサポートするデフォルトの操作を実行します。

構文

accessibleControl.DoDefaultAction()


DoubleSelect メソッド (Header)

クラス

Header.

処理

項目をダブルクリックします。

構文

header.DoubleSelect(item, button)
変数 | 説明
item | ダブルクリックする項目のパスまたはインデックス。 ItemIdentifier。
button | ダブルクリックを実行するために使用するマウス ボタンのインデックス。 1=左、2=右、3=中央...。 MouseButton。


DoubleSelect メソッド (ListView)

クラス

ListView.

処理

項目をダブルクリックします。

構文

listView.DoubleSelect(item, [modifiers])
変数 | 説明
item | ダブルクリックする項目。 ItemIdentifier。
modifiers | 省略可能: ダブルクリック時に使用する修飾キー。 ModifierKeys。


ExtendSelect メソッド (ListView)

クラス

ListView.

処理

拡張選択リスト ビューの選択範囲を拡張して項目の範囲を選択します。

構文

listView.ExtendSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


ExtendSelect メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

日付と時間の範囲を選択します。

構文

monthCalendar.ExtendSelect(selectedDate)
変数 | 説明
selectedDate | 選択する日時。 DateTime?。


GetColumnTitle メソッド (Header)

クラス

Header.

処理

指定したヘッダー項目のタイトルを返します。

構文

columnTitle = header.GetColumnTitle(itemIndex)
変数 | 説明
columnTitle | String。
itemIndex | 項目のインデックス。 The value is zero-based.。 Integer。


GetColumnWidth メソッド (Header)

クラス

Header.

処理

指定した列の幅を返します。

構文

columnWidth = header.GetColumnWidth(item)
変数 | 説明
columnWidth | Integer。
item | 幅を取得する項目。 ItemIdentifier。


GetItemImageIndex メソッド (ListView)

クラス

ListView.

処理

アイコンを含むリスト ビューのイメージ リストのインデックスを返します。 これにより、正しいイメージが項目に対して使用されていることを検証することができます。

構文

itemImageIndex = listView.GetItemImageIndex(item, [fromStateImageList])
変数 | 説明
itemImageIndex | Integer。
item | イメージ インデックスを取得する項目。 ItemIdentifier。
fromStateImageList | 省略可能: 状態イメージ リスト、またはイメージ リストのどちらからのインデックスを取得するか。 Boolean。


GetItemIndex メソッド (ListView)

クラス

ListView.

処理

リスト ビュー項目 ' ' のインデックスを返します (見つからなかった場合は -1)。

構文

itemIndex = listView.GetItemIndex(item)
変数 | 説明
itemIndex | Integer。
item | インデックスを取得する項目。 ItemIdentifier。


GetItemRect メソッド (ListView)

クラス

ListView.

処理

項目の矩形領域を返します。 getIconRect が設定されていると、項目のアイコンの矩形領域が返されます。設定されていない場合は、項目テキストの矩形領域が返されます。 columnIndex が指定されていると、指定した列の矩形領域が返されます。

構文

itemRect = listView.GetItemRect(item, [getIconRect, columnIndex])
変数 | 説明
itemRect | Rectangle。
item | 矩形領域を取得する項目。 ItemIdentifier。
getIconRect | 省略可能: アイコンの矩形領域、または項目のテキストの矩形領域のどちらを取得するか。 Boolean。
columnIndex | 省略可能: 項目の列の位置。 The value is zero-based.。 Integer。


GetItemText メソッド (ListView)

クラス

ListView.

処理

項目のテキストを返します。

構文

itemText = listView.GetItemText(item, [columnIndex])
変数 | 説明
itemText | String。
item | テキストを取得する項目。 ItemIdentifier。
columnIndex | 省略可能: 項目の列の位置。 The value is zero-based.。 Integer。


Horizontal プロパティ (Pager)

クラス

Pager.

処理

[読み取り専用] アップダウン コントロールが水平方向に配置されているかどうか。

構文

'Declaration
Protected Read Property Horizontal As Boolean

アクセス

読み取り専用。


Horizontal プロパティ (UpDown)

クラス

UpDown.

処理

[読み取り専用] アップダウン コントロールが水平方向に配置されているかどうか。

構文

'Declaration
Protected Read Property Horizontal As Boolean

アクセス

読み取り専用。


Increment メソッド (UpDown)

クラス

UpDown.

処理

アップダウン コントロールの位置の値を増やします。

構文

upDown.Increment([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Integer。


ItemCount プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] リスト ビューに含まれる項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] リスト ビューのすべての項目を含むリスト。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


MultiSelect メソッド (ListView)

クラス

ListView.

処理

現在の選択項目の集合にリスト内の項目を追加します。

構文

listView.MultiSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


MultiUnselect メソッド (ListView)

クラス

ListView.

処理

リスト内の項目を選択項目の集合から削除します。

構文

listView.MultiUnselect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


OpenMonthMenu メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

月を指定するためにカレンダ メニューを開きます。

構文

monthCalendar.OpenMonthMenu()


Position プロパティ (ProgressBar)

クラス

ProgressBar.

処理

[読み書き可能] 現在の位置。

構文

'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Position プロパティ (UpDown)

クラス

UpDown.

処理

[読み書き可能] アップダウン コントロールの位置。

構文

'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Range プロパティ (ProgressBar)

クラス

ProgressBar.

処理

[読み書き可能] 進行状況バー コントロールの範囲。

構文

'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


Range プロパティ (UpDown)

クラス

UpDown.

処理

[読み書き可能] アップダウン コントロールの範囲。

構文

'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


Resize メソッド (Header)

クラス

Header.

処理

ヘッダーの項目のサイズを変更します。

構文

header.Resize(item, width)
変数 | 説明
item | サイズを変更する項目。 ItemIdentifier。
width | ヘッダーの新しい幅（ピクセル）。 Integer。


Role プロパティ (AccessibleControl)

クラス

AccessibleControl.

処理

[読み取り専用] このユーザー補助オブジェクトの役割。

構文

'Declaration
Protected Read Property Role As String

アクセス

読み取り専用。


ScrollDown メソッド (Pager)

クラス

Pager.

処理

スクロール バーを下に移動します。

構文

pager.ScrollDown()


ScrollUp メソッド (Pager)

クラス

Pager.

処理

スクロール バーを上に移動します。

構文

pager.ScrollUp()


SelectedIndices プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] 選択された項目のインデックスを含むリスト。

構文

'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedItems プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] 選択された項目を含むリスト。

構文

'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み取り専用。


Select メソッド (Header)

クラス

Header.

処理

項目またはボタンを選択します。

構文

header.Select(item, button)
変数 | 説明
item | 選択する項目のパスまたはインデックス。 ItemIdentifier。
button | 選択に使用するマウス ボタンのインデックス。 1=左、2=右、3=中央...。 MouseButton。


Select メソッド (ListView)

クラス

ListView.

処理

項目を選択します。

構文

listView.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

日付および時間を選択します。

構文

monthCalendar.Select(selectedDate)
変数 | 説明
selectedDate | 選択する日付および時間。 DateTime?。


SelectNextMonth メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

次の月を選択します。

構文

monthCalendar.SelectNextMonth(selectedYear, selectedMonth)
変数 | 説明
selectedYear | 選択する年。 Integer。
selectedMonth | 選択する月。 Integer。


SelectPreviousMonth メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

前の月を選択します。

構文

monthCalendar.SelectPreviousMonth(selectedYear, selectedMonth)
変数 | 説明
selectedYear | 選択する年。 Integer。
selectedMonth | 選択する月。 Integer。


SelectToday メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

今日の日付を選択します。

構文

monthCalendar.SelectToday()


SetItemFocus メソッド (ListView)

クラス

ListView.

処理

リスト内の項目にフォーカスを与えます。

構文

listView.SetItemFocus(item)
変数 | 説明
item | フォーカスする項目。 ItemIdentifier。


State プロパティ (AccessibleControl)

クラス

AccessibleControl.

処理

[読み取り専用] このユーザー補助オブジェクトのさまざまな状態を説明する状態文字列。

構文

'Declaration
Protected Read Property State As String

アクセス

読み取り専用。


Uncheck メソッド (ListView)

クラス

ListView.

処理

項目のチェックを外します。

構文

listView.Uncheck(item)
変数 | 説明
item | チェックを外す項目。 ItemIdentifier。


WrapAround プロパティ (UpDown)

クラス

UpDown.

処理

[読み取り専用] 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。

構文

'Declaration
Protected Read Property WrapAround As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] テーブルが複数項目の選択をサポートするかどうか。

構文

'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


AutoResize メソッド (DataGridColumn)

クラス

DataGridColumn.

処理

分割線をダブルクリックして列のサイズを自動的に変更します。

構文

dataGridColumn.AutoResize()


CheckedIndices プロパティ (CheckedListBox)

クラス

CheckedListBox.

処理

[読み書き可能] チェックした項目のインデックス（複数）。

構文

'Declaration
Protected ReadWrite Property CheckedIndices As List(Of Integer)

アクセス

読み書き。


CheckedItems プロパティ (CheckedListBox)

クラス

CheckedListBox.

処理

[読み書き可能] チェックした項目の名前（複数）。

構文

'Declaration
Protected ReadWrite Property CheckedItems As List(Of ItemIdentifier)

アクセス

読み書き。


Check メソッド (CheckedListBox)

クラス

CheckedListBox.

処理

チェック ボックス付きリスト ボックスから項目を選択します。

構文

checkedListBox.Check(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


ColumnCount プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] DataGrid の列の数。

構文

'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnItems プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] 列のすべての項目のリスト。

構文

'Declaration
Protected Read Property ColumnItems As List(Of DataGridColumn)

アクセス

読み取り専用。


Column プロパティ (DataGridItem)

クラス

DataGridItem.

処理

[読み取り専用] データ グリッドの項目の列。 The value is zero-based.。

構文

'Declaration
Protected Read Property Column As Integer

アクセス

読み取り専用。


DecrementDecimal メソッド (NumericUpDown)

クラス

NumericUpDown.

処理

アップダウン コントロールの位置の値を減らします。

構文

numericUpDown.DecrementDecimal([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Double。


Decrement メソッド (DomainUpDown)

クラス

DomainUpDown.

処理

アップダウン コントロールの位置の値を減らします。

構文

domainUpDown.Decrement([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Integer。


DoubleSelectItem メソッド (DataGrid)

クラス

DataGrid.

処理

項目をダブルクリックします。

構文

dataGrid.DoubleSelectItem(column, row, [modifiers])
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。
modifiers | 省略可能: 項目を選択する際にアクティブな修飾キーの状態。 ModifierKeys。


ExtendSelectItem メソッド (DataGrid)

クラス

DataGrid.

処理

指定した項目に選択範囲を拡張します。

構文

dataGrid.ExtendSelectItem(column, row)
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。


Height プロパティ (DataGridRow)

クラス

DataGridRow.

処理

[読み書き可能] 列の幅。

構文

'Declaration
Protected ReadWrite Property Height As Integer

アクセス

読み書き。


IncrementDecimal メソッド (NumericUpDown)

クラス

NumericUpDown.

処理

アップダウン コントロールの位置の値を増やします。

構文

numericUpDown.IncrementDecimal([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Double。


Increment メソッド (DomainUpDown)

クラス

DomainUpDown.

処理

アップダウン コントロールの位置の値を増やします。

構文

domainUpDown.Increment([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Integer。


ItemCount プロパティ (DataGridRow)

クラス

DataGridRow.

処理

[読み取り専用] 行の項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み取り専用] リスト ビューに含まれる項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] 列のすべての項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of DataGridItem)

アクセス

読み取り専用。


Items プロパティ (DataGridRow)

クラス

DataGridRow.

処理

[読み取り専用] 行の項目のリスト。

構文

'Declaration
Protected Read Property Items As List(Of DataGridItem)

アクセス

読み取り専用。


Items プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み取り専用] ドメイン アップダウン コントロールの項目。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


LoadAssembly メソッド (FormsWindow)

クラス

FormsWindow.

処理

Windows Forms アプリケーションで指定したパスのアセンブリをロードします。

「動的呼び出し」機能によって呼び出すことができるユーティリティ メソッドを含む追加のアセンブリをロードするための主な使用例です。

構文

formsWindow.LoadAssembly(assemblyFile)
変数 | 説明
assemblyFile | ロードするアセンブリ ファイルのパスです。 String。


Maximum プロパティ (NumericUpDown)

クラス

NumericUpDown.

処理

[読み書き可能] アップダウン コントロールの最大値。

構文

'Declaration
Protected ReadWrite Property Maximum As Double

アクセス

読み書き。


Minimum プロパティ (NumericUpDown)

クラス

NumericUpDown.

処理

[読み書き可能] アップダウン コントロールの最小値。

構文

'Declaration
Protected ReadWrite Property Minimum As Double

アクセス

読み書き。


MultiSelectItem メソッド (DataGrid)

クラス

DataGrid.

処理

テーブルの行を選択行の集合に追加します。

構文

dataGrid.MultiSelectItem(column, row)
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。


MultiUnselectItem メソッド (DataGrid)

クラス

DataGrid.

処理

項目を選択項目の集合から削除します。

構文

dataGrid.MultiUnselectItem(column, row)
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。


PositionDecimal プロパティ (NumericUpDown)

クラス

NumericUpDown.

処理

[読み書き可能] アップダウン コントロールの位置。

構文

'Declaration
Protected ReadWrite Property PositionDecimal As Double

アクセス

読み書き。


Resize メソッド (DataGridColumn)

クラス

DataGridColumn.

処理

列のサイズを変更します。

構文

dataGridColumn.Resize(width)
変数 | 説明
width | 行の新しい幅（ピクセル）。 Integer。


Resize メソッド (DataGridRow)

クラス

DataGridRow.

処理

列のサイズを変更します。

構文

dataGridRow.Resize(height)
変数 | 説明
height | 行の新しい高さ（ピクセル）。 Integer。


RowCount プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] DataGrid の行の数。

構文

'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowItems プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] 行のすべての項目のリスト。

構文

'Declaration
Protected Read Property RowItems As List(Of DataGridRow)

アクセス

読み取り専用。


Row プロパティ (DataGridItem)

クラス

DataGridItem.

処理

[読み取り専用] データ グリッドの項目の行。 The value is zero-based.。

構文

'Declaration
Protected Read Property Row As Integer

アクセス

読み取り専用。


ScrollIntoView メソッド (DataGrid)

クラス

DataGrid.

処理

データ グリッドの左上隅に項目を移動しようとします。

構文

dataGrid.ScrollIntoView(column, row)
変数 | 説明
column | 列のインデックス。 The value is zero-based.。 Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。


ScrollIntoView メソッド (DataGridColumn)

クラス

DataGridColumn.

処理

データ グリッドをスクロールさせて左側に列を移動しようとします。

構文

dataGridColumn.ScrollIntoView()


ScrollIntoView メソッド (DataGridItem)

クラス

DataGridItem.

処理

データ グリッドの左上隅に項目を移動しようとします。

構文

dataGridItem.ScrollIntoView()


ScrollIntoView メソッド (DataGridRow)

クラス

DataGridRow.

処理

データ グリッドをスクロールさせて上側に行を移動しようとします。

構文

dataGridRow.ScrollIntoView()


SelectAllItems メソッド (DataGrid)

クラス

DataGrid.

処理

データ グリッド内のすべての項目を選択します。

構文

dataGrid.SelectAllItems()


SelectedIndex プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み書き可能] アップダウン コントロールの位置。 The value is zero-based.。

構文

'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedItem プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み書き可能] アップダウン コントロールの位置。

構文

'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItems プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] 選択した項目。

構文

'Declaration
Protected Read Property SelectedItems As List(Of DataGridItem)

アクセス

読み取り専用。


Selected プロパティ (DataGridItem)

クラス

DataGridItem.

処理

[読み取り専用] 項目が選択されているかどうか。

構文

'Declaration
Protected Read Property Selected As Boolean

アクセス

読み取り専用。


SelectItem メソッド (DataGrid)

クラス

DataGrid.

処理

項目を選択します。

構文

dataGrid.SelectItem(column, row)
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。


Select メソッド (DataGridColumn)

クラス

DataGridColumn.

処理

列を選択します。

構文

dataGridColumn.Select([modifiers])
変数 | 説明
modifiers | 省略可能: 項目を選択する際にアクティブな修飾キーの状態。 ModifierKeys。


Select メソッド (DataGridItem)

クラス

DataGridItem.

処理

項目を選択します。

構文

dataGridItem.Select([modifiers])
変数 | 説明
modifiers | 省略可能: 項目を選択する際にアクティブな修飾キーの状態。 ModifierKeys。


Select メソッド (DataGridRow)

クラス

DataGridRow.

処理

列を選択します。

構文

dataGridRow.Select([modifiers])
変数 | 説明
modifiers | 省略可能: 項目を選択する際にアクティブな修飾キーの状態。 ModifierKeys。


Select メソッド (DomainUpDown)

クラス

DomainUpDown.

処理

項目を選択します。

構文

domainUpDown.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Uncheck メソッド (CheckedListBox)

クラス

CheckedListBox.

処理

チェック ボックス付きリスト ボックスから項目を選択します。

構文

checkedListBox.Uncheck(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Width プロパティ (DataGridColumn)

クラス

DataGridColumn.

処理

[読み書き可能] 列の幅。

構文

'Declaration
Protected ReadWrite Property Width As Integer

アクセス

読み書き。


WrapAround プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み取り専用] 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。

構文

'Declaration
Protected Read Property WrapAround As Boolean

アクセス

読み取り専用。


AcceptsReturn プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] ユーザーが Enter キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。

構文

'Declaration
Protected Read Property AcceptsReturn As Boolean

アクセス

読み取り専用。


AcceptsTab プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] ユーザーが Tab キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。

構文

'Declaration
Protected Read Property AcceptsTab As Boolean

アクセス

読み取り専用。


Activate メソッド (WPFWindow)

クラス

WPFWindow.

処理

ウィンドウを前面に表示して、アクティブ化を試みます。

構文

result = window.Activate()
変数 | 説明
result | Boolean。


ActualHeight プロパティ (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

[読み取り専用] この要素の描画する高さ。

構文

'Declaration
Protected Read Property ActualHeight As Double

アクセス

読み取り専用。


ActualWidth プロパティ (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

[読み取り専用] この要素の描画する幅。

構文

'Declaration
Protected Read Property ActualWidth As Double

アクセス

読み取り専用。


AppendText メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト コントロールのコンテンツに文字列を追加します。

構文

textBoxBase.AppendText(textData)
変数 | 説明
textData | テキスト コントロールの現在のコンテンツに追加するテキストを指定する文字列。 String。


Author プロパティ (WPFStickyNoteControl)

クラス

WPFStickyNoteControl.

処理

[読み取り専用] 付箋を作成した作成者の名前。

構文

'Declaration
Protected Read Property Author As String

アクセス

読み取り専用。


AutoWordSelection プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] マウスのドラッグによって単語の一部が選択された場合に、単語の残りの部分を選択するかどうかを指定する値。

構文

'Declaration
Protected Read Property AutoWordSelection As Boolean

アクセス

読み取り専用。


Balance プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] スピーカ全体に対するボリュームの比率。

構文

'Declaration
Protected ReadWrite Property Balance As Double

アクセス

読み書き。


BeginEdit メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

指定したセルの編集を開始します。

構文

dataGrid.BeginEdit(row, column)
変数 | 説明
row | 編集する行。 ItemIdentifier。
column | 編集する列。 ItemIdentifier。


BeginEdit メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

指定したセルの編集を開始します。

構文

toolkitDataGrid.BeginEdit(row, column)
変数 | 説明
row | 編集する行。 ItemIdentifier。
column | 編集する列。 ItemIdentifier。


BlackoutDates プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 選択不可としてマークされている日付のリスト。

構文

'Declaration
Protected Read Property BlackoutDates As List(Of DateTime?)

アクセス

読み取り専用。


BlackoutDates プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 選択不可としてマークされている日付のリスト。

構文

'Declaration
Protected Read Property BlackoutDates As List(Of DateTime?)

アクセス

読み取り専用。


BringIntoView メソッド (WPFBase)

クラス

WPFBase.

処理

この要素をビューに表示することを試みます。

構文

base.BringIntoView()


CancelEdit メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

編集したセルをキャンセルします。

構文

dataGrid.CancelEdit()


CancelEdit メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

編集したセルをキャンセルします。

構文

toolkitDataGrid.CancelEdit()


CanDecreaseZoom プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] DocumentViewer をさらに縮小表示できるかどうかを示す値。

構文

'Declaration
Protected Read Property CanDecreaseZoom As Boolean

アクセス

読み取り専用。


CanDecreaseZoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] 拡大レベルを下げることができるかどうかを示す値。

構文

'Declaration
Protected Read Property CanDecreaseZoom As Boolean

アクセス

読み取り専用。


CanDecreaseZoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] 拡大レベルを下げることができるかどうかを示す値。

構文

'Declaration
Protected Read Property CanDecreaseZoom As Boolean

アクセス

読み取り専用。


CanDecreaseZoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] 拡大レベルを下げることができるかどうかを示す値。

構文

'Declaration
Protected Read Property CanDecreaseZoom As Boolean

アクセス

読み取り専用。


CanGoBack プロパティ (WPFFrame)

クラス

WPFFrame.

処理

[読み取り専用] "戻る" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。

構文

'Declaration
Protected Read Property CanGoBack As Boolean

アクセス

読み取り専用。


CanGoBack プロパティ (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

[読み取り専用] "戻る" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。

構文

'Declaration
Protected Read Property CanGoBack As Boolean

アクセス

読み取り専用。


CanGoForward プロパティ (WPFFrame)

クラス

WPFFrame.

処理

[読み取り専用] "進む" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。

構文

'Declaration
Protected Read Property CanGoForward As Boolean

アクセス

読み取り専用。


CanGoForward プロパティ (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

[読み取り専用] "進む" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。

構文

'Declaration
Protected Read Property CanGoForward As Boolean

アクセス

読み取り専用。


CanGoToNextPage プロパティ (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

[読み取り専用] ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。

構文

'Declaration
Protected Read Property CanGoToNextPage As Boolean

アクセス

読み取り専用。


CanGoToNextPage プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。

構文

'Declaration
Protected Read Property CanGoToNextPage As Boolean

アクセス

読み取り専用。


CanGoToPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。

構文

result = documentViewerBase.CanGoToPage(pageNumber)
変数 | 説明
result | Boolean。
pageNumber | ページ番号。 Integer。


CanGoToPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。

構文

result = flowDocumentReader.CanGoToPage(pageNumber)
変数 | 説明
result | Boolean。
pageNumber | ページ番号。 Integer。


CanGoToPreviousPage プロパティ (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

[読み取り専用] ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。

構文

'Declaration
Protected Read Property CanGoToPreviousPage As Boolean

アクセス

読み取り専用。


CanGoToPreviousPage プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。

構文

'Declaration
Protected Read Property CanGoToPreviousPage As Boolean

アクセス

読み取り専用。


CanIncreaseZoom プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] DocumentViewer をさらに拡大表示できるかどうかを示す値。

構文

'Declaration
Protected Read Property CanIncreaseZoom As Boolean

アクセス

読み取り専用。


CanIncreaseZoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] 拡大レベルを上げることができるかどうかを示す値。

構文

'Declaration
Protected Read Property CanIncreaseZoom As Boolean

アクセス

読み取り専用。


CanIncreaseZoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] 拡大レベルを上げることができるかどうかを示す値。

構文

'Declaration
Protected Read Property CanIncreaseZoom As Boolean

アクセス

読み取り専用。


CanIncreaseZoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] 拡大レベルを上げることができるかどうかを示す値。

構文

'Declaration
Protected Read Property CanIncreaseZoom As Boolean

アクセス

読み取り専用。


CanPause プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] メディアを一時停止できるかどうかを示す値。

構文

'Declaration
Protected Read Property CanPause As Boolean

アクセス

読み取り専用。


CanRedo プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] 最新の取り消し操作をやり直すことができるかどうかを示す値。

構文

'Declaration
Protected Read Property CanRedo As Boolean

アクセス

読み取り専用。


CanUndo プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] 最新の操作を元に戻すことができるかどうかを示す値。

構文

'Declaration
Protected Read Property CanUndo As Boolean

アクセス

読み取り専用。


CaretIndex プロパティ (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

[読み取り専用] キャレットの挿入位置インデックス。

構文

'Declaration
Protected Read Property CaretIndex As Integer

アクセス

読み取り専用。


CaretIndex プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] キャレットの挿入位置インデックス。

構文

'Declaration
Protected Read Property CaretIndex As Integer

アクセス

読み取り専用。


Cells プロパティ (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

[読み取り専用] データ グリッド行のセル。

構文

'Declaration
Protected Read Property Cells As List(Of WPFDataGridCell)

アクセス

読み取り専用。


Cells プロパティ (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

[読み取り専用] データ グリッドのセル。

構文

'Declaration
Protected Read Property Cells As List(Of WPFToolkitDataGridCell)

アクセス

読み取り専用。


CharacterCasing プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックスに手動で文字を入力した場合に大文字で入力されるか小文字で入力されるか。

構文

'Declaration
Protected Read Property CharacterCasing As CharacterCasing

アクセス

読み取り専用。


Check メソッド (WPFMenuBase)

クラス

WPFMenuBase.

処理

メニュー項目をチェックします。

構文

menuBase.Check(item)
変数 | 説明
item | チェックするメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目をチェックする場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。

例

' '書式' メニューにある '右端で折り返す' メニュー項目をチェックします
menu.Check("書式/右端で折り返す")


Check メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

メニュー項目をチェックします。

構文

menuItem.Check()


Check メソッド (WPFToggleButton)

クラス

WPFToggleButton.

処理

ボタンをチェックします。

構文

toggleButton.Check()


Clear メソッド (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

Password プロパティの値をクリアします。

構文

passwordBox.Clear()


Clear メソッド (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

RichTextBox のすべてのコンテンツをクリアします。

構文

richTextBox.Clear()


Clear メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

テキスト ボックスのすべてのコンテンツをクリアします。

構文

textBox.Clear()


ClearSelection メソッド (WPFDatePicker)

クラス

WPFDatePicker.

処理

選択範囲をクリアします。

構文

datePicker.ClearSelection()


ClearSelection メソッド (WPFToolkitDatePicker)

クラス

WPFToolkitDatePicker.

処理

選択範囲をクリアします。

構文

toolkitDatePicker.ClearSelection()


ClickMode プロパティ (WPFButtonBase)

クラス

WPFButtonBase.

処理

[読み取り専用] ボタンをクリックできるかどうかを指定する値。

構文

'Declaration
Protected Read Property ClickMode As ClickMode

アクセス

読み取り専用。


Close メソッド (WPFComboBox)

クラス

WPFComboBox.

処理

コンボボックスを閉じます。

構文

comboBox.Close()


Close メソッド (WPFContextMenu)

クラス

WPFContextMenu.

処理

コンテキスト メニューを閉じます。

構文

contextMenu.Close()


Close メソッド (WPFPopup)

クラス

WPFPopup.

処理

ポップアップ ウィンドウを閉じます。

構文

popup.Close()


CloseOverflowItems メソッド (WPFToolBar)

クラス

WPFToolBar.

処理

オーバーフロー ツールバー項目の領域を閉じます。

構文

toolBar.CloseOverflowItems()


CloseSubmenu メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

サブメニューが利用可能な場合に閉じます。

構文

menuItem.CloseSubmenu()


Collapse メソッド (WPFExpander)

クラス

WPFExpander.

処理

Expander コントロールを折りたたみます。 ヘッダーのみが表示されます。

構文

expander.Collapse()


Collapse メソッド (WPFStickyNoteControl)

クラス

WPFStickyNoteControl.

処理

付箋を折りたたみます。

構文

stickyNoteControl.Collapse()


Collapse メソッド (WPFTreeView)

クラス

WPFTreeView.

処理

指定した項目を折りたたみます。

構文

treeView.Collapse(item)
変数 | 説明
item | 折りたたむ項目。 ItemPath。


Collapse メソッド (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

項目を折りたたみます。

構文

treeViewItem.Collapse()


ColumnHeaders プロパティ (WPFListView)

クラス

WPFListView.

処理

[読み取り専用] ヘッダー列。

構文

'Declaration
Protected Read Property ColumnHeaders As List(Of WPFColumnHeader)

アクセス

読み取り専用。


ColumnHeaders プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] ヘッダー列。

構文

'Declaration
Protected Read Property ColumnHeaders As List(Of WPFColumnHeader)

アクセス

読み取り専用。


Columns プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドのすべての列を含むコレクション。

構文

'Declaration
Protected Read Property Columns As List(Of WPFDataGridColumnHeader)

アクセス

読み取り専用。


Columns プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドのすべての列を含むコレクション。

構文

'Declaration
Protected Read Property Columns As List(Of WPFToolkitDataGridColumnHeader)

アクセス

読み取り専用。


CommitEdit メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

編集したセルをコミットします。

構文

dataGrid.CommitEdit()


CommitEdit メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

編集したセルをコミットします。

構文

toolkitDataGrid.CommitEdit()


Content プロパティ (WPFContentControl)

クラス

WPFContentControl.

処理

[読み取り専用] コントロールのコンテンツ。

構文

'Declaration
Protected Read Property Content As Object

アクセス

読み取り専用。


Copy メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト編集コントロールの現在の選択範囲をクリップボードにコピーします。

構文

textBoxBase.Copy()


CurrentCell プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] フォーカスがあるセル。

構文

'Declaration
Protected Read Property CurrentCell As WPFDataGridCell

アクセス

読み取り専用。


CurrentCell プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] フォーカスがあるセル。

構文

'Declaration
Protected Read Property CurrentCell As WPFToolkitDataGridCell

アクセス

読み取り専用。


Cut メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト編集コントロールの現在の選択範囲を削除してクリップボードにコピーします。

構文

textBoxBase.Cut()


DecreaseLarge メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を大きい単位で減らします。

構文

slider.DecreaseLarge()


DecreaseSmall メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を小さい単位で減らします。

構文

slider.DecreaseSmall()


DecreaseZoom メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 1 ズーム ステップ分縮小表示します。

構文

documentViewer.DecreaseZoom()


DecreaseZoom メソッド (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

ズームを縮小させます。

構文

flowDocumentPageViewer.DecreaseZoom()


DecreaseZoom メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

ズームを縮小させます。

構文

flowDocumentReader.DecreaseZoom()


DecreaseZoom メソッド (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

ズームを縮小させます。

構文

flowDocumentScrollViewer.DecreaseZoom()


Delay プロパティ (WPFRepeatButton)

クラス

WPFRepeatButton.

処理

[読み取り専用] RepeatButton が押されている間に、繰り返しが開始されるまで待機する時間 (ミリ秒単位) 。

構文

'Declaration
Protected Read Property Delay As Integer

アクセス

読み取り専用。


Delay プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] RepeatButton が押されている間に、Thumb を移動するコマンドが実行されるまで待機する時間 (ミリ秒単位) 。

構文

'Declaration
Protected Read Property Delay As Integer

アクセス

読み取り専用。


DeselectAll メソッド (WPFListBox)

クラス

WPFListBox.

処理

複数選択リスト ボックスの選択をクリアします。

構文

listBox.DeselectAll()


Deselect メソッド (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

セルの選択を解除します。

構文

dataGridCell.Deselect()


Deselect メソッド (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

行の選択を解除します。

構文

dataGridRow.Deselect()


Deselect メソッド (WPFListBoxItem)

クラス

WPFListBoxItem.

処理

リスト ボックス項目の選択を解除します。

構文

listBoxItem.Deselect()


Deselect メソッド (WPFTabItem)

クラス

WPFTabItem.

処理

項目の選択を解除します。

構文

tabItem.Deselect()


Deselect メソッド (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

セルの選択を解除します。

構文

toolkitDataGridCell.Deselect()


Deselect メソッド (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

行の選択を解除します。

構文

toolkitDataGridRow.Deselect()


DisplayDateEnd プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] カレンダーで利用可能な日付の範囲における最後の日付。

構文

'Declaration
Protected Read Property DisplayDateEnd As DateTime?

アクセス

読み取り専用。


DisplayDateEnd プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] カレンダーで利用可能な日付の範囲における最後の日付。

構文

'Declaration
Protected Read Property DisplayDateEnd As DateTime?

アクセス

読み取り専用。


DisplayDate プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 表示する日付。

構文

'Declaration
Protected Read Property DisplayDate As DateTime?

アクセス

読み取り専用。


DisplayDate プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 表示する日付。

構文

'Declaration
Protected Read Property DisplayDate As DateTime?

アクセス

読み取り専用。


DisplayDateStart プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] カレンダーで利用可能な最初の日付。

構文

'Declaration
Protected Read Property DisplayDateStart As DateTime?

アクセス

読み取り専用。


DisplayDateStart プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] カレンダーで利用可能な最初の日付。

構文

'Declaration
Protected Read Property DisplayDateStart As DateTime?

アクセス

読み取り専用。


DisplayMode プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] カレンダーで月、年、10 年のいずれを表示するかを指定する値。

構文

'Declaration
Protected Read Property DisplayMode As CalendarMode

アクセス

読み取り専用。


DisplayMode プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] カレンダーで月、年、10 年のいずれを表示するかを指定する値。

構文

'Declaration
Protected Read Property DisplayMode As CalendarMode

アクセス

読み取り専用。


DragCancel メソッド (WPFThumb)

クラス

WPFThumb.

処理

ドラッグ操作をキャンセルします。

構文

thumb.DragCancel()


DragComplete メソッド (WPFThumb)

クラス

WPFThumb.

処理

ドラッグ操作を完了します。

構文

thumb.DragComplete(horizontalChange, verticalChange)
変数 | 説明
horizontalChange | マウスが移動した水平距離。 Double。
verticalChange | マウスが移動した垂直距離。 Double。


DragDelta メソッド (WPFThumb)

クラス

WPFThumb.

処理

現在のドラッグ操作の変化量です。

構文

thumb.DragDelta(horizontalChange, verticalChange)
変数 | 説明
horizontalChange | マウスが移動した水平距離。 Double。
verticalChange | マウスが移動した垂直距離。 Double。


DragStart メソッド (WPFThumb)

クラス

WPFThumb.

処理

ドラッグ操作を開始します。

構文

thumb.DragStart(horizontalOffset, verticalOffset)
変数 | 説明
horizontalOffset | マウス クリックの水平方向のオフセット。 Double。
verticalOffset | マウス クリックの垂直方向のオフセット。 Double。


ExpandAll メソッド (WPFTreeView)

クラス

WPFTreeView.

処理

ツリー内のすべての項目を展開します。

構文

treeView.ExpandAll()


ExpandDirection プロパティ (WPFExpander)

クラス

WPFExpander.

処理

[読み取り専用] Expander コンテンツ ウィンドウの表示方向。

構文

'Declaration
Protected Read Property ExpandDirection As ExpandDirection

アクセス

読み取り専用。


Expand メソッド (WPFExpander)

クラス

WPFExpander.

処理

Expander コントロールを展開します。

構文

expander.Expand()


Expand メソッド (WPFStickyNoteControl)

クラス

WPFStickyNoteControl.

処理

付箋を展開します。

構文

stickyNoteControl.Expand()


Expand メソッド (WPFTreeView)

クラス

WPFTreeView.

処理

指定した項目を展開します。

構文

treeView.Expand(item)
変数 | 説明
item | 展開する項目。 ItemPath。


Expand メソッド (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

項目を展開します。

構文

treeViewItem.Expand()


ExpandSubTree メソッド (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

このツリー項目の下のサブツリーを展開します。

構文

treeViewItem.ExpandSubTree()


FirstDayOfWeek プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 週の初めと考えられる曜日。

構文

'Declaration
Protected Read Property FirstDayOfWeek As CalendarDayOfWeek

アクセス

読み取り専用。


FirstDayOfWeek プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 週の初めと考えられる曜日。

構文

'Declaration
Protected Read Property FirstDayOfWeek As CalendarDayOfWeek

アクセス

読み取り専用。


FirstPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

最初のページに移動します。

構文

documentViewerBase.FirstPage()


FirstPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

最初のページに移動します。

構文

flowDocumentReader.FirstPage()


FitToHeight メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

単一のページを現在のビューポートの高さに収めます。

構文

documentViewer.FitToHeight()


FitToWidth メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

単一のページを現在のビューポートの幅に収めます。

構文

documentViewer.FitToWidth()


FontFamily プロパティ (WPFControl)

クラス

WPFControl.

処理

[読み取り専用] TextBlock のトップレベルの優先フォント ファミリー。

構文

'Declaration
Protected Read Property FontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] TextBlock のトップレベルの優先フォント ファミリー。

構文

'Declaration
Protected Read Property FontFamily As String

アクセス

読み取り専用。


FontSize プロパティ (WPFControl)

クラス

WPFControl.

処理

[読み取り専用] TextBlock のトップレベルのフォント サイズ。

構文

'Declaration
Protected Read Property FontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] TextBlock のトップレベルのフォント サイズ。

構文

'Declaration
Protected Read Property FontSize As Double

アクセス

読み取り専用。


GetCharacterIndexFromLineIndex メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定した行の最初の文字を示す 0 を基準としたインデックス値を返します。

構文

characterIndexFromLineIndex = textBox.GetCharacterIndexFromLineIndex(lineIndex)
変数 | 説明
characterIndexFromLineIndex | Integer。
lineIndex | 最初の文字を取得するための行の 0 を基準としたインデックス。 Integer。


GetFirstVisibleLineIndex メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

現在テキスト ボックスに表示されている最初の行に対応する行インデックスを返します。

構文

firstVisibleLineIndex = textBox.GetFirstVisibleLineIndex()
変数 | 説明
firstVisibleLineIndex | Integer。


GetLastVisibleLineIndex メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

現在テキスト ボックスに表示されている最後の行に対応する行インデックスを返します。

構文

lastVisibleLineIndex = textBox.GetLastVisibleLineIndex()
変数 | 説明
lastVisibleLineIndex | Integer。


GetLineIndexFromCharacterIndex メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定された文字インデックスが含まれている行に対応する、0 を基準とした行インデックスを返します。

構文

lineIndexFromCharacterIndex = textBox.GetLineIndexFromCharacterIndex(charIndex)
変数 | 説明
lineIndexFromCharacterIndex | Integer。
charIndex | 関連付けられた行インデックスを取得するための 0 を基準とした文字インデックス。 Integer。


GetLineLength メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定した行の文字の数を返します。

構文

lineLength = textBox.GetLineLength(lineIndex)
変数 | 説明
lineLength | Integer。
lineIndex | 文字数を返すための 0 を基準とした行インデックス。 Integer。


GetLineText メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定した行に現在表示されているテキストを返します。

構文

lineText = textBox.GetLineText(lineIndex)
変数 | 説明
lineText | String。
lineIndex | 現在表示されているテキストを取得するための 0 を基準とした行インデックス。 Integer。


GetMaximumScrollPosition メソッド (IWPFScrollable)

クラス

IWPFScrollable.

処理

ScrollViewer の最大位置を取得します。

構文

maximumScrollPosition = iWPFScrollable.GetMaximumScrollPosition(orientation)
変数 | 説明
maximumScrollPosition | Double。
orientation | 取得するスクロールバーが水平方向か垂直方向かを指定。 Orientation。


GetScrollPosition メソッド (IWPFScrollable)

クラス

IWPFScrollable.

処理

ScrollViewer の位置を返します。

構文

scrollPosition = iWPFScrollable.GetScrollPosition(orientation)
変数 | 説明
scrollPosition | Double。
orientation | 取得するスクロールバーが水平方向か垂直方向かを指定。 Orientation。


GoBack メソッド (WPFFrame)

クラス

WPFFrame.

処理

"戻る" ナビゲーション履歴の最新の項目に移動します。

構文

frame.GoBack()


GoBack メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

"戻る" ナビゲーション履歴の最新の項目に移動します。

構文

navigationWindow.GoBack()


GoForward メソッド (WPFFrame)

クラス

WPFFrame.

処理

"進む" ナビゲーション履歴の最新の項目に移動します。

構文

frame.GoForward()


GoForward メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

"進む" ナビゲーション履歴の最新の項目に移動します。

構文

navigationWindow.GoForward()


GoToPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

指定したページに移動します。

構文

documentViewerBase.GoToPage(pageNumber)
変数 | 説明
pageNumber | ページ番号。 Integer。


GoToPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

指定したページに移動します。

構文

flowDocumentReader.GoToPage(pageNumber)
変数 | 説明
pageNumber | ページ番号。 Integer。


GroupName プロパティ (WPFRadioButton)

クラス

WPFRadioButton.

処理

[読み取り専用] このラジオ ボタンのグループ名。

構文

'Declaration
Protected Read Property GroupName As String

アクセス

読み取り専用。


HasAudio プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] メディアにオーディオが含まれているかどうかを示す値。

構文

'Declaration
Protected Read Property HasAudio As Boolean

アクセス

読み取り専用。


HasContent プロパティ (WPFContentControl)

クラス

WPFContentControl.

処理

[読み取り専用] ContentControl にコンテンツが含まれているかどうかを示す値。

構文

'Declaration
Protected Read Property HasContent As Boolean

アクセス

読み取り専用。


HasItems プロパティ (WPFItemsControl)

クラス

WPFItemsControl.

処理

[読み取り専用] ItemsControl に項目が含まれているかどうかを示す値。

構文

'Declaration
Protected Read Property HasItems As Boolean

アクセス

読み取り専用。


HasOverflowItems プロパティ (WPFToolBar)

クラス

WPFToolBar.

処理

[読み取り専用] ツールバーに表示されない項目が含まれているかどうかを示す値。

構文

'Declaration
Protected Read Property HasOverflowItems As Boolean

アクセス

読み取り専用。


HasSubmenu プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目にサブメニューがあるかどうか。

構文

'Declaration
Protected Read Property HasSubmenu As Boolean

アクセス

読み取り専用。


HasVideo プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] メディアにビデオが含まれているかどうかを示す値。

構文

'Declaration
Protected Read Property HasVideo As Boolean

アクセス

読み取り専用。


HorizontalOffset プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] 対象の左開始位置からポップアップの配置ポイントまでの横方向の距離。 これは依存関係プロパティです。

構文

'Declaration
Protected Read Property HorizontalOffset As Double

アクセス

読み取り専用。


HorizontalOffset プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] 水平方向のスクロール位置。

構文

'Declaration
Protected Read Property HorizontalOffset As Double

アクセス

読み取り専用。


HorizontalScrollBarVisibility プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] 水平スクロール バーが表示されるかどうかを示す値。

構文

'Declaration
Protected Read Property HorizontalScrollBarVisibility As ScrollBarVisibility

アクセス

読み取り専用。


IncreaseLarge メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を大きい単位で増やします。

構文

slider.IncreaseLarge()


IncreaseSmall メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を小さい単位で増やします。

構文

slider.IncreaseSmall()


IncreaseZoom メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 1 ズーム ステップ分拡大表示します。

構文

documentViewer.IncreaseZoom()


IncreaseZoom メソッド (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

ズームを拡大させます。

構文

flowDocumentPageViewer.IncreaseZoom()


IncreaseZoom メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

ズームを拡大させます。

構文

flowDocumentReader.IncreaseZoom()


IncreaseZoom メソッド (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

ズームを拡大させます。

構文

flowDocumentScrollViewer.IncreaseZoom()


Interval プロパティ (WPFRepeatButton)

クラス

WPFRepeatButton.

処理

[読み取り専用] 繰り返しが開始された後の繰り返し間隔 (ミリ秒単位) 。

構文

'Declaration
Protected Read Property Interval As Integer

アクセス

読み取り専用。


IsCancel プロパティ (WPFButton)

クラス

WPFButton.

処理

[読み取り専用] ボタンが [キャンセル] ボタンかどうかを示す値。 ユーザーが Esc キーを押すことによって、[キャンセル] ボタンをアクティブ化できます。 これは依存関係プロパティです。

構文

'Declaration
Protected Read Property IsCancel As Boolean

アクセス

読み取り専用。


IsChecked プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目がチェックされているかどうかを示す値。

構文

'Declaration
Protected Read Property IsChecked As Boolean

アクセス

読み取り専用。


IsChecked プロパティ (WPFToggleButton)

クラス

WPFToggleButton.

処理

[読み取り専用] ボタンがチェックされているかどうか。

構文

'Declaration
Protected Read Property IsChecked As Boolean

アクセス

読み取り専用。


IsDefaulted プロパティ (WPFButton)

クラス

WPFButton.

処理

[読み取り専用] ボタンが、ユーザーが Enter を押すとアクティブ化されるボタンかどうかを示す値。 これは依存関係プロパティです。

構文

'Declaration
Protected Read Property IsDefaulted As Boolean

アクセス

読み取り専用。


IsDefault プロパティ (WPFButton)

クラス

WPFButton.

処理

[読み取り専用] ボタンがデフォルト ボタンかどうかを示す値。 ユーザーが Enter キーを押すことによって、デフォルト ボタンが呼び出されます。 これは依存関係プロパティです。

構文

'Declaration
Protected Read Property IsDefault As Boolean

アクセス

読み取り専用。


IsDirectionReversed プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] 値を増加させる方向。

構文

'Declaration
Protected Read Property IsDirectionReversed As Boolean

アクセス

読み取り専用。


IsDropDownOpen プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] コンボ ボックスのドロップダウンが現在開いているかどうかを示す値。

構文

'Declaration
Protected Read Property IsDropDownOpen As Boolean

アクセス

読み取り専用。


IsEditable プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] コンボ ボックスのテキスト ボックス内のテキストの編集を有効または無効にする値。

構文

'Declaration
Protected Read Property IsEditable As Boolean

アクセス

読み取り専用。


IsEditing プロパティ (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

[読み取り専用] セルが編集モードであるかどうかを示す値。

構文

'Declaration
Protected Read Property IsEditing As Boolean

アクセス

読み取り専用。


IsEditing プロパティ (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

[読み取り専用] セルが編集モードであるかどうかを示す値。

構文

'Declaration
Protected Read Property IsEditing As Boolean

アクセス

読み取り専用。


IsEnabled プロパティ (WPFBase)

クラス

WPFBase.

処理

[読み取り専用] この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。

構文

'Declaration
Protected Read Property IsEnabled As Boolean

アクセス

読み取り専用。


IsExpanded プロパティ (WPFExpander)

クラス

WPFExpander.

処理

[読み取り専用] Expander コンテンツ ウィンドウが表示されているかどうか。

構文

'Declaration
Protected Read Property IsExpanded As Boolean

アクセス

読み取り専用。


IsExpanded プロパティ (WPFStickyNoteControl)

クラス

WPFStickyNoteControl.

処理

[読み取り専用] StickyNoteControl が展開されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsExpanded As Boolean

アクセス

読み取り専用。


IsExpanded プロパティ (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

[読み取り専用] TreeViewItem 内の入れ子になった項目が展開されているか、折りたたまれているか。

構文

'Declaration
Protected Read Property IsExpanded As Boolean

アクセス

読み取り専用。


IsLocked プロパティ (WPFToolBarTray)

クラス

WPFToolBarTray.

処理

[読み取り専用] ToolBar を ToolBarTray 内に移動できるかどうかを示す値。

構文

'Declaration
Protected Read Property IsLocked As Boolean

アクセス

読み取り専用。


IsMainMenu プロパティ (WPFMenu)

クラス

WPFMenu.

処理

[読み取り専用] この Menu がメイン メニューのアクティブ化の通知を受け取るかどうかを示す値。

構文

'Declaration
Protected Read Property IsMainMenu As Boolean

アクセス

読み取り専用。


IsMediaLoaded プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] コンテンツが読み込まれたことを示す値。

構文

'Declaration
Protected Read Property IsMediaLoaded As Boolean

アクセス

読み取り専用。


IsMoveToPointEnabled プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] マウス ポインターが Slider トラック上にある間にマウス クリックが生じた場合、その位置に Slider の Thumb を直ちに移動させるかどうかを示す値。

構文

'Declaration
Protected Read Property IsMoveToPointEnabled As Boolean

アクセス

読み取り専用。


IsMuted プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] オーディオがミュートされているかどうかを示す値。

構文

'Declaration
Protected ReadWrite Property IsMuted As Boolean

アクセス

読み書き。


IsOpen プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] コンテキスト メニューが開いているかどうかを示す値。

構文

'Declaration
Protected Read Property IsOpen As Boolean

アクセス

読み取り専用。


IsOverflowOpen プロパティ (WPFToolBar)

クラス

WPFToolBar.

処理

[読み取り専用] ツールー バー オーバーフロー領域が現在表示されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsOverflowOpen As Boolean

アクセス

読み取り専用。


IsPressed プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目が押されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsPressed As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] コンボ ボックスが選択専用モードかどうかを返します。選択専用モードでは、コンボ ボックスの内容は選択可能ですが、編集することはできません。

構文

'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッド内の値をユーザーが編集できるかどうかを示す値。

構文

'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

[読み取り専用] セルを編集モードにすることができるかどうかを示す値。

構文

'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] コントロールに対してユーザーが操作するテキスト編集コントロールが読み取り専用かどうかを示す値。

構文

'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッド内の値をユーザーが編集できるかどうかを示す値。

構文

'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

[読み取り専用] セルを編集モードにすることができるかどうかを示す値。

構文

'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

[読み取り専用] セルが選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

[読み取り専用] 行が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFListBoxItem)

クラス

WPFListBoxItem.

処理

[読み取り専用] リスト ボックス項目が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFTabItem)

クラス

WPFTabItem.

処理

[読み取り専用] タブ項目が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

[読み取り専用] セルが選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

[読み取り専用] 行が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

[読み取り専用] ツリー ビュー項目が選択されているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelectionRangeEnabled プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider で、Slider に沿って選択範囲を表示するかどうかを示す値。

構文

'Declaration
Protected Read Property IsSelectionRangeEnabled As Boolean

アクセス

読み取り専用。


IsSnapToTickEnabled プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider で、最も近い目盛りに Thumb を自動的に移動するかどうかを示す値。

構文

'Declaration
Protected Read Property IsSnapToTickEnabled As Boolean

アクセス

読み取り専用。


IsSpellCheckEnabled プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] スペル チェックが有効かどうか。

構文

'Declaration
Protected Read Property IsSpellCheckEnabled As Boolean

アクセス

読み取り専用。


IsSubmenuOpen プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目のサブメニューが開いているかどうかを示す値。

構文

'Declaration
Protected Read Property IsSubmenuOpen As Boolean

アクセス

読み取り専用。


IsTabStop プロパティ (WPFControl)

クラス

WPFControl.

処理

[読み取り専用] コントロールがタブ ナビゲーションに含まれるかどうかを示す値。

構文

'Declaration
Protected Read Property IsTabStop As Boolean

アクセス

読み取り専用。


IsTextSearchEnabled プロパティ (WPFItemsControl)

クラス

WPFItemsControl.

処理

[読み取り専用] ItemsControl インスタンスで TextSearch が有効かどうかを示す値。

構文

'Declaration
Protected Read Property IsTextSearchEnabled As Boolean

アクセス

読み取り専用。


IsThreeState プロパティ (WPFToggleButton)

クラス

WPFToggleButton.

処理

[読み取り専用] コントロールが 2 つの状態をサポートするのか 3 つの状態をサポートするのか。

構文

'Declaration
Protected Read Property IsThreeState As Boolean

アクセス

読み取り専用。


IsTodayHighlighted プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 現在の日付がハイライトされるかどうかを示す値。

構文

'Declaration
Protected Read Property IsTodayHighlighted As Boolean

アクセス

読み取り専用。


IsTodayHighlighted プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 現在の日付がハイライトされるかどうかを示す値。

構文

'Declaration
Protected Read Property IsTodayHighlighted As Boolean

アクセス

読み取り専用。


IsUndoEnabled プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] テキスト編集コントロールの取り消しのサポートが有効かどうかを示す値。

構文

'Declaration
Protected Read Property IsUndoEnabled As Boolean

アクセス

読み取り専用。


Items プロパティ (WPFItemsControl)

クラス

WPFItemsControl.

処理

[読み取り専用] 項目の完全なリスト。

構文

'Declaration
Protected Read Property Items As List(Of WPFBase)

アクセス

読み取り専用。


ItemTexts プロパティ (WPFItemsControl)

クラス

WPFItemsControl.

処理

[読み取り専用] 項目テキストの完全なリスト。

構文

'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


LargeChange プロパティ (WPFRangeBase)

クラス

WPFRangeBase.

処理

[読み取り専用] RangeBase コントロールの値に対して加算または減算する値。

構文

'Declaration
Protected Read Property LargeChange As Double

アクセス

読み取り専用。


LastPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

最後のページに移動します。

構文

documentViewerBase.LastPage()


LastPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

最後のページに移動します。

構文

flowDocumentReader.LastPage()


Length プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] メディアの自然な実行時間（秒）。

構文

'Declaration
Protected Read Property Length As Double

アクセス

読み取り専用。


LineCount プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックス内の行の合計数。

構文

'Declaration
Protected Read Property LineCount As Integer

アクセス

読み取り専用。


LoadAssembly メソッド (WPFWindow)

クラス

WPFWindow.

処理

WPF アプリケーションで指定したパスのアセンブリをロードします。

「動的呼び出し」機能によって呼び出すことができるユーティリティ メソッドを含む追加のアセンブリをロードするための主な使用例です。

構文

window.LoadAssembly(assemblyFile)
変数 | 説明
assemblyFile | ロードするアセンブリ ファイルのパスです。 String。


MasterPageNumber プロパティ (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

[読み取り専用] 現在のマスター ページのページ番号。

構文

'Declaration
Protected Read Property MasterPageNumber As Integer

アクセス

読み取り専用。


MaxDropDownHeight プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] コンボ ボックス ドロップダウンの最大の高さ。

構文

'Declaration
Protected Read Property MaxDropDownHeight As Double

アクセス

読み取り専用。


Maximum プロパティ (WPFRangeBase)

クラス

WPFRangeBase.

処理

[読み取り専用] 範囲要素に指定できる最大の値。

構文

'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


MaxLength プロパティ (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

[読み取り専用] この PasswordBox によって処理されるパスワードの最大長。

構文

'Declaration
Protected Read Property MaxLength As Integer

アクセス

読み取り専用。


MaxLength プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックスに手動で入力できる最大文字数。

構文

'Declaration
Protected Read Property MaxLength As Integer

アクセス

読み取り専用。


MaxLines プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] 表示行の最大数。

構文

'Declaration
Protected Read Property MaxLines As Integer

アクセス

読み取り専用。


MaxZoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] FlowDocumentPageViewer に使用できる最大の拡大レベル。

構文

'Declaration
Protected Read Property MaxZoom As Double

アクセス

読み取り専用。


MaxZoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader に使用できる最大の拡大レベル。

構文

'Declaration
Protected Read Property MaxZoom As Double

アクセス

読み取り専用。


MaxZoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] FlowDocumentScrollViewer に使用できる最大の拡大レベル。

構文

'Declaration
Protected Read Property MaxZoom As Double

アクセス

読み取り専用。


Minimum プロパティ (WPFRangeBase)

クラス

WPFRangeBase.

処理

[読み取り専用] 範囲要素に指定できる最小の値。

構文

'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


MinLines プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] 表示行の最小数。

構文

'Declaration
Protected Read Property MinLines As Integer

アクセス

読み取り専用。


MinZoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] FlowDocumentPageViewer に使用できる最小の拡大レベル。

構文

'Declaration
Protected Read Property MinZoom As Double

アクセス

読み取り専用。


MinZoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader に使用できる最小の拡大レベル。

構文

'Declaration
Protected Read Property MinZoom As Double

アクセス

読み取り専用。


MinZoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] FlowDocumentScrollViewer に使用できる最小の拡大レベル。

構文

'Declaration
Protected Read Property MinZoom As Double

アクセス

読み取り専用。


MoveDown メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 16 デバイス非依存ピクセル下にスクロールします。

構文

documentViewer.MoveDown()


MoveLeft メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 16 デバイス非依存ピクセル左にスクロールします。

構文

documentViewer.MoveLeft()


MoveRight メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 16 デバイス非依存ピクセル右にスクロールします。

構文

documentViewer.MoveRight()


MoveUp メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 16 デバイス非依存ピクセル上にスクロールします。

構文

documentViewer.MoveUp()


Name プロパティ (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

[読み取り専用] 要素の識別名。

構文

'Declaration
Protected Read Property Name As String

アクセス

読み取り専用。


Navigate メソッド (WPFFrame)

クラス

WPFFrame.

処理

指定したソース コンテンツに非同期に移動します。

構文

result = frame.Navigate(uri)
変数 | 説明
result | 移動がキャンセルされた場合 true、それ以外の場合 false。 Boolean。
uri | 目的のコンテンツの URI。 String。


Navigate メソッド (WPFHyperlink)

クラス

WPFHyperlink.

処理

ハイパーリンクのクリックを実行します。

構文

hyperlink.Navigate()


Navigate メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

指定したソース コンテンツに非同期に移動します。

構文

result = navigationWindow.Navigate(uri)
変数 | 説明
result | 移動がキャンセルされた場合 true、それ以外の場合 false。 Boolean。
uri | 目的のコンテンツの URI。 String。


NavigateUri プロパティ (WPFHyperlink)

クラス

WPFHyperlink.

処理

[読み取り専用] Hyperlink がアクティブになったときの移動先の URI。

構文

'Declaration
Protected Read Property NavigateUri As String

アクセス

読み取り専用。


NextPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

次のページに移動します。

構文

documentViewerBase.NextPage()


NextPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

次のページに移動します。

構文

flowDocumentReader.NextPage()


OpenContextMenu メソッド (WPFBase)

クラス

WPFBase.

処理

指定した位置でコンテキスト メニューを開きます。

構文

base.OpenContextMenu([pos])
変数 | 説明
pos | 省略可能: コンテキスト メニューを開くために、関数を呼び出す要素に相対の座標。 Point。


OpenContextMenuSelect メソッド (WPFBase)

クラス

WPFBase.

処理

コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します。

構文

base.OpenContextMenuSelect(item, [pos])
変数 | 説明
item | 選択するメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。サブメニューからメニュー項目を選択する場合には、メニュー項目の名前をスラッシュで区切ります。項目には、ワイルドカード '?'（1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。
pos | 省略可能: コンテキスト メニューを開くために、関数を呼び出す要素に相対の座標：。 Point。

例

' 指定した位置でコンテキスト メニューを開き、メニュー項目 'コピー' を選択します
window.OpenContextMenuSelect("コピー", New Point(100, 50))

' ウィンドウの中央で右クリックしてコンテキスト メニューを開き、'送信' メニュー項目のサブメニューにある 'メールの宛先' を選択します
window.OpenContextMenuSelect("送信/メールの宛先")

' 指定した位置でコンテキスト メニューを開き、'送信' メニュー項目のサブメニューにある 4 番目のメニュー項目を選択します
window.OpenContextMenuSelect("送信/[3]", New Point(100, 50))


Open メソッド (WPFComboBox)

クラス

WPFComboBox.

処理

コンボボックスを開きます。

構文

comboBox.Open()


OpenOverflowItems メソッド (WPFToolBar)

クラス

WPFToolBar.

処理

オーバーフロー ツールバー項目の領域を開きます。

構文

toolBar.OpenOverflowItems()


OpenSubmenu メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

サブメニューが利用可能な場合に開きます。

構文

menuItem.OpenSubmenu()


Orientation プロパティ (WPFScrollBar)

クラス

WPFScrollBar.

処理

[読み取り専用] ScrollBar を水平または垂直のどちらで表示するか。

構文

'Declaration
Protected Read Property Orientation As Orientation

アクセス

読み取り専用。


Orientation プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider を水平または垂直のどちらで表示するか。

構文

'Declaration
Protected Read Property Orientation As Orientation

アクセス

読み取り専用。


Orientation プロパティ (WPFToolBar)

クラス

WPFToolBar.

処理

[読み取り専用] ToolBar の向き。

構文

'Declaration
Protected Read Property Orientation As Orientation

アクセス

読み取り専用。


Orientation プロパティ (WPFToolBarTray)

クラス

WPFToolBarTray.

処理

[読み取り専用] ToolBarTray の向き。

構文

'Declaration
Protected Read Property Orientation As Orientation

アクセス

読み取り専用。


PageCount プロパティ (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

[読み取り専用] 現在のドキュメントの合計ページ数。

構文

'Declaration
Protected Read Property PageCount As Integer

アクセス

読み取り専用。


PageCount プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] 現在のドキュメントの合計ページ数。

構文

'Declaration
Protected Read Property PageCount As Integer

アクセス

読み取り専用。


PageNumber プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] 現在のマスター ページのページ番号。

構文

'Declaration
Protected Read Property PageNumber As Integer

アクセス

読み取り専用。


PasswordChar プロパティ (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

[読み取り専用] PasswordBox のマスク文字。

構文

'Declaration
Protected Read Property PasswordChar As String

アクセス

読み取り専用。


Paste メソッド (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。

構文

passwordBox.Paste()


Paste メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。

構文

textBoxBase.Paste()


Pause メソッド (WPFMediaElement)

クラス

WPFMediaElement.

処理

メディアを現在の位置で一時停止します。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。

構文

mediaElement.Pause()


Placement プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] ContextMenu の Placement プロパティ。 これは依存関係プロパティです。

構文

'Declaration
Protected Read Property Placement As PlacementMode

アクセス

読み取り専用。


PlacementRectangle プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] コンテキスト メニューが開くときに配置の基準となる領域。 これは依存関係プロパティです。

構文

'Declaration
Protected Read Property PlacementRectangle As Rectangle

アクセス

読み取り専用。


Play メソッド (WPFMediaElement)

クラス

WPFMediaElement.

処理

メディアを現在の位置から再生します。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。

構文

mediaElement.Play()


PointFromScreen メソッド (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

画面座標における Point を、Visual の現在の座標系を表す Point に変換します。

構文

result = frameworkElement.PointFromScreen(point)
変数 | 説明
result | 変換された Point。 Point。
point | 画面座標上の Point 値。 Point。


PointToScreen メソッド (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

Visual の現在の座標系を表す Point を、画面座標における Point に変換します。

構文

result = frameworkElement.PointToScreen(point)
変数 | 説明
result | 変換された Point。 Point。
point | Visual の現在の座標系を表す Point 値。 Point。


Position プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] メディアの再生の経過時間を示す現在の位置。

構文

'Declaration
Protected ReadWrite Property Position As Double

アクセス

読み書き。


PreviousPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

前のページに移動します。

構文

documentViewerBase.PreviousPage()


PreviousPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

前のページに移動します。

構文

flowDocumentReader.PreviousPage()


Redo メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位をやり直します。

構文

result = textBoxBase.Redo()
変数 | 説明
result | Boolean。


Refresh メソッド (WPFFrame)

クラス

WPFFrame.

処理

現在のコンテンツを再読み込みします。

構文

frame.Refresh()


Refresh メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

現在のコンテンツを再読み込みします。

構文

navigationWindow.Refresh()


Resize メソッド (WPFColumnHeader)

クラス

WPFColumnHeader.

処理

列ヘッダーのサイズを変更します。

構文

columnHeader.Resize(value)
変数 | 説明
value | 新しい幅。 Double。


Role プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目のロールを示す値。

構文

'Declaration
Protected Read Property Role As MenuItemRole

アクセス

読み取り専用。


ScrollIntoView メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

指定したセルをビューにスクロールします。

構文

dataGrid.ScrollIntoView(row, [column])
変数 | 説明
row | スクロールする行。 ItemIdentifier。
column | 省略可能: スクロールする列。 ItemIdentifier。


ScrollIntoView メソッド (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

セルをビューにスクロールします。

構文

dataGridCell.ScrollIntoView()


ScrollIntoView メソッド (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

行をビューにスクロールします。

構文

dataGridRow.ScrollIntoView()


ScrollIntoView メソッド (WPFListBox)

クラス

WPFListBox.

処理

項目をビューにスクロールします。

構文

listBox.ScrollIntoView(item)
変数 | 説明
item | ビューにスクロールする項目。 ItemIdentifier。


ScrollIntoView メソッド (WPFListBoxItem)

クラス

WPFListBoxItem.

処理

項目をビューにスクロールします。

構文

listBoxItem.ScrollIntoView()


ScrollIntoView メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

指定したセルをビューにスクロールします。

構文

toolkitDataGrid.ScrollIntoView(row, [column])
変数 | 説明
row | スクロールする行。 ItemIdentifier。
column | 省略可能: スクロールする列。 ItemIdentifier。


ScrollIntoView メソッド (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

セルをビューにスクロールします。

構文

toolkitDataGridCell.ScrollIntoView()


ScrollIntoView メソッド (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

行をビューにスクロールします。

構文

toolkitDataGridRow.ScrollIntoView()


Scroll メソッド (IWPFScrollable)

クラス

IWPFScrollable.

処理

ScrollViewer の値を指定した scrolldestination に設定します。

構文

iWPFScrollable.Scroll(scrolldestination)
変数 | 説明
scrolldestination | ScrollViewer に設定する値。 ScrollDestination。


ScrollPageDown メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

1 ビューポート下にスクロールします。

構文

documentViewer.ScrollPageDown()


ScrollPageLeft メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

1 ビューポート左にスクロールします。

構文

documentViewer.ScrollPageLeft()


ScrollPageRight メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

1 ビューポート右にスクロールします。

構文

documentViewer.ScrollPageRight()


ScrollPageUp メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

1 ビューポート上にスクロールします。

構文

documentViewer.ScrollPageUp()


ScrollToLine メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定された行インデックス位置の行が表示されるまでスクロールします。

構文

textBox.ScrollToLine(lineIndex)
変数 | 説明
lineIndex | 表示されるまでスクロールする行の 0 を基準とした行インデックス。 Integer。


ScrollToPosition メソッド (IWPFScrollable)

クラス

IWPFScrollable.

処理

ScrollViewer の位置を設定します。

構文

iWPFScrollable.ScrollToPosition(offset, orientation)
変数 | 説明
offset | ScrollViewer の値。 Double。
orientation | 設定するスクロールバーが水平方向か垂直方向かを指定。 Orientation。


SelectAll メソッド (WPFListBox)

クラス

WPFListBox.

処理

リスト ボックス内のすべての項目を選択します。

構文

listBox.SelectAll()


SelectAll メソッド (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

PasswordBox のすべての内容を選択します。

構文

passwordBox.SelectAll()


SelectAll メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト編集コントロールのすべての内容を選択します。

構文

textBoxBase.SelectAll()


SelectCell メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

指定したセルを選択します。

構文

dataGrid.SelectCell(row, column, [modifiers])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 選択するセル。 ItemIdentifier。
modifiers | 省略可能: セルを選択する際に押下する修飾キー。 複数の項目を選択するために使用します。 ModifierKeys。


SelectCell メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

指定したセルを選択します。

構文

toolkitDataGrid.SelectCell(row, column, [modifiers])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 選択するセル。 ItemIdentifier。
modifiers | 省略可能: セルを選択する際に押下する修飾キー。 複数の項目を選択するために使用します。 ModifierKeys。


SelectDate メソッド (WPFCalendar)

クラス

WPFCalendar.

処理

指定した日付を選択して、現在の選択をクリアします。

構文

calendar.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDate メソッド (WPFDatePicker)

クラス

WPFDatePicker.

処理

指定した日付を選択します。

構文

datePicker.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDate メソッド (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

指定した日付を選択して、現在の選択をクリアします。

構文

toolkitCalendar.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDate メソッド (WPFToolkitDatePicker)

クラス

WPFToolkitDatePicker.

処理

指定した日付を選択します。

構文

toolkitDatePicker.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDates メソッド (WPFCalendar)

クラス

WPFCalendar.

処理

指定した日付を選択して、現在の選択をクリアします。

構文

calendar.SelectDates(dates)
変数 | 説明
dates | 選択する日付。 List(Of DateTime?)。


SelectDates メソッド (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

指定した日付を選択して、現在の選択をクリアします。

構文

toolkitCalendar.SelectDates(dates)
変数 | 説明
dates | 選択する日付。 List(Of DateTime?)。


SelectedCell プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドで選択されたセル。

構文

'Declaration
Protected Read Property SelectedCell As WPFDataGridCell

アクセス

読み取り専用。


SelectedCell プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドで選択されたセル。

構文

'Declaration
Protected Read Property SelectedCell As WPFToolkitDataGridCell

アクセス

読み取り専用。


SelectedCells プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] 現在選択されているセルのリスト。

構文

'Declaration
Protected Read Property SelectedCells As List(Of WPFDataGridCell)

アクセス

読み取り専用。


SelectedCells プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] 現在選択されているセルのリスト。

構文

'Declaration
Protected Read Property SelectedCells As List(Of WPFToolkitDataGridCell)

アクセス

読み取り専用。


SelectedCellText プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空の文字列。

構文

'Declaration
Protected Read Property SelectedCellText As String

アクセス

読み取り専用。


SelectedCellText プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空の文字列。

構文

'Declaration
Protected Read Property SelectedCellText As String

アクセス

読み取り専用。


SelectedCellTexts プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空のリスト。

構文

'Declaration
Protected Read Property SelectedCellTexts As List(Of String)

アクセス

読み取り専用。


SelectedCellTexts プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空のリスト。

構文

'Declaration
Protected Read Property SelectedCellTexts As List(Of String)

アクセス

読み取り専用。


SelectedDate プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 現在選択されている日付。

構文

'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (WPFDatePicker)

クラス

WPFDatePicker.

処理

[読み取り専用] 現在選択されている日付。

構文

'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 現在選択されている日付。

構文

'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (WPFToolkitDatePicker)

クラス

WPFToolkitDatePicker.

処理

[読み取り専用] 現在選択されている日付。

構文

'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDates プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 選択された日付のリスト。

構文

'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

アクセス

読み取り専用。


SelectedDates プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 選択された日付のリスト。

構文

'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

アクセス

読み取り専用。


SelectedIndex プロパティ (WPFSelector)

クラス

WPFSelector.

処理

[読み取り専用] 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedItemPath プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] 選択された項目パスを取得します。選択されていない場合は空の項目パス。

構文

'Declaration
Protected Read Property SelectedItemPath As ItemPath

アクセス

読み取り専用。


SelectedItem プロパティ (WPFSelector)

クラス

WPFSelector.

処理

[読み取り専用] 現在選択されている最初の項目。選択範囲が空の場合は Nothing を返します。

構文

'Declaration
Protected Read Property SelectedItem As WPFBase

アクセス

読み取り専用。


SelectedItem プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は Nothing を返します。

構文

'Declaration
Protected Read Property SelectedItem As WPFTreeViewItem

アクセス

読み取り専用。


SelectedItems プロパティ (WPFListBox)

クラス

WPFListBox.

処理

[読み取り専用] 現在選択されている項目。 完全な項目のリストは "Items" プロパティを使って取得できます。

構文

'Declaration
Protected Read Property SelectedItems As List(Of WPFListBoxItem)

アクセス

読み取り専用。


SelectedItems プロパティ (WPFMultiSelector)

クラス

WPFMultiSelector.

処理

[読み取り専用] 選択された MultiSelector の項目。

構文

'Declaration
Protected Read Property SelectedItems As List(Of WPFListBoxItem)

アクセス

読み取り専用。


SelectedItemText プロパティ (WPFSelector)

クラス

WPFSelector.

処理

[読み取り専用] 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemTexts プロパティ (WPFListBox)

クラス

WPFListBox.

処理

[読み取り専用] 現在選択されているすべての項目のテキストを含んだ文字列のリスト。

構文

'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

アクセス

読み取り専用。


SelectedItemTexts プロパティ (WPFMultiSelector)

クラス

WPFMultiSelector.

処理

[読み取り専用] 選択された MultiSelector の項目のテキスト。

構文

'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

アクセス

読み取り専用。


SelectedText プロパティ (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

[読み取り専用] テキスト ボックス内の現在の選択の内容。 このプロパティを取得すると現在の文字列のコピーが返されます。 このプロパティを設定すると現在の選択範囲が指定された文字列で置換されます。

構文

'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


SelectedText プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックス内の現在の選択の内容。 このプロパティを取得すると現在のテキストの文字列のコピーが返されます。 このプロパティを設定すると現在の選択範囲が指定された文字列で置換されます。

構文

'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


SelectionEnd プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider で指定された選択範囲の最大値。

構文

'Declaration
Protected Read Property SelectionEnd As Double

アクセス

読み取り専用。


SelectionLength プロパティ (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

[読み取り専用] テキスト ボックス内の現在の選択範囲の文字数。

構文

'Declaration
Protected Read Property SelectionLength As Integer

アクセス

読み取り専用。


SelectionLength プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックス内の現在の選択範囲の文字数。

構文

'Declaration
Protected Read Property SelectionLength As Integer

アクセス

読み取り専用。


SelectionMode プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 許可されている選択の種類を示す値。

構文

'Declaration
Protected Read Property SelectionMode As CalendarSelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッド内の行やセルの選択方法を示す値。

構文

'Declaration
Protected Read Property SelectionMode As DataGridSelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (WPFListBox)

クラス

WPFListBox.

処理

[読み取り専用] ListBox の選択動作。

構文

'Declaration
Protected Read Property SelectionMode As SelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 許可されている選択の種類を示す値。

構文

'Declaration
Protected Read Property SelectionMode As CalendarSelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッド内の行やセルの選択方法を示す値。

構文

'Declaration
Protected Read Property SelectionMode As DataGridSelectionMode

アクセス

読み取り専用。


Selection プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] DocumentViewer の選択されたコンテンツ。

構文

'Declaration
Protected Read Property Selection As String

アクセス

読み取り専用。


Selection プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] FlowDocumentPageViewer の選択されたコンテンツ。

構文

'Declaration
Protected Read Property Selection As String

アクセス

読み取り専用。


Selection プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader の選択されたコンテンツ。

構文

'Declaration
Protected Read Property Selection As String

アクセス

読み取り専用。


Selection プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] FlowDocumentScrollViewer の選択されたコンテンツ。

構文

'Declaration
Protected Read Property Selection As String

アクセス

読み取り専用。


SelectionStart プロパティ (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

[読み取り専用] 現在の選択範囲の開始位置の文字インデックス。

構文

'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。


SelectionStart プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider で指定された選択範囲の最小値。

構文

'Declaration
Protected Read Property SelectionStart As Double

アクセス

読み取り専用。


SelectionStart プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] 現在の選択範囲の開始位置の文字インデックス。

構文

'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。


SelectionUnit プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドで選択できるのが行、セル、または両方かどうかを示す値。

構文

'Declaration
Protected Read Property SelectionUnit As DataGridSelectionUnit

アクセス

読み取り専用。


SelectionUnit プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドで選択できるのが行、セル、または両方かどうかを示す値。

構文

'Declaration
Protected Read Property SelectionUnit As DataGridSelectionUnit

アクセス

読み取り専用。


Select メソッド (WPFButtonBase)

クラス

WPFButtonBase.

処理

ボタンを選択します。

構文

buttonBase.Select()


Select メソッド (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

セルを選択します。

構文

dataGridCell.Select()


Select メソッド (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

行を選択します。

構文

dataGridRow.Select()


Select メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

テキストの範囲を選択します。

構文

documentViewer.Select(text, [occurrence])
変数 | 説明
text | 選択するテキスト。 String。
occurrence | 省略可能: 指定した選択するテキストの 0 を基準とした出現回数。 The value is zero-based.。 Integer。


Select メソッド (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

テキストの範囲を選択します。

構文

flowDocumentPageViewer.Select(text, [occurrence])
変数 | 説明
text | 選択するテキスト。 String。
occurrence | 省略可能: 指定した選択するテキストの 0 を基準とした出現回数。 The value is zero-based.。 Integer。


Select メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

テキストの範囲を選択します。

構文

flowDocumentReader.Select(text, [occurrence])
変数 | 説明
text | 選択するテキスト。 String。
occurrence | 省略可能: 指定した選択するテキストの 0 を基準とした出現回数。 The value is zero-based.。 Integer。


Select メソッド (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

テキストの範囲を選択します。

構文

flowDocumentScrollViewer.Select(text, [occurrence])
変数 | 説明
text | 選択するテキスト。 String。
occurrence | 省略可能: 指定した選択するテキストの 0 を基準とした出現回数。 The value is zero-based.。 Integer。


Select メソッド (WPFListBoxItem)

クラス

WPFListBoxItem.

処理

リスト ボックス項目を選択します。

構文

listBoxItem.Select()


Select メソッド (WPFMenuBase)

クラス

WPFMenuBase.

処理

メニュー項目を選択します。

構文

menuBase.Select(item)
変数 | 説明
item | 選択するメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目を選択する場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。

例

' 'ファイル' メニューから '開く' メニュー項目を選択します
menu.Select("ファイル/開く")


Select メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

メニュー項目を選択します。

構文

menuItem.Select()


Select メソッド (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

テキスト ボックス内のテキストの範囲を選択します。

構文

richTextBox.Select(start, length)
変数 | 説明
start | 選択範囲の開始位置。 Integer。
length | 開始位置から選択する文字数。 Integer。


Select メソッド (WPFSelector)

クラス

WPFSelector.

処理

ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。

構文

selector.Select(item, [modifiers])
変数 | 説明
item | 選択する項目。 ItemIdentifier。
modifiers | 省略可能: 項目を選択する際に押下する修飾キー。 複数選択 ListBox で複数の項目を選択するために使用します。 ModifierKeys。


Select メソッド (WPFTabItem)

クラス

WPFTabItem.

処理

項目を選択します。

構文

tabItem.Select()


Select メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

テキスト ボックス内のテキストの範囲を選択します。

構文

textBox.Select(start, length)
変数 | 説明
start | 選択範囲の最初の文字を示す 0 を基準としたインデックス。 Integer。
length | 選択範囲の長さ (文字単位)。 Integer。


Select メソッド (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

セルを選択します。

構文

toolkitDataGridCell.Select()


Select メソッド (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

行を選択します。

構文

toolkitDataGridRow.Select()


Select メソッド (WPFTreeView)

クラス

WPFTreeView.

処理

指定した項目を選択します。

構文

treeView.Select(item)
変数 | 説明
item | 選択する項目。 ItemPath。


Select メソッド (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

項目を選択します。

構文

treeViewItem.Select()


SelectRange メソッド (WPFCalendar)

クラス

WPFCalendar.

処理

日付の範囲を選択します。

構文

calendar.SelectRange(startDate, endDate, [extend])
変数 | 説明
startDate | 選択範囲の開始日時。 DateTime?。
endDate | 選択範囲の終了日時。 DateTime?。
extend | 省略可能: 現在の選択範囲を拡張するかどうか。 Boolean。


SelectRange メソッド (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

日付の範囲を選択します。

構文

toolkitCalendar.SelectRange(startDate, endDate, [extend])
変数 | 説明
startDate | 選択範囲の開始日時。 DateTime?。
endDate | 選択範囲の終了日時。 DateTime?。
extend | 省略可能: 現在の選択範囲を拡張するかどうか。 Boolean。


SetDisplayDate メソッド (WPFCalendar)

クラス

WPFCalendar.

処理

表示する日付を設定します。

構文

calendar.SetDisplayDate(dateToDisplay)
変数 | 説明
dateToDisplay | 設定する日付。 DateTime?。


SetDisplayDate メソッド (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

表示する日付を設定します。

構文

toolkitCalendar.SetDisplayDate(dateToDisplay)
変数 | 説明
dateToDisplay | 設定する日付。 DateTime?。


SetIndeterminate メソッド (WPFToggleButton)

クラス

WPFToggleButton.

処理

ボタンを不確定状態に設定します。

構文

toggleButton.SetIndeterminate()


SetText メソッド (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

テキストを設定します。

構文

passwordBox.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


SetText メソッド (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

テキストを設定します。

構文

richTextBox.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


SetText メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

テキストを設定します。

構文

textBox.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


SetValue メソッド (WPFScrollBar)

クラス

WPFScrollBar.

処理

ScrollBar の値を設定します。

構文

scrollBar.SetValue(value)
変数 | 説明
value | ScrollBar に設定する値。 Double。


SetValue メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を設定します。

構文

slider.SetValue(value)
変数 | 説明
value | Slider に設定する値。 Double。


SetValueToMaximum メソッド (WPFScrollBar)

クラス

WPFScrollBar.

処理

ScrollBar を最大値に設定します。

構文

scrollBar.SetValueToMaximum()


SetValueToMaximum メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider を最大の位置に設定します。

構文

slider.SetValueToMaximum()


SetValueToMinimum メソッド (WPFScrollBar)

クラス

WPFScrollBar.

処理

ScrollBar を最小値に設定します。

構文

scrollBar.SetValueToMinimum()


SetValueToMinimum メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider を最小の位置に設定します。

構文

slider.SetValueToMinimum()


SmallChange プロパティ (WPFRangeBase)

クラス

WPFRangeBase.

処理

[読み取り専用] RangeBase コントロールの値に対して加算または減算する値。

構文

'Declaration
Protected Read Property SmallChange As Double

アクセス

読み取り専用。


Source プロパティ (WPFFrame)

クラス

WPFFrame.

処理

[読み取り専用] 現在のコンテンツの URI（Uniform Resource Identifier）。

構文

'Declaration
Protected Read Property Source As String

アクセス

読み取り専用。


Source プロパティ (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

[読み取り専用] 現在のコンテンツの URI（Uniform Resource Identifier）。

構文

'Declaration
Protected Read Property Source As String

アクセス

読み取り専用。


SpeedRatio プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] メディアの速度比率。

構文

'Declaration
Protected ReadWrite Property SpeedRatio As Double

アクセス

読み書き。


State プロパティ (WPFToggleButton)

クラス

WPFToggleButton.

処理

[読み取り専用] ボタンの状態。

構文

'Declaration
Protected Read Property State As ButtonState

アクセス

読み取り専用。


StaysOpenOnClick プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] この MenuItem が配置されているサブメニューは、この項目がクリックされても閉じないことを示す値。

構文

'Declaration
Protected Read Property StaysOpenOnClick As Boolean

アクセス

読み取り専用。


StaysOpenOnEdit プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] 開いている ComboBox にドロップダウン コントロールが表示されている場合、ユーザーが TextBox をクリックしたときに、このコンボ ボックスが開いたままになるかどうか。

構文

'Declaration
Protected Read Property StaysOpenOnEdit As Boolean

アクセス

読み取り専用。


StaysOpen プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] コンテキスト メニューが自動的に閉じるかどうかを示す値。 これは依存関係プロパティです。

構文

'Declaration
Protected Read Property StaysOpen As Boolean

アクセス

読み取り専用。


StaysOpen プロパティ (WPFPopup)

クラス

WPFPopup.

処理

[読み取り専用] Popup コントロールにフォーカスがない場合に、このコントロールが閉じるかどうかを示す値。

構文

'Declaration
Protected Read Property StaysOpen As Boolean

アクセス

読み取り専用。


StopLoading メソッド (WPFFrame)

クラス

WPFFrame.

処理

現在のナビゲーション要求に対応するコンテンツのダウンロードを中止します。

構文

frame.StopLoading()


StopLoading メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

現在のナビゲーション要求に対応するコンテンツのダウンロードを中止します。

構文

navigationWindow.StopLoading()


Stop メソッド (WPFMediaElement)

クラス

WPFMediaElement.

処理

メディアを停止し、最初から再生できるようにリセットします。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。

構文

mediaElement.Stop()


SwitchViewingMode メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

表示モードを切り替えます。

構文

flowDocumentReader.SwitchViewingMode(viewingMode)
変数 | 説明
viewingMode | 切り替える表示モード。 ViewingMode。


TabIndex プロパティ (WPFControl)

クラス

WPFControl.

処理

[読み取り専用] ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。

構文

'Declaration
Protected Read Property TabIndex As Integer

アクセス

読み取り専用。


TargetName プロパティ (WPFHyperlink)

クラス

WPFHyperlink.

処理

[読み取り専用] Hyperlink の対象となるウィンドウまたはフレームの名前。

構文

'Declaration
Protected Read Property TargetName As String

アクセス

読み取り専用。


TextAlignment プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] テキスト コンテンツの水平方向の配置を示す値。

構文

'Declaration
Protected Read Property TextAlignment As TextAlignment

アクセス

読み取り専用。


TextAlignment プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックスのコンテンツの水平方向の配置を示す値。

構文

'Declaration
Protected Read Property TextAlignment As TextAlignment

アクセス

読み取り専用。


TextTrimming プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] コンテンツ領域がいっぱいになったときに使用するテキストのトリミング動作。

構文

'Declaration
Protected Read Property TextTrimming As TextTrimming

アクセス

読み取り専用。


TextWrapping プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] TextBlock のテキスト折り返し方法を示す値。

構文

'Declaration
Protected Read Property TextWrapping As TextWrapping

アクセス

読み取り専用。


TextWrapping プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックスのテキスト折り返し方法を示す値。

構文

'Declaration
Protected Read Property TextWrapping As TextWrapping

アクセス

読み取り専用。


TickFrequency プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] 目盛りの間隔。

構文

'Declaration
Protected Read Property TickFrequency As Double

アクセス

読み取り専用。


TickPlacement プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider の目盛りを配置する場合の Track に対する位置。

構文

'Declaration
Protected Read Property TickPlacement As TickPlacement

アクセス

読み取り専用。


Title プロパティ (WPFPage)

クラス

WPFPage.

処理

[読み取り専用] ページのタイトル。

構文

'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。


Title プロパティ (WPFWindow)

クラス

WPFWindow.

処理

[読み取り専用] ウィンドウのタイトル。

構文

'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。


ToggleFindDialog メソッド (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

検索ダイアログを切り替えます。

構文

flowDocumentPageViewer.ToggleFindDialog()


ToggleFindDialog メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

検索ダイアログを切り替えます。

構文

flowDocumentReader.ToggleFindDialog()


ToggleFindDialog メソッド (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

検索ダイアログを切り替えます。

構文

flowDocumentScrollViewer.ToggleFindDialog()


ToolBars プロパティ (WPFToolBarTray)

クラス

WPFToolBarTray.

処理

[読み取り専用] ToolBarTray 内の ToolBar 要素のコレクション。

構文

'Declaration
Protected Read Property ToolBars As List(Of WPFToolBar)

アクセス

読み取り専用。


ToolTip プロパティ (WPFBase)

クラス

WPFBase.

処理

[読み取り専用] ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。

構文

'Declaration
Protected Read Property ToolTip As String

アクセス

読み取り専用。


Uncheck メソッド (WPFMenuBase)

クラス

WPFMenuBase.

処理

メニュー項目のチェックを外します。

構文

menuBase.Uncheck(item)
変数 | 説明
item | チェックを外すメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目のチェックを外す場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。

例

' '書式' メニューにある '右端で折り返す' メニュー項目のチェックを外します
menu.Uncheck("書式/右端で折り返す")


Uncheck メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

メニュー項目のチェックを外します。

構文

menuItem.Uncheck()


Uncheck メソッド (WPFToggleButton)

クラス

WPFToggleButton.

処理

ボタンのチェックを外します。

構文

toggleButton.Uncheck()


Undo メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位を取り消します。

構文

result = textBoxBase.Undo()
変数 | 説明
result | Boolean。


VerticalOffset プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] 対象の左開始位置からポップアップの配置ポイントまでの縦方向の距離。 これは依存関係プロパティです。

構文

'Declaration
Protected Read Property VerticalOffset As Double

アクセス

読み取り専用。


VerticalOffset プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] 垂直方向のスクロール位置。

構文

'Declaration
Protected Read Property VerticalOffset As Double

アクセス

読み取り専用。


VerticalScrollBarVisibility プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] 垂直スクロール バーが表示されるかどうかを示す値。

構文

'Declaration
Protected Read Property VerticalScrollBarVisibility As ScrollBarVisibility

アクセス

読み取り専用。


ViewingMode プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader の表示モード。

構文

'Declaration
Protected Read Property ViewingMode As ViewingMode

アクセス

読み取り専用。


ViewportSize プロパティ (WPFScrollBar)

クラス

WPFScrollBar.

処理

[読み取り専用] 現在表示されるスクロール可能なコンテンツの量。 これは依存関係プロパティです。

構文

'Declaration
Protected Read Property ViewportSize As Double

アクセス

読み取り専用。


VisibleItemPaths プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] ツリーに表示される項目の項目パス。

構文

'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


Volume プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] メディアのボリューム。

構文

'Declaration
Protected ReadWrite Property Volume As Double

アクセス

読み書き。


ZoomIncrement プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] ズーム インクリメント。

構文

'Declaration
Protected Read Property ZoomIncrement As Double

アクセス

読み取り専用。


ZoomIncrement プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] ズーム インクリメント。

構文

'Declaration
Protected Read Property ZoomIncrement As Double

アクセス

読み取り専用。


ZoomIncrement プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] ズーム インクリメント。

構文

'Declaration
Protected Read Property ZoomIncrement As Double

アクセス

読み取り専用。


Zoom プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] ドキュメントのズーム倍率。

構文

'Declaration
Protected Read Property Zoom As Double

アクセス

読み取り専用。


Zoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] FlowDocumentPageViewer の現在のズーム レベル。

構文

'Declaration
Protected Read Property Zoom As Double

アクセス

読み取り専用。


Zoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader の現在のズーム レベル。

構文

'Declaration
Protected Read Property Zoom As Double

アクセス

読み取り専用。


Zoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] FlowDocumentScrollViewer の現在のズーム レベル。

構文

'Declaration
Protected Read Property Zoom As Double

アクセス

読み取り専用。


ZoomToActualSize メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ズームを 100% に設定します。

構文

documentViewer.ZoomToActualSize()


AcceptAlert メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

OK を押して JavaScript 警告を承認します。

構文

browserWindow.AcceptAlert([promptInput])
変数 | 説明
promptInput | 省略可能: JavaScript 警告に入力が求められている場合、このテキストが警告に渡されます。 String。


AllowsMultiSelect プロパティ (DomListBox)

クラス

DomListBox.

処理

[読み書き可能] コントロールが複数選択可能かどうか。

構文

'Declaration
Protected ReadWrite Property AllowsMultiSelect As Boolean

アクセス

読み書き。


Back メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

履歴の "戻る" エントリに移動します。

構文

browserWindow.Back()


Check メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスをチェックします。

構文

checkBox.Check()


ClearCache メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

ブラウザーのキャッシュをクリアします。

このメソッドは Internet Explorer でのみサポートされています。

構文

webBrowser.ClearCache([option])
変数 | 説明
option | 省略可能: 0: すべて削除。 1: インターネット一時ファイルの削除。 3: Cookie の削除。 Integer。


ClearText メソッド (DomTextField)

クラス

DomTextField.

処理

テキスト フィールドのテキストをクリアします。

構文

textField.ClearText()


Close メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

モーダル ブラウザー ダイアログ、ブラウザーのタブ、または最後のタブの場合は (または IE6 の場合) ブラウザー自身を閉じます。

構文

browserWindow.Close()


CloseOtherTabs メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

アクティブなタブ以外のすべてのタブを閉じます。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 このメソッドは選択されているタブ以外のすべてのタブを現在表示されていないタブも含めて閉じます。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

webBrowser.CloseOtherTabs()


CloseTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

指定したタブを閉じます。 タブが指定されていない場合、アクティブなタブが閉じられます。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、現在表示されているタブだけが、インデックスの影響を受けるこの方式と機能します。 たとえば、現在表示されているタブだけを閉じることができます。 インデックス 0 は最初の表示されているタブを識別します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

result = webBrowser.CloseTab([tab])
変数 | 説明
result | タブを閉じた後にアクティブな BrowserWindow。 BrowserWindow。
tab | 省略可能: 閉じるタブ。 タブ名には、ワイルドカード '*' および '?' を含むことができます。 ItemIdentifier。


DismissAlert メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

JavaScript 警告を解除します。

構文

browserWindow.DismissAlert()


DomClick メソッド (DomElement)

クラス

DomElement.

処理

DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。

構文

element.DomClick([button, pos])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央,.. になります。 MouseButton。
pos | 省略可能: クリックする座標（ウィンドウに相対）。 Point。


DomDoubleClick メソッド (DomElement)

クラス

DomElement.

処理

DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

element.DomDoubleClick([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央,.. になります。 MouseButton。
pos | 省略可能: クリックする座標（ウィンドウに相対）。 Point。
modifiers | 省略可能: 現在、何も効果はありません。SilkTest の今後のバージョンで削除される予定です。 ModifierKeys。


DomMouseMove メソッド (DomElement)

クラス

DomElement.

処理

DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

element.DomMouseMove([pos])
変数 | 説明
pos | 省略可能: 新しいロケーションの座標（ウィンドウに相対）。 Point。


ExecuteJavaScript メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

トップ レベル ドキュメントのコンテキストで JavaScript コードを評価します。

構文

browserWindow.ExecuteJavaScript(code)
変数 | 説明
code | 評価する JavaScript コード。 String。


ExecuteJavaScript メソッド (DomElement)

クラス

DomElement.

処理

親ドキュメントのコンテキストで指定した JavaScript コードを評価します。

構文

element.ExecuteJavaScript(code, [elementName])
変数 | 説明
code | 評価する JavaScript コード。 String。
elementName | 省略可能: スクリプトで使用できる現在の要素の名前 (たとえば、'alert(currentElement.tagName);' はメッセージ ボックスを開き、現在の要素のタグ名を表示します)。 String。


ExistsTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

タブが存在する場合に true、それ以外は false を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

result = webBrowser.ExistsTab(tab)
変数 | 説明
result | タブが存在する場合に true、それ以外は false。 Boolean。
tab | タブの場所を決定する項目識別子。 ItemIdentifier。


Forward メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

履歴の "進む" エントリに移動します。

構文

browserWindow.Forward()


GetActiveTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

GetActiveTab メソッドは推奨されません。 Silk Test 2011 以降では、代わりに GetSelectedTab メソッドを使用してください。

アクティブなタブを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

activeTab = webBrowser.GetActiveTab()
変数 | 説明
activeTab | 現在アクティブな BrowserWindow。 BrowserWindow。


GetAlertText メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

JavaScript 警告のメッセージ テキストを取得します。

構文

alertText = browserWindow.GetAlertText()
変数 | 説明
alertText | String。


GetBrowserMajorVersion メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザーのメジャー バージョン番号を返します。

構文

browserMajorVersion = browserWindow.GetBrowserMajorVersion()
変数 | 説明
browserMajorVersion | Integer。


GetCellCount メソッド (DomTableRow)

クラス

DomTableRow.

処理

このテーブル行のセルの数を返します。

構文

cellCount = tableRow.GetCellCount()
変数 | 説明
cellCount | Integer。


GetCell メソッド (DomTable)

クラス

DomTable.

処理

指定したセルを返します。

構文

cell = table.GetCell(row, col)
変数 | 説明
cell | DomElement。
row | 行のインデックス。 ItemIdentifier。
col | 列のインデックス。 ItemIdentifier。


GetCell メソッド (DomTableRow)

クラス

DomTableRow.

処理

指定したセルの DOM 要素を返します。

構文

cell = tableRow.GetCell(itemIdentifier)
変数 | 説明
cell | DomElement。
itemIdentifier | セルのインデックス。 ItemIdentifier。


GetCellText メソッド (DomTable)

クラス

DomTable.

処理

セル要素のコンテンツを返します。

構文

cellText = table.GetCellText(row, col)
変数 | 説明
cellText | String。
row | 行のインデックス。 ItemIdentifier。
col | 列のインデックス。 ItemIdentifier。


GetColumnCount メソッド (DomTable)

クラス

DomTable.

処理

テーブルの列の数を返します。

構文

columnCount = table.GetColumnCount()
変数 | 説明
columnCount | Integer。


GetCssStyle メソッド (DomElement)

クラス

DomElement.

処理

指定したスタイル名の算出 CSS スタイルを取得します。

構文

cssStyle = element.GetCssStyle(styleName)
変数 | 説明
cssStyle | String。
styleName | CSS スタイル名。 'text-decoration' など。 String。


GetDomAttributeList メソッド (DomElement)

クラス

DomElement.

処理

この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

domAttributeList = element.GetDomAttributeList([specifiedOnly])
変数 | 説明
domAttributeList | List(Of String)。
specifiedOnly | 省略可能: DOM 要素に対して指定した属性のみを返します。 IE9 以降の場合、常に true です。 Boolean。


GetDomAttribute メソッド (DomElement)

クラス

DomElement.

処理

オブジェクトに指定された DOM 属性の値を取得します。

構文

domAttribute = element.GetDomAttribute(attributeName)
変数 | 説明
domAttribute | 属性の値。 Object。
attributeName | 属性の名前。 String。


GetHtmlRect メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

BrowserWindow の矩形領域を HTML ピクセルで取得します。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。

構文

htmlRect = browserWindow.GetHtmlRect()
変数 | 説明
htmlRect | Rectangle。


GetHtmlRect メソッド (DomElement)

クラス

DomElement.

処理

BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。

構文

htmlRect = element.GetHtmlRect()
変数 | 説明
htmlRect | Rectangle。


GetPageSource メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

Web サイトのページのソースを返します。

構文

pageSource = browserWindow.GetPageSource()
変数 | 説明
pageSource | String。


GetRowCount メソッド (DomTable)

クラス

DomTable.

処理

行の数を返します。

構文

rowCount = table.GetRowCount()
変数 | 説明
rowCount | Integer。


GetRow メソッド (DomTable)

クラス

DomTable.

処理

指定した行の DOM 要素を返します。

構文

row = table.GetRow(itemIdentifier)
変数 | 説明
row | DomTableRow。
itemIdentifier | 行のインデックス。 ItemIdentifier。


GetRows メソッド (DomTable)

クラス

DomTable.

処理

行 (DomTableRow) のリストを返します。

構文

rows = table.GetRows()
変数 | 説明
rows | List(Of DomTableRow)。


GetRowText メソッド (DomTable)

クラス

DomTable.

処理

指定した行のすべてのセル要素のコンテンツを返します。

構文

rowText = table.GetRowText(row)
変数 | 説明
rowText | List(Of String)。
row | 行のインデックス。 ItemIdentifier。


GetSelectedTabIndex メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

アクティブなタブのインデックスを返します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、このメソッドは現在表示されているタブに相対的なインデックスのみを返します。 インデックス 0 は最初の表示されているタブを識別します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

selectedTabIndex = webBrowser.GetSelectedTabIndex()
変数 | 説明
selectedTabIndex | Integer。


GetSelectedTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

現在選択されているタブを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

selectedTab = webBrowser.GetSelectedTab()
変数 | 説明
selectedTab | 現在選択されている BrowserWindow。 BrowserWindow。


GetSelectedTabName メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

アクティブなタブの名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

selectedTabName = webBrowser.GetSelectedTabName()
変数 | 説明
selectedTabName | String。


GetTabCount メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

開いているタブの数を返します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、このメソッドは現在表示されているタブの数のみを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

tabCount = webBrowser.GetTabCount()
変数 | 説明
tabCount | Integer。


GetText メソッド (DomElement)

クラス

DomElement.

処理

DOM 要素の表示されるテキストを取得します。

構文

text = element.GetText()
変数 | 説明
text | String。


GetUrl メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

メイン ドキュメントの URL を返します。

構文

url = browserWindow.GetUrl()
変数 | 説明
url | String。


GetUserAgent メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザーのユーザー エージェント文字列を返します。

構文

userAgent = browserWindow.GetUserAgent()
変数 | 説明
userAgent | String。


Highlight メソッド (DomElement)

クラス

DomElement.

処理

DOM 要素をハイライトします。

構文

element.Highlight(foregroundColor, backgroundColor)
変数 | 説明
foregroundColor | ハイライトする DOM 要素の前景色。 red や #ff0000 など、HTML で有効な色を使用できます。 String。
backgroundColor | ハイライトする DOM 要素の背景色。 red や #ff0000 など、HTML で有効な色を使用できます。 String。


IsAlertPresent メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

JavaScript 警告が開いている場合に true を返します。

構文

alertPresent = browserWindow.IsAlertPresent()
変数 | 説明
alertPresent | Boolean。


IsChecked メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスがチェックされている場合は true を、それ以外の場合は false を返します。

構文

checked = checkBox.IsChecked()
変数 | 説明
checked | Boolean。


IsPassword プロパティ (DomTextField)

クラス

DomTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


ItemCount プロパティ (DomListBox)

クラス

DomListBox.

処理

[読み取り専用] リスト ボックスの項目の数。

構文

'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (DomListBox)

クラス

DomListBox.

処理

[読み取り専用] リスト ボックスの項目のリスト。

Silk Test 14.0 以降では、リストの空白類はすべてのサポート対象ブラウザーにおいて一貫してトリムされます。 Silk Test 13.5 以前のバージョンの Silk Test では、ブラウザーのバージョンによって処理がさまざまです。 OPT_COMPATIBILITY オプションを 13.5.0 以下に設定すると、この古い動作が有効になります。

構文

'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


MultiSelect メソッド (DomListBox)

クラス

DomListBox.

処理

項目のリストを選択します。

構文

listBox.MultiSelect(items)
変数 | 説明
items | 選択する項目。 List(Of ItemIdentifier )。


Navigate メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

現在アクティブなタブ/ウィンドウで指定した URL に移動します。

構文

webBrowser.Navigate(url)
変数 | 説明
url | 移動する URL。 String。


Navigate メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

メイン ドキュメントを URL に移動します。

構文

browserWindow.Navigate(url)
変数 | 説明
url | 移動する URL。 String。


OpenTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

新しいタブを開き、指定した URL に移動します。 URL が指定されていない場合には、タブは about:blank に移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

result = webBrowser.OpenTab([url])
変数 | 説明
result | 開かれた BrowserWindow。 BrowserWindow。
url | 省略可能: 新しいタブで移動する URL。 String。


RadioListItemCount プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] ラジオ リストの項目の数。 このプロパティはモバイル Web アプリケーションではサポートされていません。

構文

'Declaration
Protected Read Property RadioListItemCount As Integer

アクセス

読み取り専用。


RadioListItems プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] ラジオ リストの項目のリスト。

Silk Test 14.0 以降では、リストの空白類はすべてのサポート対象ブラウザーにおいて一貫してトリムされます。 Silk Test 13.5 以前のバージョンの Silk Test では、ブラウザーのバージョンによって処理がさまざまです。 OPT_COMPATIBILITY オプションを 13.5.0 以下に設定すると、この古い動作が有効になります。 このプロパティはモバイル Web アプリケーションではサポートされていません。

構文

'Declaration
Protected Read Property RadioListItems As List(Of ItemIdentifier)

アクセス

読み取り専用。


RadioListSelectedIndex プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] 選択する項目のインデックス。 Silk Test 17.5 で削除されたため、このプロパティの set アクセス操作子は機能しません。 このプロパティはモバイル Web アプリケーションではサポートされていません。 The value is zero-based.。

構文

'Declaration
Protected Read Property RadioListSelectedIndex As Integer

アクセス

読み取り専用。


RadioListSelectedItem プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] ラジオ リストで選択されている項目。 Silk Test 17.5 で削除されたため、このプロパティの set アクセス操作子は機能しません。 このプロパティはモバイル Web アプリケーションではサポートされていません。

構文

'Declaration
Protected Read Property RadioListSelectedItem As ItemIdentifier

アクセス

読み取り専用。


RadioListSelect メソッド (DomRadioButton)

クラス

DomRadioButton.

処理

ラジオ リストの項目を選択します。

Silk Test 14.0 以降では、リストの空白類はすべてのサポート対象ブラウザーにおいて一貫してトリムされます。 Silk Test 13.5 以前のバージョンの Silk Test では、ブラウザーのバージョンによって処理がさまざまです。 OPT_COMPATIBILITY オプションを 13.5.0 以下に設定すると、この古い動作が有効になります。

構文

radioButton.RadioListSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Reload メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザーの再読み込みボタンの動作と同様に、メイン ドキュメントを再読み込みします。

構文

browserWindow.Reload([bypassCache])
変数 | 説明
bypassCache | 省略可能: キャッシュを通さない場合は true を設定します。 Windows Internet Explorer や Mozilla Firefox で Ctrl+F5 を押した場合と同様の処理となります。 Google Chrome を使用している場合は、このパラメーターを設定しても効果はありません。 Boolean。


ScrollIntoView メソッド (DomElement)

クラス

DomElement.

処理

ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。

構文

element.ScrollIntoView()


SelectedIndices プロパティ (DomListBox)

クラス

DomListBox.

処理

[読み書き可能] 選択した項目の索引。

構文

'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

アクセス

読み書き。


SelectedItems プロパティ (DomListBox)

クラス

DomListBox.

処理

[読み書き可能] 選択した項目の名前。

構文

'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み書き。


Selected プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] ラジオ ボタンが選択されているかどうか。

構文

'Declaration
Protected Read Property Selected As Boolean

アクセス

読み取り専用。


Select メソッド (DomButton)

クラス

DomButton.

処理

ボタンをクリックします。

構文

button.Select()


Select メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスを選択します。

構文

checkBox.Select(state)
変数 | 説明
state | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。 Integer。


Select メソッド (DomLink)

クラス

DomLink.

処理

リンクをクリックします。

構文

link.Select()


Select メソッド (DomListBox)

クラス

DomListBox.

処理

項目を選択します。

構文

listBox.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (DomRadioButton)

クラス

DomRadioButton.

処理

ラジオ ボタンを選択します。

構文

radioButton.Select()


SelectTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

指定したタブを選択します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、現在表示されているタブだけが、インデックスの影響を受けるこの方式と機能します。 たとえば、現在表示されているタブだけが選択することができます。 インデックス 0 は最初の表示されているタブを選択します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

result = webBrowser.SelectTab(tab)
変数 | 説明
result | 選択されたタブ。 BrowserWindow。
tab | 選択するタブ。 タブ名には、ワイルドカード '*' および '?' を含むことができます。 ItemIdentifier。


SetDomAttribute メソッド (DomElement)

クラス

DomElement.

処理

オブジェクトに指定された DOM 属性の値を設定します。

構文

element.SetDomAttribute(attributeName, attributeValue)
変数 | 説明
attributeName | 属性の名前。 String。
attributeValue | 設定する値。 Object。


SetFocus メソッド (BrowserObject)

クラス

BrowserObject.

処理

コントロールにフォーカスを与えます。

構文

browserObject.SetFocus()


SetText メソッド (DomTextField)

クラス

DomTextField.

処理

テキストを設定します。

構文

textField.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


SetUndecided メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスを未設定の状態に設定します。

構文

checkBox.SetUndecided()


SetViewportName メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザー ウィンドウのサイズをブラウザー サイズ リストで指定したサイズに設定します。

構文

browserWindow.SetViewportName(viewportName, [orientation])
変数 | 説明
viewportName | ブラウザー サイズ リストでのブラウザー サイズの名前。 String。
orientation | 省略可能: ブラウザー ウィンドウの向き。 DisplayOrientation。


SetViewportSize メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザー ウィンドウのサイズを指定した幅と高さに設定します。

構文

browserWindow.SetViewportSize(width, height)
変数 | 説明
width | ブラウザー ウィンドウの新しい幅。 Integer。
height | ブラウザー ウィンドウの新しい高さ。 Integer。


State プロパティ (DomCheckBox)

クラス

DomCheckBox.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


Submit メソッド (DomForm)

クラス

DomForm.

処理

フォームを送信します。

構文

form.Submit()


Toggle メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスの状態を切り替えます。 チェック ボックスがチェックされている場合は、チェックを外し、そうでない場合はチェックします。 チェック ボックスが未設定の状態にある場合は、未設定のままになります。

構文

checkBox.Toggle()


Uncheck メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスのチェックを外します。

構文

checkBox.Uncheck()


Unhighlight メソッド (DomElement)

クラス

DomElement.

処理

元の前景色と背景色に戻します。

構文

element.Unhighlight()


Unselect メソッド (DomListBox)

クラス

DomListBox.

処理

項目の選択を解除します。

構文

listBox.Unselect(item)
変数 | 説明
item | 選択解除する項目。 ItemIdentifier。


ViewportHeight プロパティ (BrowserWindow)

クラス

BrowserWindow.

処理

[読み取り専用] ブラウザー ビューポートの高さ。

構文

'Declaration
Protected Read Property ViewportHeight As Integer

アクセス

読み取り専用。


ViewportName プロパティ (BrowserWindow)

クラス

BrowserWindow.

処理

[読み取り専用] ブラウザー ウィンドウの innerWidth と innerHeight に一致するビューポートの名前。

構文

'Declaration
Protected Read Property ViewportName As String

アクセス

読み取り専用。


ViewportOrientation プロパティ (BrowserWindow)

クラス

BrowserWindow.

処理

[読み取り専用] ブラウザー ビューポートの向き。 横向きか縦向きを指定できます。

構文

'Declaration
Protected Read Property ViewportOrientation As DisplayOrientation

アクセス

読み取り専用。


ViewportWidth プロパティ (BrowserWindow)

クラス

BrowserWindow.

処理

[読み取り専用] ブラウザー ビューポートの幅。

構文

'Declaration
Protected Read Property ViewportWidth As Integer

アクセス

読み取り専用。


Visible プロパティ (BrowserObject)

クラス

BrowserObject.

処理

[読み取り専用] オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。

構文

'Declaration
Protected Read Property Visible As Boolean

アクセス

読み取り専用。